(function(){
'use strict';
/* Scala.js runtime support
 * Copyright 2013 LAMP/EPFL
 * Author: Sébastien Doeraene
 */

/* ---------------------------------- *
 * The top-level Scala.js environment *
 * ---------------------------------- */





// Get the environment info
var $env = (typeof __ScalaJSEnv === "object" && __ScalaJSEnv) ? __ScalaJSEnv : {};

// Global scope
var $g =
  (typeof $env["global"] === "object" && $env["global"])
    ? $env["global"]
    : ((typeof global === "object" && global && global["Object"] === Object) ? global : this);
$env["global"] = $g;

// Where to send exports



var $e =
  (typeof $env["exportsNamespace"] === "object" && $env["exportsNamespace"])
    ? $env["exportsNamespace"] : $g;

$env["exportsNamespace"] = $e;

// Freeze the environment info
$g["Object"]["freeze"]($env);

// Linking info - must be in sync with scala.scalajs.runtime.LinkingInfo
var $linkingInfo = {
  "envInfo": $env,
  "semantics": {




    "asInstanceOfs": 1,








    "arrayIndexOutOfBounds": 1,










    "moduleInit": 2,





    "strictFloats": false,




    "productionMode": false

  },



  "assumingES6": false,

  "linkerVersion": "0.6.18",
  "globalThis": this
};
$g["Object"]["freeze"]($linkingInfo);
$g["Object"]["freeze"]($linkingInfo["semantics"]);

// Snapshots of builtins and polyfills






var $imul = $g["Math"]["imul"] || (function(a, b) {
  // See https://developer.mozilla.org/en-US/docs/Web/JavaScript/Reference/Global_Objects/Math/imul
  var ah = (a >>> 16) & 0xffff;
  var al = a & 0xffff;
  var bh = (b >>> 16) & 0xffff;
  var bl = b & 0xffff;
  // the shift by 0 fixes the sign on the high part
  // the final |0 converts the unsigned value into a signed value
  return ((al * bl) + (((ah * bl + al * bh) << 16) >>> 0) | 0);
});

var $fround = $g["Math"]["fround"] ||









  (function(v) {
    return +v;
  });


var $clz32 = $g["Math"]["clz32"] || (function(i) {
  // See Hacker's Delight, Section 5-3
  if (i === 0) return 32;
  var r = 1;
  if ((i & 0xffff0000) === 0) { i <<= 16; r += 16; };
  if ((i & 0xff000000) === 0) { i <<= 8; r += 8; };
  if ((i & 0xf0000000) === 0) { i <<= 4; r += 4; };
  if ((i & 0xc0000000) === 0) { i <<= 2; r += 2; };
  return r + (i >> 31);
});


// Other fields




















var $lastIDHash = 0; // last value attributed to an id hash code



var $idHashCodeMap = $g["WeakMap"] ? new $g["WeakMap"]() : null;



// Core mechanism

var $makeIsArrayOfPrimitive = function(primitiveData) {
  return function(obj, depth) {
    return !!(obj && obj.$classData &&
      (obj.$classData.arrayDepth === depth) &&
      (obj.$classData.arrayBase === primitiveData));
  }
};


var $makeAsArrayOfPrimitive = function(isInstanceOfFunction, arrayEncodedName) {
  return function(obj, depth) {
    if (isInstanceOfFunction(obj, depth) || (obj === null))
      return obj;
    else
      $throwArrayCastException(obj, arrayEncodedName, depth);
  }
};


/** Encode a property name for runtime manipulation
  *  Usage:
  *    env.propertyName({someProp:0})
  *  Returns:
  *    "someProp"
  *  Useful when the property is renamed by a global optimizer (like Closure)
  *  but we must still get hold of a string of that name for runtime
  * reflection.
  */
var $propertyName = function(obj) {
  for (var prop in obj)
    return prop;
};

// Runtime functions

var $isScalaJSObject = function(obj) {
  return !!(obj && obj.$classData);
};


var $throwClassCastException = function(instance, classFullName) {




  throw new $c_sjsr_UndefinedBehaviorError().init___jl_Throwable(
    new $c_jl_ClassCastException().init___T(
      instance + " is not an instance of " + classFullName));

};

var $throwArrayCastException = function(instance, classArrayEncodedName, depth) {
  for (; depth; --depth)
    classArrayEncodedName = "[" + classArrayEncodedName;
  $throwClassCastException(instance, classArrayEncodedName);
};



var $throwArrayIndexOutOfBoundsException = function(i) {
  var msg = (i === null) ? null : ("" + i);



  throw new $c_sjsr_UndefinedBehaviorError().init___jl_Throwable(
    new $c_jl_ArrayIndexOutOfBoundsException().init___T(msg));

};


var $noIsInstance = function(instance) {
  throw new $g["TypeError"](
    "Cannot call isInstance() on a Class representing a raw JS trait/object");
};

var $makeNativeArrayWrapper = function(arrayClassData, nativeArray) {
  return new arrayClassData.constr(nativeArray);
};

var $newArrayObject = function(arrayClassData, lengths) {
  return $newArrayObjectInternal(arrayClassData, lengths, 0);
};

var $newArrayObjectInternal = function(arrayClassData, lengths, lengthIndex) {
  var result = new arrayClassData.constr(lengths[lengthIndex]);

  if (lengthIndex < lengths.length-1) {
    var subArrayClassData = arrayClassData.componentData;
    var subLengthIndex = lengthIndex+1;
    var underlying = result.u;
    for (var i = 0; i < underlying.length; i++) {
      underlying[i] = $newArrayObjectInternal(
        subArrayClassData, lengths, subLengthIndex);
    }
  }

  return result;
};

var $objectToString = function(instance) {
  if (instance === void 0)
    return "undefined";
  else
    return instance.toString();
};

var $objectGetClass = function(instance) {
  switch (typeof instance) {
    case "string":
      return $d_T.getClassOf();
    case "number": {
      var v = instance | 0;
      if (v === instance) { // is the value integral?
        if ($isByte(v))
          return $d_jl_Byte.getClassOf();
        else if ($isShort(v))
          return $d_jl_Short.getClassOf();
        else
          return $d_jl_Integer.getClassOf();
      } else {
        if ($isFloat(instance))
          return $d_jl_Float.getClassOf();
        else
          return $d_jl_Double.getClassOf();
      }
    }
    case "boolean":
      return $d_jl_Boolean.getClassOf();
    case "undefined":
      return $d_sr_BoxedUnit.getClassOf();
    default:
      if (instance === null)
        return instance.getClass__jl_Class();
      else if ($is_sjsr_RuntimeLong(instance))
        return $d_jl_Long.getClassOf();
      else if ($isScalaJSObject(instance))
        return instance.$classData.getClassOf();
      else
        return null; // Exception?
  }
};

var $objectClone = function(instance) {
  if ($isScalaJSObject(instance) || (instance === null))
    return instance.clone__O();
  else
    throw new $c_jl_CloneNotSupportedException().init___();
};

var $objectNotify = function(instance) {
  // final and no-op in java.lang.Object
  if (instance === null)
    instance.notify__V();
};

var $objectNotifyAll = function(instance) {
  // final and no-op in java.lang.Object
  if (instance === null)
    instance.notifyAll__V();
};

var $objectFinalize = function(instance) {
  if ($isScalaJSObject(instance) || (instance === null))
    instance.finalize__V();
  // else no-op
};

var $objectEquals = function(instance, rhs) {
  if ($isScalaJSObject(instance) || (instance === null))
    return instance.equals__O__Z(rhs);
  else if (typeof instance === "number")
    return typeof rhs === "number" && $numberEquals(instance, rhs);
  else
    return instance === rhs;
};

var $numberEquals = function(lhs, rhs) {
  return (lhs === rhs) ? (
    // 0.0.equals(-0.0) must be false
    lhs !== 0 || 1/lhs === 1/rhs
  ) : (
    // are they both NaN?
    (lhs !== lhs) && (rhs !== rhs)
  );
};

var $objectHashCode = function(instance) {
  switch (typeof instance) {
    case "string":
      return $m_sjsr_RuntimeString$().hashCode__T__I(instance);
    case "number":
      return $m_sjsr_Bits$().numberHashCode__D__I(instance);
    case "boolean":
      return instance ? 1231 : 1237;
    case "undefined":
      return 0;
    default:
      if ($isScalaJSObject(instance) || instance === null)
        return instance.hashCode__I();

      else if ($idHashCodeMap === null)
        return 42;

      else
        return $systemIdentityHashCode(instance);
  }
};

var $comparableCompareTo = function(instance, rhs) {
  switch (typeof instance) {
    case "string":

      $as_T(rhs);

      return instance === rhs ? 0 : (instance < rhs ? -1 : 1);
    case "number":

      $as_jl_Number(rhs);

      return $m_jl_Double$().compare__D__D__I(instance, rhs);
    case "boolean":

      $asBoolean(rhs);

      return instance - rhs; // yes, this gives the right result
    default:
      return instance.compareTo__O__I(rhs);
  }
};

var $charSequenceLength = function(instance) {
  if (typeof(instance) === "string")

    return $uI(instance["length"]);



  else
    return instance.length__I();
};

var $charSequenceCharAt = function(instance, index) {
  if (typeof(instance) === "string")

    return $uI(instance["charCodeAt"](index)) & 0xffff;



  else
    return instance.charAt__I__C(index);
};

var $charSequenceSubSequence = function(instance, start, end) {
  if (typeof(instance) === "string")

    return $as_T(instance["substring"](start, end));



  else
    return instance.subSequence__I__I__jl_CharSequence(start, end);
};

var $booleanBooleanValue = function(instance) {
  if (typeof instance === "boolean") return instance;
  else                               return instance.booleanValue__Z();
};

var $numberByteValue = function(instance) {
  if (typeof instance === "number") return (instance << 24) >> 24;
  else                              return instance.byteValue__B();
};
var $numberShortValue = function(instance) {
  if (typeof instance === "number") return (instance << 16) >> 16;
  else                              return instance.shortValue__S();
};
var $numberIntValue = function(instance) {
  if (typeof instance === "number") return instance | 0;
  else                              return instance.intValue__I();
};
var $numberLongValue = function(instance) {
  if (typeof instance === "number")
    return $m_sjsr_RuntimeLong$().fromDouble__D__sjsr_RuntimeLong(instance);
  else
    return instance.longValue__J();
};
var $numberFloatValue = function(instance) {
  if (typeof instance === "number") return $fround(instance);
  else                              return instance.floatValue__F();
};
var $numberDoubleValue = function(instance) {
  if (typeof instance === "number") return instance;
  else                              return instance.doubleValue__D();
};

var $isNaN = function(instance) {
  return instance !== instance;
};

var $isInfinite = function(instance) {
  return !$g["isFinite"](instance) && !$isNaN(instance);
};

var $doubleToInt = function(x) {
  return (x > 2147483647) ? (2147483647) : ((x < -2147483648) ? -2147483648 : (x | 0));
};

/** Instantiates a JS object with variadic arguments to the constructor. */
var $newJSObjectWithVarargs = function(ctor, args) {
  // This basically emulates the ECMAScript specification for 'new'.
  var instance = $g["Object"]["create"](ctor.prototype);
  var result = ctor["apply"](instance, args);
  switch (typeof result) {
    case "string": case "number": case "boolean": case "undefined": case "symbol":
      return instance;
    default:
      return result === null ? instance : result;
  }
};

var $resolveSuperRef = function(initialProto, propName) {
  var getPrototypeOf = $g["Object"]["getPrototypeOf"];
  var getOwnPropertyDescriptor = $g["Object"]["getOwnPropertyDescriptor"];

  var superProto = getPrototypeOf(initialProto);
  while (superProto !== null) {
    var desc = getOwnPropertyDescriptor(superProto, propName);
    if (desc !== void 0)
      return desc;
    superProto = getPrototypeOf(superProto);
  }

  return void 0;
};

var $superGet = function(initialProto, self, propName) {
  var desc = $resolveSuperRef(initialProto, propName);
  if (desc !== void 0) {
    var getter = desc["get"];
    if (getter !== void 0)
      return getter["call"](self);
    else
      return desc["value"];
  }
  return void 0;
};

var $superSet = function(initialProto, self, propName, value) {
  var desc = $resolveSuperRef(initialProto, propName);
  if (desc !== void 0) {
    var setter = desc["set"];
    if (setter !== void 0) {
      setter["call"](self, value);
      return void 0;
    }
  }
  throw new $g["TypeError"]("super has no setter '" + propName + "'.");
};







var $propertiesOf = function(obj) {
  var result = [];
  for (var prop in obj)
    result["push"](prop);
  return result;
};

var $systemArraycopy = function(src, srcPos, dest, destPos, length) {
  var srcu = src.u;
  var destu = dest.u;


  if (srcPos < 0 || destPos < 0 || length < 0 ||
      (srcPos > ((srcu.length - length) | 0)) ||
      (destPos > ((destu.length - length) | 0))) {
    $throwArrayIndexOutOfBoundsException(null);
  }


  if (srcu !== destu || destPos < srcPos || (((srcPos + length) | 0) < destPos)) {
    for (var i = 0; i < length; i = (i + 1) | 0)
      destu[(destPos + i) | 0] = srcu[(srcPos + i) | 0];
  } else {
    for (var i = (length - 1) | 0; i >= 0; i = (i - 1) | 0)
      destu[(destPos + i) | 0] = srcu[(srcPos + i) | 0];
  }
};

var $systemIdentityHashCode =

  ($idHashCodeMap !== null) ?

  (function(obj) {
    switch (typeof obj) {
      case "string": case "number": case "boolean": case "undefined":
        return $objectHashCode(obj);
      default:
        if (obj === null) {
          return 0;
        } else {
          var hash = $idHashCodeMap["get"](obj);
          if (hash === void 0) {
            hash = ($lastIDHash + 1) | 0;
            $lastIDHash = hash;
            $idHashCodeMap["set"](obj, hash);
          }
          return hash;
        }
    }

  }) :
  (function(obj) {
    if ($isScalaJSObject(obj)) {
      var hash = obj["$idHashCode$0"];
      if (hash !== void 0) {
        return hash;
      } else if (!$g["Object"]["isSealed"](obj)) {
        hash = ($lastIDHash + 1) | 0;
        $lastIDHash = hash;
        obj["$idHashCode$0"] = hash;
        return hash;
      } else {
        return 42;
      }
    } else if (obj === null) {
      return 0;
    } else {
      return $objectHashCode(obj);
    }

  });

// is/as for hijacked boxed classes (the non-trivial ones)

var $isByte = function(v) {
  return typeof v === "number" && (v << 24 >> 24) === v && 1/v !== 1/-0;
};

var $isShort = function(v) {
  return typeof v === "number" && (v << 16 >> 16) === v && 1/v !== 1/-0;
};

var $isInt = function(v) {
  return typeof v === "number" && (v | 0) === v && 1/v !== 1/-0;
};

var $isFloat = function(v) {



  return typeof v === "number";

};


var $asUnit = function(v) {
  if (v === void 0 || v === null)
    return v;
  else
    $throwClassCastException(v, "scala.runtime.BoxedUnit");
};

var $asBoolean = function(v) {
  if (typeof v === "boolean" || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Boolean");
};

var $asByte = function(v) {
  if ($isByte(v) || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Byte");
};

var $asShort = function(v) {
  if ($isShort(v) || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Short");
};

var $asInt = function(v) {
  if ($isInt(v) || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Integer");
};

var $asFloat = function(v) {
  if ($isFloat(v) || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Float");
};

var $asDouble = function(v) {
  if (typeof v === "number" || v === null)
    return v;
  else
    $throwClassCastException(v, "java.lang.Double");
};


// Unboxes


var $uZ = function(value) {
  return !!$asBoolean(value);
};
var $uB = function(value) {
  return $asByte(value) | 0;
};
var $uS = function(value) {
  return $asShort(value) | 0;
};
var $uI = function(value) {
  return $asInt(value) | 0;
};
var $uJ = function(value) {
  return null === value ? $m_sjsr_RuntimeLong$().Zero$1
                        : $as_sjsr_RuntimeLong(value);
};
var $uF = function(value) {
  /* Here, it is fine to use + instead of fround, because asFloat already
   * ensures that the result is either null or a float.
   */
  return +$asFloat(value);
};
var $uD = function(value) {
  return +$asDouble(value);
};






// TypeArray conversions

var $byteArray2TypedArray = function(value) { return new $g["Int8Array"](value.u); };
var $shortArray2TypedArray = function(value) { return new $g["Int16Array"](value.u); };
var $charArray2TypedArray = function(value) { return new $g["Uint16Array"](value.u); };
var $intArray2TypedArray = function(value) { return new $g["Int32Array"](value.u); };
var $floatArray2TypedArray = function(value) { return new $g["Float32Array"](value.u); };
var $doubleArray2TypedArray = function(value) { return new $g["Float64Array"](value.u); };

var $typedArray2ByteArray = function(value) {
  var arrayClassData = $d_B.getArrayOf();
  return new arrayClassData.constr(new $g["Int8Array"](value));
};
var $typedArray2ShortArray = function(value) {
  var arrayClassData = $d_S.getArrayOf();
  return new arrayClassData.constr(new $g["Int16Array"](value));
};
var $typedArray2CharArray = function(value) {
  var arrayClassData = $d_C.getArrayOf();
  return new arrayClassData.constr(new $g["Uint16Array"](value));
};
var $typedArray2IntArray = function(value) {
  var arrayClassData = $d_I.getArrayOf();
  return new arrayClassData.constr(new $g["Int32Array"](value));
};
var $typedArray2FloatArray = function(value) {
  var arrayClassData = $d_F.getArrayOf();
  return new arrayClassData.constr(new $g["Float32Array"](value));
};
var $typedArray2DoubleArray = function(value) {
  var arrayClassData = $d_D.getArrayOf();
  return new arrayClassData.constr(new $g["Float64Array"](value));
};

// TypeData class


/** @constructor */
var $TypeData = function() {




  // Runtime support
  this.constr = void 0;
  this.parentData = void 0;
  this.ancestors = null;
  this.componentData = null;
  this.arrayBase = null;
  this.arrayDepth = 0;
  this.zero = null;
  this.arrayEncodedName = "";
  this._classOf = void 0;
  this._arrayOf = void 0;
  this.isArrayOf = void 0;

  // java.lang.Class support
  this["name"] = "";
  this["isPrimitive"] = false;
  this["isInterface"] = false;
  this["isArrayClass"] = false;
  this["isRawJSType"] = false;
  this["isInstance"] = void 0;
};


$TypeData.prototype.initPrim = function(



    zero, arrayEncodedName, displayName) {
  // Runtime support
  this.ancestors = {};
  this.componentData = null;
  this.zero = zero;
  this.arrayEncodedName = arrayEncodedName;
  this.isArrayOf = function(obj, depth) { return false; };

  // java.lang.Class support
  this["name"] = displayName;
  this["isPrimitive"] = true;
  this["isInstance"] = function(obj) { return false; };

  return this;
};


$TypeData.prototype.initClass = function(



    internalNameObj, isInterface, fullName,
    ancestors, isRawJSType, parentData, isInstance, isArrayOf) {
  var internalName = $propertyName(internalNameObj);

  isInstance = isInstance || function(obj) {
    return !!(obj && obj.$classData && obj.$classData.ancestors[internalName]);
  };

  isArrayOf = isArrayOf || function(obj, depth) {
    return !!(obj && obj.$classData && (obj.$classData.arrayDepth === depth)
      && obj.$classData.arrayBase.ancestors[internalName])
  };

  // Runtime support
  this.parentData = parentData;
  this.ancestors = ancestors;
  this.arrayEncodedName = "L"+fullName+";";
  this.isArrayOf = isArrayOf;

  // java.lang.Class support
  this["name"] = fullName;
  this["isInterface"] = isInterface;
  this["isRawJSType"] = !!isRawJSType;
  this["isInstance"] = isInstance;

  return this;
};


$TypeData.prototype.initArray = function(



    componentData) {
  // The constructor

  var componentZero0 = componentData.zero;

  // The zero for the Long runtime representation
  // is a special case here, since the class has not
  // been defined yet, when this file is read
  var componentZero = (componentZero0 == "longZero")
    ? $m_sjsr_RuntimeLong$().Zero$1
    : componentZero0;


  /** @constructor */
  var ArrayClass = function(arg) {
    if (typeof(arg) === "number") {
      // arg is the length of the array
      this.u = new Array(arg);
      for (var i = 0; i < arg; i++)
        this.u[i] = componentZero;
    } else {
      // arg is a native array that we wrap
      this.u = arg;
    }
  }
  ArrayClass.prototype = new $h_O;
  ArrayClass.prototype.constructor = ArrayClass;


  ArrayClass.prototype.get = function(i) {
    if (i < 0 || i >= this.u.length)
      $throwArrayIndexOutOfBoundsException(i);
    return this.u[i];
  };
  ArrayClass.prototype.set = function(i, v) {
    if (i < 0 || i >= this.u.length)
      $throwArrayIndexOutOfBoundsException(i);
    this.u[i] = v;
  };


  ArrayClass.prototype.clone__O = function() {
    if (this.u instanceof Array)
      return new ArrayClass(this.u["slice"](0));
    else
      // The underlying Array is a TypedArray
      return new ArrayClass(new this.u.constructor(this.u));
  };






































  ArrayClass.prototype.$classData = this;

  // Don't generate reflective call proxies. The compiler special cases
  // reflective calls to methods on scala.Array

  // The data

  var encodedName = "[" + componentData.arrayEncodedName;
  var componentBase = componentData.arrayBase || componentData;
  var arrayDepth = componentData.arrayDepth + 1;

  var isInstance = function(obj) {
    return componentBase.isArrayOf(obj, arrayDepth);
  }

  // Runtime support
  this.constr = ArrayClass;
  this.parentData = $d_O;
  this.ancestors = {O: 1, jl_Cloneable: 1, Ljava_io_Serializable: 1};
  this.componentData = componentData;
  this.arrayBase = componentBase;
  this.arrayDepth = arrayDepth;
  this.zero = null;
  this.arrayEncodedName = encodedName;
  this._classOf = undefined;
  this._arrayOf = undefined;
  this.isArrayOf = undefined;

  // java.lang.Class support
  this["name"] = encodedName;
  this["isPrimitive"] = false;
  this["isInterface"] = false;
  this["isArrayClass"] = true;
  this["isInstance"] = isInstance;

  return this;
};


$TypeData.prototype.getClassOf = function() {



  if (!this._classOf)
    this._classOf = new $c_jl_Class().init___jl_ScalaJSClassData(this);
  return this._classOf;
};


$TypeData.prototype.getArrayOf = function() {



  if (!this._arrayOf)
    this._arrayOf = new $TypeData().initArray(this);
  return this._arrayOf;
};

// java.lang.Class support


$TypeData.prototype["getFakeInstance"] = function() {



  if (this === $d_T)
    return "some string";
  else if (this === $d_jl_Boolean)
    return false;
  else if (this === $d_jl_Byte ||
           this === $d_jl_Short ||
           this === $d_jl_Integer ||
           this === $d_jl_Float ||
           this === $d_jl_Double)
    return 0;
  else if (this === $d_jl_Long)
    return $m_sjsr_RuntimeLong$().Zero$1;
  else if (this === $d_sr_BoxedUnit)
    return void 0;
  else
    return {$classData: this};
};


$TypeData.prototype["getSuperclass"] = function() {



  return this.parentData ? this.parentData.getClassOf() : null;
};


$TypeData.prototype["getComponentType"] = function() {



  return this.componentData ? this.componentData.getClassOf() : null;
};


$TypeData.prototype["newArrayOfThisClass"] = function(lengths) {



  var arrayClassData = this;
  for (var i = 0; i < lengths.length; i++)
    arrayClassData = arrayClassData.getArrayOf();
  return $newArrayObject(arrayClassData, lengths);
};




// Create primitive types

var $d_V = new $TypeData().initPrim(undefined, "V", "void");
var $d_Z = new $TypeData().initPrim(false, "Z", "boolean");
var $d_C = new $TypeData().initPrim(0, "C", "char");
var $d_B = new $TypeData().initPrim(0, "B", "byte");
var $d_S = new $TypeData().initPrim(0, "S", "short");
var $d_I = new $TypeData().initPrim(0, "I", "int");
var $d_J = new $TypeData().initPrim("longZero", "J", "long");
var $d_F = new $TypeData().initPrim(0.0, "F", "float");
var $d_D = new $TypeData().initPrim(0.0, "D", "double");

// Instance tests for array of primitives

var $isArrayOf_Z = $makeIsArrayOfPrimitive($d_Z);
$d_Z.isArrayOf = $isArrayOf_Z;

var $isArrayOf_C = $makeIsArrayOfPrimitive($d_C);
$d_C.isArrayOf = $isArrayOf_C;

var $isArrayOf_B = $makeIsArrayOfPrimitive($d_B);
$d_B.isArrayOf = $isArrayOf_B;

var $isArrayOf_S = $makeIsArrayOfPrimitive($d_S);
$d_S.isArrayOf = $isArrayOf_S;

var $isArrayOf_I = $makeIsArrayOfPrimitive($d_I);
$d_I.isArrayOf = $isArrayOf_I;

var $isArrayOf_J = $makeIsArrayOfPrimitive($d_J);
$d_J.isArrayOf = $isArrayOf_J;

var $isArrayOf_F = $makeIsArrayOfPrimitive($d_F);
$d_F.isArrayOf = $isArrayOf_F;

var $isArrayOf_D = $makeIsArrayOfPrimitive($d_D);
$d_D.isArrayOf = $isArrayOf_D;


// asInstanceOfs for array of primitives
var $asArrayOf_Z = $makeAsArrayOfPrimitive($isArrayOf_Z, "Z");
var $asArrayOf_C = $makeAsArrayOfPrimitive($isArrayOf_C, "C");
var $asArrayOf_B = $makeAsArrayOfPrimitive($isArrayOf_B, "B");
var $asArrayOf_S = $makeAsArrayOfPrimitive($isArrayOf_S, "S");
var $asArrayOf_I = $makeAsArrayOfPrimitive($isArrayOf_I, "I");
var $asArrayOf_J = $makeAsArrayOfPrimitive($isArrayOf_J, "J");
var $asArrayOf_F = $makeAsArrayOfPrimitive($isArrayOf_F, "F");
var $asArrayOf_D = $makeAsArrayOfPrimitive($isArrayOf_D, "D");

function $s_Lcom_iteration3_smilejs_FromJs$class__fromJsonString__Lcom_iteration3_smilejs_FromJs__T__O($$this, string) {
  var json = $g.JSON.parse(string);
  return $$this.fromJs__sjs_js_Dynamic__O(json)
}
function $s_Lcom_iteration3_smilejs_FromJs$class__fromJsonStringToList__Lcom_iteration3_smilejs_FromJs__T__sci_List($$this, string) {
  var jsonArray = $g.JSON.parse(string);
  var array = [];
  $uI(jsonArray.length);
  var i = 0;
  var len = $uI(jsonArray.length);
  while ((i < len)) {
    var index = i;
    var arg1 = jsonArray[index];
    var elem = $$this.fromJs__sjs_js_Dynamic__O(arg1);
    array.push(elem);
    i = ((1 + i) | 0)
  };
  $m_sci_List$();
  var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array(array);
  var this$5 = $m_sci_List$();
  var cbf = this$5.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(xs, cbf))
}
function $is_Lcom_iteration3_smilejs_ToJs(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ToJs)))
}
function $as_Lcom_iteration3_smilejs_ToJs(obj) {
  return (($is_Lcom_iteration3_smilejs_ToJs(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ToJs"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ToJs(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ToJs)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ToJs(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ToJs(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ToJs;", depth))
}
function $s_Lcom_iteration3_smilejs_ToJs$class__toJsonString__Lcom_iteration3_smilejs_ToJs__O__T($$this, t) {
  return $as_T($g.JSON.stringify($$this.toJs__O__sjs_js_Dynamic(t)))
}
/** @constructor */
function $c_O() {
  /*<skip>*/
}
/** @constructor */
function $h_O() {
  /*<skip>*/
}
$h_O.prototype = $c_O.prototype;
$c_O.prototype.init___ = (function() {
  return this
});
$c_O.prototype.equals__O__Z = (function(that) {
  return (this === that)
});
$c_O.prototype.toString__T = (function() {
  var jsx$2 = $objectGetClass(this).getName__T();
  var i = this.hashCode__I();
  var x = $uD((i >>> 0));
  var jsx$1 = x.toString(16);
  return ((jsx$2 + "@") + $as_T(jsx$1))
});
$c_O.prototype.hashCode__I = (function() {
  return $systemIdentityHashCode(this)
});
$c_O.prototype.toString = (function() {
  return this.toString__T()
});
function $is_O(obj) {
  return (obj !== null)
}
function $as_O(obj) {
  return obj
}
function $isArrayOf_O(obj, depth) {
  var data = (obj && obj.$classData);
  if ((!data)) {
    return false
  } else {
    var arrayDepth = (data.arrayDepth || 0);
    return ((!(arrayDepth < depth)) && ((arrayDepth > depth) || (!data.arrayBase.isPrimitive)))
  }
}
function $asArrayOf_O(obj, depth) {
  return (($isArrayOf_O(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Object;", depth))
}
var $d_O = new $TypeData().initClass({
  O: 0
}, false, "java.lang.Object", {
  O: 1
}, (void 0), (void 0), $is_O, $isArrayOf_O);
$c_O.prototype.$classData = $d_O;
function $s_s_PartialFunction$class__applyOrElse__s_PartialFunction__O__F1__O($$this, x, $default) {
  return ($$this.isDefinedAt__O__Z(x) ? $$this.apply__O__O(x) : $default.apply__O__O(x))
}
function $s_s_Product2$class__productElement__s_Product2__I__O($$this, n) {
  switch (n) {
    case 0: {
      return $$this.$$und1$f;
      break
    }
    case 1: {
      return $$this.$$und2$f;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
    }
  }
}
function $s_s_Proxy$class__toString__s_Proxy__T($$this) {
  return ("" + $$this.self$1)
}
function $s_s_Proxy$class__equals__s_Proxy__O__Z($$this, that) {
  return ((that !== null) && (((that === $$this) || (that === $$this.self$1)) || $objectEquals(that, $$this.self$1)))
}
function $s_s_concurrent_Future$class__recover__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future($$this, pf, executor) {
  var p = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  $$this.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, p$1, pf$1) {
    return (function(v$2) {
      var v = $as_s_util_Try(v$2);
      var result = v.recover__s_PartialFunction__s_util_Try(pf$1);
      return $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise(p$1, result)
    })
  })($$this, p, pf)), executor);
  return p
}
function $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future($$this, f, executor) {
  var p = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  $$this.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, p$1, f$1) {
    return (function(v$2) {
      var v = $as_s_util_Try(v$2);
      var result = v.map__F1__s_util_Try(f$1);
      return $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise(p$1, result)
    })
  })($$this, p, f)), executor);
  return p
}
function $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V($$this, pf, executor) {
  $$this.onComplete__F1__s_concurrent_ExecutionContext__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, pf$1) {
    return (function(x0$1$2) {
      var x0$1 = $as_s_util_Try(x0$1$2);
      if ($is_s_util_Success(x0$1)) {
        var x2 = $as_s_util_Success(x0$1);
        var v = x2.value$2;
        var this$1 = $m_s_Predef$();
        return pf$1.applyOrElse__O__F1__O(v, this$1.singleton$und$less$colon$less$2)
      } else {
        return (void 0)
      }
    })
  })($$this, pf)), executor)
}
function $s_s_concurrent_Promise$class__success__s_concurrent_Promise__O__s_concurrent_Promise($$this, value) {
  var result = new $c_s_util_Success().init___O(value);
  return $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise($$this, result)
}
function $s_s_concurrent_Promise$class__failure__s_concurrent_Promise__jl_Throwable__s_concurrent_Promise($$this, cause) {
  var result = new $c_s_util_Failure().init___jl_Throwable(cause);
  return $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise($$this, result)
}
function $s_s_concurrent_Promise$class__complete__s_concurrent_Promise__s_util_Try__s_concurrent_Promise($$this, result) {
  if ($$this.tryComplete__s_util_Try__Z(result)) {
    return $$this
  } else {
    throw new $c_jl_IllegalStateException().init___T("Promise already completed.")
  }
}
function $s_s_concurrent_impl_Promise$class__toString__s_concurrent_impl_Promise__T($$this) {
  var x1 = $$this.value0__p3__s_Option();
  if ($is_s_Some(x1)) {
    var x2 = $as_s_Some(x1);
    var result = $as_s_util_Try(x2.x$2);
    return (("Future(" + result) + ")")
  } else {
    var x = $m_s_None$();
    if ((x === x1)) {
      return "Future(<not completed>)"
    } else {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
}
function $s_s_util_control_NoStackTrace$class__fillInStackTrace__s_util_control_NoStackTrace__jl_Throwable($$this) {
  var this$1 = $m_s_util_control_NoStackTrace$();
  if (this$1.$$undnoSuppression$1) {
    return $c_jl_Throwable.prototype.fillInStackTrace__jl_Throwable.call($$this)
  } else {
    return $as_jl_Throwable($$this)
  }
}
function $s_sc_GenMapLike$class__liftedTree1$1__p0__sc_GenMapLike__sc_GenMap__Z($$this, x2$1) {
  try {
    var this$1 = $$this.iterator__sc_Iterator();
    var res = true;
    while ((res && this$1.hasNext__Z())) {
      var arg1 = this$1.next__O();
      var x0$1 = $as_T2(arg1);
      if ((x0$1 === null)) {
        throw new $c_s_MatchError().init___O(x0$1)
      };
      var k = x0$1.$$und1$f;
      var v = x0$1.$$und2$f;
      var x1$2 = x2$1.get__O__s_Option(k);
      matchEnd6: {
        if ($is_s_Some(x1$2)) {
          var x2 = $as_s_Some(x1$2);
          var p3 = x2.x$2;
          if ($m_sr_BoxesRunTime$().equals__O__O__Z(v, p3)) {
            res = true;
            break matchEnd6
          }
        };
        res = false
      }
    };
    return res
  } catch (e) {
    if ($is_jl_ClassCastException(e)) {
      $as_jl_ClassCastException(e);
      return false
    } else {
      throw e
    }
  }
}
function $s_sc_GenMapLike$class__equals__sc_GenMapLike__O__Z($$this, that) {
  if ($is_sc_GenMap(that)) {
    var x2 = $as_sc_GenMap(that);
    return (($$this === x2) || (($$this.size__I() === x2.size__I()) && $s_sc_GenMapLike$class__liftedTree1$1__p0__sc_GenMapLike__sc_GenMap__Z($$this, x2)))
  } else {
    return false
  }
}
function $s_sc_GenSeqLike$class__equals__sc_GenSeqLike__O__Z($$this, that) {
  if ($is_sc_GenSeq(that)) {
    var x2 = $as_sc_GenSeq(that);
    return $$this.sameElements__sc_GenIterable__Z(x2)
  } else {
    return false
  }
}
function $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z($$this, idx) {
  return ((idx >= 0) && (idx < $$this.length__I()))
}
function $s_sc_GenSetLike$class__liftedTree1$1__p0__sc_GenSetLike__sc_GenSet__Z($$this, x2$1) {
  try {
    return $$this.subsetOf__sc_GenSet__Z(x2$1)
  } catch (e) {
    if ($is_jl_ClassCastException(e)) {
      $as_jl_ClassCastException(e);
      return false
    } else {
      throw e
    }
  }
}
function $s_sc_GenSetLike$class__equals__sc_GenSetLike__O__Z($$this, that) {
  if ($is_sc_GenSet(that)) {
    var x2 = $as_sc_GenSet(that);
    return (($$this === x2) || (($$this.size__I() === x2.size__I()) && $s_sc_GenSetLike$class__liftedTree1$1__p0__sc_GenSetLike__sc_GenSet__Z($$this, x2)))
  } else {
    return false
  }
}
function $is_sc_GenTraversableOnce(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenTraversableOnce)))
}
function $as_sc_GenTraversableOnce(obj) {
  return (($is_sc_GenTraversableOnce(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.GenTraversableOnce"))
}
function $isArrayOf_sc_GenTraversableOnce(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenTraversableOnce)))
}
function $asArrayOf_sc_GenTraversableOnce(obj, depth) {
  return (($isArrayOf_sc_GenTraversableOnce(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.GenTraversableOnce;", depth))
}
function $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I($$this, len) {
  return (($$this.length__I() - len) | 0)
}
function $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V($$this, xs, start, len) {
  var i = 0;
  var j = start;
  var x = $$this.length__I();
  var x$1 = ((x < len) ? x : len);
  var that = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  var end = ((x$1 < that) ? x$1 : that);
  while ((i < end)) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(xs, j, $$this.apply__I__O(i));
    i = ((1 + i) | 0);
    j = ((1 + j) | 0)
  }
}
function $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z($$this, that) {
  if ($is_sc_IndexedSeq(that)) {
    var x2 = $as_sc_IndexedSeq(that);
    var len = $$this.length__I();
    if ((len === x2.length__I())) {
      var i = 0;
      while (((i < len) && $m_sr_BoxesRunTime$().equals__O__O__Z($$this.apply__I__O(i), x2.apply__I__O(i)))) {
        i = ((1 + i) | 0)
      };
      return (i === len)
    } else {
      return false
    }
  } else {
    return $s_sc_IterableLike$class__sameElements__sc_IterableLike__sc_GenIterable__Z($$this, that)
  }
}
function $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O($$this) {
  var b = $$this.newBuilder__scm_Builder();
  b.sizeHint__I__V($$this.length__I());
  var i = $$this.length__I();
  while ((i > 0)) {
    i = (((-1) + i) | 0);
    b.$$plus$eq__O__scm_Builder($$this.apply__I__O(i))
  };
  return b.result__O()
}
function $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V($$this, f) {
  var i = 0;
  var len = $$this.length__I();
  while ((i < len)) {
    f.apply__O__O($$this.apply__I__O(i));
    i = ((1 + i) | 0)
  }
}
function $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z($$this) {
  return ($$this.length__I() === 0)
}
function $s_sc_IterableLike$class__copyToArray__sc_IterableLike__O__I__I__V($$this, xs, start, len) {
  var i = start;
  var x = ((start + len) | 0);
  var that = $m_sr_ScalaRunTime$().array$undlength__O__I(xs);
  var end = ((x < that) ? x : that);
  var it = $$this.iterator__sc_Iterator();
  while (((i < end) && it.hasNext__Z())) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(xs, i, it.next__O());
    i = ((1 + i) | 0)
  }
}
function $s_sc_IterableLike$class__take__sc_IterableLike__I__O($$this, n) {
  var b = $$this.newBuilder__scm_Builder();
  if ((n <= 0)) {
    return b.result__O()
  } else {
    b.sizeHintBounded__I__sc_TraversableLike__V(n, $$this);
    var i = 0;
    var it = $$this.iterator__sc_Iterator();
    while (((i < n) && it.hasNext__Z())) {
      b.$$plus$eq__O__scm_Builder(it.next__O());
      i = ((1 + i) | 0)
    };
    return b.result__O()
  }
}
function $s_sc_IterableLike$class__sameElements__sc_IterableLike__sc_GenIterable__Z($$this, that) {
  var these = $$this.iterator__sc_Iterator();
  var those = that.iterator__sc_Iterator();
  while ((these.hasNext__Z() && those.hasNext__Z())) {
    if ((!$m_sr_BoxesRunTime$().equals__O__O__Z(these.next__O(), those.next__O()))) {
      return false
    }
  };
  return ((!these.hasNext__Z()) && (!those.hasNext__Z()))
}
function $s_sc_Iterator$class__toStream__sc_Iterator__sci_Stream($$this) {
  if ($$this.hasNext__Z()) {
    var hd = $$this.next__O();
    var tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($$this$1) {
      return (function() {
        return $$this$1.toStream__sci_Stream()
      })
    })($$this));
    return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
  } else {
    $m_sci_Stream$();
    return $m_sci_Stream$Empty$()
  }
}
function $s_sc_Iterator$class__isEmpty__sc_Iterator__Z($$this) {
  return (!$$this.hasNext__Z())
}
function $s_sc_Iterator$class__toString__sc_Iterator__T($$this) {
  return (($$this.hasNext__Z() ? "non-empty" : "empty") + " iterator")
}
function $s_sc_Iterator$class__foreach__sc_Iterator__F1__V($$this, f) {
  while ($$this.hasNext__Z()) {
    f.apply__O__O($$this.next__O())
  }
}
function $s_sc_Iterator$class__forall__sc_Iterator__F1__Z($$this, p) {
  var res = true;
  while ((res && $$this.hasNext__Z())) {
    res = $uZ(p.apply__O__O($$this.next__O()))
  };
  return res
}
function $s_sc_LinearSeqOptimized$class__isDefinedAt__sc_LinearSeqOptimized__I__Z($$this, x) {
  return ((x >= 0) && ($s_sc_LinearSeqOptimized$class__lengthCompare__sc_LinearSeqOptimized__I__I($$this, x) > 0))
}
function $s_sc_LinearSeqOptimized$class__lengthCompare__sc_LinearSeqOptimized__I__I($$this, len) {
  return ((len < 0) ? 1 : $s_sc_LinearSeqOptimized$class__loop$1__p0__sc_LinearSeqOptimized__I__sc_LinearSeqOptimized__I__I($$this, 0, $$this, len))
}
function $s_sc_LinearSeqOptimized$class__apply__sc_LinearSeqOptimized__I__O($$this, n) {
  var rest = $$this.drop__I__sc_LinearSeqOptimized(n);
  if (((n < 0) || rest.isEmpty__Z())) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
  };
  return rest.head__O()
}
function $s_sc_LinearSeqOptimized$class__loop$1__p0__sc_LinearSeqOptimized__I__sc_LinearSeqOptimized__I__I($$this, i, xs, len$1) {
  _loop: while (true) {
    if ((i === len$1)) {
      return (xs.isEmpty__Z() ? 0 : 1)
    } else if (xs.isEmpty__Z()) {
      return (-1)
    } else {
      var temp$i = ((1 + i) | 0);
      var temp$xs = $as_sc_LinearSeqOptimized(xs.tail__O());
      i = temp$i;
      xs = temp$xs;
      continue _loop
    }
  }
}
function $s_sc_LinearSeqOptimized$class__length__sc_LinearSeqOptimized__I($$this) {
  var these = $$this;
  var len = 0;
  while ((!these.isEmpty__Z())) {
    len = ((1 + len) | 0);
    these = $as_sc_LinearSeqOptimized(these.tail__O())
  };
  return len
}
function $s_sc_LinearSeqOptimized$class__last__sc_LinearSeqOptimized__O($$this) {
  if ($$this.isEmpty__Z()) {
    throw new $c_ju_NoSuchElementException().init___()
  };
  var these = $$this;
  var nx = $as_sc_LinearSeqOptimized(these.tail__O());
  while ((!nx.isEmpty__Z())) {
    these = nx;
    nx = $as_sc_LinearSeqOptimized(nx.tail__O())
  };
  return these.head__O()
}
function $s_sc_LinearSeqOptimized$class__sameElements__sc_LinearSeqOptimized__sc_GenIterable__Z($$this, that) {
  if ($is_sc_LinearSeq(that)) {
    var x2 = $as_sc_LinearSeq(that);
    if (($$this === x2)) {
      return true
    } else {
      var these = $$this;
      var those = x2;
      while ((((!these.isEmpty__Z()) && (!those.isEmpty__Z())) && $m_sr_BoxesRunTime$().equals__O__O__Z(these.head__O(), those.head__O()))) {
        these = $as_sc_LinearSeqOptimized(these.tail__O());
        those = $as_sc_LinearSeq(those.tail__O())
      };
      return (these.isEmpty__Z() && those.isEmpty__Z())
    }
  } else {
    return $s_sc_IterableLike$class__sameElements__sc_IterableLike__sc_GenIterable__Z($$this, that)
  }
}
function $s_sc_MapLike$class__addString__sc_MapLike__scm_StringBuilder__T__T__T__scm_StringBuilder($$this, b, start, sep, end) {
  var this$2 = $$this.iterator__sc_Iterator();
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1) {
    return (function(x0$1$2) {
      var x0$1 = $as_T2(x0$1$2);
      if ((x0$1 !== null)) {
        var k = x0$1.$$und1$f;
        var v = x0$1.$$und2$f;
        return (("" + $m_s_Predef$any2stringadd$().$$plus$extension__O__T__T(k, " -> ")) + v)
      } else {
        throw new $c_s_MatchError().init___O(x0$1)
      }
    })
  })($$this));
  var this$3 = new $c_sc_Iterator$$anon$11().init___sc_Iterator__F1(this$2, f);
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this$3, b, start, sep, end)
}
function $s_sc_MapLike$class__apply__sc_MapLike__O__O($$this, key) {
  var x1 = $$this.get__O__s_Option(key);
  var x = $m_s_None$();
  if ((x === x1)) {
    return $s_sc_MapLike$class__$default__sc_MapLike__O__O($$this, key)
  } else if ($is_s_Some(x1)) {
    var x2 = $as_s_Some(x1);
    var value = x2.x$2;
    return value
  } else {
    throw new $c_s_MatchError().init___O(x1)
  }
}
function $s_sc_MapLike$class__isEmpty__sc_MapLike__Z($$this) {
  return ($$this.size__I() === 0)
}
function $s_sc_MapLike$class__contains__sc_MapLike__O__Z($$this, key) {
  return $$this.get__O__s_Option(key).isDefined__Z()
}
function $s_sc_MapLike$class__$default__sc_MapLike__O__O($$this, key) {
  throw new $c_ju_NoSuchElementException().init___T(("key not found: " + key))
}
function $s_sc_SeqLike$class__isEmpty__sc_SeqLike__Z($$this) {
  return ($$this.lengthCompare__I__I(0) === 0)
}
function $s_sc_SeqLike$class__reverse__sc_SeqLike__O($$this) {
  var elem = $m_sci_Nil$();
  var xs = new $c_sr_ObjectRef().init___O(elem);
  $$this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, xs$1) {
    return (function(x$2) {
      var this$2 = $as_sci_List(xs$1.elem$1);
      xs$1.elem$1 = new $c_sci_$colon$colon().init___O__sci_List(x$2, this$2)
    })
  })($$this, xs)));
  var b = $$this.newBuilder__scm_Builder();
  $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__V(b, $$this);
  var this$3 = $as_sci_List(xs.elem$1);
  var these = this$3;
  while ((!these.isEmpty__Z())) {
    var arg1 = these.head__O();
    b.$$plus$eq__O__scm_Builder(arg1);
    var this$4 = these;
    these = this$4.tail__sci_List()
  };
  return b.result__O()
}
function $s_sc_SeqLike$class__reverseIterator__sc_SeqLike__sc_Iterator($$this) {
  return $$this.toCollection__O__sc_Seq($$this.reverse__O()).iterator__sc_Iterator()
}
function $s_sc_SetLike$class__isEmpty__sc_SetLike__Z($$this) {
  return ($$this.size__I() === 0)
}
function $s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O($$this, cbf) {
  var b = cbf.apply__scm_Builder();
  $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__V(b, $$this);
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($$this.thisCollection__sc_Traversable());
  return b.result__O()
}
function $s_sc_TraversableLike$class__toString__sc_TraversableLike__T($$this) {
  return $$this.mkString__T__T__T__T(($$this.stringPrefix__T() + "("), ", ", ")")
}
function $s_sc_TraversableLike$class__flatMap__sc_TraversableLike__F1__scg_CanBuildFrom__O($$this, f, bf) {
  var b = bf.apply__O__scm_Builder($$this.repr__O());
  $$this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, b$1, f$1) {
    return (function(x$2) {
      return $as_scm_Builder(b$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($as_sc_GenTraversableOnce(f$1.apply__O__O(x$2)).seq__sc_TraversableOnce()))
    })
  })($$this, b, f)));
  return b.result__O()
}
function $s_sc_TraversableLike$class__$$plus$plus__sc_TraversableLike__sc_GenTraversableOnce__scg_CanBuildFrom__O($$this, that, bf) {
  var b = bf.apply__O__scm_Builder($$this.repr__O());
  if ($is_sc_IndexedSeqLike(that)) {
    var delta = that.seq__sc_TraversableOnce().size__I();
    $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__I__V(b, $$this, delta)
  };
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($$this.thisCollection__sc_Traversable());
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(that.seq__sc_TraversableOnce());
  return b.result__O()
}
function $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder($$this, bf$1) {
  var b = bf$1.apply__O__scm_Builder($$this.repr__O());
  $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__V(b, $$this);
  return b
}
function $s_sc_TraversableLike$class__stringPrefix__sc_TraversableLike__T($$this) {
  var this$1 = $$this.repr__O();
  var string = $objectGetClass(this$1).getName__T();
  var idx1 = $m_sjsr_RuntimeString$().lastIndexOf__T__I__I(string, 46);
  if ((idx1 !== (-1))) {
    var thiz = string;
    var beginIndex = ((1 + idx1) | 0);
    string = $as_T(thiz.substring(beginIndex))
  };
  var idx2 = $m_sjsr_RuntimeString$().indexOf__T__I__I(string, 36);
  if ((idx2 !== (-1))) {
    var thiz$1 = string;
    string = $as_T(thiz$1.substring(0, idx2))
  };
  return string
}
function $s_sc_TraversableOnce$class__to__sc_TraversableOnce__scg_CanBuildFrom__O($$this, cbf) {
  var b = cbf.apply__scm_Builder();
  b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable($$this.seq__sc_TraversableOnce());
  return b.result__O()
}
function $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder($$this, b, start, sep, end) {
  var first = new $c_sr_BooleanRef().init___Z(true);
  b.append__T__scm_StringBuilder(start);
  $$this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, first$1, b$1, sep$1) {
    return (function(x$2) {
      if (first$1.elem$1) {
        b$1.append__O__scm_StringBuilder(x$2);
        first$1.elem$1 = false;
        return (void 0)
      } else {
        b$1.append__T__scm_StringBuilder(sep$1);
        return b$1.append__O__scm_StringBuilder(x$2)
      }
    })
  })($$this, first, b, sep)));
  b.append__T__scm_StringBuilder(end);
  return b
}
function $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T($$this, start, sep, end) {
  var this$1 = $$this.addString__scm_StringBuilder__T__T__T__scm_StringBuilder(new $c_scm_StringBuilder().init___(), start, sep, end);
  var this$2 = this$1.underlying$5;
  return this$2.content$1
}
function $s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z($$this) {
  return (!$$this.isEmpty__Z())
}
function $s_sc_TraversableOnce$class__size__sc_TraversableOnce__I($$this) {
  var result = new $c_sr_IntRef().init___I(0);
  $$this.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1, result$1) {
    return (function(x$2) {
      result$1.elem$1 = ((1 + result$1.elem$1) | 0)
    })
  })($$this, result)));
  return result.elem$1
}
function $s_scg_Growable$class__loop$1__p0__scg_Growable__sc_LinearSeq__V($$this, xs) {
  _loop: while (true) {
    var this$1 = xs;
    if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)) {
      $$this.$$plus$eq__O__scg_Growable(xs.head__O());
      xs = $as_sc_LinearSeq(xs.tail__O());
      continue _loop
    };
    break
  }
}
function $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable($$this, xs) {
  if ($is_sc_LinearSeq(xs)) {
    var x2 = $as_sc_LinearSeq(xs);
    $s_scg_Growable$class__loop$1__p0__scg_Growable__sc_LinearSeq__V($$this, x2)
  } else {
    xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($$this$1) {
      return (function(elem$2) {
        return $$this$1.$$plus$eq__O__scg_Growable(elem$2)
      })
    })($$this)))
  };
  return $$this
}
function $s_sci_VectorPointer$class__getElem__sci_VectorPointer__I__I__O($$this, index, xor) {
  if ((xor < 32)) {
    return $$this.display0__AO().get((31 & index))
  } else if ((xor < 1024)) {
    return $asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1).get((31 & index))
  } else if ((xor < 32768)) {
    return $asArrayOf_O($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1).get((31 & (index >> 5))), 1).get((31 & index))
  } else if ((xor < 1048576)) {
    return $asArrayOf_O($asArrayOf_O($asArrayOf_O($$this.display3__AO().get((31 & (index >> 15))), 1).get((31 & (index >> 10))), 1).get((31 & (index >> 5))), 1).get((31 & index))
  } else if ((xor < 33554432)) {
    return $asArrayOf_O($asArrayOf_O($asArrayOf_O($asArrayOf_O($$this.display4__AO().get((31 & (index >> 20))), 1).get((31 & (index >> 15))), 1).get((31 & (index >> 10))), 1).get((31 & (index >> 5))), 1).get((31 & index))
  } else if ((xor < 1073741824)) {
    return $asArrayOf_O($asArrayOf_O($asArrayOf_O($asArrayOf_O($asArrayOf_O($$this.display5__AO().get((31 & (index >> 25))), 1).get((31 & (index >> 20))), 1).get((31 & (index >> 15))), 1).get((31 & (index >> 10))), 1).get((31 & (index >> 5))), 1).get((31 & index))
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
}
function $s_sci_VectorPointer$class__gotoNextBlockStartWritable__sci_VectorPointer__I__I__V($$this, index, xor) {
  if ((xor < 1024)) {
    if (($$this.depth__I() === 1)) {
      $$this.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $$this.display1__AO().set(0, $$this.display0__AO());
      $$this.depth$und$eq__I__V(((1 + $$this.depth__I()) | 0))
    };
    $$this.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO())
  } else if ((xor < 32768)) {
    if (($$this.depth__I() === 2)) {
      $$this.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $$this.display2__AO().set(0, $$this.display1__AO());
      $$this.depth$und$eq__I__V(((1 + $$this.depth__I()) | 0))
    };
    $$this.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
    $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO())
  } else if ((xor < 1048576)) {
    if (($$this.depth__I() === 3)) {
      $$this.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $$this.display3__AO().set(0, $$this.display2__AO());
      $$this.depth$und$eq__I__V(((1 + $$this.depth__I()) | 0))
    };
    $$this.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
    $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
    $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO())
  } else if ((xor < 33554432)) {
    if (($$this.depth__I() === 4)) {
      $$this.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $$this.display4__AO().set(0, $$this.display3__AO());
      $$this.depth$und$eq__I__V(((1 + $$this.depth__I()) | 0))
    };
    $$this.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
    $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
    $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO());
    $$this.display4__AO().set((31 & (index >> 20)), $$this.display3__AO())
  } else if ((xor < 1073741824)) {
    if (($$this.depth__I() === 5)) {
      $$this.display5$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
      $$this.display5__AO().set(0, $$this.display4__AO());
      $$this.depth$und$eq__I__V(((1 + $$this.depth__I()) | 0))
    };
    $$this.display0$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display2$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display3$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display4$und$eq__AO__V($newArrayObject($d_O.getArrayOf(), [32]));
    $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
    $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
    $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO());
    $$this.display4__AO().set((31 & (index >> 20)), $$this.display3__AO());
    $$this.display5__AO().set((31 & (index >> 25)), $$this.display4__AO())
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
}
function $s_sci_VectorPointer$class__stabilize__sci_VectorPointer__I__V($$this, index) {
  var x1 = (((-1) + $$this.depth__I()) | 0);
  switch (x1) {
    case 5: {
      var a = $$this.display5__AO();
      $$this.display5$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a));
      var a$1 = $$this.display4__AO();
      $$this.display4$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$1));
      var a$2 = $$this.display3__AO();
      $$this.display3$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$2));
      var a$3 = $$this.display2__AO();
      $$this.display2$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$3));
      var a$4 = $$this.display1__AO();
      $$this.display1$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$4));
      $$this.display5__AO().set((31 & (index >> 25)), $$this.display4__AO());
      $$this.display4__AO().set((31 & (index >> 20)), $$this.display3__AO());
      $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO());
      $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
      $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
      break
    }
    case 4: {
      var a$5 = $$this.display4__AO();
      $$this.display4$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$5));
      var a$6 = $$this.display3__AO();
      $$this.display3$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$6));
      var a$7 = $$this.display2__AO();
      $$this.display2$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$7));
      var a$8 = $$this.display1__AO();
      $$this.display1$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$8));
      $$this.display4__AO().set((31 & (index >> 20)), $$this.display3__AO());
      $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO());
      $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
      $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
      break
    }
    case 3: {
      var a$9 = $$this.display3__AO();
      $$this.display3$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$9));
      var a$10 = $$this.display2__AO();
      $$this.display2$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$10));
      var a$11 = $$this.display1__AO();
      $$this.display1$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$11));
      $$this.display3__AO().set((31 & (index >> 15)), $$this.display2__AO());
      $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
      $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
      break
    }
    case 2: {
      var a$12 = $$this.display2__AO();
      $$this.display2$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$12));
      var a$13 = $$this.display1__AO();
      $$this.display1$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$13));
      $$this.display2__AO().set((31 & (index >> 10)), $$this.display1__AO());
      $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
      break
    }
    case 1: {
      var a$14 = $$this.display1__AO();
      $$this.display1$und$eq__AO__V($s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a$14));
      $$this.display1__AO().set((31 & (index >> 5)), $$this.display0__AO());
      break
    }
    case 0: {
      break
    }
    default: {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
}
function $s_sci_VectorPointer$class__initFrom__sci_VectorPointer__sci_VectorPointer__I__V($$this, that, depth) {
  $$this.depth$und$eq__I__V(depth);
  var x1 = (((-1) + depth) | 0);
  switch (x1) {
    case (-1): {
      break
    }
    case 0: {
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 1: {
      $$this.display1$und$eq__AO__V(that.display1__AO());
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 2: {
      $$this.display2$und$eq__AO__V(that.display2__AO());
      $$this.display1$und$eq__AO__V(that.display1__AO());
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 3: {
      $$this.display3$und$eq__AO__V(that.display3__AO());
      $$this.display2$und$eq__AO__V(that.display2__AO());
      $$this.display1$und$eq__AO__V(that.display1__AO());
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 4: {
      $$this.display4$und$eq__AO__V(that.display4__AO());
      $$this.display3$und$eq__AO__V(that.display3__AO());
      $$this.display2$und$eq__AO__V(that.display2__AO());
      $$this.display1$und$eq__AO__V(that.display1__AO());
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    case 5: {
      $$this.display5$und$eq__AO__V(that.display5__AO());
      $$this.display4$und$eq__AO__V(that.display4__AO());
      $$this.display3$und$eq__AO__V(that.display3__AO());
      $$this.display2$und$eq__AO__V(that.display2__AO());
      $$this.display1$und$eq__AO__V(that.display1__AO());
      $$this.display0$und$eq__AO__V(that.display0__AO());
      break
    }
    default: {
      throw new $c_s_MatchError().init___O(x1)
    }
  }
}
function $s_sci_VectorPointer$class__gotoNextBlockStart__sci_VectorPointer__I__I__V($$this, index, xor) {
  if ((xor < 1024)) {
    $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
  } else if ((xor < 32768)) {
    $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1));
    $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get(0), 1))
  } else if ((xor < 1048576)) {
    $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get((31 & (index >> 15))), 1));
    $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get(0), 1));
    $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get(0), 1))
  } else if ((xor < 33554432)) {
    $$this.display3$und$eq__AO__V($asArrayOf_O($$this.display4__AO().get((31 & (index >> 20))), 1));
    $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get(0), 1));
    $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get(0), 1));
    $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get(0), 1))
  } else if ((xor < 1073741824)) {
    $$this.display4$und$eq__AO__V($asArrayOf_O($$this.display5__AO().get((31 & (index >> 25))), 1));
    $$this.display3$und$eq__AO__V($asArrayOf_O($$this.display4__AO().get(0), 1));
    $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get(0), 1));
    $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get(0), 1));
    $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get(0), 1))
  } else {
    throw new $c_jl_IllegalArgumentException().init___()
  }
}
function $s_sci_VectorPointer$class__gotoPos__sci_VectorPointer__I__I__V($$this, index, xor) {
  if ((xor >= 32)) {
    if ((xor < 1024)) {
      $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
    } else if ((xor < 32768)) {
      $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1));
      $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
    } else if ((xor < 1048576)) {
      $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get((31 & (index >> 15))), 1));
      $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1));
      $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
    } else if ((xor < 33554432)) {
      $$this.display3$und$eq__AO__V($asArrayOf_O($$this.display4__AO().get((31 & (index >> 20))), 1));
      $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get((31 & (index >> 15))), 1));
      $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1));
      $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
    } else if ((xor < 1073741824)) {
      $$this.display4$und$eq__AO__V($asArrayOf_O($$this.display5__AO().get((31 & (index >> 25))), 1));
      $$this.display3$und$eq__AO__V($asArrayOf_O($$this.display4__AO().get((31 & (index >> 20))), 1));
      $$this.display2$und$eq__AO__V($asArrayOf_O($$this.display3__AO().get((31 & (index >> 15))), 1));
      $$this.display1$und$eq__AO__V($asArrayOf_O($$this.display2__AO().get((31 & (index >> 10))), 1));
      $$this.display0$und$eq__AO__V($asArrayOf_O($$this.display1__AO().get((31 & (index >> 5))), 1))
    } else {
      throw new $c_jl_IllegalArgumentException().init___()
    }
  }
}
function $s_sci_VectorPointer$class__copyOf__sci_VectorPointer__AO__AO($$this, a) {
  var b = $newArrayObject($d_O.getArrayOf(), [a.u.length]);
  var length = a.u.length;
  $systemArraycopy(a, 0, b, 0, length);
  return b
}
function $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__V($$this, coll) {
  if ($is_sc_IndexedSeqLike(coll)) {
    $$this.sizeHint__I__V(coll.size__I())
  }
}
function $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__I__V($$this, coll, delta) {
  if ($is_sc_IndexedSeqLike(coll)) {
    $$this.sizeHint__I__V(((coll.size__I() + delta) | 0))
  }
}
function $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V($$this, size, boundingColl) {
  if ($is_sc_IndexedSeqLike(boundingColl)) {
    var that = boundingColl.size__I();
    $$this.sizeHint__I__V(((size < that) ? size : that))
  }
}
function $s_scm_FlatHashTable$HashUtils$class__improve__scm_FlatHashTable$HashUtils__I__I__I($$this, hcode, seed) {
  var i = $m_s_util_hashing_package$().byteswap32__I__I(hcode);
  return (((i >>> seed) | 0) | (i << ((-seed) | 0)))
}
function $s_scm_FlatHashTable$HashUtils$class__entryToElem__scm_FlatHashTable$HashUtils__O__O($$this, entry) {
  return ((entry === $m_scm_FlatHashTable$NullSentinel$()) ? null : entry)
}
function $s_scm_FlatHashTable$HashUtils$class__elemToEntry__scm_FlatHashTable$HashUtils__O__O($$this, elem) {
  return ((elem === null) ? $m_scm_FlatHashTable$NullSentinel$() : elem)
}
function $s_scm_FlatHashTable$class__growTable__p0__scm_FlatHashTable__V($$this) {
  var oldtable = $$this.table$5;
  $$this.table$5 = $newArrayObject($d_O.getArrayOf(), [($$this.table$5.u.length << 1)]);
  $$this.tableSize$5 = 0;
  var tableLength = $$this.table$5.u.length;
  $s_scm_FlatHashTable$class__nnSizeMapReset__scm_FlatHashTable__I__V($$this, tableLength);
  $$this.seedvalue$5 = $s_scm_FlatHashTable$class__tableSizeSeed__scm_FlatHashTable__I($$this);
  $$this.threshold$5 = $m_scm_FlatHashTable$().newThreshold__I__I__I($$this.$$undloadFactor$5, $$this.table$5.u.length);
  var i = 0;
  while ((i < oldtable.u.length)) {
    var entry = oldtable.get(i);
    if ((entry !== null)) {
      $s_scm_FlatHashTable$class__addEntry__scm_FlatHashTable__O__Z($$this, entry)
    };
    i = ((1 + i) | 0)
  }
}
function $s_scm_FlatHashTable$class__calcSizeMapSize__scm_FlatHashTable__I__I($$this, tableLength) {
  return ((1 + (tableLength >> 5)) | 0)
}
function $s_scm_FlatHashTable$class__nnSizeMapAdd__scm_FlatHashTable__I__V($$this, h) {
  if (($$this.sizemap$5 !== null)) {
    var p = (h >> 5);
    var ev$1 = $$this.sizemap$5;
    ev$1.set(p, ((1 + ev$1.get(p)) | 0))
  }
}
function $s_scm_FlatHashTable$class__$$init$__scm_FlatHashTable__V($$this) {
  $$this.$$undloadFactor$5 = 450;
  $$this.table$5 = $newArrayObject($d_O.getArrayOf(), [$s_scm_FlatHashTable$class__capacity__scm_FlatHashTable__I__I($$this, 32)]);
  $$this.tableSize$5 = 0;
  $$this.threshold$5 = $m_scm_FlatHashTable$().newThreshold__I__I__I($$this.$$undloadFactor$5, $s_scm_FlatHashTable$class__capacity__scm_FlatHashTable__I__I($$this, 32));
  $$this.sizemap$5 = null;
  $$this.seedvalue$5 = $s_scm_FlatHashTable$class__tableSizeSeed__scm_FlatHashTable__I($$this)
}
function $s_scm_FlatHashTable$class__findElemImpl__p0__scm_FlatHashTable__O__O($$this, elem) {
  var searchEntry = $s_scm_FlatHashTable$HashUtils$class__elemToEntry__scm_FlatHashTable$HashUtils__O__O($$this, elem);
  var hcode = $objectHashCode(searchEntry);
  var h = $s_scm_FlatHashTable$class__index__scm_FlatHashTable__I__I($$this, hcode);
  var curEntry = $$this.table$5.get(h);
  while (((curEntry !== null) && (!$m_sr_BoxesRunTime$().equals__O__O__Z(curEntry, searchEntry)))) {
    h = ((((1 + h) | 0) % $$this.table$5.u.length) | 0);
    curEntry = $$this.table$5.get(h)
  };
  return curEntry
}
function $s_scm_FlatHashTable$class__addEntry__scm_FlatHashTable__O__Z($$this, newEntry) {
  var hcode = $objectHashCode(newEntry);
  var h = $s_scm_FlatHashTable$class__index__scm_FlatHashTable__I__I($$this, hcode);
  var curEntry = $$this.table$5.get(h);
  while ((curEntry !== null)) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(curEntry, newEntry)) {
      return false
    };
    h = ((((1 + h) | 0) % $$this.table$5.u.length) | 0);
    curEntry = $$this.table$5.get(h)
  };
  $$this.table$5.set(h, newEntry);
  $$this.tableSize$5 = ((1 + $$this.tableSize$5) | 0);
  var h$1 = h;
  $s_scm_FlatHashTable$class__nnSizeMapAdd__scm_FlatHashTable__I__V($$this, h$1);
  if (($$this.tableSize$5 >= $$this.threshold$5)) {
    $s_scm_FlatHashTable$class__growTable__p0__scm_FlatHashTable__V($$this)
  };
  return true
}
function $s_scm_FlatHashTable$class__addElem__scm_FlatHashTable__O__Z($$this, elem) {
  var newEntry = $s_scm_FlatHashTable$HashUtils$class__elemToEntry__scm_FlatHashTable$HashUtils__O__O($$this, elem);
  return $s_scm_FlatHashTable$class__addEntry__scm_FlatHashTable__O__Z($$this, newEntry)
}
function $s_scm_FlatHashTable$class__index__scm_FlatHashTable__I__I($$this, hcode) {
  var seed = $$this.seedvalue$5;
  var improved = $s_scm_FlatHashTable$HashUtils$class__improve__scm_FlatHashTable$HashUtils__I__I__I($$this, hcode, seed);
  var ones = (((-1) + $$this.table$5.u.length) | 0);
  return (((improved >>> ((32 - $m_jl_Integer$().bitCount__I__I(ones)) | 0)) | 0) & ones)
}
function $s_scm_FlatHashTable$class__capacity__scm_FlatHashTable__I__I($$this, expectedSize) {
  return ((expectedSize === 0) ? 1 : $m_scm_HashTable$().powerOfTwo__I__I(expectedSize))
}
function $s_scm_FlatHashTable$class__tableSizeSeed__scm_FlatHashTable__I($$this) {
  return $m_jl_Integer$().bitCount__I__I((((-1) + $$this.table$5.u.length) | 0))
}
function $s_scm_FlatHashTable$class__nnSizeMapReset__scm_FlatHashTable__I__V($$this, tableLength) {
  if (($$this.sizemap$5 !== null)) {
    var nsize = $s_scm_FlatHashTable$class__calcSizeMapSize__scm_FlatHashTable__I__I($$this, tableLength);
    if (($$this.sizemap$5.u.length !== nsize)) {
      $$this.sizemap$5 = $newArrayObject($d_I.getArrayOf(), [nsize])
    } else {
      $m_ju_Arrays$().fill__AI__I__V($$this.sizemap$5, 0)
    }
  }
}
function $s_scm_FlatHashTable$class__initWithContents__scm_FlatHashTable__scm_FlatHashTable$Contents__V($$this, c) {
  if ((c !== null)) {
    $$this.$$undloadFactor$5 = c.loadFactor__I();
    $$this.table$5 = c.table__AO();
    $$this.tableSize$5 = c.tableSize__I();
    $$this.threshold$5 = c.threshold__I();
    $$this.seedvalue$5 = c.seedvalue__I();
    $$this.sizemap$5 = c.sizemap__AI()
  }
}
function $s_scm_FlatHashTable$class__containsElem__scm_FlatHashTable__O__Z($$this, elem) {
  return ($s_scm_FlatHashTable$class__findElemImpl__p0__scm_FlatHashTable__O__O($$this, elem) !== null)
}
function $s_scm_ResizableArray$class__copyToArray__scm_ResizableArray__O__I__I__V($$this, xs, start, len) {
  var that = (($m_sr_ScalaRunTime$().array$undlength__O__I(xs) - start) | 0);
  var x = ((len < that) ? len : that);
  var that$1 = $$this.size0$6;
  var len1 = ((x < that$1) ? x : that$1);
  $m_s_Array$().copy__O__I__O__I__I__V($$this.array$6, 0, xs, start, len1)
}
function $s_scm_ResizableArray$class__ensureSize__scm_ResizableArray__I__V($$this, n) {
  var value = $$this.array$6.u.length;
  var hi = (value >> 31);
  var hi$1 = (n >> 31);
  if (((hi$1 === hi) ? (((-2147483648) ^ n) > ((-2147483648) ^ value)) : (hi$1 > hi))) {
    var lo = (value << 1);
    var hi$2 = (((value >>> 31) | 0) | (hi << 1));
    var newSize_$_lo$2 = lo;
    var newSize_$_hi$2 = hi$2;
    while (true) {
      var hi$3 = (n >> 31);
      var b_$_lo$2 = newSize_$_lo$2;
      var b_$_hi$2 = newSize_$_hi$2;
      var bhi = b_$_hi$2;
      if (((hi$3 === bhi) ? (((-2147483648) ^ n) > ((-2147483648) ^ b_$_lo$2)) : (hi$3 > bhi))) {
        var this$1_$_lo$2 = newSize_$_lo$2;
        var this$1_$_hi$2 = newSize_$_hi$2;
        var lo$1 = (this$1_$_lo$2 << 1);
        var hi$4 = (((this$1_$_lo$2 >>> 31) | 0) | (this$1_$_hi$2 << 1));
        var jsx$1_$_lo$2 = lo$1;
        var jsx$1_$_hi$2 = hi$4;
        newSize_$_lo$2 = jsx$1_$_lo$2;
        newSize_$_hi$2 = jsx$1_$_hi$2
      } else {
        break
      }
    };
    var this$2_$_lo$2 = newSize_$_lo$2;
    var this$2_$_hi$2 = newSize_$_hi$2;
    var ahi = this$2_$_hi$2;
    if (((ahi === 0) ? (((-2147483648) ^ this$2_$_lo$2) > (-1)) : (ahi > 0))) {
      var jsx$2_$_lo$2 = 2147483647;
      var jsx$2_$_hi$2 = 0;
      newSize_$_lo$2 = jsx$2_$_lo$2;
      newSize_$_hi$2 = jsx$2_$_hi$2
    };
    var this$3_$_lo$2 = newSize_$_lo$2;
    var this$3_$_hi$2 = newSize_$_hi$2;
    var newArray = $newArrayObject($d_O.getArrayOf(), [this$3_$_lo$2]);
    var src = $$this.array$6;
    var length = $$this.size0$6;
    $systemArraycopy(src, 0, newArray, 0, length);
    $$this.array$6 = newArray
  }
}
function $s_scm_ResizableArray$class__foreach__scm_ResizableArray__F1__V($$this, f) {
  var i = 0;
  var top = $$this.size0$6;
  while ((i < top)) {
    f.apply__O__O($$this.array$6.get(i));
    i = ((1 + i) | 0)
  }
}
function $s_scm_ResizableArray$class__apply__scm_ResizableArray__I__O($$this, idx) {
  if ((idx >= $$this.size0$6)) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + idx))
  };
  return $$this.array$6.get(idx)
}
function $s_scm_ResizableArray$class__$$init$__scm_ResizableArray__V($$this) {
  var x = $$this.initialSize$6;
  $$this.array$6 = $newArrayObject($d_O.getArrayOf(), [((x > 1) ? x : 1)]);
  $$this.size0$6 = 0
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_BackendService$() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_BackendService$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_BackendService$.prototype.constructor = $c_Lcom_iteration3_smilejs_BackendService$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_BackendService$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_BackendService$.prototype = $c_Lcom_iteration3_smilejs_BackendService$.prototype;
$c_Lcom_iteration3_smilejs_BackendService$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.createRequestHeader__p1__Z__sci_Map = (function(multiPart) {
  if (multiPart) {
    var contentType = $as_sci_Map($m_s_Predef$().Map$2.apply__sc_Seq__sc_GenMap($m_sci_Nil$()))
  } else {
    var array = [new $c_T2().init___O__O("Content-Type", "application/json")];
    var this$4 = new $c_scm_MapBuilder().init___sc_GenMap($m_sci_Map$EmptyMap$());
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      this$4.$$plus$eq__T2__scm_MapBuilder($as_T2(arg1));
      i = ((1 + i) | 0)
    };
    var contentType = $as_sci_Map(this$4.elems$1)
  };
  var smileAuthToken = $as_T($m_Lorg_scalajs_dom_package$().window__Lorg_scalajs_dom_raw_Window().sessionStorage.getItem("smile_auth_token"));
  var smileAuthTokenDefined = ((smileAuthToken !== (void 0)) && (smileAuthToken !== null));
  return (smileAuthTokenDefined ? contentType.$$plus__T2__sci_Map(new $c_T2().init___O__O("smile_auth_token", smileAuthToken)) : contentType)
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future = (function(url, input, multiPart, evidence$18, evidence$19) {
  var this$6 = this.getString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(url, input, multiPart, evidence$18);
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(evidence$19$1) {
    return (function(x0$8$2) {
      var x0$8 = $as_T2(x0$8$2);
      if ((x0$8 !== null)) {
        var xhr = x0$8.$$und1$f;
        var p2 = $as_s_util_Either(x0$8.$$und2$f);
        if ($is_s_util_Left(p2)) {
          var x3 = $as_s_util_Left(p2);
          var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x3.a$2);
          return new $c_T2().init___O__O(xhr, ($m_s_package$(), new $c_s_util_Left().init___O(error)))
        }
      };
      if ((x0$8 !== null)) {
        var xhr$2 = x0$8.$$und1$f;
        var p4 = $as_s_util_Either(x0$8.$$und2$f);
        if ($is_s_util_Right(p4)) {
          var x5 = $as_s_util_Right(p4);
          var outputString = $as_T(x5.b$2);
          $m_s_package$();
          var b = $s_Lcom_iteration3_smilejs_FromJs$class__fromJsonStringToList__Lcom_iteration3_smilejs_FromJs__T__sci_List(evidence$19$1, outputString);
          var y = new $c_s_util_Right().init___O(b);
          return new $c_T2().init___O__O(xhr$2, y)
        }
      };
      throw new $c_s_MatchError().init___O(x0$8)
    })
  })(evidence$19));
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  return $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this$6, f, executor)
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future = (function(url, input, multiPart, evidence$5) {
  if (multiPart) {
    var b = evidence$5.toJs__O__sjs_js_Dynamic(input);
    var x$3 = this.createRequestHeader__p1__Z__sci_Map(multiPart);
    var this$3 = $m_Lorg_scalajs_dom_ext_Ajax$();
    var ret = this$3.apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future("POST", url, b, 0, x$3, false, "")
  } else {
    var s = $s_Lcom_iteration3_smilejs_ToJs$class__toJsonString__Lcom_iteration3_smilejs_ToJs__O__T(evidence$5, input);
    var x$9 = this.createRequestHeader__p1__Z__sci_Map(multiPart);
    var this$6 = $m_Lorg_scalajs_dom_ext_Ajax$();
    var ret = this$6.apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future("POST", url, s, 0, x$9, false, "")
  };
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(xhr$2) {
    var y = $m_Lcom_iteration3_smilejs_BackendService$().com$iteration3$smilejs$BackendService$$processOutput__Lorg_scalajs_dom_raw_XMLHttpRequest__s_util_Either(xhr$2);
    return new $c_T2().init___O__O(xhr$2, y)
  }));
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  var this$9 = $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(ret, f, executor);
  var pf = new $c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1().init___();
  var executor$1 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  return $s_s_concurrent_Future$class__recover__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(this$9, pf, executor$1)
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.com$iteration3$smilejs$BackendService$$processOutput__Lorg_scalajs_dom_raw_XMLHttpRequest__s_util_Either = (function(xhr) {
  if ((($uI(xhr.status) >= 200) && ($uI(xhr.status) <= 210))) {
    $m_s_package$();
    var b = $as_T(xhr.responseText);
    return new $c_s_util_Right().init___O(b)
  } else {
    var x1 = $uI(xhr.status);
    switch (x1) {
      case 401: {
        var errorResponse = new $c_Lcom_iteration3_smilejs_Unauthorized().init___T($as_T(xhr.responseText));
        break
      }
      case 403: {
        var errorResponse = new $c_Lcom_iteration3_smilejs_Forbidden().init___T($as_T(xhr.responseText));
        break
      }
      case 500: {
        var errorResponse = new $c_Lcom_iteration3_smilejs_ServerError().init___T($as_T(xhr.responseText));
        break
      }
      case 502: {
        try {
          var x = $as_T(xhr.responseText);
          var this$4 = new $c_sci_StringOps().init___T(x);
          var this$6 = $m_jl_Integer$();
          var $$this = this$4.repr$1;
          var this$7 = new $c_s_util_Success().init___O(this$6.parseInt__T__I__I($$this, 10))
        } catch (e) {
          var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
          if ((e$2 !== null)) {
            matchEnd8: {
              var this$7;
              var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
              if ((!o11.isEmpty__Z())) {
                var e$3 = $as_jl_Throwable(o11.get__O());
                var this$7 = new $c_s_util_Failure().init___jl_Throwable(e$3);
                break matchEnd8
              };
              throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
            }
          } else {
            var this$7;
            throw e
          }
        };
        var errorResponse = new $c_Lcom_iteration3_smilejs_ServerTimeout().init___I($uI((this$7.isSuccess__Z() ? this$7.get__O() : 0)));
        break
      }
      case 400: {
        var errorResponse = $m_Lcom_iteration3_smilejs_ClientExceptions$().fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientExceptions($g.JSON.parse($as_T(xhr.responseText)));
        break
      }
      case 412: {
        var errorResponse = $m_Lcom_iteration3_smilejs_ClientErrors$().fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientErrors($g.JSON.parse($as_T(xhr.responseText)));
        break
      }
      default: {
        var errorResponse = new $c_Lcom_iteration3_smilejs_OtherResponse().init___T__I($as_T(xhr.responseText), x1)
      }
    };
    $m_s_package$();
    return new $c_s_util_Left().init___O(errorResponse)
  }
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.getString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future = (function(url, input, multiPart, evidence$20) {
  var queryString = $g.toSmileParam(evidence$20.toJs__O__sjs_js_Dynamic(input));
  var this$6 = $m_Lorg_scalajs_dom_ext_Ajax$();
  var url$1 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", "?", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([url, queryString]));
  var headers = $m_sci_Map$EmptyMap$();
  var ret = this$6.apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future("GET", url$1, null, 0, headers, false, "");
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(xhr$2) {
    var y = $m_Lcom_iteration3_smilejs_BackendService$().com$iteration3$smilejs$BackendService$$processOutput__Lorg_scalajs_dom_raw_XMLHttpRequest__s_util_Either(xhr$2);
    return new $c_T2().init___O__O(xhr$2, y)
  }));
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  var this$9 = $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(ret, f, executor);
  var pf = new $c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1().init___();
  var executor$1 = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  return $s_s_concurrent_Future$class__recover__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__s_concurrent_Future(this$9, pf, executor$1)
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future = (function(url, input, multiPart, evidence$16, evidence$17) {
  var this$6 = this.getString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(url, input, multiPart, evidence$16);
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(evidence$17$1) {
    return (function(x0$7$2) {
      var x0$7 = $as_T2(x0$7$2);
      if ((x0$7 !== null)) {
        var xhr = x0$7.$$und1$f;
        var p2 = $as_s_util_Either(x0$7.$$und2$f);
        if ($is_s_util_Left(p2)) {
          var x3 = $as_s_util_Left(p2);
          var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x3.a$2);
          return new $c_T2().init___O__O(xhr, ($m_s_package$(), new $c_s_util_Left().init___O(error)))
        }
      };
      if ((x0$7 !== null)) {
        var xhr$2 = x0$7.$$und1$f;
        var p4 = $as_s_util_Either(x0$7.$$und2$f);
        if ($is_s_util_Right(p4)) {
          var x5 = $as_s_util_Right(p4);
          var outputString = $as_T(x5.b$2);
          $m_s_package$();
          var b = $s_Lcom_iteration3_smilejs_FromJs$class__fromJsonString__Lcom_iteration3_smilejs_FromJs__T__O(evidence$17$1, outputString);
          var y = new $c_s_util_Right().init___O(b);
          return new $c_T2().init___O__O(xhr$2, y)
        }
      };
      throw new $c_s_MatchError().init___O(x0$7)
    })
  })(evidence$17));
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  return $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this$6, f, executor)
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future = (function(url, input, multiPart, evidence$1, evidence$2) {
  var this$6 = this.postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(url, input, multiPart, evidence$1);
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(evidence$2$1) {
    return (function(x0$1$2) {
      var x0$1 = $as_T2(x0$1$2);
      if ((x0$1 !== null)) {
        var xhr = x0$1.$$und1$f;
        var p2 = $as_s_util_Either(x0$1.$$und2$f);
        if ($is_s_util_Left(p2)) {
          var x3 = $as_s_util_Left(p2);
          var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x3.a$2);
          return new $c_T2().init___O__O(xhr, ($m_s_package$(), new $c_s_util_Left().init___O(error)))
        }
      };
      if ((x0$1 !== null)) {
        var xhr$2 = x0$1.$$und1$f;
        var p4 = $as_s_util_Either(x0$1.$$und2$f);
        if ($is_s_util_Right(p4)) {
          var x5 = $as_s_util_Right(p4);
          var outputString = $as_T(x5.b$2);
          $m_s_package$();
          var b = $s_Lcom_iteration3_smilejs_FromJs$class__fromJsonString__Lcom_iteration3_smilejs_FromJs__T__O(evidence$2$1, outputString);
          var y = new $c_s_util_Right().init___O(b);
          return new $c_T2().init___O__O(xhr$2, y)
        }
      };
      throw new $c_s_MatchError().init___O(x0$1)
    })
  })(evidence$2));
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  return $s_s_concurrent_Future$class__map__s_concurrent_Future__F1__s_concurrent_ExecutionContext__s_concurrent_Future(this$6, f, executor)
});
var $d_Lcom_iteration3_smilejs_BackendService$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_BackendService$: 0
}, false, "com.iteration3.smilejs.BackendService$", {
  Lcom_iteration3_smilejs_BackendService$: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_BackendService$.prototype.$classData = $d_Lcom_iteration3_smilejs_BackendService$;
var $n_Lcom_iteration3_smilejs_BackendService$ = (void 0);
function $m_Lcom_iteration3_smilejs_BackendService$() {
  if ((!$n_Lcom_iteration3_smilejs_BackendService$)) {
    $n_Lcom_iteration3_smilejs_BackendService$ = new $c_Lcom_iteration3_smilejs_BackendService$().init___()
  };
  return $n_Lcom_iteration3_smilejs_BackendService$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_ErrorResponse() {
  $c_O.call(this);
  this.statusCode$1 = 0
}
$c_Lcom_iteration3_smilejs_ErrorResponse.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ErrorResponse.prototype.constructor = $c_Lcom_iteration3_smilejs_ErrorResponse;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ErrorResponse() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ErrorResponse.prototype = $c_Lcom_iteration3_smilejs_ErrorResponse.prototype;
$c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I = (function(statusCode) {
  this.statusCode$1 = statusCode;
  return this
});
function $is_Lcom_iteration3_smilejs_ErrorResponse(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ErrorResponse)))
}
function $as_Lcom_iteration3_smilejs_ErrorResponse(obj) {
  return (($is_Lcom_iteration3_smilejs_ErrorResponse(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ErrorResponse"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ErrorResponse(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ErrorResponse)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ErrorResponse(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ErrorResponse(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ErrorResponse;", depth))
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$() {
  $c_O.call(this);
  this.toJsString$1 = null;
  this.fromJsString$1 = null;
  this.toJsInt$1 = null;
  this.fromJsInt$1 = null;
  this.toJsBoolean$1 = null;
  this.fromJsBoolean$1 = null;
  this.toJsDouble$1 = null;
  this.fromJsDouble$1 = null;
  this.toJsDate$1 = null;
  this.fromJsDate$1 = null
}
$c_Lcom_iteration3_smilejs_package$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$.prototype.constructor = $c_Lcom_iteration3_smilejs_package$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$.prototype = $c_Lcom_iteration3_smilejs_package$.prototype;
$c_Lcom_iteration3_smilejs_package$.prototype.init___ = (function() {
  $n_Lcom_iteration3_smilejs_package$ = this;
  this.toJsString$1 = new $c_Lcom_iteration3_smilejs_package$$anon$1().init___();
  this.fromJsString$1 = new $c_Lcom_iteration3_smilejs_package$$anon$2().init___();
  this.toJsInt$1 = new $c_Lcom_iteration3_smilejs_package$$anon$3().init___();
  this.fromJsInt$1 = new $c_Lcom_iteration3_smilejs_package$$anon$4().init___();
  this.toJsBoolean$1 = new $c_Lcom_iteration3_smilejs_package$$anon$5().init___();
  this.fromJsBoolean$1 = new $c_Lcom_iteration3_smilejs_package$$anon$6().init___();
  this.toJsDouble$1 = new $c_Lcom_iteration3_smilejs_package$$anon$7().init___();
  this.fromJsDouble$1 = new $c_Lcom_iteration3_smilejs_package$$anon$8().init___();
  this.toJsDate$1 = new $c_Lcom_iteration3_smilejs_package$$anon$9().init___();
  this.fromJsDate$1 = new $c_Lcom_iteration3_smilejs_package$$anon$10().init___();
  return this
});
var $d_Lcom_iteration3_smilejs_package$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$: 0
}, false, "com.iteration3.smilejs.package$", {
  Lcom_iteration3_smilejs_package$: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_package$.prototype.$classData = $d_Lcom_iteration3_smilejs_package$;
var $n_Lcom_iteration3_smilejs_package$ = (void 0);
function $m_Lcom_iteration3_smilejs_package$() {
  if ((!$n_Lcom_iteration3_smilejs_package$)) {
    $n_Lcom_iteration3_smilejs_package$ = new $c_Lcom_iteration3_smilejs_package$().init___()
  };
  return $n_Lcom_iteration3_smilejs_package$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_EventBus$() {
  $c_O.call(this);
  this.bus$1 = null;
  this.bitmap$0$1 = false
}
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.constructor = $c_Lcom_iteration3_smilejs_util_EventBus$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_EventBus$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_EventBus$.prototype = $c_Lcom_iteration3_smilejs_util_EventBus$.prototype;
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus = (function() {
  return ((!this.bitmap$0$1) ? this.bus$lzycompute__p1__Lcom_iteration3_smilejs_util_VueEventBus() : this.bus$1)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.$$js$exported$meth$on__T__sjs_js_Function__O = (function(message, f) {
  this.on__T__sjs_js_Function__V(message, f)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.on__T__sjs_js_Function__V = (function(message, f) {
  this.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$on(message, f)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.$$js$exported$meth$emit__T__sc_Seq__O = (function(message, any) {
  this.emit__T__sc_Seq__V(message, any)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.$$js$exported$meth$off__T__O = (function(message) {
  this.off__T__V(message)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.off__T__V = (function(message) {
  this.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$off(message)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.emit__T__sc_Seq__V = (function(message, any) {
  var jsx$1 = this.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus();
  var jsx$4 = jsx$1.$emit;
  var this$1 = $m_sjsr_package$();
  if ($is_sjs_js_ArrayOps(any)) {
    var x2 = $as_sjs_js_ArrayOps(any);
    var jsx$3 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(any)) {
    var x3 = $as_sjs_js_WrappedArray(any);
    var jsx$3 = x3.array$6
  } else {
    var result = [];
    any.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
      return (function(x$2) {
        return $uI(result$1.push(x$2))
      })
    })(this$1, result)));
    var jsx$3 = result
  };
  var jsx$2 = [message].concat(jsx$3);
  jsx$4.apply(jsx$1, jsx$2)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.bus$lzycompute__p1__Lcom_iteration3_smilejs_util_VueEventBus = (function() {
  if ((!this.bitmap$0$1)) {
    this.bus$1 = new $g.Vue();
    this.bitmap$0$1 = true
  };
  return this.bus$1
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.off = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$off__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.on = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = arg$2;
  return this.$$js$exported$meth$on__T__sjs_js_Function__O(prep0, prep1)
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.emit = (function(arg$1) {
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  var prep0 = $as_T(arg$1);
  var prep1 = new $c_sjs_js_WrappedArray().init___sjs_js_Array(arg$rest);
  return this.$$js$exported$meth$emit__T__sc_Seq__O(prep0, prep1)
});
var $d_Lcom_iteration3_smilejs_util_EventBus$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_EventBus$: 0
}, false, "com.iteration3.smilejs.util.EventBus$", {
  Lcom_iteration3_smilejs_util_EventBus$: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_util_EventBus$.prototype.$classData = $d_Lcom_iteration3_smilejs_util_EventBus$;
var $n_Lcom_iteration3_smilejs_util_EventBus$ = (void 0);
function $m_Lcom_iteration3_smilejs_util_EventBus$() {
  if ((!$n_Lcom_iteration3_smilejs_util_EventBus$)) {
    $n_Lcom_iteration3_smilejs_util_EventBus$ = new $c_Lcom_iteration3_smilejs_util_EventBus$().init___()
  };
  return $n_Lcom_iteration3_smilejs_util_EventBus$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_Toastr$() {
  $c_O.call(this);
  this.com$iteration3$smilejs$util$Toastr$$toastr$1 = null
}
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.constructor = $c_Lcom_iteration3_smilejs_util_Toastr$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_Toastr$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_Toastr$.prototype = $c_Lcom_iteration3_smilejs_util_Toastr$.prototype;
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.init___ = (function() {
  $n_Lcom_iteration3_smilejs_util_Toastr$ = this;
  this.com$iteration3$smilejs$util$Toastr$$toastr$1 = $g.toastr;
  return this
});
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.error__T__s_Option__s_Option__V = (function(message, title, options) {
  if ((!options.isEmpty__Z())) {
    var arg1 = options.get__O();
    $m_Lcom_iteration3_smilejs_util_Toastr$().com$iteration3$smilejs$util$Toastr$$toastr$1.options = arg1
  };
  if ($is_s_Some(title)) {
    var x2 = $as_s_Some(title);
    var tit = $as_T(x2.x$2);
    this.com$iteration3$smilejs$util$Toastr$$toastr$1.error(message, tit)
  } else {
    var x = $m_s_None$();
    if ((x === title)) {
      this.com$iteration3$smilejs$util$Toastr$$toastr$1.error(message)
    } else {
      throw new $c_s_MatchError().init___O(title)
    }
  }
});
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.success__T__s_Option__s_Option__V = (function(message, title, options) {
  if ((!options.isEmpty__Z())) {
    var arg1 = options.get__O();
    $m_Lcom_iteration3_smilejs_util_Toastr$().com$iteration3$smilejs$util$Toastr$$toastr$1.options = arg1
  };
  if ($is_s_Some(title)) {
    var x2 = $as_s_Some(title);
    var tit = $as_T(x2.x$2);
    this.com$iteration3$smilejs$util$Toastr$$toastr$1.success(message, tit)
  } else {
    var x = $m_s_None$();
    if ((x === title)) {
      this.com$iteration3$smilejs$util$Toastr$$toastr$1.success(message)
    } else {
      throw new $c_s_MatchError().init___O(title)
    }
  }
});
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.warning__T__s_Option__s_Option__V = (function(message, title, options) {
  if ((!options.isEmpty__Z())) {
    var arg1 = options.get__O();
    $m_Lcom_iteration3_smilejs_util_Toastr$().com$iteration3$smilejs$util$Toastr$$toastr$1.options = arg1
  };
  if ($is_s_Some(title)) {
    var x2 = $as_s_Some(title);
    var tit = $as_T(x2.x$2);
    this.com$iteration3$smilejs$util$Toastr$$toastr$1.warning(message, tit)
  } else {
    var x = $m_s_None$();
    if ((x === title)) {
      this.com$iteration3$smilejs$util$Toastr$$toastr$1.warning(message)
    } else {
      throw new $c_s_MatchError().init___O(title)
    }
  }
});
var $d_Lcom_iteration3_smilejs_util_Toastr$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_Toastr$: 0
}, false, "com.iteration3.smilejs.util.Toastr$", {
  Lcom_iteration3_smilejs_util_Toastr$: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_util_Toastr$.prototype.$classData = $d_Lcom_iteration3_smilejs_util_Toastr$;
var $n_Lcom_iteration3_smilejs_util_Toastr$ = (void 0);
function $m_Lcom_iteration3_smilejs_util_Toastr$() {
  if ((!$n_Lcom_iteration3_smilejs_util_Toastr$)) {
    $n_Lcom_iteration3_smilejs_util_Toastr$ = new $c_Lcom_iteration3_smilejs_util_Toastr$().init___()
  };
  return $n_Lcom_iteration3_smilejs_util_Toastr$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath() {
  $c_O.call(this);
  this.obj$1 = null;
  this.router$1 = null;
  this.bitmap$0$1 = false
}
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.constructor = $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_VRBuilderNamePath() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype = $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype;
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.$$js$exported$meth$push__O = (function() {
  return this.push__sjs_js_Any()
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.replace__sjs_js_Any = (function() {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().replace(this.obj$1)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.push__sjs_js_Any = (function() {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().push(this.obj$1)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.$$js$exported$meth$replace__O = (function() {
  return this.replace__sjs_js_Any()
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.router__p1__Lcom_iteration3_smilejs_util_VueRouter = (function() {
  return ((!this.bitmap$0$1) ? this.router$lzycompute__p1__Lcom_iteration3_smilejs_util_VueRouter() : this.router$1)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.router$lzycompute__p1__Lcom_iteration3_smilejs_util_VueRouter = (function() {
  if ((!this.bitmap$0$1)) {
    this.router$1 = $g.router;
    this.bitmap$0$1 = true
  };
  return this.router$1
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.init___sjs_js_Dynamic__T__T = (function(obj, id, value) {
  this.obj$1 = obj;
  obj[id] = value;
  return this
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.replace = (function() {
  return this.$$js$exported$meth$replace__O()
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.push = (function() {
  return this.$$js$exported$meth$push__O()
});
var $d_Lcom_iteration3_smilejs_util_VRBuilderNamePath = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_VRBuilderNamePath: 0
}, false, "com.iteration3.smilejs.util.VRBuilderNamePath", {
  Lcom_iteration3_smilejs_util_VRBuilderNamePath: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.$classData = $d_Lcom_iteration3_smilejs_util_VRBuilderNamePath;
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_VueRouter$() {
  $c_O.call(this);
  this.router$1 = null;
  this.bitmap$0$1 = false
}
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.constructor = $c_Lcom_iteration3_smilejs_util_VueRouter$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_VueRouter$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_VueRouter$.prototype = $c_Lcom_iteration3_smilejs_util_VueRouter$.prototype;
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.name__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath = (function(name) {
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List($m_sci_Nil$(), $m_sci_Nil$()).name__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(name)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.replace__T__sjs_js_Any = (function(path) {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().replace(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.push__T__sjs_js_Any = (function(path) {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().push(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$param__T__sjs_js_Any__O = (function(name, value) {
  return this.param__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ(name, value)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.query__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(name, value) {
  var x$3 = new $c_T2().init___O__O(name, value);
  var this$3 = $m_sci_Nil$();
  var x$9 = new $c_sci_$colon$colon().init___O__sci_List(x$3, this$3);
  var x$10 = $m_sci_Nil$();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(x$10, x$9)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$query__T2__O = (function(query) {
  return this.query__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ(query)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.param__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(name, value) {
  var x$1 = new $c_T2().init___O__O(name, value);
  var this$3 = $m_sci_Nil$();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(new $c_sci_$colon$colon().init___O__sci_List(x$1, this$3), $m_sci_Nil$())
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.path__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath = (function(path) {
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List($m_sci_Nil$(), $m_sci_Nil$()).path__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.forward__sjs_js_Any = (function() {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().forward()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$forward__O = (function() {
  return this.forward__sjs_js_Any()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$replace__T__O = (function(path) {
  return this.replace__T__sjs_js_Any(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.query__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(query) {
  var this$1 = $m_sci_Nil$();
  var x$11 = new $c_sci_$colon$colon().init___O__sci_List(query, this$1);
  var x$12 = $m_sci_Nil$();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(x$12, x$11)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$query__T__sjs_js_Any__O = (function(name, value) {
  return this.query__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ(name, value)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$path__T__O = (function(path) {
  return this.path__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.param__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(param) {
  var this$1 = $m_sci_Nil$();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(new $c_sci_$colon$colon().init___O__sci_List(param, this$1), $m_sci_Nil$())
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$name__T__O = (function(name) {
  return this.name__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(name)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$param__T2__O = (function(param) {
  return this.param__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ(param)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.router__p1__Lcom_iteration3_smilejs_util_VueRouter = (function() {
  return ((!this.bitmap$0$1) ? this.router$lzycompute__p1__Lcom_iteration3_smilejs_util_VueRouter() : this.router$1)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$go__I__O = (function(step) {
  return this.go__I__sjs_js_Any(step)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$push__T__O = (function(path) {
  return this.push__T__sjs_js_Any(path)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.back__sjs_js_Any = (function() {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().back()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.go__I__sjs_js_Any = (function(step) {
  return this.router__p1__Lcom_iteration3_smilejs_util_VueRouter().go(step)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.router$lzycompute__p1__Lcom_iteration3_smilejs_util_VueRouter = (function() {
  if ((!this.bitmap$0$1)) {
    this.router$1 = $g.router;
    this.bitmap$0$1 = true
  };
  return this.router$1
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$$js$exported$meth$back__O = (function() {
  return this.back__sjs_js_Any()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.path = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$path__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.name = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$name__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.query = (function(arg$1) {
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  switch ($uI(arg$rest.length)) {
    case 1: {
      var prep0 = $as_T(arg$1);
      var prep1 = arg$rest[0];
      return this.$$js$exported$meth$query__T__sjs_js_Any__O(prep0, prep1);
      break
    }
    case 0: {
      var prep0 = $as_T2(arg$1);
      return this.$$js$exported$meth$query__T2__O(prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  }
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.param = (function(arg$1) {
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  switch ($uI(arg$rest.length)) {
    case 0: {
      var prep0 = $as_T2(arg$1);
      return this.$$js$exported$meth$param__T2__O(prep0);
      break
    }
    case 1: {
      var prep0 = $as_T(arg$1);
      var prep1 = arg$rest[0];
      return this.$$js$exported$meth$param__T__sjs_js_Any__O(prep0, prep1);
      break
    }
    default: {
      throw "No matching overload"
    }
  }
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.forward = (function() {
  return this.$$js$exported$meth$forward__O()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.back = (function() {
  return this.$$js$exported$meth$back__O()
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.go = (function(arg$1) {
  var prep0 = $uI(arg$1);
  return this.$$js$exported$meth$go__I__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.replace = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$replace__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.push = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$push__T__O(prep0)
});
var $d_Lcom_iteration3_smilejs_util_VueRouter$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_VueRouter$: 0
}, false, "com.iteration3.smilejs.util.VueRouter$", {
  Lcom_iteration3_smilejs_util_VueRouter$: 1,
  O: 1
});
$c_Lcom_iteration3_smilejs_util_VueRouter$.prototype.$classData = $d_Lcom_iteration3_smilejs_util_VueRouter$;
var $n_Lcom_iteration3_smilejs_util_VueRouter$ = (void 0);
function $m_Lcom_iteration3_smilejs_util_VueRouter$() {
  if ((!$n_Lcom_iteration3_smilejs_util_VueRouter$)) {
    $n_Lcom_iteration3_smilejs_util_VueRouter$ = new $c_Lcom_iteration3_smilejs_util_VueRouter$().init___()
  };
  return $n_Lcom_iteration3_smilejs_util_VueRouter$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActions$() {
  $c_O.call(this);
  this.loadAllAppIdList$1 = null;
  this.loadClientAppIdList$1 = null;
  this.loadServerAppIdList$1 = null;
  this.getRoleListForApp$1 = null;
  this.getUserRoleListForApp$1 = null;
  this.mapAppUserRole$1 = null;
  this.removeAppUserRoleMap$1 = null;
  this.getUserGroupRoleListForApp$1 = null;
  this.mapAppUserGroupRole$1 = null;
  this.removeAppUserGroupRoleMap$1 = null
}
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActions$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActions$.prototype = $c_Lcom_metastay_gompaapp_actions_AppActions$.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_actions_AppActions$ = this;
  this.loadAllAppIdList$1 = (function(f) {
    return (function(arg1) {
      return f.apply__O__O(arg1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1().init___());
  this.loadClientAppIdList$1 = (function(f$1) {
    return (function(arg1$1) {
      return f$1.apply__O__O(arg1$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1().init___());
  this.loadServerAppIdList$1 = (function(f$2) {
    return (function(arg1$2) {
      return f$2.apply__O__O(arg1$2)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1().init___());
  this.getRoleListForApp$1 = (function(f$3) {
    return (function(arg1$3) {
      return f$3.apply__O__O(arg1$3)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1().init___());
  this.getUserRoleListForApp$1 = (function(f$4) {
    return (function(arg1$4) {
      return f$4.apply__O__O(arg1$4)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1().init___());
  this.mapAppUserRole$1 = (function(f$5) {
    return (function(arg1$5, arg2, arg3) {
      return f$5.apply__O__O__O__O(arg1$5, arg2, arg3)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1().init___());
  this.removeAppUserRoleMap$1 = (function(f$6) {
    return (function(arg1$6, arg2$1) {
      return f$6.apply__O__O__O(arg1$6, arg2$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1().init___());
  this.getUserGroupRoleListForApp$1 = (function(f$7) {
    return (function(arg1$7) {
      return f$7.apply__O__O(arg1$7)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1().init___());
  this.mapAppUserGroupRole$1 = (function(f$8) {
    return (function(arg1$8, arg2$2, arg3$1) {
      return f$8.apply__O__O__O__O(arg1$8, arg2$2, arg3$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1().init___());
  this.removeAppUserGroupRoleMap$1 = (function(f$9) {
    return (function(arg1$9, arg2$3) {
      return f$9.apply__O__O__O(arg1$9, arg2$3)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1().init___());
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$$js$exported$prop$loadAllAppIdList__O = (function() {
  return this.loadAllAppIdList$1
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$$js$exported$prop$removeAppUserRoleMap__O = (function() {
  return this.removeAppUserRoleMap$1
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$$js$exported$prop$loadClientAppIdList__O = (function() {
  return this.loadClientAppIdList$1
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$$js$exported$prop$getRoleListForApp__O = (function() {
  return this.getRoleListForApp$1
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$$js$exported$prop$getUserGroupRoleListForApp__O = (function() {
  return this.getUserGroupRoleListForApp$1
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$$js$exported$prop$loadServerAppIdList__O = (function() {
  return this.loadServerAppIdList$1
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$$js$exported$prop$getUserRoleListForApp__O = (function() {
  return this.getUserRoleListForApp$1
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$$js$exported$prop$mapAppUserGroupRole__O = (function() {
  return this.mapAppUserGroupRole$1
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$$js$exported$prop$mapAppUserRole__O = (function() {
  return this.mapAppUserRole$1
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$$js$exported$prop$removeAppUserGroupRoleMap__O = (function() {
  return this.removeAppUserGroupRoleMap$1
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_AppActions$.prototype, "removeAppUserGroupRoleMap", {
  "get": (function() {
    return this.$$js$exported$prop$removeAppUserGroupRoleMap__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_AppActions$.prototype, "mapAppUserGroupRole", {
  "get": (function() {
    return this.$$js$exported$prop$mapAppUserGroupRole__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_AppActions$.prototype, "getUserGroupRoleListForApp", {
  "get": (function() {
    return this.$$js$exported$prop$getUserGroupRoleListForApp__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_AppActions$.prototype, "removeAppUserRoleMap", {
  "get": (function() {
    return this.$$js$exported$prop$removeAppUserRoleMap__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_AppActions$.prototype, "mapAppUserRole", {
  "get": (function() {
    return this.$$js$exported$prop$mapAppUserRole__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_AppActions$.prototype, "getUserRoleListForApp", {
  "get": (function() {
    return this.$$js$exported$prop$getUserRoleListForApp__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_AppActions$.prototype, "getRoleListForApp", {
  "get": (function() {
    return this.$$js$exported$prop$getRoleListForApp__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_AppActions$.prototype, "loadServerAppIdList", {
  "get": (function() {
    return this.$$js$exported$prop$loadServerAppIdList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_AppActions$.prototype, "loadClientAppIdList", {
  "get": (function() {
    return this.$$js$exported$prop$loadClientAppIdList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_AppActions$.prototype, "loadAllAppIdList", {
  "get": (function() {
    return this.$$js$exported$prop$loadAllAppIdList__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_gompaapp_actions_AppActions$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActions$: 0
}, false, "com.metastay.gompaapp.actions.AppActions$", {
  Lcom_metastay_gompaapp_actions_AppActions$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActions$.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActions$;
var $n_Lcom_metastay_gompaapp_actions_AppActions$ = (void 0);
function $m_Lcom_metastay_gompaapp_actions_AppActions$() {
  if ((!$n_Lcom_metastay_gompaapp_actions_AppActions$)) {
    $n_Lcom_metastay_gompaapp_actions_AppActions$ = new $c_Lcom_metastay_gompaapp_actions_AppActions$().init___()
  };
  return $n_Lcom_metastay_gompaapp_actions_AppActions$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$.prototype.com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$;
var $n_Lcom_metastay_gompaapp_actions_AppActionsCode$ = (void 0);
function $m_Lcom_metastay_gompaapp_actions_AppActionsCode$() {
  if ((!$n_Lcom_metastay_gompaapp_actions_AppActionsCode$)) {
    $n_Lcom_metastay_gompaapp_actions_AppActionsCode$ = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$().init___()
  };
  return $n_Lcom_metastay_gompaapp_actions_AppActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActions$() {
  $c_O.call(this);
  this.addUserAsGompaAppAdmin$1 = null;
  this.removeUserAsGompaAppAdmin$1 = null;
  this.addUserAsTeamAdmin$1 = null;
  this.removeUserAsTeamAdmin$1 = null;
  this.getAdminListForApp$1 = null;
  this.getAdminListForTeam$1 = null;
  this.canUserAccessApp$1 = null;
  this.canUserAccessTeam$1 = null
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActions$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_actions_GompaAdminActions$ = this;
  this.addUserAsGompaAppAdmin$1 = (function(f) {
    return (function(arg1, arg2) {
      return f.apply__O__O__O(arg1, arg2)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1().init___());
  this.removeUserAsGompaAppAdmin$1 = (function(f$1) {
    return (function(arg1$1, arg2$1) {
      return f$1.apply__O__O__O(arg1$1, arg2$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1().init___());
  this.addUserAsTeamAdmin$1 = (function(f$2) {
    return (function(arg1$2, arg2$2) {
      return f$2.apply__O__O__O(arg1$2, arg2$2)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1().init___());
  this.removeUserAsTeamAdmin$1 = (function(f$3) {
    return (function(arg1$3, arg2$3) {
      return f$3.apply__O__O__O(arg1$3, arg2$3)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1().init___());
  this.getAdminListForApp$1 = (function(f$4) {
    return (function(arg1$4) {
      return f$4.apply__O__O(arg1$4)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1().init___());
  this.getAdminListForTeam$1 = (function(f$5) {
    return (function(arg1$5) {
      return f$5.apply__O__O(arg1$5)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1().init___());
  this.canUserAccessApp$1 = (function(f$6) {
    return (function(arg1$6, arg2$4) {
      return f$6.apply__O__O__O(arg1$6, arg2$4)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1().init___());
  this.canUserAccessTeam$1 = (function(f$7) {
    return (function(arg1$7, arg2$5) {
      return f$7.apply__O__O__O(arg1$7, arg2$5)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1().init___());
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.$$js$exported$prop$canUserAccessApp__O = (function() {
  return this.canUserAccessApp$1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.$$js$exported$prop$canUserAccessTeam__O = (function() {
  return this.canUserAccessTeam$1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.$$js$exported$prop$removeUserAsGompaAppAdmin__O = (function() {
  return this.removeUserAsGompaAppAdmin$1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.$$js$exported$prop$getAdminListForApp__O = (function() {
  return this.getAdminListForApp$1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.$$js$exported$prop$addUserAsTeamAdmin__O = (function() {
  return this.addUserAsTeamAdmin$1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.$$js$exported$prop$addUserAsGompaAppAdmin__O = (function() {
  return this.addUserAsGompaAppAdmin$1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.$$js$exported$prop$removeUserAsTeamAdmin__O = (function() {
  return this.removeUserAsTeamAdmin$1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.$$js$exported$prop$getAdminListForTeam__O = (function() {
  return this.getAdminListForTeam$1
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype, "canUserAccessTeam", {
  "get": (function() {
    return this.$$js$exported$prop$canUserAccessTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype, "canUserAccessApp", {
  "get": (function() {
    return this.$$js$exported$prop$canUserAccessApp__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype, "getAdminListForTeam", {
  "get": (function() {
    return this.$$js$exported$prop$getAdminListForTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype, "getAdminListForApp", {
  "get": (function() {
    return this.$$js$exported$prop$getAdminListForApp__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype, "removeUserAsTeamAdmin", {
  "get": (function() {
    return this.$$js$exported$prop$removeUserAsTeamAdmin__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype, "addUserAsTeamAdmin", {
  "get": (function() {
    return this.$$js$exported$prop$addUserAsTeamAdmin__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype, "removeUserAsGompaAppAdmin", {
  "get": (function() {
    return this.$$js$exported$prop$removeUserAsGompaAppAdmin__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype, "addUserAsGompaAppAdmin", {
  "get": (function() {
    return this.$$js$exported$prop$addUserAsGompaAppAdmin__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActions$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActions$: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActions$", {
  Lcom_metastay_gompaapp_actions_GompaAdminActions$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActions$.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActions$;
var $n_Lcom_metastay_gompaapp_actions_GompaAdminActions$ = (void 0);
function $m_Lcom_metastay_gompaapp_actions_GompaAdminActions$() {
  if ((!$n_Lcom_metastay_gompaapp_actions_GompaAdminActions$)) {
    $n_Lcom_metastay_gompaapp_actions_GompaAdminActions$ = new $c_Lcom_metastay_gompaapp_actions_GompaAdminActions$().init___()
  };
  return $n_Lcom_metastay_gompaapp_actions_GompaAdminActions$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$.prototype.com$metastay$gompaapp$actions$GompaAdminActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$;
var $n_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$ = (void 0);
function $m_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$() {
  if ((!$n_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$)) {
    $n_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$ = new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$().init___()
  };
  return $n_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActions$() {
  $c_O.call(this);
  this.loadAllFqFlowNameList$1 = null;
  this.getTeamDetails$1 = null;
  this.getAllTeamList$1 = null;
  this.getSubTeamListForTeam$1 = null;
  this.getFqSubFlowNameListForFlow$1 = null;
  this.createTeam$1 = null;
  this.removeTeam$1 = null;
  this.addSubTeam$1 = null;
  this.removeSubTeam$1 = null;
  this.getRoleListForTeam$1 = null;
  this.getUserRoleListForTeam$1 = null;
  this.getUserGroupRoleListForTeam$1 = null;
  this.mapTeamUserRole$1 = null;
  this.updateMaxQSizeForTeamUserRole$1 = null;
  this.mapTeamUserGroupRole$1 = null;
  this.updateMaxQSizeForTeamUserGroupRole$1 = null;
  this.removeTeamUserRoleMap$1 = null;
  this.removeTeamUserGroupRoleMap$1 = null
}
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActions$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActions$.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$removeTeam__O = (function() {
  return this.removeTeam$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_actions_TeamActions$ = this;
  this.loadAllFqFlowNameList$1 = (function(f) {
    return (function(arg1) {
      return f.apply__O__O(arg1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1().init___());
  this.getTeamDetails$1 = (function(f$1) {
    return (function(arg1$1) {
      return f$1.apply__O__O(arg1$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1().init___());
  this.getAllTeamList$1 = (function(f$2) {
    return (function() {
      return f$2.apply__O()
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1().init___());
  this.getSubTeamListForTeam$1 = (function(f$3) {
    return (function(arg1$2) {
      return f$3.apply__O__O(arg1$2)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1().init___());
  this.getFqSubFlowNameListForFlow$1 = (function(f$4) {
    return (function(arg1$3) {
      return f$4.apply__O__O(arg1$3)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1().init___());
  this.createTeam$1 = (function(f$5) {
    return (function(arg1$4) {
      return f$5.apply__O__O(arg1$4)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1().init___());
  this.removeTeam$1 = (function(f$6) {
    return (function(arg1$5) {
      return f$6.apply__O__O(arg1$5)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1().init___());
  this.addSubTeam$1 = (function(f$7) {
    return (function(arg1$6, arg2, arg3) {
      return f$7.apply__O__O__O__O(arg1$6, arg2, arg3)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1().init___());
  this.removeSubTeam$1 = (function(f$8) {
    return (function(arg1$7, arg2$1) {
      return f$8.apply__O__O__O(arg1$7, arg2$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1().init___());
  this.getRoleListForTeam$1 = (function(f$9) {
    return (function(arg1$8) {
      return f$9.apply__O__O(arg1$8)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1().init___());
  this.getUserRoleListForTeam$1 = (function(f$10) {
    return (function(arg1$9) {
      return f$10.apply__O__O(arg1$9)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1().init___());
  this.getUserGroupRoleListForTeam$1 = (function(f$11) {
    return (function(arg1$10) {
      return f$11.apply__O__O(arg1$10)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1().init___());
  this.mapTeamUserRole$1 = (function(f$12) {
    return (function(arg1$11, arg2$2, arg3$1, arg4) {
      return f$12.apply__O__O__O__O__O(arg1$11, arg2$2, arg3$1, arg4)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1().init___());
  this.updateMaxQSizeForTeamUserRole$1 = (function(f$13) {
    return (function(arg1$12, arg2$3, arg3$2) {
      return f$13.apply__O__O__O__O(arg1$12, arg2$3, arg3$2)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1().init___());
  this.mapTeamUserGroupRole$1 = (function(f$14) {
    return (function(arg1$13, arg2$4, arg3$3, arg4$1) {
      return f$14.apply__O__O__O__O__O(arg1$13, arg2$4, arg3$3, arg4$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1().init___());
  this.updateMaxQSizeForTeamUserGroupRole$1 = (function(f$15) {
    return (function(arg1$14, arg2$5, arg3$4) {
      return f$15.apply__O__O__O__O(arg1$14, arg2$5, arg3$4)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1().init___());
  this.removeTeamUserRoleMap$1 = (function(f$16) {
    return (function(arg1$15) {
      return f$16.apply__O__O(arg1$15)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1().init___());
  this.removeTeamUserGroupRoleMap$1 = (function(f$17) {
    return (function(arg1$16) {
      return f$17.apply__O__O(arg1$16)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1().init___());
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$removeTeamUserRoleMap__O = (function() {
  return this.removeTeamUserRoleMap$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$removeTeamUserGroupRoleMap__O = (function() {
  return this.removeTeamUserGroupRoleMap$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$removeSubTeam__O = (function() {
  return this.removeSubTeam$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$getTeamDetails__O = (function() {
  return this.getTeamDetails$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$updateMaxQSizeForTeamUserRole__O = (function() {
  return this.updateMaxQSizeForTeamUserRole$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$updateMaxQSizeForTeamUserGroupRole__O = (function() {
  return this.updateMaxQSizeForTeamUserGroupRole$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$createTeam__O = (function() {
  return this.createTeam$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$getSubTeamListForTeam__O = (function() {
  return this.getSubTeamListForTeam$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$getUserRoleListForTeam__O = (function() {
  return this.getUserRoleListForTeam$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$addSubTeam__O = (function() {
  return this.addSubTeam$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$mapTeamUserRole__O = (function() {
  return this.mapTeamUserRole$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$loadAllFqFlowNameList__O = (function() {
  return this.loadAllFqFlowNameList$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$getFqSubFlowNameListForFlow__O = (function() {
  return this.getFqSubFlowNameListForFlow$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$getRoleListForTeam__O = (function() {
  return this.getRoleListForTeam$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$getAllTeamList__O = (function() {
  return this.getAllTeamList$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$mapTeamUserGroupRole__O = (function() {
  return this.mapTeamUserGroupRole$1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$$js$exported$prop$getUserGroupRoleListForTeam__O = (function() {
  return this.getUserGroupRoleListForTeam$1
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "removeTeamUserGroupRoleMap", {
  "get": (function() {
    return this.$$js$exported$prop$removeTeamUserGroupRoleMap__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "removeTeamUserRoleMap", {
  "get": (function() {
    return this.$$js$exported$prop$removeTeamUserRoleMap__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "updateMaxQSizeForTeamUserGroupRole", {
  "get": (function() {
    return this.$$js$exported$prop$updateMaxQSizeForTeamUserGroupRole__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "mapTeamUserGroupRole", {
  "get": (function() {
    return this.$$js$exported$prop$mapTeamUserGroupRole__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "updateMaxQSizeForTeamUserRole", {
  "get": (function() {
    return this.$$js$exported$prop$updateMaxQSizeForTeamUserRole__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "mapTeamUserRole", {
  "get": (function() {
    return this.$$js$exported$prop$mapTeamUserRole__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "getUserGroupRoleListForTeam", {
  "get": (function() {
    return this.$$js$exported$prop$getUserGroupRoleListForTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "getUserRoleListForTeam", {
  "get": (function() {
    return this.$$js$exported$prop$getUserRoleListForTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "getRoleListForTeam", {
  "get": (function() {
    return this.$$js$exported$prop$getRoleListForTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "removeSubTeam", {
  "get": (function() {
    return this.$$js$exported$prop$removeSubTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "addSubTeam", {
  "get": (function() {
    return this.$$js$exported$prop$addSubTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "removeTeam", {
  "get": (function() {
    return this.$$js$exported$prop$removeTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "createTeam", {
  "get": (function() {
    return this.$$js$exported$prop$createTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "getFqSubFlowNameListForFlow", {
  "get": (function() {
    return this.$$js$exported$prop$getFqSubFlowNameListForFlow__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "getSubTeamListForTeam", {
  "get": (function() {
    return this.$$js$exported$prop$getSubTeamListForTeam__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "getAllTeamList", {
  "get": (function() {
    return this.$$js$exported$prop$getAllTeamList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "getTeamDetails", {
  "get": (function() {
    return this.$$js$exported$prop$getTeamDetails__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype, "loadAllFqFlowNameList", {
  "get": (function() {
    return this.$$js$exported$prop$loadAllFqFlowNameList__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_gompaapp_actions_TeamActions$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActions$: 0
}, false, "com.metastay.gompaapp.actions.TeamActions$", {
  Lcom_metastay_gompaapp_actions_TeamActions$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActions$.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActions$;
var $n_Lcom_metastay_gompaapp_actions_TeamActions$ = (void 0);
function $m_Lcom_metastay_gompaapp_actions_TeamActions$() {
  if ((!$n_Lcom_metastay_gompaapp_actions_TeamActions$)) {
    $n_Lcom_metastay_gompaapp_actions_TeamActions$ = new $c_Lcom_metastay_gompaapp_actions_TeamActions$().init___()
  };
  return $n_Lcom_metastay_gompaapp_actions_TeamActions$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$.prototype.com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$;
var $n_Lcom_metastay_gompaapp_actions_TeamActionsCode$ = (void 0);
function $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$() {
  if ((!$n_Lcom_metastay_gompaapp_actions_TeamActionsCode$)) {
    $n_Lcom_metastay_gompaapp_actions_TeamActionsCode$ = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$().init___()
  };
  return $n_Lcom_metastay_gompaapp_actions_TeamActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActions$() {
  $c_O.call(this);
  this.loadUserDetails$1 = null;
  this.logout$1 = null;
  this.getUserDetails$1 = null;
  this.getRoleListForUser$1 = null;
  this.getGompaAdminDetails$1 = null;
  this.resetPassword$1 = null;
  this.changeDetails$1 = null;
  this.activateUser$1 = null;
  this.deactivateUser$1 = null;
  this.addUser$1 = null;
  this.uploadUserFile$1 = null;
  this.findAllUsers$1 = null;
  this.findUser$1 = null;
  this.removeUser$1 = null;
  this.getUserGroupListForUser$1 = null;
  this.getAppRoleListForUser$1 = null;
  this.getAppRoleListForUserInUserGroup$1 = null;
  this.getTeamRoleListForUser$1 = null;
  this.getTeamRoleListForUserInUserGroup$1 = null
}
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActions$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActions$.prototype = $c_Lcom_metastay_gompaapp_actions_UserActions$.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_actions_UserActions$ = this;
  this.loadUserDetails$1 = (function(f) {
    return (function(arg1, arg2) {
      return f.apply__O__O__O(arg1, arg2)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1().init___());
  this.logout$1 = (function(f$1) {
    return (function() {
      return f$1.apply__O()
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1().init___());
  this.getUserDetails$1 = (function(f$2) {
    return (function(arg1$1) {
      return f$2.apply__O__O(arg1$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1().init___());
  this.getRoleListForUser$1 = (function(f$3) {
    return (function(arg1$2) {
      return f$3.apply__O__O(arg1$2)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1().init___());
  this.getGompaAdminDetails$1 = (function(f$4) {
    return (function(arg1$3) {
      return f$4.apply__O__O(arg1$3)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1().init___());
  this.resetPassword$1 = (function(f$5) {
    return (function(arg1$4, arg2$1) {
      return f$5.apply__O__O__O(arg1$4, arg2$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1().init___());
  this.changeDetails$1 = (function(f$6) {
    return (function(arg1$5, arg2$2, arg3, arg4, arg5, arg6) {
      f$6.apply__T__T__T__T__T__T__V($as_T(arg1$5), $as_T(arg2$2), $as_T(arg3), $as_T(arg4), $as_T(arg5), $as_T(arg6))
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1().init___());
  this.activateUser$1 = (function(f$7) {
    return (function(arg1$6) {
      return f$7.apply__O__O(arg1$6)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1().init___());
  this.deactivateUser$1 = (function(f$8) {
    return (function(arg1$7) {
      return f$8.apply__O__O(arg1$7)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1().init___());
  this.addUser$1 = (function(f$9) {
    return (function(arg1$8) {
      return f$9.apply__O__O(arg1$8)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1().init___());
  this.uploadUserFile$1 = (function(f$10) {
    return (function(arg1$9) {
      return f$10.apply__O__O(arg1$9)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1().init___());
  this.findAllUsers$1 = (function(f$11) {
    return (function(arg1$10) {
      return f$11.apply__O__O(arg1$10)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1().init___());
  this.findUser$1 = (function(f$12) {
    return (function(arg1$11) {
      return f$12.apply__O__O(arg1$11)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1().init___());
  this.removeUser$1 = (function(f$13) {
    return (function(arg1$12) {
      return f$13.apply__O__O(arg1$12)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1().init___());
  this.getUserGroupListForUser$1 = (function(f$14) {
    return (function(arg1$13) {
      return f$14.apply__O__O(arg1$13)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1().init___());
  this.getAppRoleListForUser$1 = (function(f$15) {
    return (function(arg1$14) {
      return f$15.apply__O__O(arg1$14)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1().init___());
  this.getAppRoleListForUserInUserGroup$1 = (function(f$16) {
    return (function(arg1$15) {
      return f$16.apply__O__O(arg1$15)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1().init___());
  this.getTeamRoleListForUser$1 = (function(f$17) {
    return (function(arg1$16) {
      return f$17.apply__O__O(arg1$16)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1().init___());
  this.getTeamRoleListForUserInUserGroup$1 = (function(f$18) {
    return (function(arg1$17) {
      return f$18.apply__O__O(arg1$17)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1().init___());
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$getAppRoleListForUserInUserGroup__O = (function() {
  return this.getAppRoleListForUserInUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$getAppRoleListForUser__O = (function() {
  return this.getAppRoleListForUser$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$getUserGroupListForUser__O = (function() {
  return this.getUserGroupListForUser$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$resetPassword__O = (function() {
  return this.resetPassword$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$addUser__O = (function() {
  return this.addUser$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$getTeamRoleListForUser__O = (function() {
  return this.getTeamRoleListForUser$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$changeDetails__O = (function() {
  return this.changeDetails$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$findAllUsers__O = (function() {
  return this.findAllUsers$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$logout__O = (function() {
  return this.logout$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$getUserDetails__O = (function() {
  return this.getUserDetails$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$getTeamRoleListForUserInUserGroup__O = (function() {
  return this.getTeamRoleListForUserInUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$uploadUserFile__O = (function() {
  return this.uploadUserFile$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$getRoleListForUser__O = (function() {
  return this.getRoleListForUser$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$deactivateUser__O = (function() {
  return this.deactivateUser$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$activateUser__O = (function() {
  return this.activateUser$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$loadUserDetails__O = (function() {
  return this.loadUserDetails$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$removeUser__O = (function() {
  return this.removeUser$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$findUser__O = (function() {
  return this.findUser$1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$$js$exported$prop$getGompaAdminDetails__O = (function() {
  return this.getGompaAdminDetails$1
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "getTeamRoleListForUserInUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$getTeamRoleListForUserInUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "getTeamRoleListForUser", {
  "get": (function() {
    return this.$$js$exported$prop$getTeamRoleListForUser__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "getAppRoleListForUserInUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$getAppRoleListForUserInUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "getAppRoleListForUser", {
  "get": (function() {
    return this.$$js$exported$prop$getAppRoleListForUser__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "getUserGroupListForUser", {
  "get": (function() {
    return this.$$js$exported$prop$getUserGroupListForUser__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "removeUser", {
  "get": (function() {
    return this.$$js$exported$prop$removeUser__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "findUser", {
  "get": (function() {
    return this.$$js$exported$prop$findUser__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "findAllUsers", {
  "get": (function() {
    return this.$$js$exported$prop$findAllUsers__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "uploadUserFile", {
  "get": (function() {
    return this.$$js$exported$prop$uploadUserFile__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "addUser", {
  "get": (function() {
    return this.$$js$exported$prop$addUser__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "deactivateUser", {
  "get": (function() {
    return this.$$js$exported$prop$deactivateUser__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "activateUser", {
  "get": (function() {
    return this.$$js$exported$prop$activateUser__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "changeDetails", {
  "get": (function() {
    return this.$$js$exported$prop$changeDetails__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "resetPassword", {
  "get": (function() {
    return this.$$js$exported$prop$resetPassword__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "getGompaAdminDetails", {
  "get": (function() {
    return this.$$js$exported$prop$getGompaAdminDetails__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "getRoleListForUser", {
  "get": (function() {
    return this.$$js$exported$prop$getRoleListForUser__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "getUserDetails", {
  "get": (function() {
    return this.$$js$exported$prop$getUserDetails__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "logout", {
  "get": (function() {
    return this.$$js$exported$prop$logout__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserActions$.prototype, "loadUserDetails", {
  "get": (function() {
    return this.$$js$exported$prop$loadUserDetails__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_gompaapp_actions_UserActions$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActions$: 0
}, false, "com.metastay.gompaapp.actions.UserActions$", {
  Lcom_metastay_gompaapp_actions_UserActions$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActions$.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActions$;
var $n_Lcom_metastay_gompaapp_actions_UserActions$ = (void 0);
function $m_Lcom_metastay_gompaapp_actions_UserActions$() {
  if ((!$n_Lcom_metastay_gompaapp_actions_UserActions$)) {
    $n_Lcom_metastay_gompaapp_actions_UserActions$ = new $c_Lcom_metastay_gompaapp_actions_UserActions$().init___()
  };
  return $n_Lcom_metastay_gompaapp_actions_UserActions$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$.prototype.com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$3$2) {
      var x$3 = $as_Lcom_iteration3_smilejs_ClientError(x$3$2);
      return x$3.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$4$2) {
      var x$4 = $as_Lcom_iteration3_smilejs_ClientException(x$4$2);
      return x$4.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$;
var $n_Lcom_metastay_gompaapp_actions_UserActionsCode$ = (void 0);
function $m_Lcom_metastay_gompaapp_actions_UserActionsCode$() {
  if ((!$n_Lcom_metastay_gompaapp_actions_UserActionsCode$)) {
    $n_Lcom_metastay_gompaapp_actions_UserActionsCode$ = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$().init___()
  };
  return $n_Lcom_metastay_gompaapp_actions_UserActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActions$() {
  $c_O.call(this);
  this.getAllUserGroupList$1 = null;
  this.getUserGroupDetails$1 = null;
  this.getRoleListForUserGroup$1 = null;
  this.createUserGroup$1 = null;
  this.uploadUserGroupFile$1 = null;
  this.uploadAddUserToUserGroupFile$1 = null;
  this.removeUserGroup$1 = null;
  this.addUserToUserGroup$1 = null;
  this.addUserListToUserGroup$1 = null;
  this.deactivateUserInUserGroup$1 = null;
  this.activateUserInUserGroup$1 = null;
  this.removeUserFromUserGroup$1 = null;
  this.getAppRoleListForUserGroup$1 = null;
  this.getUserListForUserGroup$1 = null;
  this.getTeamRoleListForUserGroup$1 = null
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActions$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActions$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$removeUserFromUserGroup__O = (function() {
  return this.removeUserFromUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$addUserToUserGroup__O = (function() {
  return this.addUserToUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$deactivateUserInUserGroup__O = (function() {
  return this.deactivateUserInUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_actions_UserGroupActions$ = this;
  this.getAllUserGroupList$1 = (function(f) {
    return (function() {
      return f.apply__O()
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1().init___());
  this.getUserGroupDetails$1 = (function(f$1) {
    return (function(arg1) {
      return f$1.apply__O__O(arg1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1().init___());
  this.getRoleListForUserGroup$1 = (function(f$2) {
    return (function(arg1$1) {
      return f$2.apply__O__O(arg1$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1().init___());
  this.createUserGroup$1 = (function(f$3) {
    return (function(arg1$2) {
      return f$3.apply__O__O(arg1$2)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1().init___());
  this.uploadUserGroupFile$1 = (function(f$4) {
    return (function(arg1$3) {
      return f$4.apply__O__O(arg1$3)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1().init___());
  this.uploadAddUserToUserGroupFile$1 = (function(f$5) {
    return (function(arg1$4) {
      return f$5.apply__O__O(arg1$4)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1().init___());
  this.removeUserGroup$1 = (function(f$6) {
    return (function(arg1$5) {
      return f$6.apply__O__O(arg1$5)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1().init___());
  this.addUserToUserGroup$1 = (function(f$7) {
    return (function(arg1$6, arg2) {
      return f$7.apply__O__O__O(arg1$6, arg2)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1().init___());
  this.addUserListToUserGroup$1 = (function(f$8) {
    return (function(arg1$7, arg2$1) {
      return f$8.apply__O__O__O(arg1$7, arg2$1)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1().init___());
  this.deactivateUserInUserGroup$1 = (function(f$9) {
    return (function(arg1$8, arg2$2) {
      return f$9.apply__O__O__O(arg1$8, arg2$2)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1().init___());
  this.activateUserInUserGroup$1 = (function(f$10) {
    return (function(arg1$9, arg2$3) {
      return f$10.apply__O__O__O(arg1$9, arg2$3)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1().init___());
  this.removeUserFromUserGroup$1 = (function(f$11) {
    return (function(arg1$10, arg2$4) {
      return f$11.apply__O__O__O(arg1$10, arg2$4)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1().init___());
  this.getAppRoleListForUserGroup$1 = (function(f$12) {
    return (function(arg1$11) {
      return f$12.apply__O__O(arg1$11)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1().init___());
  this.getUserListForUserGroup$1 = (function(f$13) {
    return (function(arg1$12) {
      return f$13.apply__O__O(arg1$12)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1().init___());
  this.getTeamRoleListForUserGroup$1 = (function(f$14) {
    return (function(arg1$13) {
      return f$14.apply__O__O(arg1$13)
    })
  })(new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1().init___());
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$uploadUserGroupFile__O = (function() {
  return this.uploadUserGroupFile$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$getTeamRoleListForUserGroup__O = (function() {
  return this.getTeamRoleListForUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$getAppRoleListForUserGroup__O = (function() {
  return this.getAppRoleListForUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$getUserGroupDetails__O = (function() {
  return this.getUserGroupDetails$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$removeUserGroup__O = (function() {
  return this.removeUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$getAllUserGroupList__O = (function() {
  return this.getAllUserGroupList$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$createUserGroup__O = (function() {
  return this.createUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$activateUserInUserGroup__O = (function() {
  return this.activateUserInUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$uploadAddUserToUserGroupFile__O = (function() {
  return this.uploadAddUserToUserGroupFile$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$getUserListForUserGroup__O = (function() {
  return this.getUserListForUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$addUserListToUserGroup__O = (function() {
  return this.addUserListToUserGroup$1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$$js$exported$prop$getRoleListForUserGroup__O = (function() {
  return this.getRoleListForUserGroup$1
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "getTeamRoleListForUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$getTeamRoleListForUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "getUserListForUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$getUserListForUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "getAppRoleListForUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$getAppRoleListForUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "removeUserFromUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$removeUserFromUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "activateUserInUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$activateUserInUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "deactivateUserInUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$deactivateUserInUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "addUserListToUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$addUserListToUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "addUserToUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$addUserToUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "removeUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$removeUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "uploadAddUserToUserGroupFile", {
  "get": (function() {
    return this.$$js$exported$prop$uploadAddUserToUserGroupFile__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "uploadUserGroupFile", {
  "get": (function() {
    return this.$$js$exported$prop$uploadUserGroupFile__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "createUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$createUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "getRoleListForUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$getRoleListForUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "getUserGroupDetails", {
  "get": (function() {
    return this.$$js$exported$prop$getUserGroupDetails__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype, "getAllUserGroupList", {
  "get": (function() {
    return this.$$js$exported$prop$getAllUserGroupList__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActions$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActions$: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActions$", {
  Lcom_metastay_gompaapp_actions_UserGroupActions$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActions$.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActions$;
var $n_Lcom_metastay_gompaapp_actions_UserGroupActions$ = (void 0);
function $m_Lcom_metastay_gompaapp_actions_UserGroupActions$() {
  if ((!$n_Lcom_metastay_gompaapp_actions_UserGroupActions$)) {
    $n_Lcom_metastay_gompaapp_actions_UserGroupActions$ = new $c_Lcom_metastay_gompaapp_actions_UserGroupActions$().init___()
  };
  return $n_Lcom_metastay_gompaapp_actions_UserGroupActions$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$.prototype.com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V = (function(error) {
  if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
    var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
    var list = x2.list$2;
    var jsx$2 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f = (function(x$1$2) {
      var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
      return x$1.message$1
    });
    var this$1 = $m_sci_List$();
    var bf = this$1.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list === $m_sci_Nil$())) {
        var jsx$1 = $m_sci_Nil$()
      } else {
        var arg1 = list.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = list.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$2 = rest;
          rest = this$2.tail__sci_List()
        };
        var jsx$1 = h
      }
    } else {
      var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
      var these = list;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$3 = these;
        these = this$3.tail__sci_List()
      };
      var jsx$1 = b.result__O()
    };
    jsx$2.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$1).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
    var x3 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
    var list$2 = x3.list$2;
    var jsx$4 = $m_Lcom_iteration3_smilejs_util_Toastr$();
    var f$1 = (function(x$2$2) {
      var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
      return x$2.message$1
    });
    var this$6 = $m_sci_List$();
    var bf$1 = this$6.ReusableCBFInstance$2;
    if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((list$2 === $m_sci_Nil$())) {
        var jsx$3 = $m_sci_Nil$()
      } else {
        var arg1$3 = list$2.head__O();
        var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
        var t$1 = h$1;
        var rest$1 = list$2.tail__sci_List();
        while ((rest$1 !== $m_sci_Nil$())) {
          var arg1$4 = rest$1.head__O();
          var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
          t$1.tl$5 = nx$1;
          t$1 = nx$1;
          var this$7 = rest$1;
          rest$1 = this$7.tail__sci_List()
        };
        var jsx$3 = h$1
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
      var these$1 = list$2;
      while ((!these$1.isEmpty__Z())) {
        var arg1$5 = these$1.head__O();
        b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
        var this$8 = these$1;
        these$1 = this$8.tail__sci_List()
      };
      var jsx$3 = b$1.result__O()
    };
    jsx$4.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$3).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(error)) {
    $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("You are not Authorized", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
  } else if ((!$is_Lcom_iteration3_smilejs_ServerError(error))) {
    if ($is_Lcom_iteration3_smilejs_ServerTimeout(error)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().error__T__s_Option__s_Option__V("Server is not responding; Try again later", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
    } else {
      $is_Lcom_iteration3_smilejs_OtherResponse(error)
    }
  }
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$;
var $n_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$ = (void 0);
function $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$() {
  if ((!$n_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$)) {
    $n_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$ = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().init___()
  };
  return $n_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_bus_AppBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.constructor = $c_Lcom_metastay_gompaapp_bus_AppBus$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_bus_AppBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_bus_AppBus$.prototype = $c_Lcom_metastay_gompaapp_bus_AppBus$.prototype;
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$offUserGroupRoleListForAppLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("App-userGroupRoleListForAppLoaded")
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$onAppUserGroupRoleMapRemoved__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("App-appUserGroupRoleMapRemoved", f)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$offAppUserRoleMapRemoved__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("App-appUserRoleMapRemoved")
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitUserRoleListForAppLoaded__sjs_js_Array__V = (function(userRoleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("App-userRoleListForAppLoaded", userRoleList)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$onUserGroupRoleListForAppLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("App-userGroupRoleListForAppLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$emitUserGroupRoleListForAppLoaded__sjs_js_Array__O = (function(userGroupRoleList) {
  this.emitUserGroupRoleListForAppLoaded__sjs_js_Array__V(userGroupRoleList)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$offAppUserGroupRoleMapRemoved__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("App-appUserGroupRoleMapRemoved")
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$onAppRoleListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("App-appRoleListLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$onAppUserGroupRoleMapped__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("App-appUserGroupRoleMapped", f)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitUserGroupRoleListForAppLoaded__sjs_js_Array__V = (function(userGroupRoleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("App-userGroupRoleListForAppLoaded", userGroupRoleList)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitAppUserRoleMapped__T__T__T__V = (function(appId, userName, role) {
  var this$4 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$4.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("App-appUserRoleMapped", appId, userName, role)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$emitUserRoleListForAppLoaded__sjs_js_Array__O = (function(userRoleList) {
  this.emitUserRoleListForAppLoaded__sjs_js_Array__V(userRoleList)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitAppRoleListLoaded__sjs_js_Array__V = (function(appRoleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("App-appRoleListLoaded", appRoleList)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$onUserRoleListForAppLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("App-userRoleListForAppLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$offAppUserGroupRoleMapped__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("App-appUserGroupRoleMapped")
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$onAppUserRoleMapped__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("App-appUserRoleMapped", f)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$emitAppRoleListLoaded__sjs_js_Array__O = (function(appRoleList) {
  this.emitAppRoleListLoaded__sjs_js_Array__V(appRoleList)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$offAppRoleListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("App-appRoleListLoaded")
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$emitAppUserRoleMapped__T__T__T__O = (function(appId, userName, role) {
  this.emitAppUserRoleMapped__T__T__T__V(appId, userName, role)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitAppUserGroupRoleMapRemoved__T__T__V = (function(appId, userGroupRoleId) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("App-appUserGroupRoleMapRemoved", appId, userGroupRoleId)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$emitAppUserRoleMapRemoved__T__T__O = (function(appId, userRoleId) {
  this.emitAppUserRoleMapRemoved__T__T__V(appId, userRoleId)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$offUserRoleListForAppLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("App-userRoleListForAppLoaded")
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitAppUserGroupRoleMapped__T__T__T__V = (function(appId, userGroupName, role) {
  var this$4 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$4.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("App-appUserGroupRoleMapped", appId, userGroupName, role)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$onAppUserRoleMapRemoved__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("App-appUserRoleMapRemoved", f)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$offAppUserRoleMapped__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("App-appUserRoleMapped")
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$emitAppUserGroupRoleMapped__T__T__T__O = (function(appId, userGroupName, role) {
  this.emitAppUserGroupRoleMapped__T__T__T__V(appId, userGroupName, role)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitAppUserRoleMapRemoved__T__T__V = (function(appId, userRoleId) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("App-appUserRoleMapRemoved", appId, userRoleId)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$$js$exported$meth$emitAppUserGroupRoleMapRemoved__T__T__O = (function(appId, userGroupRoleId) {
  this.emitAppUserGroupRoleMapRemoved__T__T__V(appId, userGroupRoleId)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.offAppUserGroupRoleMapRemoved = (function() {
  return this.$$js$exported$meth$offAppUserGroupRoleMapRemoved__O()
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.onAppUserGroupRoleMapRemoved = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAppUserGroupRoleMapRemoved__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitAppUserGroupRoleMapRemoved = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitAppUserGroupRoleMapRemoved__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.offAppUserGroupRoleMapped = (function() {
  return this.$$js$exported$meth$offAppUserGroupRoleMapped__O()
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.onAppUserGroupRoleMapped = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAppUserGroupRoleMapped__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitAppUserGroupRoleMapped = (function(arg$1, arg$2, arg$3) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  var prep2 = $as_T(arg$3);
  return this.$$js$exported$meth$emitAppUserGroupRoleMapped__T__T__T__O(prep0, prep1, prep2)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.offAppUserRoleMapRemoved = (function() {
  return this.$$js$exported$meth$offAppUserRoleMapRemoved__O()
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.onAppUserRoleMapRemoved = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAppUserRoleMapRemoved__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitAppUserRoleMapRemoved = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitAppUserRoleMapRemoved__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.offAppUserRoleMapped = (function() {
  return this.$$js$exported$meth$offAppUserRoleMapped__O()
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.onAppUserRoleMapped = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAppUserRoleMapped__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitAppUserRoleMapped = (function(arg$1, arg$2, arg$3) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  var prep2 = $as_T(arg$3);
  return this.$$js$exported$meth$emitAppUserRoleMapped__T__T__T__O(prep0, prep1, prep2)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.offUserGroupRoleListForAppLoaded = (function() {
  return this.$$js$exported$meth$offUserGroupRoleListForAppLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.onUserGroupRoleListForAppLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserGroupRoleListForAppLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitUserGroupRoleListForAppLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitUserGroupRoleListForAppLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.offUserRoleListForAppLoaded = (function() {
  return this.$$js$exported$meth$offUserRoleListForAppLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.onUserRoleListForAppLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserRoleListForAppLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitUserRoleListForAppLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitUserRoleListForAppLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.offAppRoleListLoaded = (function() {
  return this.$$js$exported$meth$offAppRoleListLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.onAppRoleListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAppRoleListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.emitAppRoleListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitAppRoleListLoaded__sjs_js_Array__O(prep0)
});
var $d_Lcom_metastay_gompaapp_bus_AppBus$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_bus_AppBus$: 0
}, false, "com.metastay.gompaapp.bus.AppBus$", {
  Lcom_metastay_gompaapp_bus_AppBus$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_bus_AppBus$.prototype.$classData = $d_Lcom_metastay_gompaapp_bus_AppBus$;
var $n_Lcom_metastay_gompaapp_bus_AppBus$ = (void 0);
function $m_Lcom_metastay_gompaapp_bus_AppBus$() {
  if ((!$n_Lcom_metastay_gompaapp_bus_AppBus$)) {
    $n_Lcom_metastay_gompaapp_bus_AppBus$ = new $c_Lcom_metastay_gompaapp_bus_AppBus$().init___()
  };
  return $n_Lcom_metastay_gompaapp_bus_AppBus$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_bus_GompaAdminBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.constructor = $c_Lcom_metastay_gompaapp_bus_GompaAdminBus$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_bus_GompaAdminBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype = $c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype;
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$onUserAsGompaAppAdminRemoved__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("GompaAdmin-userAsGompaAppAdminRemoved", f)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$offGompaAppAdminUserListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("GompaAdmin-gompaAppAdminUserListLoaded")
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$emitTeamAdminUserListLoaded__sjs_js_Array__O = (function(userList) {
  this.emitTeamAdminUserListLoaded__sjs_js_Array__V(userList)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$emitUserAsTeamAdminAdded__T__T__O = (function(teamCode, userName) {
  this.emitUserAsTeamAdminAdded__T__T__V(teamCode, userName)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$onGompaAppAdminUserListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("GompaAdmin-gompaAppAdminUserListLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$emitUserAsTeamAdminRemoved__T__T__O = (function(teamCode, userName) {
  this.emitUserAsTeamAdminRemoved__T__T__V(teamCode, userName)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitTeamAdminUserListLoaded__sjs_js_Array__V = (function(userList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("GompaAdmin-teamAdminUserListLoaded", userList)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$emitIsGompaAppAdminAccess__Z__O = (function(isGompaAppAdminAccess) {
  this.emitIsGompaAppAdminAccess__Z__V(isGompaAppAdminAccess)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$onIsGompaAppAdminAccess__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("GompaAdmin-isGompaAppAdminAccess", f)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitUserAsGompaAppAdminAdded__T__T__V = (function(appId, userName) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("GompaAdmin-userAsGompaAppAdminAdded", appId, userName)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$emitIsGompaTeamAdminAccess__Z__O = (function(isGompaTeamAdminAccess) {
  this.emitIsGompaTeamAdminAccess__Z__V(isGompaTeamAdminAccess)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$emitGompaAppAdminUserListLoaded__sjs_js_Array__O = (function(userList) {
  this.emitGompaAppAdminUserListLoaded__sjs_js_Array__V(userList)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$offIsGompaTeamAdminAccess__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("GompaAdmin-isGompaTeamAdminAccess")
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitIsGompaAppAdminAccess__Z__V = (function(isGompaAppAdminAccess) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("GompaAdmin-isGompaAppAdminAccess", isGompaAppAdminAccess)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$offUserAsTeamAdminAdded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("GompaAdmin-userAsTeamAdminAdded")
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$emitUserAsGompaAppAdminAdded__T__T__O = (function(appId, userName) {
  this.emitUserAsGompaAppAdminAdded__T__T__V(appId, userName)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitUserAsTeamAdminAdded__T__T__V = (function(teamCode, userName) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("GompaAdmin-userAsTeamAdminAdded", teamCode, userName)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$onUserAsTeamAdminRemoved__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("GompaAdmin-userAsTeamAdminRemoved", f)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$offUserAsGompaAppAdminRemoved__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("GompaAdmin-userAsGompaAppAdminRemoved")
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$onTeamAdminUserListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("GompaAdmin-teamAdminUserListLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitIsGompaTeamAdminAccess__Z__V = (function(isGompaTeamAdminAccess) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("GompaAdmin-isGompaTeamAdminAccess", isGompaTeamAdminAccess)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$onIsGompaTeamAdminAccess__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("GompaAdmin-isGompaTeamAdminAccess", f)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$offUserAsTeamAdminRemoved__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("GompaAdmin-userAsTeamAdminRemoved")
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitUserAsGompaAppAdminRemoved__T__T__V = (function(appId, userName) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("GompaAdmin-userAsGompaAppAdminRemoved", appId, userName)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$onUserAsGompaAppAdminAdded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("GompaAdmin-userAsGompaAppAdminAdded", f)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$offTeamAdminUserListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("GompaAdmin-teamAdminUserListLoaded")
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$offUserAsGompaAppAdminAdded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("GompaAdmin-userAsGompaAppAdminAdded")
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$emitUserAsGompaAppAdminRemoved__T__T__O = (function(appId, userName) {
  this.emitUserAsGompaAppAdminRemoved__T__T__V(appId, userName)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitUserAsTeamAdminRemoved__T__T__V = (function(teamCode, userName) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("GompaAdmin-userAsTeamAdminRemoved", teamCode, userName)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$offIsGompaAppAdminAccess__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("GompaAdmin-isGompaAppAdminAccess")
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitGompaAppAdminUserListLoaded__sjs_js_Array__V = (function(userList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("GompaAdmin-gompaAppAdminUserListLoaded", userList)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$$js$exported$meth$onUserAsTeamAdminAdded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("GompaAdmin-userAsTeamAdminAdded", f)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.offUserAsTeamAdminRemoved = (function() {
  return this.$$js$exported$meth$offUserAsTeamAdminRemoved__O()
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.onUserAsTeamAdminRemoved = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserAsTeamAdminRemoved__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitUserAsTeamAdminRemoved = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitUserAsTeamAdminRemoved__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.offUserAsTeamAdminAdded = (function() {
  return this.$$js$exported$meth$offUserAsTeamAdminAdded__O()
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.onUserAsTeamAdminAdded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserAsTeamAdminAdded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitUserAsTeamAdminAdded = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitUserAsTeamAdminAdded__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.offTeamAdminUserListLoaded = (function() {
  return this.$$js$exported$meth$offTeamAdminUserListLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.onTeamAdminUserListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamAdminUserListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitTeamAdminUserListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitTeamAdminUserListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.offUserAsGompaAppAdminRemoved = (function() {
  return this.$$js$exported$meth$offUserAsGompaAppAdminRemoved__O()
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.onUserAsGompaAppAdminRemoved = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserAsGompaAppAdminRemoved__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitUserAsGompaAppAdminRemoved = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitUserAsGompaAppAdminRemoved__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.offUserAsGompaAppAdminAdded = (function() {
  return this.$$js$exported$meth$offUserAsGompaAppAdminAdded__O()
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.onUserAsGompaAppAdminAdded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserAsGompaAppAdminAdded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitUserAsGompaAppAdminAdded = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitUserAsGompaAppAdminAdded__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.offGompaAppAdminUserListLoaded = (function() {
  return this.$$js$exported$meth$offGompaAppAdminUserListLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.onGompaAppAdminUserListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onGompaAppAdminUserListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitGompaAppAdminUserListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitGompaAppAdminUserListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.offIsGompaTeamAdminAccess = (function() {
  return this.$$js$exported$meth$offIsGompaTeamAdminAccess__O()
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.onIsGompaTeamAdminAccess = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onIsGompaTeamAdminAccess__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitIsGompaTeamAdminAccess = (function(arg$1) {
  var prep0 = $uZ(arg$1);
  return this.$$js$exported$meth$emitIsGompaTeamAdminAccess__Z__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.offIsGompaAppAdminAccess = (function() {
  return this.$$js$exported$meth$offIsGompaAppAdminAccess__O()
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.onIsGompaAppAdminAccess = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onIsGompaAppAdminAccess__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.emitIsGompaAppAdminAccess = (function(arg$1) {
  var prep0 = $uZ(arg$1);
  return this.$$js$exported$meth$emitIsGompaAppAdminAccess__Z__O(prep0)
});
var $d_Lcom_metastay_gompaapp_bus_GompaAdminBus$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_bus_GompaAdminBus$: 0
}, false, "com.metastay.gompaapp.bus.GompaAdminBus$", {
  Lcom_metastay_gompaapp_bus_GompaAdminBus$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_bus_GompaAdminBus$.prototype.$classData = $d_Lcom_metastay_gompaapp_bus_GompaAdminBus$;
var $n_Lcom_metastay_gompaapp_bus_GompaAdminBus$ = (void 0);
function $m_Lcom_metastay_gompaapp_bus_GompaAdminBus$() {
  if ((!$n_Lcom_metastay_gompaapp_bus_GompaAdminBus$)) {
    $n_Lcom_metastay_gompaapp_bus_GompaAdminBus$ = new $c_Lcom_metastay_gompaapp_bus_GompaAdminBus$().init___()
  };
  return $n_Lcom_metastay_gompaapp_bus_GompaAdminBus$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_bus_TeamBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.constructor = $c_Lcom_metastay_gompaapp_bus_TeamBus$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_bus_TeamBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_bus_TeamBus$.prototype = $c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype;
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitSubTeamAdded__T__T__T__O = (function(teamCode, subTeamCode, fqSubFlowName) {
  this.emitSubTeamAdded__T__T__T__V(teamCode, subTeamCode, fqSubFlowName)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onTeamDetailsLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-teamDetailsLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offTeamUserGroupRoleMapRemoved__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-teamUserGroupRoleMapRemoved")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onTeamUserGroupRoleMapRemoved__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-teamUserGroupRoleMapRemoved", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitTeamCreated__T__T__O = (function(teamCode, fqFlowName) {
  this.emitTeamCreated__T__T__V(teamCode, fqFlowName)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamCreated__T__T__V = (function(teamCode, fqFlowName) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-teamCreated", teamCode, fqFlowName)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitRoleListForTeamLoaded__sjs_js_Array__V = (function(roleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-roleListForTeamLoaded", roleList)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onRoleListForTeamLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-roleListForTeamLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onTeamUserGroupRoleMapped__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-teamUserGroupRoleMapped", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitSubTeamListForTeamLoaded__sjs_js_Array__O = (function(subTeamList) {
  this.emitSubTeamListForTeamLoaded__sjs_js_Array__V(subTeamList)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offFqSubFlowNameListForFlowLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-fqSubFlowNameListForFlowLoaded")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitSubTeamRemoved__T__T__V = (function(teamCode, subTeamMapId) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-subTeamRemoved", teamCode, subTeamMapId)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitFqSubFlowNameListForFlowLoaded__sjs_js_Array__V = (function(fqSubFlowName) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-fqSubFlowNameListForFlowLoaded", fqSubFlowName)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitRoleListForTeamLoaded__sjs_js_Array__O = (function(roleList) {
  this.emitRoleListForTeamLoaded__sjs_js_Array__V(roleList)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitSubTeamAdded__T__T__T__V = (function(teamCode, subTeamCode, fqSubFlowName) {
  var this$4 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$4.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-subTeamAdded", teamCode, subTeamCode, fqSubFlowName)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitSubTeamRemoved__T__T__O = (function(teamCode, subTeamMapId) {
  this.emitSubTeamRemoved__T__T__V(teamCode, subTeamMapId)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offTeamUserRoleMapRemoved__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-teamUserRoleMapRemoved")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offSubTeamListForTeamLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-subTeamListForTeamLoaded")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offTeamRemoved__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-teamRemoved")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamUserGroupRoleMapRemoved__T__V = (function(teamUserGroupRoleId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-teamUserGroupRoleMapRemoved", teamUserGroupRoleId)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitFqSubFlowNameListForFlowLoaded__sjs_js_Array__O = (function(fqSubFlowName) {
  this.emitFqSubFlowNameListForFlowLoaded__sjs_js_Array__V(fqSubFlowName)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamDetailsLoaded__Lcom_metastay_gompaapp_data_TeamData__V = (function(team) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-teamDetailsLoaded", team)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onTeamUserRoleMapRemoved__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-teamUserRoleMapRemoved", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onSubTeamListForTeamLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-subTeamListForTeamLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitTeamUserGroupRoleMapRemoved__T__O = (function(teamUserGroupRoleId) {
  this.emitTeamUserGroupRoleMapRemoved__T__V(teamUserGroupRoleId)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamUserRoleMapped__T__T__T__I__V = (function(teamCode, userName, role, maxQSize) {
  var this$5 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$5.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-teamUserRoleMapped", teamCode, userName, role, maxQSize)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitTeamUserRoleMapRemoved__T__O = (function(teamUserRoleId) {
  this.emitTeamUserRoleMapRemoved__T__V(teamUserRoleId)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offTeamUserRoleMapped__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-teamUserRoleMapped")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onTeamRemoved__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-teamRemoved", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onFqSubFlowNameListForFlowLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-fqSubFlowNameListForFlowLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offSubTeamAdded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-subTeamAdded")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offRoleListForTeamLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-roleListForTeamLoaded")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamUserGroupRoleMapped__T__T__T__I__V = (function(teamCode, userGroupName, role, maxQSize) {
  var this$5 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$5.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-teamUserGroupRoleMapped", teamCode, userGroupName, role, maxQSize)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offUserGroupRoleListForTeamLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-userGroupRoleListForTeamLoaded")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offSubTeamRemoved__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-subTeamRemoved")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onSubTeamRemoved__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-subTeamRemoved", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitUserGroupRoleListForTeamLoaded__sjs_js_Array__V = (function(userGroupRoleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-userGroupRoleListForTeamLoaded", userGroupRoleList)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitTeamDetailsLoaded__Lcom_metastay_gompaapp_data_TeamData__O = (function(team) {
  this.emitTeamDetailsLoaded__Lcom_metastay_gompaapp_data_TeamData__V(team)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onTeamUserRoleMapped__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-teamUserRoleMapped", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onTeamCreated__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-teamCreated", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onAllTeamListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-allTeamListLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offTeamDetailsLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-teamDetailsLoaded")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitAllTeamListLoaded__sjs_js_Array__O = (function(teamList) {
  this.emitAllTeamListLoaded__sjs_js_Array__V(teamList)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitTeamRemoved__T__O = (function(teamId) {
  this.emitTeamRemoved__T__V(teamId)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitTeamUserGroupRoleMapped__T__T__T__I__O = (function(teamCode, userGroupName, role, maxQSize) {
  this.emitTeamUserGroupRoleMapped__T__T__T__I__V(teamCode, userGroupName, role, maxQSize)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitUserRoleListForTeamLoaded__sjs_js_Array__V = (function(teamUserRoleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-userRoleListForTeamLoaded", teamUserRoleList)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onSubTeamAdded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-subTeamAdded", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitSubTeamListForTeamLoaded__sjs_js_Array__V = (function(subTeamList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-subTeamListForTeamLoaded", subTeamList)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offTeamCreated__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-teamCreated")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitTeamUserRoleMapped__T__T__T__I__O = (function(teamCode, userName, role, maxQSize) {
  this.emitTeamUserRoleMapped__T__T__T__I__V(teamCode, userName, role, maxQSize)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offUserRoleListForTeamLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-userRoleListForTeamLoaded")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamUserRoleMapRemoved__T__V = (function(teamUserRoleId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-teamUserRoleMapRemoved", teamUserRoleId)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitAllTeamListLoaded__sjs_js_Array__V = (function(teamList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-allTeamListLoaded", teamList)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitUserGroupRoleListForTeamLoaded__sjs_js_Array__O = (function(userGroupRoleList) {
  this.emitUserGroupRoleListForTeamLoaded__sjs_js_Array__V(userGroupRoleList)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onUserRoleListForTeamLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-userRoleListForTeamLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$emitUserRoleListForTeamLoaded__sjs_js_Array__O = (function(teamUserRoleList) {
  this.emitUserRoleListForTeamLoaded__sjs_js_Array__V(teamUserRoleList)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offAllTeamListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-allTeamListLoaded")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$onUserGroupRoleListForTeamLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("Team-userGroupRoleListForTeamLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$$js$exported$meth$offTeamUserGroupRoleMapped__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("Team-teamUserGroupRoleMapped")
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamRemoved__T__V = (function(teamId) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("Team-teamRemoved", teamId)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offFqSubFlowNameListForFlowLoaded = (function() {
  return this.$$js$exported$meth$offFqSubFlowNameListForFlowLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onFqSubFlowNameListForFlowLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onFqSubFlowNameListForFlowLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitFqSubFlowNameListForFlowLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitFqSubFlowNameListForFlowLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offTeamUserGroupRoleMapRemoved = (function() {
  return this.$$js$exported$meth$offTeamUserGroupRoleMapRemoved__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onTeamUserGroupRoleMapRemoved = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamUserGroupRoleMapRemoved__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamUserGroupRoleMapRemoved = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitTeamUserGroupRoleMapRemoved__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offTeamUserGroupRoleMapped = (function() {
  return this.$$js$exported$meth$offTeamUserGroupRoleMapped__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onTeamUserGroupRoleMapped = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamUserGroupRoleMapped__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamUserGroupRoleMapped = (function(arg$1, arg$2, arg$3, arg$4) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  var prep2 = $as_T(arg$3);
  var prep3 = $uI(arg$4);
  return this.$$js$exported$meth$emitTeamUserGroupRoleMapped__T__T__T__I__O(prep0, prep1, prep2, prep3)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offUserGroupRoleListForTeamLoaded = (function() {
  return this.$$js$exported$meth$offUserGroupRoleListForTeamLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onUserGroupRoleListForTeamLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserGroupRoleListForTeamLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitUserGroupRoleListForTeamLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitUserGroupRoleListForTeamLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offTeamUserRoleMapRemoved = (function() {
  return this.$$js$exported$meth$offTeamUserRoleMapRemoved__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onTeamUserRoleMapRemoved = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamUserRoleMapRemoved__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamUserRoleMapRemoved = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitTeamUserRoleMapRemoved__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offTeamUserRoleMapped = (function() {
  return this.$$js$exported$meth$offTeamUserRoleMapped__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onTeamUserRoleMapped = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamUserRoleMapped__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamUserRoleMapped = (function(arg$1, arg$2, arg$3, arg$4) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  var prep2 = $as_T(arg$3);
  var prep3 = $uI(arg$4);
  return this.$$js$exported$meth$emitTeamUserRoleMapped__T__T__T__I__O(prep0, prep1, prep2, prep3)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offUserRoleListForTeamLoaded = (function() {
  return this.$$js$exported$meth$offUserRoleListForTeamLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onUserRoleListForTeamLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserRoleListForTeamLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitUserRoleListForTeamLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitUserRoleListForTeamLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offTeamRemoved = (function() {
  return this.$$js$exported$meth$offTeamRemoved__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onTeamRemoved = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamRemoved__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamRemoved = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitTeamRemoved__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offTeamDetailsLoaded = (function() {
  return this.$$js$exported$meth$offTeamDetailsLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onTeamDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamDetailsLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitTeamDetailsLoaded__Lcom_metastay_gompaapp_data_TeamData__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offSubTeamRemoved = (function() {
  return this.$$js$exported$meth$offSubTeamRemoved__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onSubTeamRemoved = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onSubTeamRemoved__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitSubTeamRemoved = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitSubTeamRemoved__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offSubTeamAdded = (function() {
  return this.$$js$exported$meth$offSubTeamAdded__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onSubTeamAdded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onSubTeamAdded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitSubTeamAdded = (function(arg$1, arg$2, arg$3) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  var prep2 = $as_T(arg$3);
  return this.$$js$exported$meth$emitSubTeamAdded__T__T__T__O(prep0, prep1, prep2)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offSubTeamListForTeamLoaded = (function() {
  return this.$$js$exported$meth$offSubTeamListForTeamLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onSubTeamListForTeamLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onSubTeamListForTeamLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitSubTeamListForTeamLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitSubTeamListForTeamLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offTeamCreated = (function() {
  return this.$$js$exported$meth$offTeamCreated__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onTeamCreated = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamCreated__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitTeamCreated = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitTeamCreated__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offRoleListForTeamLoaded = (function() {
  return this.$$js$exported$meth$offRoleListForTeamLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onRoleListForTeamLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onRoleListForTeamLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitRoleListForTeamLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitRoleListForTeamLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.offAllTeamListLoaded = (function() {
  return this.$$js$exported$meth$offAllTeamListLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.onAllTeamListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAllTeamListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.emitAllTeamListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitAllTeamListLoaded__sjs_js_Array__O(prep0)
});
var $d_Lcom_metastay_gompaapp_bus_TeamBus$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_bus_TeamBus$: 0
}, false, "com.metastay.gompaapp.bus.TeamBus$", {
  Lcom_metastay_gompaapp_bus_TeamBus$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_bus_TeamBus$.prototype.$classData = $d_Lcom_metastay_gompaapp_bus_TeamBus$;
var $n_Lcom_metastay_gompaapp_bus_TeamBus$ = (void 0);
function $m_Lcom_metastay_gompaapp_bus_TeamBus$() {
  if ((!$n_Lcom_metastay_gompaapp_bus_TeamBus$)) {
    $n_Lcom_metastay_gompaapp_bus_TeamBus$ = new $c_Lcom_metastay_gompaapp_bus_TeamBus$().init___()
  };
  return $n_Lcom_metastay_gompaapp_bus_TeamBus$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_bus_UserBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.constructor = $c_Lcom_metastay_gompaapp_bus_UserBus$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_bus_UserBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_bus_UserBus$.prototype = $c_Lcom_metastay_gompaapp_bus_UserBus$.prototype;
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offUserDeactivated__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-userDeactivated")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offUserActivated__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-userActivated")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onRoleListForUserLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-roleListForUserLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onAppRoleListForUserInUserGroupLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-appRoleListForUserInUserGroupLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitTeamRoleListForUserLoaded__sjs_js_Array__V = (function(teamRoleMapForList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-teamRoleListForUserLoaded", teamRoleMapForList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offUserUpdated__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-userUpdated")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitRoleListForUserLoaded__sjs_js_Array__O = (function(roleList) {
  this.emitRoleListForUserLoaded__sjs_js_Array__V(roleList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitUserDetailsLoaded__Lcom_metastay_gompaapp_data_UserData__O = (function(user) {
  this.emitUserDetailsLoaded__Lcom_metastay_gompaapp_data_UserData__V(user)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserFileUploaded__I__sjs_js_Array__V = (function(noOfUsersAdded, rejectedList) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-userFileUploaded", noOfUsersAdded, rejectedList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitPasswordReset__T__V = (function(userName) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-passwordReset", userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onGompaAdminDetailsLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-gompaAdminDetailsLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserUpdated__T__V = (function(userName) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-userUpdated", userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitUserFileUploaded__I__sjs_js_Array__O = (function(noOfUsersAdded, rejectedList) {
  this.emitUserFileUploaded__I__sjs_js_Array__V(noOfUsersAdded, rejectedList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitAppRoleListForUserLoaded__sjs_js_Array__V = (function(appRoleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-appRoleListForUserLoaded", appRoleList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onUserDeactivated__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-userDeactivated", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offUserFileUploaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-userFileUploaded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onUserRemoved__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-userRemoved", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserGroupListForUserLoaded__sjs_js_Array__V = (function(userGroupList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-userGroupListForUserLoaded", userGroupList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offTeamRoleListForUserLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-teamRoleListForUserLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitUserGroupListForUserLoaded__sjs_js_Array__O = (function(userGroupList) {
  this.emitUserGroupListForUserLoaded__sjs_js_Array__V(userGroupList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offTeamRoleListForUserInUserGroupLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-teamRoleListForUserInUserGroupLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offAppRoleListForUserLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-appRoleListForUserLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onUserActivated__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-userActivated", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offGompaAdminDetailsLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-gompaAdminDetailsLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offUserGroupListForUserLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-userGroupListForUserLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserAdded__T__V = (function(userName) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-userAdded", userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitUserRemoved__T__O = (function(userName) {
  this.emitUserRemoved__T__V(userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitUserActivated__T__O = (function(userName) {
  this.emitUserActivated__T__V(userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitGompaAdminDetailsLoaded__Lcom_metastay_gompaapp_data_GompaAdminData__O = (function(adminData) {
  this.emitGompaAdminDetailsLoaded__Lcom_metastay_gompaapp_data_GompaAdminData__V(adminData)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onUserGroupListForUserLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-userGroupListForUserLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onUserFileUploaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-userFileUploaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onUserDetailsLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-userDetailsLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitTeamRoleListForUserLoaded__sjs_js_Array__O = (function(teamRoleMapForList) {
  this.emitTeamRoleListForUserLoaded__sjs_js_Array__V(teamRoleMapForList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offUserListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-userListLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserListLoaded__sjs_js_Array__V = (function(userList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-userListLoaded", userList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offUserAdded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-userAdded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onUserUpdated__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-userUpdated", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserActivated__T__V = (function(userName) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-userActivated", userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onUserListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-userListLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offUserDetailsLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-userDetailsLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserRemoved__T__V = (function(userName) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-userRemoved", userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitAppRoleListForUserLoaded__sjs_js_Array__O = (function(appRoleList) {
  this.emitAppRoleListForUserLoaded__sjs_js_Array__V(appRoleList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offUserRemoved__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-userRemoved")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitTeamRoleListForUserInUserGroupLoaded__sjs_js_Array__V = (function(teamRoleMapForList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-teamRoleListForUserInUserGroupLoaded", teamRoleMapForList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offPasswordReset__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-passwordReset")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onTeamRoleListForUserLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-teamRoleListForUserLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitTeamRoleListForUserInUserGroupLoaded__sjs_js_Array__O = (function(teamRoleMapForList) {
  this.emitTeamRoleListForUserInUserGroupLoaded__sjs_js_Array__V(teamRoleMapForList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onAppRoleListForUserLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-appRoleListForUserLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitUserListLoaded__sjs_js_Array__O = (function(userList) {
  this.emitUserListLoaded__sjs_js_Array__V(userList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onPasswordReset__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-passwordReset", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitGompaAdminDetailsLoaded__Lcom_metastay_gompaapp_data_GompaAdminData__V = (function(adminData) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-gompaAdminDetailsLoaded", adminData)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitUserAdded__T__O = (function(userName) {
  this.emitUserAdded__T__V(userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitUserDeactivated__T__O = (function(userName) {
  this.emitUserDeactivated__T__V(userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onTeamRoleListForUserInUserGroupLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-teamRoleListForUserInUserGroupLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$onUserAdded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("User-userAdded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offRoleListForUserLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-roleListForUserLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitAppRoleListForUserInUserGroupLoaded__sjs_js_Array__V = (function(appRoleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-appRoleListForUserInUserGroupLoaded", appRoleList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserDeactivated__T__V = (function(userName) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-userDeactivated", userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserDetailsLoaded__Lcom_metastay_gompaapp_data_UserData__V = (function(user) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-userDetailsLoaded", user)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitUserUpdated__T__O = (function(userName) {
  this.emitUserUpdated__T__V(userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitPasswordReset__T__O = (function(userName) {
  this.emitPasswordReset__T__V(userName)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitRoleListForUserLoaded__sjs_js_Array__V = (function(roleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("User-roleListForUserLoaded", roleList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$emitAppRoleListForUserInUserGroupLoaded__sjs_js_Array__O = (function(appRoleList) {
  this.emitAppRoleListForUserInUserGroupLoaded__sjs_js_Array__V(appRoleList)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$$js$exported$meth$offAppRoleListForUserInUserGroupLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("User-appRoleListForUserInUserGroupLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offTeamRoleListForUserInUserGroupLoaded = (function() {
  return this.$$js$exported$meth$offTeamRoleListForUserInUserGroupLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onTeamRoleListForUserInUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamRoleListForUserInUserGroupLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitTeamRoleListForUserInUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitTeamRoleListForUserInUserGroupLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offTeamRoleListForUserLoaded = (function() {
  return this.$$js$exported$meth$offTeamRoleListForUserLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onTeamRoleListForUserLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamRoleListForUserLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitTeamRoleListForUserLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitTeamRoleListForUserLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offAppRoleListForUserInUserGroupLoaded = (function() {
  return this.$$js$exported$meth$offAppRoleListForUserInUserGroupLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onAppRoleListForUserInUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAppRoleListForUserInUserGroupLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitAppRoleListForUserInUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitAppRoleListForUserInUserGroupLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offAppRoleListForUserLoaded = (function() {
  return this.$$js$exported$meth$offAppRoleListForUserLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onAppRoleListForUserLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAppRoleListForUserLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitAppRoleListForUserLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitAppRoleListForUserLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offUserGroupListForUserLoaded = (function() {
  return this.$$js$exported$meth$offUserGroupListForUserLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onUserGroupListForUserLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserGroupListForUserLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserGroupListForUserLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitUserGroupListForUserLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offUserListLoaded = (function() {
  return this.$$js$exported$meth$offUserListLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onUserListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitUserListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offGompaAdminDetailsLoaded = (function() {
  return this.$$js$exported$meth$offGompaAdminDetailsLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onGompaAdminDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onGompaAdminDetailsLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitGompaAdminDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitGompaAdminDetailsLoaded__Lcom_metastay_gompaapp_data_GompaAdminData__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offRoleListForUserLoaded = (function() {
  return this.$$js$exported$meth$offRoleListForUserLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onRoleListForUserLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onRoleListForUserLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitRoleListForUserLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitRoleListForUserLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offUserDetailsLoaded = (function() {
  return this.$$js$exported$meth$offUserDetailsLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onUserDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserDetailsLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitUserDetailsLoaded__Lcom_metastay_gompaapp_data_UserData__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offUserRemoved = (function() {
  return this.$$js$exported$meth$offUserRemoved__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onUserRemoved = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserRemoved__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserRemoved = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitUserRemoved__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offUserUpdated = (function() {
  return this.$$js$exported$meth$offUserUpdated__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onUserUpdated = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserUpdated__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserUpdated = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitUserUpdated__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offPasswordReset = (function() {
  return this.$$js$exported$meth$offPasswordReset__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onPasswordReset = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onPasswordReset__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitPasswordReset = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitPasswordReset__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offUserFileUploaded = (function() {
  return this.$$js$exported$meth$offUserFileUploaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onUserFileUploaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserFileUploaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserFileUploaded = (function(arg$1, arg$2) {
  var prep0 = $uI(arg$1);
  var prep1 = arg$2;
  return this.$$js$exported$meth$emitUserFileUploaded__I__sjs_js_Array__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offUserAdded = (function() {
  return this.$$js$exported$meth$offUserAdded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onUserAdded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserAdded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserAdded = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitUserAdded__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offUserDeactivated = (function() {
  return this.$$js$exported$meth$offUserDeactivated__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onUserDeactivated = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserDeactivated__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserDeactivated = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitUserDeactivated__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.offUserActivated = (function() {
  return this.$$js$exported$meth$offUserActivated__O()
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.onUserActivated = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserActivated__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.emitUserActivated = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitUserActivated__T__O(prep0)
});
var $d_Lcom_metastay_gompaapp_bus_UserBus$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_bus_UserBus$: 0
}, false, "com.metastay.gompaapp.bus.UserBus$", {
  Lcom_metastay_gompaapp_bus_UserBus$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_bus_UserBus$.prototype.$classData = $d_Lcom_metastay_gompaapp_bus_UserBus$;
var $n_Lcom_metastay_gompaapp_bus_UserBus$ = (void 0);
function $m_Lcom_metastay_gompaapp_bus_UserBus$() {
  if ((!$n_Lcom_metastay_gompaapp_bus_UserBus$)) {
    $n_Lcom_metastay_gompaapp_bus_UserBus$ = new $c_Lcom_metastay_gompaapp_bus_UserBus$().init___()
  };
  return $n_Lcom_metastay_gompaapp_bus_UserBus$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_bus_UserGroupBus$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.constructor = $c_Lcom_metastay_gompaapp_bus_UserGroupBus$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_bus_UserGroupBus$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype = $c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype;
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onRoleListForUserGroupLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-roleListForUserGroupLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onAppRoleListForUserGroupLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-appRoleListForUserGroupLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onAllUserGroupListLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-allUserGroupListLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitUserAddedToUserGroup__T__T__O = (function(userGroupName, userName) {
  this.emitUserAddedToUserGroup__T__T__V(userGroupName, userName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onAddUserToUserGroupFileUploaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-addUserToUserGroupFileUploaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onUserAddedToUserGroup__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-userAddedToUserGroup", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onUserListForUserGroupLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-userListForUserGroupLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offUserGroupFileUploaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-userGroupFileUploaded")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offUserGroupRemoved__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-userGroupRemoved")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitUserGroupRemoved__T__O = (function(userGroupName) {
  this.emitUserGroupRemoved__T__V(userGroupName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitAddUserToUserGroupFileUploaded__I__sjs_js_Array__V = (function(noOfUserToUserGroupsAdded, rejectedList) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-addUserToUserGroupFileUploaded", noOfUserToUserGroupsAdded, rejectedList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offUserRemovedFromUserGroup__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-userRemovedFromUserGroup")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onUserDeactivatedForUserGroup__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-userDeactivatedForUserGroup", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitUserRemovedFromUserGroup__T__T__O = (function(userGroupName, userName) {
  this.emitUserRemovedFromUserGroup__T__T__V(userGroupName, userName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onUserGroupDetailsLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-userGroupDetailsLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitTeamRoleListForUserGroupLoaded__sjs_js_Array__V = (function(teamRoleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-teamRoleListForUserGroupLoaded", teamRoleList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserGroupRemoved__T__V = (function(userGroupName) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-userGroupRemoved", userGroupName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitAddUserToUserGroupFileUploaded__I__sjs_js_Array__O = (function(noOfUserToUserGroupsAdded, rejectedList) {
  this.emitAddUserToUserGroupFileUploaded__I__sjs_js_Array__V(noOfUserToUserGroupsAdded, rejectedList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offAppRoleListForUserGroupLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-appRoleListForUserGroupLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitRoleListForUserGroupLoaded__sjs_js_Array__V = (function(roleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-roleListForUserGroupLoaded", roleList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offUserGroupCreated__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-userGroupCreated")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offUserActivatedForUserGroup__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-userActivatedForUserGroup")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitRoleListForUserGroupLoaded__sjs_js_Array__O = (function(roleList) {
  this.emitRoleListForUserGroupLoaded__sjs_js_Array__V(roleList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offUserGroupDetailsLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-userGroupDetailsLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offTeamRoleListForUserGroupLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-teamRoleListForUserGroupLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offRoleListForUserGroupLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-roleListForUserGroupLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitUserGroupCreated__T__O = (function(userGroupName) {
  this.emitUserGroupCreated__T__V(userGroupName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onTeamRoleListForUserGroupLoaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-teamRoleListForUserGroupLoaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitUserGroupDetailsLoaded__Lcom_metastay_gompaapp_data_UserGroupData__O = (function(userGroup) {
  this.emitUserGroupDetailsLoaded__Lcom_metastay_gompaapp_data_UserGroupData__V(userGroup)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitAppRoleListForUserGroupLoaded__sjs_js_Array__O = (function(appRoleList) {
  this.emitAppRoleListForUserGroupLoaded__sjs_js_Array__V(appRoleList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onUserRemovedFromUserGroup__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-userRemovedFromUserGroup", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserGroupFileUploaded__I__sjs_js_Array__V = (function(noOfUserGroupsAdded, rejectedList) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-userGroupFileUploaded", noOfUserGroupsAdded, rejectedList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserAddedToUserGroup__T__T__V = (function(userGroupName, userName) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-userAddedToUserGroup", userGroupName, userName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserGroupCreated__T__V = (function(userGroupName) {
  var this$2 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$2.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-userGroupCreated", userGroupName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserActivatedForUserGroup__T__T__V = (function(userGroupName, userName) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-userActivatedForUserGroup", userGroupName, userName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitTeamRoleListForUserGroupLoaded__sjs_js_Array__O = (function(teamRoleList) {
  this.emitTeamRoleListForUserGroupLoaded__sjs_js_Array__V(teamRoleList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitUserActivatedForUserGroup__T__T__O = (function(userGroupName, userName) {
  this.emitUserActivatedForUserGroup__T__T__V(userGroupName, userName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserGroupDetailsLoaded__Lcom_metastay_gompaapp_data_UserGroupData__V = (function(userGroup) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-userGroupDetailsLoaded", userGroup)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onUserGroupFileUploaded__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-userGroupFileUploaded", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitAllUserGroupListLoaded__sjs_js_Array__V = (function(userGroupList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-allUserGroupListLoaded", userGroupList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onUserGroupRemoved__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-userGroupRemoved", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitAppRoleListForUserGroupLoaded__sjs_js_Array__V = (function(appRoleList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-appRoleListForUserGroupLoaded", appRoleList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitAllUserGroupListLoaded__sjs_js_Array__O = (function(userGroupList) {
  this.emitAllUserGroupListLoaded__sjs_js_Array__V(userGroupList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onUserActivatedForUserGroup__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-userActivatedForUserGroup", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserListForUserGroupLoaded__sjs_js_Array__V = (function(userList) {
  var this$1 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$1.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-userListForUserGroupLoaded", userList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitUserListForUserGroupLoaded__sjs_js_Array__O = (function(userList) {
  this.emitUserListForUserGroupLoaded__sjs_js_Array__V(userList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offAllUserGroupListLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-allUserGroupListLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offAddUserToUserGroupFileUploaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-addUserToUserGroupFileUploaded")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserRemovedFromUserGroup__T__T__V = (function(userGroupName, userName) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-userRemovedFromUserGroup", userGroupName, userName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserDeactivatedForUserGroup__T__T__V = (function(userGroupName, userName) {
  var this$3 = $m_Lcom_iteration3_smilejs_util_EventBus$();
  this$3.bus__p1__Lcom_iteration3_smilejs_util_VueEventBus().$emit("UserGroup-userDeactivatedForUserGroup", userGroupName, userName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offUserListForUserGroupLoaded__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-userListForUserGroupLoaded")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$onUserGroupCreated__sjs_js_Function__O = (function(f) {
  $m_Lcom_iteration3_smilejs_util_EventBus$().on__T__sjs_js_Function__V("UserGroup-userGroupCreated", f)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitUserGroupFileUploaded__I__sjs_js_Array__O = (function(noOfUserGroupsAdded, rejectedList) {
  this.emitUserGroupFileUploaded__I__sjs_js_Array__V(noOfUserGroupsAdded, rejectedList)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$emitUserDeactivatedForUserGroup__T__T__O = (function(userGroupName, userName) {
  this.emitUserDeactivatedForUserGroup__T__T__V(userGroupName, userName)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offUserDeactivatedForUserGroup__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-userDeactivatedForUserGroup")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$$js$exported$meth$offUserAddedToUserGroup__O = (function() {
  $m_Lcom_iteration3_smilejs_util_EventBus$().off__T__V("UserGroup-userAddedToUserGroup")
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offTeamRoleListForUserGroupLoaded = (function() {
  return this.$$js$exported$meth$offTeamRoleListForUserGroupLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onTeamRoleListForUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onTeamRoleListForUserGroupLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitTeamRoleListForUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitTeamRoleListForUserGroupLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offUserListForUserGroupLoaded = (function() {
  return this.$$js$exported$meth$offUserListForUserGroupLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onUserListForUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserListForUserGroupLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserListForUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitUserListForUserGroupLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offAppRoleListForUserGroupLoaded = (function() {
  return this.$$js$exported$meth$offAppRoleListForUserGroupLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onAppRoleListForUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAppRoleListForUserGroupLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitAppRoleListForUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitAppRoleListForUserGroupLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offUserActivatedForUserGroup = (function() {
  return this.$$js$exported$meth$offUserActivatedForUserGroup__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onUserActivatedForUserGroup = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserActivatedForUserGroup__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserActivatedForUserGroup = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitUserActivatedForUserGroup__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offUserDeactivatedForUserGroup = (function() {
  return this.$$js$exported$meth$offUserDeactivatedForUserGroup__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onUserDeactivatedForUserGroup = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserDeactivatedForUserGroup__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserDeactivatedForUserGroup = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitUserDeactivatedForUserGroup__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offUserRemovedFromUserGroup = (function() {
  return this.$$js$exported$meth$offUserRemovedFromUserGroup__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onUserRemovedFromUserGroup = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserRemovedFromUserGroup__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserRemovedFromUserGroup = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitUserRemovedFromUserGroup__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offUserAddedToUserGroup = (function() {
  return this.$$js$exported$meth$offUserAddedToUserGroup__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onUserAddedToUserGroup = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserAddedToUserGroup__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserAddedToUserGroup = (function(arg$1, arg$2) {
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  return this.$$js$exported$meth$emitUserAddedToUserGroup__T__T__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offRoleListForUserGroupLoaded = (function() {
  return this.$$js$exported$meth$offRoleListForUserGroupLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onRoleListForUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onRoleListForUserGroupLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitRoleListForUserGroupLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitRoleListForUserGroupLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offUserGroupDetailsLoaded = (function() {
  return this.$$js$exported$meth$offUserGroupDetailsLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onUserGroupDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserGroupDetailsLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserGroupDetailsLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitUserGroupDetailsLoaded__Lcom_metastay_gompaapp_data_UserGroupData__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offAllUserGroupListLoaded = (function() {
  return this.$$js$exported$meth$offAllUserGroupListLoaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onAllUserGroupListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAllUserGroupListLoaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitAllUserGroupListLoaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$emitAllUserGroupListLoaded__sjs_js_Array__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offUserGroupRemoved = (function() {
  return this.$$js$exported$meth$offUserGroupRemoved__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onUserGroupRemoved = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserGroupRemoved__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserGroupRemoved = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitUserGroupRemoved__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offAddUserToUserGroupFileUploaded = (function() {
  return this.$$js$exported$meth$offAddUserToUserGroupFileUploaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onAddUserToUserGroupFileUploaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onAddUserToUserGroupFileUploaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitAddUserToUserGroupFileUploaded = (function(arg$1, arg$2) {
  var prep0 = $uI(arg$1);
  var prep1 = arg$2;
  return this.$$js$exported$meth$emitAddUserToUserGroupFileUploaded__I__sjs_js_Array__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offUserGroupFileUploaded = (function() {
  return this.$$js$exported$meth$offUserGroupFileUploaded__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onUserGroupFileUploaded = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserGroupFileUploaded__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserGroupFileUploaded = (function(arg$1, arg$2) {
  var prep0 = $uI(arg$1);
  var prep1 = arg$2;
  return this.$$js$exported$meth$emitUserGroupFileUploaded__I__sjs_js_Array__O(prep0, prep1)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.offUserGroupCreated = (function() {
  return this.$$js$exported$meth$offUserGroupCreated__O()
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.onUserGroupCreated = (function(arg$1) {
  var prep0 = arg$1;
  return this.$$js$exported$meth$onUserGroupCreated__sjs_js_Function__O(prep0)
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.emitUserGroupCreated = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$emitUserGroupCreated__T__O(prep0)
});
var $d_Lcom_metastay_gompaapp_bus_UserGroupBus$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_bus_UserGroupBus$: 0
}, false, "com.metastay.gompaapp.bus.UserGroupBus$", {
  Lcom_metastay_gompaapp_bus_UserGroupBus$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_bus_UserGroupBus$.prototype.$classData = $d_Lcom_metastay_gompaapp_bus_UserGroupBus$;
var $n_Lcom_metastay_gompaapp_bus_UserGroupBus$ = (void 0);
function $m_Lcom_metastay_gompaapp_bus_UserGroupBus$() {
  if ((!$n_Lcom_metastay_gompaapp_bus_UserGroupBus$)) {
    $n_Lcom_metastay_gompaapp_bus_UserGroupBus$ = new $c_Lcom_metastay_gompaapp_bus_UserGroupBus$().init___()
  };
  return $n_Lcom_metastay_gompaapp_bus_UserGroupBus$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_enums_Title$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null;
  this.list$1 = null;
  this.idList$1 = null;
  this.nameList$1 = null
}
$c_Lcom_metastay_gompaapp_enums_Title$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.constructor = $c_Lcom_metastay_gompaapp_enums_Title$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_enums_Title$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_enums_Title$.prototype = $c_Lcom_metastay_gompaapp_enums_Title$.prototype;
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.withId__T__Lcom_metastay_gompaapp_enums_Title = (function(id) {
  var requirement = (id !== null);
  if ((!requirement)) {
    throw new $c_jl_IllegalArgumentException().init___T("requirement failed: id cannot be passed as null")
  };
  if ((id === "Mr")) {
    return $m_Lcom_metastay_gompaapp_enums_Title$Mr$()
  } else if ((id === "Mrs")) {
    return $m_Lcom_metastay_gompaapp_enums_Title$Mrs$()
  } else if ((id === "Ms")) {
    return $m_Lcom_metastay_gompaapp_enums_Title$Ms$()
  } else {
    throw new $c_jl_IllegalArgumentException().init___T(("Invalid id for com.metastay.gompaapp.enums.Title : " + id))
  }
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_enums_Title$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_enums_Title$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_enums_Title$$anon$2().init___();
  $m_sci_List$();
  var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([$m_Lcom_metastay_gompaapp_enums_Title$Mr$(), $m_Lcom_metastay_gompaapp_enums_Title$Mrs$(), $m_Lcom_metastay_gompaapp_enums_Title$Ms$()]);
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  this.list$1 = $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(xs, cbf));
  this.idList$1 = ["Mr", "Mrs", "Ms"];
  this.nameList$1 = ["Mr", "Mrs", "Ms"];
  return this
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.withName__T__Lcom_metastay_gompaapp_enums_Title = (function(name) {
  var requirement = (name !== null);
  if ((!requirement)) {
    throw new $c_jl_IllegalArgumentException().init___T("requirement failed: name cannot be passed as null")
  };
  if ((name === "Mr")) {
    return $m_Lcom_metastay_gompaapp_enums_Title$Mr$()
  } else if ((name === "Mrs")) {
    return $m_Lcom_metastay_gompaapp_enums_Title$Mrs$()
  } else if ((name === "Ms")) {
    return $m_Lcom_metastay_gompaapp_enums_Title$Ms$()
  } else {
    throw new $c_jl_IllegalArgumentException().init___T(("Invalid name for com.metastay.gompaapp.enums.Title : " + name))
  }
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.$$js$exported$prop$list__O = (function() {
  return this.list$1
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.$$js$exported$meth$existsId__T__O = (function(id) {
  return this.existsId__T__Z(id)
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.$$js$exported$prop$nameList__O = (function() {
  return this.nameList$1
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.$$js$exported$meth$withId__T__O = (function(id) {
  return this.withId__T__Lcom_metastay_gompaapp_enums_Title(id)
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.withIdOption__T__s_Option = (function(id) {
  try {
    var jsx$1 = new $c_s_util_Success().init___O($m_Lcom_metastay_gompaapp_enums_Title$().withId__T__Lcom_metastay_gompaapp_enums_Title(id))
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      matchEnd8: {
        var jsx$1;
        var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
        if ((!o11.isEmpty__Z())) {
          var e$3 = $as_jl_Throwable(o11.get__O());
          var jsx$1 = new $c_s_util_Failure().init___jl_Throwable(e$3);
          break matchEnd8
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      }
    } else {
      var jsx$1;
      throw e
    }
  };
  return jsx$1.toOption__s_Option()
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.$$js$exported$prop$idList__O = (function() {
  return this.idList$1
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.$$js$exported$meth$withName__T__O = (function(name) {
  return this.withName__T__Lcom_metastay_gompaapp_enums_Title(name)
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.existsId__T__Z = (function(id) {
  return this.withIdOption__T__s_Option(id).isDefined__Z()
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.existsId = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$existsId__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.withName = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$withName__T__O(prep0)
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.withId = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$withId__T__O(prep0)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_enums_Title$.prototype, "nameList", {
  "get": (function() {
    return this.$$js$exported$prop$nameList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_enums_Title$.prototype, "idList", {
  "get": (function() {
    return this.$$js$exported$prop$idList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_enums_Title$.prototype, "list", {
  "get": (function() {
    return this.$$js$exported$prop$list__O()
  }),
  "configurable": true
});
var $d_Lcom_metastay_gompaapp_enums_Title$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_enums_Title$: 0
}, false, "com.metastay.gompaapp.enums.Title$", {
  Lcom_metastay_gompaapp_enums_Title$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_enums_Title$.prototype.$classData = $d_Lcom_metastay_gompaapp_enums_Title$;
var $n_Lcom_metastay_gompaapp_enums_Title$ = (void 0);
function $m_Lcom_metastay_gompaapp_enums_Title$() {
  if ((!$n_Lcom_metastay_gompaapp_enums_Title$)) {
    $n_Lcom_metastay_gompaapp_enums_Title$ = new $c_Lcom_metastay_gompaapp_enums_Title$().init___()
  };
  return $n_Lcom_metastay_gompaapp_enums_Title$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype = $c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.getAppRoleListForUserInUserGroup__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/get-app-role-list-for-user-in-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.getServerAppIdList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/get-server-app-id-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input().init___(), false, $m_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsString$1)
});
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.getUserGroupRoleListForApp__Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/get-user-group-role-list-for-app"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.getUserRoleListForApp__Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/get-user-role-list-for-app"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_AppUserRole$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.getAppRoleListForUserGroup__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/get-app-role-list-for-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.getAppRoleListForUser__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/get-app-role-list-for-user"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_AppUserRole$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.getAllAppIdList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/get-all-app-id-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input().init___(), false, $m_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsString$1)
});
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.getClientAppIdList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/get-client-app-id-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input().init___(), false, $m_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsString$1)
});
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.getRoleListForApp__Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/get-role-list-for-app"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsString$1)
});
var $d_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$: 0
}, false, "com.metastay.gompaapp.service.appreader.AppReaderBackend$", {
  Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$;
var $n_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$)) {
    $n_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$ = new $c_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype.mapAppUserGroupRole__Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/map-app-user-group-role"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$().toJs$1, $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype.addUserAsGompaAppAdmin__Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/add-user-as-gompa-app-admin"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype.removeAppUserGroupRoleMap__Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/remove-app-user-group-role-map"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype.mapAppUserRole__Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/map-app-user-role"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$().toJs$1, $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype.removeUserAsGompaAppAdmin__Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/remove-user-as-gompa-app-admin"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype.removeAppUserRoleMap__Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/app/remove-app-user-role-map"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$().toJs$1)
});
var $d_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$: 0
}, false, "com.metastay.gompaapp.service.appwriter.AppWriterBackend$", {
  Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$;
var $n_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$)) {
    $n_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$ = new $c_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$.prototype.getAdminListForApp__Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/gompaadmin/get-admin-list-for-app"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_User$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$.prototype.canUserAccessTeam__Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/gompaadmin/can-user-access-team"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsBoolean$1)
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$.prototype.canUserAccessApp__Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/gompaadmin/can-user-access-app"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsBoolean$1)
});
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.GompaAdminReaderBackend$", {
  Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$;
var $n_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$() {
  if ((!$n_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$)) {
    $n_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$ = new $c_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$.prototype = $c_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$.prototype;
$c_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$.prototype.logout__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/inout/logout"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input().init___(), false, $m_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$().toJs$1)
});
var $d_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$: 0
}, false, "com.metastay.gompaapp.service.inoutwriter.InOutWriterBackend$", {
  Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$;
var $n_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$() {
  if ((!$n_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$)) {
    $n_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$ = new $c_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getAllFqFlowNameList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-all-fq-flow-name-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input().init___(), false, $m_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsString$1)
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getUserRoleListForTeam__Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-user-role-list-for-team"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_TeamUserRole$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getTeamRoleListForUserInUserGroup__Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-team-role-list-for-user-in-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getRoleListForTeam__Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-role-list-for-team"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsString$1)
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getAllTeamList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-all-team-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input().init___(), false, $m_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_Team$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getFqSubFlowNameListForFlow__Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-fq-sub-flow-name-list-for-flow"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsString$1)
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getSubTeamListForTeam__Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-sub-team-list-for-team"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getTeamRoleListForUser__Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-team-role-list-for-user"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_TeamUserRole$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getAdminListForTeam__Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-admin-list-for-team"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_User$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getTeamDetails__Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-team-details"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_Team$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.getUserGroupRoleListForTeam__Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/get-user-group-role-list-for-team"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$().fromJs$1)
});
var $d_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$: 0
}, false, "com.metastay.gompaapp.service.teamreader.TeamReaderBackend$", {
  Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$;
var $n_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$ = new $c_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.updateMaxQSizeForTeamUserGroupRole__Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/update-max-q-size-for-team-user-group-role"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.updateMaxQSizeForTeamUserRole__Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/update-max-q-size-for-team-user-role"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.mapTeamUserGroupRole__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/map-team-user-group-role"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$().toJs$1, $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.mapTeamUserRole__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/map-team-user-role"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$().toJs$1, $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.removeTeamUserGroupRoleMap__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/remove-team-user-group-role-map"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.createTeam__Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/create-team"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.addSubTeam__Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/add-sub-team"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.addUserAsTeamAdmin__Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/add-user-as-team-admin"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.removeSubTeam__Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/remove-sub-team"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.removeUserAsTeamAdmin__Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/remove-user-as-team-admin"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.removeTeam__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/remove-team"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.removeTeamUserRoleMap__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/team/remove-team-user-role-map"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$().toJs$1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.TeamWriterBackend$", {
  Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype.getUserGroupDetails__Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/get-user-group-details"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype.getRoleListForUserGroup__Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/get-role-list-for-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsString$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype.getAllUserGroupList__s_concurrent_Future = (function() {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/get-all-user-group-list"])).s__sc_Seq__T($m_sci_Nil$()), new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input().init___(), false, $m_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_UserGroup$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype.getTeamRoleListForUserGroup__Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/get-team-role-list-for-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype.getUserGroupListForUser__Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/get-user-group-list-for-user"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype.getUserListForUserGroup__Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/get-user-list-for-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$().fromJs$1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.UserGroupReaderBackend$", {
  Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$;
var $n_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$ = new $c_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.addUserToUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/add-user-to-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.removeUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/remove-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.activateUserInUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/activate-user-in-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.deactivateUserInUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/deactivate-user-in-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.uploadAddUserToUserGroupFile__Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/upload-add-user-to-user-group-file"])).s__sc_Seq__T($m_sci_Nil$()), input, true, $m_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$().toJs$1, $m_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.createUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/create-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$().toJs$1, $m_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.uploadUserGroupFile__Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/upload-user-group-file"])).s__sc_Seq__T($m_sci_Nil$()), input, true, $m_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$().toJs$1, $m_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.removeUserFromUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/usergroup/remove-user-from-user-group"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$().toJs$1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UserGroupWriterBackend$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$.prototype = $c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$.prototype.getGompaAdminDetails__Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/get-gompa-admin-details"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_GompaAdminData$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$.prototype.getUserDetails__Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().get__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/get-user-details"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_User$().fromJs$1)
});
$c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$.prototype.getRoleListForUser__Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/get-role-list-for-user"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$().toJs$1, $m_Lcom_iteration3_smilejs_package$().fromJsString$1)
});
$c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$.prototype.findUser__Lcom_metastay_gompaapp_service_userreader_FindUser$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().getMany__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/find-user"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$().toJs$1, $m_Lsmilejs_com_metastay_gompa_data_User$().fromJs$1)
});
var $d_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$: 0
}, false, "com.metastay.gompaapp.service.userreader.UserReaderBackend$", {
  Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$;
var $n_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$)) {
    $n_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$ = new $c_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype.resetPassword__Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/reset-password"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype.removeUser__Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/remove-user"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype.activateUser__Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/activate-user"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype.addUser__Lcom_metastay_gompaapp_service_userwriter_AddUser$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/add-user"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype.changeDetails__Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/change-details"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype.deactivateUser__Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().postString__T__O__Z__Lcom_iteration3_smilejs_ToJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/deactivate-user"])).s__sc_Seq__T($m_sci_Nil$()), input, false, $m_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$().toJs$1)
});
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype.uploadUserFile__Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input__s_concurrent_Future = (function(input) {
  return $m_Lcom_iteration3_smilejs_BackendService$().post__T__O__Z__Lcom_iteration3_smilejs_ToJs__Lcom_iteration3_smilejs_FromJs__s_concurrent_Future(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["/gompa-api/user/upload-user-file"])).s__sc_Seq__T($m_sci_Nil$()), input, true, $m_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$().toJs$1, $m_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$().fromJs$1)
});
var $d_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$: 0
}, false, "com.metastay.gompaapp.service.userwriter.UserWriterBackend$", {
  Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$;
var $n_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$)) {
    $n_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$ = new $c_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_store_StateInit$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_store_StateInit$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_store_StateInit$.prototype.constructor = $c_Lcom_metastay_gompaapp_store_StateInit$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_store_StateInit$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_store_StateInit$.prototype = $c_Lcom_metastay_gompaapp_store_StateInit$.prototype;
$c_Lcom_metastay_gompaapp_store_StateInit$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_store_StateInit$.prototype.init__Lcom_metastay_gompaapp_store_State = (function() {
  return new ($a_Lcom_metastay_gompaapp_store_State())()
});
$c_Lcom_metastay_gompaapp_store_StateInit$.prototype.$$js$exported$meth$init__O = (function() {
  return this.init__Lcom_metastay_gompaapp_store_State()
});
$c_Lcom_metastay_gompaapp_store_StateInit$.prototype.init = (function() {
  return this.$$js$exported$meth$init__O()
});
var $d_Lcom_metastay_gompaapp_store_StateInit$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_store_StateInit$: 0
}, false, "com.metastay.gompaapp.store.StateInit$", {
  Lcom_metastay_gompaapp_store_StateInit$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_store_StateInit$.prototype.$classData = $d_Lcom_metastay_gompaapp_store_StateInit$;
var $n_Lcom_metastay_gompaapp_store_StateInit$ = (void 0);
function $m_Lcom_metastay_gompaapp_store_StateInit$() {
  if ((!$n_Lcom_metastay_gompaapp_store_StateInit$)) {
    $n_Lcom_metastay_gompaapp_store_StateInit$ = new $c_Lcom_metastay_gompaapp_store_StateInit$().init___()
  };
  return $n_Lcom_metastay_gompaapp_store_StateInit$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_store_Store$Ext$() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_store_Store$Ext$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_store_Store$Ext$.prototype.constructor = $c_Lcom_metastay_gompaapp_store_Store$Ext$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_store_Store$Ext$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_store_Store$Ext$.prototype = $c_Lcom_metastay_gompaapp_store_Store$Ext$.prototype;
$c_Lcom_metastay_gompaapp_store_Store$Ext$.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_store_Store$Ext$.prototype.MUTATE$undALL$undFQ$undFLOW$undNAME$undLIST$extension__Lcom_metastay_gompaapp_store_Store__sjs_js_Array__V = (function($$this, allFqFlowNameList) {
  $$this.commit("MUTATE_ALL_FQ_FLOW_NAME_LIST", allFqFlowNameList)
});
$c_Lcom_metastay_gompaapp_store_Store$Ext$.prototype.MUTATE$undSERVER$undAPP$undID$undLIST$extension__Lcom_metastay_gompaapp_store_Store__sjs_js_Array__V = (function($$this, serverAppIdList) {
  $$this.commit("MUTATE_SERVER_APP_ID_LIST", serverAppIdList)
});
$c_Lcom_metastay_gompaapp_store_Store$Ext$.prototype.MUTATE$undCLIENT$undAPP$undID$undLIST$extension__Lcom_metastay_gompaapp_store_Store__sjs_js_Array__V = (function($$this, clientAppIdList) {
  $$this.commit("MUTATE_CLIENT_APP_ID_LIST", clientAppIdList)
});
$c_Lcom_metastay_gompaapp_store_Store$Ext$.prototype.MUTATE$undLOGGED$undIN$undUSER$extension__Lcom_metastay_gompaapp_store_Store__Lcom_metastay_gompaapp_data_UserData__V = (function($$this, loggedInUser) {
  $$this.commit("MUTATE_LOGGED_IN_USER", loggedInUser)
});
$c_Lcom_metastay_gompaapp_store_Store$Ext$.prototype.MUTATE$undALL$undAPP$undID$undLIST$extension__Lcom_metastay_gompaapp_store_Store__sjs_js_Array__V = (function($$this, allAppIdList) {
  $$this.commit("MUTATE_ALL_APP_ID_LIST", allAppIdList)
});
var $d_Lcom_metastay_gompaapp_store_Store$Ext$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_store_Store$Ext$: 0
}, false, "com.metastay.gompaapp.store.Store$Ext$", {
  Lcom_metastay_gompaapp_store_Store$Ext$: 1,
  O: 1
});
$c_Lcom_metastay_gompaapp_store_Store$Ext$.prototype.$classData = $d_Lcom_metastay_gompaapp_store_Store$Ext$;
var $n_Lcom_metastay_gompaapp_store_Store$Ext$ = (void 0);
function $m_Lcom_metastay_gompaapp_store_Store$Ext$() {
  if ((!$n_Lcom_metastay_gompaapp_store_Store$Ext$)) {
    $n_Lcom_metastay_gompaapp_store_Store$Ext$ = new $c_Lcom_metastay_gompaapp_store_Store$Ext$().init___()
  };
  return $n_Lcom_metastay_gompaapp_store_Store$Ext$
}
/** @constructor */
function $c_Lorg_scalajs_dom_ext_Ajax$() {
  $c_O.call(this)
}
$c_Lorg_scalajs_dom_ext_Ajax$.prototype = new $h_O();
$c_Lorg_scalajs_dom_ext_Ajax$.prototype.constructor = $c_Lorg_scalajs_dom_ext_Ajax$;
/** @constructor */
function $h_Lorg_scalajs_dom_ext_Ajax$() {
  /*<skip>*/
}
$h_Lorg_scalajs_dom_ext_Ajax$.prototype = $c_Lorg_scalajs_dom_ext_Ajax$.prototype;
$c_Lorg_scalajs_dom_ext_Ajax$.prototype.init___ = (function() {
  return this
});
$c_Lorg_scalajs_dom_ext_Ajax$.prototype.apply__T__T__Lorg_scalajs_dom_ext_Ajax$InputData__I__sci_Map__Z__T__s_concurrent_Future = (function(method, url, data, timeout, headers, withCredentials, responseType) {
  var req = new $g.XMLHttpRequest();
  var promise = new $c_s_concurrent_impl_Promise$DefaultPromise().init___();
  req.onreadystatechange = (function(req$1, promise$1) {
    return (function(e$2) {
      if (($uI(req$1.readyState) === 4)) {
        if (((($uI(req$1.status) >= 200) && ($uI(req$1.status) < 300)) || ($uI(req$1.status) === 304))) {
          return $s_s_concurrent_Promise$class__success__s_concurrent_Promise__O__s_concurrent_Promise(promise$1, req$1)
        } else {
          var cause = new $c_Lorg_scalajs_dom_ext_AjaxException().init___Lorg_scalajs_dom_raw_XMLHttpRequest(req$1);
          return $s_s_concurrent_Promise$class__failure__s_concurrent_Promise__jl_Throwable__s_concurrent_Promise(promise$1, cause)
        }
      } else {
        return (void 0)
      }
    })
  })(req, promise);
  req.open(method, url);
  req.responseType = responseType;
  req.timeout = timeout;
  req.withCredentials = withCredentials;
  headers.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function(req$1$1) {
    return (function(x$2) {
      var x = $as_T2(x$2);
      req$1$1.setRequestHeader($as_T(x.$$und1$f), $as_T(x.$$und2$f))
    })
  })(req)));
  if ((data === null)) {
    req.send()
  } else {
    req.send(data)
  };
  return promise
});
var $d_Lorg_scalajs_dom_ext_Ajax$ = new $TypeData().initClass({
  Lorg_scalajs_dom_ext_Ajax$: 0
}, false, "org.scalajs.dom.ext.Ajax$", {
  Lorg_scalajs_dom_ext_Ajax$: 1,
  O: 1
});
$c_Lorg_scalajs_dom_ext_Ajax$.prototype.$classData = $d_Lorg_scalajs_dom_ext_Ajax$;
var $n_Lorg_scalajs_dom_ext_Ajax$ = (void 0);
function $m_Lorg_scalajs_dom_ext_Ajax$() {
  if ((!$n_Lorg_scalajs_dom_ext_Ajax$)) {
    $n_Lorg_scalajs_dom_ext_Ajax$ = new $c_Lorg_scalajs_dom_ext_Ajax$().init___()
  };
  return $n_Lorg_scalajs_dom_ext_Ajax$
}
/** @constructor */
function $c_Lorg_scalajs_dom_package$() {
  $c_O.call(this);
  this.ApplicationCache$1 = null;
  this.Blob$1 = null;
  this.BlobPropertyBag$1 = null;
  this.ClipboardEventInit$1 = null;
  this.DOMException$1 = null;
  this.Event$1 = null;
  this.EventException$1 = null;
  this.EventSource$1 = null;
  this.FileReader$1 = null;
  this.FormData$1 = null;
  this.KeyboardEvent$1 = null;
  this.MediaError$1 = null;
  this.MutationEvent$1 = null;
  this.MutationObserverInit$1 = null;
  this.Node$1 = null;
  this.NodeFilter$1 = null;
  this.PerformanceNavigation$1 = null;
  this.PositionError$1 = null;
  this.Range$1 = null;
  this.TextEvent$1 = null;
  this.TextTrack$1 = null;
  this.URL$1 = null;
  this.VisibilityState$1 = null;
  this.WebSocket$1 = null;
  this.WheelEvent$1 = null;
  this.XMLHttpRequest$1 = null;
  this.XPathResult$1 = null;
  this.window$1 = null;
  this.document$1 = null;
  this.console$1 = null;
  this.bitmap$0$1 = 0
}
$c_Lorg_scalajs_dom_package$.prototype = new $h_O();
$c_Lorg_scalajs_dom_package$.prototype.constructor = $c_Lorg_scalajs_dom_package$;
/** @constructor */
function $h_Lorg_scalajs_dom_package$() {
  /*<skip>*/
}
$h_Lorg_scalajs_dom_package$.prototype = $c_Lorg_scalajs_dom_package$.prototype;
$c_Lorg_scalajs_dom_package$.prototype.init___ = (function() {
  return this
});
$c_Lorg_scalajs_dom_package$.prototype.window__Lorg_scalajs_dom_raw_Window = (function() {
  return (((134217728 & this.bitmap$0$1) === 0) ? this.window$lzycompute__p1__Lorg_scalajs_dom_raw_Window() : this.window$1)
});
$c_Lorg_scalajs_dom_package$.prototype.window$lzycompute__p1__Lorg_scalajs_dom_raw_Window = (function() {
  if (((134217728 & this.bitmap$0$1) === 0)) {
    this.window$1 = $g;
    this.bitmap$0$1 = (134217728 | this.bitmap$0$1)
  };
  return this.window$1
});
var $d_Lorg_scalajs_dom_package$ = new $TypeData().initClass({
  Lorg_scalajs_dom_package$: 0
}, false, "org.scalajs.dom.package$", {
  Lorg_scalajs_dom_package$: 1,
  O: 1
});
$c_Lorg_scalajs_dom_package$.prototype.$classData = $d_Lorg_scalajs_dom_package$;
var $n_Lorg_scalajs_dom_package$ = (void 0);
function $m_Lorg_scalajs_dom_package$() {
  if ((!$n_Lorg_scalajs_dom_package$)) {
    $n_Lorg_scalajs_dom_package$ = new $c_Lorg_scalajs_dom_package$().init___()
  };
  return $n_Lorg_scalajs_dom_package$
}
/** @constructor */
function $c_jl_Class() {
  $c_O.call(this);
  this.data$1 = null
}
$c_jl_Class.prototype = new $h_O();
$c_jl_Class.prototype.constructor = $c_jl_Class;
/** @constructor */
function $h_jl_Class() {
  /*<skip>*/
}
$h_jl_Class.prototype = $c_jl_Class.prototype;
$c_jl_Class.prototype.getName__T = (function() {
  return $as_T(this.data$1.name)
});
$c_jl_Class.prototype.isPrimitive__Z = (function() {
  return $uZ(this.data$1.isPrimitive)
});
$c_jl_Class.prototype.toString__T = (function() {
  return ((this.isInterface__Z() ? "interface " : (this.isPrimitive__Z() ? "" : "class ")) + this.getName__T())
});
$c_jl_Class.prototype.isAssignableFrom__jl_Class__Z = (function(that) {
  return ((this.isPrimitive__Z() || that.isPrimitive__Z()) ? ((this === that) || ((this === $d_S.getClassOf()) ? (that === $d_B.getClassOf()) : ((this === $d_I.getClassOf()) ? ((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) : ((this === $d_F.getClassOf()) ? (((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) || (that === $d_I.getClassOf())) : ((this === $d_D.getClassOf()) && ((((that === $d_B.getClassOf()) || (that === $d_S.getClassOf())) || (that === $d_I.getClassOf())) || (that === $d_F.getClassOf()))))))) : this.isInstance__O__Z(that.getFakeInstance__p1__O()))
});
$c_jl_Class.prototype.isInstance__O__Z = (function(obj) {
  return $uZ(this.data$1.isInstance(obj))
});
$c_jl_Class.prototype.init___jl_ScalaJSClassData = (function(data) {
  this.data$1 = data;
  return this
});
$c_jl_Class.prototype.getFakeInstance__p1__O = (function() {
  return this.data$1.getFakeInstance()
});
$c_jl_Class.prototype.isArray__Z = (function() {
  return $uZ(this.data$1.isArrayClass)
});
$c_jl_Class.prototype.isInterface__Z = (function() {
  return $uZ(this.data$1.isInterface)
});
var $d_jl_Class = new $TypeData().initClass({
  jl_Class: 0
}, false, "java.lang.Class", {
  jl_Class: 1,
  O: 1
});
$c_jl_Class.prototype.$classData = $d_jl_Class;
/** @constructor */
function $c_jl_System$() {
  $c_O.call(this);
  this.out$1 = null;
  this.err$1 = null;
  this.in$1 = null;
  this.getHighPrecisionTime$1 = null
}
$c_jl_System$.prototype = new $h_O();
$c_jl_System$.prototype.constructor = $c_jl_System$;
/** @constructor */
function $h_jl_System$() {
  /*<skip>*/
}
$h_jl_System$.prototype = $c_jl_System$.prototype;
$c_jl_System$.prototype.init___ = (function() {
  $n_jl_System$ = this;
  this.out$1 = new $c_jl_JSConsoleBasedPrintStream().init___jl_Boolean(false);
  this.err$1 = new $c_jl_JSConsoleBasedPrintStream().init___jl_Boolean(true);
  this.in$1 = null;
  var x = $g.performance;
  if ($uZ((!(!x)))) {
    var x$1 = $g.performance.now;
    if ($uZ((!(!x$1)))) {
      var jsx$1 = (function() {
        return $uD($g.performance.now())
      })
    } else {
      var x$2 = $g.performance.webkitNow;
      if ($uZ((!(!x$2)))) {
        var jsx$1 = (function() {
          return $uD($g.performance.webkitNow())
        })
      } else {
        var jsx$1 = (function() {
          return $uD(new $g.Date().getTime())
        })
      }
    }
  } else {
    var jsx$1 = (function() {
      return $uD(new $g.Date().getTime())
    })
  };
  this.getHighPrecisionTime$1 = jsx$1;
  return this
});
var $d_jl_System$ = new $TypeData().initClass({
  jl_System$: 0
}, false, "java.lang.System$", {
  jl_System$: 1,
  O: 1
});
$c_jl_System$.prototype.$classData = $d_jl_System$;
var $n_jl_System$ = (void 0);
function $m_jl_System$() {
  if ((!$n_jl_System$)) {
    $n_jl_System$ = new $c_jl_System$().init___()
  };
  return $n_jl_System$
}
/** @constructor */
function $c_ju_Arrays$() {
  $c_O.call(this);
  this.inPlaceSortThreshold$1 = 0
}
$c_ju_Arrays$.prototype = new $h_O();
$c_ju_Arrays$.prototype.constructor = $c_ju_Arrays$;
/** @constructor */
function $h_ju_Arrays$() {
  /*<skip>*/
}
$h_ju_Arrays$.prototype = $c_ju_Arrays$.prototype;
$c_ju_Arrays$.prototype.init___ = (function() {
  return this
});
$c_ju_Arrays$.prototype.fill__AI__I__V = (function(a, value) {
  var toIndex = a.u.length;
  var i = 0;
  while ((i !== toIndex)) {
    a.set(i, value);
    i = ((1 + i) | 0)
  }
});
var $d_ju_Arrays$ = new $TypeData().initClass({
  ju_Arrays$: 0
}, false, "java.util.Arrays$", {
  ju_Arrays$: 1,
  O: 1
});
$c_ju_Arrays$.prototype.$classData = $d_ju_Arrays$;
var $n_ju_Arrays$ = (void 0);
function $m_ju_Arrays$() {
  if ((!$n_ju_Arrays$)) {
    $n_ju_Arrays$ = new $c_ju_Arrays$().init___()
  };
  return $n_ju_Arrays$
}
/** @constructor */
function $c_s_FallbackArrayBuilding() {
  $c_O.call(this)
}
$c_s_FallbackArrayBuilding.prototype = new $h_O();
$c_s_FallbackArrayBuilding.prototype.constructor = $c_s_FallbackArrayBuilding;
/** @constructor */
function $h_s_FallbackArrayBuilding() {
  /*<skip>*/
}
$h_s_FallbackArrayBuilding.prototype = $c_s_FallbackArrayBuilding.prototype;
/** @constructor */
function $c_s_LowPriorityImplicits() {
  $c_O.call(this)
}
$c_s_LowPriorityImplicits.prototype = new $h_O();
$c_s_LowPriorityImplicits.prototype.constructor = $c_s_LowPriorityImplicits;
/** @constructor */
function $h_s_LowPriorityImplicits() {
  /*<skip>*/
}
$h_s_LowPriorityImplicits.prototype = $c_s_LowPriorityImplicits.prototype;
/** @constructor */
function $c_s_PartialFunction$() {
  $c_O.call(this);
  this.scala$PartialFunction$$fallback$undpf$f = null;
  this.scala$PartialFunction$$constFalse$f = null;
  this.empty$undpf$1 = null
}
$c_s_PartialFunction$.prototype = new $h_O();
$c_s_PartialFunction$.prototype.constructor = $c_s_PartialFunction$;
/** @constructor */
function $h_s_PartialFunction$() {
  /*<skip>*/
}
$h_s_PartialFunction$.prototype = $c_s_PartialFunction$.prototype;
$c_s_PartialFunction$.prototype.init___ = (function() {
  $n_s_PartialFunction$ = this;
  this.scala$PartialFunction$$fallback$undpf$f = new $c_s_PartialFunction$$anonfun$4().init___();
  this.scala$PartialFunction$$constFalse$f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$1$2) {
      return false
    })
  })(this));
  this.empty$undpf$1 = new $c_s_PartialFunction$$anon$1().init___();
  return this
});
var $d_s_PartialFunction$ = new $TypeData().initClass({
  s_PartialFunction$: 0
}, false, "scala.PartialFunction$", {
  s_PartialFunction$: 1,
  O: 1
});
$c_s_PartialFunction$.prototype.$classData = $d_s_PartialFunction$;
var $n_s_PartialFunction$ = (void 0);
function $m_s_PartialFunction$() {
  if ((!$n_s_PartialFunction$)) {
    $n_s_PartialFunction$ = new $c_s_PartialFunction$().init___()
  };
  return $n_s_PartialFunction$
}
/** @constructor */
function $c_s_Predef$any2stringadd$() {
  $c_O.call(this)
}
$c_s_Predef$any2stringadd$.prototype = new $h_O();
$c_s_Predef$any2stringadd$.prototype.constructor = $c_s_Predef$any2stringadd$;
/** @constructor */
function $h_s_Predef$any2stringadd$() {
  /*<skip>*/
}
$h_s_Predef$any2stringadd$.prototype = $c_s_Predef$any2stringadd$.prototype;
$c_s_Predef$any2stringadd$.prototype.init___ = (function() {
  return this
});
$c_s_Predef$any2stringadd$.prototype.$$plus$extension__O__T__T = (function($$this, other) {
  return (("" + $m_sjsr_RuntimeString$().valueOf__O__T($$this)) + other)
});
var $d_s_Predef$any2stringadd$ = new $TypeData().initClass({
  s_Predef$any2stringadd$: 0
}, false, "scala.Predef$any2stringadd$", {
  s_Predef$any2stringadd$: 1,
  O: 1
});
$c_s_Predef$any2stringadd$.prototype.$classData = $d_s_Predef$any2stringadd$;
var $n_s_Predef$any2stringadd$ = (void 0);
function $m_s_Predef$any2stringadd$() {
  if ((!$n_s_Predef$any2stringadd$)) {
    $n_s_Predef$any2stringadd$ = new $c_s_Predef$any2stringadd$().init___()
  };
  return $n_s_Predef$any2stringadd$
}
/** @constructor */
function $c_s_concurrent_ExecutionContext$Implicits$() {
  $c_O.call(this);
  this.global$1 = null;
  this.bitmap$0$1 = false
}
$c_s_concurrent_ExecutionContext$Implicits$.prototype = new $h_O();
$c_s_concurrent_ExecutionContext$Implicits$.prototype.constructor = $c_s_concurrent_ExecutionContext$Implicits$;
/** @constructor */
function $h_s_concurrent_ExecutionContext$Implicits$() {
  /*<skip>*/
}
$h_s_concurrent_ExecutionContext$Implicits$.prototype = $c_s_concurrent_ExecutionContext$Implicits$.prototype;
$c_s_concurrent_ExecutionContext$Implicits$.prototype.init___ = (function() {
  return this
});
$c_s_concurrent_ExecutionContext$Implicits$.prototype.global$lzycompute__p1__s_concurrent_ExecutionContextExecutor = (function() {
  if ((!this.bitmap$0$1)) {
    this.global$1 = $m_sjs_concurrent_JSExecutionContext$().queue$1;
    this.bitmap$0$1 = true
  };
  return this.global$1
});
$c_s_concurrent_ExecutionContext$Implicits$.prototype.global__s_concurrent_ExecutionContextExecutor = (function() {
  return ((!this.bitmap$0$1) ? this.global$lzycompute__p1__s_concurrent_ExecutionContextExecutor() : this.global$1)
});
var $d_s_concurrent_ExecutionContext$Implicits$ = new $TypeData().initClass({
  s_concurrent_ExecutionContext$Implicits$: 0
}, false, "scala.concurrent.ExecutionContext$Implicits$", {
  s_concurrent_ExecutionContext$Implicits$: 1,
  O: 1
});
$c_s_concurrent_ExecutionContext$Implicits$.prototype.$classData = $d_s_concurrent_ExecutionContext$Implicits$;
var $n_s_concurrent_ExecutionContext$Implicits$ = (void 0);
function $m_s_concurrent_ExecutionContext$Implicits$() {
  if ((!$n_s_concurrent_ExecutionContext$Implicits$)) {
    $n_s_concurrent_ExecutionContext$Implicits$ = new $c_s_concurrent_ExecutionContext$Implicits$().init___()
  };
  return $n_s_concurrent_ExecutionContext$Implicits$
}
/** @constructor */
function $c_s_concurrent_impl_Promise$() {
  $c_O.call(this)
}
$c_s_concurrent_impl_Promise$.prototype = new $h_O();
$c_s_concurrent_impl_Promise$.prototype.constructor = $c_s_concurrent_impl_Promise$;
/** @constructor */
function $h_s_concurrent_impl_Promise$() {
  /*<skip>*/
}
$h_s_concurrent_impl_Promise$.prototype = $c_s_concurrent_impl_Promise$.prototype;
$c_s_concurrent_impl_Promise$.prototype.init___ = (function() {
  return this
});
$c_s_concurrent_impl_Promise$.prototype.scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try = (function(source) {
  if ($is_s_util_Failure(source)) {
    var x2 = $as_s_util_Failure(source);
    var t = x2.exception$2;
    return this.resolver__p1__jl_Throwable__s_util_Try(t)
  } else {
    return source
  }
});
$c_s_concurrent_impl_Promise$.prototype.resolver__p1__jl_Throwable__s_util_Try = (function(throwable) {
  if ($is_sr_NonLocalReturnControl(throwable)) {
    var x2 = $as_sr_NonLocalReturnControl(throwable);
    return new $c_s_util_Success().init___O(x2.value__O())
  } else if ($is_s_util_control_ControlThrowable(throwable)) {
    var x3 = $as_s_util_control_ControlThrowable(throwable);
    return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed ControlThrowable", $as_jl_Throwable(x3)))
  } else if ($is_jl_InterruptedException(throwable)) {
    var x4 = $as_jl_InterruptedException(throwable);
    return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed InterruptedException", x4))
  } else if ($is_jl_Error(throwable)) {
    var x5 = $as_jl_Error(throwable);
    return new $c_s_util_Failure().init___jl_Throwable(new $c_ju_concurrent_ExecutionException().init___T__jl_Throwable("Boxed Error", x5))
  } else {
    return new $c_s_util_Failure().init___jl_Throwable(throwable)
  }
});
var $d_s_concurrent_impl_Promise$ = new $TypeData().initClass({
  s_concurrent_impl_Promise$: 0
}, false, "scala.concurrent.impl.Promise$", {
  s_concurrent_impl_Promise$: 1,
  O: 1
});
$c_s_concurrent_impl_Promise$.prototype.$classData = $d_s_concurrent_impl_Promise$;
var $n_s_concurrent_impl_Promise$ = (void 0);
function $m_s_concurrent_impl_Promise$() {
  if ((!$n_s_concurrent_impl_Promise$)) {
    $n_s_concurrent_impl_Promise$ = new $c_s_concurrent_impl_Promise$().init___()
  };
  return $n_s_concurrent_impl_Promise$
}
/** @constructor */
function $c_s_math_Ordered$() {
  $c_O.call(this)
}
$c_s_math_Ordered$.prototype = new $h_O();
$c_s_math_Ordered$.prototype.constructor = $c_s_math_Ordered$;
/** @constructor */
function $h_s_math_Ordered$() {
  /*<skip>*/
}
$h_s_math_Ordered$.prototype = $c_s_math_Ordered$.prototype;
$c_s_math_Ordered$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Ordered$ = new $TypeData().initClass({
  s_math_Ordered$: 0
}, false, "scala.math.Ordered$", {
  s_math_Ordered$: 1,
  O: 1
});
$c_s_math_Ordered$.prototype.$classData = $d_s_math_Ordered$;
var $n_s_math_Ordered$ = (void 0);
function $m_s_math_Ordered$() {
  if ((!$n_s_math_Ordered$)) {
    $n_s_math_Ordered$ = new $c_s_math_Ordered$().init___()
  };
  return $n_s_math_Ordered$
}
/** @constructor */
function $c_s_package$() {
  $c_O.call(this);
  this.AnyRef$1 = null;
  this.Traversable$1 = null;
  this.Iterable$1 = null;
  this.Seq$1 = null;
  this.IndexedSeq$1 = null;
  this.Iterator$1 = null;
  this.List$1 = null;
  this.Nil$1 = null;
  this.$$colon$colon$1 = null;
  this.$$plus$colon$1 = null;
  this.$$colon$plus$1 = null;
  this.Stream$1 = null;
  this.$$hash$colon$colon$1 = null;
  this.Vector$1 = null;
  this.StringBuilder$1 = null;
  this.Range$1 = null;
  this.BigDecimal$1 = null;
  this.BigInt$1 = null;
  this.Equiv$1 = null;
  this.Fractional$1 = null;
  this.Integral$1 = null;
  this.Numeric$1 = null;
  this.Ordered$1 = null;
  this.Ordering$1 = null;
  this.Either$1 = null;
  this.Left$1 = null;
  this.Right$1 = null;
  this.bitmap$0$1 = 0
}
$c_s_package$.prototype = new $h_O();
$c_s_package$.prototype.constructor = $c_s_package$;
/** @constructor */
function $h_s_package$() {
  /*<skip>*/
}
$h_s_package$.prototype = $c_s_package$.prototype;
$c_s_package$.prototype.init___ = (function() {
  $n_s_package$ = this;
  this.AnyRef$1 = new $c_s_package$$anon$1().init___();
  this.Traversable$1 = $m_sc_Traversable$();
  this.Iterable$1 = $m_sc_Iterable$();
  this.Seq$1 = $m_sc_Seq$();
  this.IndexedSeq$1 = $m_sc_IndexedSeq$();
  this.Iterator$1 = $m_sc_Iterator$();
  this.List$1 = $m_sci_List$();
  this.Nil$1 = $m_sci_Nil$();
  this.$$colon$colon$1 = $m_sci_$colon$colon$();
  this.$$plus$colon$1 = $m_sc_$plus$colon$();
  this.$$colon$plus$1 = $m_sc_$colon$plus$();
  this.Stream$1 = $m_sci_Stream$();
  this.$$hash$colon$colon$1 = $m_sci_Stream$$hash$colon$colon$();
  this.Vector$1 = $m_sci_Vector$();
  this.StringBuilder$1 = $m_scm_StringBuilder$();
  this.Range$1 = $m_sci_Range$();
  this.Equiv$1 = $m_s_math_Equiv$();
  this.Fractional$1 = $m_s_math_Fractional$();
  this.Integral$1 = $m_s_math_Integral$();
  this.Numeric$1 = $m_s_math_Numeric$();
  this.Ordered$1 = $m_s_math_Ordered$();
  this.Ordering$1 = $m_s_math_Ordering$();
  this.Either$1 = $m_s_util_Either$();
  this.Left$1 = $m_s_util_Left$();
  this.Right$1 = $m_s_util_Right$();
  return this
});
var $d_s_package$ = new $TypeData().initClass({
  s_package$: 0
}, false, "scala.package$", {
  s_package$: 1,
  O: 1
});
$c_s_package$.prototype.$classData = $d_s_package$;
var $n_s_package$ = (void 0);
function $m_s_package$() {
  if ((!$n_s_package$)) {
    $n_s_package$ = new $c_s_package$().init___()
  };
  return $n_s_package$
}
/** @constructor */
function $c_s_reflect_ClassManifestFactory$() {
  $c_O.call(this);
  this.Byte$1 = null;
  this.Short$1 = null;
  this.Char$1 = null;
  this.Int$1 = null;
  this.Long$1 = null;
  this.Float$1 = null;
  this.Double$1 = null;
  this.Boolean$1 = null;
  this.Unit$1 = null;
  this.Any$1 = null;
  this.Object$1 = null;
  this.AnyVal$1 = null;
  this.Nothing$1 = null;
  this.Null$1 = null
}
$c_s_reflect_ClassManifestFactory$.prototype = new $h_O();
$c_s_reflect_ClassManifestFactory$.prototype.constructor = $c_s_reflect_ClassManifestFactory$;
/** @constructor */
function $h_s_reflect_ClassManifestFactory$() {
  /*<skip>*/
}
$h_s_reflect_ClassManifestFactory$.prototype = $c_s_reflect_ClassManifestFactory$.prototype;
$c_s_reflect_ClassManifestFactory$.prototype.init___ = (function() {
  $n_s_reflect_ClassManifestFactory$ = this;
  this.Byte$1 = $m_s_reflect_ManifestFactory$ByteManifest$();
  this.Short$1 = $m_s_reflect_ManifestFactory$ShortManifest$();
  this.Char$1 = $m_s_reflect_ManifestFactory$CharManifest$();
  this.Int$1 = $m_s_reflect_ManifestFactory$IntManifest$();
  this.Long$1 = $m_s_reflect_ManifestFactory$LongManifest$();
  this.Float$1 = $m_s_reflect_ManifestFactory$FloatManifest$();
  this.Double$1 = $m_s_reflect_ManifestFactory$DoubleManifest$();
  this.Boolean$1 = $m_s_reflect_ManifestFactory$BooleanManifest$();
  this.Unit$1 = $m_s_reflect_ManifestFactory$UnitManifest$();
  this.Any$1 = $m_s_reflect_ManifestFactory$AnyManifest$();
  this.Object$1 = $m_s_reflect_ManifestFactory$ObjectManifest$();
  this.AnyVal$1 = $m_s_reflect_ManifestFactory$AnyValManifest$();
  this.Nothing$1 = $m_s_reflect_ManifestFactory$NothingManifest$();
  this.Null$1 = $m_s_reflect_ManifestFactory$NullManifest$();
  return this
});
var $d_s_reflect_ClassManifestFactory$ = new $TypeData().initClass({
  s_reflect_ClassManifestFactory$: 0
}, false, "scala.reflect.ClassManifestFactory$", {
  s_reflect_ClassManifestFactory$: 1,
  O: 1
});
$c_s_reflect_ClassManifestFactory$.prototype.$classData = $d_s_reflect_ClassManifestFactory$;
var $n_s_reflect_ClassManifestFactory$ = (void 0);
function $m_s_reflect_ClassManifestFactory$() {
  if ((!$n_s_reflect_ClassManifestFactory$)) {
    $n_s_reflect_ClassManifestFactory$ = new $c_s_reflect_ClassManifestFactory$().init___()
  };
  return $n_s_reflect_ClassManifestFactory$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$() {
  $c_O.call(this)
}
$c_s_reflect_ManifestFactory$.prototype = new $h_O();
$c_s_reflect_ManifestFactory$.prototype.constructor = $c_s_reflect_ManifestFactory$;
/** @constructor */
function $h_s_reflect_ManifestFactory$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$.prototype = $c_s_reflect_ManifestFactory$.prototype;
$c_s_reflect_ManifestFactory$.prototype.init___ = (function() {
  return this
});
var $d_s_reflect_ManifestFactory$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$: 0
}, false, "scala.reflect.ManifestFactory$", {
  s_reflect_ManifestFactory$: 1,
  O: 1
});
$c_s_reflect_ManifestFactory$.prototype.$classData = $d_s_reflect_ManifestFactory$;
var $n_s_reflect_ManifestFactory$ = (void 0);
function $m_s_reflect_ManifestFactory$() {
  if ((!$n_s_reflect_ManifestFactory$)) {
    $n_s_reflect_ManifestFactory$ = new $c_s_reflect_ManifestFactory$().init___()
  };
  return $n_s_reflect_ManifestFactory$
}
/** @constructor */
function $c_s_reflect_package$() {
  $c_O.call(this);
  this.ClassManifest$1 = null;
  this.Manifest$1 = null
}
$c_s_reflect_package$.prototype = new $h_O();
$c_s_reflect_package$.prototype.constructor = $c_s_reflect_package$;
/** @constructor */
function $h_s_reflect_package$() {
  /*<skip>*/
}
$h_s_reflect_package$.prototype = $c_s_reflect_package$.prototype;
$c_s_reflect_package$.prototype.init___ = (function() {
  $n_s_reflect_package$ = this;
  this.ClassManifest$1 = $m_s_reflect_ClassManifestFactory$();
  this.Manifest$1 = $m_s_reflect_ManifestFactory$();
  return this
});
var $d_s_reflect_package$ = new $TypeData().initClass({
  s_reflect_package$: 0
}, false, "scala.reflect.package$", {
  s_reflect_package$: 1,
  O: 1
});
$c_s_reflect_package$.prototype.$classData = $d_s_reflect_package$;
var $n_s_reflect_package$ = (void 0);
function $m_s_reflect_package$() {
  if ((!$n_s_reflect_package$)) {
    $n_s_reflect_package$ = new $c_s_reflect_package$().init___()
  };
  return $n_s_reflect_package$
}
/** @constructor */
function $c_s_util_Either() {
  $c_O.call(this)
}
$c_s_util_Either.prototype = new $h_O();
$c_s_util_Either.prototype.constructor = $c_s_util_Either;
/** @constructor */
function $h_s_util_Either() {
  /*<skip>*/
}
$h_s_util_Either.prototype = $c_s_util_Either.prototype;
function $is_s_util_Either(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Either)))
}
function $as_s_util_Either(obj) {
  return (($is_s_util_Either(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Either"))
}
function $isArrayOf_s_util_Either(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Either)))
}
function $asArrayOf_s_util_Either(obj, depth) {
  return (($isArrayOf_s_util_Either(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Either;", depth))
}
/** @constructor */
function $c_s_util_Either$() {
  $c_O.call(this)
}
$c_s_util_Either$.prototype = new $h_O();
$c_s_util_Either$.prototype.constructor = $c_s_util_Either$;
/** @constructor */
function $h_s_util_Either$() {
  /*<skip>*/
}
$h_s_util_Either$.prototype = $c_s_util_Either$.prototype;
$c_s_util_Either$.prototype.init___ = (function() {
  return this
});
var $d_s_util_Either$ = new $TypeData().initClass({
  s_util_Either$: 0
}, false, "scala.util.Either$", {
  s_util_Either$: 1,
  O: 1
});
$c_s_util_Either$.prototype.$classData = $d_s_util_Either$;
var $n_s_util_Either$ = (void 0);
function $m_s_util_Either$() {
  if ((!$n_s_util_Either$)) {
    $n_s_util_Either$ = new $c_s_util_Either$().init___()
  };
  return $n_s_util_Either$
}
/** @constructor */
function $c_s_util_Try() {
  $c_O.call(this)
}
$c_s_util_Try.prototype = new $h_O();
$c_s_util_Try.prototype.constructor = $c_s_util_Try;
/** @constructor */
function $h_s_util_Try() {
  /*<skip>*/
}
$h_s_util_Try.prototype = $c_s_util_Try.prototype;
$c_s_util_Try.prototype.toOption__s_Option = (function() {
  return (this.isSuccess__Z() ? new $c_s_Some().init___O(this.get__O()) : $m_s_None$())
});
function $is_s_util_Try(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Try)))
}
function $as_s_util_Try(obj) {
  return (($is_s_util_Try(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Try"))
}
function $isArrayOf_s_util_Try(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Try)))
}
function $asArrayOf_s_util_Try(obj, depth) {
  return (($isArrayOf_s_util_Try(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Try;", depth))
}
/** @constructor */
function $c_s_util_control_Breaks() {
  $c_O.call(this);
  this.scala$util$control$Breaks$$breakException$1 = null
}
$c_s_util_control_Breaks.prototype = new $h_O();
$c_s_util_control_Breaks.prototype.constructor = $c_s_util_control_Breaks;
/** @constructor */
function $h_s_util_control_Breaks() {
  /*<skip>*/
}
$h_s_util_control_Breaks.prototype = $c_s_util_control_Breaks.prototype;
$c_s_util_control_Breaks.prototype.init___ = (function() {
  this.scala$util$control$Breaks$$breakException$1 = new $c_s_util_control_BreakControl().init___();
  return this
});
var $d_s_util_control_Breaks = new $TypeData().initClass({
  s_util_control_Breaks: 0
}, false, "scala.util.control.Breaks", {
  s_util_control_Breaks: 1,
  O: 1
});
$c_s_util_control_Breaks.prototype.$classData = $d_s_util_control_Breaks;
function $is_s_util_control_ControlThrowable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_control_ControlThrowable)))
}
function $as_s_util_control_ControlThrowable(obj) {
  return (($is_s_util_control_ControlThrowable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.control.ControlThrowable"))
}
function $isArrayOf_s_util_control_ControlThrowable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_control_ControlThrowable)))
}
function $asArrayOf_s_util_control_ControlThrowable(obj, depth) {
  return (($isArrayOf_s_util_control_ControlThrowable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.control.ControlThrowable;", depth))
}
/** @constructor */
function $c_s_util_control_NonFatal$() {
  $c_O.call(this)
}
$c_s_util_control_NonFatal$.prototype = new $h_O();
$c_s_util_control_NonFatal$.prototype.constructor = $c_s_util_control_NonFatal$;
/** @constructor */
function $h_s_util_control_NonFatal$() {
  /*<skip>*/
}
$h_s_util_control_NonFatal$.prototype = $c_s_util_control_NonFatal$.prototype;
$c_s_util_control_NonFatal$.prototype.init___ = (function() {
  return this
});
$c_s_util_control_NonFatal$.prototype.apply__jl_Throwable__Z = (function(t) {
  return (!($is_jl_VirtualMachineError(t) || ($is_jl_ThreadDeath(t) || ($is_jl_InterruptedException(t) || ($is_jl_LinkageError(t) || $is_s_util_control_ControlThrowable(t))))))
});
$c_s_util_control_NonFatal$.prototype.unapply__jl_Throwable__s_Option = (function(t) {
  return (this.apply__jl_Throwable__Z(t) ? new $c_s_Some().init___O(t) : $m_s_None$())
});
var $d_s_util_control_NonFatal$ = new $TypeData().initClass({
  s_util_control_NonFatal$: 0
}, false, "scala.util.control.NonFatal$", {
  s_util_control_NonFatal$: 1,
  O: 1
});
$c_s_util_control_NonFatal$.prototype.$classData = $d_s_util_control_NonFatal$;
var $n_s_util_control_NonFatal$ = (void 0);
function $m_s_util_control_NonFatal$() {
  if ((!$n_s_util_control_NonFatal$)) {
    $n_s_util_control_NonFatal$ = new $c_s_util_control_NonFatal$().init___()
  };
  return $n_s_util_control_NonFatal$
}
/** @constructor */
function $c_s_util_hashing_MurmurHash3() {
  $c_O.call(this)
}
$c_s_util_hashing_MurmurHash3.prototype = new $h_O();
$c_s_util_hashing_MurmurHash3.prototype.constructor = $c_s_util_hashing_MurmurHash3;
/** @constructor */
function $h_s_util_hashing_MurmurHash3() {
  /*<skip>*/
}
$h_s_util_hashing_MurmurHash3.prototype = $c_s_util_hashing_MurmurHash3.prototype;
$c_s_util_hashing_MurmurHash3.prototype.mixLast__I__I__I = (function(hash, data) {
  var k = data;
  k = $imul((-862048943), k);
  var i = k;
  k = ((i << 15) | ((i >>> 17) | 0));
  k = $imul(461845907, k);
  return (hash ^ k)
});
$c_s_util_hashing_MurmurHash3.prototype.mix__I__I__I = (function(hash, data) {
  var h = this.mixLast__I__I__I(hash, data);
  var i = h;
  h = ((i << 13) | ((i >>> 19) | 0));
  return (((-430675100) + $imul(5, h)) | 0)
});
$c_s_util_hashing_MurmurHash3.prototype.avalanche__p1__I__I = (function(hash) {
  var h = hash;
  h = (h ^ ((h >>> 16) | 0));
  h = $imul((-2048144789), h);
  h = (h ^ ((h >>> 13) | 0));
  h = $imul((-1028477387), h);
  h = (h ^ ((h >>> 16) | 0));
  return h
});
$c_s_util_hashing_MurmurHash3.prototype.unorderedHash__sc_TraversableOnce__I__I = (function(xs, seed) {
  var a = new $c_sr_IntRef().init___I(0);
  var b = new $c_sr_IntRef().init___I(0);
  var n = new $c_sr_IntRef().init___I(0);
  var c = new $c_sr_IntRef().init___I(1);
  xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, a$1, b$1, n$1, c$1) {
    return (function(x$2) {
      var h = $m_sr_ScalaRunTime$().hash__O__I(x$2);
      a$1.elem$1 = ((a$1.elem$1 + h) | 0);
      b$1.elem$1 = (b$1.elem$1 ^ h);
      if ((h !== 0)) {
        c$1.elem$1 = $imul(c$1.elem$1, h)
      };
      n$1.elem$1 = ((1 + n$1.elem$1) | 0)
    })
  })(this, a, b, n, c)));
  var h$1 = seed;
  h$1 = this.mix__I__I__I(h$1, a.elem$1);
  h$1 = this.mix__I__I__I(h$1, b.elem$1);
  h$1 = this.mixLast__I__I__I(h$1, c.elem$1);
  return this.finalizeHash__I__I__I(h$1, n.elem$1)
});
$c_s_util_hashing_MurmurHash3.prototype.productHash__s_Product__I__I = (function(x, seed) {
  var arr = x.productArity__I();
  if ((arr === 0)) {
    var this$1 = x.productPrefix__T();
    return $m_sjsr_RuntimeString$().hashCode__T__I(this$1)
  } else {
    var h = seed;
    var i = 0;
    while ((i < arr)) {
      h = this.mix__I__I__I(h, $m_sr_ScalaRunTime$().hash__O__I(x.productElement__I__O(i)));
      i = ((1 + i) | 0)
    };
    return this.finalizeHash__I__I__I(h, arr)
  }
});
$c_s_util_hashing_MurmurHash3.prototype.finalizeHash__I__I__I = (function(hash, length) {
  return this.avalanche__p1__I__I((hash ^ length))
});
$c_s_util_hashing_MurmurHash3.prototype.orderedHash__sc_TraversableOnce__I__I = (function(xs, seed) {
  var n = new $c_sr_IntRef().init___I(0);
  var h = new $c_sr_IntRef().init___I(seed);
  xs.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, n$1, h$1) {
    return (function(x$2) {
      h$1.elem$1 = $this.mix__I__I__I(h$1.elem$1, $m_sr_ScalaRunTime$().hash__O__I(x$2));
      n$1.elem$1 = ((1 + n$1.elem$1) | 0)
    })
  })(this, n, h)));
  return this.finalizeHash__I__I__I(h.elem$1, n.elem$1)
});
$c_s_util_hashing_MurmurHash3.prototype.listHash__sci_List__I__I = (function(xs, seed) {
  var n = 0;
  var h = seed;
  var elems = xs;
  while ((!elems.isEmpty__Z())) {
    var head = elems.head__O();
    var this$1 = elems;
    var tail = this$1.tail__sci_List();
    h = this.mix__I__I__I(h, $m_sr_ScalaRunTime$().hash__O__I(head));
    n = ((1 + n) | 0);
    elems = tail
  };
  return this.finalizeHash__I__I__I(h, n)
});
/** @constructor */
function $c_s_util_hashing_package$() {
  $c_O.call(this)
}
$c_s_util_hashing_package$.prototype = new $h_O();
$c_s_util_hashing_package$.prototype.constructor = $c_s_util_hashing_package$;
/** @constructor */
function $h_s_util_hashing_package$() {
  /*<skip>*/
}
$h_s_util_hashing_package$.prototype = $c_s_util_hashing_package$.prototype;
$c_s_util_hashing_package$.prototype.init___ = (function() {
  return this
});
$c_s_util_hashing_package$.prototype.byteswap32__I__I = (function(v) {
  var hc = $imul((-1640532531), v);
  hc = $m_jl_Integer$().reverseBytes__I__I(hc);
  return $imul((-1640532531), hc)
});
var $d_s_util_hashing_package$ = new $TypeData().initClass({
  s_util_hashing_package$: 0
}, false, "scala.util.hashing.package$", {
  s_util_hashing_package$: 1,
  O: 1
});
$c_s_util_hashing_package$.prototype.$classData = $d_s_util_hashing_package$;
var $n_s_util_hashing_package$ = (void 0);
function $m_s_util_hashing_package$() {
  if ((!$n_s_util_hashing_package$)) {
    $n_s_util_hashing_package$ = new $c_s_util_hashing_package$().init___()
  };
  return $n_s_util_hashing_package$
}
/** @constructor */
function $c_sc_$colon$plus$() {
  $c_O.call(this)
}
$c_sc_$colon$plus$.prototype = new $h_O();
$c_sc_$colon$plus$.prototype.constructor = $c_sc_$colon$plus$;
/** @constructor */
function $h_sc_$colon$plus$() {
  /*<skip>*/
}
$h_sc_$colon$plus$.prototype = $c_sc_$colon$plus$.prototype;
$c_sc_$colon$plus$.prototype.init___ = (function() {
  return this
});
var $d_sc_$colon$plus$ = new $TypeData().initClass({
  sc_$colon$plus$: 0
}, false, "scala.collection.$colon$plus$", {
  sc_$colon$plus$: 1,
  O: 1
});
$c_sc_$colon$plus$.prototype.$classData = $d_sc_$colon$plus$;
var $n_sc_$colon$plus$ = (void 0);
function $m_sc_$colon$plus$() {
  if ((!$n_sc_$colon$plus$)) {
    $n_sc_$colon$plus$ = new $c_sc_$colon$plus$().init___()
  };
  return $n_sc_$colon$plus$
}
/** @constructor */
function $c_sc_$plus$colon$() {
  $c_O.call(this)
}
$c_sc_$plus$colon$.prototype = new $h_O();
$c_sc_$plus$colon$.prototype.constructor = $c_sc_$plus$colon$;
/** @constructor */
function $h_sc_$plus$colon$() {
  /*<skip>*/
}
$h_sc_$plus$colon$.prototype = $c_sc_$plus$colon$.prototype;
$c_sc_$plus$colon$.prototype.init___ = (function() {
  return this
});
var $d_sc_$plus$colon$ = new $TypeData().initClass({
  sc_$plus$colon$: 0
}, false, "scala.collection.$plus$colon$", {
  sc_$plus$colon$: 1,
  O: 1
});
$c_sc_$plus$colon$.prototype.$classData = $d_sc_$plus$colon$;
var $n_sc_$plus$colon$ = (void 0);
function $m_sc_$plus$colon$() {
  if ((!$n_sc_$plus$colon$)) {
    $n_sc_$plus$colon$ = new $c_sc_$plus$colon$().init___()
  };
  return $n_sc_$plus$colon$
}
/** @constructor */
function $c_sc_Iterator$() {
  $c_O.call(this);
  this.empty$1 = null
}
$c_sc_Iterator$.prototype = new $h_O();
$c_sc_Iterator$.prototype.constructor = $c_sc_Iterator$;
/** @constructor */
function $h_sc_Iterator$() {
  /*<skip>*/
}
$h_sc_Iterator$.prototype = $c_sc_Iterator$.prototype;
$c_sc_Iterator$.prototype.init___ = (function() {
  $n_sc_Iterator$ = this;
  this.empty$1 = new $c_sc_Iterator$$anon$2().init___();
  return this
});
var $d_sc_Iterator$ = new $TypeData().initClass({
  sc_Iterator$: 0
}, false, "scala.collection.Iterator$", {
  sc_Iterator$: 1,
  O: 1
});
$c_sc_Iterator$.prototype.$classData = $d_sc_Iterator$;
var $n_sc_Iterator$ = (void 0);
function $m_sc_Iterator$() {
  if ((!$n_sc_Iterator$)) {
    $n_sc_Iterator$ = new $c_sc_Iterator$().init___()
  };
  return $n_sc_Iterator$
}
function $is_sc_TraversableOnce(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_TraversableOnce)))
}
function $as_sc_TraversableOnce(obj) {
  return (($is_sc_TraversableOnce(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.TraversableOnce"))
}
function $isArrayOf_sc_TraversableOnce(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_TraversableOnce)))
}
function $asArrayOf_sc_TraversableOnce(obj, depth) {
  return (($isArrayOf_sc_TraversableOnce(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.TraversableOnce;", depth))
}
/** @constructor */
function $c_scg_GenMapFactory() {
  $c_O.call(this)
}
$c_scg_GenMapFactory.prototype = new $h_O();
$c_scg_GenMapFactory.prototype.constructor = $c_scg_GenMapFactory;
/** @constructor */
function $h_scg_GenMapFactory() {
  /*<skip>*/
}
$h_scg_GenMapFactory.prototype = $c_scg_GenMapFactory.prototype;
$c_scg_GenMapFactory.prototype.apply__sc_Seq__sc_GenMap = (function(elems) {
  var this$1 = new $c_scm_MapBuilder().init___sc_GenMap(this.empty__sc_GenMap());
  return $as_sc_GenMap($as_scm_Builder($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this$1, elems)).result__O())
});
/** @constructor */
function $c_scg_GenericCompanion() {
  $c_O.call(this)
}
$c_scg_GenericCompanion.prototype = new $h_O();
$c_scg_GenericCompanion.prototype.constructor = $c_scg_GenericCompanion;
/** @constructor */
function $h_scg_GenericCompanion() {
  /*<skip>*/
}
$h_scg_GenericCompanion.prototype = $c_scg_GenericCompanion.prototype;
function $is_scg_Growable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scg_Growable)))
}
function $as_scg_Growable(obj) {
  return (($is_scg_Growable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.generic.Growable"))
}
function $isArrayOf_scg_Growable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scg_Growable)))
}
function $asArrayOf_scg_Growable(obj, depth) {
  return (($isArrayOf_scg_Growable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.generic.Growable;", depth))
}
/** @constructor */
function $c_sci_HashMap$Merger() {
  $c_O.call(this)
}
$c_sci_HashMap$Merger.prototype = new $h_O();
$c_sci_HashMap$Merger.prototype.constructor = $c_sci_HashMap$Merger;
/** @constructor */
function $h_sci_HashMap$Merger() {
  /*<skip>*/
}
$h_sci_HashMap$Merger.prototype = $c_sci_HashMap$Merger.prototype;
/** @constructor */
function $c_sci_Stream$$hash$colon$colon$() {
  $c_O.call(this)
}
$c_sci_Stream$$hash$colon$colon$.prototype = new $h_O();
$c_sci_Stream$$hash$colon$colon$.prototype.constructor = $c_sci_Stream$$hash$colon$colon$;
/** @constructor */
function $h_sci_Stream$$hash$colon$colon$() {
  /*<skip>*/
}
$h_sci_Stream$$hash$colon$colon$.prototype = $c_sci_Stream$$hash$colon$colon$.prototype;
$c_sci_Stream$$hash$colon$colon$.prototype.init___ = (function() {
  return this
});
var $d_sci_Stream$$hash$colon$colon$ = new $TypeData().initClass({
  sci_Stream$$hash$colon$colon$: 0
}, false, "scala.collection.immutable.Stream$$hash$colon$colon$", {
  sci_Stream$$hash$colon$colon$: 1,
  O: 1
});
$c_sci_Stream$$hash$colon$colon$.prototype.$classData = $d_sci_Stream$$hash$colon$colon$;
var $n_sci_Stream$$hash$colon$colon$ = (void 0);
function $m_sci_Stream$$hash$colon$colon$() {
  if ((!$n_sci_Stream$$hash$colon$colon$)) {
    $n_sci_Stream$$hash$colon$colon$ = new $c_sci_Stream$$hash$colon$colon$().init___()
  };
  return $n_sci_Stream$$hash$colon$colon$
}
/** @constructor */
function $c_sci_Stream$ConsWrapper() {
  $c_O.call(this);
  this.tl$1 = null
}
$c_sci_Stream$ConsWrapper.prototype = new $h_O();
$c_sci_Stream$ConsWrapper.prototype.constructor = $c_sci_Stream$ConsWrapper;
/** @constructor */
function $h_sci_Stream$ConsWrapper() {
  /*<skip>*/
}
$h_sci_Stream$ConsWrapper.prototype = $c_sci_Stream$ConsWrapper.prototype;
$c_sci_Stream$ConsWrapper.prototype.init___F0 = (function(tl) {
  this.tl$1 = tl;
  return this
});
$c_sci_Stream$ConsWrapper.prototype.$$hash$colon$colon__O__sci_Stream = (function(hd) {
  var tl = this.tl$1;
  return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
});
var $d_sci_Stream$ConsWrapper = new $TypeData().initClass({
  sci_Stream$ConsWrapper: 0
}, false, "scala.collection.immutable.Stream$ConsWrapper", {
  sci_Stream$ConsWrapper: 1,
  O: 1
});
$c_sci_Stream$ConsWrapper.prototype.$classData = $d_sci_Stream$ConsWrapper;
/** @constructor */
function $c_sci_StreamIterator$LazyCell() {
  $c_O.call(this);
  this.st$1 = null;
  this.v$1 = null;
  this.$$outer$f = null;
  this.bitmap$0$1 = false
}
$c_sci_StreamIterator$LazyCell.prototype = new $h_O();
$c_sci_StreamIterator$LazyCell.prototype.constructor = $c_sci_StreamIterator$LazyCell;
/** @constructor */
function $h_sci_StreamIterator$LazyCell() {
  /*<skip>*/
}
$h_sci_StreamIterator$LazyCell.prototype = $c_sci_StreamIterator$LazyCell.prototype;
$c_sci_StreamIterator$LazyCell.prototype.init___sci_StreamIterator__F0 = (function($$outer, st) {
  this.st$1 = st;
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
$c_sci_StreamIterator$LazyCell.prototype.v$lzycompute__p1__sci_Stream = (function() {
  if ((!this.bitmap$0$1)) {
    this.v$1 = $as_sci_Stream(this.st$1.apply__O());
    this.bitmap$0$1 = true
  };
  this.st$1 = null;
  return this.v$1
});
$c_sci_StreamIterator$LazyCell.prototype.v__sci_Stream = (function() {
  return ((!this.bitmap$0$1) ? this.v$lzycompute__p1__sci_Stream() : this.v$1)
});
var $d_sci_StreamIterator$LazyCell = new $TypeData().initClass({
  sci_StreamIterator$LazyCell: 0
}, false, "scala.collection.immutable.StreamIterator$LazyCell", {
  sci_StreamIterator$LazyCell: 1,
  O: 1
});
$c_sci_StreamIterator$LazyCell.prototype.$classData = $d_sci_StreamIterator$LazyCell;
/** @constructor */
function $c_sci_StringOps$() {
  $c_O.call(this)
}
$c_sci_StringOps$.prototype = new $h_O();
$c_sci_StringOps$.prototype.constructor = $c_sci_StringOps$;
/** @constructor */
function $h_sci_StringOps$() {
  /*<skip>*/
}
$h_sci_StringOps$.prototype = $c_sci_StringOps$.prototype;
$c_sci_StringOps$.prototype.init___ = (function() {
  return this
});
$c_sci_StringOps$.prototype.equals$extension__T__O__Z = (function($$this, x$1) {
  if ($is_sci_StringOps(x$1)) {
    var StringOps$1 = ((x$1 === null) ? null : $as_sci_StringOps(x$1).repr$1);
    return ($$this === StringOps$1)
  } else {
    return false
  }
});
var $d_sci_StringOps$ = new $TypeData().initClass({
  sci_StringOps$: 0
}, false, "scala.collection.immutable.StringOps$", {
  sci_StringOps$: 1,
  O: 1
});
$c_sci_StringOps$.prototype.$classData = $d_sci_StringOps$;
var $n_sci_StringOps$ = (void 0);
function $m_sci_StringOps$() {
  if ((!$n_sci_StringOps$)) {
    $n_sci_StringOps$ = new $c_sci_StringOps$().init___()
  };
  return $n_sci_StringOps$
}
/** @constructor */
function $c_sci_WrappedString$() {
  $c_O.call(this)
}
$c_sci_WrappedString$.prototype = new $h_O();
$c_sci_WrappedString$.prototype.constructor = $c_sci_WrappedString$;
/** @constructor */
function $h_sci_WrappedString$() {
  /*<skip>*/
}
$h_sci_WrappedString$.prototype = $c_sci_WrappedString$.prototype;
$c_sci_WrappedString$.prototype.init___ = (function() {
  return this
});
$c_sci_WrappedString$.prototype.newBuilder__scm_Builder = (function() {
  var this$2 = new $c_scm_StringBuilder().init___();
  var f = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$2) {
      var x = $as_T(x$2);
      return new $c_sci_WrappedString().init___T(x)
    })
  })(this));
  return new $c_scm_Builder$$anon$1().init___scm_Builder__F1(this$2, f)
});
var $d_sci_WrappedString$ = new $TypeData().initClass({
  sci_WrappedString$: 0
}, false, "scala.collection.immutable.WrappedString$", {
  sci_WrappedString$: 1,
  O: 1
});
$c_sci_WrappedString$.prototype.$classData = $d_sci_WrappedString$;
var $n_sci_WrappedString$ = (void 0);
function $m_sci_WrappedString$() {
  if ((!$n_sci_WrappedString$)) {
    $n_sci_WrappedString$ = new $c_sci_WrappedString$().init___()
  };
  return $n_sci_WrappedString$
}
/** @constructor */
function $c_scm_FlatHashTable$() {
  $c_O.call(this)
}
$c_scm_FlatHashTable$.prototype = new $h_O();
$c_scm_FlatHashTable$.prototype.constructor = $c_scm_FlatHashTable$;
/** @constructor */
function $h_scm_FlatHashTable$() {
  /*<skip>*/
}
$h_scm_FlatHashTable$.prototype = $c_scm_FlatHashTable$.prototype;
$c_scm_FlatHashTable$.prototype.init___ = (function() {
  return this
});
$c_scm_FlatHashTable$.prototype.newThreshold__I__I__I = (function(_loadFactor, size) {
  var assertion = (_loadFactor < 500);
  if ((!assertion)) {
    throw new $c_jl_AssertionError().init___O("assertion failed: loadFactor too large; must be < 0.5")
  };
  var hi = (size >> 31);
  var hi$1 = (_loadFactor >> 31);
  var a0 = (65535 & size);
  var a1 = ((size >>> 16) | 0);
  var b0 = (65535 & _loadFactor);
  var b1 = ((_loadFactor >>> 16) | 0);
  var a0b0 = $imul(a0, b0);
  var a1b0 = $imul(a1, b0);
  var a0b1 = $imul(a0, b1);
  var lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
  var c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
  var hi$2 = (((((((($imul(size, hi$1) + $imul(hi, _loadFactor)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
  var this$2 = $m_sjsr_RuntimeLong$();
  var lo$1 = this$2.divideImpl__I__I__I__I__I(lo, hi$2, 1000, 0);
  return lo$1
});
var $d_scm_FlatHashTable$ = new $TypeData().initClass({
  scm_FlatHashTable$: 0
}, false, "scala.collection.mutable.FlatHashTable$", {
  scm_FlatHashTable$: 1,
  O: 1
});
$c_scm_FlatHashTable$.prototype.$classData = $d_scm_FlatHashTable$;
var $n_scm_FlatHashTable$ = (void 0);
function $m_scm_FlatHashTable$() {
  if ((!$n_scm_FlatHashTable$)) {
    $n_scm_FlatHashTable$ = new $c_scm_FlatHashTable$().init___()
  };
  return $n_scm_FlatHashTable$
}
/** @constructor */
function $c_scm_FlatHashTable$NullSentinel$() {
  $c_O.call(this)
}
$c_scm_FlatHashTable$NullSentinel$.prototype = new $h_O();
$c_scm_FlatHashTable$NullSentinel$.prototype.constructor = $c_scm_FlatHashTable$NullSentinel$;
/** @constructor */
function $h_scm_FlatHashTable$NullSentinel$() {
  /*<skip>*/
}
$h_scm_FlatHashTable$NullSentinel$.prototype = $c_scm_FlatHashTable$NullSentinel$.prototype;
$c_scm_FlatHashTable$NullSentinel$.prototype.init___ = (function() {
  return this
});
$c_scm_FlatHashTable$NullSentinel$.prototype.toString__T = (function() {
  return "NullSentinel"
});
$c_scm_FlatHashTable$NullSentinel$.prototype.hashCode__I = (function() {
  return 0
});
var $d_scm_FlatHashTable$NullSentinel$ = new $TypeData().initClass({
  scm_FlatHashTable$NullSentinel$: 0
}, false, "scala.collection.mutable.FlatHashTable$NullSentinel$", {
  scm_FlatHashTable$NullSentinel$: 1,
  O: 1
});
$c_scm_FlatHashTable$NullSentinel$.prototype.$classData = $d_scm_FlatHashTable$NullSentinel$;
var $n_scm_FlatHashTable$NullSentinel$ = (void 0);
function $m_scm_FlatHashTable$NullSentinel$() {
  if ((!$n_scm_FlatHashTable$NullSentinel$)) {
    $n_scm_FlatHashTable$NullSentinel$ = new $c_scm_FlatHashTable$NullSentinel$().init___()
  };
  return $n_scm_FlatHashTable$NullSentinel$
}
/** @constructor */
function $c_scm_HashTable$() {
  $c_O.call(this)
}
$c_scm_HashTable$.prototype = new $h_O();
$c_scm_HashTable$.prototype.constructor = $c_scm_HashTable$;
/** @constructor */
function $h_scm_HashTable$() {
  /*<skip>*/
}
$h_scm_HashTable$.prototype = $c_scm_HashTable$.prototype;
$c_scm_HashTable$.prototype.init___ = (function() {
  return this
});
$c_scm_HashTable$.prototype.powerOfTwo__I__I = (function(target) {
  var c = (((-1) + target) | 0);
  c = (c | ((c >>> 1) | 0));
  c = (c | ((c >>> 2) | 0));
  c = (c | ((c >>> 4) | 0));
  c = (c | ((c >>> 8) | 0));
  c = (c | ((c >>> 16) | 0));
  return ((1 + c) | 0)
});
var $d_scm_HashTable$ = new $TypeData().initClass({
  scm_HashTable$: 0
}, false, "scala.collection.mutable.HashTable$", {
  scm_HashTable$: 1,
  O: 1
});
$c_scm_HashTable$.prototype.$classData = $d_scm_HashTable$;
var $n_scm_HashTable$ = (void 0);
function $m_scm_HashTable$() {
  if ((!$n_scm_HashTable$)) {
    $n_scm_HashTable$ = new $c_scm_HashTable$().init___()
  };
  return $n_scm_HashTable$
}
/** @constructor */
function $c_sjs_concurrent_JSExecutionContext$() {
  $c_O.call(this);
  this.runNow$1 = null;
  this.queue$1 = null
}
$c_sjs_concurrent_JSExecutionContext$.prototype = new $h_O();
$c_sjs_concurrent_JSExecutionContext$.prototype.constructor = $c_sjs_concurrent_JSExecutionContext$;
/** @constructor */
function $h_sjs_concurrent_JSExecutionContext$() {
  /*<skip>*/
}
$h_sjs_concurrent_JSExecutionContext$.prototype = $c_sjs_concurrent_JSExecutionContext$.prototype;
$c_sjs_concurrent_JSExecutionContext$.prototype.init___ = (function() {
  $n_sjs_concurrent_JSExecutionContext$ = this;
  this.runNow$1 = $m_sjs_concurrent_RunNowExecutionContext$();
  this.queue$1 = $m_sjs_concurrent_QueueExecutionContext$().apply__s_concurrent_ExecutionContextExecutor();
  return this
});
var $d_sjs_concurrent_JSExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_JSExecutionContext$: 0
}, false, "scala.scalajs.concurrent.JSExecutionContext$", {
  sjs_concurrent_JSExecutionContext$: 1,
  O: 1
});
$c_sjs_concurrent_JSExecutionContext$.prototype.$classData = $d_sjs_concurrent_JSExecutionContext$;
var $n_sjs_concurrent_JSExecutionContext$ = (void 0);
function $m_sjs_concurrent_JSExecutionContext$() {
  if ((!$n_sjs_concurrent_JSExecutionContext$)) {
    $n_sjs_concurrent_JSExecutionContext$ = new $c_sjs_concurrent_JSExecutionContext$().init___()
  };
  return $n_sjs_concurrent_JSExecutionContext$
}
/** @constructor */
function $c_sjs_concurrent_QueueExecutionContext$() {
  $c_O.call(this)
}
$c_sjs_concurrent_QueueExecutionContext$.prototype = new $h_O();
$c_sjs_concurrent_QueueExecutionContext$.prototype.constructor = $c_sjs_concurrent_QueueExecutionContext$;
/** @constructor */
function $h_sjs_concurrent_QueueExecutionContext$() {
  /*<skip>*/
}
$h_sjs_concurrent_QueueExecutionContext$.prototype = $c_sjs_concurrent_QueueExecutionContext$.prototype;
$c_sjs_concurrent_QueueExecutionContext$.prototype.init___ = (function() {
  return this
});
$c_sjs_concurrent_QueueExecutionContext$.prototype.apply__s_concurrent_ExecutionContextExecutor = (function() {
  var v = $g.Promise;
  if ((v === (void 0))) {
    return new $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext().init___()
  } else {
    return new $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext().init___()
  }
});
var $d_sjs_concurrent_QueueExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$", {
  sjs_concurrent_QueueExecutionContext$: 1,
  O: 1
});
$c_sjs_concurrent_QueueExecutionContext$.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$;
var $n_sjs_concurrent_QueueExecutionContext$ = (void 0);
function $m_sjs_concurrent_QueueExecutionContext$() {
  if ((!$n_sjs_concurrent_QueueExecutionContext$)) {
    $n_sjs_concurrent_QueueExecutionContext$ = new $c_sjs_concurrent_QueueExecutionContext$().init___()
  };
  return $n_sjs_concurrent_QueueExecutionContext$
}
/** @constructor */
function $c_sjs_js_WrappedDictionary$Cache$() {
  $c_O.call(this);
  this.safeHasOwnProperty$1 = null
}
$c_sjs_js_WrappedDictionary$Cache$.prototype = new $h_O();
$c_sjs_js_WrappedDictionary$Cache$.prototype.constructor = $c_sjs_js_WrappedDictionary$Cache$;
/** @constructor */
function $h_sjs_js_WrappedDictionary$Cache$() {
  /*<skip>*/
}
$h_sjs_js_WrappedDictionary$Cache$.prototype = $c_sjs_js_WrappedDictionary$Cache$.prototype;
$c_sjs_js_WrappedDictionary$Cache$.prototype.init___ = (function() {
  $n_sjs_js_WrappedDictionary$Cache$ = this;
  this.safeHasOwnProperty$1 = $g.Object.prototype.hasOwnProperty;
  return this
});
var $d_sjs_js_WrappedDictionary$Cache$ = new $TypeData().initClass({
  sjs_js_WrappedDictionary$Cache$: 0
}, false, "scala.scalajs.js.WrappedDictionary$Cache$", {
  sjs_js_WrappedDictionary$Cache$: 1,
  O: 1
});
$c_sjs_js_WrappedDictionary$Cache$.prototype.$classData = $d_sjs_js_WrappedDictionary$Cache$;
var $n_sjs_js_WrappedDictionary$Cache$ = (void 0);
function $m_sjs_js_WrappedDictionary$Cache$() {
  if ((!$n_sjs_js_WrappedDictionary$Cache$)) {
    $n_sjs_js_WrappedDictionary$Cache$ = new $c_sjs_js_WrappedDictionary$Cache$().init___()
  };
  return $n_sjs_js_WrappedDictionary$Cache$
}
/** @constructor */
function $c_sjsr_Bits$() {
  $c_O.call(this);
  this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f = false;
  this.arrayBuffer$1 = null;
  this.int32Array$1 = null;
  this.float32Array$1 = null;
  this.float64Array$1 = null;
  this.areTypedArraysBigEndian$1 = false;
  this.highOffset$1 = 0;
  this.lowOffset$1 = 0
}
$c_sjsr_Bits$.prototype = new $h_O();
$c_sjsr_Bits$.prototype.constructor = $c_sjsr_Bits$;
/** @constructor */
function $h_sjsr_Bits$() {
  /*<skip>*/
}
$h_sjsr_Bits$.prototype = $c_sjsr_Bits$.prototype;
$c_sjsr_Bits$.prototype.init___ = (function() {
  $n_sjsr_Bits$ = this;
  var x = ((($g.ArrayBuffer && $g.Int32Array) && $g.Float32Array) && $g.Float64Array);
  this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f = $uZ((!(!x)));
  this.arrayBuffer$1 = (this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f ? new $g.ArrayBuffer(8) : null);
  this.int32Array$1 = (this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f ? new $g.Int32Array(this.arrayBuffer$1, 0, 2) : null);
  this.float32Array$1 = (this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f ? new $g.Float32Array(this.arrayBuffer$1, 0, 2) : null);
  this.float64Array$1 = (this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f ? new $g.Float64Array(this.arrayBuffer$1, 0, 1) : null);
  if ((!this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f)) {
    var jsx$1 = true
  } else {
    this.int32Array$1[0] = 16909060;
    var jsx$1 = ($uB(new $g.Int8Array(this.arrayBuffer$1, 0, 8)[0]) === 1)
  };
  this.areTypedArraysBigEndian$1 = jsx$1;
  this.highOffset$1 = (this.areTypedArraysBigEndian$1 ? 0 : 1);
  this.lowOffset$1 = (this.areTypedArraysBigEndian$1 ? 1 : 0);
  return this
});
$c_sjsr_Bits$.prototype.numberHashCode__D__I = (function(value) {
  var iv = $uI((value | 0));
  if (((iv === value) && ((1.0 / value) !== (-Infinity)))) {
    return iv
  } else {
    var t = this.doubleToLongBits__D__J(value);
    var lo = t.lo$2;
    var hi = t.hi$2;
    return (lo ^ hi)
  }
});
$c_sjsr_Bits$.prototype.doubleToLongBitsPolyfill__p1__D__J = (function(value) {
  if ((value !== value)) {
    var _3 = $uD($g.Math.pow(2.0, 51));
    var x1_$_$$und1$1 = false;
    var x1_$_$$und2$1 = 2047;
    var x1_$_$$und3$1 = _3
  } else if (((value === Infinity) || (value === (-Infinity)))) {
    var _1 = (value < 0);
    var x1_$_$$und1$1 = _1;
    var x1_$_$$und2$1 = 2047;
    var x1_$_$$und3$1 = 0.0
  } else if ((value === 0.0)) {
    var _1$1 = ((1 / value) === (-Infinity));
    var x1_$_$$und1$1 = _1$1;
    var x1_$_$$und2$1 = 0;
    var x1_$_$$und3$1 = 0.0
  } else {
    var s = (value < 0);
    var av = (s ? (-value) : value);
    if ((av >= $uD($g.Math.pow(2.0, (-1022))))) {
      var twoPowFbits = $uD($g.Math.pow(2.0, 52));
      var a = ($uD($g.Math.log(av)) / 0.6931471805599453);
      var x = $uD($g.Math.floor(a));
      var a$1 = $uI((x | 0));
      var e = ((a$1 < 1023) ? a$1 : 1023);
      var b = e;
      var twoPowE = $uD($g.Math.pow(2.0, b));
      if ((twoPowE > av)) {
        e = (((-1) + e) | 0);
        twoPowE = (twoPowE / 2)
      };
      var n = ((av / twoPowE) * twoPowFbits);
      var w = $uD($g.Math.floor(n));
      var f = (n - w);
      var f$1 = ((f < 0.5) ? w : ((f > 0.5) ? (1 + w) : (((w % 2) !== 0) ? (1 + w) : w)));
      if (((f$1 / twoPowFbits) >= 2)) {
        e = ((1 + e) | 0);
        f$1 = 1.0
      };
      if ((e > 1023)) {
        e = 2047;
        f$1 = 0.0
      } else {
        e = ((1023 + e) | 0);
        f$1 = (f$1 - twoPowFbits)
      };
      var _2 = e;
      var _3$1 = f$1;
      var x1_$_$$und1$1 = s;
      var x1_$_$$und2$1 = _2;
      var x1_$_$$und3$1 = _3$1
    } else {
      var n$1 = (av / $uD($g.Math.pow(2.0, (-1074))));
      var w$1 = $uD($g.Math.floor(n$1));
      var f$2 = (n$1 - w$1);
      var _3$2 = ((f$2 < 0.5) ? w$1 : ((f$2 > 0.5) ? (1 + w$1) : (((w$1 % 2) !== 0) ? (1 + w$1) : w$1)));
      var x1_$_$$und1$1 = s;
      var x1_$_$$und2$1 = 0;
      var x1_$_$$und3$1 = _3$2
    }
  };
  var s$1 = $uZ(x1_$_$$und1$1);
  var e$1 = $uI(x1_$_$$und2$1);
  var f$3 = $uD(x1_$_$$und3$1);
  var x$1 = (f$3 / 4.294967296E9);
  var hif = $uI((x$1 | 0));
  var hi = (((s$1 ? (-2147483648) : 0) | (e$1 << 20)) | hif);
  var lo = $uI((f$3 | 0));
  return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
});
$c_sjsr_Bits$.prototype.doubleToLongBits__D__J = (function(value) {
  if (this.scala$scalajs$runtime$Bits$$$undareTypedArraysSupported$f) {
    this.float64Array$1[0] = value;
    var value$1 = $uI(this.int32Array$1[this.highOffset$1]);
    var value$2 = $uI(this.int32Array$1[this.lowOffset$1]);
    return new $c_sjsr_RuntimeLong().init___I__I(value$2, value$1)
  } else {
    return this.doubleToLongBitsPolyfill__p1__D__J(value)
  }
});
var $d_sjsr_Bits$ = new $TypeData().initClass({
  sjsr_Bits$: 0
}, false, "scala.scalajs.runtime.Bits$", {
  sjsr_Bits$: 1,
  O: 1
});
$c_sjsr_Bits$.prototype.$classData = $d_sjsr_Bits$;
var $n_sjsr_Bits$ = (void 0);
function $m_sjsr_Bits$() {
  if ((!$n_sjsr_Bits$)) {
    $n_sjsr_Bits$ = new $c_sjsr_Bits$().init___()
  };
  return $n_sjsr_Bits$
}
/** @constructor */
function $c_sjsr_RuntimeString$() {
  $c_O.call(this);
  this.CASE$undINSENSITIVE$undORDER$1 = null;
  this.bitmap$0$1 = false
}
$c_sjsr_RuntimeString$.prototype = new $h_O();
$c_sjsr_RuntimeString$.prototype.constructor = $c_sjsr_RuntimeString$;
/** @constructor */
function $h_sjsr_RuntimeString$() {
  /*<skip>*/
}
$h_sjsr_RuntimeString$.prototype = $c_sjsr_RuntimeString$.prototype;
$c_sjsr_RuntimeString$.prototype.init___ = (function() {
  return this
});
$c_sjsr_RuntimeString$.prototype.indexOf__T__I__I__I = (function(thiz, ch, fromIndex) {
  var str = this.fromCodePoint__p1__I__T(ch);
  return $uI(thiz.indexOf(str, fromIndex))
});
$c_sjsr_RuntimeString$.prototype.valueOf__O__T = (function(value) {
  return ((value === null) ? "null" : $objectToString(value))
});
$c_sjsr_RuntimeString$.prototype.lastIndexOf__T__I__I = (function(thiz, ch) {
  var str = this.fromCodePoint__p1__I__T(ch);
  return $uI(thiz.lastIndexOf(str))
});
$c_sjsr_RuntimeString$.prototype.indexOf__T__I__I = (function(thiz, ch) {
  var str = this.fromCodePoint__p1__I__T(ch);
  return $uI(thiz.indexOf(str))
});
$c_sjsr_RuntimeString$.prototype.fromCodePoint__p1__I__T = (function(codePoint) {
  if ((((-65536) & codePoint) === 0)) {
    return $as_T($g.String.fromCharCode(codePoint))
  } else if (((codePoint < 0) || (codePoint > 1114111))) {
    throw new $c_jl_IllegalArgumentException().init___()
  } else {
    var offsetCp = (((-65536) + codePoint) | 0);
    return $as_T($g.String.fromCharCode((55296 | (offsetCp >> 10)), (56320 | (1023 & offsetCp))))
  }
});
$c_sjsr_RuntimeString$.prototype.hashCode__T__I = (function(thiz) {
  var res = 0;
  var mul = 1;
  var i = (((-1) + $uI(thiz.length)) | 0);
  while ((i >= 0)) {
    var jsx$1 = res;
    var index = i;
    res = ((jsx$1 + $imul((65535 & $uI(thiz.charCodeAt(index))), mul)) | 0);
    mul = $imul(31, mul);
    i = (((-1) + i) | 0)
  };
  return res
});
var $d_sjsr_RuntimeString$ = new $TypeData().initClass({
  sjsr_RuntimeString$: 0
}, false, "scala.scalajs.runtime.RuntimeString$", {
  sjsr_RuntimeString$: 1,
  O: 1
});
$c_sjsr_RuntimeString$.prototype.$classData = $d_sjsr_RuntimeString$;
var $n_sjsr_RuntimeString$ = (void 0);
function $m_sjsr_RuntimeString$() {
  if ((!$n_sjsr_RuntimeString$)) {
    $n_sjsr_RuntimeString$ = new $c_sjsr_RuntimeString$().init___()
  };
  return $n_sjsr_RuntimeString$
}
/** @constructor */
function $c_sjsr_StackTrace$() {
  $c_O.call(this);
  this.isRhino$1 = false;
  this.decompressedClasses$1 = null;
  this.decompressedPrefixes$1 = null;
  this.compressedPrefixes$1 = null;
  this.bitmap$0$1 = 0
}
$c_sjsr_StackTrace$.prototype = new $h_O();
$c_sjsr_StackTrace$.prototype.constructor = $c_sjsr_StackTrace$;
/** @constructor */
function $h_sjsr_StackTrace$() {
  /*<skip>*/
}
$h_sjsr_StackTrace$.prototype = $c_sjsr_StackTrace$.prototype;
$c_sjsr_StackTrace$.prototype.compressedPrefixes$lzycompute__p1__sjs_js_Array = (function() {
  if (((8 & this.bitmap$0$1) === 0)) {
    this.compressedPrefixes$1 = $g.Object.keys(this.decompressedPrefixes__p1__sjs_js_Dictionary());
    this.bitmap$0$1 = (8 | this.bitmap$0$1)
  };
  return this.compressedPrefixes$1
});
$c_sjsr_StackTrace$.prototype.extractFirefox__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var x = $as_T(e.stack);
  var jsx$2 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("(?:\\n@:0)?\\s+$", "m"), "");
  var x$1 = $as_T(jsx$2);
  var jsx$1 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(?:\\((\\S*)\\))?@", "gm"), "{anonymous}($1)@");
  var x$2 = $as_T(jsx$1);
  return x$2.split("\n")
});
$c_sjsr_StackTrace$.prototype.extractOpera10a__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var lineRE = $m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("Line (\\d+).*script (?:in )?(\\S+)(?:: In function (\\S+))?$", "i");
  var x = $as_T(e.stacktrace);
  var lines = x.split("\n");
  var result = [];
  var i = 0;
  var len = $uI(lines.length);
  while ((i < len)) {
    var mtch = lineRE.exec($as_T(lines[i]));
    if ((mtch !== null)) {
      var value = mtch[3];
      var fnName = $as_T(((value === (void 0)) ? "{anonymous}" : value));
      var value$1 = mtch[2];
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var value$2 = mtch[1];
      if ((value$2 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var jsx$1 = result.push(((((fnName + "()@") + value$1) + ":") + value$2));
      $uI(jsx$1)
    };
    i = ((2 + i) | 0)
  };
  return result
});
$c_sjsr_StackTrace$.prototype.init___ = (function() {
  return this
});
$c_sjsr_StackTrace$.prototype.isRhino__p1__Z = (function() {
  return (((1 & this.bitmap$0$1) === 0) ? this.isRhino$lzycompute__p1__Z() : this.isRhino$1)
});
$c_sjsr_StackTrace$.prototype.extractOpera10b__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var lineRE = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(.*)@(.+):(\\d+)$");
  var x = $as_T(e.stacktrace);
  var lines = x.split("\n");
  var result = [];
  var i = 0;
  var len = $uI(lines.length);
  while ((i < len)) {
    var mtch = lineRE.exec($as_T(lines[i]));
    if ((mtch !== null)) {
      var value = mtch[1];
      if ((value === (void 0))) {
        var fnName = "global code"
      } else {
        var x$3 = $as_T(value);
        var fnName = (x$3 + "()")
      };
      var value$1 = mtch[2];
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var value$2 = mtch[3];
      if ((value$2 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var jsx$1 = result.push(((((fnName + "@") + value$1) + ":") + value$2));
      $uI(jsx$1)
    };
    i = ((1 + i) | 0)
  };
  return result
});
$c_sjsr_StackTrace$.prototype.decodeClassName__p1__T__T = (function(encodedName) {
  var encoded = (((65535 & $uI(encodedName.charCodeAt(0))) === 36) ? $as_T(encodedName.substring(1)) : encodedName);
  var dict = this.decompressedClasses__p1__sjs_js_Dictionary();
  if ($uZ($m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, encoded))) {
    var dict$1 = this.decompressedClasses__p1__sjs_js_Dictionary();
    if ((!$uZ($m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict$1, encoded)))) {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + encoded))
    };
    var base = $as_T(dict$1[encoded])
  } else {
    var base = this.loop$1__p1__I__T__T(0, encoded)
  };
  var thiz = $as_T(base.split("_").join("."));
  return $as_T(thiz.split("$und").join("_"))
});
$c_sjsr_StackTrace$.prototype.extract__sjs_js_Dynamic__Ajl_StackTraceElement = (function(stackdata) {
  var lines = this.normalizeStackTraceLines__p1__sjs_js_Dynamic__sjs_js_Array(stackdata);
  return this.normalizedLinesToStackTrace__p1__sjs_js_Array__Ajl_StackTraceElement(lines)
});
$c_sjsr_StackTrace$.prototype.extractChrome__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var x = ($as_T(e.stack) + "\n");
  var jsx$6 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^[\\s\\S]+?\\s+at\\s+"), " at ");
  var x$1 = $as_T(jsx$6);
  var jsx$5 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s+(at eval )?at\\s+", "gm"), "");
  var x$2 = $as_T(jsx$5);
  var jsx$4 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+?)([\\n])", "gm"), "{anonymous}() ($1)$2");
  var x$3 = $as_T(jsx$4);
  var jsx$3 = x$3.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^Object.<anonymous>\\s*\\(([^\\)]+)\\)", "gm"), "{anonymous}() ($1)");
  var x$4 = $as_T(jsx$3);
  var jsx$2 = x$4.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+|\\{anonymous\\}\\(\\)) \\((.+)\\)$", "gm"), "$1@$2");
  var x$5 = $as_T(jsx$2);
  var jsx$1 = x$5.split("\n");
  return jsx$1.slice(0, (-1))
});
$c_sjsr_StackTrace$.prototype.decompressedClasses__p1__sjs_js_Dictionary = (function() {
  return (((2 & this.bitmap$0$1) === 0) ? this.decompressedClasses$lzycompute__p1__sjs_js_Dictionary() : this.decompressedClasses$1)
});
$c_sjsr_StackTrace$.prototype.compressedPrefixes__p1__sjs_js_Array = (function() {
  return (((8 & this.bitmap$0$1) === 0) ? this.compressedPrefixes$lzycompute__p1__sjs_js_Array() : this.compressedPrefixes$1)
});
$c_sjsr_StackTrace$.prototype.extractClassMethod__p1__T__T2 = (function(functionName) {
  var PatC = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.c\\.|\\$c_)([^\\.]+)(?:\\.prototype)?\\.([^\\.]+)$");
  var PatS = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.(?:s|f)\\.|\\$(?:s|f)_)((?:_[^_]|[^_])+)__([^\\.]+)$");
  var PatM = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^(?:Object\\.|\\[object Object\\]\\.)?(?:ScalaJS\\.m\\.|\\$m_)([^\\.]+)$");
  var isModule = false;
  var mtch = PatC.exec(functionName);
  if ((mtch === null)) {
    mtch = PatS.exec(functionName);
    if ((mtch === null)) {
      mtch = PatM.exec(functionName);
      isModule = true
    }
  };
  if ((mtch !== null)) {
    var value = mtch[1];
    if ((value === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var className = this.decodeClassName__p1__T__T($as_T(value));
    if (isModule) {
      var methodName = "<clinit>"
    } else {
      var value$1 = mtch[2];
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var methodName = this.decodeMethodName__p1__T__T($as_T(value$1))
    };
    return new $c_T2().init___O__O(className, methodName)
  } else {
    return new $c_T2().init___O__O("<jscode>", functionName)
  }
});
$c_sjsr_StackTrace$.prototype.isRhino$lzycompute__p1__Z = (function() {
  if (((1 & this.bitmap$0$1) === 0)) {
    this.isRhino$1 = this.liftedTree1$1__p1__Z();
    this.bitmap$0$1 = (1 | this.bitmap$0$1)
  };
  return this.isRhino$1
});
$c_sjsr_StackTrace$.prototype.decompressedPrefixes$lzycompute__p1__sjs_js_Dictionary = (function() {
  if (((4 & this.bitmap$0$1) === 0)) {
    this.decompressedPrefixes$1 = {
      "sjsr_": "scala_scalajs_runtime_",
      "sjs_": "scala_scalajs_",
      "sci_": "scala_collection_immutable_",
      "scm_": "scala_collection_mutable_",
      "scg_": "scala_collection_generic_",
      "sc_": "scala_collection_",
      "sr_": "scala_runtime_",
      "s_": "scala_",
      "jl_": "java_lang_",
      "ju_": "java_util_"
    };
    this.bitmap$0$1 = (4 | this.bitmap$0$1)
  };
  return this.decompressedPrefixes$1
});
$c_sjsr_StackTrace$.prototype.extract__jl_Throwable__Ajl_StackTraceElement = (function(throwable) {
  return this.extract__sjs_js_Dynamic__Ajl_StackTraceElement(throwable.stackdata)
});
$c_sjsr_StackTrace$.prototype.decompressedClasses$lzycompute__p1__sjs_js_Dictionary = (function() {
  if (((2 & this.bitmap$0$1) === 0)) {
    var dict = {
      "O": "java_lang_Object",
      "T": "java_lang_String",
      "V": "scala_Unit",
      "Z": "scala_Boolean",
      "C": "scala_Char",
      "B": "scala_Byte",
      "S": "scala_Short",
      "I": "scala_Int",
      "J": "scala_Long",
      "F": "scala_Float",
      "D": "scala_Double"
    };
    var index = 0;
    while ((index <= 22)) {
      if ((index >= 2)) {
        dict[("T" + index)] = ("scala_Tuple" + index)
      };
      dict[("F" + index)] = ("scala_Function" + index);
      index = ((1 + index) | 0)
    };
    this.decompressedClasses$1 = dict;
    this.bitmap$0$1 = (2 | this.bitmap$0$1)
  };
  return this.decompressedClasses$1
});
$c_sjsr_StackTrace$.prototype.normalizeStackTraceLines__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var x = (!e);
  if ($uZ((!(!x)))) {
    return []
  } else if (this.isRhino__p1__Z()) {
    return this.extractRhino__p1__sjs_js_Dynamic__sjs_js_Array(e)
  } else {
    var x$1 = (e.arguments && e.stack);
    if ($uZ((!(!x$1)))) {
      return this.extractChrome__p1__sjs_js_Dynamic__sjs_js_Array(e)
    } else {
      var x$2 = (e.stack && e.sourceURL);
      if ($uZ((!(!x$2)))) {
        return this.extractSafari__p1__sjs_js_Dynamic__sjs_js_Array(e)
      } else {
        var x$3 = (e.stack && e.number);
        if ($uZ((!(!x$3)))) {
          return this.extractIE__p1__sjs_js_Dynamic__sjs_js_Array(e)
        } else {
          var x$4 = (e.stack && e.fileName);
          if ($uZ((!(!x$4)))) {
            return this.extractFirefox__p1__sjs_js_Dynamic__sjs_js_Array(e)
          } else {
            var x$5 = (e.message && e["opera#sourceloc"]);
            if ($uZ((!(!x$5)))) {
              var x$6 = (!e.stacktrace);
              if ($uZ((!(!x$6)))) {
                return this.extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array(e)
              } else {
                var x$7 = ((e.message.indexOf("\n") > (-1)) && (e.message.split("\n").length > e.stacktrace.split("\n").length));
                if ($uZ((!(!x$7)))) {
                  return this.extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array(e)
                } else {
                  return this.extractOpera10a__p1__sjs_js_Dynamic__sjs_js_Array(e)
                }
              }
            } else {
              var x$8 = ((e.message && e.stack) && e.stacktrace);
              if ($uZ((!(!x$8)))) {
                var x$9 = (e.stacktrace.indexOf("called from line") < 0);
                if ($uZ((!(!x$9)))) {
                  return this.extractOpera10b__p1__sjs_js_Dynamic__sjs_js_Array(e)
                } else {
                  return this.extractOpera11__p1__sjs_js_Dynamic__sjs_js_Array(e)
                }
              } else {
                var x$10 = (e.stack && (!e.fileName));
                if ($uZ((!(!x$10)))) {
                  return this.extractChrome__p1__sjs_js_Dynamic__sjs_js_Array(e)
                } else {
                  return this.extractOther__p1__sjs_js_Dynamic__sjs_js_Array(e)
                }
              }
            }
          }
        }
      }
    }
  }
});
$c_sjsr_StackTrace$.prototype.extractOpera11__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var lineRE = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^.*line (\\d+), column (\\d+)(?: in (.+))? in (\\S+):$");
  var x = $as_T(e.stacktrace);
  var lines = x.split("\n");
  var result = [];
  var i = 0;
  var len = $uI(lines.length);
  while ((i < len)) {
    var mtch = lineRE.exec($as_T(lines[i]));
    if ((mtch !== null)) {
      var value = mtch[4];
      if ((value === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var jsx$1 = $as_T(value);
      var value$1 = mtch[1];
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var value$2 = mtch[2];
      if ((value$2 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var location = ((((jsx$1 + ":") + value$1) + ":") + value$2);
      var value$3 = mtch[2];
      var fnName0 = $as_T(((value$3 === (void 0)) ? "global code" : value$3));
      var x$1 = $as_T(fnName0.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("<anonymous function: (\\S+)>"), "$1"));
      var jsx$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("<anonymous function>"), "{anonymous}");
      var fnName = $as_T(jsx$2);
      $uI(result.push(((fnName + "@") + location)))
    };
    i = ((2 + i) | 0)
  };
  return result
});
$c_sjsr_StackTrace$.prototype.normalizedLinesToStackTrace__p1__sjs_js_Array__Ajl_StackTraceElement = (function(lines) {
  var NormalizedFrameLine = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^([^\\@]*)\\@(.*):([0-9]+)$");
  var NormalizedFrameLineWithColumn = $m_sjsr_StackTrace$StringRE$().re$extension0__T__sjs_js_RegExp("^([^\\@]*)\\@(.*):([0-9]+):([0-9]+)$");
  var trace = [];
  var i = 0;
  while ((i < $uI(lines.length))) {
    var line = $as_T(lines[i]);
    if ((line === null)) {
      throw new $c_jl_NullPointerException().init___()
    };
    if ((line !== "")) {
      var mtch1 = NormalizedFrameLineWithColumn.exec(line);
      if ((mtch1 !== null)) {
        var value = mtch1[1];
        if ((value === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        var x1 = this.extractClassMethod__p1__T__T2($as_T(value));
        if ((x1 === null)) {
          throw new $c_s_MatchError().init___O(x1)
        };
        var className = $as_T(x1.$$und1$f);
        var methodName = $as_T(x1.$$und2$f);
        var value$1 = mtch1[2];
        if ((value$1 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        var fileName = $as_T(value$1);
        var value$2 = mtch1[3];
        if ((value$2 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        var x = $as_T(value$2);
        var this$12 = new $c_sci_StringOps().init___T(x);
        var this$14 = $m_jl_Integer$();
        var $$this = this$12.repr$1;
        var lineNumber = this$14.parseInt__T__I__I($$this, 10);
        var value$3 = mtch1[4];
        if ((value$3 === (void 0))) {
          throw new $c_ju_NoSuchElementException().init___T("undefined.get")
        };
        var x$1 = $as_T(value$3);
        var this$19 = new $c_sci_StringOps().init___T(x$1);
        var this$21 = $m_jl_Integer$();
        var $$this$1 = this$19.repr$1;
        var value$4 = this$21.parseInt__T__I__I($$this$1, 10);
        var jsx$1 = trace.push({
          "declaringClass": className,
          "methodName": methodName,
          "fileName": fileName,
          "lineNumber": lineNumber,
          "columnNumber": ((value$4 === (void 0)) ? (void 0) : value$4)
        });
        $uI(jsx$1)
      } else {
        var mtch2 = NormalizedFrameLine.exec(line);
        if ((mtch2 !== null)) {
          var value$5 = mtch2[1];
          if ((value$5 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          var x1$2 = this.extractClassMethod__p1__T__T2($as_T(value$5));
          if ((x1$2 === null)) {
            throw new $c_s_MatchError().init___O(x1$2)
          };
          var className$3 = $as_T(x1$2.$$und1$f);
          var methodName$3 = $as_T(x1$2.$$und2$f);
          var value$6 = mtch2[2];
          if ((value$6 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          var fileName$1 = $as_T(value$6);
          var value$7 = mtch2[3];
          if ((value$7 === (void 0))) {
            throw new $c_ju_NoSuchElementException().init___T("undefined.get")
          };
          var x$2 = $as_T(value$7);
          var this$43 = new $c_sci_StringOps().init___T(x$2);
          var this$45 = $m_jl_Integer$();
          var $$this$2 = this$43.repr$1;
          var lineNumber$1 = this$45.parseInt__T__I__I($$this$2, 10);
          var jsx$2 = trace.push({
            "declaringClass": className$3,
            "methodName": methodName$3,
            "fileName": fileName$1,
            "lineNumber": lineNumber$1,
            "columnNumber": (void 0)
          });
          $uI(jsx$2)
        } else {
          $uI(trace.push({
            "declaringClass": "<jscode>",
            "methodName": line,
            "fileName": null,
            "lineNumber": (-1),
            "columnNumber": (void 0)
          }))
        }
      }
    };
    i = ((1 + i) | 0)
  };
  var value$8 = $env.sourceMapper;
  var mappedTrace = ((value$8 === (void 0)) ? trace : value$8(trace));
  var result = $newArrayObject($d_jl_StackTraceElement.getArrayOf(), [$uI(mappedTrace.length)]);
  i = 0;
  while ((i < $uI(mappedTrace.length))) {
    var jsSte = mappedTrace[i];
    var ste = new $c_jl_StackTraceElement().init___T__T__T__I($as_T(jsSte.declaringClass), $as_T(jsSte.methodName), $as_T(jsSte.fileName), $uI(jsSte.lineNumber));
    var value$9 = jsSte.columnNumber;
    if ((value$9 !== (void 0))) {
      var columnNumber = $uI(value$9);
      ste.setColumnNumber(columnNumber)
    };
    result.set(i, ste);
    i = ((1 + i) | 0)
  };
  return result
});
$c_sjsr_StackTrace$.prototype.extractOpera9__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var lineRE = $m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("Line (\\d+).*script (?:in )?(\\S+)", "i");
  var x = $as_T(e.message);
  var lines = x.split("\n");
  var result = [];
  var i = 2;
  var len = $uI(lines.length);
  while ((i < len)) {
    var mtch = lineRE.exec($as_T(lines[i]));
    if ((mtch !== null)) {
      var value = mtch[2];
      if ((value === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var value$1 = mtch[1];
      if ((value$1 === (void 0))) {
        throw new $c_ju_NoSuchElementException().init___T("undefined.get")
      };
      var jsx$1 = result.push(((("{anonymous}()@" + value) + ":") + value$1));
      $uI(jsx$1)
    };
    i = ((2 + i) | 0)
  };
  return result
});
$c_sjsr_StackTrace$.prototype.extractSafari__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var x = $as_T(e.stack);
  var jsx$3 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("\\[native code\\]\\n", "m"), "");
  var x$1 = $as_T(jsx$3);
  var jsx$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(?=\\w+Error\\:).*$\\n", "m"), "");
  var x$2 = $as_T(jsx$2);
  var jsx$1 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^@", "gm"), "{anonymous}()@");
  var x$3 = $as_T(jsx$1);
  return x$3.split("\n")
});
$c_sjsr_StackTrace$.prototype.loop$1__p1__I__T__T = (function(i, encoded$1) {
  _loop: while (true) {
    if ((i < $uI(this.compressedPrefixes__p1__sjs_js_Array().length))) {
      var prefix = $as_T(this.compressedPrefixes__p1__sjs_js_Array()[i]);
      if ((($uI(encoded$1.length) >= 0) && ($as_T(encoded$1.substring(0, $uI(prefix.length))) === prefix))) {
        var dict = this.decompressedPrefixes__p1__sjs_js_Dictionary();
        if ((!$uZ($m_sjs_js_WrappedDictionary$Cache$().safeHasOwnProperty$1.call(dict, prefix)))) {
          throw new $c_ju_NoSuchElementException().init___T(("key not found: " + prefix))
        };
        var jsx$1 = $as_T(dict[prefix]);
        var beginIndex = $uI(prefix.length);
        return (("" + jsx$1) + $as_T(encoded$1.substring(beginIndex)))
      } else {
        i = ((1 + i) | 0);
        continue _loop
      }
    } else {
      return ((($uI(encoded$1.length) >= 0) && ($as_T(encoded$1.substring(0, $uI("L".length))) === "L")) ? $as_T(encoded$1.substring(1)) : encoded$1)
    }
  }
});
$c_sjsr_StackTrace$.prototype.liftedTree1$1__p1__Z = (function() {
  try {
    $g.Packages.org.mozilla.javascript.JavaScriptException;
    return true
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      if ($is_sjs_js_JavaScriptException(e$2)) {
        return false
      } else {
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      }
    } else {
      throw e
    }
  }
});
$c_sjsr_StackTrace$.prototype.decompressedPrefixes__p1__sjs_js_Dictionary = (function() {
  return (((4 & this.bitmap$0$1) === 0) ? this.decompressedPrefixes$lzycompute__p1__sjs_js_Dictionary() : this.decompressedPrefixes$1)
});
$c_sjsr_StackTrace$.prototype.extractRhino__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var value = e.stack;
  var x = $as_T(((value === (void 0)) ? "" : value));
  var jsx$3 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s+at\\s+", "gm"), "");
  var x$1 = $as_T(jsx$3);
  var jsx$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^(.+?)(?: \\((.+)\\))?$", "gm"), "$2@$1");
  var x$2 = $as_T(jsx$2);
  var jsx$1 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("\\r\\n?", "gm"), "\n");
  var x$3 = $as_T(jsx$1);
  return x$3.split("\n")
});
$c_sjsr_StackTrace$.prototype.extractOther__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  return []
});
$c_sjsr_StackTrace$.prototype.extractIE__p1__sjs_js_Dynamic__sjs_js_Array = (function(e) {
  var x = $as_T(e.stack);
  var jsx$3 = x.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^\\s*at\\s+(.*)$", "gm"), "$1");
  var x$1 = $as_T(jsx$3);
  var jsx$2 = x$1.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^Anonymous function\\s+", "gm"), "{anonymous}() ");
  var x$2 = $as_T(jsx$2);
  var jsx$1 = x$2.replace($m_sjsr_StackTrace$StringRE$().re$extension1__T__T__sjs_js_RegExp("^([^\\(]+|\\{anonymous\\}\\(\\))\\s+\\((.+)\\)$", "gm"), "$1@$2");
  var x$3 = $as_T(jsx$1);
  var qual$1 = x$3.split("\n");
  return qual$1.slice(1)
});
$c_sjsr_StackTrace$.prototype.decodeMethodName__p1__T__T = (function(encodedName) {
  if ((($uI(encodedName.length) >= 0) && ($as_T(encodedName.substring(0, $uI("init___".length))) === "init___"))) {
    return "<init>"
  } else {
    var methodNameLen = $uI(encodedName.indexOf("__"));
    return ((methodNameLen < 0) ? encodedName : $as_T(encodedName.substring(0, methodNameLen)))
  }
});
var $d_sjsr_StackTrace$ = new $TypeData().initClass({
  sjsr_StackTrace$: 0
}, false, "scala.scalajs.runtime.StackTrace$", {
  sjsr_StackTrace$: 1,
  O: 1
});
$c_sjsr_StackTrace$.prototype.$classData = $d_sjsr_StackTrace$;
var $n_sjsr_StackTrace$ = (void 0);
function $m_sjsr_StackTrace$() {
  if ((!$n_sjsr_StackTrace$)) {
    $n_sjsr_StackTrace$ = new $c_sjsr_StackTrace$().init___()
  };
  return $n_sjsr_StackTrace$
}
/** @constructor */
function $c_sjsr_StackTrace$StringRE$() {
  $c_O.call(this)
}
$c_sjsr_StackTrace$StringRE$.prototype = new $h_O();
$c_sjsr_StackTrace$StringRE$.prototype.constructor = $c_sjsr_StackTrace$StringRE$;
/** @constructor */
function $h_sjsr_StackTrace$StringRE$() {
  /*<skip>*/
}
$h_sjsr_StackTrace$StringRE$.prototype = $c_sjsr_StackTrace$StringRE$.prototype;
$c_sjsr_StackTrace$StringRE$.prototype.init___ = (function() {
  return this
});
$c_sjsr_StackTrace$StringRE$.prototype.re$extension1__T__T__sjs_js_RegExp = (function($$this, mods) {
  return new $g.RegExp($$this, mods)
});
$c_sjsr_StackTrace$StringRE$.prototype.re$extension0__T__sjs_js_RegExp = (function($$this) {
  return new $g.RegExp($$this)
});
var $d_sjsr_StackTrace$StringRE$ = new $TypeData().initClass({
  sjsr_StackTrace$StringRE$: 0
}, false, "scala.scalajs.runtime.StackTrace$StringRE$", {
  sjsr_StackTrace$StringRE$: 1,
  O: 1
});
$c_sjsr_StackTrace$StringRE$.prototype.$classData = $d_sjsr_StackTrace$StringRE$;
var $n_sjsr_StackTrace$StringRE$ = (void 0);
function $m_sjsr_StackTrace$StringRE$() {
  if ((!$n_sjsr_StackTrace$StringRE$)) {
    $n_sjsr_StackTrace$StringRE$ = new $c_sjsr_StackTrace$StringRE$().init___()
  };
  return $n_sjsr_StackTrace$StringRE$
}
/** @constructor */
function $c_sjsr_package$() {
  $c_O.call(this)
}
$c_sjsr_package$.prototype = new $h_O();
$c_sjsr_package$.prototype.constructor = $c_sjsr_package$;
/** @constructor */
function $h_sjsr_package$() {
  /*<skip>*/
}
$h_sjsr_package$.prototype = $c_sjsr_package$.prototype;
$c_sjsr_package$.prototype.init___ = (function() {
  return this
});
$c_sjsr_package$.prototype.unwrapJavaScriptException__jl_Throwable__O = (function(th) {
  if ($is_sjs_js_JavaScriptException(th)) {
    var x2 = $as_sjs_js_JavaScriptException(th);
    var e = x2.exception$4;
    return e
  } else {
    return th
  }
});
$c_sjsr_package$.prototype.wrapJavaScriptException__O__jl_Throwable = (function(e) {
  if ($is_jl_Throwable(e)) {
    var x2 = $as_jl_Throwable(e);
    return x2
  } else {
    return new $c_sjs_js_JavaScriptException().init___O(e)
  }
});
var $d_sjsr_package$ = new $TypeData().initClass({
  sjsr_package$: 0
}, false, "scala.scalajs.runtime.package$", {
  sjsr_package$: 1,
  O: 1
});
$c_sjsr_package$.prototype.$classData = $d_sjsr_package$;
var $n_sjsr_package$ = (void 0);
function $m_sjsr_package$() {
  if ((!$n_sjsr_package$)) {
    $n_sjsr_package$ = new $c_sjsr_package$().init___()
  };
  return $n_sjsr_package$
}
/** @constructor */
function $c_sr_BoxesRunTime$() {
  $c_O.call(this)
}
$c_sr_BoxesRunTime$.prototype = new $h_O();
$c_sr_BoxesRunTime$.prototype.constructor = $c_sr_BoxesRunTime$;
/** @constructor */
function $h_sr_BoxesRunTime$() {
  /*<skip>*/
}
$h_sr_BoxesRunTime$.prototype = $c_sr_BoxesRunTime$.prototype;
$c_sr_BoxesRunTime$.prototype.init___ = (function() {
  return this
});
$c_sr_BoxesRunTime$.prototype.equalsCharObject__jl_Character__O__Z = (function(xc, y) {
  if ($is_jl_Character(y)) {
    var x2 = $as_jl_Character(y);
    return (xc.value$1 === x2.value$1)
  } else if ($is_jl_Number(y)) {
    var x3 = $as_jl_Number(y);
    if (((typeof x3) === "number")) {
      var x2$1 = $uD(x3);
      return (x2$1 === xc.value$1)
    } else if ($is_sjsr_RuntimeLong(x3)) {
      var t = $uJ(x3);
      var lo = t.lo$2;
      var hi = t.hi$2;
      var value = xc.value$1;
      var hi$1 = (value >> 31);
      return ((lo === value) && (hi === hi$1))
    } else {
      return ((x3 === null) ? (xc === null) : $objectEquals(x3, xc))
    }
  } else {
    return ((xc === null) && (y === null))
  }
});
$c_sr_BoxesRunTime$.prototype.equalsNumObject__jl_Number__O__Z = (function(xn, y) {
  if ($is_jl_Number(y)) {
    var x2 = $as_jl_Number(y);
    return this.equalsNumNum__jl_Number__jl_Number__Z(xn, x2)
  } else if ($is_jl_Character(y)) {
    var x3 = $as_jl_Character(y);
    if (((typeof xn) === "number")) {
      var x2$1 = $uD(xn);
      return (x2$1 === x3.value$1)
    } else if ($is_sjsr_RuntimeLong(xn)) {
      var t = $uJ(xn);
      var lo = t.lo$2;
      var hi = t.hi$2;
      var value = x3.value$1;
      var hi$1 = (value >> 31);
      return ((lo === value) && (hi === hi$1))
    } else {
      return ((xn === null) ? (x3 === null) : $objectEquals(xn, x3))
    }
  } else {
    return ((xn === null) ? (y === null) : $objectEquals(xn, y))
  }
});
$c_sr_BoxesRunTime$.prototype.equals__O__O__Z = (function(x, y) {
  if ((x === y)) {
    return true
  } else if ($is_jl_Number(x)) {
    var x2 = $as_jl_Number(x);
    return this.equalsNumObject__jl_Number__O__Z(x2, y)
  } else if ($is_jl_Character(x)) {
    var x3 = $as_jl_Character(x);
    return this.equalsCharObject__jl_Character__O__Z(x3, y)
  } else {
    return ((x === null) ? (y === null) : $objectEquals(x, y))
  }
});
$c_sr_BoxesRunTime$.prototype.equalsNumNum__jl_Number__jl_Number__Z = (function(xn, yn) {
  if (((typeof xn) === "number")) {
    var x2 = $uD(xn);
    if (((typeof yn) === "number")) {
      var x2$2 = $uD(yn);
      return (x2 === x2$2)
    } else if ($is_sjsr_RuntimeLong(yn)) {
      var t = $uJ(yn);
      var lo = t.lo$2;
      var hi = t.hi$2;
      return (x2 === $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi))
    } else if ($is_s_math_ScalaNumber(yn)) {
      var x4 = $as_s_math_ScalaNumber(yn);
      return x4.equals__O__Z(x2)
    } else {
      return false
    }
  } else if ($is_sjsr_RuntimeLong(xn)) {
    var t$1 = $uJ(xn);
    var lo$1 = t$1.lo$2;
    var hi$1 = t$1.hi$2;
    if ($is_sjsr_RuntimeLong(yn)) {
      var t$2 = $uJ(yn);
      var lo$2 = t$2.lo$2;
      var hi$2 = t$2.hi$2;
      return ((lo$1 === lo$2) && (hi$1 === hi$2))
    } else if (((typeof yn) === "number")) {
      var x3$3 = $uD(yn);
      return ($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo$1, hi$1) === x3$3)
    } else if ($is_s_math_ScalaNumber(yn)) {
      var x4$2 = $as_s_math_ScalaNumber(yn);
      return x4$2.equals__O__Z(new $c_sjsr_RuntimeLong().init___I__I(lo$1, hi$1))
    } else {
      return false
    }
  } else {
    return ((xn === null) ? (yn === null) : $objectEquals(xn, yn))
  }
});
var $d_sr_BoxesRunTime$ = new $TypeData().initClass({
  sr_BoxesRunTime$: 0
}, false, "scala.runtime.BoxesRunTime$", {
  sr_BoxesRunTime$: 1,
  O: 1
});
$c_sr_BoxesRunTime$.prototype.$classData = $d_sr_BoxesRunTime$;
var $n_sr_BoxesRunTime$ = (void 0);
function $m_sr_BoxesRunTime$() {
  if ((!$n_sr_BoxesRunTime$)) {
    $n_sr_BoxesRunTime$ = new $c_sr_BoxesRunTime$().init___()
  };
  return $n_sr_BoxesRunTime$
}
var $d_sr_Null$ = new $TypeData().initClass({
  sr_Null$: 0
}, false, "scala.runtime.Null$", {
  sr_Null$: 1,
  O: 1
});
/** @constructor */
function $c_sr_ScalaRunTime$() {
  $c_O.call(this)
}
$c_sr_ScalaRunTime$.prototype = new $h_O();
$c_sr_ScalaRunTime$.prototype.constructor = $c_sr_ScalaRunTime$;
/** @constructor */
function $h_sr_ScalaRunTime$() {
  /*<skip>*/
}
$h_sr_ScalaRunTime$.prototype = $c_sr_ScalaRunTime$.prototype;
$c_sr_ScalaRunTime$.prototype.init___ = (function() {
  return this
});
$c_sr_ScalaRunTime$.prototype.array$undlength__O__I = (function(xs) {
  if ($isArrayOf_O(xs, 1)) {
    var x2 = $asArrayOf_O(xs, 1);
    return x2.u.length
  } else if ($isArrayOf_I(xs, 1)) {
    var x3 = $asArrayOf_I(xs, 1);
    return x3.u.length
  } else if ($isArrayOf_D(xs, 1)) {
    var x4 = $asArrayOf_D(xs, 1);
    return x4.u.length
  } else if ($isArrayOf_J(xs, 1)) {
    var x5 = $asArrayOf_J(xs, 1);
    return x5.u.length
  } else if ($isArrayOf_F(xs, 1)) {
    var x6 = $asArrayOf_F(xs, 1);
    return x6.u.length
  } else if ($isArrayOf_C(xs, 1)) {
    var x7 = $asArrayOf_C(xs, 1);
    return x7.u.length
  } else if ($isArrayOf_B(xs, 1)) {
    var x8 = $asArrayOf_B(xs, 1);
    return x8.u.length
  } else if ($isArrayOf_S(xs, 1)) {
    var x9 = $asArrayOf_S(xs, 1);
    return x9.u.length
  } else if ($isArrayOf_Z(xs, 1)) {
    var x10 = $asArrayOf_Z(xs, 1);
    return x10.u.length
  } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
    var x11 = $asArrayOf_sr_BoxedUnit(xs, 1);
    return x11.u.length
  } else if ((xs === null)) {
    throw new $c_jl_NullPointerException().init___()
  } else {
    throw new $c_s_MatchError().init___O(xs)
  }
});
$c_sr_ScalaRunTime$.prototype.hash__O__I = (function(x) {
  if ((x === null)) {
    return 0
  } else if ($is_jl_Number(x)) {
    var n = $as_jl_Number(x);
    if (((typeof n) === "number")) {
      var x2 = $uD(n);
      return $m_sr_Statics$().doubleHash__D__I(x2)
    } else if ($is_sjsr_RuntimeLong(n)) {
      var t = $uJ(n);
      var lo = t.lo$2;
      var hi = t.hi$2;
      return $m_sr_Statics$().longHash__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi))
    } else {
      return $objectHashCode(n)
    }
  } else {
    return $objectHashCode(x)
  }
});
$c_sr_ScalaRunTime$.prototype.array$undupdate__O__I__O__V = (function(xs, idx, value) {
  if ($isArrayOf_O(xs, 1)) {
    var x2 = $asArrayOf_O(xs, 1);
    x2.set(idx, value)
  } else if ($isArrayOf_I(xs, 1)) {
    var x3 = $asArrayOf_I(xs, 1);
    x3.set(idx, $uI(value))
  } else if ($isArrayOf_D(xs, 1)) {
    var x4 = $asArrayOf_D(xs, 1);
    x4.set(idx, $uD(value))
  } else if ($isArrayOf_J(xs, 1)) {
    var x5 = $asArrayOf_J(xs, 1);
    x5.set(idx, $uJ(value))
  } else if ($isArrayOf_F(xs, 1)) {
    var x6 = $asArrayOf_F(xs, 1);
    x6.set(idx, $uF(value))
  } else if ($isArrayOf_C(xs, 1)) {
    var x7 = $asArrayOf_C(xs, 1);
    if ((value === null)) {
      var jsx$1 = 0
    } else {
      var this$2 = $as_jl_Character(value);
      var jsx$1 = this$2.value$1
    };
    x7.set(idx, jsx$1)
  } else if ($isArrayOf_B(xs, 1)) {
    var x8 = $asArrayOf_B(xs, 1);
    x8.set(idx, $uB(value))
  } else if ($isArrayOf_S(xs, 1)) {
    var x9 = $asArrayOf_S(xs, 1);
    x9.set(idx, $uS(value))
  } else if ($isArrayOf_Z(xs, 1)) {
    var x10 = $asArrayOf_Z(xs, 1);
    x10.set(idx, $uZ(value))
  } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
    var x11 = $asArrayOf_sr_BoxedUnit(xs, 1);
    x11.set(idx, $asUnit(value))
  } else if ((xs === null)) {
    throw new $c_jl_NullPointerException().init___()
  } else {
    throw new $c_s_MatchError().init___O(xs)
  }
});
$c_sr_ScalaRunTime$.prototype.$$undtoString__s_Product__T = (function(x) {
  var this$1 = x.productIterator__sc_Iterator();
  var start = (x.productPrefix__T() + "(");
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this$1, start, ",", ")")
});
$c_sr_ScalaRunTime$.prototype.array$undapply__O__I__O = (function(xs, idx) {
  if ($isArrayOf_O(xs, 1)) {
    var x2 = $asArrayOf_O(xs, 1);
    return x2.get(idx)
  } else if ($isArrayOf_I(xs, 1)) {
    var x3 = $asArrayOf_I(xs, 1);
    return x3.get(idx)
  } else if ($isArrayOf_D(xs, 1)) {
    var x4 = $asArrayOf_D(xs, 1);
    return x4.get(idx)
  } else if ($isArrayOf_J(xs, 1)) {
    var x5 = $asArrayOf_J(xs, 1);
    return x5.get(idx)
  } else if ($isArrayOf_F(xs, 1)) {
    var x6 = $asArrayOf_F(xs, 1);
    return x6.get(idx)
  } else if ($isArrayOf_C(xs, 1)) {
    var x7 = $asArrayOf_C(xs, 1);
    var c = x7.get(idx);
    return new $c_jl_Character().init___C(c)
  } else if ($isArrayOf_B(xs, 1)) {
    var x8 = $asArrayOf_B(xs, 1);
    return x8.get(idx)
  } else if ($isArrayOf_S(xs, 1)) {
    var x9 = $asArrayOf_S(xs, 1);
    return x9.get(idx)
  } else if ($isArrayOf_Z(xs, 1)) {
    var x10 = $asArrayOf_Z(xs, 1);
    return x10.get(idx)
  } else if ($isArrayOf_sr_BoxedUnit(xs, 1)) {
    var x11 = $asArrayOf_sr_BoxedUnit(xs, 1);
    return x11.get(idx)
  } else if ((xs === null)) {
    throw new $c_jl_NullPointerException().init___()
  } else {
    throw new $c_s_MatchError().init___O(xs)
  }
});
var $d_sr_ScalaRunTime$ = new $TypeData().initClass({
  sr_ScalaRunTime$: 0
}, false, "scala.runtime.ScalaRunTime$", {
  sr_ScalaRunTime$: 1,
  O: 1
});
$c_sr_ScalaRunTime$.prototype.$classData = $d_sr_ScalaRunTime$;
var $n_sr_ScalaRunTime$ = (void 0);
function $m_sr_ScalaRunTime$() {
  if ((!$n_sr_ScalaRunTime$)) {
    $n_sr_ScalaRunTime$ = new $c_sr_ScalaRunTime$().init___()
  };
  return $n_sr_ScalaRunTime$
}
/** @constructor */
function $c_sr_Statics$() {
  $c_O.call(this)
}
$c_sr_Statics$.prototype = new $h_O();
$c_sr_Statics$.prototype.constructor = $c_sr_Statics$;
/** @constructor */
function $h_sr_Statics$() {
  /*<skip>*/
}
$h_sr_Statics$.prototype = $c_sr_Statics$.prototype;
$c_sr_Statics$.prototype.init___ = (function() {
  return this
});
$c_sr_Statics$.prototype.mixLast__I__I__I = (function(hash, data) {
  var k = data;
  k = $imul((-862048943), k);
  var i = k;
  k = ((i << 15) | ((i >>> 17) | 0));
  k = $imul(461845907, k);
  return (hash ^ k)
});
$c_sr_Statics$.prototype.doubleHash__D__I = (function(dv) {
  var iv = $doubleToInt(dv);
  if ((iv === dv)) {
    return iv
  } else {
    var this$1 = $m_sjsr_RuntimeLong$();
    var lo = this$1.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(dv);
    var hi = this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
    return (($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(lo, hi) === dv) ? (lo ^ hi) : $m_sjsr_Bits$().numberHashCode__D__I(dv))
  }
});
$c_sr_Statics$.prototype.anyHash__O__I = (function(x) {
  if ((x === null)) {
    return 0
  } else if (((typeof x) === "number")) {
    var x3 = $uD(x);
    return this.doubleHash__D__I(x3)
  } else if ($is_sjsr_RuntimeLong(x)) {
    var t = $uJ(x);
    var lo = t.lo$2;
    var hi = t.hi$2;
    return this.longHash__J__I(new $c_sjsr_RuntimeLong().init___I__I(lo, hi))
  } else {
    return $objectHashCode(x)
  }
});
$c_sr_Statics$.prototype.avalanche__I__I = (function(h0) {
  var h = h0;
  h = (h ^ ((h >>> 16) | 0));
  h = $imul((-2048144789), h);
  h = (h ^ ((h >>> 13) | 0));
  h = $imul((-1028477387), h);
  h = (h ^ ((h >>> 16) | 0));
  return h
});
$c_sr_Statics$.prototype.mix__I__I__I = (function(hash, data) {
  var h = this.mixLast__I__I__I(hash, data);
  var i = h;
  h = ((i << 13) | ((i >>> 19) | 0));
  return (((-430675100) + $imul(5, h)) | 0)
});
$c_sr_Statics$.prototype.longHash__J__I = (function(lv) {
  var lo = lv.lo$2;
  var lo$1 = lv.hi$2;
  return ((lo$1 === (lo >> 31)) ? lo : (lo ^ lo$1))
});
$c_sr_Statics$.prototype.finalizeHash__I__I__I = (function(hash, length) {
  return this.avalanche__I__I((hash ^ length))
});
var $d_sr_Statics$ = new $TypeData().initClass({
  sr_Statics$: 0
}, false, "scala.runtime.Statics$", {
  sr_Statics$: 1,
  O: 1
});
$c_sr_Statics$.prototype.$classData = $d_sr_Statics$;
var $n_sr_Statics$ = (void 0);
function $m_sr_Statics$() {
  if ((!$n_sr_Statics$)) {
    $n_sr_Statics$ = new $c_sr_Statics$().init___()
  };
  return $n_sr_Statics$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$1.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$1.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$1;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$1() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$1.prototype = $c_Lcom_iteration3_smilejs_package$$anon$1.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_T(t);
  return t$1
});
var $d_Lcom_iteration3_smilejs_package$$anon$1 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$1: 0
}, false, "com.iteration3.smilejs.package$$anon$1", {
  Lcom_iteration3_smilejs_package$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$1.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$1;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$10;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$10() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$10.prototype = $c_Lcom_iteration3_smilejs_package$$anon$10.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return this.fromJs__sjs_js_Dynamic__sjs_js_Date(js1)
});
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype.fromJs__sjs_js_Dynamic__sjs_js_Date = (function(js1) {
  return new $g.Date($as_T(js1))
});
var $d_Lcom_iteration3_smilejs_package$$anon$10 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$10: 0
}, false, "com.iteration3.smilejs.package$$anon$10", {
  Lcom_iteration3_smilejs_package$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$10.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$10;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$2.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$2.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$2;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$2() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$2.prototype = $c_Lcom_iteration3_smilejs_package$$anon$2.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $as_T(js1)
});
var $d_Lcom_iteration3_smilejs_package$$anon$2 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$2: 0
}, false, "com.iteration3.smilejs.package$$anon$2", {
  Lcom_iteration3_smilejs_package$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$2.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$2;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$3.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$3.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$3;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$3() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$3.prototype = $c_Lcom_iteration3_smilejs_package$$anon$3.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $uI(t);
  return t$1
});
var $d_Lcom_iteration3_smilejs_package$$anon$3 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$3: 0
}, false, "com.iteration3.smilejs.package$$anon$3", {
  Lcom_iteration3_smilejs_package$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$3.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$3;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$4.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$4.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$4;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$4() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$4.prototype = $c_Lcom_iteration3_smilejs_package$$anon$4.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $uI(js1)
});
var $d_Lcom_iteration3_smilejs_package$$anon$4 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$4: 0
}, false, "com.iteration3.smilejs.package$$anon$4", {
  Lcom_iteration3_smilejs_package$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$4.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$4;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$5.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$5.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$5;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$5() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$5.prototype = $c_Lcom_iteration3_smilejs_package$$anon$5.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $uZ(t);
  return t$1
});
var $d_Lcom_iteration3_smilejs_package$$anon$5 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$5: 0
}, false, "com.iteration3.smilejs.package$$anon$5", {
  Lcom_iteration3_smilejs_package$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$5.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$5;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$6.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$6.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$6;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$6() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$6.prototype = $c_Lcom_iteration3_smilejs_package$$anon$6.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $uZ(js1)
});
var $d_Lcom_iteration3_smilejs_package$$anon$6 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$6: 0
}, false, "com.iteration3.smilejs.package$$anon$6", {
  Lcom_iteration3_smilejs_package$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$6.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$6;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$7.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$7.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$7;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$7() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$7.prototype = $c_Lcom_iteration3_smilejs_package$$anon$7.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $uD(t);
  return t$1
});
var $d_Lcom_iteration3_smilejs_package$$anon$7 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$7: 0
}, false, "com.iteration3.smilejs.package$$anon$7", {
  Lcom_iteration3_smilejs_package$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$7.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$7;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$8.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$8.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$8;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$8() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$8.prototype = $c_Lcom_iteration3_smilejs_package$$anon$8.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $uD(js1)
});
var $d_Lcom_iteration3_smilejs_package$$anon$8 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$8: 0
}, false, "com.iteration3.smilejs.package$$anon$8", {
  Lcom_iteration3_smilejs_package$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$8.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$8;
/** @constructor */
function $c_Lcom_iteration3_smilejs_package$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype.constructor = $c_Lcom_iteration3_smilejs_package$$anon$9;
/** @constructor */
function $h_Lcom_iteration3_smilejs_package$$anon$9() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_package$$anon$9.prototype = $c_Lcom_iteration3_smilejs_package$$anon$9.prototype;
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  return this.toJs__sjs_js_Date__sjs_js_Dynamic(t)
});
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype.toJs__sjs_js_Date__sjs_js_Dynamic = (function(t) {
  return $as_T(t.toISOString())
});
var $d_Lcom_iteration3_smilejs_package$$anon$9 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_package$$anon$9: 0
}, false, "com.iteration3.smilejs.package$$anon$9", {
  Lcom_iteration3_smilejs_package$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_iteration3_smilejs_package$$anon$9.prototype.$classData = $d_Lcom_iteration3_smilejs_package$$anon$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_enums_Title$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_enums_Title$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_enums_Title$$anon$1.prototype.constructor = $c_Lcom_metastay_gompaapp_enums_Title$$anon$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_enums_Title$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_enums_Title$$anon$1.prototype = $c_Lcom_metastay_gompaapp_enums_Title$$anon$1.prototype;
$c_Lcom_metastay_gompaapp_enums_Title$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_enums_Title$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  return this.toJs__Lcom_metastay_gompaapp_enums_Title__sjs_js_Dynamic(t)
});
$c_Lcom_metastay_gompaapp_enums_Title$$anon$1.prototype.toJs__Lcom_metastay_gompaapp_enums_Title__sjs_js_Dynamic = (function(t) {
  return t.toJson
});
var $d_Lcom_metastay_gompaapp_enums_Title$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_enums_Title$$anon$1: 0
}, false, "com.metastay.gompaapp.enums.Title$$anon$1", {
  Lcom_metastay_gompaapp_enums_Title$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_enums_Title$$anon$1.prototype.$classData = $d_Lcom_metastay_gompaapp_enums_Title$$anon$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_enums_Title$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_enums_Title$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_enums_Title$$anon$2.prototype.constructor = $c_Lcom_metastay_gompaapp_enums_Title$$anon$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_enums_Title$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_enums_Title$$anon$2.prototype = $c_Lcom_metastay_gompaapp_enums_Title$$anon$2.prototype;
$c_Lcom_metastay_gompaapp_enums_Title$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_enums_Title$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_gompaapp_enums_Title$();
  return $m_Lcom_metastay_gompaapp_enums_Title$().withId__T__Lcom_metastay_gompaapp_enums_Title($as_T(js1))
});
var $d_Lcom_metastay_gompaapp_enums_Title$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_enums_Title$$anon$2: 0
}, false, "com.metastay.gompaapp.enums.Title$$anon$2", {
  Lcom_metastay_gompaapp_enums_Title$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_enums_Title$$anon$2.prototype.$classData = $d_Lcom_metastay_gompaapp_enums_Title$$anon$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAllAppIdList$Input$$anon$1", {
  Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$();
  return new $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input().init___()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAllAppIdList$Input$$anon$2", {
  Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUser$Input$$anon$13", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUser$Input$$anon$14", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUserGroup$Input$$anon$17", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUserGroup$Input$$anon$18", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUserInUserGroup$Input$$anon$15", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUserInUserGroup$Input$$anon$16", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3: 0
}, false, "com.metastay.gompaapp.service.appreader.GetClientAppIdList$Input$$anon$3", {
  Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$();
  return new $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input().init___()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4: 0
}, false, "com.metastay.gompaapp.service.appreader.GetClientAppIdList$Input$$anon$4", {
  Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7: 0
}, false, "com.metastay.gompaapp.service.appreader.GetRoleListForApp$Input$$anon$7", {
  Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8: 0
}, false, "com.metastay.gompaapp.service.appreader.GetRoleListForApp$Input$$anon$8", {
  Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5: 0
}, false, "com.metastay.gompaapp.service.appreader.GetServerAppIdList$Input$$anon$5", {
  Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$();
  return new $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input().init___()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6: 0
}, false, "com.metastay.gompaapp.service.appreader.GetServerAppIdList$Input$$anon$6", {
  Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11: 0
}, false, "com.metastay.gompaapp.service.appreader.GetUserGroupRoleListForApp$Input$$anon$11", {
  Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12: 0
}, false, "com.metastay.gompaapp.service.appreader.GetUserGroupRoleListForApp$Input$$anon$12", {
  Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10: 0
}, false, "com.metastay.gompaapp.service.appreader.GetUserRoleListForApp$Input$$anon$10", {
  Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9: 0
}, false, "com.metastay.gompaapp.service.appreader.GetUserRoleListForApp$Input$$anon$9", {
  Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13: 0
}, false, "com.metastay.gompaapp.service.appwriter.AddUserAsGompaAppAdmin$Input$$anon$13", {
  Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14: 0
}, false, "com.metastay.gompaapp.service.appwriter.AddUserAsGompaAppAdmin$Input$$anon$14", {
  Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Input$$anon$5", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Input$$anon$6", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Output$$anon$7", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output(js1)
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Output$$anon$8", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserRole$Input$$anon$1", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserRole$Input$$anon$2", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserRole$Output$$anon$3", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output(js1)
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserRole$Output$$anon$4", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveAppUserGroupRoleMap$Input$$anon$11", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveAppUserGroupRoleMap$Input$$anon$12", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveAppUserRoleMap$Input$$anon$10", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveAppUserRoleMap$Input$$anon$9", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveUserAsGompaAppAdmin$Input$$anon$15", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveUserAsGompaAppAdmin$Input$$anon$16", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.CanUserAccessApp$Input$$anon$3", {
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.CanUserAccessApp$Input$$anon$4", {
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.CanUserAccessTeam$Input$$anon$5", {
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.CanUserAccessTeam$Input$$anon$6", {
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.GetAdminListForApp$Input$$anon$1", {
  Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.GetAdminListForApp$Input$$anon$2", {
  Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10.prototype = $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10.prototype;
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$();
  return new $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input().init___()
});
var $d_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10: 0
}, false, "com.metastay.gompaapp.service.inoutwriter.Logout$Input$$anon$10", {
  Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9.prototype = $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9.prototype;
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9: 0
}, false, "com.metastay.gompaapp.service.inoutwriter.Logout$Input$$anon$9", {
  Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAdminListForTeam$Input$$anon$15", {
  Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAdminListForTeam$Input$$anon$16", {
  Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAllFqFlowNameList$Input$$anon$3", {
  Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$();
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input().init___()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAllFqFlowNameList$Input$$anon$4", {
  Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAllTeamList$Input$$anon$1", {
  Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$();
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input().init___()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAllTeamList$Input$$anon$2", {
  Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetFqSubFlowNameListForFlow$Input$$anon$5", {
  Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetFqSubFlowNameListForFlow$Input$$anon$6", {
  Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetRoleListForTeam$Input$$anon$11", {
  Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetRoleListForTeam$Input$$anon$12", {
  Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetSubTeamListForTeam$Input$$anon$7", {
  Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetSubTeamListForTeam$Input$$anon$8", {
  Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamDetails$Input$$anon$13", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamDetails$Input$$anon$14", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamRoleListForUser$Input$$anon$19", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamRoleListForUser$Input$$anon$20", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamRoleListForUserInUserGroup$Input$$anon$21", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamRoleListForUserInUserGroup$Input$$anon$22", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetUserGroupRoleListForTeam$Input$$anon$23", {
  Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetUserGroupRoleListForTeam$Input$$anon$24", {
  Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetUserRoleListForTeam$Input$$anon$17", {
  Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetUserRoleListForTeam$Input$$anon$18", {
  Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11: 0
}, false, "com.metastay.gompaapp.service.teamwriter.AddSubTeam$Input$$anon$11", {
  Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12: 0
}, false, "com.metastay.gompaapp.service.teamwriter.AddSubTeam$Input$$anon$12", {
  Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25: 0
}, false, "com.metastay.gompaapp.service.teamwriter.AddUserAsTeamAdmin$Input$$anon$25", {
  Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26: 0
}, false, "com.metastay.gompaapp.service.teamwriter.AddUserAsTeamAdmin$Input$$anon$26", {
  Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10: 0
}, false, "com.metastay.gompaapp.service.teamwriter.CreateTeam$Input$$anon$10", {
  Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9: 0
}, false, "com.metastay.gompaapp.service.teamwriter.CreateTeam$Input$$anon$9", {
  Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Input$$anon$5", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Input$$anon$6", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Output$$anon$7", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Output$$anon$8", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Input$$anon$1", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Input$$anon$2", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Output$$anon$3", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Output$$anon$4", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveSubTeam$Input$$anon$13", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveSubTeam$Input$$anon$14", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeam$Input$$anon$15", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeam$Input$$anon$16", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeamUserGroupRoleMap$Input$$anon$23", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeamUserGroupRoleMap$Input$$anon$24", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeamUserRoleMap$Input$$anon$19", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeamUserRoleMap$Input$$anon$20", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveUserAsTeamAdmin$Input$$anon$27", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveUserAsTeamAdmin$Input$$anon$28", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21: 0
}, false, "com.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21", {
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22: 0
}, false, "com.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22", {
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17: 0
}, false, "com.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserRole$Input$$anon$17", {
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18: 0
}, false, "com.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserRole$Input$$anon$18", {
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetAllUserGroupList$Input$$anon$1", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  $m_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$();
  return new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input().init___()
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetAllUserGroupList$Input$$anon$2", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetRoleListForUserGroup$Input$$anon$3", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetRoleListForUserGroup$Input$$anon$4", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetTeamRoleListForUserGroup$Input$$anon$11", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetTeamRoleListForUserGroup$Input$$anon$12", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserGroupDetails$Input$$anon$5", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserGroupDetails$Input$$anon$6", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserGroupListForUser$Input$$anon$10", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserGroupListForUser$Input$$anon$9", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserListForUserGroup$Input$$anon$7", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserListForUserGroup$Input$$anon$8", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.ActivateUserInUserGroup$Input$$anon$17", {
  Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.ActivateUserInUserGroup$Input$$anon$18", {
  Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.AddUserToUserGroup$Input$$anon$13", {
  Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.AddUserToUserGroup$Input$$anon$14", {
  Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Input$$anon$1", {
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Input$$anon$2", {
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Output$$anon$3", {
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Output$$anon$4", {
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.DeactivateUserInUserGroup$Input$$anon$19", {
  Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.DeactivateUserInUserGroup$Input$$anon$20", {
  Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.RemoveUserFromUserGroup$Input$$anon$15", {
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.RemoveUserFromUserGroup$Input$$anon$16", {
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.RemoveUserGroup$Input$$anon$11", {
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.RemoveUserGroup$Input$$anon$12", {
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input(t);
  return t$1.toFormData__Lorg_scalajs_dom_raw_FormData()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Input$$anon$8", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Output$$anon$10", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Output$$anon$9", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input(t);
  return t$1.toFormData__Lorg_scalajs_dom_raw_FormData()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Input$$anon$5", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Output$$anon$6", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(js1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Output$$anon$7", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3.prototype = $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userreader_FindUser$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3: 0
}, false, "com.metastay.gompaapp.service.userreader.FindUser$Input$$anon$3", {
  Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4.prototype = $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userreader_FindUser$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4: 0
}, false, "com.metastay.gompaapp.service.userreader.FindUser$Input$$anon$4", {
  Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7: 0
}, false, "com.metastay.gompaapp.service.userreader.GetGompaAdminDetails$Input$$anon$7", {
  Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8: 0
}, false, "com.metastay.gompaapp.service.userreader.GetGompaAdminDetails$Input$$anon$8", {
  Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10: 0
}, false, "com.metastay.gompaapp.service.userreader.GetRoleListForUser$Input$$anon$10", {
  Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9: 0
}, false, "com.metastay.gompaapp.service.userreader.GetRoleListForUser$Input$$anon$9", {
  Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5: 0
}, false, "com.metastay.gompaapp.service.userreader.GetUserDetails$Input$$anon$5", {
  Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6: 0
}, false, "com.metastay.gompaapp.service.userreader.GetUserDetails$Input$$anon$6", {
  Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15: 0
}, false, "com.metastay.gompaapp.service.userwriter.ActivateUser$Input$$anon$15", {
  Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16: 0
}, false, "com.metastay.gompaapp.service.userwriter.ActivateUser$Input$$anon$16", {
  Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7: 0
}, false, "com.metastay.gompaapp.service.userwriter.AddUser$Input$$anon$7", {
  Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8: 0
}, false, "com.metastay.gompaapp.service.userwriter.AddUser$Input$$anon$8", {
  Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13: 0
}, false, "com.metastay.gompaapp.service.userwriter.ChangeDetails$Input$$anon$13", {
  Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14: 0
}, false, "com.metastay.gompaapp.service.userwriter.ChangeDetails$Input$$anon$14", {
  Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17: 0
}, false, "com.metastay.gompaapp.service.userwriter.DeactivateUser$Input$$anon$17", {
  Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18: 0
}, false, "com.metastay.gompaapp.service.userwriter.DeactivateUser$Input$$anon$18", {
  Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19: 0
}, false, "com.metastay.gompaapp.service.userwriter.RemoveUser$Input$$anon$19", {
  Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20: 0
}, false, "com.metastay.gompaapp.service.userwriter.RemoveUser$Input$$anon$20", {
  Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input(js1)
});
var $d_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10: 0
}, false, "com.metastay.gompaapp.service.userwriter.ResetPassword$Input$$anon$10", {
  Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9: 0
}, false, "com.metastay.gompaapp.service.userwriter.ResetPassword$Input$$anon$9", {
  Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input(t);
  return t$1.toFormData__Lorg_scalajs_dom_raw_FormData()
});
var $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1: 0
}, false, "com.metastay.gompaapp.service.userwriter.UploadUserFile$Input$$anon$1", {
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2: 0
}, false, "com.metastay.gompaapp.service.userwriter.UploadUserFile$Output$$anon$2", {
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(js1)
});
var $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3: 0
}, false, "com.metastay.gompaapp.service.userwriter.UploadUserFile$Output$$anon$3", {
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_store_GompaMutationsCode$() {
  $c_O.call(this);
  this.mutateLoggedInUser$1 = null
}
$c_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype.constructor = $c_Lcom_metastay_gompaapp_store_GompaMutationsCode$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_store_GompaMutationsCode$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype = $c_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype;
$c_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_store_GompaMutationsCode$ = this;
  this.mutateLoggedInUser$1 = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, loggedInUser$2) {
    state$2.loggedInUser = loggedInUser$2
  }));
  return this
});
$c_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype.mutateServerAppIdList__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, serverAppIdList$2) {
    state$2.serverAppIdList = serverAppIdList$2
  }))
});
$c_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype.mutateAllAppIdList__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, allAppIdList$2) {
    state$2.allAppIdList = allAppIdList$2
  }))
});
$c_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype.mutateAllFqFlowNameList__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, allFqFlowNameList$2) {
    state$2.allFqFlowNameList = allFqFlowNameList$2
  }))
});
$c_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype.mutateClientAppIdList__F2 = (function() {
  return new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function(state$2, clientAppIdList$2) {
    state$2.clientAppIdList = clientAppIdList$2
  }))
});
$c_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype.mutateLoggedInUser__F2 = (function() {
  return this.mutateLoggedInUser$1
});
var $d_Lcom_metastay_gompaapp_store_GompaMutationsCode$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_store_GompaMutationsCode$: 0
}, false, "com.metastay.gompaapp.store.GompaMutationsCode$", {
  Lcom_metastay_gompaapp_store_GompaMutationsCode$: 1,
  O: 1,
  Lcom_metastay_gompaapp_store_GompaHandlers: 1
});
$c_Lcom_metastay_gompaapp_store_GompaMutationsCode$.prototype.$classData = $d_Lcom_metastay_gompaapp_store_GompaMutationsCode$;
var $n_Lcom_metastay_gompaapp_store_GompaMutationsCode$ = (void 0);
function $m_Lcom_metastay_gompaapp_store_GompaMutationsCode$() {
  if ((!$n_Lcom_metastay_gompaapp_store_GompaMutationsCode$)) {
    $n_Lcom_metastay_gompaapp_store_GompaMutationsCode$ = new $c_Lcom_metastay_gompaapp_store_GompaMutationsCode$().init___()
  };
  return $n_Lcom_metastay_gompaapp_store_GompaMutationsCode$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.AppUserGroupRole$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.AppUserGroupRole$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_AppUserRole(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.AppUserRole$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_AppUserRole$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_AppUserRole(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.AppUserRole$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_GompaAdminData(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.GompaAdminData$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_GompaAdminData$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_GompaAdminData(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.GompaAdminData$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_Team$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_Team$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_Team$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_Team$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_Team$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_Team$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_Team$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_Team$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_Team$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_Team(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_Team$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_Team$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.Team$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_Team$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_Team$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_Team$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_Team$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_Team$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_Team$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_Team$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_Team$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_Team$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_Team$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_Team$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_Team$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_Team$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_Team(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_Team$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_Team$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.Team$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_Team$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_Team$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_Team$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.TeamSubTeamMap$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.TeamSubTeamMap$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.TeamUserGroupRole$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.TeamUserGroupRole$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_TeamUserRole(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.TeamUserRole$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_TeamUserRole$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_TeamUserRole(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.TeamUserRole$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_User$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_User$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_User$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_User$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_User$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_User$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_User$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_User$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_User$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_User(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_User$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_User$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.User$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_User$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_User$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_User$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_User$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_User$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_User$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_User$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_User$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_User$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_User$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_User$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_User$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_User$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_User(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_User$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_User$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.User$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_User$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_User$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_User$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_UserForUserGroup(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.UserForUserGroup$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_UserForUserGroup(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.UserForUserGroup$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_UserGroup(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroup$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_UserGroup$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_UserGroup(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroup$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_UserGroupDetails(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroupDetails$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_UserGroupDetails(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroupDetails$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1.prototype.toJs__O__sjs_js_Dynamic = (function(t) {
  var t$1 = $as_Lsmilejs_com_metastay_gompa_data_UserGroupForUser(t);
  return t$1.toJson__sjs_js_Dynamic()
});
var $d_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroupForUser$$anon$1", {
  Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1: 1,
  O: 1,
  Lcom_iteration3_smilejs_ToJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2() {
  $c_O.call(this)
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2.prototype.init___ = (function() {
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2.prototype.fromJs__sjs_js_Dynamic__O = (function(js1) {
  return $m_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$().fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_UserGroupForUser(js1)
});
var $d_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2 = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroupForUser$$anon$2", {
  Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2: 1,
  O: 1,
  Lcom_iteration3_smilejs_FromJs: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2;
/** @constructor */
function $c_jl_Number() {
  $c_O.call(this)
}
$c_jl_Number.prototype = new $h_O();
$c_jl_Number.prototype.constructor = $c_jl_Number;
/** @constructor */
function $h_jl_Number() {
  /*<skip>*/
}
$h_jl_Number.prototype = $c_jl_Number.prototype;
function $is_jl_Number(obj) {
  return (!(!(((obj && obj.$classData) && obj.$classData.ancestors.jl_Number) || ((typeof obj) === "number"))))
}
function $as_jl_Number(obj) {
  return (($is_jl_Number(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.Number"))
}
function $isArrayOf_jl_Number(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Number)))
}
function $asArrayOf_jl_Number(obj, depth) {
  return (($isArrayOf_jl_Number(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Number;", depth))
}
/** @constructor */
function $c_jl_StackTraceElement() {
  $c_O.call(this);
  this.declaringClass$1 = null;
  this.methodName$1 = null;
  this.fileName$1 = null;
  this.lineNumber$1 = 0;
  this.columnNumber$1 = 0
}
$c_jl_StackTraceElement.prototype = new $h_O();
$c_jl_StackTraceElement.prototype.constructor = $c_jl_StackTraceElement;
/** @constructor */
function $h_jl_StackTraceElement() {
  /*<skip>*/
}
$h_jl_StackTraceElement.prototype = $c_jl_StackTraceElement.prototype;
$c_jl_StackTraceElement.prototype.$$js$exported$meth$getColumnNumber__O = (function() {
  return this.columnNumber$1
});
$c_jl_StackTraceElement.prototype.init___T__T__T__I = (function(declaringClass, methodName, fileName, lineNumber) {
  this.declaringClass$1 = declaringClass;
  this.methodName$1 = methodName;
  this.fileName$1 = fileName;
  this.lineNumber$1 = lineNumber;
  this.columnNumber$1 = (-1);
  return this
});
$c_jl_StackTraceElement.prototype.equals__O__Z = (function(that) {
  if ($is_jl_StackTraceElement(that)) {
    var x2 = $as_jl_StackTraceElement(that);
    return ((((this.fileName$1 === x2.fileName$1) && (this.lineNumber$1 === x2.lineNumber$1)) && (this.declaringClass$1 === x2.declaringClass$1)) && (this.methodName$1 === x2.methodName$1))
  } else {
    return false
  }
});
$c_jl_StackTraceElement.prototype.$$js$exported$meth$setColumnNumber__I__O = (function(columnNumber) {
  this.columnNumber$1 = columnNumber
});
$c_jl_StackTraceElement.prototype.toString__T = (function() {
  var result = "";
  if ((this.declaringClass$1 !== "<jscode>")) {
    result = ((("" + result) + this.declaringClass$1) + ".")
  };
  result = (("" + result) + this.methodName$1);
  if ((this.fileName$1 === null)) {
    result = (result + "(Unknown Source)")
  } else {
    result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["(", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.fileName$1])));
    if ((this.lineNumber$1 >= 0)) {
      result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([":", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.lineNumber$1])));
      if ((this.columnNumber$1 >= 0)) {
        result = (("" + result) + new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array([":", ""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.columnNumber$1])))
      }
    };
    result = (result + ")")
  };
  return result
});
$c_jl_StackTraceElement.prototype.hashCode__I = (function() {
  var this$1 = this.declaringClass$1;
  var jsx$1 = $m_sjsr_RuntimeString$().hashCode__T__I(this$1);
  var this$2 = this.methodName$1;
  return (jsx$1 ^ $m_sjsr_RuntimeString$().hashCode__T__I(this$2))
});
$c_jl_StackTraceElement.prototype.setColumnNumber = (function(arg$1) {
  var prep0 = $uI(arg$1);
  return this.$$js$exported$meth$setColumnNumber__I__O(prep0)
});
$c_jl_StackTraceElement.prototype.getColumnNumber = (function() {
  return this.$$js$exported$meth$getColumnNumber__O()
});
function $is_jl_StackTraceElement(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_StackTraceElement)))
}
function $as_jl_StackTraceElement(obj) {
  return (($is_jl_StackTraceElement(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.StackTraceElement"))
}
function $isArrayOf_jl_StackTraceElement(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_StackTraceElement)))
}
function $asArrayOf_jl_StackTraceElement(obj, depth) {
  return (($isArrayOf_jl_StackTraceElement(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.StackTraceElement;", depth))
}
var $d_jl_StackTraceElement = new $TypeData().initClass({
  jl_StackTraceElement: 0
}, false, "java.lang.StackTraceElement", {
  jl_StackTraceElement: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StackTraceElement.prototype.$classData = $d_jl_StackTraceElement;
/** @constructor */
function $c_jl_Throwable() {
  $c_O.call(this);
  this.s$1 = null;
  this.e$1 = null;
  this.stackTrace$1 = null
}
$c_jl_Throwable.prototype = new $h_O();
$c_jl_Throwable.prototype.constructor = $c_jl_Throwable;
/** @constructor */
function $h_jl_Throwable() {
  /*<skip>*/
}
$h_jl_Throwable.prototype = $c_jl_Throwable.prototype;
$c_jl_Throwable.prototype.fillInStackTrace__jl_Throwable = (function() {
  var v = $g.Error.captureStackTrace;
  if ((v === (void 0))) {
    try {
      var e$1 = {}.undef()
    } catch (e) {
      var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
      if ((e$2 !== null)) {
        if ($is_sjs_js_JavaScriptException(e$2)) {
          var x5 = $as_sjs_js_JavaScriptException(e$2);
          var e$3 = x5.exception$4;
          var e$1 = e$3
        } else {
          var e$1;
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        }
      } else {
        var e$1;
        throw e
      }
    };
    this.stackdata = e$1
  } else {
    $g.Error.captureStackTrace(this);
    this.stackdata = this
  };
  return this
});
$c_jl_Throwable.prototype.getMessage__T = (function() {
  return this.s$1
});
$c_jl_Throwable.prototype.toString__T = (function() {
  var className = $objectGetClass(this).getName__T();
  var message = this.getMessage__T();
  return ((message === null) ? className : ((className + ": ") + message))
});
$c_jl_Throwable.prototype.getStackTrace__Ajl_StackTraceElement = (function() {
  if ((this.stackTrace$1 === null)) {
    this.stackTrace$1 = $m_sjsr_StackTrace$().extract__jl_Throwable__Ajl_StackTraceElement(this)
  };
  return this.stackTrace$1
});
$c_jl_Throwable.prototype.init___T__jl_Throwable = (function(s, e) {
  this.s$1 = s;
  this.e$1 = e;
  this.fillInStackTrace__jl_Throwable();
  return this
});
$c_jl_Throwable.prototype.printStackTrace__Ljava_io_PrintStream__V = (function(s) {
  var f = (function($this, s$1) {
    return (function(x$1$2) {
      var x$1 = $as_T(x$1$2);
      s$1.println__T__V(x$1)
    })
  })(this, s);
  this.getStackTrace__Ajl_StackTraceElement();
  var arg1 = this.toString__T();
  f(arg1);
  if ((this.stackTrace$1.u.length !== 0)) {
    var i = 0;
    while ((i < this.stackTrace$1.u.length)) {
      var arg1$1 = ("  at " + this.stackTrace$1.get(i));
      f(arg1$1);
      i = ((1 + i) | 0)
    }
  } else {
    f("  <no stack trace available>")
  };
  var wCause = this;
  while (true) {
    var jsx$2 = wCause;
    var this$1 = wCause;
    if ((jsx$2 !== this$1.e$1)) {
      var this$2 = wCause;
      var jsx$1 = (this$2.e$1 !== null)
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var parentTrace = wCause.getStackTrace__Ajl_StackTraceElement();
      var this$3 = wCause;
      wCause = this$3.e$1;
      var thisTrace = wCause.getStackTrace__Ajl_StackTraceElement();
      var thisLength = thisTrace.u.length;
      var parentLength = parentTrace.u.length;
      var arg1$2 = ("Caused by: " + wCause.toString__T());
      f(arg1$2);
      if ((thisLength !== 0)) {
        var sameFrameCount = 0;
        while (true) {
          if (((sameFrameCount < thisLength) && (sameFrameCount < parentLength))) {
            var x = thisTrace.get((((-1) + ((thisLength - sameFrameCount) | 0)) | 0));
            var x$2 = parentTrace.get((((-1) + ((parentLength - sameFrameCount) | 0)) | 0));
            var jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
          } else {
            var jsx$3 = false
          };
          if (jsx$3) {
            sameFrameCount = ((1 + sameFrameCount) | 0)
          } else {
            break
          }
        };
        if ((sameFrameCount > 0)) {
          sameFrameCount = (((-1) + sameFrameCount) | 0)
        };
        var lengthToPrint = ((thisLength - sameFrameCount) | 0);
        var i$2 = 0;
        while ((i$2 < lengthToPrint)) {
          var arg1$3 = ("  at " + thisTrace.get(i$2));
          f(arg1$3);
          i$2 = ((1 + i$2) | 0)
        };
        if ((sameFrameCount > 0)) {
          var arg1$4 = (("  ... " + sameFrameCount) + " more");
          f(arg1$4)
        }
      } else {
        f("  <no stack trace available>")
      }
    } else {
      break
    }
  }
});
function $is_jl_Throwable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Throwable)))
}
function $as_jl_Throwable(obj) {
  return (($is_jl_Throwable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.Throwable"))
}
function $isArrayOf_jl_Throwable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Throwable)))
}
function $asArrayOf_jl_Throwable(obj, depth) {
  return (($isArrayOf_jl_Throwable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Throwable;", depth))
}
/** @constructor */
function $c_s_Predef$$anon$3() {
  $c_O.call(this)
}
$c_s_Predef$$anon$3.prototype = new $h_O();
$c_s_Predef$$anon$3.prototype.constructor = $c_s_Predef$$anon$3;
/** @constructor */
function $h_s_Predef$$anon$3() {
  /*<skip>*/
}
$h_s_Predef$$anon$3.prototype = $c_s_Predef$$anon$3.prototype;
$c_s_Predef$$anon$3.prototype.init___ = (function() {
  return this
});
$c_s_Predef$$anon$3.prototype.apply__scm_Builder = (function() {
  return new $c_scm_StringBuilder().init___()
});
$c_s_Predef$$anon$3.prototype.apply__O__scm_Builder = (function(from) {
  $as_T(from);
  return new $c_scm_StringBuilder().init___()
});
var $d_s_Predef$$anon$3 = new $TypeData().initClass({
  s_Predef$$anon$3: 0
}, false, "scala.Predef$$anon$3", {
  s_Predef$$anon$3: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_s_Predef$$anon$3.prototype.$classData = $d_s_Predef$$anon$3;
/** @constructor */
function $c_s_package$$anon$1() {
  $c_O.call(this)
}
$c_s_package$$anon$1.prototype = new $h_O();
$c_s_package$$anon$1.prototype.constructor = $c_s_package$$anon$1;
/** @constructor */
function $h_s_package$$anon$1() {
  /*<skip>*/
}
$h_s_package$$anon$1.prototype = $c_s_package$$anon$1.prototype;
$c_s_package$$anon$1.prototype.init___ = (function() {
  return this
});
$c_s_package$$anon$1.prototype.toString__T = (function() {
  return "object AnyRef"
});
var $d_s_package$$anon$1 = new $TypeData().initClass({
  s_package$$anon$1: 0
}, false, "scala.package$$anon$1", {
  s_package$$anon$1: 1,
  O: 1,
  s_Specializable: 1
});
$c_s_package$$anon$1.prototype.$classData = $d_s_package$$anon$1;
/** @constructor */
function $c_s_util_hashing_MurmurHash3$() {
  $c_s_util_hashing_MurmurHash3.call(this);
  this.arraySeed$2 = 0;
  this.stringSeed$2 = 0;
  this.productSeed$2 = 0;
  this.symmetricSeed$2 = 0;
  this.traversableSeed$2 = 0;
  this.seqSeed$2 = 0;
  this.mapSeed$2 = 0;
  this.setSeed$2 = 0
}
$c_s_util_hashing_MurmurHash3$.prototype = new $h_s_util_hashing_MurmurHash3();
$c_s_util_hashing_MurmurHash3$.prototype.constructor = $c_s_util_hashing_MurmurHash3$;
/** @constructor */
function $h_s_util_hashing_MurmurHash3$() {
  /*<skip>*/
}
$h_s_util_hashing_MurmurHash3$.prototype = $c_s_util_hashing_MurmurHash3$.prototype;
$c_s_util_hashing_MurmurHash3$.prototype.init___ = (function() {
  $n_s_util_hashing_MurmurHash3$ = this;
  this.seqSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Seq");
  this.mapSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Map");
  this.setSeed$2 = $m_sjsr_RuntimeString$().hashCode__T__I("Set");
  return this
});
$c_s_util_hashing_MurmurHash3$.prototype.seqHash__sc_Seq__I = (function(xs) {
  if ($is_sci_List(xs)) {
    var x2 = $as_sci_List(xs);
    return this.listHash__sci_List__I__I(x2, this.seqSeed$2)
  } else {
    return this.orderedHash__sc_TraversableOnce__I__I(xs, this.seqSeed$2)
  }
});
var $d_s_util_hashing_MurmurHash3$ = new $TypeData().initClass({
  s_util_hashing_MurmurHash3$: 0
}, false, "scala.util.hashing.MurmurHash3$", {
  s_util_hashing_MurmurHash3$: 1,
  s_util_hashing_MurmurHash3: 1,
  O: 1
});
$c_s_util_hashing_MurmurHash3$.prototype.$classData = $d_s_util_hashing_MurmurHash3$;
var $n_s_util_hashing_MurmurHash3$ = (void 0);
function $m_s_util_hashing_MurmurHash3$() {
  if ((!$n_s_util_hashing_MurmurHash3$)) {
    $n_s_util_hashing_MurmurHash3$ = new $c_s_util_hashing_MurmurHash3$().init___()
  };
  return $n_s_util_hashing_MurmurHash3$
}
/** @constructor */
function $c_scg_GenMapFactory$MapCanBuildFrom() {
  $c_O.call(this);
  this.$$outer$f = null
}
$c_scg_GenMapFactory$MapCanBuildFrom.prototype = new $h_O();
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.constructor = $c_scg_GenMapFactory$MapCanBuildFrom;
/** @constructor */
function $h_scg_GenMapFactory$MapCanBuildFrom() {
  /*<skip>*/
}
$h_scg_GenMapFactory$MapCanBuildFrom.prototype = $c_scg_GenMapFactory$MapCanBuildFrom.prototype;
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.apply__scm_Builder = (function() {
  var this$1 = this.$$outer$f;
  return new $c_scm_MapBuilder().init___sc_GenMap(this$1.empty__sc_GenMap())
});
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.apply__O__scm_Builder = (function(from) {
  $as_sc_GenMap(from);
  var this$1 = this.$$outer$f;
  return new $c_scm_MapBuilder().init___sc_GenMap(this$1.empty__sc_GenMap())
});
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.init___scg_GenMapFactory = (function($$outer) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
var $d_scg_GenMapFactory$MapCanBuildFrom = new $TypeData().initClass({
  scg_GenMapFactory$MapCanBuildFrom: 0
}, false, "scala.collection.generic.GenMapFactory$MapCanBuildFrom", {
  scg_GenMapFactory$MapCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_scg_GenMapFactory$MapCanBuildFrom.prototype.$classData = $d_scg_GenMapFactory$MapCanBuildFrom;
/** @constructor */
function $c_scg_GenSetFactory() {
  $c_scg_GenericCompanion.call(this)
}
$c_scg_GenSetFactory.prototype = new $h_scg_GenericCompanion();
$c_scg_GenSetFactory.prototype.constructor = $c_scg_GenSetFactory;
/** @constructor */
function $h_scg_GenSetFactory() {
  /*<skip>*/
}
$h_scg_GenSetFactory.prototype = $c_scg_GenSetFactory.prototype;
/** @constructor */
function $c_scg_GenTraversableFactory() {
  $c_scg_GenericCompanion.call(this);
  this.ReusableCBFInstance$2 = null
}
$c_scg_GenTraversableFactory.prototype = new $h_scg_GenericCompanion();
$c_scg_GenTraversableFactory.prototype.constructor = $c_scg_GenTraversableFactory;
/** @constructor */
function $h_scg_GenTraversableFactory() {
  /*<skip>*/
}
$h_scg_GenTraversableFactory.prototype = $c_scg_GenTraversableFactory.prototype;
$c_scg_GenTraversableFactory.prototype.init___ = (function() {
  this.ReusableCBFInstance$2 = new $c_scg_GenTraversableFactory$$anon$1().init___scg_GenTraversableFactory(this);
  return this
});
/** @constructor */
function $c_scg_GenTraversableFactory$GenericCanBuildFrom() {
  $c_O.call(this);
  this.$$outer$f = null
}
$c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype = new $h_O();
$c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.constructor = $c_scg_GenTraversableFactory$GenericCanBuildFrom;
/** @constructor */
function $h_scg_GenTraversableFactory$GenericCanBuildFrom() {
  /*<skip>*/
}
$h_scg_GenTraversableFactory$GenericCanBuildFrom.prototype = $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype;
$c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.apply__scm_Builder = (function() {
  return this.$$outer$f.newBuilder__scm_Builder()
});
$c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.apply__O__scm_Builder = (function(from) {
  var from$1 = $as_sc_GenTraversable(from);
  return from$1.companion__scg_GenericCompanion().newBuilder__scm_Builder()
});
$c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory = (function($$outer) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
/** @constructor */
function $c_scg_MapFactory() {
  $c_scg_GenMapFactory.call(this)
}
$c_scg_MapFactory.prototype = new $h_scg_GenMapFactory();
$c_scg_MapFactory.prototype.constructor = $c_scg_MapFactory;
/** @constructor */
function $h_scg_MapFactory() {
  /*<skip>*/
}
$h_scg_MapFactory.prototype = $c_scg_MapFactory.prototype;
/** @constructor */
function $c_sci_HashMap$$anon$2() {
  $c_sci_HashMap$Merger.call(this);
  this.invert$2 = null;
  this.mergef$1$f = null
}
$c_sci_HashMap$$anon$2.prototype = new $h_sci_HashMap$Merger();
$c_sci_HashMap$$anon$2.prototype.constructor = $c_sci_HashMap$$anon$2;
/** @constructor */
function $h_sci_HashMap$$anon$2() {
  /*<skip>*/
}
$h_sci_HashMap$$anon$2.prototype = $c_sci_HashMap$$anon$2.prototype;
$c_sci_HashMap$$anon$2.prototype.init___F2 = (function(mergef$1) {
  this.mergef$1$f = mergef$1;
  this.invert$2 = new $c_sci_HashMap$$anon$2$$anon$3().init___sci_HashMap$$anon$2(this);
  return this
});
$c_sci_HashMap$$anon$2.prototype.apply__T2__T2__T2 = (function(kv1, kv2) {
  return $as_T2(this.mergef$1$f.apply__O__O__O(kv1, kv2))
});
var $d_sci_HashMap$$anon$2 = new $TypeData().initClass({
  sci_HashMap$$anon$2: 0
}, false, "scala.collection.immutable.HashMap$$anon$2", {
  sci_HashMap$$anon$2: 1,
  sci_HashMap$Merger: 1,
  O: 1
});
$c_sci_HashMap$$anon$2.prototype.$classData = $d_sci_HashMap$$anon$2;
/** @constructor */
function $c_sci_HashMap$$anon$2$$anon$3() {
  $c_sci_HashMap$Merger.call(this);
  this.$$outer$2 = null
}
$c_sci_HashMap$$anon$2$$anon$3.prototype = new $h_sci_HashMap$Merger();
$c_sci_HashMap$$anon$2$$anon$3.prototype.constructor = $c_sci_HashMap$$anon$2$$anon$3;
/** @constructor */
function $h_sci_HashMap$$anon$2$$anon$3() {
  /*<skip>*/
}
$h_sci_HashMap$$anon$2$$anon$3.prototype = $c_sci_HashMap$$anon$2$$anon$3.prototype;
$c_sci_HashMap$$anon$2$$anon$3.prototype.apply__T2__T2__T2 = (function(kv1, kv2) {
  return $as_T2(this.$$outer$2.mergef$1$f.apply__O__O__O(kv2, kv1))
});
$c_sci_HashMap$$anon$2$$anon$3.prototype.init___sci_HashMap$$anon$2 = (function($$outer) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$2 = $$outer
  };
  return this
});
var $d_sci_HashMap$$anon$2$$anon$3 = new $TypeData().initClass({
  sci_HashMap$$anon$2$$anon$3: 0
}, false, "scala.collection.immutable.HashMap$$anon$2$$anon$3", {
  sci_HashMap$$anon$2$$anon$3: 1,
  sci_HashMap$Merger: 1,
  O: 1
});
$c_sci_HashMap$$anon$2$$anon$3.prototype.$classData = $d_sci_HashMap$$anon$2$$anon$3;
/** @constructor */
function $c_sci_List$$anon$1() {
  $c_O.call(this)
}
$c_sci_List$$anon$1.prototype = new $h_O();
$c_sci_List$$anon$1.prototype.constructor = $c_sci_List$$anon$1;
/** @constructor */
function $h_sci_List$$anon$1() {
  /*<skip>*/
}
$h_sci_List$$anon$1.prototype = $c_sci_List$$anon$1.prototype;
$c_sci_List$$anon$1.prototype.init___ = (function() {
  return this
});
$c_sci_List$$anon$1.prototype.apply__O__O = (function(x) {
  return this
});
$c_sci_List$$anon$1.prototype.toString__T = (function() {
  return "<function1>"
});
var $d_sci_List$$anon$1 = new $TypeData().initClass({
  sci_List$$anon$1: 0
}, false, "scala.collection.immutable.List$$anon$1", {
  sci_List$$anon$1: 1,
  O: 1,
  F1: 1
});
$c_sci_List$$anon$1.prototype.$classData = $d_sci_List$$anon$1;
function $is_scm_Builder(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_Builder)))
}
function $as_scm_Builder(obj) {
  return (($is_scm_Builder(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.Builder"))
}
function $isArrayOf_scm_Builder(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_Builder)))
}
function $asArrayOf_scm_Builder(obj, depth) {
  return (($isArrayOf_scm_Builder(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.Builder;", depth))
}
/** @constructor */
function $c_sr_AbstractFunction0() {
  $c_O.call(this)
}
$c_sr_AbstractFunction0.prototype = new $h_O();
$c_sr_AbstractFunction0.prototype.constructor = $c_sr_AbstractFunction0;
/** @constructor */
function $h_sr_AbstractFunction0() {
  /*<skip>*/
}
$h_sr_AbstractFunction0.prototype = $c_sr_AbstractFunction0.prototype;
$c_sr_AbstractFunction0.prototype.toString__T = (function() {
  return "<function0>"
});
/** @constructor */
function $c_sr_AbstractFunction1() {
  $c_O.call(this)
}
$c_sr_AbstractFunction1.prototype = new $h_O();
$c_sr_AbstractFunction1.prototype.constructor = $c_sr_AbstractFunction1;
/** @constructor */
function $h_sr_AbstractFunction1() {
  /*<skip>*/
}
$h_sr_AbstractFunction1.prototype = $c_sr_AbstractFunction1.prototype;
$c_sr_AbstractFunction1.prototype.toString__T = (function() {
  return "<function1>"
});
/** @constructor */
function $c_sr_AbstractFunction2() {
  $c_O.call(this)
}
$c_sr_AbstractFunction2.prototype = new $h_O();
$c_sr_AbstractFunction2.prototype.constructor = $c_sr_AbstractFunction2;
/** @constructor */
function $h_sr_AbstractFunction2() {
  /*<skip>*/
}
$h_sr_AbstractFunction2.prototype = $c_sr_AbstractFunction2.prototype;
$c_sr_AbstractFunction2.prototype.toString__T = (function() {
  return "<function2>"
});
/** @constructor */
function $c_sr_AbstractFunction3() {
  $c_O.call(this)
}
$c_sr_AbstractFunction3.prototype = new $h_O();
$c_sr_AbstractFunction3.prototype.constructor = $c_sr_AbstractFunction3;
/** @constructor */
function $h_sr_AbstractFunction3() {
  /*<skip>*/
}
$h_sr_AbstractFunction3.prototype = $c_sr_AbstractFunction3.prototype;
$c_sr_AbstractFunction3.prototype.toString__T = (function() {
  return "<function3>"
});
/** @constructor */
function $c_sr_AbstractFunction4() {
  $c_O.call(this)
}
$c_sr_AbstractFunction4.prototype = new $h_O();
$c_sr_AbstractFunction4.prototype.constructor = $c_sr_AbstractFunction4;
/** @constructor */
function $h_sr_AbstractFunction4() {
  /*<skip>*/
}
$h_sr_AbstractFunction4.prototype = $c_sr_AbstractFunction4.prototype;
$c_sr_AbstractFunction4.prototype.toString__T = (function() {
  return "<function4>"
});
/** @constructor */
function $c_sr_AbstractFunction6() {
  $c_O.call(this)
}
$c_sr_AbstractFunction6.prototype = new $h_O();
$c_sr_AbstractFunction6.prototype.constructor = $c_sr_AbstractFunction6;
/** @constructor */
function $h_sr_AbstractFunction6() {
  /*<skip>*/
}
$h_sr_AbstractFunction6.prototype = $c_sr_AbstractFunction6.prototype;
$c_sr_AbstractFunction6.prototype.toString__T = (function() {
  return "<function6>"
});
/** @constructor */
function $c_sr_BooleanRef() {
  $c_O.call(this);
  this.elem$1 = false
}
$c_sr_BooleanRef.prototype = new $h_O();
$c_sr_BooleanRef.prototype.constructor = $c_sr_BooleanRef;
/** @constructor */
function $h_sr_BooleanRef() {
  /*<skip>*/
}
$h_sr_BooleanRef.prototype = $c_sr_BooleanRef.prototype;
$c_sr_BooleanRef.prototype.toString__T = (function() {
  var value = this.elem$1;
  return ("" + value)
});
$c_sr_BooleanRef.prototype.init___Z = (function(elem) {
  this.elem$1 = elem;
  return this
});
var $d_sr_BooleanRef = new $TypeData().initClass({
  sr_BooleanRef: 0
}, false, "scala.runtime.BooleanRef", {
  sr_BooleanRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_BooleanRef.prototype.$classData = $d_sr_BooleanRef;
function $isArrayOf_sr_BoxedUnit(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sr_BoxedUnit)))
}
function $asArrayOf_sr_BoxedUnit(obj, depth) {
  return (($isArrayOf_sr_BoxedUnit(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.runtime.BoxedUnit;", depth))
}
var $d_sr_BoxedUnit = new $TypeData().initClass({
  sr_BoxedUnit: 0
}, false, "scala.runtime.BoxedUnit", {
  sr_BoxedUnit: 1,
  O: 1,
  Ljava_io_Serializable: 1
}, (void 0), (void 0), (function(x) {
  return (x === (void 0))
}));
/** @constructor */
function $c_sr_IntRef() {
  $c_O.call(this);
  this.elem$1 = 0
}
$c_sr_IntRef.prototype = new $h_O();
$c_sr_IntRef.prototype.constructor = $c_sr_IntRef;
/** @constructor */
function $h_sr_IntRef() {
  /*<skip>*/
}
$h_sr_IntRef.prototype = $c_sr_IntRef.prototype;
$c_sr_IntRef.prototype.toString__T = (function() {
  var value = this.elem$1;
  return ("" + value)
});
$c_sr_IntRef.prototype.init___I = (function(elem) {
  this.elem$1 = elem;
  return this
});
var $d_sr_IntRef = new $TypeData().initClass({
  sr_IntRef: 0
}, false, "scala.runtime.IntRef", {
  sr_IntRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_IntRef.prototype.$classData = $d_sr_IntRef;
/** @constructor */
function $c_sr_ObjectRef() {
  $c_O.call(this);
  this.elem$1 = null
}
$c_sr_ObjectRef.prototype = new $h_O();
$c_sr_ObjectRef.prototype.constructor = $c_sr_ObjectRef;
/** @constructor */
function $h_sr_ObjectRef() {
  /*<skip>*/
}
$h_sr_ObjectRef.prototype = $c_sr_ObjectRef.prototype;
$c_sr_ObjectRef.prototype.toString__T = (function() {
  return $m_sjsr_RuntimeString$().valueOf__O__T(this.elem$1)
});
$c_sr_ObjectRef.prototype.init___O = (function(elem) {
  this.elem$1 = elem;
  return this
});
var $d_sr_ObjectRef = new $TypeData().initClass({
  sr_ObjectRef: 0
}, false, "scala.runtime.ObjectRef", {
  sr_ObjectRef: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_sr_ObjectRef.prototype.$classData = $d_sr_ObjectRef;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientError$() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_ClientError$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientError$.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientError$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientError$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientError$.prototype = $c_Lcom_iteration3_smilejs_ClientError$.prototype;
$c_Lcom_iteration3_smilejs_ClientError$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_ClientError$.prototype.fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientError = (function(json) {
  return new $c_Lcom_iteration3_smilejs_ClientError().init___T__T($as_T(json.require), $as_T(json.message))
});
var $d_Lcom_iteration3_smilejs_ClientError$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientError$: 0
}, false, "com.iteration3.smilejs.ClientError$", {
  Lcom_iteration3_smilejs_ClientError$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientError$.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientError$;
var $n_Lcom_iteration3_smilejs_ClientError$ = (void 0);
function $m_Lcom_iteration3_smilejs_ClientError$() {
  if ((!$n_Lcom_iteration3_smilejs_ClientError$)) {
    $n_Lcom_iteration3_smilejs_ClientError$ = new $c_Lcom_iteration3_smilejs_ClientError$().init___()
  };
  return $n_Lcom_iteration3_smilejs_ClientError$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientErrors$() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_ClientErrors$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientErrors$.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientErrors$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientErrors$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientErrors$.prototype = $c_Lcom_iteration3_smilejs_ClientErrors$.prototype;
$c_Lcom_iteration3_smilejs_ClientErrors$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_ClientErrors$.prototype.fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientErrors = (function(json) {
  if ((json === null)) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var this$2 = $m_sci_List$();
    var cbf = this$2.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(json.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(json));
    var this$4 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lcom_iteration3_smilejs_ClientError$().fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientError(x$2)
    });
    var this$3 = $m_sci_List$();
    var bf = this$3.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$4 === $m_sci_Nil$())) {
        var jsx$2 = $m_sci_Nil$()
      } else {
        var arg1 = this$4.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$4.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$5 = rest;
          rest = this$5.tail__sci_List()
        };
        var jsx$2 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
      var these = this$4;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$6 = these;
        these = this$6.tail__sci_List()
      };
      var jsx$2 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$2)
  };
  return new $c_Lcom_iteration3_smilejs_ClientErrors().init___sci_List(jsx$1)
});
var $d_Lcom_iteration3_smilejs_ClientErrors$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientErrors$: 0
}, false, "com.iteration3.smilejs.ClientErrors$", {
  Lcom_iteration3_smilejs_ClientErrors$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientErrors$.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientErrors$;
var $n_Lcom_iteration3_smilejs_ClientErrors$ = (void 0);
function $m_Lcom_iteration3_smilejs_ClientErrors$() {
  if ((!$n_Lcom_iteration3_smilejs_ClientErrors$)) {
    $n_Lcom_iteration3_smilejs_ClientErrors$ = new $c_Lcom_iteration3_smilejs_ClientErrors$().init___()
  };
  return $n_Lcom_iteration3_smilejs_ClientErrors$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientException$() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_ClientException$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientException$.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientException$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientException$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientException$.prototype = $c_Lcom_iteration3_smilejs_ClientException$.prototype;
$c_Lcom_iteration3_smilejs_ClientException$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_ClientException$.prototype.$$lessinit$greater$default$2__s_Option = (function() {
  return $m_s_None$()
});
$c_Lcom_iteration3_smilejs_ClientException$.prototype.fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientException = (function(json) {
  var jsx$2 = $as_T(json.field);
  if ((json.message === null)) {
    var jsx$1 = $m_s_None$()
  } else {
    var value = json.message;
    var jsx$1 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  return new $c_Lcom_iteration3_smilejs_ClientException().init___T__s_Option(jsx$2, jsx$1)
});
var $d_Lcom_iteration3_smilejs_ClientException$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientException$: 0
}, false, "com.iteration3.smilejs.ClientException$", {
  Lcom_iteration3_smilejs_ClientException$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientException$.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientException$;
var $n_Lcom_iteration3_smilejs_ClientException$ = (void 0);
function $m_Lcom_iteration3_smilejs_ClientException$() {
  if ((!$n_Lcom_iteration3_smilejs_ClientException$)) {
    $n_Lcom_iteration3_smilejs_ClientException$ = new $c_Lcom_iteration3_smilejs_ClientException$().init___()
  };
  return $n_Lcom_iteration3_smilejs_ClientException$
}
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientExceptions$() {
  $c_O.call(this)
}
$c_Lcom_iteration3_smilejs_ClientExceptions$.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientExceptions$.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientExceptions$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientExceptions$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientExceptions$.prototype = $c_Lcom_iteration3_smilejs_ClientExceptions$.prototype;
$c_Lcom_iteration3_smilejs_ClientExceptions$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_ClientExceptions$.prototype.fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientExceptions = (function(json) {
  if ((json === null)) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var this$2 = $m_sci_List$();
    var cbf = this$2.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(json.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(json));
    var this$4 = $as_sci_List(b.result__O());
    var f = (function(x$2) {
      return $m_Lcom_iteration3_smilejs_ClientException$().fromJson__sjs_js_Dynamic__Lcom_iteration3_smilejs_ClientException(x$2)
    });
    var this$3 = $m_sci_List$();
    var bf = this$3.ReusableCBFInstance$2;
    if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
      if ((this$4 === $m_sci_Nil$())) {
        var jsx$2 = $m_sci_Nil$()
      } else {
        var arg1 = this$4.head__O();
        var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
        var t = h;
        var rest = this$4.tail__sci_List();
        while ((rest !== $m_sci_Nil$())) {
          var arg1$1 = rest.head__O();
          var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
          t.tl$5 = nx;
          t = nx;
          var this$5 = rest;
          rest = this$5.tail__sci_List()
        };
        var jsx$2 = h
      }
    } else {
      var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(this$4, bf);
      var these = this$4;
      while ((!these.isEmpty__Z())) {
        var arg1$2 = these.head__O();
        b$1.$$plus$eq__O__scm_Builder(f(arg1$2));
        var this$6 = these;
        these = this$6.tail__sci_List()
      };
      var jsx$2 = b$1.result__O()
    };
    var jsx$1 = $as_sci_List(jsx$2)
  };
  return new $c_Lcom_iteration3_smilejs_ClientExceptions().init___sci_List(jsx$1)
});
var $d_Lcom_iteration3_smilejs_ClientExceptions$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientExceptions$: 0
}, false, "com.iteration3.smilejs.ClientExceptions$", {
  Lcom_iteration3_smilejs_ClientExceptions$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientExceptions$.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientExceptions$;
var $n_Lcom_iteration3_smilejs_ClientExceptions$ = (void 0);
function $m_Lcom_iteration3_smilejs_ClientExceptions$() {
  if ((!$n_Lcom_iteration3_smilejs_ClientExceptions$)) {
    $n_Lcom_iteration3_smilejs_ClientExceptions$ = new $c_Lcom_iteration3_smilejs_ClientExceptions$().init___()
  };
  return $n_Lcom_iteration3_smilejs_ClientExceptions$
}
function $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser__asDynamic__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser__toJson__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.appId);
  ret.appId = s;
  var s$1 = $as_T($this.role);
  ret.role = s$1;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser = (function $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var appId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__T($m_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$()) : $as_T(arg$rest[0]));
      var role = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__T($m_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "appId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.appId = appId;
      this.role = role
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser = (function $h_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser.prototype = new $h_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser();
    $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser__asDynamic__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser__toJson__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser = $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser
  };
  return $b_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser
}
function $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__fromDynamic__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser($this, json) {
  var v = json.appId;
  if (((v === (void 0)) || (json.appId === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.appId)
  };
  var v$1 = json.role;
  return new ($a_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser())(jsx$1, (((v$1 === (void 0)) || (json.role === null)) ? null : $as_T(json.role)))
}
function $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__from__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__schemaInfo__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AddAppRoleFormForUser\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"appId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"type\" : \"select-single\", \"options\" : []} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"type\" : \"select-single\", \"options\" : []} \n        }\n     \n },\n \"required\": [   \"appId\" , \"role\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__createNew__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser($this) {
  return new ($a_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser())()
}
var $b_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$ = (function $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$ = (function $h_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$.prototype = new $h_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$();
    $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$;
    $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__createNew__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser(this)
    });
    $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__fromDynamic__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__from__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__schemaInfo__Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$ = $c_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$
  };
  return $b_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$
}
var $n_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$() {
  if ((!$n_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$)) {
    $n_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$ = new ($a_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$())()
  };
  return $n_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm__asDynamic__Lcom_metastay_gompaapp_data_AddUserForm__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm__toJson__Lcom_metastay_gompaapp_data_AddUserForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var s$1 = $as_T($this.password);
  ret.password = s$1;
  var s$2 = $as_T($this.confirmPassword);
  ret.confirmPassword = s$2;
  var s$3 = $as_T($this.emailId);
  ret.emailId = s$3;
  var value = $this.title;
  if ((value !== (void 0))) {
    var value$1 = $this.title;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var jsx$1 = value$1.id;
    var s$4 = $as_T(jsx$1);
    ret.title = s$4
  };
  var s$5 = $as_T($this.firstName);
  ret.firstName = s$5;
  var value$2 = $this.lastName;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.lastName;
    if ((value$3 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$6 = $as_T(value$3);
    ret.lastName = s$6
  };
  var value$4 = $this.mobile;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.mobile;
    if ((value$5 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$7 = $as_T(value$5);
    ret.mobile = s$7
  };
  return ret
}
var $b_Lcom_metastay_gompaapp_data_AddUserForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddUserForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddUserForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddUserForm = (function $c_Lcom_metastay_gompaapp_data_AddUserForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddUserForm$__T($m_Lcom_metastay_gompaapp_data_AddUserForm$()) : $as_T(arg$rest[0]));
      var password = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AddUserForm$__T($m_Lcom_metastay_gompaapp_data_AddUserForm$()) : $as_T(arg$rest[1]));
      var confirmPassword = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_AddUserForm$__T($m_Lcom_metastay_gompaapp_data_AddUserForm$()) : $as_T(arg$rest[2]));
      var emailId = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_AddUserForm$__T($m_Lcom_metastay_gompaapp_data_AddUserForm$()) : $as_T(arg$rest[3]));
      var title = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_AddUserForm$__sjs_js_UndefOr($m_Lcom_metastay_gompaapp_data_AddUserForm$()) : arg$rest[4]);
      var firstName = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_AddUserForm$__T($m_Lcom_metastay_gompaapp_data_AddUserForm$()) : $as_T(arg$rest[5]));
      var lastName = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$7__Lcom_metastay_gompaapp_data_AddUserForm$__sjs_js_UndefOr($m_Lcom_metastay_gompaapp_data_AddUserForm$()) : arg$rest[6]);
      var mobile = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$8__Lcom_metastay_gompaapp_data_AddUserForm$__sjs_js_UndefOr($m_Lcom_metastay_gompaapp_data_AddUserForm$()) : arg$rest[7]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "password", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "confirmPassword", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "emailId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "title", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "firstName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "lastName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "mobile", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.password = password;
      this.confirmPassword = confirmPassword;
      this.emailId = emailId;
      this.title = title;
      this.firstName = firstName;
      this.lastName = lastName;
      this.mobile = mobile
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddUserForm = (function $h_Lcom_metastay_gompaapp_data_AddUserForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddUserForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddUserForm.prototype = new $h_Lcom_metastay_gompaapp_data_AddUserForm();
    $c_Lcom_metastay_gompaapp_data_AddUserForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddUserForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddUserForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddUserForm__asDynamic__Lcom_metastay_gompaapp_data_AddUserForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddUserForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddUserForm__toJson__Lcom_metastay_gompaapp_data_AddUserForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_AddUserForm = $c_Lcom_metastay_gompaapp_data_AddUserForm
  };
  return $b_Lcom_metastay_gompaapp_data_AddUserForm
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$8__Lcom_metastay_gompaapp_data_AddUserForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__fromDynamic__Lcom_metastay_gompaapp_data_AddUserForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddUserForm($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.userName)
  };
  var v$1 = json.password;
  if (((v$1 === (void 0)) || (json.password === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.password)
  };
  var v$2 = json.confirmPassword;
  if (((v$2 === (void 0)) || (json.confirmPassword === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.confirmPassword)
  };
  var v$3 = json.emailId;
  if (((v$3 === (void 0)) || (json.emailId === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.emailId)
  };
  var v$4 = json.title;
  if (((v$4 === (void 0)) || (json.title === null))) {
    var jsx$3 = (void 0)
  } else {
    var opt$1 = new $c_s_Some().init___O($m_Lcom_metastay_gompaapp_enums_Title$().withId__T__Lcom_metastay_gompaapp_enums_Title($as_T(json.title)));
    var arg1 = opt$1.x$2;
    var jsx$3 = arg1
  };
  var v$5 = json.firstName;
  if (((v$5 === (void 0)) || (json.firstName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.firstName)
  };
  var v$6 = json.lastName;
  if (((v$6 === (void 0)) || (json.lastName === null))) {
    var jsx$1 = (void 0)
  } else {
    var jsx$1 = json.lastName
  };
  var v$7 = json.mobile;
  return new ($a_Lcom_metastay_gompaapp_data_AddUserForm())(jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$7 === (void 0)) || (json.mobile === null)) ? (void 0) : json.mobile))
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_AddUserForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$7__Lcom_metastay_gompaapp_data_AddUserForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AddUserForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__from__Lcom_metastay_gompaapp_data_AddUserForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddUserForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_AddUserForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__createNew__Lcom_metastay_gompaapp_data_AddUserForm$__Lcom_metastay_gompaapp_data_AddUserForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_AddUserForm())()
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddUserForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__schemaInfo__Lcom_metastay_gompaapp_data_AddUserForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AddUserForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"validate\" : \"lowercase|alpha_dash_dot|min:3|max:25\"} \n        }\n     ,\n\"password\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"type\":\"password\", \"validate\" : \"min:6|max:25\"} \n        }\n     ,\n\"confirmPassword\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"type\":\"password\", \"validate\" : \"confirmed:password\"} \n        }\n     ,\n\"emailId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"validate\" : \"email\"} \n        }\n     ,\n\"title\": {\n    \"type\": \"Enum\" \n   , \"options\" :[  {\"id\" : \"Mr\", \"value\" : \"Mr\"} , {\"id\" : \"Mrs\", \"value\" : \"Mrs\"} , {\"id\" : \"Ms\", \"value\" : \"Ms\"}  ] \n   , \"extra\": {}\n        }\n     ,\n\"firstName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"lastName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"mobile\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"validate\":\"digits:10\"} \n        }\n     \n },\n \"required\": [   \"userName\" , \"password\" , \"confirmPassword\" , \"emailId\" , \"firstName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_AddUserForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddUserForm$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_AddUserForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
var $b_Lcom_metastay_gompaapp_data_AddUserForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddUserForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddUserForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddUserForm$ = (function $c_Lcom_metastay_gompaapp_data_AddUserForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddUserForm$ = (function $h_Lcom_metastay_gompaapp_data_AddUserForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddUserForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddUserForm$.prototype = new $h_Lcom_metastay_gompaapp_data_AddUserForm$();
    $c_Lcom_metastay_gompaapp_data_AddUserForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddUserForm$;
    $c_Lcom_metastay_gompaapp_data_AddUserForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddUserForm$__createNew__Lcom_metastay_gompaapp_data_AddUserForm$__Lcom_metastay_gompaapp_data_AddUserForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_AddUserForm$__fromDynamic__Lcom_metastay_gompaapp_data_AddUserForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddUserForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_AddUserForm$__from__Lcom_metastay_gompaapp_data_AddUserForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddUserForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddUserForm$__schemaInfo__Lcom_metastay_gompaapp_data_AddUserForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_AddUserForm$ = $c_Lcom_metastay_gompaapp_data_AddUserForm$
  };
  return $b_Lcom_metastay_gompaapp_data_AddUserForm$
}
var $n_Lcom_metastay_gompaapp_data_AddUserForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_AddUserForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_AddUserForm$)) {
    $n_Lcom_metastay_gompaapp_data_AddUserForm$ = new ($a_Lcom_metastay_gompaapp_data_AddUserForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_AddUserForm$
}
function $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp__toJson__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userGroupName);
  ret.userGroupName = s;
  var s$1 = $as_T($this.role);
  ret.role = s$1;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp__asDynamic__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp = (function $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userGroupName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__T($m_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$()) : $as_T(arg$rest[0]));
      var role = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__T($m_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userGroupName = userGroupName;
      this.role = role
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp = (function $h_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp.prototype = new $h_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp();
    $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp__asDynamic__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp__toJson__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp = $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp
  };
  return $b_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp
}
function $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__fromDynamic__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp($this, json) {
  var v = json.userGroupName;
  if (((v === (void 0)) || (json.userGroupName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.userGroupName)
  };
  var v$1 = json.role;
  return new ($a_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp())(jsx$1, (((v$1 === (void 0)) || (json.role === null)) ? null : $as_T(json.role)))
}
function $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__from__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__createNew__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp($this) {
  return new ($a_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp())()
}
function $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__schemaInfo__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AddUserGroupRoleFormForApp\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"type\" : \"select-single\", \"options\" : []} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"type\" : \"select-single\", \"options\" : []} \n        }\n     \n },\n \"required\": [   \"userGroupName\" , \"role\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$ = (function $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$ = (function $h_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$.prototype = new $h_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$();
    $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$;
    $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__createNew__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp(this)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__fromDynamic__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__from__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__schemaInfo__Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$ = $c_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$
  };
  return $b_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$
}
var $n_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$() {
  if ((!$n_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$)) {
    $n_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$ = new ($a_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$())()
  };
  return $n_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$
}
function $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm__toJson__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userNameList);
  ret.userNameList = s;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm__asDynamic__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm = (function $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userNameList = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__T($m_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$()) : $as_T(arg$rest[0]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userNameList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userNameList = userNameList
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm = (function $h_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm.prototype = new $h_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm();
    $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm__asDynamic__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm__toJson__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm = $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm
  };
  return $b_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm
}
function $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__createNew__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm())()
}
function $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__from__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__schemaInfo__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AddUserListToUserGroupForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userNameList\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"type\" : \"select-remote-multiple\", \"url\": \"/gompa-api/user/find-user?userNameStr=%QUERY\", \"displayKey\" : \"userName\"} \n        }\n     \n },\n \"required\": [   \"userNameList\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__fromDynamic__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm($this, json) {
  var v = json.userNameList;
  return new ($a_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm())((((v === (void 0)) || (json.userNameList === null)) ? null : $as_T(json.userNameList)))
}
var $b_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$ = (function $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$ = (function $h_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$.prototype = new $h_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$();
    $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$;
    $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__createNew__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__fromDynamic__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__from__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__schemaInfo__Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$ = $c_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$
  };
  return $b_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$
}
var $n_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$)) {
    $n_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$ = new ($a_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$
}
function $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp__asDynamic__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp__toJson__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var s$1 = $as_T($this.role);
  ret.role = s$1;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp = (function $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__T($m_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$()) : $as_T(arg$rest[0]));
      var role = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__T($m_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.role = role
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp = (function $h_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp.prototype = new $h_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp();
    $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp__asDynamic__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp__toJson__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp = $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp
  };
  return $b_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp
}
function $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__fromDynamic__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.userName)
  };
  var v$1 = json.role;
  return new ($a_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp())(jsx$1, (((v$1 === (void 0)) || (json.role === null)) ? null : $as_T(json.role)))
}
function $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__from__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__createNew__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp($this) {
  return new ($a_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp())()
}
function $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__schemaInfo__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AddUserRoleFormForApp\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"type\" : \"select-remote\", \"url\": \"/gompa-api/user/find-user?userNameStr=%QUERY\", \"displayKey\" : \"userName\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"type\" : \"select-single\"} \n        }\n     \n },\n \"required\": [   \"userName\" , \"role\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
var $b_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$ = (function $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$ = (function $h_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$.prototype = new $h_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$();
    $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$;
    $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__createNew__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp(this)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__fromDynamic__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__from__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__schemaInfo__Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$ = $c_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$
  };
  return $b_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$
}
var $n_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$() {
  if ((!$n_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$)) {
    $n_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$ = new ($a_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$())()
  };
  return $n_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$
}
function $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm__asDynamic__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm__toJson__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userGroupName);
  ret.userGroupName = s;
  var s$1 = $as_T($this.userName);
  ret.userName = s$1;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm = (function $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userGroupName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__T($m_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$()) : $as_T(arg$rest[0]));
      var userName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__T($m_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userGroupName = userGroupName;
      this.userName = userName
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm = (function $h_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm.prototype = new $h_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm();
    $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm__asDynamic__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm__toJson__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm = $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm
  };
  return $b_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm
}
function $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__fromDynamic__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm($this, json) {
  var v = json.userGroupName;
  if (((v === (void 0)) || (json.userGroupName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.userGroupName)
  };
  var v$1 = json.userName;
  return new ($a_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm())(jsx$1, (((v$1 === (void 0)) || (json.userName === null)) ? null : $as_T(json.userName)))
}
function $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__schemaInfo__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AddUserToUserGroupForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"title\":\"UserGroup\", \"placeholder\" : \"Choose a UserGroup\", \"options\" : []} \n        }\n     ,\n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     \n },\n \"required\": [   \"userGroupName\" , \"userName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__from__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__createNew__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm())()
}
function $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$ = (function $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$ = (function $h_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$.prototype = new $h_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$();
    $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$;
    $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__createNew__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__fromDynamic__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__from__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__schemaInfo__Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$ = $c_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$
  };
  return $b_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$
}
var $n_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$)) {
    $n_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$ = new ($a_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser__toJson__Lcom_metastay_gompaapp_data_AppRoleGridForUser__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.appUserRoleId);
  ret.appUserRoleId = s;
  var s$1 = $as_T($this.appId);
  ret.appId = s$1;
  var s$2 = $as_T($this.role);
  ret.role = s$2;
  var s$3 = $as_T($this.remove);
  ret.remove = s$3;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser__asDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUser__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_AppRoleGridForUser = (void 0);
function $a_Lcom_metastay_gompaapp_data_AppRoleGridForUser() {
  if ((!$b_Lcom_metastay_gompaapp_data_AppRoleGridForUser)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser = (function $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var appUserRoleId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUser$()) : $as_T(arg$rest[0]));
      var appId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUser$()) : $as_T(arg$rest[1]));
      var role = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUser$()) : $as_T(arg$rest[2]));
      var remove = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUser$()) : $as_T(arg$rest[3]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "appUserRoleId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "appId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.appUserRoleId = appUserRoleId;
      this.appId = appId;
      this.role = role;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AppRoleGridForUser = (function $h_Lcom_metastay_gompaapp_data_AppRoleGridForUser() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AppRoleGridForUser.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser.prototype = new $h_Lcom_metastay_gompaapp_data_AppRoleGridForUser();
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AppRoleGridForUser.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser__asDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUser__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AppRoleGridForUser.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser__toJson__Lcom_metastay_gompaapp_data_AppRoleGridForUser__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_AppRoleGridForUser = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser
  };
  return $b_Lcom_metastay_gompaapp_data_AppRoleGridForUser
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__createNew__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__Lcom_metastay_gompaapp_data_AppRoleGridForUser($this) {
  return new ($a_Lcom_metastay_gompaapp_data_AppRoleGridForUser())()
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__schemaInfo__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AppRoleGridForUser\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"appUserRoleId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"appId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/app/:appId\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeAppUserRoleMap\" , \"actionClass\" : \"remove text-danger\", \"actionText\" : \" \"} \n        }\n     \n },\n \"required\": [   \"appUserRoleId\" , \"appId\" , \"role\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__from__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AppRoleGridForUser($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__fromDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUser($this, json) {
  var v = json.appUserRoleId;
  if (((v === (void 0)) || (json.appUserRoleId === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.appUserRoleId)
  };
  var v$1 = json.appId;
  if (((v$1 === (void 0)) || (json.appId === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.appId)
  };
  var v$2 = json.role;
  if (((v$2 === (void 0)) || (json.role === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.role)
  };
  var v$3 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_AppRoleGridForUser())(jsx$3, jsx$2, jsx$1, (((v$3 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_AppRoleGridForUser$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_AppRoleGridForUser$() {
  if ((!$b_Lcom_metastay_gompaapp_data_AppRoleGridForUser$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser$ = (function $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AppRoleGridForUser$ = (function $h_Lcom_metastay_gompaapp_data_AppRoleGridForUser$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AppRoleGridForUser$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser$.prototype = new $h_Lcom_metastay_gompaapp_data_AppRoleGridForUser$();
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser$;
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__createNew__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__Lcom_metastay_gompaapp_data_AppRoleGridForUser(this)
    });
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__fromDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUser(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__from__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AppRoleGridForUser(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUser$__schemaInfo__Lcom_metastay_gompaapp_data_AppRoleGridForUser$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_AppRoleGridForUser$ = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUser$
  };
  return $b_Lcom_metastay_gompaapp_data_AppRoleGridForUser$
}
var $n_Lcom_metastay_gompaapp_data_AppRoleGridForUser$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_AppRoleGridForUser$() {
  if ((!$n_Lcom_metastay_gompaapp_data_AppRoleGridForUser$)) {
    $n_Lcom_metastay_gompaapp_data_AppRoleGridForUser$ = new ($a_Lcom_metastay_gompaapp_data_AppRoleGridForUser$())()
  };
  return $n_Lcom_metastay_gompaapp_data_AppRoleGridForUser$
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup__toJson__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.appUserGroupRoleId);
  ret.appUserGroupRoleId = s;
  var s$1 = $as_T($this.userGroupName);
  ret.userGroupName = s$1;
  var s$2 = $as_T($this.appId);
  ret.appId = s$2;
  var s$3 = $as_T($this.role);
  ret.role = s$3;
  var s$4 = $as_T($this.remove);
  ret.remove = s$4;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup__asDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup = (void 0);
function $a_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup() {
  if ((!$b_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup = (function $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var appUserGroupRoleId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$()) : $as_T(arg$rest[0]));
      var userGroupName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$()) : $as_T(arg$rest[1]));
      var appId = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$()) : $as_T(arg$rest[2]));
      var role = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$()) : $as_T(arg$rest[3]));
      var remove = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$()) : $as_T(arg$rest[4]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "appUserGroupRoleId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "appId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.appUserGroupRoleId = appUserGroupRoleId;
      this.userGroupName = userGroupName;
      this.appId = appId;
      this.role = role;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup = (function $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup.prototype = new $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup();
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup__asDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup__toJson__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup
  };
  return $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__from__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__fromDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup($this, json) {
  var v = json.appUserGroupRoleId;
  if (((v === (void 0)) || (json.appUserGroupRoleId === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.appUserGroupRoleId)
  };
  var v$1 = json.userGroupName;
  if (((v$1 === (void 0)) || (json.userGroupName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.userGroupName)
  };
  var v$2 = json.appId;
  if (((v$2 === (void 0)) || (json.appId === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.appId)
  };
  var v$3 = json.role;
  if (((v$3 === (void 0)) || (json.role === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.role)
  };
  var v$4 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup())(jsx$4, jsx$3, jsx$2, jsx$1, (((v$4 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__createNew__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup($this) {
  return new ($a_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup())()
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__schemaInfo__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AppRoleGridForUserGroup\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"appUserGroupRoleId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"appId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/app/:appId\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeAppUserGroupRoleMap\" , \"actionClass\" : \"remove text-danger\" , \"actionText\" : \" \"} \n        }\n     \n },\n \"required\": [   \"appUserGroupRoleId\" , \"userGroupName\" , \"appId\" , \"role\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$() {
  if ((!$b_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$ = (function $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$ = (function $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$.prototype = new $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$();
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$;
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__createNew__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup(this)
    });
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__fromDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__from__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__schemaInfo__Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$ = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$
  };
  return $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$
}
var $n_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$() {
  if ((!$n_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$)) {
    $n_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$ = new ($a_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$())()
  };
  return $n_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup__toJson__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.appUserGroupRoleId);
  ret.appUserGroupRoleId = s;
  var s$1 = $as_T($this.appId);
  ret.appId = s$1;
  var s$2 = $as_T($this.role);
  ret.role = s$2;
  var s$3 = $as_T($this.userGroupName);
  ret.userGroupName = s$3;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup__asDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup = (void 0);
function $a_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup() {
  if ((!$b_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup = (function $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var appUserGroupRoleId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$()) : $as_T(arg$rest[0]));
      var appId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$()) : $as_T(arg$rest[1]));
      var role = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$()) : $as_T(arg$rest[2]));
      var userGroupName = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__T($m_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$()) : $as_T(arg$rest[3]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "appUserGroupRoleId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "appId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.appUserGroupRoleId = appUserGroupRoleId;
      this.appId = appId;
      this.role = role;
      this.userGroupName = userGroupName
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup = (function $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup.prototype = new $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup();
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup__asDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup__toJson__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup
  };
  return $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__schemaInfo__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"AppRoleGridForUserInUserGroup\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"appUserGroupRoleId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"appId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/app/:appId\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/usergroup/:userGroupName\"} \n        }\n     \n },\n \"required\": [   \"appUserGroupRoleId\" , \"appId\" , \"role\" , \"userGroupName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__from__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__fromDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup($this, json) {
  var v = json.appUserGroupRoleId;
  if (((v === (void 0)) || (json.appUserGroupRoleId === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.appUserGroupRoleId)
  };
  var v$1 = json.appId;
  if (((v$1 === (void 0)) || (json.appId === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.appId)
  };
  var v$2 = json.role;
  if (((v$2 === (void 0)) || (json.role === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.role)
  };
  var v$3 = json.userGroupName;
  return new ($a_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup())(jsx$3, jsx$2, jsx$1, (((v$3 === (void 0)) || (json.userGroupName === null)) ? null : $as_T(json.userGroupName)))
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__createNew__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup($this) {
  return new ($a_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup())()
}
var $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$() {
  if ((!$b_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$ = (function $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$ = (function $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$.prototype = new $h_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$();
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$;
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__createNew__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup(this)
    });
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__fromDynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__from__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__schemaInfo__Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$ = $c_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$
  };
  return $b_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$
}
var $n_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$() {
  if ((!$n_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$)) {
    $n_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$ = new ($a_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$())()
  };
  return $n_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm__asDynamic__Lcom_metastay_gompaapp_data_ChangeDetailsForm__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm__toJson__Lcom_metastay_gompaapp_data_ChangeDetailsForm__sjs_js_Dynamic($this) {
  var ret = {};
  var value = $this.title;
  if ((value !== (void 0))) {
    var value$1 = $this.title;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var jsx$1 = value$1.id;
    var s = $as_T(jsx$1);
    ret.title = s
  };
  var s$1 = $as_T($this.firstName);
  ret.firstName = s$1;
  var value$2 = $this.lastName;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.lastName;
    if ((value$3 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$2 = $as_T(value$3);
    ret.lastName = s$2
  };
  var s$3 = $as_T($this.emailId);
  ret.emailId = s$3;
  var value$4 = $this.mobile;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.mobile;
    if ((value$5 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$4 = $as_T(value$5);
    ret.mobile = s$4
  };
  return ret
}
var $b_Lcom_metastay_gompaapp_data_ChangeDetailsForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_ChangeDetailsForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_ChangeDetailsForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm = (function $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var title = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__sjs_js_UndefOr($m_Lcom_metastay_gompaapp_data_ChangeDetailsForm$()) : arg$rest[0]);
      var firstName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__T($m_Lcom_metastay_gompaapp_data_ChangeDetailsForm$()) : $as_T(arg$rest[1]));
      var lastName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__sjs_js_UndefOr($m_Lcom_metastay_gompaapp_data_ChangeDetailsForm$()) : arg$rest[2]);
      var emailId = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__T($m_Lcom_metastay_gompaapp_data_ChangeDetailsForm$()) : $as_T(arg$rest[3]));
      var mobile = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__sjs_js_UndefOr($m_Lcom_metastay_gompaapp_data_ChangeDetailsForm$()) : arg$rest[4]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "title", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "firstName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "lastName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "emailId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "mobile", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.title = title;
      this.firstName = firstName;
      this.lastName = lastName;
      this.emailId = emailId;
      this.mobile = mobile
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_ChangeDetailsForm = (function $h_Lcom_metastay_gompaapp_data_ChangeDetailsForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_ChangeDetailsForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm.prototype = new $h_Lcom_metastay_gompaapp_data_ChangeDetailsForm();
    $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_ChangeDetailsForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm__asDynamic__Lcom_metastay_gompaapp_data_ChangeDetailsForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_ChangeDetailsForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm__toJson__Lcom_metastay_gompaapp_data_ChangeDetailsForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_ChangeDetailsForm = $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm
  };
  return $b_Lcom_metastay_gompaapp_data_ChangeDetailsForm
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__createNew__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__Lcom_metastay_gompaapp_data_ChangeDetailsForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_ChangeDetailsForm())()
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__fromDynamic__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_ChangeDetailsForm($this, json) {
  var v = json.title;
  if (((v === (void 0)) || (json.title === null))) {
    var jsx$4 = (void 0)
  } else {
    var opt$1 = new $c_s_Some().init___O($m_Lcom_metastay_gompaapp_enums_Title$().withId__T__Lcom_metastay_gompaapp_enums_Title($as_T(json.title)));
    var arg1 = opt$1.x$2;
    var jsx$4 = arg1
  };
  var v$1 = json.firstName;
  if (((v$1 === (void 0)) || (json.firstName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.firstName)
  };
  var v$2 = json.lastName;
  if (((v$2 === (void 0)) || (json.lastName === null))) {
    var jsx$2 = (void 0)
  } else {
    var jsx$2 = json.lastName
  };
  var v$3 = json.emailId;
  if (((v$3 === (void 0)) || (json.emailId === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.emailId)
  };
  var v$4 = json.mobile;
  return new ($a_Lcom_metastay_gompaapp_data_ChangeDetailsForm())(jsx$4, jsx$3, jsx$2, jsx$1, (((v$4 === (void 0)) || (json.mobile === null)) ? (void 0) : json.mobile))
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__from__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_ChangeDetailsForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__schemaInfo__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ChangeDetailsForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"title\": {\n    \"type\": \"Enum\" \n   , \"options\" :[  {\"id\" : \"Mr\", \"value\" : \"Mr\"} , {\"id\" : \"Mrs\", \"value\" : \"Mrs\"} , {\"id\" : \"Ms\", \"value\" : \"Ms\"}  ] \n   , \"extra\": {}\n        }\n     ,\n\"firstName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"lastName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"emailId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"validate\" : \"email\"} \n        }\n     ,\n\"mobile\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"validate\":\"digits:10\"} \n        }\n     \n },\n \"required\": [   \"firstName\" , \"emailId\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
var $b_Lcom_metastay_gompaapp_data_ChangeDetailsForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_ChangeDetailsForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_ChangeDetailsForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm$ = (function $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_ChangeDetailsForm$ = (function $h_Lcom_metastay_gompaapp_data_ChangeDetailsForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_ChangeDetailsForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm$.prototype = new $h_Lcom_metastay_gompaapp_data_ChangeDetailsForm$();
    $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm$;
    $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__createNew__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__Lcom_metastay_gompaapp_data_ChangeDetailsForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__fromDynamic__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_ChangeDetailsForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__from__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_ChangeDetailsForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_ChangeDetailsForm$__schemaInfo__Lcom_metastay_gompaapp_data_ChangeDetailsForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_ChangeDetailsForm$ = $c_Lcom_metastay_gompaapp_data_ChangeDetailsForm$
  };
  return $b_Lcom_metastay_gompaapp_data_ChangeDetailsForm$
}
var $n_Lcom_metastay_gompaapp_data_ChangeDetailsForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_ChangeDetailsForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_ChangeDetailsForm$)) {
    $n_Lcom_metastay_gompaapp_data_ChangeDetailsForm$ = new ($a_Lcom_metastay_gompaapp_data_ChangeDetailsForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_ChangeDetailsForm$
}
function $s_Lcom_metastay_gompaapp_data_CreateTeamForm__toJson__Lcom_metastay_gompaapp_data_CreateTeamForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.fqFlowName);
  ret.fqFlowName = s;
  var s$1 = $as_T($this.teamCode);
  ret.teamCode = s$1;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_CreateTeamForm__asDynamic__Lcom_metastay_gompaapp_data_CreateTeamForm__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_CreateTeamForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_CreateTeamForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_CreateTeamForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_CreateTeamForm = (function $c_Lcom_metastay_gompaapp_data_CreateTeamForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var fqFlowName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_CreateTeamForm$__T($m_Lcom_metastay_gompaapp_data_CreateTeamForm$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_CreateTeamForm$__T($m_Lcom_metastay_gompaapp_data_CreateTeamForm$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.fqFlowName = fqFlowName;
      this.teamCode = teamCode
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_CreateTeamForm = (function $h_Lcom_metastay_gompaapp_data_CreateTeamForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_CreateTeamForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_CreateTeamForm.prototype = new $h_Lcom_metastay_gompaapp_data_CreateTeamForm();
    $c_Lcom_metastay_gompaapp_data_CreateTeamForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_CreateTeamForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_CreateTeamForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_CreateTeamForm__asDynamic__Lcom_metastay_gompaapp_data_CreateTeamForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_CreateTeamForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_CreateTeamForm__toJson__Lcom_metastay_gompaapp_data_CreateTeamForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_CreateTeamForm = $c_Lcom_metastay_gompaapp_data_CreateTeamForm
  };
  return $b_Lcom_metastay_gompaapp_data_CreateTeamForm
}
function $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__schemaInfo__Lcom_metastay_gompaapp_data_CreateTeamForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"CreateTeamForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"title\":\"Flow Name\", \"type\" : \"select-single\"} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"validate\" : \"lowercase|alpha_dash|min:3|max:25\"} \n        }\n     \n },\n \"required\": [   \"fqFlowName\" , \"teamCode\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__fromDynamic__Lcom_metastay_gompaapp_data_CreateTeamForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_CreateTeamForm($this, json) {
  var v = json.fqFlowName;
  if (((v === (void 0)) || (json.fqFlowName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.fqFlowName)
  };
  var v$1 = json.teamCode;
  return new ($a_Lcom_metastay_gompaapp_data_CreateTeamForm())(jsx$1, (((v$1 === (void 0)) || (json.teamCode === null)) ? null : $as_T(json.teamCode)))
}
function $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__createNew__Lcom_metastay_gompaapp_data_CreateTeamForm$__Lcom_metastay_gompaapp_data_CreateTeamForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_CreateTeamForm())()
}
function $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_CreateTeamForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_CreateTeamForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__from__Lcom_metastay_gompaapp_data_CreateTeamForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_CreateTeamForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_gompaapp_data_CreateTeamForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_CreateTeamForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_CreateTeamForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_CreateTeamForm$ = (function $c_Lcom_metastay_gompaapp_data_CreateTeamForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_CreateTeamForm$ = (function $h_Lcom_metastay_gompaapp_data_CreateTeamForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_CreateTeamForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_CreateTeamForm$.prototype = new $h_Lcom_metastay_gompaapp_data_CreateTeamForm$();
    $c_Lcom_metastay_gompaapp_data_CreateTeamForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_CreateTeamForm$;
    $c_Lcom_metastay_gompaapp_data_CreateTeamForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__createNew__Lcom_metastay_gompaapp_data_CreateTeamForm$__Lcom_metastay_gompaapp_data_CreateTeamForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_CreateTeamForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__fromDynamic__Lcom_metastay_gompaapp_data_CreateTeamForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_CreateTeamForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_CreateTeamForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__from__Lcom_metastay_gompaapp_data_CreateTeamForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_CreateTeamForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_CreateTeamForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_CreateTeamForm$__schemaInfo__Lcom_metastay_gompaapp_data_CreateTeamForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_CreateTeamForm$ = $c_Lcom_metastay_gompaapp_data_CreateTeamForm$
  };
  return $b_Lcom_metastay_gompaapp_data_CreateTeamForm$
}
var $n_Lcom_metastay_gompaapp_data_CreateTeamForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_CreateTeamForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_CreateTeamForm$)) {
    $n_Lcom_metastay_gompaapp_data_CreateTeamForm$ = new ($a_Lcom_metastay_gompaapp_data_CreateTeamForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_CreateTeamForm$
}
function $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm__asDynamic__Lcom_metastay_gompaapp_data_CreateUserGroupForm__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm__toJson__Lcom_metastay_gompaapp_data_CreateUserGroupForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userGroupName);
  ret.userGroupName = s;
  var s$1 = $as_T($this.description);
  ret.description = s$1;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_CreateUserGroupForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_CreateUserGroupForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_CreateUserGroupForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm = (function $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userGroupName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__T($m_Lcom_metastay_gompaapp_data_CreateUserGroupForm$()) : $as_T(arg$rest[0]));
      var description = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__T($m_Lcom_metastay_gompaapp_data_CreateUserGroupForm$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "description", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userGroupName = userGroupName;
      this.description = description
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_CreateUserGroupForm = (function $h_Lcom_metastay_gompaapp_data_CreateUserGroupForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_CreateUserGroupForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm.prototype = new $h_Lcom_metastay_gompaapp_data_CreateUserGroupForm();
    $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_CreateUserGroupForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm__asDynamic__Lcom_metastay_gompaapp_data_CreateUserGroupForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_CreateUserGroupForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm__toJson__Lcom_metastay_gompaapp_data_CreateUserGroupForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_CreateUserGroupForm = $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm
  };
  return $b_Lcom_metastay_gompaapp_data_CreateUserGroupForm
}
function $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__schemaInfo__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"CreateUserGroupForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"validate\" : \"lowercase|alpha_dash|min:3|max:25\"} \n        }\n     ,\n\"description\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userGroupName\" , \"description\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__fromDynamic__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_CreateUserGroupForm($this, json) {
  var v = json.userGroupName;
  if (((v === (void 0)) || (json.userGroupName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.userGroupName)
  };
  var v$1 = json.description;
  return new ($a_Lcom_metastay_gompaapp_data_CreateUserGroupForm())(jsx$1, (((v$1 === (void 0)) || (json.description === null)) ? null : $as_T(json.description)))
}
function $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__from__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_CreateUserGroupForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__createNew__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__Lcom_metastay_gompaapp_data_CreateUserGroupForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_CreateUserGroupForm())()
}
function $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_CreateUserGroupForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_CreateUserGroupForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_CreateUserGroupForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm$ = (function $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_CreateUserGroupForm$ = (function $h_Lcom_metastay_gompaapp_data_CreateUserGroupForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_CreateUserGroupForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm$.prototype = new $h_Lcom_metastay_gompaapp_data_CreateUserGroupForm$();
    $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm$;
    $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__createNew__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__Lcom_metastay_gompaapp_data_CreateUserGroupForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__fromDynamic__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_CreateUserGroupForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__from__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_CreateUserGroupForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_CreateUserGroupForm$__schemaInfo__Lcom_metastay_gompaapp_data_CreateUserGroupForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_CreateUserGroupForm$ = $c_Lcom_metastay_gompaapp_data_CreateUserGroupForm$
  };
  return $b_Lcom_metastay_gompaapp_data_CreateUserGroupForm$
}
var $n_Lcom_metastay_gompaapp_data_CreateUserGroupForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_CreateUserGroupForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_CreateUserGroupForm$)) {
    $n_Lcom_metastay_gompaapp_data_CreateUserGroupForm$ = new ($a_Lcom_metastay_gompaapp_data_CreateUserGroupForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_CreateUserGroupForm$
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp__toJson__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var value = $uZ($this.add);
  ret.add = value;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp__asDynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp = (void 0);
function $a_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp() {
  if ((!$b_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp = (function $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__T($m_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$()) : $as_T(arg$rest[0]));
      var add = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__Z($m_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$()) : $uZ(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "add", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      this.userName = userName;
      this.add = add
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp = (function $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp.prototype = new $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp();
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp.prototype.constructor = $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp__asDynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp__toJson__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp = $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp
  };
  return $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__createNew__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp($this) {
  return new ($a_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp())()
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__schemaInfo__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"FindUserAdminGridForApp\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/user/:userName\"} \n        }\n     ,\n\"add\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": { \"actionId\" : \"grantAdminAccess\" , \"actionClass\" : \"btn btn-xs btn-default\"} \n        }\n     \n },\n \"required\": [   \"userName\" , \"add\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__from__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__fromDynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.userName)
  };
  var v$1 = json.add;
  return new ($a_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp())(jsx$1, ((!((v$1 === (void 0)) || (json.add === null))) && $uZ(json.add)))
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__Z($this) {
  return false
}
var $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$() {
  if ((!$b_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$ = (function $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$ = (function $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$.prototype = new $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$();
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$;
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__createNew__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp(this)
    });
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__fromDynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__from__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__schemaInfo__Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$ = $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$
  };
  return $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$
}
var $n_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$() {
  if ((!$n_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$)) {
    $n_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$ = new ($a_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$())()
  };
  return $n_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam__asDynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam__toJson__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var value = $uZ($this.add);
  ret.add = value;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam = (void 0);
function $a_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam() {
  if ((!$b_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam = (function $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__T($m_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$()) : $as_T(arg$rest[0]));
      var add = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__Z($m_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$()) : $uZ(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "add", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      this.userName = userName;
      this.add = add
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam = (function $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam.prototype = new $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam();
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam.prototype.constructor = $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam__asDynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam__toJson__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam = $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam
  };
  return $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__from__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__fromDynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.userName)
  };
  var v$1 = json.add;
  return new ($a_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam())(jsx$1, ((!((v$1 === (void 0)) || (json.add === null))) && $uZ(json.add)))
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__Z($this) {
  return false
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__createNew__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam($this) {
  return new ($a_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam())()
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__schemaInfo__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"FindUserAdminGridForTeam\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/user/:userName\"} \n        }\n     ,\n\"add\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": { \"actionId\" : \"grantAdminAccess\" , \"actionClass\" : \"btn btn-xs btn-default\", \"actionText\" : \" Add as Team Admin\"} \n        }\n     \n },\n \"required\": [   \"userName\" , \"add\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
var $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$() {
  if ((!$b_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$ = (function $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$ = (function $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$.prototype = new $h_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$();
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$;
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__createNew__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam(this)
    });
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__fromDynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__from__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__schemaInfo__Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$ = $c_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$
  };
  return $b_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$
}
var $n_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$() {
  if ((!$n_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$)) {
    $n_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$ = new ($a_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$())()
  };
  return $n_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$
}
function $s_Lcom_metastay_gompaapp_data_FindUserForm__toJson__Lcom_metastay_gompaapp_data_FindUserForm__sjs_js_Dynamic($this) {
  var ret = {};
  var value = $this.userNameStr;
  if ((value !== (void 0))) {
    var value$1 = $this.userNameStr;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s = $as_T(value$1);
    ret.userNameStr = s
  };
  return ret
}
function $s_Lcom_metastay_gompaapp_data_FindUserForm__asDynamic__Lcom_metastay_gompaapp_data_FindUserForm__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_FindUserForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_FindUserForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_FindUserForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_FindUserForm = (function $c_Lcom_metastay_gompaapp_data_FindUserForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userNameStr = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_FindUserForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_FindUserForm$__sjs_js_UndefOr($m_Lcom_metastay_gompaapp_data_FindUserForm$()) : arg$rest[0]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userNameStr", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userNameStr = userNameStr
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_FindUserForm = (function $h_Lcom_metastay_gompaapp_data_FindUserForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_FindUserForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_FindUserForm.prototype = new $h_Lcom_metastay_gompaapp_data_FindUserForm();
    $c_Lcom_metastay_gompaapp_data_FindUserForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_FindUserForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_FindUserForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_FindUserForm__asDynamic__Lcom_metastay_gompaapp_data_FindUserForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_FindUserForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_FindUserForm__toJson__Lcom_metastay_gompaapp_data_FindUserForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_FindUserForm = $c_Lcom_metastay_gompaapp_data_FindUserForm
  };
  return $b_Lcom_metastay_gompaapp_data_FindUserForm
}
function $s_Lcom_metastay_gompaapp_data_FindUserForm$__fromDynamic__Lcom_metastay_gompaapp_data_FindUserForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_FindUserForm($this, json) {
  var v = json.userNameStr;
  return new ($a_Lcom_metastay_gompaapp_data_FindUserForm())((((v === (void 0)) || (json.userNameStr === null)) ? (void 0) : json.userNameStr))
}
function $s_Lcom_metastay_gompaapp_data_FindUserForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_FindUserForm$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_gompaapp_data_FindUserForm$__from__Lcom_metastay_gompaapp_data_FindUserForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_FindUserForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_FindUserForm$__createNew__Lcom_metastay_gompaapp_data_FindUserForm$__Lcom_metastay_gompaapp_data_FindUserForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_FindUserForm())()
}
function $s_Lcom_metastay_gompaapp_data_FindUserForm$__schemaInfo__Lcom_metastay_gompaapp_data_FindUserForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"FindUserForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userNameStr\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"title\":\"User Name\", \"placeholder\":\"search by User Name\"} \n        }\n     \n },\n \"required\": [  ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
var $b_Lcom_metastay_gompaapp_data_FindUserForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_FindUserForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_FindUserForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_FindUserForm$ = (function $c_Lcom_metastay_gompaapp_data_FindUserForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_FindUserForm$ = (function $h_Lcom_metastay_gompaapp_data_FindUserForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_FindUserForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_FindUserForm$.prototype = new $h_Lcom_metastay_gompaapp_data_FindUserForm$();
    $c_Lcom_metastay_gompaapp_data_FindUserForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_FindUserForm$;
    $c_Lcom_metastay_gompaapp_data_FindUserForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_FindUserForm$__createNew__Lcom_metastay_gompaapp_data_FindUserForm$__Lcom_metastay_gompaapp_data_FindUserForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_FindUserForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_FindUserForm$__fromDynamic__Lcom_metastay_gompaapp_data_FindUserForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_FindUserForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_FindUserForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_FindUserForm$__from__Lcom_metastay_gompaapp_data_FindUserForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_FindUserForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_FindUserForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_FindUserForm$__schemaInfo__Lcom_metastay_gompaapp_data_FindUserForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_FindUserForm$ = $c_Lcom_metastay_gompaapp_data_FindUserForm$
  };
  return $b_Lcom_metastay_gompaapp_data_FindUserForm$
}
var $n_Lcom_metastay_gompaapp_data_FindUserForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_FindUserForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_FindUserForm$)) {
    $n_Lcom_metastay_gompaapp_data_FindUserForm$ = new ($a_Lcom_metastay_gompaapp_data_FindUserForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_FindUserForm$
}
function $s_Lcom_metastay_gompaapp_data_GompaAdminData__toJson__Lcom_metastay_gompaapp_data_GompaAdminData__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var coll = $this.appAdminList;
  ret.appAdminList = coll;
  var coll$1 = $this.teamAdminList;
  ret.teamAdminList = coll$1;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_GompaAdminData__asDynamic__Lcom_metastay_gompaapp_data_GompaAdminData__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_GompaAdminData = (void 0);
function $a_Lcom_metastay_gompaapp_data_GompaAdminData() {
  if ((!$b_Lcom_metastay_gompaapp_data_GompaAdminData)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_GompaAdminData = (function $c_Lcom_metastay_gompaapp_data_GompaAdminData() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_GompaAdminData$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_GompaAdminData$__T($m_Lcom_metastay_gompaapp_data_GompaAdminData$()) : $as_T(arg$rest[0]));
      var appAdminList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_GompaAdminData$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_GompaAdminData$__sjs_js_Array($m_Lcom_metastay_gompaapp_data_GompaAdminData$()) : arg$rest[1]);
      var teamAdminList = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_GompaAdminData$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_GompaAdminData$__sjs_js_Array($m_Lcom_metastay_gompaapp_data_GompaAdminData$()) : arg$rest[2]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "appAdminList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamAdminList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.appAdminList = appAdminList;
      this.teamAdminList = teamAdminList
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_GompaAdminData = (function $h_Lcom_metastay_gompaapp_data_GompaAdminData() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_GompaAdminData.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_GompaAdminData.prototype = new $h_Lcom_metastay_gompaapp_data_GompaAdminData();
    $c_Lcom_metastay_gompaapp_data_GompaAdminData.prototype.constructor = $c_Lcom_metastay_gompaapp_data_GompaAdminData;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_GompaAdminData.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_GompaAdminData__asDynamic__Lcom_metastay_gompaapp_data_GompaAdminData__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_GompaAdminData.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_GompaAdminData__toJson__Lcom_metastay_gompaapp_data_GompaAdminData__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_GompaAdminData = $c_Lcom_metastay_gompaapp_data_GompaAdminData
  };
  return $b_Lcom_metastay_gompaapp_data_GompaAdminData
}
function $s_Lcom_metastay_gompaapp_data_GompaAdminData$__schemaInfo__Lcom_metastay_gompaapp_data_GompaAdminData$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"GompaAdminData\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"appAdminList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"teamAdminList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_GompaAdminData$__fromDynamic__Lcom_metastay_gompaapp_data_GompaAdminData$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_GompaAdminData($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userName)
  };
  var v$1 = json.appAdminList;
  if (((v$1 === (void 0)) || (json.appAdminList === null))) {
    var jsx$1 = []
  } else {
    var jsx$1 = json.appAdminList
  };
  var v$2 = json.teamAdminList;
  return new ($a_Lcom_metastay_gompaapp_data_GompaAdminData())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.teamAdminList === null)) ? [] : json.teamAdminList))
}
function $s_Lcom_metastay_gompaapp_data_GompaAdminData$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_GompaAdminData$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_gompaapp_data_GompaAdminData$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_GompaAdminData$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_gompaapp_data_GompaAdminData$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_GompaAdminData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_GompaAdminData$__from__Lcom_metastay_gompaapp_data_GompaAdminData$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_GompaAdminData($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_GompaAdminData$__createNew__Lcom_metastay_gompaapp_data_GompaAdminData$__Lcom_metastay_gompaapp_data_GompaAdminData($this) {
  return new ($a_Lcom_metastay_gompaapp_data_GompaAdminData())()
}
var $b_Lcom_metastay_gompaapp_data_GompaAdminData$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_GompaAdminData$() {
  if ((!$b_Lcom_metastay_gompaapp_data_GompaAdminData$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_GompaAdminData$ = (function $c_Lcom_metastay_gompaapp_data_GompaAdminData$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_GompaAdminData$ = (function $h_Lcom_metastay_gompaapp_data_GompaAdminData$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_GompaAdminData$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_GompaAdminData$.prototype = new $h_Lcom_metastay_gompaapp_data_GompaAdminData$();
    $c_Lcom_metastay_gompaapp_data_GompaAdminData$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_GompaAdminData$;
    $c_Lcom_metastay_gompaapp_data_GompaAdminData$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_GompaAdminData$__createNew__Lcom_metastay_gompaapp_data_GompaAdminData$__Lcom_metastay_gompaapp_data_GompaAdminData(this)
    });
    $c_Lcom_metastay_gompaapp_data_GompaAdminData$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_GompaAdminData$__fromDynamic__Lcom_metastay_gompaapp_data_GompaAdminData$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_GompaAdminData(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_GompaAdminData$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_GompaAdminData$__from__Lcom_metastay_gompaapp_data_GompaAdminData$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_GompaAdminData(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_GompaAdminData$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_GompaAdminData$__schemaInfo__Lcom_metastay_gompaapp_data_GompaAdminData$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_GompaAdminData$ = $c_Lcom_metastay_gompaapp_data_GompaAdminData$
  };
  return $b_Lcom_metastay_gompaapp_data_GompaAdminData$
}
var $n_Lcom_metastay_gompaapp_data_GompaAdminData$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_GompaAdminData$() {
  if ((!$n_Lcom_metastay_gompaapp_data_GompaAdminData$)) {
    $n_Lcom_metastay_gompaapp_data_GompaAdminData$ = new ($a_Lcom_metastay_gompaapp_data_GompaAdminData$())()
  };
  return $n_Lcom_metastay_gompaapp_data_GompaAdminData$
}
function $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid__asDynamic__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid__toJson__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var s$1 = $as_T($this.remove);
  ret.remove = s$1;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid = (void 0);
function $a_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid() {
  if ((!$b_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid = (function $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__T($m_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$()) : $as_T(arg$rest[0]));
      var remove = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__T($m_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid = (function $h_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid.prototype = new $h_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid();
    $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid.prototype.constructor = $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid__asDynamic__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid__toJson__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid = $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid
  };
  return $b_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid
}
function $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__from__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__fromDynamic__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.userName)
  };
  var v$1 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid())(jsx$1, (((v$1 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__createNew__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid($this) {
  return new ($a_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid())()
}
function $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__schemaInfo__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"GompaAppAdminUserGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/user/:userName\"} \n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeAdminAccess\" , \"actionClass\" : \"remove text-danger\", \"actionText\" : \" \" } \n        }\n     \n },\n \"required\": [   \"userName\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
var $b_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$() {
  if ((!$b_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$ = (function $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$ = (function $h_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$.prototype = new $h_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$();
    $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$;
    $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__createNew__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid(this)
    });
    $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__fromDynamic__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__from__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__schemaInfo__Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$ = $c_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$
  };
  return $b_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$
}
var $n_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$() {
  if ((!$n_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$)) {
    $n_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$ = new ($a_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$())()
  };
  return $n_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm__asDynamic__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm__toJson__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userGroupName);
  ret.userGroupName = s;
  var s$1 = $as_T($this.role);
  ret.role = s$1;
  var value = $uI($this.maxQSize);
  ret.maxQSize = value;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm = (function $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userGroupName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__T($m_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$()) : $as_T(arg$rest[0]));
      var role = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__T($m_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$()) : $as_T(arg$rest[1]));
      var maxQSize = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__I($m_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$()) : $uI(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "maxQSize", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      this.userGroupName = userGroupName;
      this.role = role;
      this.maxQSize = maxQSize
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm = (function $h_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm.prototype = new $h_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm();
    $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm__asDynamic__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm__toJson__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm = $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm
  };
  return $b_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__schemaInfo__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MapTeamUserGroupRoleForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"options\": []} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"options\": []} \n        }\n     ,\n\"maxQSize\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userGroupName\" , \"role\" , \"maxQSize\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__from__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__fromDynamic__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm($this, json) {
  var v = json.userGroupName;
  if (((v === (void 0)) || (json.userGroupName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userGroupName)
  };
  var v$1 = json.role;
  if (((v$1 === (void 0)) || (json.role === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.role)
  };
  var v$2 = json.maxQSize;
  return new ($a_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.maxQSize === null)) ? 10 : $uI(json.maxQSize)))
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__createNew__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm())()
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__I($this) {
  return 10
}
var $b_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$ = (function $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$ = (function $h_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$.prototype = new $h_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$();
    $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$;
    $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__createNew__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__fromDynamic__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__from__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__schemaInfo__Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$ = $c_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$
  };
  return $b_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$
}
var $n_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$)) {
    $n_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$ = new ($a_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm__toJson__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var s$1 = $as_T($this.role);
  ret.role = s$1;
  var value = $uI($this.maxQSize);
  ret.maxQSize = value;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm__asDynamic__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm = (function $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__T($m_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$()) : $as_T(arg$rest[0]));
      var role = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__T($m_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$()) : $as_T(arg$rest[1]));
      var maxQSize = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__I($m_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$()) : $uI(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "maxQSize", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      this.userName = userName;
      this.role = role;
      this.maxQSize = maxQSize
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm = (function $h_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm.prototype = new $h_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm();
    $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm__asDynamic__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm__toJson__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm = $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm
  };
  return $b_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__schemaInfo__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"MapTeamUserRoleForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"type\" : \"select-remote\", \"url\": \"/gompa-api/user/find-user?userNameStr=%QUERY\", \"displayKey\" : \"userName\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"type\" : \"select-single\", \"options\" : []} \n        }\n     ,\n\"maxQSize\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userName\" , \"role\" , \"maxQSize\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__createNew__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm())()
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__fromDynamic__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userName)
  };
  var v$1 = json.role;
  if (((v$1 === (void 0)) || (json.role === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.role)
  };
  var v$2 = json.maxQSize;
  return new ($a_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.maxQSize === null)) ? 10 : $uI(json.maxQSize)))
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__I($this) {
  return 10
}
function $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__from__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$ = (function $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$ = (function $h_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$.prototype = new $h_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$();
    $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$;
    $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__createNew__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__fromDynamic__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__from__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__schemaInfo__Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$ = $c_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$
  };
  return $b_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$
}
var $n_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$)) {
    $n_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$ = new ($a_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$
}
function $s_Lcom_metastay_gompaapp_data_ResetPasswordForm__asDynamic__Lcom_metastay_gompaapp_data_ResetPasswordForm__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_ResetPasswordForm__toJson__Lcom_metastay_gompaapp_data_ResetPasswordForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.newPassword);
  ret.newPassword = s;
  var s$1 = $as_T($this.confirmPassword);
  ret.confirmPassword = s$1;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_ResetPasswordForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_ResetPasswordForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_ResetPasswordForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_ResetPasswordForm = (function $c_Lcom_metastay_gompaapp_data_ResetPasswordForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var newPassword = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_ResetPasswordForm$__T($m_Lcom_metastay_gompaapp_data_ResetPasswordForm$()) : $as_T(arg$rest[0]));
      var confirmPassword = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_ResetPasswordForm$__T($m_Lcom_metastay_gompaapp_data_ResetPasswordForm$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "newPassword", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "confirmPassword", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.newPassword = newPassword;
      this.confirmPassword = confirmPassword
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_ResetPasswordForm = (function $h_Lcom_metastay_gompaapp_data_ResetPasswordForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_ResetPasswordForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_ResetPasswordForm.prototype = new $h_Lcom_metastay_gompaapp_data_ResetPasswordForm();
    $c_Lcom_metastay_gompaapp_data_ResetPasswordForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_ResetPasswordForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_ResetPasswordForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_ResetPasswordForm__asDynamic__Lcom_metastay_gompaapp_data_ResetPasswordForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_ResetPasswordForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_ResetPasswordForm__toJson__Lcom_metastay_gompaapp_data_ResetPasswordForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_ResetPasswordForm = $c_Lcom_metastay_gompaapp_data_ResetPasswordForm
  };
  return $b_Lcom_metastay_gompaapp_data_ResetPasswordForm
}
function $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__from__Lcom_metastay_gompaapp_data_ResetPasswordForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_ResetPasswordForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__fromDynamic__Lcom_metastay_gompaapp_data_ResetPasswordForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_ResetPasswordForm($this, json) {
  var v = json.newPassword;
  if (((v === (void 0)) || (json.newPassword === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.newPassword)
  };
  var v$1 = json.confirmPassword;
  return new ($a_Lcom_metastay_gompaapp_data_ResetPasswordForm())(jsx$1, (((v$1 === (void 0)) || (json.confirmPassword === null)) ? null : $as_T(json.confirmPassword)))
}
function $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_ResetPasswordForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__schemaInfo__Lcom_metastay_gompaapp_data_ResetPasswordForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"ResetPasswordForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"newPassword\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"type\":\"password\", \"title\":\"New Password\", \"placeholder\":\"enter password\", \"validate\" : \"min:6|max:25\"} \n        }\n     ,\n\"confirmPassword\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"type\":\"password\", \"validate\" : \"confirmed:newPassword\"} \n        }\n     \n },\n \"required\": [   \"newPassword\" , \"confirmPassword\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__createNew__Lcom_metastay_gompaapp_data_ResetPasswordForm$__Lcom_metastay_gompaapp_data_ResetPasswordForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_ResetPasswordForm())()
}
function $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_ResetPasswordForm$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_ResetPasswordForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_ResetPasswordForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_ResetPasswordForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_ResetPasswordForm$ = (function $c_Lcom_metastay_gompaapp_data_ResetPasswordForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_ResetPasswordForm$ = (function $h_Lcom_metastay_gompaapp_data_ResetPasswordForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_ResetPasswordForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_ResetPasswordForm$.prototype = new $h_Lcom_metastay_gompaapp_data_ResetPasswordForm$();
    $c_Lcom_metastay_gompaapp_data_ResetPasswordForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_ResetPasswordForm$;
    $c_Lcom_metastay_gompaapp_data_ResetPasswordForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__createNew__Lcom_metastay_gompaapp_data_ResetPasswordForm$__Lcom_metastay_gompaapp_data_ResetPasswordForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_ResetPasswordForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__fromDynamic__Lcom_metastay_gompaapp_data_ResetPasswordForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_ResetPasswordForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_ResetPasswordForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__from__Lcom_metastay_gompaapp_data_ResetPasswordForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_ResetPasswordForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_ResetPasswordForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_ResetPasswordForm$__schemaInfo__Lcom_metastay_gompaapp_data_ResetPasswordForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_ResetPasswordForm$ = $c_Lcom_metastay_gompaapp_data_ResetPasswordForm$
  };
  return $b_Lcom_metastay_gompaapp_data_ResetPasswordForm$
}
var $n_Lcom_metastay_gompaapp_data_ResetPasswordForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_ResetPasswordForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_ResetPasswordForm$)) {
    $n_Lcom_metastay_gompaapp_data_ResetPasswordForm$ = new ($a_Lcom_metastay_gompaapp_data_ResetPasswordForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_ResetPasswordForm$
}
function $s_Lcom_metastay_gompaapp_data_SubTeamData__toJson__Lcom_metastay_gompaapp_data_SubTeamData__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamCode);
  ret.teamCode = s;
  var s$1 = $as_T($this.subTeamCode);
  ret.subTeamCode = s$1;
  var s$2 = $as_T($this.fqSubFlowName);
  ret.fqSubFlowName = s$2;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_SubTeamData__asDynamic__Lcom_metastay_gompaapp_data_SubTeamData__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_SubTeamData = (void 0);
function $a_Lcom_metastay_gompaapp_data_SubTeamData() {
  if ((!$b_Lcom_metastay_gompaapp_data_SubTeamData)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_SubTeamData = (function $c_Lcom_metastay_gompaapp_data_SubTeamData() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamCode = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_SubTeamData$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_SubTeamData$__T($m_Lcom_metastay_gompaapp_data_SubTeamData$()) : $as_T(arg$rest[0]));
      var subTeamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_SubTeamData$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_SubTeamData$__T($m_Lcom_metastay_gompaapp_data_SubTeamData$()) : $as_T(arg$rest[1]));
      var fqSubFlowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_SubTeamData$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_SubTeamData$__T($m_Lcom_metastay_gompaapp_data_SubTeamData$()) : $as_T(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subTeamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqSubFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamCode = teamCode;
      this.subTeamCode = subTeamCode;
      this.fqSubFlowName = fqSubFlowName
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_SubTeamData = (function $h_Lcom_metastay_gompaapp_data_SubTeamData() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_SubTeamData.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_SubTeamData.prototype = new $h_Lcom_metastay_gompaapp_data_SubTeamData();
    $c_Lcom_metastay_gompaapp_data_SubTeamData.prototype.constructor = $c_Lcom_metastay_gompaapp_data_SubTeamData;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_SubTeamData.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_SubTeamData__asDynamic__Lcom_metastay_gompaapp_data_SubTeamData__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_SubTeamData.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_SubTeamData__toJson__Lcom_metastay_gompaapp_data_SubTeamData__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_SubTeamData = $c_Lcom_metastay_gompaapp_data_SubTeamData
  };
  return $b_Lcom_metastay_gompaapp_data_SubTeamData
}
function $s_Lcom_metastay_gompaapp_data_SubTeamData$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_SubTeamData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_SubTeamData$__createNew__Lcom_metastay_gompaapp_data_SubTeamData$__Lcom_metastay_gompaapp_data_SubTeamData($this) {
  return new ($a_Lcom_metastay_gompaapp_data_SubTeamData())()
}
function $s_Lcom_metastay_gompaapp_data_SubTeamData$__schemaInfo__Lcom_metastay_gompaapp_data_SubTeamData$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"SubTeamData\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subTeamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqSubFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamCode\" , \"subTeamCode\" , \"fqSubFlowName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_SubTeamData$__from__Lcom_metastay_gompaapp_data_SubTeamData$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_SubTeamData($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_SubTeamData$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_SubTeamData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_SubTeamData$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_SubTeamData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_SubTeamData$__fromDynamic__Lcom_metastay_gompaapp_data_SubTeamData$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_SubTeamData($this, json) {
  var v = json.teamCode;
  if (((v === (void 0)) || (json.teamCode === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.teamCode)
  };
  var v$1 = json.subTeamCode;
  if (((v$1 === (void 0)) || (json.subTeamCode === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.subTeamCode)
  };
  var v$2 = json.fqSubFlowName;
  return new ($a_Lcom_metastay_gompaapp_data_SubTeamData())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.fqSubFlowName === null)) ? null : $as_T(json.fqSubFlowName)))
}
var $b_Lcom_metastay_gompaapp_data_SubTeamData$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_SubTeamData$() {
  if ((!$b_Lcom_metastay_gompaapp_data_SubTeamData$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_SubTeamData$ = (function $c_Lcom_metastay_gompaapp_data_SubTeamData$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_SubTeamData$ = (function $h_Lcom_metastay_gompaapp_data_SubTeamData$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_SubTeamData$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_SubTeamData$.prototype = new $h_Lcom_metastay_gompaapp_data_SubTeamData$();
    $c_Lcom_metastay_gompaapp_data_SubTeamData$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_SubTeamData$;
    $c_Lcom_metastay_gompaapp_data_SubTeamData$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_SubTeamData$__createNew__Lcom_metastay_gompaapp_data_SubTeamData$__Lcom_metastay_gompaapp_data_SubTeamData(this)
    });
    $c_Lcom_metastay_gompaapp_data_SubTeamData$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_SubTeamData$__fromDynamic__Lcom_metastay_gompaapp_data_SubTeamData$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_SubTeamData(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_SubTeamData$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_SubTeamData$__from__Lcom_metastay_gompaapp_data_SubTeamData$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_SubTeamData(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_SubTeamData$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_SubTeamData$__schemaInfo__Lcom_metastay_gompaapp_data_SubTeamData$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_SubTeamData$ = $c_Lcom_metastay_gompaapp_data_SubTeamData$
  };
  return $b_Lcom_metastay_gompaapp_data_SubTeamData$
}
var $n_Lcom_metastay_gompaapp_data_SubTeamData$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_SubTeamData$() {
  if ((!$n_Lcom_metastay_gompaapp_data_SubTeamData$)) {
    $n_Lcom_metastay_gompaapp_data_SubTeamData$ = new ($a_Lcom_metastay_gompaapp_data_SubTeamData$())()
  };
  return $n_Lcom_metastay_gompaapp_data_SubTeamData$
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid__toJson__Lcom_metastay_gompaapp_data_SubTeamGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.id);
  ret.id = s;
  var s$1 = $as_T($this.teamCode);
  ret.teamCode = s$1;
  var s$2 = $as_T($this.fqSubFlowName);
  ret.fqSubFlowName = s$2;
  var s$3 = $as_T($this.subTeamCode);
  ret.subTeamCode = s$3;
  var s$4 = $as_T($this.remove);
  ret.remove = s$4;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid__asDynamic__Lcom_metastay_gompaapp_data_SubTeamGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_SubTeamGrid = (void 0);
function $a_Lcom_metastay_gompaapp_data_SubTeamGrid() {
  if ((!$b_Lcom_metastay_gompaapp_data_SubTeamGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_SubTeamGrid = (function $c_Lcom_metastay_gompaapp_data_SubTeamGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var id = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_SubTeamGrid$__T($m_Lcom_metastay_gompaapp_data_SubTeamGrid$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_SubTeamGrid$__T($m_Lcom_metastay_gompaapp_data_SubTeamGrid$()) : $as_T(arg$rest[1]));
      var fqSubFlowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_SubTeamGrid$__T($m_Lcom_metastay_gompaapp_data_SubTeamGrid$()) : $as_T(arg$rest[2]));
      var subTeamCode = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_SubTeamGrid$__T($m_Lcom_metastay_gompaapp_data_SubTeamGrid$()) : $as_T(arg$rest[3]));
      var remove = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_SubTeamGrid$__T($m_Lcom_metastay_gompaapp_data_SubTeamGrid$()) : $as_T(arg$rest[4]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "id", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqSubFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "subTeamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.id = id;
      this.teamCode = teamCode;
      this.fqSubFlowName = fqSubFlowName;
      this.subTeamCode = subTeamCode;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_SubTeamGrid = (function $h_Lcom_metastay_gompaapp_data_SubTeamGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_SubTeamGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_SubTeamGrid.prototype = new $h_Lcom_metastay_gompaapp_data_SubTeamGrid();
    $c_Lcom_metastay_gompaapp_data_SubTeamGrid.prototype.constructor = $c_Lcom_metastay_gompaapp_data_SubTeamGrid;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_SubTeamGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_SubTeamGrid__asDynamic__Lcom_metastay_gompaapp_data_SubTeamGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_SubTeamGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_SubTeamGrid__toJson__Lcom_metastay_gompaapp_data_SubTeamGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_SubTeamGrid = $c_Lcom_metastay_gompaapp_data_SubTeamGrid
  };
  return $b_Lcom_metastay_gompaapp_data_SubTeamGrid
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_SubTeamGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__from__Lcom_metastay_gompaapp_data_SubTeamGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_SubTeamGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__createNew__Lcom_metastay_gompaapp_data_SubTeamGrid$__Lcom_metastay_gompaapp_data_SubTeamGrid($this) {
  return new ($a_Lcom_metastay_gompaapp_data_SubTeamGrid())()
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_SubTeamGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_SubTeamGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_SubTeamGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__fromDynamic__Lcom_metastay_gompaapp_data_SubTeamGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_SubTeamGrid($this, json) {
  var v = json.id;
  if (((v === (void 0)) || (json.id === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.id)
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.teamCode)
  };
  var v$2 = json.fqSubFlowName;
  if (((v$2 === (void 0)) || (json.fqSubFlowName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.fqSubFlowName)
  };
  var v$3 = json.subTeamCode;
  if (((v$3 === (void 0)) || (json.subTeamCode === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.subTeamCode)
  };
  var v$4 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_SubTeamGrid())(jsx$4, jsx$3, jsx$2, jsx$1, (((v$4 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__schemaInfo__Lcom_metastay_gompaapp_data_SubTeamGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"SubTeamGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"id\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"fqSubFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"subTeamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeTeamUserGroupRoleMap\" , \"actionClass\" : \"remove text-danger\" , \"actionText\" : \" \"} \n        }\n     \n },\n \"required\": [   \"id\" , \"teamCode\" , \"fqSubFlowName\" , \"subTeamCode\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_SubTeamGrid$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_SubTeamGrid$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_SubTeamGrid$() {
  if ((!$b_Lcom_metastay_gompaapp_data_SubTeamGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_SubTeamGrid$ = (function $c_Lcom_metastay_gompaapp_data_SubTeamGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_SubTeamGrid$ = (function $h_Lcom_metastay_gompaapp_data_SubTeamGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_SubTeamGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_SubTeamGrid$.prototype = new $h_Lcom_metastay_gompaapp_data_SubTeamGrid$();
    $c_Lcom_metastay_gompaapp_data_SubTeamGrid$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_SubTeamGrid$;
    $c_Lcom_metastay_gompaapp_data_SubTeamGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__createNew__Lcom_metastay_gompaapp_data_SubTeamGrid$__Lcom_metastay_gompaapp_data_SubTeamGrid(this)
    });
    $c_Lcom_metastay_gompaapp_data_SubTeamGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__fromDynamic__Lcom_metastay_gompaapp_data_SubTeamGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_SubTeamGrid(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_SubTeamGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__from__Lcom_metastay_gompaapp_data_SubTeamGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_SubTeamGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_SubTeamGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_SubTeamGrid$__schemaInfo__Lcom_metastay_gompaapp_data_SubTeamGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_SubTeamGrid$ = $c_Lcom_metastay_gompaapp_data_SubTeamGrid$
  };
  return $b_Lcom_metastay_gompaapp_data_SubTeamGrid$
}
var $n_Lcom_metastay_gompaapp_data_SubTeamGrid$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_SubTeamGrid$() {
  if ((!$n_Lcom_metastay_gompaapp_data_SubTeamGrid$)) {
    $n_Lcom_metastay_gompaapp_data_SubTeamGrid$ = new ($a_Lcom_metastay_gompaapp_data_SubTeamGrid$())()
  };
  return $n_Lcom_metastay_gompaapp_data_SubTeamGrid$
}
function $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid__toJson__Lcom_metastay_gompaapp_data_TeamAdminUserGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var s$1 = $as_T($this.remove);
  ret.remove = s$1;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid__asDynamic__Lcom_metastay_gompaapp_data_TeamAdminUserGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_TeamAdminUserGrid = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamAdminUserGrid() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamAdminUserGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid = (function $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__T($m_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$()) : $as_T(arg$rest[0]));
      var remove = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__T($m_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$()) : $as_T(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamAdminUserGrid = (function $h_Lcom_metastay_gompaapp_data_TeamAdminUserGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamAdminUserGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid.prototype = new $h_Lcom_metastay_gompaapp_data_TeamAdminUserGrid();
    $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid__asDynamic__Lcom_metastay_gompaapp_data_TeamAdminUserGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid__toJson__Lcom_metastay_gompaapp_data_TeamAdminUserGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_TeamAdminUserGrid = $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid
  };
  return $b_Lcom_metastay_gompaapp_data_TeamAdminUserGrid
}
function $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__fromDynamic__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamAdminUserGrid($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.userName)
  };
  var v$1 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_TeamAdminUserGrid())(jsx$1, (((v$1 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__schemaInfo__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"TeamAdminUserGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/user/:userName\"} \n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeAdminAccess\" , \"actionClass\" : \"remove text-danger\", \"actionText\" : \" \" } \n        }\n     \n },\n \"required\": [   \"userName\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__from__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamAdminUserGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__createNew__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__Lcom_metastay_gompaapp_data_TeamAdminUserGrid($this) {
  return new ($a_Lcom_metastay_gompaapp_data_TeamAdminUserGrid())()
}
function $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$ = (function $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$ = (function $h_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$.prototype = new $h_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$();
    $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$;
    $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__createNew__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__Lcom_metastay_gompaapp_data_TeamAdminUserGrid(this)
    });
    $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__fromDynamic__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamAdminUserGrid(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__from__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamAdminUserGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__schemaInfo__Lcom_metastay_gompaapp_data_TeamAdminUserGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$ = $c_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$
  };
  return $b_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$
}
var $n_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$() {
  if ((!$n_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$)) {
    $n_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$ = new ($a_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$())()
  };
  return $n_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$
}
function $s_Lcom_metastay_gompaapp_data_TeamData__asDynamic__Lcom_metastay_gompaapp_data_TeamData__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_TeamData__toJson__Lcom_metastay_gompaapp_data_TeamData__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamId);
  ret.teamId = s;
  var s$1 = $as_T($this.teamCode);
  ret.teamCode = s$1;
  var s$2 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$2;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_TeamData = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamData() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamData)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamData = (function $c_Lcom_metastay_gompaapp_data_TeamData() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamData$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamData$__T($m_Lcom_metastay_gompaapp_data_TeamData$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamData$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamData$__T($m_Lcom_metastay_gompaapp_data_TeamData$()) : $as_T(arg$rest[1]));
      var fqFlowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamData$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_TeamData$__T($m_Lcom_metastay_gompaapp_data_TeamData$()) : $as_T(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamId = teamId;
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamData = (function $h_Lcom_metastay_gompaapp_data_TeamData() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamData.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamData.prototype = new $h_Lcom_metastay_gompaapp_data_TeamData();
    $c_Lcom_metastay_gompaapp_data_TeamData.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamData;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamData.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamData__asDynamic__Lcom_metastay_gompaapp_data_TeamData__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamData.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamData__toJson__Lcom_metastay_gompaapp_data_TeamData__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_TeamData = $c_Lcom_metastay_gompaapp_data_TeamData
  };
  return $b_Lcom_metastay_gompaapp_data_TeamData
}
function $s_Lcom_metastay_gompaapp_data_TeamData$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_TeamData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamData$__schemaInfo__Lcom_metastay_gompaapp_data_TeamData$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"TeamData\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamId\" , \"teamCode\" , \"fqFlowName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_TeamData$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamData$__fromDynamic__Lcom_metastay_gompaapp_data_TeamData$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamData($this, json) {
  var v = json.teamId;
  if (((v === (void 0)) || (json.teamId === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.teamId)
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.teamCode)
  };
  var v$2 = json.fqFlowName;
  return new ($a_Lcom_metastay_gompaapp_data_TeamData())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.fqFlowName === null)) ? null : $as_T(json.fqFlowName)))
}
function $s_Lcom_metastay_gompaapp_data_TeamData$__createNew__Lcom_metastay_gompaapp_data_TeamData$__Lcom_metastay_gompaapp_data_TeamData($this) {
  return new ($a_Lcom_metastay_gompaapp_data_TeamData())()
}
function $s_Lcom_metastay_gompaapp_data_TeamData$__from__Lcom_metastay_gompaapp_data_TeamData$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamData($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_TeamData$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamData$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_TeamData$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamData$() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamData$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamData$ = (function $c_Lcom_metastay_gompaapp_data_TeamData$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamData$ = (function $h_Lcom_metastay_gompaapp_data_TeamData$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamData$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamData$.prototype = new $h_Lcom_metastay_gompaapp_data_TeamData$();
    $c_Lcom_metastay_gompaapp_data_TeamData$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamData$;
    $c_Lcom_metastay_gompaapp_data_TeamData$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamData$__createNew__Lcom_metastay_gompaapp_data_TeamData$__Lcom_metastay_gompaapp_data_TeamData(this)
    });
    $c_Lcom_metastay_gompaapp_data_TeamData$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_TeamData$__fromDynamic__Lcom_metastay_gompaapp_data_TeamData$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamData(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_TeamData$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_TeamData$__from__Lcom_metastay_gompaapp_data_TeamData$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamData(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_TeamData$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamData$__schemaInfo__Lcom_metastay_gompaapp_data_TeamData$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_TeamData$ = $c_Lcom_metastay_gompaapp_data_TeamData$
  };
  return $b_Lcom_metastay_gompaapp_data_TeamData$
}
var $n_Lcom_metastay_gompaapp_data_TeamData$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_TeamData$() {
  if ((!$n_Lcom_metastay_gompaapp_data_TeamData$)) {
    $n_Lcom_metastay_gompaapp_data_TeamData$ = new ($a_Lcom_metastay_gompaapp_data_TeamData$())()
  };
  return $n_Lcom_metastay_gompaapp_data_TeamData$
}
function $s_Lcom_metastay_gompaapp_data_TeamGrid__toJson__Lcom_metastay_gompaapp_data_TeamGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamId);
  ret.teamId = s;
  var s$1 = $as_T($this.teamCode);
  ret.teamCode = s$1;
  var s$2 = $as_T($this.fqFlowName);
  ret.fqFlowName = s$2;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_TeamGrid__asDynamic__Lcom_metastay_gompaapp_data_TeamGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_TeamGrid = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamGrid() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamGrid = (function $c_Lcom_metastay_gompaapp_data_TeamGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamGrid$__T($m_Lcom_metastay_gompaapp_data_TeamGrid$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamGrid$__T($m_Lcom_metastay_gompaapp_data_TeamGrid$()) : $as_T(arg$rest[1]));
      var fqFlowName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamGrid$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_TeamGrid$__T($m_Lcom_metastay_gompaapp_data_TeamGrid$()) : $as_T(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fqFlowName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamId = teamId;
      this.teamCode = teamCode;
      this.fqFlowName = fqFlowName
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamGrid = (function $h_Lcom_metastay_gompaapp_data_TeamGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamGrid.prototype = new $h_Lcom_metastay_gompaapp_data_TeamGrid();
    $c_Lcom_metastay_gompaapp_data_TeamGrid.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamGrid;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamGrid__asDynamic__Lcom_metastay_gompaapp_data_TeamGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamGrid__toJson__Lcom_metastay_gompaapp_data_TeamGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_TeamGrid = $c_Lcom_metastay_gompaapp_data_TeamGrid
  };
  return $b_Lcom_metastay_gompaapp_data_TeamGrid
}
function $s_Lcom_metastay_gompaapp_data_TeamGrid$__from__Lcom_metastay_gompaapp_data_TeamGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_TeamGrid$__fromDynamic__Lcom_metastay_gompaapp_data_TeamGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamGrid($this, json) {
  var v = json.teamId;
  if (((v === (void 0)) || (json.teamId === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.teamId)
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.teamCode)
  };
  var v$2 = json.fqFlowName;
  return new ($a_Lcom_metastay_gompaapp_data_TeamGrid())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.fqFlowName === null)) ? null : $as_T(json.fqFlowName)))
}
function $s_Lcom_metastay_gompaapp_data_TeamGrid$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_TeamGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamGrid$__createNew__Lcom_metastay_gompaapp_data_TeamGrid$__Lcom_metastay_gompaapp_data_TeamGrid($this) {
  return new ($a_Lcom_metastay_gompaapp_data_TeamGrid())()
}
function $s_Lcom_metastay_gompaapp_data_TeamGrid$__schemaInfo__Lcom_metastay_gompaapp_data_TeamGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"TeamGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/team/:teamCode\"} \n        }\n     ,\n\"fqFlowName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"teamId\" , \"teamCode\" , \"fqFlowName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_TeamGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamGrid$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_TeamGrid$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamGrid$() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamGrid$ = (function $c_Lcom_metastay_gompaapp_data_TeamGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamGrid$ = (function $h_Lcom_metastay_gompaapp_data_TeamGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamGrid$.prototype = new $h_Lcom_metastay_gompaapp_data_TeamGrid$();
    $c_Lcom_metastay_gompaapp_data_TeamGrid$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamGrid$;
    $c_Lcom_metastay_gompaapp_data_TeamGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamGrid$__createNew__Lcom_metastay_gompaapp_data_TeamGrid$__Lcom_metastay_gompaapp_data_TeamGrid(this)
    });
    $c_Lcom_metastay_gompaapp_data_TeamGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_TeamGrid$__fromDynamic__Lcom_metastay_gompaapp_data_TeamGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamGrid(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_TeamGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_TeamGrid$__from__Lcom_metastay_gompaapp_data_TeamGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_TeamGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamGrid$__schemaInfo__Lcom_metastay_gompaapp_data_TeamGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_TeamGrid$ = $c_Lcom_metastay_gompaapp_data_TeamGrid$
  };
  return $b_Lcom_metastay_gompaapp_data_TeamGrid$
}
var $n_Lcom_metastay_gompaapp_data_TeamGrid$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_TeamGrid$() {
  if ((!$n_Lcom_metastay_gompaapp_data_TeamGrid$)) {
    $n_Lcom_metastay_gompaapp_data_TeamGrid$ = new ($a_Lcom_metastay_gompaapp_data_TeamGrid$())()
  };
  return $n_Lcom_metastay_gompaapp_data_TeamGrid$
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser__asDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUser__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser__toJson__Lcom_metastay_gompaapp_data_TeamRoleGridForUser__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamUserRoleId);
  ret.teamUserRoleId = s;
  var s$1 = $as_T($this.teamCode);
  ret.teamCode = s$1;
  var s$2 = $as_T($this.role);
  ret.role = s$2;
  var value = $uI($this.maxQSize);
  ret.maxQSize = value;
  var s$3 = $as_T($this.remove);
  ret.remove = s$3;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUser = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamRoleGridForUser() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamRoleGridForUser)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser = (function $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamUserRoleId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$()) : $as_T(arg$rest[1]));
      var role = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$()) : $as_T(arg$rest[2]));
      var maxQSize = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__I($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$()) : $uI(arg$rest[3]));
      var remove = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$()) : $as_T(arg$rest[4]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamUserRoleId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "maxQSize", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamUserRoleId = teamUserRoleId;
      this.teamCode = teamCode;
      this.role = role;
      this.maxQSize = maxQSize;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUser = (function $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUser() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUser.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser.prototype = new $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUser();
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser__asDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUser__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser__toJson__Lcom_metastay_gompaapp_data_TeamRoleGridForUser__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUser = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser
  };
  return $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUser
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__fromDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUser($this, json) {
  var v = json.teamUserRoleId;
  if (((v === (void 0)) || (json.teamUserRoleId === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.teamUserRoleId)
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.teamCode)
  };
  var v$2 = json.role;
  if (((v$2 === (void 0)) || (json.role === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.role)
  };
  var v$3 = json.maxQSize;
  if (((v$3 === (void 0)) || (json.maxQSize === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.maxQSize)
  };
  var v$4 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_TeamRoleGridForUser())(jsx$4, jsx$3, jsx$2, jsx$1, (((v$4 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__I($this) {
  return 0
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__from__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamRoleGridForUser($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__createNew__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__Lcom_metastay_gompaapp_data_TeamRoleGridForUser($this) {
  return new ($a_Lcom_metastay_gompaapp_data_TeamRoleGridForUser())()
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__schemaInfo__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"TeamRoleGridForUser\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamUserRoleId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/team/:teamCode\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"maxQSize\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeTeamUserRoleMap\" , \"actionClass\" : \"remove text-danger\", \"actionText\" : \" \"} \n        }\n     \n },\n \"required\": [   \"teamUserRoleId\" , \"teamCode\" , \"role\" , \"maxQSize\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$ = (function $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$ = (function $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$.prototype = new $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$();
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$;
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__createNew__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__Lcom_metastay_gompaapp_data_TeamRoleGridForUser(this)
    });
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__fromDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUser(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__from__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamRoleGridForUser(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__schemaInfo__Lcom_metastay_gompaapp_data_TeamRoleGridForUser$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$ = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$
  };
  return $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$
}
var $n_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$() {
  if ((!$n_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$)) {
    $n_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$ = new ($a_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$())()
  };
  return $n_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup__asDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup__toJson__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamUserGroupRoleId);
  ret.teamUserGroupRoleId = s;
  var s$1 = $as_T($this.userGroupName);
  ret.userGroupName = s$1;
  var s$2 = $as_T($this.teamCode);
  ret.teamCode = s$2;
  var s$3 = $as_T($this.role);
  ret.role = s$3;
  var value = $uI($this.maxQSize);
  ret.maxQSize = value;
  var s$4 = $as_T($this.remove);
  ret.remove = s$4;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup = (function $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamUserGroupRoleId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$()) : $as_T(arg$rest[0]));
      var userGroupName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$()) : $as_T(arg$rest[1]));
      var teamCode = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$()) : $as_T(arg$rest[2]));
      var role = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$()) : $as_T(arg$rest[3]));
      var maxQSize = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__I($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$()) : $uI(arg$rest[4]));
      var remove = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$()) : $as_T(arg$rest[5]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamUserGroupRoleId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "maxQSize", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamUserGroupRoleId = teamUserGroupRoleId;
      this.userGroupName = userGroupName;
      this.teamCode = teamCode;
      this.role = role;
      this.maxQSize = maxQSize;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup = (function $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup.prototype = new $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup();
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup__asDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup__toJson__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup
  };
  return $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__fromDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup($this, json) {
  var v = json.teamUserGroupRoleId;
  if (((v === (void 0)) || (json.teamUserGroupRoleId === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.teamUserGroupRoleId)
  };
  var v$1 = json.userGroupName;
  if (((v$1 === (void 0)) || (json.userGroupName === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.userGroupName)
  };
  var v$2 = json.teamCode;
  if (((v$2 === (void 0)) || (json.teamCode === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.teamCode)
  };
  var v$3 = json.role;
  if (((v$3 === (void 0)) || (json.role === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.role)
  };
  var v$4 = json.maxQSize;
  if (((v$4 === (void 0)) || (json.maxQSize === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.maxQSize)
  };
  var v$5 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup())(jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$5 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__I($this) {
  return 0
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__schemaInfo__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"TeamRoleGridForUserGroup\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamUserGroupRoleId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/team/:teamCode\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"maxQSize\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeTeamUserGroupRoleMap\" , \"actionClass\" : \"remove text-danger\" , \"actionText\" : \" \"} \n        }\n     \n },\n \"required\": [   \"teamUserGroupRoleId\" , \"userGroupName\" , \"teamCode\" , \"role\" , \"maxQSize\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__createNew__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup($this) {
  return new ($a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup())()
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__from__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$ = (function $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$ = (function $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$.prototype = new $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$();
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$;
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__createNew__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup(this)
    });
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__fromDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__from__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__schemaInfo__Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$ = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$
  };
  return $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$
}
var $n_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$() {
  if ((!$n_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$)) {
    $n_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$ = new ($a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$())()
  };
  return $n_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup__asDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup__toJson__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamUserGroupRoleId);
  ret.teamUserGroupRoleId = s;
  var s$1 = $as_T($this.teamCode);
  ret.teamCode = s$1;
  var s$2 = $as_T($this.role);
  ret.role = s$2;
  var value = $uI($this.maxQSize);
  ret.maxQSize = value;
  var s$3 = $as_T($this.userGroupName);
  ret.userGroupName = s$3;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup = (function $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamUserGroupRoleId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$()) : $as_T(arg$rest[1]));
      var role = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$()) : $as_T(arg$rest[2]));
      var maxQSize = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__I($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$()) : $uI(arg$rest[3]));
      var userGroupName = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__T($m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$()) : $as_T(arg$rest[4]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamUserGroupRoleId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "maxQSize", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamUserGroupRoleId = teamUserGroupRoleId;
      this.teamCode = teamCode;
      this.role = role;
      this.maxQSize = maxQSize;
      this.userGroupName = userGroupName
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup = (function $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup.prototype = new $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup();
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup__asDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup__toJson__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup
  };
  return $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__schemaInfo__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"TeamRoleGridForUserInUserGroup\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamUserGroupRoleId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/team/:teamCode\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"maxQSize\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/usergroup/:userGroupName\"} \n        }\n     \n },\n \"required\": [   \"teamUserGroupRoleId\" , \"teamCode\" , \"role\" , \"maxQSize\" , \"userGroupName\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__I($this) {
  return 0
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__from__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__fromDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup($this, json) {
  var v = json.teamUserGroupRoleId;
  if (((v === (void 0)) || (json.teamUserGroupRoleId === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.teamUserGroupRoleId)
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.teamCode)
  };
  var v$2 = json.role;
  if (((v$2 === (void 0)) || (json.role === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.role)
  };
  var v$3 = json.maxQSize;
  if (((v$3 === (void 0)) || (json.maxQSize === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.maxQSize)
  };
  var v$4 = json.userGroupName;
  return new ($a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup())(jsx$4, jsx$3, jsx$2, jsx$1, (((v$4 === (void 0)) || (json.userGroupName === null)) ? null : $as_T(json.userGroupName)))
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__createNew__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup($this) {
  return new ($a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup())()
}
var $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$() {
  if ((!$b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$ = (function $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$ = (function $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$.prototype = new $h_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$();
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$;
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__createNew__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup(this)
    });
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__fromDynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__from__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__schemaInfo__Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$ = $c_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$
  };
  return $b_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$
}
var $n_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$() {
  if ((!$n_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$)) {
    $n_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$ = new ($a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$())()
  };
  return $n_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$
}
function $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm__toJson__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.id);
  ret.id = s;
  var value = $uI($this.maxQSize);
  ret.maxQSize = value;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm__asDynamic__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm = (void 0);
function $a_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm() {
  if ((!$b_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm = (function $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var id = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__T($m_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$()) : $as_T(arg$rest[0]));
      var maxQSize = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__I($m_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$()) : $uI(arg$rest[1]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "id", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "maxQSize", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      this.id = id;
      this.maxQSize = maxQSize
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm = (function $h_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm.prototype = new $h_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm();
    $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm__asDynamic__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm__toJson__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm = $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm
  };
  return $b_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm
}
function $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__schemaInfo__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UpdateMaxQSizeForm\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"id\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"maxQSize\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"id\" , \"maxQSize\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__createNew__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm())()
}
function $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__I($this) {
  return 0
}
function $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__fromDynamic__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm($this, json) {
  var v = json.id;
  if (((v === (void 0)) || (json.id === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.id)
  };
  var v$1 = json.maxQSize;
  return new ($a_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm())(jsx$1, (((v$1 === (void 0)) || (json.maxQSize === null)) ? 0 : $uI(json.maxQSize)))
}
function $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__from__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$ = (function $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$ = (function $h_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$.prototype = new $h_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$();
    $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$;
    $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__createNew__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm(this)
    });
    $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__fromDynamic__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__from__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__schemaInfo__Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$ = $c_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$
  };
  return $b_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$
}
var $n_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$)) {
    $n_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$ = new ($a_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$
}
function $s_Lcom_metastay_gompaapp_data_UserData__toJson__Lcom_metastay_gompaapp_data_UserData__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userId);
  ret.userId = s;
  var s$1 = $as_T($this.userName);
  ret.userName = s$1;
  var s$2 = $as_T($this.fullName);
  ret.fullName = s$2;
  var s$3 = $as_T($this.emailId);
  ret.emailId = s$3;
  var value = $this.title;
  if ((value !== (void 0))) {
    var value$1 = $this.title;
    if ((value$1 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$4 = $as_T(value$1);
    ret.title = s$4
  };
  var s$5 = $as_T($this.firstName);
  ret.firstName = s$5;
  var value$2 = $this.lastName;
  if ((value$2 !== (void 0))) {
    var value$3 = $this.lastName;
    if ((value$3 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$6 = $as_T(value$3);
    ret.lastName = s$6
  };
  var value$4 = $this.mobile;
  if ((value$4 !== (void 0))) {
    var value$5 = $this.mobile;
    if ((value$5 === (void 0))) {
      throw new $c_ju_NoSuchElementException().init___T("undefined.get")
    };
    var s$7 = $as_T(value$5);
    ret.mobile = s$7
  };
  var value$6 = $uZ($this.active);
  ret.active = value$6;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_UserData__asDynamic__Lcom_metastay_gompaapp_data_UserData__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_UserData = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserData() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserData)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserData = (function $c_Lcom_metastay_gompaapp_data_UserData() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserData$__T($m_Lcom_metastay_gompaapp_data_UserData$()) : $as_T(arg$rest[0]));
      var userName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserData$__T($m_Lcom_metastay_gompaapp_data_UserData$()) : $as_T(arg$rest[1]));
      var fullName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserData$__T($m_Lcom_metastay_gompaapp_data_UserData$()) : $as_T(arg$rest[2]));
      var emailId = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserData$__T($m_Lcom_metastay_gompaapp_data_UserData$()) : $as_T(arg$rest[3]));
      var title = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserData$__sjs_js_UndefOr($m_Lcom_metastay_gompaapp_data_UserData$()) : arg$rest[4]);
      var firstName = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_UserData$__T($m_Lcom_metastay_gompaapp_data_UserData$()) : $as_T(arg$rest[5]));
      var lastName = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$7__Lcom_metastay_gompaapp_data_UserData$__sjs_js_UndefOr($m_Lcom_metastay_gompaapp_data_UserData$()) : arg$rest[6]);
      var mobile = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$8__Lcom_metastay_gompaapp_data_UserData$__sjs_js_UndefOr($m_Lcom_metastay_gompaapp_data_UserData$()) : arg$rest[7]);
      var active = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$9__Lcom_metastay_gompaapp_data_UserData$__Z($m_Lcom_metastay_gompaapp_data_UserData$()) : $uZ(arg$rest[8]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fullName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "emailId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "title", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "firstName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "lastName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "mobile", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "active", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      this.userId = userId;
      this.userName = userName;
      this.fullName = fullName;
      this.emailId = emailId;
      this.title = title;
      this.firstName = firstName;
      this.lastName = lastName;
      this.mobile = mobile;
      this.active = active
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserData = (function $h_Lcom_metastay_gompaapp_data_UserData() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserData.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserData.prototype = new $h_Lcom_metastay_gompaapp_data_UserData();
    $c_Lcom_metastay_gompaapp_data_UserData.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserData;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserData.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserData__asDynamic__Lcom_metastay_gompaapp_data_UserData__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserData.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserData__toJson__Lcom_metastay_gompaapp_data_UserData__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UserData = $c_Lcom_metastay_gompaapp_data_UserData
  };
  return $b_Lcom_metastay_gompaapp_data_UserData
}
function $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$9__Lcom_metastay_gompaapp_data_UserData$__Z($this) {
  return false
}
function $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserData$__from__Lcom_metastay_gompaapp_data_UserData$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserData($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$7__Lcom_metastay_gompaapp_data_UserData$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_UserData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserData$__createNew__Lcom_metastay_gompaapp_data_UserData$__Lcom_metastay_gompaapp_data_UserData($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserData())()
}
function $s_Lcom_metastay_gompaapp_data_UserData$__fromDynamic__Lcom_metastay_gompaapp_data_UserData$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserData($this, json) {
  var v = json.userId;
  if (((v === (void 0)) || (json.userId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.userId)
  };
  var v$1 = json.userName;
  if (((v$1 === (void 0)) || (json.userName === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.userName)
  };
  var v$2 = json.fullName;
  if (((v$2 === (void 0)) || (json.fullName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.fullName)
  };
  var v$3 = json.emailId;
  if (((v$3 === (void 0)) || (json.emailId === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.emailId)
  };
  var v$4 = json.title;
  if (((v$4 === (void 0)) || (json.title === null))) {
    var jsx$4 = (void 0)
  } else {
    var jsx$4 = json.title
  };
  var v$5 = json.firstName;
  if (((v$5 === (void 0)) || (json.firstName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.firstName)
  };
  var v$6 = json.lastName;
  if (((v$6 === (void 0)) || (json.lastName === null))) {
    var jsx$2 = (void 0)
  } else {
    var jsx$2 = json.lastName
  };
  var v$7 = json.mobile;
  if (((v$7 === (void 0)) || (json.mobile === null))) {
    var jsx$1 = (void 0)
  } else {
    var jsx$1 = json.mobile
  };
  var v$8 = json.active;
  return new ($a_Lcom_metastay_gompaapp_data_UserData())(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, ((!((v$8 === (void 0)) || (json.active === null))) && $uZ(json.active)))
}
function $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$8__Lcom_metastay_gompaapp_data_UserData$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserData$__sjs_js_UndefOr($this) {
  return (void 0)
}
function $s_Lcom_metastay_gompaapp_data_UserData$__schemaInfo__Lcom_metastay_gompaapp_data_UserData$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserData\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"fullName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"emailId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"title\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"firstName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"lastName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"mobile\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"active\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userId\" , \"userName\" , \"fullName\" , \"emailId\" , \"firstName\" , \"active\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_UserData$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserData$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_UserData$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserData$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserData$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserData$ = (function $c_Lcom_metastay_gompaapp_data_UserData$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserData$ = (function $h_Lcom_metastay_gompaapp_data_UserData$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserData$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserData$.prototype = new $h_Lcom_metastay_gompaapp_data_UserData$();
    $c_Lcom_metastay_gompaapp_data_UserData$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserData$;
    $c_Lcom_metastay_gompaapp_data_UserData$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserData$__createNew__Lcom_metastay_gompaapp_data_UserData$__Lcom_metastay_gompaapp_data_UserData(this)
    });
    $c_Lcom_metastay_gompaapp_data_UserData$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UserData$__fromDynamic__Lcom_metastay_gompaapp_data_UserData$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserData(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UserData$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UserData$__from__Lcom_metastay_gompaapp_data_UserData$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserData(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UserData$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserData$__schemaInfo__Lcom_metastay_gompaapp_data_UserData$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UserData$ = $c_Lcom_metastay_gompaapp_data_UserData$
  };
  return $b_Lcom_metastay_gompaapp_data_UserData$
}
var $n_Lcom_metastay_gompaapp_data_UserData$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UserData$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UserData$)) {
    $n_Lcom_metastay_gompaapp_data_UserData$ = new ($a_Lcom_metastay_gompaapp_data_UserData$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UserData$
}
function $s_Lcom_metastay_gompaapp_data_UserGrid__toJson__Lcom_metastay_gompaapp_data_UserGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userId);
  ret.userId = s;
  var s$1 = $as_T($this.userName);
  ret.userName = s$1;
  var s$2 = $as_T($this.fullName);
  ret.fullName = s$2;
  var s$3 = $as_T($this.emailId);
  ret.emailId = s$3;
  var s$4 = $as_T($this.title);
  ret.title = s$4;
  var s$5 = $as_T($this.firstName);
  ret.firstName = s$5;
  var s$6 = $as_T($this.lastName);
  ret.lastName = s$6;
  var s$7 = $as_T($this.mobile);
  ret.mobile = s$7;
  var value = $uZ($this.active);
  ret.active = value;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_UserGrid__asDynamic__Lcom_metastay_gompaapp_data_UserGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_UserGrid = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGrid() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGrid = (function $c_Lcom_metastay_gompaapp_data_UserGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGrid$__T($m_Lcom_metastay_gompaapp_data_UserGrid$()) : $as_T(arg$rest[0]));
      var userName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGrid$__T($m_Lcom_metastay_gompaapp_data_UserGrid$()) : $as_T(arg$rest[1]));
      var fullName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGrid$__T($m_Lcom_metastay_gompaapp_data_UserGrid$()) : $as_T(arg$rest[2]));
      var emailId = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserGrid$__T($m_Lcom_metastay_gompaapp_data_UserGrid$()) : $as_T(arg$rest[3]));
      var title = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserGrid$__T($m_Lcom_metastay_gompaapp_data_UserGrid$()) : $as_T(arg$rest[4]));
      var firstName = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_UserGrid$__T($m_Lcom_metastay_gompaapp_data_UserGrid$()) : $as_T(arg$rest[5]));
      var lastName = ((arg$rest[6] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$7__Lcom_metastay_gompaapp_data_UserGrid$__T($m_Lcom_metastay_gompaapp_data_UserGrid$()) : $as_T(arg$rest[6]));
      var mobile = ((arg$rest[7] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$8__Lcom_metastay_gompaapp_data_UserGrid$__T($m_Lcom_metastay_gompaapp_data_UserGrid$()) : $as_T(arg$rest[7]));
      var active = ((arg$rest[8] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$9__Lcom_metastay_gompaapp_data_UserGrid$__Z($m_Lcom_metastay_gompaapp_data_UserGrid$()) : $uZ(arg$rest[8]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "fullName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "emailId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "title", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "firstName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "lastName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "mobile", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "active", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      this.userId = userId;
      this.userName = userName;
      this.fullName = fullName;
      this.emailId = emailId;
      this.title = title;
      this.firstName = firstName;
      this.lastName = lastName;
      this.mobile = mobile;
      this.active = active
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGrid = (function $h_Lcom_metastay_gompaapp_data_UserGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGrid.prototype = new $h_Lcom_metastay_gompaapp_data_UserGrid();
    $c_Lcom_metastay_gompaapp_data_UserGrid.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGrid;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGrid__asDynamic__Lcom_metastay_gompaapp_data_UserGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGrid__toJson__Lcom_metastay_gompaapp_data_UserGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UserGrid = $c_Lcom_metastay_gompaapp_data_UserGrid
  };
  return $b_Lcom_metastay_gompaapp_data_UserGrid
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__schemaInfo__Lcom_metastay_gompaapp_data_UserGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/user/:userName\"} \n        }\n     ,\n\"fullName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"emailId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"title\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"firstName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"lastName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"mobile\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"active\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": { \"formatter\" : \"GompaUtil.toggleActiveText\"} \n        }\n     \n },\n \"required\": [   \"userId\" , \"userName\" , \"fullName\" , \"emailId\" , \"title\" , \"firstName\" , \"lastName\" , \"mobile\" , \"active\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$9__Lcom_metastay_gompaapp_data_UserGrid$__Z($this) {
  return false
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__from__Lcom_metastay_gompaapp_data_UserGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_UserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$7__Lcom_metastay_gompaapp_data_UserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__fromDynamic__Lcom_metastay_gompaapp_data_UserGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGrid($this, json) {
  var v = json.userId;
  if (((v === (void 0)) || (json.userId === null))) {
    var jsx$8 = null
  } else {
    var jsx$8 = $as_T(json.userId)
  };
  var v$1 = json.userName;
  if (((v$1 === (void 0)) || (json.userName === null))) {
    var jsx$7 = null
  } else {
    var jsx$7 = $as_T(json.userName)
  };
  var v$2 = json.fullName;
  if (((v$2 === (void 0)) || (json.fullName === null))) {
    var jsx$6 = null
  } else {
    var jsx$6 = $as_T(json.fullName)
  };
  var v$3 = json.emailId;
  if (((v$3 === (void 0)) || (json.emailId === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.emailId)
  };
  var v$4 = json.title;
  if (((v$4 === (void 0)) || (json.title === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.title)
  };
  var v$5 = json.firstName;
  if (((v$5 === (void 0)) || (json.firstName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.firstName)
  };
  var v$6 = json.lastName;
  if (((v$6 === (void 0)) || (json.lastName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.lastName)
  };
  var v$7 = json.mobile;
  if (((v$7 === (void 0)) || (json.mobile === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.mobile)
  };
  var v$8 = json.active;
  return new ($a_Lcom_metastay_gompaapp_data_UserGrid())(jsx$8, jsx$7, jsx$6, jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, ((!((v$8 === (void 0)) || (json.active === null))) && $uZ(json.active)))
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__$$lessinit$greater$default$8__Lcom_metastay_gompaapp_data_UserGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGrid$__createNew__Lcom_metastay_gompaapp_data_UserGrid$__Lcom_metastay_gompaapp_data_UserGrid($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserGrid())()
}
var $b_Lcom_metastay_gompaapp_data_UserGrid$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGrid$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGrid$ = (function $c_Lcom_metastay_gompaapp_data_UserGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGrid$ = (function $h_Lcom_metastay_gompaapp_data_UserGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGrid$.prototype = new $h_Lcom_metastay_gompaapp_data_UserGrid$();
    $c_Lcom_metastay_gompaapp_data_UserGrid$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGrid$;
    $c_Lcom_metastay_gompaapp_data_UserGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGrid$__createNew__Lcom_metastay_gompaapp_data_UserGrid$__Lcom_metastay_gompaapp_data_UserGrid(this)
    });
    $c_Lcom_metastay_gompaapp_data_UserGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UserGrid$__fromDynamic__Lcom_metastay_gompaapp_data_UserGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGrid(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UserGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UserGrid$__from__Lcom_metastay_gompaapp_data_UserGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UserGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGrid$__schemaInfo__Lcom_metastay_gompaapp_data_UserGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UserGrid$ = $c_Lcom_metastay_gompaapp_data_UserGrid$
  };
  return $b_Lcom_metastay_gompaapp_data_UserGrid$
}
var $n_Lcom_metastay_gompaapp_data_UserGrid$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UserGrid$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UserGrid$)) {
    $n_Lcom_metastay_gompaapp_data_UserGrid$ = new ($a_Lcom_metastay_gompaapp_data_UserGrid$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UserGrid$
}
function $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup__asDynamic__Lcom_metastay_gompaapp_data_UserGridForUserGroup__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup__toJson__Lcom_metastay_gompaapp_data_UserGridForUserGroup__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userName);
  ret.userName = s;
  var value = $uZ($this.isUserActiveInUserGroup);
  ret.isUserActiveInUserGroup = value;
  var s$1 = $as_T($this.remove);
  ret.remove = s$1;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_UserGridForUserGroup = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGridForUserGroup() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGridForUserGroup)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup = (function $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_UserGridForUserGroup$()) : $as_T(arg$rest[0]));
      var isUserActiveInUserGroup = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__Z($m_Lcom_metastay_gompaapp_data_UserGridForUserGroup$()) : $uZ(arg$rest[1]));
      var remove = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__T($m_Lcom_metastay_gompaapp_data_UserGridForUserGroup$()) : $as_T(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "isUserActiveInUserGroup", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userName = userName;
      this.isUserActiveInUserGroup = isUserActiveInUserGroup;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGridForUserGroup = (function $h_Lcom_metastay_gompaapp_data_UserGridForUserGroup() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGridForUserGroup.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup.prototype = new $h_Lcom_metastay_gompaapp_data_UserGridForUserGroup();
    $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGridForUserGroup.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup__asDynamic__Lcom_metastay_gompaapp_data_UserGridForUserGroup__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGridForUserGroup.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup__toJson__Lcom_metastay_gompaapp_data_UserGridForUserGroup__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UserGridForUserGroup = $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup
  };
  return $b_Lcom_metastay_gompaapp_data_UserGridForUserGroup
}
function $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__createNew__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__Lcom_metastay_gompaapp_data_UserGridForUserGroup($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserGridForUserGroup())()
}
function $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__from__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGridForUserGroup($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__fromDynamic__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGridForUserGroup($this, json) {
  var v = json.userName;
  if (((v === (void 0)) || (json.userName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userName)
  };
  var v$1 = json.isUserActiveInUserGroup;
  if ((!((v$1 === (void 0)) || (json.isUserActiveInUserGroup === null)))) {
    var jsx$1 = $uZ(json.isUserActiveInUserGroup)
  } else {
    var jsx$1 = false
  };
  var v$2 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_UserGridForUserGroup())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__Z($this) {
  return false
}
function $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__schemaInfo__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserGridForUserGroup\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/user/:userName\"} \n        }\n     ,\n\"isUserActiveInUserGroup\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": { \"actionId\" : \"toggleActive\" , \"formatter\" : \"GompaUtil.toggleActive\"} \n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeUserFromGroup\" , \"actionClass\" : \"remove text-danger\", \"actionText\" : \" \"} \n        }\n     \n },\n \"required\": [   \"userName\" , \"isUserActiveInUserGroup\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
var $b_Lcom_metastay_gompaapp_data_UserGridForUserGroup$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGridForUserGroup$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGridForUserGroup$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup$ = (function $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGridForUserGroup$ = (function $h_Lcom_metastay_gompaapp_data_UserGridForUserGroup$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGridForUserGroup$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup$.prototype = new $h_Lcom_metastay_gompaapp_data_UserGridForUserGroup$();
    $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup$;
    $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__createNew__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__Lcom_metastay_gompaapp_data_UserGridForUserGroup(this)
    });
    $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__fromDynamic__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGridForUserGroup(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__from__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGridForUserGroup(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGridForUserGroup$__schemaInfo__Lcom_metastay_gompaapp_data_UserGridForUserGroup$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UserGridForUserGroup$ = $c_Lcom_metastay_gompaapp_data_UserGridForUserGroup$
  };
  return $b_Lcom_metastay_gompaapp_data_UserGridForUserGroup$
}
var $n_Lcom_metastay_gompaapp_data_UserGridForUserGroup$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UserGridForUserGroup$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UserGridForUserGroup$)) {
    $n_Lcom_metastay_gompaapp_data_UserGridForUserGroup$ = new ($a_Lcom_metastay_gompaapp_data_UserGridForUserGroup$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UserGridForUserGroup$
}
function $s_Lcom_metastay_gompaapp_data_UserGroupData__toJson__Lcom_metastay_gompaapp_data_UserGroupData__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userGroupId);
  ret.userGroupId = s;
  var s$1 = $as_T($this.userGroupName);
  ret.userGroupName = s$1;
  var s$2 = $as_T($this.description);
  ret.description = s$2;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_UserGroupData__asDynamic__Lcom_metastay_gompaapp_data_UserGroupData__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_UserGroupData = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGroupData() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGroupData)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGroupData = (function $c_Lcom_metastay_gompaapp_data_UserGroupData() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userGroupId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupData$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGroupData$__T($m_Lcom_metastay_gompaapp_data_UserGroupData$()) : $as_T(arg$rest[0]));
      var userGroupName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupData$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGroupData$__T($m_Lcom_metastay_gompaapp_data_UserGroupData$()) : $as_T(arg$rest[1]));
      var description = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupData$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGroupData$__T($m_Lcom_metastay_gompaapp_data_UserGroupData$()) : $as_T(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userGroupId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "description", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userGroupId = userGroupId;
      this.userGroupName = userGroupName;
      this.description = description
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGroupData = (function $h_Lcom_metastay_gompaapp_data_UserGroupData() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGroupData.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGroupData.prototype = new $h_Lcom_metastay_gompaapp_data_UserGroupData();
    $c_Lcom_metastay_gompaapp_data_UserGroupData.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGroupData;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGroupData.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGroupData__asDynamic__Lcom_metastay_gompaapp_data_UserGroupData__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGroupData.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGroupData__toJson__Lcom_metastay_gompaapp_data_UserGroupData__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UserGroupData = $c_Lcom_metastay_gompaapp_data_UserGroupData
  };
  return $b_Lcom_metastay_gompaapp_data_UserGroupData
}
function $s_Lcom_metastay_gompaapp_data_UserGroupData$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGroupData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupData$__from__Lcom_metastay_gompaapp_data_UserGroupData$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGroupData($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupData$__createNew__Lcom_metastay_gompaapp_data_UserGroupData$__Lcom_metastay_gompaapp_data_UserGroupData($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserGroupData())()
}
function $s_Lcom_metastay_gompaapp_data_UserGroupData$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGroupData$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupData$__fromDynamic__Lcom_metastay_gompaapp_data_UserGroupData$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGroupData($this, json) {
  var v = json.userGroupId;
  if (((v === (void 0)) || (json.userGroupId === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userGroupId)
  };
  var v$1 = json.userGroupName;
  if (((v$1 === (void 0)) || (json.userGroupName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.userGroupName)
  };
  var v$2 = json.description;
  return new ($a_Lcom_metastay_gompaapp_data_UserGroupData())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.description === null)) ? null : $as_T(json.description)))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupData$__schemaInfo__Lcom_metastay_gompaapp_data_UserGroupData$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserGroupData\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userGroupId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"description\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userGroupId\" , \"userGroupName\" , \"description\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupData$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGroupData$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_UserGroupData$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGroupData$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGroupData$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGroupData$ = (function $c_Lcom_metastay_gompaapp_data_UserGroupData$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGroupData$ = (function $h_Lcom_metastay_gompaapp_data_UserGroupData$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGroupData$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGroupData$.prototype = new $h_Lcom_metastay_gompaapp_data_UserGroupData$();
    $c_Lcom_metastay_gompaapp_data_UserGroupData$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGroupData$;
    $c_Lcom_metastay_gompaapp_data_UserGroupData$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGroupData$__createNew__Lcom_metastay_gompaapp_data_UserGroupData$__Lcom_metastay_gompaapp_data_UserGroupData(this)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupData$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UserGroupData$__fromDynamic__Lcom_metastay_gompaapp_data_UserGroupData$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGroupData(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupData$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UserGroupData$__from__Lcom_metastay_gompaapp_data_UserGroupData$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGroupData(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupData$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGroupData$__schemaInfo__Lcom_metastay_gompaapp_data_UserGroupData$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UserGroupData$ = $c_Lcom_metastay_gompaapp_data_UserGroupData$
  };
  return $b_Lcom_metastay_gompaapp_data_UserGroupData$
}
var $n_Lcom_metastay_gompaapp_data_UserGroupData$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UserGroupData$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UserGroupData$)) {
    $n_Lcom_metastay_gompaapp_data_UserGroupData$ = new ($a_Lcom_metastay_gompaapp_data_UserGroupData$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UserGroupData$
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGrid__toJson__Lcom_metastay_gompaapp_data_UserGroupGrid__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userGroupId);
  ret.userGroupId = s;
  var s$1 = $as_T($this.userGroupName);
  ret.userGroupName = s$1;
  var s$2 = $as_T($this.description);
  ret.description = s$2;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGrid__asDynamic__Lcom_metastay_gompaapp_data_UserGroupGrid__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_UserGroupGrid = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGroupGrid() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGroupGrid)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGroupGrid = (function $c_Lcom_metastay_gompaapp_data_UserGroupGrid() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userGroupId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGroupGrid$__T($m_Lcom_metastay_gompaapp_data_UserGroupGrid$()) : $as_T(arg$rest[0]));
      var userGroupName = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGroupGrid$__T($m_Lcom_metastay_gompaapp_data_UserGroupGrid$()) : $as_T(arg$rest[1]));
      var description = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGroupGrid$__T($m_Lcom_metastay_gompaapp_data_UserGroupGrid$()) : $as_T(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userGroupId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "description", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userGroupId = userGroupId;
      this.userGroupName = userGroupName;
      this.description = description
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGroupGrid = (function $h_Lcom_metastay_gompaapp_data_UserGroupGrid() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGroupGrid.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGroupGrid.prototype = new $h_Lcom_metastay_gompaapp_data_UserGroupGrid();
    $c_Lcom_metastay_gompaapp_data_UserGroupGrid.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGroupGrid;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGroupGrid.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGroupGrid__asDynamic__Lcom_metastay_gompaapp_data_UserGroupGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGroupGrid.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGroupGrid__toJson__Lcom_metastay_gompaapp_data_UserGroupGrid__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UserGroupGrid = $c_Lcom_metastay_gompaapp_data_UserGroupGrid
  };
  return $b_Lcom_metastay_gompaapp_data_UserGroupGrid
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__schemaInfo__Lcom_metastay_gompaapp_data_UserGroupGrid$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserGroupGrid\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userGroupId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/usergroup/:userGroupName\"} \n        }\n     ,\n\"description\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"userGroupId\" , \"userGroupName\" , \"description\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGroupGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__createNew__Lcom_metastay_gompaapp_data_UserGroupGrid$__Lcom_metastay_gompaapp_data_UserGroupGrid($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserGroupGrid())()
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__from__Lcom_metastay_gompaapp_data_UserGroupGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGroupGrid($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGroupGrid$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__fromDynamic__Lcom_metastay_gompaapp_data_UserGroupGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGroupGrid($this, json) {
  var v = json.userGroupId;
  if (((v === (void 0)) || (json.userGroupId === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userGroupId)
  };
  var v$1 = json.userGroupName;
  if (((v$1 === (void 0)) || (json.userGroupName === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.userGroupName)
  };
  var v$2 = json.description;
  return new ($a_Lcom_metastay_gompaapp_data_UserGroupGrid())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.description === null)) ? null : $as_T(json.description)))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGroupGrid$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_UserGroupGrid$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGroupGrid$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGroupGrid$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGroupGrid$ = (function $c_Lcom_metastay_gompaapp_data_UserGroupGrid$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGroupGrid$ = (function $h_Lcom_metastay_gompaapp_data_UserGroupGrid$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGroupGrid$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGroupGrid$.prototype = new $h_Lcom_metastay_gompaapp_data_UserGroupGrid$();
    $c_Lcom_metastay_gompaapp_data_UserGroupGrid$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGroupGrid$;
    $c_Lcom_metastay_gompaapp_data_UserGroupGrid$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__createNew__Lcom_metastay_gompaapp_data_UserGroupGrid$__Lcom_metastay_gompaapp_data_UserGroupGrid(this)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupGrid$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__fromDynamic__Lcom_metastay_gompaapp_data_UserGroupGrid$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGroupGrid(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupGrid$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__from__Lcom_metastay_gompaapp_data_UserGroupGrid$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGroupGrid(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupGrid$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGroupGrid$__schemaInfo__Lcom_metastay_gompaapp_data_UserGroupGrid$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UserGroupGrid$ = $c_Lcom_metastay_gompaapp_data_UserGroupGrid$
  };
  return $b_Lcom_metastay_gompaapp_data_UserGroupGrid$
}
var $n_Lcom_metastay_gompaapp_data_UserGroupGrid$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UserGroupGrid$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UserGroupGrid$)) {
    $n_Lcom_metastay_gompaapp_data_UserGroupGrid$ = new ($a_Lcom_metastay_gompaapp_data_UserGroupGrid$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UserGroupGrid$
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser__asDynamic__Lcom_metastay_gompaapp_data_UserGroupGridForUser__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser__toJson__Lcom_metastay_gompaapp_data_UserGroupGridForUser__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.userGroupName);
  ret.userGroupName = s;
  var value = $uZ($this.isUserActiveInUserGroup);
  ret.isUserActiveInUserGroup = value;
  var s$1 = $as_T($this.remove);
  ret.remove = s$1;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_UserGroupGridForUser = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGroupGridForUser() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGroupGridForUser)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser = (function $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var userGroupName = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__T($m_Lcom_metastay_gompaapp_data_UserGroupGridForUser$()) : $as_T(arg$rest[0]));
      var isUserActiveInUserGroup = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__Z($m_Lcom_metastay_gompaapp_data_UserGroupGridForUser$()) : $uZ(arg$rest[1]));
      var remove = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__T($m_Lcom_metastay_gompaapp_data_UserGroupGridForUser$()) : $as_T(arg$rest[2]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "isUserActiveInUserGroup", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": false
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.userGroupName = userGroupName;
      this.isUserActiveInUserGroup = isUserActiveInUserGroup;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGroupGridForUser = (function $h_Lcom_metastay_gompaapp_data_UserGroupGridForUser() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGroupGridForUser.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser.prototype = new $h_Lcom_metastay_gompaapp_data_UserGroupGridForUser();
    $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGroupGridForUser.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser__asDynamic__Lcom_metastay_gompaapp_data_UserGroupGridForUser__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGroupGridForUser.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser__toJson__Lcom_metastay_gompaapp_data_UserGroupGridForUser__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UserGroupGridForUser = $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser
  };
  return $b_Lcom_metastay_gompaapp_data_UserGroupGridForUser
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__Z($this) {
  return false
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__createNew__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__Lcom_metastay_gompaapp_data_UserGroupGridForUser($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserGroupGridForUser())()
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__schemaInfo__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserGroupGridForUser\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/usergroup/:userGroupName\"} \n        }\n     ,\n\"isUserActiveInUserGroup\": {\n    \"type\": \"Boolean\" \n   \n   , \"extra\": { \"actionId\" : \"toggleActive\" , \"formatter\" : \"GompaUtil.toggleActive\"} \n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeUserFromGroup\" , \"actionClass\" : \"remove text-danger\", \"actionText\" : \" \"} \n        }\n     \n },\n \"required\": [   \"userGroupName\" , \"isUserActiveInUserGroup\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__fromDynamic__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGroupGridForUser($this, json) {
  var v = json.userGroupName;
  if (((v === (void 0)) || (json.userGroupName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userGroupName)
  };
  var v$1 = json.isUserActiveInUserGroup;
  if ((!((v$1 === (void 0)) || (json.isUserActiveInUserGroup === null)))) {
    var jsx$1 = $uZ(json.isUserActiveInUserGroup)
  } else {
    var jsx$1 = false
  };
  var v$2 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_UserGroupGridForUser())(jsx$2, jsx$1, (((v$2 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__from__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGroupGridForUser($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
var $b_Lcom_metastay_gompaapp_data_UserGroupGridForUser$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGroupGridForUser$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGroupGridForUser$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser$ = (function $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGroupGridForUser$ = (function $h_Lcom_metastay_gompaapp_data_UserGroupGridForUser$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGroupGridForUser$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser$.prototype = new $h_Lcom_metastay_gompaapp_data_UserGroupGridForUser$();
    $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser$;
    $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__createNew__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__Lcom_metastay_gompaapp_data_UserGroupGridForUser(this)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__fromDynamic__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGroupGridForUser(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__from__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGroupGridForUser(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGroupGridForUser$__schemaInfo__Lcom_metastay_gompaapp_data_UserGroupGridForUser$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UserGroupGridForUser$ = $c_Lcom_metastay_gompaapp_data_UserGroupGridForUser$
  };
  return $b_Lcom_metastay_gompaapp_data_UserGroupGridForUser$
}
var $n_Lcom_metastay_gompaapp_data_UserGroupGridForUser$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UserGroupGridForUser$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UserGroupGridForUser$)) {
    $n_Lcom_metastay_gompaapp_data_UserGroupGridForUser$ = new ($a_Lcom_metastay_gompaapp_data_UserGroupGridForUser$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UserGroupGridForUser$
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp__toJson__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.appUserGroupRoleId);
  ret.appUserGroupRoleId = s;
  var s$1 = $as_T($this.appId);
  ret.appId = s$1;
  var s$2 = $as_T($this.userGroupName);
  ret.userGroupName = s$2;
  var s$3 = $as_T($this.role);
  ret.role = s$3;
  var s$4 = $as_T($this.remove);
  ret.remove = s$4;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp__asDynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp = (function $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var appUserGroupRoleId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__T($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$()) : $as_T(arg$rest[0]));
      var appId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__T($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$()) : $as_T(arg$rest[1]));
      var userGroupName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__T($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$()) : $as_T(arg$rest[2]));
      var role = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__T($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$()) : $as_T(arg$rest[3]));
      var remove = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__T($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$()) : $as_T(arg$rest[4]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "appUserGroupRoleId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "appId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.appUserGroupRoleId = appUserGroupRoleId;
      this.appId = appId;
      this.userGroupName = userGroupName;
      this.role = role;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp = (function $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp.prototype = new $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp();
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp__asDynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp__toJson__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp = $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp
  };
  return $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__schemaInfo__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserGroupRoleGridForApp\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"appUserGroupRoleId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"appId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/usergroup/:userGroupName\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeAppUserGroupRoleMap\" , \"actionClass\" : \"remove text-danger\", \"actionText\" : \" \" } \n        }\n     \n },\n \"required\": [   \"appUserGroupRoleId\" , \"appId\" , \"userGroupName\" , \"role\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__createNew__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp())()
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__from__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__fromDynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp($this, json) {
  var v = json.appUserGroupRoleId;
  if (((v === (void 0)) || (json.appUserGroupRoleId === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.appUserGroupRoleId)
  };
  var v$1 = json.appId;
  if (((v$1 === (void 0)) || (json.appId === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.appId)
  };
  var v$2 = json.userGroupName;
  if (((v$2 === (void 0)) || (json.userGroupName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userGroupName)
  };
  var v$3 = json.role;
  if (((v$3 === (void 0)) || (json.role === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.role)
  };
  var v$4 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp())(jsx$4, jsx$3, jsx$2, jsx$1, (((v$4 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
var $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$ = (function $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$ = (function $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$.prototype = new $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$();
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$;
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__createNew__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp(this)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__fromDynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__from__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__schemaInfo__Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$ = $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$
  };
  return $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$
}
var $n_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$)) {
    $n_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$ = new ($a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam__asDynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam__toJson__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamUserGroupRoleId);
  ret.teamUserGroupRoleId = s;
  var s$1 = $as_T($this.teamCode);
  ret.teamCode = s$1;
  var s$2 = $as_T($this.userGroupName);
  ret.userGroupName = s$2;
  var s$3 = $as_T($this.role);
  ret.role = s$3;
  var value = $uI($this.maxQSize);
  ret.maxQSize = value;
  var s$4 = $as_T($this.remove);
  ret.remove = s$4;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam = (function $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamUserGroupRoleId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__T($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__T($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$()) : $as_T(arg$rest[1]));
      var userGroupName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__T($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$()) : $as_T(arg$rest[2]));
      var role = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__T($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$()) : $as_T(arg$rest[3]));
      var maxQSize = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__I($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$()) : $uI(arg$rest[4]));
      var remove = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__T($m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$()) : $as_T(arg$rest[5]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamUserGroupRoleId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userGroupName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "maxQSize", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamUserGroupRoleId = teamUserGroupRoleId;
      this.teamCode = teamCode;
      this.userGroupName = userGroupName;
      this.role = role;
      this.maxQSize = maxQSize;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam = (function $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam.prototype = new $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam();
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam__asDynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam__toJson__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam = $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam
  };
  return $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__fromDynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam($this, json) {
  var v = json.teamUserGroupRoleId;
  if (((v === (void 0)) || (json.teamUserGroupRoleId === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.teamUserGroupRoleId)
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.teamCode)
  };
  var v$2 = json.userGroupName;
  if (((v$2 === (void 0)) || (json.userGroupName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.userGroupName)
  };
  var v$3 = json.role;
  if (((v$3 === (void 0)) || (json.role === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.role)
  };
  var v$4 = json.maxQSize;
  if (((v$4 === (void 0)) || (json.maxQSize === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.maxQSize)
  };
  var v$5 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam())(jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$5 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__schemaInfo__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserGroupRoleGridForTeam\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamUserGroupRoleId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"userGroupName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/usergroup/:userGroupName\", \"title\" : \"UserGroup\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"maxQSize\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeAppUserGroupRoleMap\" , \"actionClass\" : \"remove text-danger\", \"actionText\":\" \"} \n        }\n     \n },\n \"required\": [   \"teamUserGroupRoleId\" , \"teamCode\" , \"userGroupName\" , \"role\" , \"maxQSize\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__from__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__I($this) {
  return 0
}
function $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__createNew__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam())()
}
var $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$ = (function $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$ = (function $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$.prototype = new $h_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$();
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$;
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__createNew__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam(this)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__fromDynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__from__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__schemaInfo__Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$ = $c_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$
  };
  return $b_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$
}
var $n_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$)) {
    $n_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$ = new ($a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp__toJson__Lcom_metastay_gompaapp_data_UserRoleGridForApp__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.appUserRoleId);
  ret.appUserRoleId = s;
  var s$1 = $as_T($this.appId);
  ret.appId = s$1;
  var s$2 = $as_T($this.userName);
  ret.userName = s$2;
  var s$3 = $as_T($this.role);
  ret.role = s$3;
  var s$4 = $as_T($this.remove);
  ret.remove = s$4;
  return ret
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp__asDynamic__Lcom_metastay_gompaapp_data_UserRoleGridForApp__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_data_UserRoleGridForApp = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserRoleGridForApp() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserRoleGridForApp)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp = (function $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var appUserRoleId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__T($m_Lcom_metastay_gompaapp_data_UserRoleGridForApp$()) : $as_T(arg$rest[0]));
      var appId = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__T($m_Lcom_metastay_gompaapp_data_UserRoleGridForApp$()) : $as_T(arg$rest[1]));
      var userName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__T($m_Lcom_metastay_gompaapp_data_UserRoleGridForApp$()) : $as_T(arg$rest[2]));
      var role = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__T($m_Lcom_metastay_gompaapp_data_UserRoleGridForApp$()) : $as_T(arg$rest[3]));
      var remove = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__T($m_Lcom_metastay_gompaapp_data_UserRoleGridForApp$()) : $as_T(arg$rest[4]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "appUserRoleId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "appId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.appUserRoleId = appUserRoleId;
      this.appId = appId;
      this.userName = userName;
      this.role = role;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserRoleGridForApp = (function $h_Lcom_metastay_gompaapp_data_UserRoleGridForApp() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserRoleGridForApp.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp.prototype = new $h_Lcom_metastay_gompaapp_data_UserRoleGridForApp();
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserRoleGridForApp.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp__asDynamic__Lcom_metastay_gompaapp_data_UserRoleGridForApp__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserRoleGridForApp.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp__toJson__Lcom_metastay_gompaapp_data_UserRoleGridForApp__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UserRoleGridForApp = $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp
  };
  return $b_Lcom_metastay_gompaapp_data_UserRoleGridForApp
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__schemaInfo__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserRoleGridForApp\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"appUserRoleId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"appId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/user/:userName\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeAppUserRoleMap\" , \"actionClass\" : \"remove text-danger\", \"actionText\" : \" \" } \n        }\n     \n },\n \"required\": [   \"appUserRoleId\" , \"appId\" , \"userName\" , \"role\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__fromDynamic__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserRoleGridForApp($this, json) {
  var v = json.appUserRoleId;
  if (((v === (void 0)) || (json.appUserRoleId === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.appUserRoleId)
  };
  var v$1 = json.appId;
  if (((v$1 === (void 0)) || (json.appId === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.appId)
  };
  var v$2 = json.userName;
  if (((v$2 === (void 0)) || (json.userName === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.userName)
  };
  var v$3 = json.role;
  if (((v$3 === (void 0)) || (json.role === null))) {
    var jsx$1 = null
  } else {
    var jsx$1 = $as_T(json.role)
  };
  var v$4 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_UserRoleGridForApp())(jsx$4, jsx$3, jsx$2, jsx$1, (((v$4 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__from__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserRoleGridForApp($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__createNew__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__Lcom_metastay_gompaapp_data_UserRoleGridForApp($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserRoleGridForApp())()
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__T($this) {
  return null
}
var $b_Lcom_metastay_gompaapp_data_UserRoleGridForApp$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserRoleGridForApp$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserRoleGridForApp$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp$ = (function $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserRoleGridForApp$ = (function $h_Lcom_metastay_gompaapp_data_UserRoleGridForApp$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserRoleGridForApp$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp$.prototype = new $h_Lcom_metastay_gompaapp_data_UserRoleGridForApp$();
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp$;
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__createNew__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__Lcom_metastay_gompaapp_data_UserRoleGridForApp(this)
    });
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__fromDynamic__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserRoleGridForApp(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__from__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserRoleGridForApp(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserRoleGridForApp$__schemaInfo__Lcom_metastay_gompaapp_data_UserRoleGridForApp$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UserRoleGridForApp$ = $c_Lcom_metastay_gompaapp_data_UserRoleGridForApp$
  };
  return $b_Lcom_metastay_gompaapp_data_UserRoleGridForApp$
}
var $n_Lcom_metastay_gompaapp_data_UserRoleGridForApp$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UserRoleGridForApp$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UserRoleGridForApp$)) {
    $n_Lcom_metastay_gompaapp_data_UserRoleGridForApp$ = new ($a_Lcom_metastay_gompaapp_data_UserRoleGridForApp$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UserRoleGridForApp$
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam__asDynamic__Lcom_metastay_gompaapp_data_UserRoleGridForTeam__sjs_js_Dynamic($this) {
  return $this
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam__toJson__Lcom_metastay_gompaapp_data_UserRoleGridForTeam__sjs_js_Dynamic($this) {
  var ret = {};
  var s = $as_T($this.teamUserRoleId);
  ret.teamUserRoleId = s;
  var s$1 = $as_T($this.teamCode);
  ret.teamCode = s$1;
  var s$2 = $as_T($this.userName);
  ret.userName = s$2;
  var s$3 = $as_T($this.role);
  ret.role = s$3;
  var value = $uI($this.maxQSize);
  ret.maxQSize = value;
  var s$4 = $as_T($this.remove);
  ret.remove = s$4;
  return ret
}
var $b_Lcom_metastay_gompaapp_data_UserRoleGridForTeam = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserRoleGridForTeam() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserRoleGridForTeam)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam = (function $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var teamUserRoleId = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__T($m_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$()) : $as_T(arg$rest[0]));
      var teamCode = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__T($m_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$()) : $as_T(arg$rest[1]));
      var userName = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__T($m_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$()) : $as_T(arg$rest[2]));
      var role = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__T($m_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$()) : $as_T(arg$rest[3]));
      var maxQSize = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__I($m_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$()) : $uI(arg$rest[4]));
      var remove = ((arg$rest[5] === (void 0)) ? $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__T($m_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$()) : $as_T(arg$rest[5]));
      $g.Object.call(this);
      $g.Object.defineProperty(this, "teamUserRoleId", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "teamCode", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "userName", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "role", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "maxQSize", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperty(this, "remove", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.teamUserRoleId = teamUserRoleId;
      this.teamCode = teamCode;
      this.userName = userName;
      this.role = role;
      this.maxQSize = maxQSize;
      this.remove = remove
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserRoleGridForTeam = (function $h_Lcom_metastay_gompaapp_data_UserRoleGridForTeam() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserRoleGridForTeam.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam.prototype = new $h_Lcom_metastay_gompaapp_data_UserRoleGridForTeam();
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam;
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam__asDynamic__Lcom_metastay_gompaapp_data_UserRoleGridForTeam__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam__toJson__Lcom_metastay_gompaapp_data_UserRoleGridForTeam__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_data_UserRoleGridForTeam = $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam
  };
  return $b_Lcom_metastay_gompaapp_data_UserRoleGridForTeam
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__fromDynamic__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserRoleGridForTeam($this, json) {
  var v = json.teamUserRoleId;
  if (((v === (void 0)) || (json.teamUserRoleId === null))) {
    var jsx$5 = null
  } else {
    var jsx$5 = $as_T(json.teamUserRoleId)
  };
  var v$1 = json.teamCode;
  if (((v$1 === (void 0)) || (json.teamCode === null))) {
    var jsx$4 = null
  } else {
    var jsx$4 = $as_T(json.teamCode)
  };
  var v$2 = json.userName;
  if (((v$2 === (void 0)) || (json.userName === null))) {
    var jsx$3 = null
  } else {
    var jsx$3 = $as_T(json.userName)
  };
  var v$3 = json.role;
  if (((v$3 === (void 0)) || (json.role === null))) {
    var jsx$2 = null
  } else {
    var jsx$2 = $as_T(json.role)
  };
  var v$4 = json.maxQSize;
  if (((v$4 === (void 0)) || (json.maxQSize === null))) {
    var jsx$1 = 0
  } else {
    var jsx$1 = $uI(json.maxQSize)
  };
  var v$5 = json.remove;
  return new ($a_Lcom_metastay_gompaapp_data_UserRoleGridForTeam())(jsx$5, jsx$4, jsx$3, jsx$2, jsx$1, (((v$5 === (void 0)) || (json.remove === null)) ? null : $as_T(json.remove)))
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__createNew__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__Lcom_metastay_gompaapp_data_UserRoleGridForTeam($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserRoleGridForTeam())()
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__from__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserRoleGridForTeam($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__I($this) {
  return 0
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__$$lessinit$greater$default$6__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__T($this) {
  return null
}
function $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__schemaInfo__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"UserRoleGridForTeam\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"teamUserRoleId\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"teamCode\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"visible\" : false} \n        }\n     ,\n\"userName\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {\"link\" : \"/user/:userName\"} \n        }\n     ,\n\"role\": {\n    \"type\": \"String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"maxQSize\": {\n    \"type\": \"Int\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"remove\": {\n    \"type\": \"String\" \n   \n   , \"extra\": { \"actionId\" : \"removeTeamUserRoleMap\" , \"actionClass\" : \"remove text-danger\", \"actionText\" : \" \"} \n        }\n     \n },\n \"required\": [   \"teamUserRoleId\" , \"teamCode\" , \"userName\" , \"role\" , \"maxQSize\" , \"remove\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
var $b_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$ = (void 0);
function $a_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$() {
  if ((!$b_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$ = (function $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$ = (function $h_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$.prototype = new $h_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$();
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$.prototype.constructor = $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$;
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__createNew__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__Lcom_metastay_gompaapp_data_UserRoleGridForTeam(this)
    });
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__fromDynamic__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__sjs_js_Dynamic__Lcom_metastay_gompaapp_data_UserRoleGridForTeam(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__from__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_data_UserRoleGridForTeam(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__schemaInfo__Lcom_metastay_gompaapp_data_UserRoleGridForTeam$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$ = $c_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$
  };
  return $b_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$
}
var $n_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$ = (void 0);
function $m_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$() {
  if ((!$n_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$)) {
    $n_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$ = new ($a_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$())()
  };
  return $n_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$
}
function $s_Lcom_metastay_gompaapp_enums_Title__toJson__Lcom_metastay_gompaapp_enums_Title__sjs_js_Dynamic($this) {
  return $as_T($this.id)
}
function $s_Lcom_metastay_gompaapp_enums_Title__toNameString__Lcom_metastay_gompaapp_enums_Title__T($this) {
  return $as_T($this.name)
}
var $b_Lcom_metastay_gompaapp_enums_Title = (void 0);
function $a_Lcom_metastay_gompaapp_enums_Title() {
  if ((!$b_Lcom_metastay_gompaapp_enums_Title)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_enums_Title = (function $c_Lcom_metastay_gompaapp_enums_Title(arg$1, arg$2) {
      var id = $as_T(arg$1);
      var name = $as_T(arg$2);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "id", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "name", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "index", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": 0
      });
      $g.Object.defineProperties(this, {
        bitmap$0$2: {
          "configurable": true,
          "enumerable": true,
          "writable": true,
          "value": false
        }
      });
      this.id = id;
      this.name = name
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_enums_Title = (function $h_Lcom_metastay_gompaapp_enums_Title() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_enums_Title.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_enums_Title.prototype = new $h_Lcom_metastay_gompaapp_enums_Title();
    $c_Lcom_metastay_gompaapp_enums_Title.prototype.constructor = $c_Lcom_metastay_gompaapp_enums_Title;
    Object.defineProperty($c_Lcom_metastay_gompaapp_enums_Title.prototype, "toNameString", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_enums_Title__toNameString__Lcom_metastay_gompaapp_enums_Title__T(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_enums_Title.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_enums_Title__toJson__Lcom_metastay_gompaapp_enums_Title__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_enums_Title = $c_Lcom_metastay_gompaapp_enums_Title
  };
  return $b_Lcom_metastay_gompaapp_enums_Title
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$$anon$2().init___();
  return this
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAllAppIdList$Input$", {
  Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$;
var $n_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$ = new $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$13().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$$anon$14().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUser$Input$", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$;
var $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$ = new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$17().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$$anon$18().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input().init___T($as_T(json.userGroupName))
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$15().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$$anon$16().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUserInUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$$anon$4().init___();
  return this
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$: 0
}, false, "com.metastay.gompaapp.service.appreader.GetClientAppIdList$Input$", {
  Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$;
var $n_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$ = new $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$$anon$8().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input().init___T($as_T(json.appId))
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$: 0
}, false, "com.metastay.gompaapp.service.appreader.GetRoleListForApp$Input$", {
  Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$;
var $n_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$ = new $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$$anon$6().init___();
  return this
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$: 0
}, false, "com.metastay.gompaapp.service.appreader.GetServerAppIdList$Input$", {
  Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$;
var $n_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$ = new $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$11().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$$anon$12().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input().init___T($as_T(json.appId))
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$: 0
}, false, "com.metastay.gompaapp.service.appreader.GetUserGroupRoleListForApp$Input$", {
  Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$;
var $n_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$ = new $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$$anon$10().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input().init___T($as_T(json.appId))
});
var $d_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$: 0
}, false, "com.metastay.gompaapp.service.appreader.GetUserRoleListForApp$Input$", {
  Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$;
var $n_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$ = new $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$13().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$$anon$14().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input().init___T__T($as_T(json.userName), $as_T(json.appId))
});
var $d_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$: 0
}, false, "com.metastay.gompaapp.service.appwriter.AddUserAsGompaAppAdmin$Input$", {
  Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$;
var $n_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$ = new $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$$anon$6().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input().init___T__T__T($as_T(json.userGroupName), $as_T(json.role), $as_T(json.appId))
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Input$", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$;
var $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$ = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$$anon$8().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output().init___T($as_T(json.userGroupRoleId))
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Output$", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$;
var $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$)) {
    $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$ = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input().init___T__T__T($as_T(json.userName), $as_T(json.role), $as_T(json.appId))
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserRole$Input$", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$;
var $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$ = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$$anon$4().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output().init___T($as_T(json.userRoleId))
});
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserRole$Output$", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$;
var $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$)) {
    $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$ = new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$11().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$$anon$12().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input().init___T($as_T(json.userGroupRoleId))
});
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveAppUserGroupRoleMap$Input$", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$;
var $n_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$ = new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$$anon$10().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input().init___T($as_T(json.userRoleId))
});
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveAppUserRoleMap$Input$", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$;
var $n_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$ = new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$15().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$$anon$16().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input().init___T__T($as_T(json.userName), $as_T(json.appId))
});
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveUserAsGompaAppAdmin$Input$", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$;
var $n_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$)) {
    $n_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$ = new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$$anon$4().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input().init___T__T($as_T(json.appId), $as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.CanUserAccessApp$Input$", {
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$;
var $n_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$)) {
    $n_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$ = new $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$$anon$6().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input().init___T__T($as_T(json.teamCode), $as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.CanUserAccessTeam$Input$", {
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$;
var $n_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$)) {
    $n_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$ = new $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input().init___T($as_T(json.appId))
});
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.GetAdminListForApp$Input$", {
  Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$;
var $n_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$)) {
    $n_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$ = new $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$.prototype = $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$$anon$10().init___();
  return this
});
var $d_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$: 0
}, false, "com.metastay.gompaapp.service.inoutwriter.Logout$Input$", {
  Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$;
var $n_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$)) {
    $n_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$ = new $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$15().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$$anon$16().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input().init___T($as_T(json.teamCode))
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAdminListForTeam$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$$anon$4().init___();
  return this
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAllFqFlowNameList$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$$anon$2().init___();
  return this
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAllTeamList$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$$anon$6().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input().init___T($as_T(json.fqFlowName))
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetFqSubFlowNameListForFlow$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$11().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$$anon$12().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input().init___T($as_T(json.teamCode))
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetRoleListForTeam$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$$anon$8().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input().init___T($as_T(json.teamCode))
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetSubTeamListForTeam$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$13().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$$anon$14().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input().init___T($as_T(json.teamCode))
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamDetails$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$19().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$$anon$20().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamRoleListForUser$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$21().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$$anon$22().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamRoleListForUserInUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$23().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$$anon$24().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input().init___T($as_T(json.teamCode))
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetUserGroupRoleListForTeam$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$17().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$$anon$18().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input().init___T($as_T(json.teamCode))
});
var $d_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetUserRoleListForTeam$Input$", {
  Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$;
var $n_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$ = new $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$11().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$$anon$12().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input().init___T__T__T($as_T(json.teamCode), $as_T(json.subTeamCode), $as_T(json.fqSubFlowName))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.AddSubTeam$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$25().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$$anon$26().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input().init___T__T($as_T(json.teamCode), $as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.AddUserAsTeamAdmin$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$$anon$10().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input().init___T__T($as_T(json.teamCode), $as_T(json.fqFlowName))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.CreateTeam$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$$anon$6().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input().init___T__T__T__I($as_T(json.userGroupName), $as_T(json.role), $as_T(json.teamCode), $uI(json.maxQSize))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$$anon$8().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output().init___T($as_T(json.teamUserGroupRoleId))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Output$", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input().init___T__T__T__I($as_T(json.userName), $as_T(json.role), $as_T(json.teamCode), $uI(json.maxQSize))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$$anon$4().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output().init___T($as_T(json.teamUserRoleId))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Output$", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$13().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$$anon$14().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input().init___T($as_T(json.teamSubTeamMapId))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveSubTeam$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$15().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$$anon$16().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input().init___T($as_T(json.teamId))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeam$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$23().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$$anon$24().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input().init___T($as_T(json.teamUserGroupRoleId))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeamUserGroupRoleMap$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$19().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$$anon$20().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input().init___T($as_T(json.teamUserRoleId))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeamUserRoleMap$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$27().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$$anon$28().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input().init___T__T($as_T(json.teamCode), $as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveUserAsTeamAdmin$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$21().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$$anon$22().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input().init___T__T__I($as_T(json.teamCode), $as_T(json.teamUserGroupRoleId), $uI(json.maxQSize))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserGroupRole$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$17().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$$anon$18().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input().init___T__T__I($as_T(json.teamCode), $as_T(json.teamUserRoleId), $uI(json.maxQSize))
});
var $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$: 0
}, false, "com.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserRole$Input$", {
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$;
var $n_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$)) {
    $n_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$ = new $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$$anon$2().init___();
  return this
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetAllUserGroupList$Input$", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$$anon$4().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input().init___T($as_T(json.userGroupName))
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetRoleListForUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$11().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$$anon$12().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input().init___T($as_T(json.userGroupName))
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetTeamRoleListForUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$$anon$6().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input().init___T($as_T(json.userGroupName))
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserGroupDetails$Input$", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$$anon$10().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserGroupListForUser$Input$", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$$anon$8().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input().init___T($as_T(json.userGroupName))
});
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserListForUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$17().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$$anon$18().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input().init___T__T($as_T(json.userName), $as_T(json.userGroupName))
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.ActivateUserInUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$13().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$$anon$14().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input().init___T__T($as_T(json.userName), $as_T(json.userGroupName))
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.AddUserToUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$1().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$$anon$2().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input().init___T__T($as_T(json.userGroupName), $as_T(json.description))
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$$anon$4().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output().init___T($as_T(json.userGroupId))
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Output$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$19().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$$anon$20().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input().init___T__T($as_T(json.userName), $as_T(json.userGroupName))
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.DeactivateUserInUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$15().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$$anon$16().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input().init___T__T($as_T(json.userName), $as_T(json.userGroupName))
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.RemoveUserFromUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$11().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$$anon$12().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input().init___T($as_T(json.userGroupId))
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.RemoveUserGroup$Input$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$() {
  $c_O.call(this);
  this.toJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$$anon$8().init___();
  return this
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Input$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$$anon$10().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output = (function(json) {
  var jsx$3 = $uI(json.noOfUserUserGroupsMapped);
  if ((json.rejectedList === null)) {
    var jsx$2 = true
  } else {
    var v = json.rejectedList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.rejectedList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$1 = $as_sci_List(b.result__O())
  };
  return new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output().init___I__sci_List(jsx$3, jsx$1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Output$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$() {
  $c_O.call(this);
  this.toJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$$anon$5().init___();
  return this
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Input$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$6().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$$anon$7().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output = (function(json) {
  var jsx$3 = $uI(json.noOfUserGroupsAdded);
  if ((json.rejectedList === null)) {
    var jsx$2 = true
  } else {
    var v = json.rejectedList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.rejectedList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$1 = $as_sci_List(b.result__O())
  };
  return new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output().init___I__sci_List(jsx$3, jsx$1)
});
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Output$", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$;
var $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$() {
  if ((!$n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$)) {
    $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$ = new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$3().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$$anon$4().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userreader_FindUser$Input = (function(json) {
  if ((json.userNameStr === null)) {
    var jsx$4 = true
  } else {
    var v = json.userNameStr;
    var jsx$4 = (v === (void 0))
  };
  if (jsx$4) {
    var jsx$3 = $m_s_None$()
  } else {
    var value = json.userNameStr;
    var jsx$3 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  if ((json.includeInactive === null)) {
    var jsx$2 = true
  } else {
    var v$1 = json.includeInactive;
    var jsx$2 = (v$1 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value$1 = json.includeInactive;
    var jsx$1 = ((value$1 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$1))
  };
  return new $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input().init___s_Option__s_Option(jsx$3, jsx$1)
});
var $d_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_FindUser$Input$: 0
}, false, "com.metastay.gompaapp.service.userreader.FindUser$Input$", {
  Lcom_metastay_gompaapp_service_userreader_FindUser$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$;
var $n_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$ = new $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userreader_FindUser$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$$anon$8().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$: 0
}, false, "com.metastay.gompaapp.service.userreader.GetGompaAdminDetails$Input$", {
  Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$;
var $n_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$ = new $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$$anon$10().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$: 0
}, false, "com.metastay.gompaapp.service.userreader.GetRoleListForUser$Input$", {
  Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$;
var $n_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$ = new $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$5().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$$anon$6().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$: 0
}, false, "com.metastay.gompaapp.service.userreader.GetUserDetails$Input$", {
  Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$;
var $n_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$ = new $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$15().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$$anon$16().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$: 0
}, false, "com.metastay.gompaapp.service.userwriter.ActivateUser$Input$", {
  Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$;
var $n_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$ = new $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$7().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$$anon$8().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_AddUser$Input = (function(json) {
  var jsx$10 = $as_T(json.userName);
  var jsx$9 = $as_T(json.password);
  var jsx$8 = $as_T(json.emailId);
  if ((json.title === null)) {
    var jsx$7 = true
  } else {
    var v = json.title;
    var jsx$7 = (v === (void 0))
  };
  if (jsx$7) {
    var jsx$6 = $m_s_None$()
  } else {
    var value = json.title;
    var jsx$6 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  var jsx$5 = $as_T(json.firstName);
  if ((json.lastName === null)) {
    var jsx$4 = true
  } else {
    var v$1 = json.lastName;
    var jsx$4 = (v$1 === (void 0))
  };
  if (jsx$4) {
    var jsx$3 = $m_s_None$()
  } else {
    var value$1 = json.lastName;
    var jsx$3 = ((value$1 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$1))
  };
  if ((json.mobile === null)) {
    var jsx$2 = true
  } else {
    var v$2 = json.mobile;
    var jsx$2 = (v$2 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value$2 = json.mobile;
    var jsx$1 = ((value$2 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$2))
  };
  return new $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input().init___T__T__T__s_Option__T__s_Option__s_Option(jsx$10, jsx$9, jsx$8, jsx$6, jsx$5, jsx$3, jsx$1)
});
var $d_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$: 0
}, false, "com.metastay.gompaapp.service.userwriter.AddUser$Input$", {
  Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$;
var $n_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$ = new $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$13().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$$anon$14().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input().init___T__T__T__T__T__T($as_T(json.userName), $as_T(json.title), $as_T(json.firstName), $as_T(json.lastName), $as_T(json.mobile), $as_T(json.emailId))
});
var $d_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$: 0
}, false, "com.metastay.gompaapp.service.userwriter.ChangeDetails$Input$", {
  Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$;
var $n_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$ = new $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$17().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$$anon$18().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$: 0
}, false, "com.metastay.gompaapp.service.userwriter.DeactivateUser$Input$", {
  Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$;
var $n_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$ = new $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$19().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$$anon$20().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input().init___T($as_T(json.userName))
});
var $d_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$: 0
}, false, "com.metastay.gompaapp.service.userwriter.RemoveUser$Input$", {
  Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$;
var $n_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$ = new $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$9().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$$anon$10().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input = (function(json) {
  return new $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input().init___T__T($as_T(json.userName), $as_T(json.newPassword))
});
var $d_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$: 0
}, false, "com.metastay.gompaapp.service.userwriter.ResetPassword$Input$", {
  Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$;
var $n_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$ = new $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$() {
  $c_O.call(this);
  this.toJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$$anon$1().init___();
  return this
});
var $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$: 0
}, false, "com.metastay.gompaapp.service.userwriter.UploadUserFile$Input$", {
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$;
var $n_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$)) {
    $n_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$ = new $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$.prototype.init___ = (function() {
  $n_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$ = this;
  this.toJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$2().init___();
  this.fromJs$1 = new $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$$anon$3().init___();
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$.prototype.fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output = (function(json) {
  var jsx$3 = $uI(json.noOfUsersAdded);
  if ((json.rejectedList === null)) {
    var jsx$2 = true
  } else {
    var v = json.rejectedList;
    var jsx$2 = (v === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array = json.rejectedList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$1 = $as_sci_List(b.result__O())
  };
  return new $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output().init___I__sci_List(jsx$3, jsx$1)
});
var $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$ = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$: 0
}, false, "com.metastay.gompaapp.service.userwriter.UploadUserFile$Output$", {
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$;
var $n_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$ = (void 0);
function $m_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$() {
  if ((!$n_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$)) {
    $n_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$ = new $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$().init___()
  };
  return $n_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output$
}
var $b_Lcom_metastay_gompaapp_store_Mutations = (void 0);
function $a_Lcom_metastay_gompaapp_store_Mutations() {
  if ((!$b_Lcom_metastay_gompaapp_store_Mutations)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_store_Mutations = (function $c_Lcom_metastay_gompaapp_store_Mutations() {
      $g.Object.call(this);
      $g.Object.defineProperty(this, "MUTATE_LOGGED_IN_USER", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_ALL_APP_ID_LIST", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_CLIENT_APP_ID_LIST", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_SERVER_APP_ID_LIST", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "MUTATE_ALL_FQ_FLOW_NAME_LIST", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.MUTATE_LOGGED_IN_USER = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_gompaapp_store_GompaMutationsCode$().mutateLoggedInUser__F2());
      this.MUTATE_ALL_APP_ID_LIST = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_gompaapp_store_GompaMutationsCode$().mutateAllAppIdList__F2());
      this.MUTATE_CLIENT_APP_ID_LIST = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_gompaapp_store_GompaMutationsCode$().mutateClientAppIdList__F2());
      this.MUTATE_SERVER_APP_ID_LIST = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_gompaapp_store_GompaMutationsCode$().mutateServerAppIdList__F2());
      this.MUTATE_ALL_FQ_FLOW_NAME_LIST = (function(f) {
        return (function(arg1, arg2) {
          return f.apply__O__O__O(arg1, arg2)
        })
      })($m_Lcom_metastay_gompaapp_store_GompaMutationsCode$().mutateAllFqFlowNameList__F2())
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_store_Mutations = (function $h_Lcom_metastay_gompaapp_store_Mutations() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_store_Mutations.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_store_Mutations.prototype = new $h_Lcom_metastay_gompaapp_store_Mutations();
    $c_Lcom_metastay_gompaapp_store_Mutations.prototype.constructor = $c_Lcom_metastay_gompaapp_store_Mutations;
    $b_Lcom_metastay_gompaapp_store_Mutations = $c_Lcom_metastay_gompaapp_store_Mutations
  };
  return $b_Lcom_metastay_gompaapp_store_Mutations
}
function $s_Lcom_metastay_gompaapp_store_State__toJson__Lcom_metastay_gompaapp_store_State__sjs_js_Dynamic($this) {
  var ret = {};
  ret.loggedInUser = $this.loggedInUser.toJson;
  var coll = $this.allAppIdList;
  ret.allAppIdList = coll;
  var coll$1 = $this.clientAppIdList;
  ret.clientAppIdList = coll$1;
  var coll$2 = $this.serverAppIdList;
  ret.serverAppIdList = coll$2;
  var coll$3 = $this.allFqFlowNameList;
  ret.allFqFlowNameList = coll$3;
  return ret
}
function $s_Lcom_metastay_gompaapp_store_State__asDynamic__Lcom_metastay_gompaapp_store_State__sjs_js_Dynamic($this) {
  return $this
}
var $b_Lcom_metastay_gompaapp_store_State = (void 0);
function $a_Lcom_metastay_gompaapp_store_State() {
  if ((!$b_Lcom_metastay_gompaapp_store_State)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_store_State = (function $c_Lcom_metastay_gompaapp_store_State() {
      var jsx$1 = (arguments.length | 0);
      var jsx$2 = 0;
      var arg$rest = [];
      while ((jsx$2 < jsx$1)) {
        arg$rest.push(arguments[jsx$2]);
        jsx$2 = ((jsx$2 + 1) | 0)
      };
      var loggedInUser = ((arg$rest[0] === (void 0)) ? $s_Lcom_metastay_gompaapp_store_State$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_store_State$__Lcom_metastay_gompaapp_data_UserData($m_Lcom_metastay_gompaapp_store_State$()) : arg$rest[0]);
      var allAppIdList = ((arg$rest[1] === (void 0)) ? $s_Lcom_metastay_gompaapp_store_State$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_store_State$__sjs_js_Array($m_Lcom_metastay_gompaapp_store_State$()) : arg$rest[1]);
      var clientAppIdList = ((arg$rest[2] === (void 0)) ? $s_Lcom_metastay_gompaapp_store_State$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_store_State$__sjs_js_Array($m_Lcom_metastay_gompaapp_store_State$()) : arg$rest[2]);
      var serverAppIdList = ((arg$rest[3] === (void 0)) ? $s_Lcom_metastay_gompaapp_store_State$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_store_State$__sjs_js_Array($m_Lcom_metastay_gompaapp_store_State$()) : arg$rest[3]);
      var allFqFlowNameList = ((arg$rest[4] === (void 0)) ? $s_Lcom_metastay_gompaapp_store_State$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_store_State$__sjs_js_Array($m_Lcom_metastay_gompaapp_store_State$()) : arg$rest[4]);
      $g.Object.call(this);
      $g.Object.defineProperty(this, "loggedInUser", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allAppIdList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "clientAppIdList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "serverAppIdList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      $g.Object.defineProperty(this, "allFqFlowNameList", {
        "configurable": true,
        "enumerable": true,
        "writable": true,
        "value": null
      });
      this.loggedInUser = loggedInUser;
      this.allAppIdList = allAppIdList;
      this.clientAppIdList = clientAppIdList;
      this.serverAppIdList = serverAppIdList;
      this.allFqFlowNameList = allFqFlowNameList
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_store_State = (function $h_Lcom_metastay_gompaapp_store_State() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_store_State.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_store_State.prototype = new $h_Lcom_metastay_gompaapp_store_State();
    $c_Lcom_metastay_gompaapp_store_State.prototype.constructor = $c_Lcom_metastay_gompaapp_store_State;
    Object.defineProperty($c_Lcom_metastay_gompaapp_store_State.prototype, "asDynamic", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_store_State__asDynamic__Lcom_metastay_gompaapp_store_State__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    Object.defineProperty($c_Lcom_metastay_gompaapp_store_State.prototype, "toJson", {
      "get": (function() {
        return $s_Lcom_metastay_gompaapp_store_State__toJson__Lcom_metastay_gompaapp_store_State__sjs_js_Dynamic(this)
      }),
      "configurable": true
    });
    $b_Lcom_metastay_gompaapp_store_State = $c_Lcom_metastay_gompaapp_store_State
  };
  return $b_Lcom_metastay_gompaapp_store_State
}
function $s_Lcom_metastay_gompaapp_store_State$__$$lessinit$greater$default$5__Lcom_metastay_gompaapp_store_State$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_gompaapp_store_State$__$$lessinit$greater$default$2__Lcom_metastay_gompaapp_store_State$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_gompaapp_store_State$__schemaInfo__Lcom_metastay_gompaapp_store_State$__sjs_js_Object($this) {
  return $g.JSON.parse(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["  {\n \"title\" : \"State\",\n \"type\": \"object\",\n \"properties\": {\n   \n\"loggedInUser\": {\n    \"type\": \"com.metastay.gompaapp.data.UserData\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allAppIdList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"clientAppIdList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"serverAppIdList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     ,\n\"allFqFlowNameList\": {\n    \"type\": \"Array_String\" \n   \n   , \"extra\": {}\n        }\n     \n },\n \"required\": [   \"loggedInUser\" ]\n }\n      "])).s__sc_Seq__T($m_sci_Nil$()))
}
function $s_Lcom_metastay_gompaapp_store_State$__from__Lcom_metastay_gompaapp_store_State$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_store_State($this, t, evidence$1) {
  return $this.fromDynamic(evidence$1.toJs__O__sjs_js_Dynamic(t))
}
function $s_Lcom_metastay_gompaapp_store_State$__fromDynamic__Lcom_metastay_gompaapp_store_State$__sjs_js_Dynamic__Lcom_metastay_gompaapp_store_State($this, json) {
  var v = json.loggedInUser;
  if (((v === (void 0)) || (json.loggedInUser === null))) {
    var jsx$4 = new ($a_Lcom_metastay_gompaapp_data_UserData())()
  } else {
    var jsx$4 = $m_Lcom_metastay_gompaapp_data_UserData$().fromDynamic(json.loggedInUser)
  };
  var v$1 = json.allAppIdList;
  if (((v$1 === (void 0)) || (json.allAppIdList === null))) {
    var jsx$3 = []
  } else {
    var jsx$3 = json.allAppIdList
  };
  var v$2 = json.clientAppIdList;
  if (((v$2 === (void 0)) || (json.clientAppIdList === null))) {
    var jsx$2 = []
  } else {
    var jsx$2 = json.clientAppIdList
  };
  var v$3 = json.serverAppIdList;
  if (((v$3 === (void 0)) || (json.serverAppIdList === null))) {
    var jsx$1 = []
  } else {
    var jsx$1 = json.serverAppIdList
  };
  var v$4 = json.allFqFlowNameList;
  return new ($a_Lcom_metastay_gompaapp_store_State())(jsx$4, jsx$3, jsx$2, jsx$1, (((v$4 === (void 0)) || (json.allFqFlowNameList === null)) ? [] : json.allFqFlowNameList))
}
function $s_Lcom_metastay_gompaapp_store_State$__$$lessinit$greater$default$3__Lcom_metastay_gompaapp_store_State$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_gompaapp_store_State$__$$lessinit$greater$default$4__Lcom_metastay_gompaapp_store_State$__sjs_js_Array($this) {
  return []
}
function $s_Lcom_metastay_gompaapp_store_State$__createNew__Lcom_metastay_gompaapp_store_State$__Lcom_metastay_gompaapp_store_State($this) {
  return new ($a_Lcom_metastay_gompaapp_store_State())()
}
function $s_Lcom_metastay_gompaapp_store_State$__$$lessinit$greater$default$1__Lcom_metastay_gompaapp_store_State$__Lcom_metastay_gompaapp_data_UserData($this) {
  return new ($a_Lcom_metastay_gompaapp_data_UserData())()
}
var $b_Lcom_metastay_gompaapp_store_State$ = (void 0);
function $a_Lcom_metastay_gompaapp_store_State$() {
  if ((!$b_Lcom_metastay_gompaapp_store_State$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_store_State$ = (function $c_Lcom_metastay_gompaapp_store_State$() {
      $g.Object.call(this)
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_store_State$ = (function $h_Lcom_metastay_gompaapp_store_State$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_store_State$.prototype = $g.Object.prototype;
    $c_Lcom_metastay_gompaapp_store_State$.prototype = new $h_Lcom_metastay_gompaapp_store_State$();
    $c_Lcom_metastay_gompaapp_store_State$.prototype.constructor = $c_Lcom_metastay_gompaapp_store_State$;
    $c_Lcom_metastay_gompaapp_store_State$.prototype.createNew = (function() {
      return $s_Lcom_metastay_gompaapp_store_State$__createNew__Lcom_metastay_gompaapp_store_State$__Lcom_metastay_gompaapp_store_State(this)
    });
    $c_Lcom_metastay_gompaapp_store_State$.prototype.fromDynamic = (function(arg$1) {
      var prep0 = arg$1;
      return $s_Lcom_metastay_gompaapp_store_State$__fromDynamic__Lcom_metastay_gompaapp_store_State$__sjs_js_Dynamic__Lcom_metastay_gompaapp_store_State(this, prep0)
    });
    $c_Lcom_metastay_gompaapp_store_State$.prototype.from = (function(arg$1, arg$2) {
      var prep0 = arg$1;
      var prep1 = $as_Lcom_iteration3_smilejs_ToJs(arg$2);
      return $s_Lcom_metastay_gompaapp_store_State$__from__Lcom_metastay_gompaapp_store_State$__O__Lcom_iteration3_smilejs_ToJs__Lcom_metastay_gompaapp_store_State(this, prep0, prep1)
    });
    $c_Lcom_metastay_gompaapp_store_State$.prototype.schemaInfo = (function() {
      return $s_Lcom_metastay_gompaapp_store_State$__schemaInfo__Lcom_metastay_gompaapp_store_State$__sjs_js_Object(this)
    });
    $b_Lcom_metastay_gompaapp_store_State$ = $c_Lcom_metastay_gompaapp_store_State$
  };
  return $b_Lcom_metastay_gompaapp_store_State$
}
var $n_Lcom_metastay_gompaapp_store_State$ = (void 0);
function $m_Lcom_metastay_gompaapp_store_State$() {
  if ((!$n_Lcom_metastay_gompaapp_store_State$)) {
    $n_Lcom_metastay_gompaapp_store_State$ = new ($a_Lcom_metastay_gompaapp_store_State$())()
  };
  return $n_Lcom_metastay_gompaapp_store_State$
}
/** @constructor */
function $c_Ljava_io_OutputStream() {
  $c_O.call(this)
}
$c_Ljava_io_OutputStream.prototype = new $h_O();
$c_Ljava_io_OutputStream.prototype.constructor = $c_Ljava_io_OutputStream;
/** @constructor */
function $h_Ljava_io_OutputStream() {
  /*<skip>*/
}
$h_Ljava_io_OutputStream.prototype = $c_Ljava_io_OutputStream.prototype;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$.prototype = $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_AppUserGroupRole = (function(json) {
  return new $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole().init___T__T__T__T($as_T(json.appUserGroupRoleId), $as_T(json.userGroupName), $as_T(json.role), $as_T(json.appId))
});
var $d_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$: 0
}, false, "smilejs.com.metastay.gompa.data.AppUserGroupRole$", {
  Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$;
var $n_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$)) {
    $n_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$ = new $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_AppUserRole$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_AppUserRole$.prototype = $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_AppUserRole$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_AppUserRole = (function(json) {
  return new $c_Lsmilejs_com_metastay_gompa_data_AppUserRole().init___T__T__T__T($as_T(json.appUserRoleId), $as_T(json.userName), $as_T(json.role), $as_T(json.appId))
});
var $d_Lsmilejs_com_metastay_gompa_data_AppUserRole$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_AppUserRole$: 0
}, false, "smilejs.com.metastay.gompa.data.AppUserRole$", {
  Lsmilejs_com_metastay_gompa_data_AppUserRole$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_AppUserRole$;
var $n_Lsmilejs_com_metastay_gompa_data_AppUserRole$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_AppUserRole$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_AppUserRole$)) {
    $n_Lsmilejs_com_metastay_gompa_data_AppUserRole$ = new $c_Lsmilejs_com_metastay_gompa_data_AppUserRole$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_AppUserRole$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_GompaAdminData$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_GompaAdminData$.prototype = $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_GompaAdminData$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_GompaAdminData = (function(json) {
  var jsx$5 = $as_T(json.userName);
  if ((json.appAdminList === null)) {
    var jsx$4 = true
  } else {
    var v = json.appAdminList;
    var jsx$4 = (v === (void 0))
  };
  if (jsx$4) {
    var jsx$3 = $m_sci_Nil$()
  } else {
    var array = json.appAdminList;
    var this$3 = $m_sci_List$();
    var cbf = this$3.ReusableCBFInstance$2;
    var b = cbf.apply__scm_Builder();
    b.sizeHint__I__V($uI(array.length));
    b.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array));
    var jsx$3 = $as_sci_List(b.result__O())
  };
  if ((json.teamAdminList === null)) {
    var jsx$2 = true
  } else {
    var v$1 = json.teamAdminList;
    var jsx$2 = (v$1 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_sci_Nil$()
  } else {
    var array$1 = json.teamAdminList;
    var this$6 = $m_sci_List$();
    var cbf$1 = this$6.ReusableCBFInstance$2;
    var b$1 = cbf$1.apply__scm_Builder();
    b$1.sizeHint__I__V($uI(array$1.length));
    b$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(new $c_sjs_js_WrappedArray().init___sjs_js_Array(array$1));
    var jsx$1 = $as_sci_List(b$1.result__O())
  };
  return new $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData().init___T__sci_List__sci_List(jsx$5, jsx$3, jsx$1)
});
var $d_Lsmilejs_com_metastay_gompa_data_GompaAdminData$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_GompaAdminData$: 0
}, false, "smilejs.com.metastay.gompa.data.GompaAdminData$", {
  Lsmilejs_com_metastay_gompa_data_GompaAdminData$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_GompaAdminData$;
var $n_Lsmilejs_com_metastay_gompa_data_GompaAdminData$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_GompaAdminData$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_GompaAdminData$)) {
    $n_Lsmilejs_com_metastay_gompa_data_GompaAdminData$ = new $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_GompaAdminData$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_Team$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_Team$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_Team$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_Team$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_Team$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_Team$.prototype = $c_Lsmilejs_com_metastay_gompa_data_Team$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_Team$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_Team$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_Team$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_Team$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_Team$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_Team = (function(json) {
  return new $c_Lsmilejs_com_metastay_gompa_data_Team().init___T__T__T($as_T(json.teamId), $as_T(json.teamCode), $as_T(json.fqFlowName))
});
var $d_Lsmilejs_com_metastay_gompa_data_Team$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_Team$: 0
}, false, "smilejs.com.metastay.gompa.data.Team$", {
  Lsmilejs_com_metastay_gompa_data_Team$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_Team$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_Team$;
var $n_Lsmilejs_com_metastay_gompa_data_Team$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_Team$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_Team$)) {
    $n_Lsmilejs_com_metastay_gompa_data_Team$ = new $c_Lsmilejs_com_metastay_gompa_data_Team$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_Team$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap = (function(json) {
  return new $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap().init___T__T__T__T($as_T(json.id), $as_T(json.teamCode), $as_T(json.subTeamCode), $as_T(json.fqSubFlowName))
});
var $d_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$: 0
}, false, "smilejs.com.metastay.gompa.data.TeamSubTeamMap$", {
  Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$;
var $n_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$)) {
    $n_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$ = new $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole = (function(json) {
  return new $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole().init___T__T__T__T__I($as_T(json.teamUserGroupRoleId), $as_T(json.userGroupName), $as_T(json.role), $as_T(json.teamCode), $uI(json.maxQSize))
});
var $d_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$: 0
}, false, "smilejs.com.metastay.gompa.data.TeamUserGroupRole$", {
  Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$;
var $n_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$)) {
    $n_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$ = new $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamUserRole$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamUserRole$.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_TeamUserRole$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_TeamUserRole = (function(json) {
  return new $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole().init___T__T__T__T__I($as_T(json.teamUserRoleId), $as_T(json.userName), $as_T(json.role), $as_T(json.teamCode), $uI(json.maxQSize))
});
var $d_Lsmilejs_com_metastay_gompa_data_TeamUserRole$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamUserRole$: 0
}, false, "smilejs.com.metastay.gompa.data.TeamUserRole$", {
  Lsmilejs_com_metastay_gompa_data_TeamUserRole$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamUserRole$;
var $n_Lsmilejs_com_metastay_gompa_data_TeamUserRole$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_TeamUserRole$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_TeamUserRole$)) {
    $n_Lsmilejs_com_metastay_gompa_data_TeamUserRole$ = new $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_TeamUserRole$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_User$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_User$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_User$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_User$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_User$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_User$.prototype = $c_Lsmilejs_com_metastay_gompa_data_User$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_User$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_User$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_User$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_User$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_User$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_User = (function(json) {
  var jsx$11 = $as_T(json.userId);
  var jsx$10 = $as_T(json.userName);
  var jsx$9 = $as_T(json.emailId);
  if ((json.title === null)) {
    var jsx$8 = true
  } else {
    var v = json.title;
    var jsx$8 = (v === (void 0))
  };
  if (jsx$8) {
    var jsx$7 = $m_s_None$()
  } else {
    var value = json.title;
    var jsx$7 = ((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value))
  };
  var jsx$6 = $as_T(json.firstName);
  if ((json.lastName === null)) {
    var jsx$5 = true
  } else {
    var v$1 = json.lastName;
    var jsx$5 = (v$1 === (void 0))
  };
  if (jsx$5) {
    var jsx$4 = $m_s_None$()
  } else {
    var value$1 = json.lastName;
    var jsx$4 = ((value$1 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$1))
  };
  var jsx$3 = $as_T(json.fullName);
  if ((json.mobile === null)) {
    var jsx$2 = true
  } else {
    var v$2 = json.mobile;
    var jsx$2 = (v$2 === (void 0))
  };
  if (jsx$2) {
    var jsx$1 = $m_s_None$()
  } else {
    var value$2 = json.mobile;
    var jsx$1 = ((value$2 === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value$2))
  };
  return new $c_Lsmilejs_com_metastay_gompa_data_User().init___T__T__T__s_Option__T__s_Option__T__s_Option__Z(jsx$11, jsx$10, jsx$9, jsx$7, jsx$6, jsx$4, jsx$3, jsx$1, $uZ(json.active))
});
var $d_Lsmilejs_com_metastay_gompa_data_User$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_User$: 0
}, false, "smilejs.com.metastay.gompa.data.User$", {
  Lsmilejs_com_metastay_gompa_data_User$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_User$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_User$;
var $n_Lsmilejs_com_metastay_gompa_data_User$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_User$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_User$)) {
    $n_Lsmilejs_com_metastay_gompa_data_User$ = new $c_Lsmilejs_com_metastay_gompa_data_User$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_User$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_UserForUserGroup = (function(json) {
  return new $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup().init___T__Z($as_T(json.userName), $uZ(json.isUserActiveInUserGroup))
});
var $d_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserForUserGroup$: 0
}, false, "smilejs.com.metastay.gompa.data.UserForUserGroup$", {
  Lsmilejs_com_metastay_gompa_data_UserForUserGroup$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$;
var $n_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$)) {
    $n_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$ = new $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_UserForUserGroup$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroup$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroup$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroup$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroup$.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroup$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_UserGroup$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_UserGroup$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_UserGroup = (function(json) {
  return new $c_Lsmilejs_com_metastay_gompa_data_UserGroup().init___T__T__T($as_T(json.userGroupId), $as_T(json.userGroupName), $as_T(json.description))
});
var $d_Lsmilejs_com_metastay_gompa_data_UserGroup$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroup$: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroup$", {
  Lsmilejs_com_metastay_gompa_data_UserGroup$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroup$;
var $n_Lsmilejs_com_metastay_gompa_data_UserGroup$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_UserGroup$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_UserGroup$)) {
    $n_Lsmilejs_com_metastay_gompa_data_UserGroup$ = new $c_Lsmilejs_com_metastay_gompa_data_UserGroup$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_UserGroup$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_UserGroupDetails = (function(json) {
  return new $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails().init___T__T__T($as_T(json.userGroupId), $as_T(json.userGroupName), $as_T(json.description))
});
var $d_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroupDetails$: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroupDetails$", {
  Lsmilejs_com_metastay_gompa_data_UserGroupDetails$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$;
var $n_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$)) {
    $n_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$ = new $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_UserGroupDetails$
}
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$() {
  $c_O.call(this);
  this.toJs$1 = null;
  this.fromJs$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$.prototype.init___ = (function() {
  $n_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$ = this;
  this.toJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$1().init___();
  this.fromJs$1 = new $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$$anon$2().init___();
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$.prototype.fromJson__sjs_js_Dynamic__Lsmilejs_com_metastay_gompa_data_UserGroupForUser = (function(json) {
  return new $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser().init___T__Z($as_T(json.userGroupName), $uZ(json.isUserActiveInUserGroup))
});
var $d_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$ = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroupForUser$: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroupForUser$", {
  Lsmilejs_com_metastay_gompa_data_UserGroupForUser$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$;
var $n_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$ = (void 0);
function $m_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$() {
  if ((!$n_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$)) {
    $n_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$ = new $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$().init___()
  };
  return $n_Lsmilejs_com_metastay_gompa_data_UserGroupForUser$
}
var $d_jl_Boolean = new $TypeData().initClass({
  jl_Boolean: 0
}, false, "java.lang.Boolean", {
  jl_Boolean: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return ((typeof x) === "boolean")
}));
/** @constructor */
function $c_jl_Character() {
  $c_O.call(this);
  this.value$1 = 0
}
$c_jl_Character.prototype = new $h_O();
$c_jl_Character.prototype.constructor = $c_jl_Character;
/** @constructor */
function $h_jl_Character() {
  /*<skip>*/
}
$h_jl_Character.prototype = $c_jl_Character.prototype;
$c_jl_Character.prototype.equals__O__Z = (function(that) {
  if ($is_jl_Character(that)) {
    var jsx$1 = this.value$1;
    var this$1 = $as_jl_Character(that);
    return (jsx$1 === this$1.value$1)
  } else {
    return false
  }
});
$c_jl_Character.prototype.toString__T = (function() {
  var c = this.value$1;
  return $as_T($g.String.fromCharCode(c))
});
$c_jl_Character.prototype.init___C = (function(value) {
  this.value$1 = value;
  return this
});
$c_jl_Character.prototype.hashCode__I = (function() {
  return this.value$1
});
function $is_jl_Character(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Character)))
}
function $as_jl_Character(obj) {
  return (($is_jl_Character(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.Character"))
}
function $isArrayOf_jl_Character(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Character)))
}
function $asArrayOf_jl_Character(obj, depth) {
  return (($isArrayOf_jl_Character(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Character;", depth))
}
var $d_jl_Character = new $TypeData().initClass({
  jl_Character: 0
}, false, "java.lang.Character", {
  jl_Character: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_jl_Character.prototype.$classData = $d_jl_Character;
/** @constructor */
function $c_jl_Character$() {
  $c_O.call(this);
  this.TYPE$1 = null;
  this.MIN$undVALUE$1 = 0;
  this.MAX$undVALUE$1 = 0;
  this.SIZE$1 = 0;
  this.BYTES$1 = 0;
  this.MIN$undRADIX$1 = 0;
  this.MAX$undRADIX$1 = 0;
  this.MIN$undHIGH$undSURROGATE$1 = 0;
  this.MAX$undHIGH$undSURROGATE$1 = 0;
  this.MIN$undLOW$undSURROGATE$1 = 0;
  this.MAX$undLOW$undSURROGATE$1 = 0;
  this.MIN$undSURROGATE$1 = 0;
  this.MAX$undSURROGATE$1 = 0;
  this.MIN$undCODE$undPOINT$1 = 0;
  this.MAX$undCODE$undPOINT$1 = 0;
  this.MIN$undSUPPLEMENTARY$undCODE$undPOINT$1 = 0;
  this.HighSurrogateMask$1 = 0;
  this.HighSurrogateID$1 = 0;
  this.LowSurrogateMask$1 = 0;
  this.LowSurrogateID$1 = 0;
  this.SurrogateUsefulPartMask$1 = 0;
  this.java$lang$Character$$charTypesFirst256$1 = null;
  this.charTypeIndices$1 = null;
  this.charTypes$1 = null;
  this.isMirroredIndices$1 = null;
  this.bitmap$0$1 = 0
}
$c_jl_Character$.prototype = new $h_O();
$c_jl_Character$.prototype.constructor = $c_jl_Character$;
/** @constructor */
function $h_jl_Character$() {
  /*<skip>*/
}
$h_jl_Character$.prototype = $c_jl_Character$.prototype;
$c_jl_Character$.prototype.init___ = (function() {
  return this
});
$c_jl_Character$.prototype.digit__C__I__I = (function(c, radix) {
  return (((radix > 36) || (radix < 2)) ? (-1) : ((((c >= 48) && (c <= 57)) && ((((-48) + c) | 0) < radix)) ? (((-48) + c) | 0) : ((((c >= 65) && (c <= 90)) && ((((-65) + c) | 0) < (((-10) + radix) | 0))) ? (((-55) + c) | 0) : ((((c >= 97) && (c <= 122)) && ((((-97) + c) | 0) < (((-10) + radix) | 0))) ? (((-87) + c) | 0) : ((((c >= 65313) && (c <= 65338)) && ((((-65313) + c) | 0) < (((-10) + radix) | 0))) ? (((-65303) + c) | 0) : ((((c >= 65345) && (c <= 65370)) && ((((-65345) + c) | 0) < (((-10) + radix) | 0))) ? (((-65303) + c) | 0) : (-1)))))))
});
var $d_jl_Character$ = new $TypeData().initClass({
  jl_Character$: 0
}, false, "java.lang.Character$", {
  jl_Character$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Character$.prototype.$classData = $d_jl_Character$;
var $n_jl_Character$ = (void 0);
function $m_jl_Character$() {
  if ((!$n_jl_Character$)) {
    $n_jl_Character$ = new $c_jl_Character$().init___()
  };
  return $n_jl_Character$
}
/** @constructor */
function $c_jl_Double$() {
  $c_O.call(this);
  this.TYPE$1 = null;
  this.POSITIVE$undINFINITY$1 = 0.0;
  this.NEGATIVE$undINFINITY$1 = 0.0;
  this.NaN$1 = 0.0;
  this.MAX$undVALUE$1 = 0.0;
  this.MIN$undNORMAL$1 = 0.0;
  this.MIN$undVALUE$1 = 0.0;
  this.MAX$undEXPONENT$1 = 0;
  this.MIN$undEXPONENT$1 = 0;
  this.SIZE$1 = 0;
  this.BYTES$1 = 0;
  this.doubleStrPat$1 = null;
  this.bitmap$0$1 = false
}
$c_jl_Double$.prototype = new $h_O();
$c_jl_Double$.prototype.constructor = $c_jl_Double$;
/** @constructor */
function $h_jl_Double$() {
  /*<skip>*/
}
$h_jl_Double$.prototype = $c_jl_Double$.prototype;
$c_jl_Double$.prototype.init___ = (function() {
  return this
});
$c_jl_Double$.prototype.compare__D__D__I = (function(a, b) {
  if ((a !== a)) {
    return ((b !== b) ? 0 : 1)
  } else if ((b !== b)) {
    return (-1)
  } else if ((a === b)) {
    if ((a === 0.0)) {
      var ainf = (1.0 / a);
      return ((ainf === (1.0 / b)) ? 0 : ((ainf < 0) ? (-1) : 1))
    } else {
      return 0
    }
  } else {
    return ((a < b) ? (-1) : 1)
  }
});
var $d_jl_Double$ = new $TypeData().initClass({
  jl_Double$: 0
}, false, "java.lang.Double$", {
  jl_Double$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Double$.prototype.$classData = $d_jl_Double$;
var $n_jl_Double$ = (void 0);
function $m_jl_Double$() {
  if ((!$n_jl_Double$)) {
    $n_jl_Double$ = new $c_jl_Double$().init___()
  };
  return $n_jl_Double$
}
/** @constructor */
function $c_jl_Error() {
  $c_jl_Throwable.call(this)
}
$c_jl_Error.prototype = new $h_jl_Throwable();
$c_jl_Error.prototype.constructor = $c_jl_Error;
/** @constructor */
function $h_jl_Error() {
  /*<skip>*/
}
$h_jl_Error.prototype = $c_jl_Error.prototype;
function $is_jl_Error(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_Error)))
}
function $as_jl_Error(obj) {
  return (($is_jl_Error(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.Error"))
}
function $isArrayOf_jl_Error(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Error)))
}
function $asArrayOf_jl_Error(obj, depth) {
  return (($isArrayOf_jl_Error(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Error;", depth))
}
/** @constructor */
function $c_jl_Exception() {
  $c_jl_Throwable.call(this)
}
$c_jl_Exception.prototype = new $h_jl_Throwable();
$c_jl_Exception.prototype.constructor = $c_jl_Exception;
/** @constructor */
function $h_jl_Exception() {
  /*<skip>*/
}
$h_jl_Exception.prototype = $c_jl_Exception.prototype;
/** @constructor */
function $c_jl_Integer$() {
  $c_O.call(this);
  this.TYPE$1 = null;
  this.MIN$undVALUE$1 = 0;
  this.MAX$undVALUE$1 = 0;
  this.SIZE$1 = 0;
  this.BYTES$1 = 0
}
$c_jl_Integer$.prototype = new $h_O();
$c_jl_Integer$.prototype.constructor = $c_jl_Integer$;
/** @constructor */
function $h_jl_Integer$() {
  /*<skip>*/
}
$h_jl_Integer$.prototype = $c_jl_Integer$.prototype;
$c_jl_Integer$.prototype.init___ = (function() {
  return this
});
$c_jl_Integer$.prototype.fail$1__p1__T__sr_Nothing$ = (function(s$1) {
  throw new $c_jl_NumberFormatException().init___T(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["For input string: \"", "\""])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([s$1])))
});
$c_jl_Integer$.prototype.parseInt__T__I__I = (function(s, radix) {
  if ((s === null)) {
    var jsx$1 = true
  } else {
    var this$2 = new $c_sci_StringOps().init___T(s);
    var $$this = this$2.repr$1;
    var jsx$1 = ($uI($$this.length) === 0)
  };
  if (((jsx$1 || (radix < 2)) || (radix > 36))) {
    this.fail$1__p1__T__sr_Nothing$(s)
  } else {
    var i = ((((65535 & $uI(s.charCodeAt(0))) === 45) || ((65535 & $uI(s.charCodeAt(0))) === 43)) ? 1 : 0);
    var this$12 = new $c_sci_StringOps().init___T(s);
    var $$this$1 = this$12.repr$1;
    if (($uI($$this$1.length) <= i)) {
      this.fail$1__p1__T__sr_Nothing$(s)
    } else {
      while (true) {
        var jsx$2 = i;
        var this$16 = new $c_sci_StringOps().init___T(s);
        var $$this$2 = this$16.repr$1;
        if ((jsx$2 < $uI($$this$2.length))) {
          var jsx$3 = $m_jl_Character$();
          var index = i;
          if ((jsx$3.digit__C__I__I((65535 & $uI(s.charCodeAt(index))), radix) < 0)) {
            this.fail$1__p1__T__sr_Nothing$(s)
          };
          i = ((1 + i) | 0)
        } else {
          break
        }
      };
      var res = $uD($g.parseInt(s, radix));
      return (((res !== res) || ((res > 2147483647) || (res < (-2147483648)))) ? this.fail$1__p1__T__sr_Nothing$(s) : $doubleToInt(res))
    }
  }
});
$c_jl_Integer$.prototype.bitCount__I__I = (function(i) {
  var t1 = ((i - (1431655765 & (i >> 1))) | 0);
  var t2 = (((858993459 & t1) + (858993459 & (t1 >> 2))) | 0);
  return ($imul(16843009, (252645135 & ((t2 + (t2 >> 4)) | 0))) >> 24)
});
$c_jl_Integer$.prototype.reverseBytes__I__I = (function(i) {
  var byte3 = ((i >>> 24) | 0);
  var byte2 = (65280 & ((i >>> 8) | 0));
  var byte1 = (16711680 & (i << 8));
  var byte0 = (i << 24);
  return (((byte0 | byte1) | byte2) | byte3)
});
var $d_jl_Integer$ = new $TypeData().initClass({
  jl_Integer$: 0
}, false, "java.lang.Integer$", {
  jl_Integer$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_Integer$.prototype.$classData = $d_jl_Integer$;
var $n_jl_Integer$ = (void 0);
function $m_jl_Integer$() {
  if ((!$n_jl_Integer$)) {
    $n_jl_Integer$ = new $c_jl_Integer$().init___()
  };
  return $n_jl_Integer$
}
/** @constructor */
function $c_ju_concurrent_atomic_AtomicReference() {
  $c_O.call(this);
  this.value$1 = null
}
$c_ju_concurrent_atomic_AtomicReference.prototype = new $h_O();
$c_ju_concurrent_atomic_AtomicReference.prototype.constructor = $c_ju_concurrent_atomic_AtomicReference;
/** @constructor */
function $h_ju_concurrent_atomic_AtomicReference() {
  /*<skip>*/
}
$h_ju_concurrent_atomic_AtomicReference.prototype = $c_ju_concurrent_atomic_AtomicReference.prototype;
$c_ju_concurrent_atomic_AtomicReference.prototype.compareAndSet__O__O__Z = (function(expect, update) {
  if ((expect === this.value$1)) {
    this.value$1 = update;
    return true
  } else {
    return false
  }
});
$c_ju_concurrent_atomic_AtomicReference.prototype.init___O = (function(value) {
  this.value$1 = value;
  return this
});
/** @constructor */
function $c_s_PartialFunction$$anon$1() {
  $c_O.call(this);
  this.lift$1 = null
}
$c_s_PartialFunction$$anon$1.prototype = new $h_O();
$c_s_PartialFunction$$anon$1.prototype.constructor = $c_s_PartialFunction$$anon$1;
/** @constructor */
function $h_s_PartialFunction$$anon$1() {
  /*<skip>*/
}
$h_s_PartialFunction$$anon$1.prototype = $c_s_PartialFunction$$anon$1.prototype;
$c_s_PartialFunction$$anon$1.prototype.init___ = (function() {
  this.lift$1 = new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$2) {
      return $m_s_None$()
    })
  })(this));
  return this
});
$c_s_PartialFunction$$anon$1.prototype.apply__O__O = (function(v1) {
  this.apply__O__sr_Nothing$(v1)
});
$c_s_PartialFunction$$anon$1.prototype.toString__T = (function() {
  return "<function1>"
});
$c_s_PartialFunction$$anon$1.prototype.isDefinedAt__O__Z = (function(x) {
  return false
});
$c_s_PartialFunction$$anon$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return $s_s_PartialFunction$class__applyOrElse__s_PartialFunction__O__F1__O(this, x, $default)
});
$c_s_PartialFunction$$anon$1.prototype.apply__O__sr_Nothing$ = (function(x) {
  throw new $c_s_MatchError().init___O(x)
});
var $d_s_PartialFunction$$anon$1 = new $TypeData().initClass({
  s_PartialFunction$$anon$1: 0
}, false, "scala.PartialFunction$$anon$1", {
  s_PartialFunction$$anon$1: 1,
  O: 1,
  s_PartialFunction: 1,
  F1: 1
});
$c_s_PartialFunction$$anon$1.prototype.$classData = $d_s_PartialFunction$$anon$1;
/** @constructor */
function $c_s_Predef$() {
  $c_s_LowPriorityImplicits.call(this);
  this.Map$2 = null;
  this.Set$2 = null;
  this.ClassManifest$2 = null;
  this.Manifest$2 = null;
  this.NoManifest$2 = null;
  this.StringCanBuildFrom$2 = null;
  this.singleton$und$less$colon$less$2 = null;
  this.scala$Predef$$singleton$und$eq$colon$eq$f = null
}
$c_s_Predef$.prototype = new $h_s_LowPriorityImplicits();
$c_s_Predef$.prototype.constructor = $c_s_Predef$;
/** @constructor */
function $h_s_Predef$() {
  /*<skip>*/
}
$h_s_Predef$.prototype = $c_s_Predef$.prototype;
$c_s_Predef$.prototype.init___ = (function() {
  $n_s_Predef$ = this;
  $m_s_package$();
  $m_sci_List$();
  this.Map$2 = $m_sci_Map$();
  this.Set$2 = $m_sci_Set$();
  this.ClassManifest$2 = $m_s_reflect_package$().ClassManifest$1;
  this.Manifest$2 = $m_s_reflect_package$().Manifest$1;
  this.NoManifest$2 = $m_s_reflect_NoManifest$();
  this.StringCanBuildFrom$2 = new $c_s_Predef$$anon$3().init___();
  this.singleton$und$less$colon$less$2 = new $c_s_Predef$$anon$1().init___();
  this.scala$Predef$$singleton$und$eq$colon$eq$f = new $c_s_Predef$$anon$2().init___();
  return this
});
$c_s_Predef$.prototype.assert__Z__V = (function(assertion) {
  if ((!assertion)) {
    throw new $c_jl_AssertionError().init___O("assertion failed")
  }
});
$c_s_Predef$.prototype.require__Z__V = (function(requirement) {
  if ((!requirement)) {
    throw new $c_jl_IllegalArgumentException().init___T("requirement failed")
  }
});
var $d_s_Predef$ = new $TypeData().initClass({
  s_Predef$: 0
}, false, "scala.Predef$", {
  s_Predef$: 1,
  s_LowPriorityImplicits: 1,
  O: 1,
  s_DeprecatedPredef: 1
});
$c_s_Predef$.prototype.$classData = $d_s_Predef$;
var $n_s_Predef$ = (void 0);
function $m_s_Predef$() {
  if ((!$n_s_Predef$)) {
    $n_s_Predef$ = new $c_s_Predef$().init___()
  };
  return $n_s_Predef$
}
/** @constructor */
function $c_s_StringContext$() {
  $c_O.call(this)
}
$c_s_StringContext$.prototype = new $h_O();
$c_s_StringContext$.prototype.constructor = $c_s_StringContext$;
/** @constructor */
function $h_s_StringContext$() {
  /*<skip>*/
}
$h_s_StringContext$.prototype = $c_s_StringContext$.prototype;
$c_s_StringContext$.prototype.init___ = (function() {
  return this
});
$c_s_StringContext$.prototype.treatEscapes0__p1__T__Z__T = (function(str, strict) {
  var len = $uI(str.length);
  var x1 = $m_sjsr_RuntimeString$().indexOf__T__I__I(str, 92);
  switch (x1) {
    case (-1): {
      return str;
      break
    }
    default: {
      return this.replace$1__p1__I__T__Z__I__T(x1, str, strict, len)
    }
  }
});
$c_s_StringContext$.prototype.loop$1__p1__I__I__T__Z__I__jl_StringBuilder__T = (function(i, next, str$1, strict$1, len$1, b$1) {
  _loop: while (true) {
    if ((next >= 0)) {
      if ((next > i)) {
        b$1.append__jl_CharSequence__I__I__jl_StringBuilder(str$1, i, next)
      };
      var idx = ((1 + next) | 0);
      if ((idx >= len$1)) {
        throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
      };
      var index = idx;
      var x1 = (65535 & $uI(str$1.charCodeAt(index)));
      switch (x1) {
        case 98: {
          var c = 8;
          break
        }
        case 116: {
          var c = 9;
          break
        }
        case 110: {
          var c = 10;
          break
        }
        case 102: {
          var c = 12;
          break
        }
        case 114: {
          var c = 13;
          break
        }
        case 34: {
          var c = 34;
          break
        }
        case 39: {
          var c = 39;
          break
        }
        case 92: {
          var c = 92;
          break
        }
        default: {
          if (((x1 >= 48) && (x1 <= 55))) {
            if (strict$1) {
              throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
            };
            var index$1 = idx;
            var leadch = (65535 & $uI(str$1.charCodeAt(index$1)));
            var oct = (((-48) + leadch) | 0);
            idx = ((1 + idx) | 0);
            if ((idx < len$1)) {
              var index$2 = idx;
              var jsx$2 = ((65535 & $uI(str$1.charCodeAt(index$2))) >= 48)
            } else {
              var jsx$2 = false
            };
            if (jsx$2) {
              var index$3 = idx;
              var jsx$1 = ((65535 & $uI(str$1.charCodeAt(index$3))) <= 55)
            } else {
              var jsx$1 = false
            };
            if (jsx$1) {
              var jsx$3 = oct;
              var index$4 = idx;
              oct = (((-48) + (((jsx$3 << 3) + (65535 & $uI(str$1.charCodeAt(index$4)))) | 0)) | 0);
              idx = ((1 + idx) | 0);
              if (((idx < len$1) && (leadch <= 51))) {
                var index$5 = idx;
                var jsx$5 = ((65535 & $uI(str$1.charCodeAt(index$5))) >= 48)
              } else {
                var jsx$5 = false
              };
              if (jsx$5) {
                var index$6 = idx;
                var jsx$4 = ((65535 & $uI(str$1.charCodeAt(index$6))) <= 55)
              } else {
                var jsx$4 = false
              };
              if (jsx$4) {
                var jsx$6 = oct;
                var index$7 = idx;
                oct = (((-48) + (((jsx$6 << 3) + (65535 & $uI(str$1.charCodeAt(index$7)))) | 0)) | 0);
                idx = ((1 + idx) | 0)
              }
            };
            idx = (((-1) + idx) | 0);
            var c = (65535 & oct)
          } else {
            var c;
            throw new $c_s_StringContext$InvalidEscapeException().init___T__I(str$1, next)
          }
        }
      };
      idx = ((1 + idx) | 0);
      b$1.append__C__jl_StringBuilder(c);
      var temp$i = idx;
      var temp$next = $m_sjsr_RuntimeString$().indexOf__T__I__I__I(str$1, 92, idx);
      i = temp$i;
      next = temp$next;
      continue _loop
    } else {
      if ((i < len$1)) {
        b$1.append__jl_CharSequence__I__I__jl_StringBuilder(str$1, i, len$1)
      };
      return b$1.content$1
    }
  }
});
$c_s_StringContext$.prototype.replace$1__p1__I__T__Z__I__T = (function(first, str$1, strict$1, len$1) {
  var b = new $c_jl_StringBuilder().init___();
  return this.loop$1__p1__I__I__T__Z__I__jl_StringBuilder__T(0, first, str$1, strict$1, len$1, b)
});
var $d_s_StringContext$ = new $TypeData().initClass({
  s_StringContext$: 0
}, false, "scala.StringContext$", {
  s_StringContext$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext$.prototype.$classData = $d_s_StringContext$;
var $n_s_StringContext$ = (void 0);
function $m_s_StringContext$() {
  if ((!$n_s_StringContext$)) {
    $n_s_StringContext$ = new $c_s_StringContext$().init___()
  };
  return $n_s_StringContext$
}
/** @constructor */
function $c_s_concurrent_impl_CallbackRunnable() {
  $c_O.call(this);
  this.executor$1 = null;
  this.onComplete$1 = null;
  this.value$1 = null
}
$c_s_concurrent_impl_CallbackRunnable.prototype = new $h_O();
$c_s_concurrent_impl_CallbackRunnable.prototype.constructor = $c_s_concurrent_impl_CallbackRunnable;
/** @constructor */
function $h_s_concurrent_impl_CallbackRunnable() {
  /*<skip>*/
}
$h_s_concurrent_impl_CallbackRunnable.prototype = $c_s_concurrent_impl_CallbackRunnable.prototype;
$c_s_concurrent_impl_CallbackRunnable.prototype.run__V = (function() {
  $m_s_Predef$().require__Z__V((this.value$1 !== null));
  try {
    this.onComplete$1.apply__O__O(this.value$1)
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      matchEnd8: {
        var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
        if ((!o11.isEmpty__Z())) {
          var e$3 = $as_jl_Throwable(o11.get__O());
          this.executor$1.reportFailure__jl_Throwable__V(e$3);
          break matchEnd8
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      }
    } else {
      throw e
    }
  }
});
$c_s_concurrent_impl_CallbackRunnable.prototype.init___s_concurrent_ExecutionContext__F1 = (function(executor, onComplete) {
  this.executor$1 = executor;
  this.onComplete$1 = onComplete;
  this.value$1 = null;
  return this
});
$c_s_concurrent_impl_CallbackRunnable.prototype.executeWithValue__s_util_Try__V = (function(v) {
  $m_s_Predef$().require__Z__V((this.value$1 === null));
  this.value$1 = v;
  try {
    this.executor$1.execute__jl_Runnable__V(this)
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      matchEnd8: {
        var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
        if ((!o11.isEmpty__Z())) {
          var t = $as_jl_Throwable(o11.get__O());
          this.executor$1.reportFailure__jl_Throwable__V(t);
          break matchEnd8
        };
        throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
      }
    } else {
      throw e
    }
  }
});
function $is_s_concurrent_impl_CallbackRunnable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_impl_CallbackRunnable)))
}
function $as_s_concurrent_impl_CallbackRunnable(obj) {
  return (($is_s_concurrent_impl_CallbackRunnable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.concurrent.impl.CallbackRunnable"))
}
function $isArrayOf_s_concurrent_impl_CallbackRunnable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_impl_CallbackRunnable)))
}
function $asArrayOf_s_concurrent_impl_CallbackRunnable(obj, depth) {
  return (($isArrayOf_s_concurrent_impl_CallbackRunnable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.concurrent.impl.CallbackRunnable;", depth))
}
var $d_s_concurrent_impl_CallbackRunnable = new $TypeData().initClass({
  s_concurrent_impl_CallbackRunnable: 0
}, false, "scala.concurrent.impl.CallbackRunnable", {
  s_concurrent_impl_CallbackRunnable: 1,
  O: 1,
  jl_Runnable: 1,
  s_concurrent_OnCompleteRunnable: 1
});
$c_s_concurrent_impl_CallbackRunnable.prototype.$classData = $d_s_concurrent_impl_CallbackRunnable;
/** @constructor */
function $c_s_math_Fractional$() {
  $c_O.call(this)
}
$c_s_math_Fractional$.prototype = new $h_O();
$c_s_math_Fractional$.prototype.constructor = $c_s_math_Fractional$;
/** @constructor */
function $h_s_math_Fractional$() {
  /*<skip>*/
}
$h_s_math_Fractional$.prototype = $c_s_math_Fractional$.prototype;
$c_s_math_Fractional$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Fractional$ = new $TypeData().initClass({
  s_math_Fractional$: 0
}, false, "scala.math.Fractional$", {
  s_math_Fractional$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Fractional$.prototype.$classData = $d_s_math_Fractional$;
var $n_s_math_Fractional$ = (void 0);
function $m_s_math_Fractional$() {
  if ((!$n_s_math_Fractional$)) {
    $n_s_math_Fractional$ = new $c_s_math_Fractional$().init___()
  };
  return $n_s_math_Fractional$
}
/** @constructor */
function $c_s_math_Integral$() {
  $c_O.call(this)
}
$c_s_math_Integral$.prototype = new $h_O();
$c_s_math_Integral$.prototype.constructor = $c_s_math_Integral$;
/** @constructor */
function $h_s_math_Integral$() {
  /*<skip>*/
}
$h_s_math_Integral$.prototype = $c_s_math_Integral$.prototype;
$c_s_math_Integral$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Integral$ = new $TypeData().initClass({
  s_math_Integral$: 0
}, false, "scala.math.Integral$", {
  s_math_Integral$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Integral$.prototype.$classData = $d_s_math_Integral$;
var $n_s_math_Integral$ = (void 0);
function $m_s_math_Integral$() {
  if ((!$n_s_math_Integral$)) {
    $n_s_math_Integral$ = new $c_s_math_Integral$().init___()
  };
  return $n_s_math_Integral$
}
/** @constructor */
function $c_s_math_Numeric$() {
  $c_O.call(this)
}
$c_s_math_Numeric$.prototype = new $h_O();
$c_s_math_Numeric$.prototype.constructor = $c_s_math_Numeric$;
/** @constructor */
function $h_s_math_Numeric$() {
  /*<skip>*/
}
$h_s_math_Numeric$.prototype = $c_s_math_Numeric$.prototype;
$c_s_math_Numeric$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Numeric$ = new $TypeData().initClass({
  s_math_Numeric$: 0
}, false, "scala.math.Numeric$", {
  s_math_Numeric$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Numeric$.prototype.$classData = $d_s_math_Numeric$;
var $n_s_math_Numeric$ = (void 0);
function $m_s_math_Numeric$() {
  if ((!$n_s_math_Numeric$)) {
    $n_s_math_Numeric$ = new $c_s_math_Numeric$().init___()
  };
  return $n_s_math_Numeric$
}
function $is_s_math_ScalaNumber(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_math_ScalaNumber)))
}
function $as_s_math_ScalaNumber(obj) {
  return (($is_s_math_ScalaNumber(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.math.ScalaNumber"))
}
function $isArrayOf_s_math_ScalaNumber(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_math_ScalaNumber)))
}
function $asArrayOf_s_math_ScalaNumber(obj, depth) {
  return (($isArrayOf_s_math_ScalaNumber(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.math.ScalaNumber;", depth))
}
/** @constructor */
function $c_s_util_Left$() {
  $c_O.call(this)
}
$c_s_util_Left$.prototype = new $h_O();
$c_s_util_Left$.prototype.constructor = $c_s_util_Left$;
/** @constructor */
function $h_s_util_Left$() {
  /*<skip>*/
}
$h_s_util_Left$.prototype = $c_s_util_Left$.prototype;
$c_s_util_Left$.prototype.init___ = (function() {
  return this
});
$c_s_util_Left$.prototype.toString__T = (function() {
  return "Left"
});
var $d_s_util_Left$ = new $TypeData().initClass({
  s_util_Left$: 0
}, false, "scala.util.Left$", {
  s_util_Left$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Left$.prototype.$classData = $d_s_util_Left$;
var $n_s_util_Left$ = (void 0);
function $m_s_util_Left$() {
  if ((!$n_s_util_Left$)) {
    $n_s_util_Left$ = new $c_s_util_Left$().init___()
  };
  return $n_s_util_Left$
}
/** @constructor */
function $c_s_util_Right$() {
  $c_O.call(this)
}
$c_s_util_Right$.prototype = new $h_O();
$c_s_util_Right$.prototype.constructor = $c_s_util_Right$;
/** @constructor */
function $h_s_util_Right$() {
  /*<skip>*/
}
$h_s_util_Right$.prototype = $c_s_util_Right$.prototype;
$c_s_util_Right$.prototype.init___ = (function() {
  return this
});
$c_s_util_Right$.prototype.toString__T = (function() {
  return "Right"
});
var $d_s_util_Right$ = new $TypeData().initClass({
  s_util_Right$: 0
}, false, "scala.util.Right$", {
  s_util_Right$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Right$.prototype.$classData = $d_s_util_Right$;
var $n_s_util_Right$ = (void 0);
function $m_s_util_Right$() {
  if ((!$n_s_util_Right$)) {
    $n_s_util_Right$ = new $c_s_util_Right$().init___()
  };
  return $n_s_util_Right$
}
/** @constructor */
function $c_s_util_control_NoStackTrace$() {
  $c_O.call(this);
  this.$$undnoSuppression$1 = false
}
$c_s_util_control_NoStackTrace$.prototype = new $h_O();
$c_s_util_control_NoStackTrace$.prototype.constructor = $c_s_util_control_NoStackTrace$;
/** @constructor */
function $h_s_util_control_NoStackTrace$() {
  /*<skip>*/
}
$h_s_util_control_NoStackTrace$.prototype = $c_s_util_control_NoStackTrace$.prototype;
$c_s_util_control_NoStackTrace$.prototype.init___ = (function() {
  this.$$undnoSuppression$1 = false;
  return this
});
var $d_s_util_control_NoStackTrace$ = new $TypeData().initClass({
  s_util_control_NoStackTrace$: 0
}, false, "scala.util.control.NoStackTrace$", {
  s_util_control_NoStackTrace$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_control_NoStackTrace$.prototype.$classData = $d_s_util_control_NoStackTrace$;
var $n_s_util_control_NoStackTrace$ = (void 0);
function $m_s_util_control_NoStackTrace$() {
  if ((!$n_s_util_control_NoStackTrace$)) {
    $n_s_util_control_NoStackTrace$ = new $c_s_util_control_NoStackTrace$().init___()
  };
  return $n_s_util_control_NoStackTrace$
}
/** @constructor */
function $c_sc_IndexedSeq$$anon$1() {
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.call(this)
}
$c_sc_IndexedSeq$$anon$1.prototype = new $h_scg_GenTraversableFactory$GenericCanBuildFrom();
$c_sc_IndexedSeq$$anon$1.prototype.constructor = $c_sc_IndexedSeq$$anon$1;
/** @constructor */
function $h_sc_IndexedSeq$$anon$1() {
  /*<skip>*/
}
$h_sc_IndexedSeq$$anon$1.prototype = $c_sc_IndexedSeq$$anon$1.prototype;
$c_sc_IndexedSeq$$anon$1.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $m_sc_IndexedSeq$());
  return this
});
$c_sc_IndexedSeq$$anon$1.prototype.apply__scm_Builder = (function() {
  $m_sc_IndexedSeq$();
  $m_sci_IndexedSeq$();
  $m_sci_Vector$();
  return new $c_sci_VectorBuilder().init___()
});
var $d_sc_IndexedSeq$$anon$1 = new $TypeData().initClass({
  sc_IndexedSeq$$anon$1: 0
}, false, "scala.collection.IndexedSeq$$anon$1", {
  sc_IndexedSeq$$anon$1: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_sc_IndexedSeq$$anon$1.prototype.$classData = $d_sc_IndexedSeq$$anon$1;
/** @constructor */
function $c_scg_GenSeqFactory() {
  $c_scg_GenTraversableFactory.call(this)
}
$c_scg_GenSeqFactory.prototype = new $h_scg_GenTraversableFactory();
$c_scg_GenSeqFactory.prototype.constructor = $c_scg_GenSeqFactory;
/** @constructor */
function $h_scg_GenSeqFactory() {
  /*<skip>*/
}
$h_scg_GenSeqFactory.prototype = $c_scg_GenSeqFactory.prototype;
/** @constructor */
function $c_scg_GenTraversableFactory$$anon$1() {
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.call(this);
  this.$$outer$2 = null
}
$c_scg_GenTraversableFactory$$anon$1.prototype = new $h_scg_GenTraversableFactory$GenericCanBuildFrom();
$c_scg_GenTraversableFactory$$anon$1.prototype.constructor = $c_scg_GenTraversableFactory$$anon$1;
/** @constructor */
function $h_scg_GenTraversableFactory$$anon$1() {
  /*<skip>*/
}
$h_scg_GenTraversableFactory$$anon$1.prototype = $c_scg_GenTraversableFactory$$anon$1.prototype;
$c_scg_GenTraversableFactory$$anon$1.prototype.apply__scm_Builder = (function() {
  return this.$$outer$2.newBuilder__scm_Builder()
});
$c_scg_GenTraversableFactory$$anon$1.prototype.init___scg_GenTraversableFactory = (function($$outer) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$2 = $$outer
  };
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $$outer);
  return this
});
var $d_scg_GenTraversableFactory$$anon$1 = new $TypeData().initClass({
  scg_GenTraversableFactory$$anon$1: 0
}, false, "scala.collection.generic.GenTraversableFactory$$anon$1", {
  scg_GenTraversableFactory$$anon$1: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_scg_GenTraversableFactory$$anon$1.prototype.$classData = $d_scg_GenTraversableFactory$$anon$1;
/** @constructor */
function $c_scg_ImmutableMapFactory() {
  $c_scg_MapFactory.call(this)
}
$c_scg_ImmutableMapFactory.prototype = new $h_scg_MapFactory();
$c_scg_ImmutableMapFactory.prototype.constructor = $c_scg_ImmutableMapFactory;
/** @constructor */
function $h_scg_ImmutableMapFactory() {
  /*<skip>*/
}
$h_scg_ImmutableMapFactory.prototype = $c_scg_ImmutableMapFactory.prototype;
/** @constructor */
function $c_sci_$colon$colon$() {
  $c_O.call(this)
}
$c_sci_$colon$colon$.prototype = new $h_O();
$c_sci_$colon$colon$.prototype.constructor = $c_sci_$colon$colon$;
/** @constructor */
function $h_sci_$colon$colon$() {
  /*<skip>*/
}
$h_sci_$colon$colon$.prototype = $c_sci_$colon$colon$.prototype;
$c_sci_$colon$colon$.prototype.init___ = (function() {
  return this
});
$c_sci_$colon$colon$.prototype.toString__T = (function() {
  return "::"
});
var $d_sci_$colon$colon$ = new $TypeData().initClass({
  sci_$colon$colon$: 0
}, false, "scala.collection.immutable.$colon$colon$", {
  sci_$colon$colon$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_$colon$colon$.prototype.$classData = $d_sci_$colon$colon$;
var $n_sci_$colon$colon$ = (void 0);
function $m_sci_$colon$colon$() {
  if ((!$n_sci_$colon$colon$)) {
    $n_sci_$colon$colon$ = new $c_sci_$colon$colon$().init___()
  };
  return $n_sci_$colon$colon$
}
/** @constructor */
function $c_sci_Range$() {
  $c_O.call(this);
  this.MAX$undPRINT$1 = 0
}
$c_sci_Range$.prototype = new $h_O();
$c_sci_Range$.prototype.constructor = $c_sci_Range$;
/** @constructor */
function $h_sci_Range$() {
  /*<skip>*/
}
$h_sci_Range$.prototype = $c_sci_Range$.prototype;
$c_sci_Range$.prototype.init___ = (function() {
  this.MAX$undPRINT$1 = 512;
  return this
});
var $d_sci_Range$ = new $TypeData().initClass({
  sci_Range$: 0
}, false, "scala.collection.immutable.Range$", {
  sci_Range$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Range$.prototype.$classData = $d_sci_Range$;
var $n_sci_Range$ = (void 0);
function $m_sci_Range$() {
  if ((!$n_sci_Range$)) {
    $n_sci_Range$ = new $c_sci_Range$().init___()
  };
  return $n_sci_Range$
}
/** @constructor */
function $c_sci_Stream$StreamCanBuildFrom() {
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.call(this)
}
$c_sci_Stream$StreamCanBuildFrom.prototype = new $h_scg_GenTraversableFactory$GenericCanBuildFrom();
$c_sci_Stream$StreamCanBuildFrom.prototype.constructor = $c_sci_Stream$StreamCanBuildFrom;
/** @constructor */
function $h_sci_Stream$StreamCanBuildFrom() {
  /*<skip>*/
}
$h_sci_Stream$StreamCanBuildFrom.prototype = $c_sci_Stream$StreamCanBuildFrom.prototype;
$c_sci_Stream$StreamCanBuildFrom.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory$GenericCanBuildFrom.prototype.init___scg_GenTraversableFactory.call(this, $m_sci_Stream$());
  return this
});
var $d_sci_Stream$StreamCanBuildFrom = new $TypeData().initClass({
  sci_Stream$StreamCanBuildFrom: 0
}, false, "scala.collection.immutable.Stream$StreamCanBuildFrom", {
  sci_Stream$StreamCanBuildFrom: 1,
  scg_GenTraversableFactory$GenericCanBuildFrom: 1,
  O: 1,
  scg_CanBuildFrom: 1
});
$c_sci_Stream$StreamCanBuildFrom.prototype.$classData = $d_sci_Stream$StreamCanBuildFrom;
/** @constructor */
function $c_scm_StringBuilder$() {
  $c_O.call(this)
}
$c_scm_StringBuilder$.prototype = new $h_O();
$c_scm_StringBuilder$.prototype.constructor = $c_scm_StringBuilder$;
/** @constructor */
function $h_scm_StringBuilder$() {
  /*<skip>*/
}
$h_scm_StringBuilder$.prototype = $c_scm_StringBuilder$.prototype;
$c_scm_StringBuilder$.prototype.init___ = (function() {
  return this
});
var $d_scm_StringBuilder$ = new $TypeData().initClass({
  scm_StringBuilder$: 0
}, false, "scala.collection.mutable.StringBuilder$", {
  scm_StringBuilder$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_StringBuilder$.prototype.$classData = $d_scm_StringBuilder$;
var $n_scm_StringBuilder$ = (void 0);
function $m_scm_StringBuilder$() {
  if ((!$n_scm_StringBuilder$)) {
    $n_scm_StringBuilder$ = new $c_scm_StringBuilder$().init___()
  };
  return $n_scm_StringBuilder$
}
/** @constructor */
function $c_sjsr_AnonFunction0() {
  $c_sr_AbstractFunction0.call(this);
  this.f$2 = null
}
$c_sjsr_AnonFunction0.prototype = new $h_sr_AbstractFunction0();
$c_sjsr_AnonFunction0.prototype.constructor = $c_sjsr_AnonFunction0;
/** @constructor */
function $h_sjsr_AnonFunction0() {
  /*<skip>*/
}
$h_sjsr_AnonFunction0.prototype = $c_sjsr_AnonFunction0.prototype;
$c_sjsr_AnonFunction0.prototype.apply__O = (function() {
  return (0, this.f$2)()
});
$c_sjsr_AnonFunction0.prototype.init___sjs_js_Function0 = (function(f) {
  this.f$2 = f;
  return this
});
var $d_sjsr_AnonFunction0 = new $TypeData().initClass({
  sjsr_AnonFunction0: 0
}, false, "scala.scalajs.runtime.AnonFunction0", {
  sjsr_AnonFunction0: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1
});
$c_sjsr_AnonFunction0.prototype.$classData = $d_sjsr_AnonFunction0;
/** @constructor */
function $c_sjsr_AnonFunction1() {
  $c_sr_AbstractFunction1.call(this);
  this.f$2 = null
}
$c_sjsr_AnonFunction1.prototype = new $h_sr_AbstractFunction1();
$c_sjsr_AnonFunction1.prototype.constructor = $c_sjsr_AnonFunction1;
/** @constructor */
function $h_sjsr_AnonFunction1() {
  /*<skip>*/
}
$h_sjsr_AnonFunction1.prototype = $c_sjsr_AnonFunction1.prototype;
$c_sjsr_AnonFunction1.prototype.apply__O__O = (function(arg1) {
  return (0, this.f$2)(arg1)
});
$c_sjsr_AnonFunction1.prototype.init___sjs_js_Function1 = (function(f) {
  this.f$2 = f;
  return this
});
var $d_sjsr_AnonFunction1 = new $TypeData().initClass({
  sjsr_AnonFunction1: 0
}, false, "scala.scalajs.runtime.AnonFunction1", {
  sjsr_AnonFunction1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1
});
$c_sjsr_AnonFunction1.prototype.$classData = $d_sjsr_AnonFunction1;
/** @constructor */
function $c_sjsr_AnonFunction2() {
  $c_sr_AbstractFunction2.call(this);
  this.f$2 = null
}
$c_sjsr_AnonFunction2.prototype = new $h_sr_AbstractFunction2();
$c_sjsr_AnonFunction2.prototype.constructor = $c_sjsr_AnonFunction2;
/** @constructor */
function $h_sjsr_AnonFunction2() {
  /*<skip>*/
}
$h_sjsr_AnonFunction2.prototype = $c_sjsr_AnonFunction2.prototype;
$c_sjsr_AnonFunction2.prototype.init___sjs_js_Function2 = (function(f) {
  this.f$2 = f;
  return this
});
$c_sjsr_AnonFunction2.prototype.apply__O__O__O = (function(arg1, arg2) {
  return (0, this.f$2)(arg1, arg2)
});
var $d_sjsr_AnonFunction2 = new $TypeData().initClass({
  sjsr_AnonFunction2: 0
}, false, "scala.scalajs.runtime.AnonFunction2", {
  sjsr_AnonFunction2: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1
});
$c_sjsr_AnonFunction2.prototype.$classData = $d_sjsr_AnonFunction2;
/** @constructor */
function $c_sjsr_RuntimeLong$() {
  $c_O.call(this);
  this.TwoPow32$1 = 0.0;
  this.TwoPow63$1 = 0.0;
  this.UnsignedSafeDoubleHiMask$1 = 0;
  this.AskQuotient$1 = 0;
  this.AskRemainder$1 = 0;
  this.AskToString$1 = 0;
  this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
  this.Zero$1 = null
}
$c_sjsr_RuntimeLong$.prototype = new $h_O();
$c_sjsr_RuntimeLong$.prototype.constructor = $c_sjsr_RuntimeLong$;
/** @constructor */
function $h_sjsr_RuntimeLong$() {
  /*<skip>*/
}
$h_sjsr_RuntimeLong$.prototype = $c_sjsr_RuntimeLong$.prototype;
$c_sjsr_RuntimeLong$.prototype.init___ = (function() {
  $n_sjsr_RuntimeLong$ = this;
  this.Zero$1 = new $c_sjsr_RuntimeLong().init___I__I(0, 0);
  return this
});
$c_sjsr_RuntimeLong$.prototype.Zero__sjsr_RuntimeLong = (function() {
  return this.Zero$1
});
$c_sjsr_RuntimeLong$.prototype.toUnsignedString__p1__I__I__T = (function(lo, hi) {
  if ((((-2097152) & hi) === 0)) {
    var this$5 = ((4.294967296E9 * hi) + $uD((lo >>> 0)));
    return ("" + this$5)
  } else {
    return $as_T(this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(lo, hi, 1000000000, 0, 2))
  }
});
$c_sjsr_RuntimeLong$.prototype.divideImpl__I__I__I__I__I = (function(alo, ahi, blo, bhi) {
  if (((blo | bhi) === 0)) {
    throw new $c_jl_ArithmeticException().init___T("/ by zero")
  };
  if ((ahi === (alo >> 31))) {
    if ((bhi === (blo >> 31))) {
      if (((alo === (-2147483648)) && (blo === (-1)))) {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return (-2147483648)
      } else {
        var lo = ((alo / blo) | 0);
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (lo >> 31);
        return lo
      }
    } else if (((alo === (-2147483648)) && ((blo === (-2147483648)) && (bhi === 0)))) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (-1);
      return (-1)
    } else {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
      return 0
    }
  } else {
    var neg = (ahi < 0);
    if (neg) {
      var lo$1 = ((-alo) | 0);
      var hi = ((alo !== 0) ? (~ahi) : ((-ahi) | 0));
      var abs_$_lo$2 = lo$1;
      var abs_$_hi$2 = hi
    } else {
      var abs_$_lo$2 = alo;
      var abs_$_hi$2 = ahi
    };
    var neg$1 = (bhi < 0);
    if (neg$1) {
      var lo$2 = ((-blo) | 0);
      var hi$1 = ((blo !== 0) ? (~bhi) : ((-bhi) | 0));
      var abs$1_$_lo$2 = lo$2;
      var abs$1_$_hi$2 = hi$1
    } else {
      var abs$1_$_lo$2 = blo;
      var abs$1_$_hi$2 = bhi
    };
    var absRLo = this.unsigned$und$div__p1__I__I__I__I__I(abs_$_lo$2, abs_$_hi$2, abs$1_$_lo$2, abs$1_$_hi$2);
    if ((neg === neg$1)) {
      return absRLo
    } else {
      var hi$2 = this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((absRLo !== 0) ? (~hi$2) : ((-hi$2) | 0));
      return ((-absRLo) | 0)
    }
  }
});
$c_sjsr_RuntimeLong$.prototype.scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D = (function(lo, hi) {
  if ((hi < 0)) {
    var x = ((lo !== 0) ? (~hi) : ((-hi) | 0));
    var jsx$1 = $uD((x >>> 0));
    var x$1 = ((-lo) | 0);
    return (-((4.294967296E9 * jsx$1) + $uD((x$1 >>> 0))))
  } else {
    return ((4.294967296E9 * hi) + $uD((lo >>> 0)))
  }
});
$c_sjsr_RuntimeLong$.prototype.fromDouble__D__sjsr_RuntimeLong = (function(value) {
  var lo = this.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I(value);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
});
$c_sjsr_RuntimeLong$.prototype.scala$scalajs$runtime$RuntimeLong$$fromDoubleImpl__D__I = (function(value) {
  if ((value < (-9.223372036854776E18))) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (-2147483648);
    return 0
  } else if ((value >= 9.223372036854776E18)) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 2147483647;
    return (-1)
  } else {
    var rawLo = $uI((value | 0));
    var x = (value / 4.294967296E9);
    var rawHi = $uI((x | 0));
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (((value < 0) && (rawLo !== 0)) ? (((-1) + rawHi) | 0) : rawHi);
    return rawLo
  }
});
$c_sjsr_RuntimeLong$.prototype.unsigned$und$div__p1__I__I__I__I__I = (function(alo, ahi, blo, bhi) {
  if ((((-2097152) & ahi) === 0)) {
    if ((((-2097152) & bhi) === 0)) {
      var aDouble = ((4.294967296E9 * ahi) + $uD((alo >>> 0)));
      var bDouble = ((4.294967296E9 * bhi) + $uD((blo >>> 0)));
      var rDouble = (aDouble / bDouble);
      var x = (rDouble / 4.294967296E9);
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = $uI((x | 0));
      return $uI((rDouble | 0))
    } else {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
      return 0
    }
  } else if (((bhi === 0) && ((blo & (((-1) + blo) | 0)) === 0))) {
    var pow = ((31 - $clz32(blo)) | 0);
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((ahi >>> pow) | 0);
    return (((alo >>> pow) | 0) | ((ahi << 1) << ((31 - pow) | 0)))
  } else if (((blo === 0) && ((bhi & (((-1) + bhi) | 0)) === 0))) {
    var pow$2 = ((31 - $clz32(bhi)) | 0);
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
    return ((ahi >>> pow$2) | 0)
  } else {
    return $uI(this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(alo, ahi, blo, bhi, 0))
  }
});
$c_sjsr_RuntimeLong$.prototype.scala$scalajs$runtime$RuntimeLong$$toString__I__I__T = (function(lo, hi) {
  return ((hi === (lo >> 31)) ? ("" + lo) : ((hi < 0) ? ("-" + this.toUnsignedString__p1__I__I__T(((-lo) | 0), ((lo !== 0) ? (~hi) : ((-hi) | 0)))) : this.toUnsignedString__p1__I__I__T(lo, hi)))
});
$c_sjsr_RuntimeLong$.prototype.scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I = (function(alo, ahi, blo, bhi) {
  return ((ahi === bhi) ? ((alo === blo) ? 0 : ((((-2147483648) ^ alo) < ((-2147483648) ^ blo)) ? (-1) : 1)) : ((ahi < bhi) ? (-1) : 1))
});
$c_sjsr_RuntimeLong$.prototype.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar = (function(alo, ahi, blo, bhi, ask) {
  var shift = ((((bhi !== 0) ? $clz32(bhi) : ((32 + $clz32(blo)) | 0)) - ((ahi !== 0) ? $clz32(ahi) : ((32 + $clz32(alo)) | 0))) | 0);
  var n = shift;
  var lo = (((32 & n) === 0) ? (blo << n) : 0);
  var hi = (((32 & n) === 0) ? (((((blo >>> 1) | 0) >>> ((31 - n) | 0)) | 0) | (bhi << n)) : (blo << n));
  var bShiftLo = lo;
  var bShiftHi = hi;
  var remLo = alo;
  var remHi = ahi;
  var quotLo = 0;
  var quotHi = 0;
  while (((shift >= 0) && (((-2097152) & remHi) !== 0))) {
    var alo$1 = remLo;
    var ahi$1 = remHi;
    var blo$1 = bShiftLo;
    var bhi$1 = bShiftHi;
    if (((ahi$1 === bhi$1) ? (((-2147483648) ^ alo$1) >= ((-2147483648) ^ blo$1)) : (((-2147483648) ^ ahi$1) >= ((-2147483648) ^ bhi$1)))) {
      var lo$1 = remLo;
      var hi$1 = remHi;
      var lo$2 = bShiftLo;
      var hi$2 = bShiftHi;
      var lo$3 = ((lo$1 - lo$2) | 0);
      var hi$3 = ((((-2147483648) ^ lo$3) > ((-2147483648) ^ lo$1)) ? (((-1) + ((hi$1 - hi$2) | 0)) | 0) : ((hi$1 - hi$2) | 0));
      remLo = lo$3;
      remHi = hi$3;
      if ((shift < 32)) {
        quotLo = (quotLo | (1 << shift))
      } else {
        quotHi = (quotHi | (1 << shift))
      }
    };
    shift = (((-1) + shift) | 0);
    var lo$4 = bShiftLo;
    var hi$4 = bShiftHi;
    var lo$5 = (((lo$4 >>> 1) | 0) | (hi$4 << 31));
    var hi$5 = ((hi$4 >>> 1) | 0);
    bShiftLo = lo$5;
    bShiftHi = hi$5
  };
  var alo$2 = remLo;
  var ahi$2 = remHi;
  if (((ahi$2 === bhi) ? (((-2147483648) ^ alo$2) >= ((-2147483648) ^ blo)) : (((-2147483648) ^ ahi$2) >= ((-2147483648) ^ bhi)))) {
    var lo$6 = remLo;
    var hi$6 = remHi;
    var remDouble = ((4.294967296E9 * hi$6) + $uD((lo$6 >>> 0)));
    var bDouble = ((4.294967296E9 * bhi) + $uD((blo >>> 0)));
    if ((ask !== 1)) {
      var x = (remDouble / bDouble);
      var lo$7 = $uI((x | 0));
      var x$1 = (x / 4.294967296E9);
      var hi$7 = $uI((x$1 | 0));
      var lo$8 = quotLo;
      var hi$8 = quotHi;
      var lo$9 = ((lo$8 + lo$7) | 0);
      var hi$9 = ((((-2147483648) ^ lo$9) < ((-2147483648) ^ lo$8)) ? ((1 + ((hi$8 + hi$7) | 0)) | 0) : ((hi$8 + hi$7) | 0));
      quotLo = lo$9;
      quotHi = hi$9
    };
    if ((ask !== 0)) {
      var rem_mod_bDouble = (remDouble % bDouble);
      remLo = $uI((rem_mod_bDouble | 0));
      var x$2 = (rem_mod_bDouble / 4.294967296E9);
      remHi = $uI((x$2 | 0))
    }
  };
  if ((ask === 0)) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = quotHi;
    var a = quotLo;
    return a
  } else if ((ask === 1)) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = remHi;
    var a$1 = remLo;
    return a$1
  } else {
    var lo$10 = quotLo;
    var hi$10 = quotHi;
    var quot = ((4.294967296E9 * hi$10) + $uD((lo$10 >>> 0)));
    var this$25 = remLo;
    var remStr = ("" + this$25);
    var a$2 = ((("" + quot) + $as_T("000000000".substring($uI(remStr.length)))) + remStr);
    return a$2
  }
});
$c_sjsr_RuntimeLong$.prototype.remainderImpl__I__I__I__I__I = (function(alo, ahi, blo, bhi) {
  if (((blo | bhi) === 0)) {
    throw new $c_jl_ArithmeticException().init___T("/ by zero")
  };
  if ((ahi === (alo >> 31))) {
    if ((bhi === (blo >> 31))) {
      if ((blo !== (-1))) {
        var lo = ((alo % blo) | 0);
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (lo >> 31);
        return lo
      } else {
        this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
        return 0
      }
    } else if (((alo === (-2147483648)) && ((blo === (-2147483648)) && (bhi === 0)))) {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
      return 0
    } else {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ahi;
      return alo
    }
  } else {
    var neg = (ahi < 0);
    if (neg) {
      var lo$1 = ((-alo) | 0);
      var hi = ((alo !== 0) ? (~ahi) : ((-ahi) | 0));
      var abs_$_lo$2 = lo$1;
      var abs_$_hi$2 = hi
    } else {
      var abs_$_lo$2 = alo;
      var abs_$_hi$2 = ahi
    };
    var neg$1 = (bhi < 0);
    if (neg$1) {
      var lo$2 = ((-blo) | 0);
      var hi$1 = ((blo !== 0) ? (~bhi) : ((-bhi) | 0));
      var abs$1_$_lo$2 = lo$2;
      var abs$1_$_hi$2 = hi$1
    } else {
      var abs$1_$_lo$2 = blo;
      var abs$1_$_hi$2 = bhi
    };
    var absRLo = this.unsigned$und$percent__p1__I__I__I__I__I(abs_$_lo$2, abs_$_hi$2, abs$1_$_lo$2, abs$1_$_hi$2);
    if (neg) {
      var hi$2 = this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f;
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ((absRLo !== 0) ? (~hi$2) : ((-hi$2) | 0));
      return ((-absRLo) | 0)
    } else {
      return absRLo
    }
  }
});
$c_sjsr_RuntimeLong$.prototype.unsigned$und$percent__p1__I__I__I__I__I = (function(alo, ahi, blo, bhi) {
  if ((((-2097152) & ahi) === 0)) {
    if ((((-2097152) & bhi) === 0)) {
      var aDouble = ((4.294967296E9 * ahi) + $uD((alo >>> 0)));
      var bDouble = ((4.294967296E9 * bhi) + $uD((blo >>> 0)));
      var rDouble = (aDouble % bDouble);
      var x = (rDouble / 4.294967296E9);
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = $uI((x | 0));
      return $uI((rDouble | 0))
    } else {
      this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = ahi;
      return alo
    }
  } else if (((bhi === 0) && ((blo & (((-1) + blo) | 0)) === 0))) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = 0;
    return (alo & (((-1) + blo) | 0))
  } else if (((blo === 0) && ((bhi & (((-1) + bhi) | 0)) === 0))) {
    this.scala$scalajs$runtime$RuntimeLong$$hiReturn$f = (ahi & (((-1) + bhi) | 0));
    return alo
  } else {
    return $uI(this.unsignedDivModHelper__p1__I__I__I__I__I__sjs_js_$bar(alo, ahi, blo, bhi, 1))
  }
});
var $d_sjsr_RuntimeLong$ = new $TypeData().initClass({
  sjsr_RuntimeLong$: 0
}, false, "scala.scalajs.runtime.RuntimeLong$", {
  sjsr_RuntimeLong$: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sjsr_RuntimeLong$.prototype.$classData = $d_sjsr_RuntimeLong$;
var $n_sjsr_RuntimeLong$ = (void 0);
function $m_sjsr_RuntimeLong$() {
  if ((!$n_sjsr_RuntimeLong$)) {
    $n_sjsr_RuntimeLong$ = new $c_sjsr_RuntimeLong$().init___()
  };
  return $n_sjsr_RuntimeLong$
}
/** @constructor */
function $c_sr_AbstractPartialFunction() {
  $c_O.call(this)
}
$c_sr_AbstractPartialFunction.prototype = new $h_O();
$c_sr_AbstractPartialFunction.prototype.constructor = $c_sr_AbstractPartialFunction;
/** @constructor */
function $h_sr_AbstractPartialFunction() {
  /*<skip>*/
}
$h_sr_AbstractPartialFunction.prototype = $c_sr_AbstractPartialFunction.prototype;
$c_sr_AbstractPartialFunction.prototype.apply__O__O = (function(x) {
  return this.applyOrElse__O__F1__O(x, $m_s_PartialFunction$().empty$undpf$1)
});
$c_sr_AbstractPartialFunction.prototype.toString__T = (function() {
  return "<function1>"
});
var $d_sr_Nothing$ = new $TypeData().initClass({
  sr_Nothing$: 0
}, false, "scala.runtime.Nothing$", {
  sr_Nothing$: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
var $b_Lcom_metastay_gompaapp_enums_Title$Mr$ = (void 0);
function $a_Lcom_metastay_gompaapp_enums_Title$Mr$() {
  if ((!$b_Lcom_metastay_gompaapp_enums_Title$Mr$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_enums_Title$Mr$ = (function $c_Lcom_metastay_gompaapp_enums_Title$Mr$() {
      $a_Lcom_metastay_gompaapp_enums_Title().call(this, "Mr", "Mr")
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_enums_Title$Mr$ = (function $h_Lcom_metastay_gompaapp_enums_Title$Mr$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_enums_Title$Mr$.prototype = $a_Lcom_metastay_gompaapp_enums_Title().prototype;
    $c_Lcom_metastay_gompaapp_enums_Title$Mr$.prototype = new $h_Lcom_metastay_gompaapp_enums_Title$Mr$();
    $c_Lcom_metastay_gompaapp_enums_Title$Mr$.prototype.constructor = $c_Lcom_metastay_gompaapp_enums_Title$Mr$;
    $b_Lcom_metastay_gompaapp_enums_Title$Mr$ = $c_Lcom_metastay_gompaapp_enums_Title$Mr$
  };
  return $b_Lcom_metastay_gompaapp_enums_Title$Mr$
}
var $n_Lcom_metastay_gompaapp_enums_Title$Mr$ = (void 0);
function $m_Lcom_metastay_gompaapp_enums_Title$Mr$() {
  if ((!$n_Lcom_metastay_gompaapp_enums_Title$Mr$)) {
    $n_Lcom_metastay_gompaapp_enums_Title$Mr$ = new ($a_Lcom_metastay_gompaapp_enums_Title$Mr$())()
  };
  return $n_Lcom_metastay_gompaapp_enums_Title$Mr$
}
var $b_Lcom_metastay_gompaapp_enums_Title$Mrs$ = (void 0);
function $a_Lcom_metastay_gompaapp_enums_Title$Mrs$() {
  if ((!$b_Lcom_metastay_gompaapp_enums_Title$Mrs$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_enums_Title$Mrs$ = (function $c_Lcom_metastay_gompaapp_enums_Title$Mrs$() {
      $a_Lcom_metastay_gompaapp_enums_Title().call(this, "Mrs", "Mrs")
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_enums_Title$Mrs$ = (function $h_Lcom_metastay_gompaapp_enums_Title$Mrs$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_enums_Title$Mrs$.prototype = $a_Lcom_metastay_gompaapp_enums_Title().prototype;
    $c_Lcom_metastay_gompaapp_enums_Title$Mrs$.prototype = new $h_Lcom_metastay_gompaapp_enums_Title$Mrs$();
    $c_Lcom_metastay_gompaapp_enums_Title$Mrs$.prototype.constructor = $c_Lcom_metastay_gompaapp_enums_Title$Mrs$;
    $b_Lcom_metastay_gompaapp_enums_Title$Mrs$ = $c_Lcom_metastay_gompaapp_enums_Title$Mrs$
  };
  return $b_Lcom_metastay_gompaapp_enums_Title$Mrs$
}
var $n_Lcom_metastay_gompaapp_enums_Title$Mrs$ = (void 0);
function $m_Lcom_metastay_gompaapp_enums_Title$Mrs$() {
  if ((!$n_Lcom_metastay_gompaapp_enums_Title$Mrs$)) {
    $n_Lcom_metastay_gompaapp_enums_Title$Mrs$ = new ($a_Lcom_metastay_gompaapp_enums_Title$Mrs$())()
  };
  return $n_Lcom_metastay_gompaapp_enums_Title$Mrs$
}
var $b_Lcom_metastay_gompaapp_enums_Title$Ms$ = (void 0);
function $a_Lcom_metastay_gompaapp_enums_Title$Ms$() {
  if ((!$b_Lcom_metastay_gompaapp_enums_Title$Ms$)) {
    /** @constructor */
    var $c_Lcom_metastay_gompaapp_enums_Title$Ms$ = (function $c_Lcom_metastay_gompaapp_enums_Title$Ms$() {
      $a_Lcom_metastay_gompaapp_enums_Title().call(this, "Ms", "Ms")
    });
    /** @constructor */
    var $h_Lcom_metastay_gompaapp_enums_Title$Ms$ = (function $h_Lcom_metastay_gompaapp_enums_Title$Ms$() {
      /*<skip>*/
    });
    $h_Lcom_metastay_gompaapp_enums_Title$Ms$.prototype = $a_Lcom_metastay_gompaapp_enums_Title().prototype;
    $c_Lcom_metastay_gompaapp_enums_Title$Ms$.prototype = new $h_Lcom_metastay_gompaapp_enums_Title$Ms$();
    $c_Lcom_metastay_gompaapp_enums_Title$Ms$.prototype.constructor = $c_Lcom_metastay_gompaapp_enums_Title$Ms$;
    $b_Lcom_metastay_gompaapp_enums_Title$Ms$ = $c_Lcom_metastay_gompaapp_enums_Title$Ms$
  };
  return $b_Lcom_metastay_gompaapp_enums_Title$Ms$
}
var $n_Lcom_metastay_gompaapp_enums_Title$Ms$ = (void 0);
function $m_Lcom_metastay_gompaapp_enums_Title$Ms$() {
  if ((!$n_Lcom_metastay_gompaapp_enums_Title$Ms$)) {
    $n_Lcom_metastay_gompaapp_enums_Title$Ms$ = new ($a_Lcom_metastay_gompaapp_enums_Title$Ms$())()
  };
  return $n_Lcom_metastay_gompaapp_enums_Title$Ms$
}
/** @constructor */
function $c_Ljava_io_FilterOutputStream() {
  $c_Ljava_io_OutputStream.call(this);
  this.out$2 = null
}
$c_Ljava_io_FilterOutputStream.prototype = new $h_Ljava_io_OutputStream();
$c_Ljava_io_FilterOutputStream.prototype.constructor = $c_Ljava_io_FilterOutputStream;
/** @constructor */
function $h_Ljava_io_FilterOutputStream() {
  /*<skip>*/
}
$h_Ljava_io_FilterOutputStream.prototype = $c_Ljava_io_FilterOutputStream.prototype;
$c_Ljava_io_FilterOutputStream.prototype.init___Ljava_io_OutputStream = (function(out) {
  this.out$2 = out;
  return this
});
function $is_T(obj) {
  return ((typeof obj) === "string")
}
function $as_T(obj) {
  return (($is_T(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.String"))
}
function $isArrayOf_T(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.T)))
}
function $asArrayOf_T(obj, depth) {
  return (($isArrayOf_T(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.String;", depth))
}
var $d_T = new $TypeData().initClass({
  T: 0
}, false, "java.lang.String", {
  T: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_CharSequence: 1,
  jl_Comparable: 1
}, (void 0), (void 0), $is_T);
/** @constructor */
function $c_jl_AssertionError() {
  $c_jl_Error.call(this)
}
$c_jl_AssertionError.prototype = new $h_jl_Error();
$c_jl_AssertionError.prototype.constructor = $c_jl_AssertionError;
/** @constructor */
function $h_jl_AssertionError() {
  /*<skip>*/
}
$h_jl_AssertionError.prototype = $c_jl_AssertionError.prototype;
$c_jl_AssertionError.prototype.init___O = (function(o) {
  var s = $objectToString(o);
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_AssertionError = new $TypeData().initClass({
  jl_AssertionError: 0
}, false, "java.lang.AssertionError", {
  jl_AssertionError: 1,
  jl_Error: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_AssertionError.prototype.$classData = $d_jl_AssertionError;
var $d_jl_Byte = new $TypeData().initClass({
  jl_Byte: 0
}, false, "java.lang.Byte", {
  jl_Byte: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isByte(x)
}));
/** @constructor */
function $c_jl_CloneNotSupportedException() {
  $c_jl_Exception.call(this)
}
$c_jl_CloneNotSupportedException.prototype = new $h_jl_Exception();
$c_jl_CloneNotSupportedException.prototype.constructor = $c_jl_CloneNotSupportedException;
/** @constructor */
function $h_jl_CloneNotSupportedException() {
  /*<skip>*/
}
$h_jl_CloneNotSupportedException.prototype = $c_jl_CloneNotSupportedException.prototype;
$c_jl_CloneNotSupportedException.prototype.init___ = (function() {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
var $d_jl_CloneNotSupportedException = new $TypeData().initClass({
  jl_CloneNotSupportedException: 0
}, false, "java.lang.CloneNotSupportedException", {
  jl_CloneNotSupportedException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_CloneNotSupportedException.prototype.$classData = $d_jl_CloneNotSupportedException;
function $isArrayOf_jl_Double(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Double)))
}
function $asArrayOf_jl_Double(obj, depth) {
  return (($isArrayOf_jl_Double(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Double;", depth))
}
var $d_jl_Double = new $TypeData().initClass({
  jl_Double: 0
}, false, "java.lang.Double", {
  jl_Double: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return ((typeof x) === "number")
}));
var $d_jl_Float = new $TypeData().initClass({
  jl_Float: 0
}, false, "java.lang.Float", {
  jl_Float: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isFloat(x)
}));
var $d_jl_Integer = new $TypeData().initClass({
  jl_Integer: 0
}, false, "java.lang.Integer", {
  jl_Integer: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isInt(x)
}));
function $is_jl_InterruptedException(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_InterruptedException)))
}
function $as_jl_InterruptedException(obj) {
  return (($is_jl_InterruptedException(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.InterruptedException"))
}
function $isArrayOf_jl_InterruptedException(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_InterruptedException)))
}
function $asArrayOf_jl_InterruptedException(obj, depth) {
  return (($isArrayOf_jl_InterruptedException(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.InterruptedException;", depth))
}
/** @constructor */
function $c_jl_JSConsoleBasedPrintStream$DummyOutputStream() {
  $c_Ljava_io_OutputStream.call(this)
}
$c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype = new $h_Ljava_io_OutputStream();
$c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype.constructor = $c_jl_JSConsoleBasedPrintStream$DummyOutputStream;
/** @constructor */
function $h_jl_JSConsoleBasedPrintStream$DummyOutputStream() {
  /*<skip>*/
}
$h_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype = $c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype;
$c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype.init___ = (function() {
  return this
});
var $d_jl_JSConsoleBasedPrintStream$DummyOutputStream = new $TypeData().initClass({
  jl_JSConsoleBasedPrintStream$DummyOutputStream: 0
}, false, "java.lang.JSConsoleBasedPrintStream$DummyOutputStream", {
  jl_JSConsoleBasedPrintStream$DummyOutputStream: 1,
  Ljava_io_OutputStream: 1,
  O: 1,
  Ljava_io_Closeable: 1,
  Ljava_io_Flushable: 1
});
$c_jl_JSConsoleBasedPrintStream$DummyOutputStream.prototype.$classData = $d_jl_JSConsoleBasedPrintStream$DummyOutputStream;
function $is_jl_LinkageError(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_LinkageError)))
}
function $as_jl_LinkageError(obj) {
  return (($is_jl_LinkageError(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.LinkageError"))
}
function $isArrayOf_jl_LinkageError(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_LinkageError)))
}
function $asArrayOf_jl_LinkageError(obj, depth) {
  return (($isArrayOf_jl_LinkageError(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.LinkageError;", depth))
}
function $isArrayOf_jl_Long(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_Long)))
}
function $asArrayOf_jl_Long(obj, depth) {
  return (($isArrayOf_jl_Long(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.Long;", depth))
}
var $d_jl_Long = new $TypeData().initClass({
  jl_Long: 0
}, false, "java.lang.Long", {
  jl_Long: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $is_sjsr_RuntimeLong(x)
}));
/** @constructor */
function $c_jl_RuntimeException() {
  $c_jl_Exception.call(this)
}
$c_jl_RuntimeException.prototype = new $h_jl_Exception();
$c_jl_RuntimeException.prototype.constructor = $c_jl_RuntimeException;
/** @constructor */
function $h_jl_RuntimeException() {
  /*<skip>*/
}
$h_jl_RuntimeException.prototype = $c_jl_RuntimeException.prototype;
var $d_jl_Short = new $TypeData().initClass({
  jl_Short: 0
}, false, "java.lang.Short", {
  jl_Short: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
}, (void 0), (void 0), (function(x) {
  return $isShort(x)
}));
/** @constructor */
function $c_jl_StringBuilder() {
  $c_O.call(this);
  this.content$1 = null
}
$c_jl_StringBuilder.prototype = new $h_O();
$c_jl_StringBuilder.prototype.constructor = $c_jl_StringBuilder;
/** @constructor */
function $h_jl_StringBuilder() {
  /*<skip>*/
}
$h_jl_StringBuilder.prototype = $c_jl_StringBuilder.prototype;
$c_jl_StringBuilder.prototype.init___ = (function() {
  $c_jl_StringBuilder.prototype.init___T.call(this, "");
  return this
});
$c_jl_StringBuilder.prototype.append__T__jl_StringBuilder = (function(s) {
  this.content$1 = (("" + this.content$1) + ((s === null) ? "null" : s));
  return this
});
$c_jl_StringBuilder.prototype.subSequence__I__I__jl_CharSequence = (function(start, end) {
  var thiz = this.content$1;
  return $as_T(thiz.substring(start, end))
});
$c_jl_StringBuilder.prototype.toString__T = (function() {
  return this.content$1
});
$c_jl_StringBuilder.prototype.init___jl_CharSequence = (function(csq) {
  $c_jl_StringBuilder.prototype.init___T.call(this, $objectToString(csq));
  return this
});
$c_jl_StringBuilder.prototype.append__O__jl_StringBuilder = (function(obj) {
  return ((obj === null) ? this.append__T__jl_StringBuilder(null) : this.append__T__jl_StringBuilder($objectToString(obj)))
});
$c_jl_StringBuilder.prototype.init___I = (function(initialCapacity) {
  $c_jl_StringBuilder.prototype.init___T.call(this, "");
  return this
});
$c_jl_StringBuilder.prototype.append__jl_CharSequence__I__I__jl_StringBuilder = (function(csq, start, end) {
  return ((csq === null) ? this.append__jl_CharSequence__I__I__jl_StringBuilder("null", start, end) : this.append__T__jl_StringBuilder($objectToString($charSequenceSubSequence(csq, start, end))))
});
$c_jl_StringBuilder.prototype.append__C__jl_StringBuilder = (function(c) {
  return this.append__T__jl_StringBuilder($as_T($g.String.fromCharCode(c)))
});
$c_jl_StringBuilder.prototype.init___T = (function(content) {
  this.content$1 = content;
  return this
});
$c_jl_StringBuilder.prototype.reverse__jl_StringBuilder = (function() {
  var original = this.content$1;
  var result = "";
  var i = 0;
  while ((i < $uI(original.length))) {
    var index = i;
    var c = (65535 & $uI(original.charCodeAt(index)));
    if ((((64512 & c) === 55296) && (((1 + i) | 0) < $uI(original.length)))) {
      var index$1 = ((1 + i) | 0);
      var c2 = (65535 & $uI(original.charCodeAt(index$1)));
      if (((64512 & c2) === 56320)) {
        result = ((("" + $as_T($g.String.fromCharCode(c))) + $as_T($g.String.fromCharCode(c2))) + result);
        i = ((2 + i) | 0)
      } else {
        result = (("" + $as_T($g.String.fromCharCode(c))) + result);
        i = ((1 + i) | 0)
      }
    } else {
      result = (("" + $as_T($g.String.fromCharCode(c))) + result);
      i = ((1 + i) | 0)
    }
  };
  this.content$1 = result;
  return this
});
var $d_jl_StringBuilder = new $TypeData().initClass({
  jl_StringBuilder: 0
}, false, "java.lang.StringBuilder", {
  jl_StringBuilder: 1,
  O: 1,
  jl_CharSequence: 1,
  jl_Appendable: 1,
  Ljava_io_Serializable: 1
});
$c_jl_StringBuilder.prototype.$classData = $d_jl_StringBuilder;
function $is_jl_ThreadDeath(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_ThreadDeath)))
}
function $as_jl_ThreadDeath(obj) {
  return (($is_jl_ThreadDeath(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.ThreadDeath"))
}
function $isArrayOf_jl_ThreadDeath(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_ThreadDeath)))
}
function $asArrayOf_jl_ThreadDeath(obj, depth) {
  return (($isArrayOf_jl_ThreadDeath(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.ThreadDeath;", depth))
}
function $is_jl_VirtualMachineError(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_VirtualMachineError)))
}
function $as_jl_VirtualMachineError(obj) {
  return (($is_jl_VirtualMachineError(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.VirtualMachineError"))
}
function $isArrayOf_jl_VirtualMachineError(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_VirtualMachineError)))
}
function $asArrayOf_jl_VirtualMachineError(obj, depth) {
  return (($isArrayOf_jl_VirtualMachineError(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.VirtualMachineError;", depth))
}
/** @constructor */
function $c_ju_concurrent_ExecutionException() {
  $c_jl_Exception.call(this)
}
$c_ju_concurrent_ExecutionException.prototype = new $h_jl_Exception();
$c_ju_concurrent_ExecutionException.prototype.constructor = $c_ju_concurrent_ExecutionException;
/** @constructor */
function $h_ju_concurrent_ExecutionException() {
  /*<skip>*/
}
$h_ju_concurrent_ExecutionException.prototype = $c_ju_concurrent_ExecutionException.prototype;
$c_ju_concurrent_ExecutionException.prototype.init___T__jl_Throwable = (function(message, cause) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, cause);
  return this
});
var $d_ju_concurrent_ExecutionException = new $TypeData().initClass({
  ju_concurrent_ExecutionException: 0
}, false, "java.util.concurrent.ExecutionException", {
  ju_concurrent_ExecutionException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_concurrent_ExecutionException.prototype.$classData = $d_ju_concurrent_ExecutionException;
/** @constructor */
function $c_s_Array$() {
  $c_s_FallbackArrayBuilding.call(this)
}
$c_s_Array$.prototype = new $h_s_FallbackArrayBuilding();
$c_s_Array$.prototype.constructor = $c_s_Array$;
/** @constructor */
function $h_s_Array$() {
  /*<skip>*/
}
$h_s_Array$.prototype = $c_s_Array$.prototype;
$c_s_Array$.prototype.init___ = (function() {
  return this
});
$c_s_Array$.prototype.slowcopy__p2__O__I__O__I__I__V = (function(src, srcPos, dest, destPos, length) {
  var i = srcPos;
  var j = destPos;
  var srcUntil = ((srcPos + length) | 0);
  while ((i < srcUntil)) {
    $m_sr_ScalaRunTime$().array$undupdate__O__I__O__V(dest, j, $m_sr_ScalaRunTime$().array$undapply__O__I__O(src, i));
    i = ((1 + i) | 0);
    j = ((1 + j) | 0)
  }
});
$c_s_Array$.prototype.copy__O__I__O__I__I__V = (function(src, srcPos, dest, destPos, length) {
  var srcClass = $objectGetClass(src);
  if ((srcClass.isArray__Z() && $objectGetClass(dest).isAssignableFrom__jl_Class__Z(srcClass))) {
    $systemArraycopy(src, srcPos, dest, destPos, length)
  } else {
    this.slowcopy__p2__O__I__O__I__I__V(src, srcPos, dest, destPos, length)
  }
});
var $d_s_Array$ = new $TypeData().initClass({
  s_Array$: 0
}, false, "scala.Array$", {
  s_Array$: 1,
  s_FallbackArrayBuilding: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Array$.prototype.$classData = $d_s_Array$;
var $n_s_Array$ = (void 0);
function $m_s_Array$() {
  if ((!$n_s_Array$)) {
    $n_s_Array$ = new $c_s_Array$().init___()
  };
  return $n_s_Array$
}
/** @constructor */
function $c_s_Predef$$eq$colon$eq() {
  $c_O.call(this)
}
$c_s_Predef$$eq$colon$eq.prototype = new $h_O();
$c_s_Predef$$eq$colon$eq.prototype.constructor = $c_s_Predef$$eq$colon$eq;
/** @constructor */
function $h_s_Predef$$eq$colon$eq() {
  /*<skip>*/
}
$h_s_Predef$$eq$colon$eq.prototype = $c_s_Predef$$eq$colon$eq.prototype;
$c_s_Predef$$eq$colon$eq.prototype.toString__T = (function() {
  return "<function1>"
});
/** @constructor */
function $c_s_Predef$$less$colon$less() {
  $c_O.call(this)
}
$c_s_Predef$$less$colon$less.prototype = new $h_O();
$c_s_Predef$$less$colon$less.prototype.constructor = $c_s_Predef$$less$colon$less;
/** @constructor */
function $h_s_Predef$$less$colon$less() {
  /*<skip>*/
}
$h_s_Predef$$less$colon$less.prototype = $c_s_Predef$$less$colon$less.prototype;
$c_s_Predef$$less$colon$less.prototype.toString__T = (function() {
  return "<function1>"
});
/** @constructor */
function $c_s_concurrent_impl_AbstractPromise() {
  $c_ju_concurrent_atomic_AtomicReference.call(this)
}
$c_s_concurrent_impl_AbstractPromise.prototype = new $h_ju_concurrent_atomic_AtomicReference();
$c_s_concurrent_impl_AbstractPromise.prototype.constructor = $c_s_concurrent_impl_AbstractPromise;
/** @constructor */
function $h_s_concurrent_impl_AbstractPromise() {
  /*<skip>*/
}
$h_s_concurrent_impl_AbstractPromise.prototype = $c_s_concurrent_impl_AbstractPromise.prototype;
/** @constructor */
function $c_s_math_Equiv$() {
  $c_O.call(this)
}
$c_s_math_Equiv$.prototype = new $h_O();
$c_s_math_Equiv$.prototype.constructor = $c_s_math_Equiv$;
/** @constructor */
function $h_s_math_Equiv$() {
  /*<skip>*/
}
$h_s_math_Equiv$.prototype = $c_s_math_Equiv$.prototype;
$c_s_math_Equiv$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Equiv$ = new $TypeData().initClass({
  s_math_Equiv$: 0
}, false, "scala.math.Equiv$", {
  s_math_Equiv$: 1,
  O: 1,
  s_math_LowPriorityEquiv: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Equiv$.prototype.$classData = $d_s_math_Equiv$;
var $n_s_math_Equiv$ = (void 0);
function $m_s_math_Equiv$() {
  if ((!$n_s_math_Equiv$)) {
    $n_s_math_Equiv$ = new $c_s_math_Equiv$().init___()
  };
  return $n_s_math_Equiv$
}
/** @constructor */
function $c_s_math_Ordering$() {
  $c_O.call(this)
}
$c_s_math_Ordering$.prototype = new $h_O();
$c_s_math_Ordering$.prototype.constructor = $c_s_math_Ordering$;
/** @constructor */
function $h_s_math_Ordering$() {
  /*<skip>*/
}
$h_s_math_Ordering$.prototype = $c_s_math_Ordering$.prototype;
$c_s_math_Ordering$.prototype.init___ = (function() {
  return this
});
var $d_s_math_Ordering$ = new $TypeData().initClass({
  s_math_Ordering$: 0
}, false, "scala.math.Ordering$", {
  s_math_Ordering$: 1,
  O: 1,
  s_math_LowPriorityOrderingImplicits: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_math_Ordering$.prototype.$classData = $d_s_math_Ordering$;
var $n_s_math_Ordering$ = (void 0);
function $m_s_math_Ordering$() {
  if ((!$n_s_math_Ordering$)) {
    $n_s_math_Ordering$ = new $c_s_math_Ordering$().init___()
  };
  return $n_s_math_Ordering$
}
/** @constructor */
function $c_s_reflect_NoManifest$() {
  $c_O.call(this)
}
$c_s_reflect_NoManifest$.prototype = new $h_O();
$c_s_reflect_NoManifest$.prototype.constructor = $c_s_reflect_NoManifest$;
/** @constructor */
function $h_s_reflect_NoManifest$() {
  /*<skip>*/
}
$h_s_reflect_NoManifest$.prototype = $c_s_reflect_NoManifest$.prototype;
$c_s_reflect_NoManifest$.prototype.init___ = (function() {
  return this
});
$c_s_reflect_NoManifest$.prototype.toString__T = (function() {
  return "<?>"
});
var $d_s_reflect_NoManifest$ = new $TypeData().initClass({
  s_reflect_NoManifest$: 0
}, false, "scala.reflect.NoManifest$", {
  s_reflect_NoManifest$: 1,
  O: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_reflect_NoManifest$.prototype.$classData = $d_s_reflect_NoManifest$;
var $n_s_reflect_NoManifest$ = (void 0);
function $m_s_reflect_NoManifest$() {
  if ((!$n_s_reflect_NoManifest$)) {
    $n_s_reflect_NoManifest$ = new $c_s_reflect_NoManifest$().init___()
  };
  return $n_s_reflect_NoManifest$
}
/** @constructor */
function $c_sc_AbstractIterator() {
  $c_O.call(this)
}
$c_sc_AbstractIterator.prototype = new $h_O();
$c_sc_AbstractIterator.prototype.constructor = $c_sc_AbstractIterator;
/** @constructor */
function $h_sc_AbstractIterator() {
  /*<skip>*/
}
$h_sc_AbstractIterator.prototype = $c_sc_AbstractIterator.prototype;
$c_sc_AbstractIterator.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sc_AbstractIterator.prototype.isEmpty__Z = (function() {
  return $s_sc_Iterator$class__isEmpty__sc_Iterator__Z(this)
});
$c_sc_AbstractIterator.prototype.toList__sci_List = (function() {
  var this$1 = $m_sci_List$();
  var cbf = this$1.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableOnce$class__to__sc_TraversableOnce__scg_CanBuildFrom__O(this, cbf))
});
$c_sc_AbstractIterator.prototype.mkString__T__T = (function(sep) {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, "", sep, "")
});
$c_sc_AbstractIterator.prototype.toString__T = (function() {
  return $s_sc_Iterator$class__toString__sc_Iterator__T(this)
});
$c_sc_AbstractIterator.prototype.foreach__F1__V = (function(f) {
  $s_sc_Iterator$class__foreach__sc_Iterator__F1__V(this, f)
});
$c_sc_AbstractIterator.prototype.size__I = (function() {
  return $s_sc_TraversableOnce$class__size__sc_TraversableOnce__I(this)
});
$c_sc_AbstractIterator.prototype.toStream__sci_Stream = (function() {
  return $s_sc_Iterator$class__toStream__sc_Iterator__sci_Stream(this)
});
$c_sc_AbstractIterator.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
});
/** @constructor */
function $c_scg_SetFactory() {
  $c_scg_GenSetFactory.call(this)
}
$c_scg_SetFactory.prototype = new $h_scg_GenSetFactory();
$c_scg_SetFactory.prototype.constructor = $c_scg_SetFactory;
/** @constructor */
function $h_scg_SetFactory() {
  /*<skip>*/
}
$h_scg_SetFactory.prototype = $c_scg_SetFactory.prototype;
/** @constructor */
function $c_sci_ListSet$ListSetBuilder() {
  $c_O.call(this);
  this.elems$1 = null;
  this.seen$1 = null
}
$c_sci_ListSet$ListSetBuilder.prototype = new $h_O();
$c_sci_ListSet$ListSetBuilder.prototype.constructor = $c_sci_ListSet$ListSetBuilder;
/** @constructor */
function $h_sci_ListSet$ListSetBuilder() {
  /*<skip>*/
}
$h_sci_ListSet$ListSetBuilder.prototype = $c_sci_ListSet$ListSetBuilder.prototype;
$c_sci_ListSet$ListSetBuilder.prototype.result__sci_ListSet = (function() {
  var this$2 = this.elems$1;
  var z = $m_sci_ListSet$EmptyListSet$();
  var this$3 = this$2.scala$collection$mutable$ListBuffer$$start$6;
  var acc = z;
  var these = this$3;
  while ((!these.isEmpty__Z())) {
    var arg1 = acc;
    var arg2 = these.head__O();
    var x$1 = $as_sci_ListSet(arg1);
    acc = new $c_sci_ListSet$Node().init___sci_ListSet__O(x$1, arg2);
    these = $as_sc_LinearSeqOptimized(these.tail__O())
  };
  return $as_sci_ListSet(acc)
});
$c_sci_ListSet$ListSetBuilder.prototype.init___ = (function() {
  $c_sci_ListSet$ListSetBuilder.prototype.init___sci_ListSet.call(this, $m_sci_ListSet$EmptyListSet$());
  return this
});
$c_sci_ListSet$ListSetBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__sci_ListSet$ListSetBuilder(elem)
});
$c_sci_ListSet$ListSetBuilder.prototype.init___sci_ListSet = (function(initial) {
  var this$1 = new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(initial);
  this.elems$1 = $as_scm_ListBuffer($s_sc_SeqLike$class__reverse__sc_SeqLike__O(this$1));
  var this$2 = new $c_scm_HashSet().init___();
  this.seen$1 = $as_scm_HashSet($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this$2, initial));
  return this
});
$c_sci_ListSet$ListSetBuilder.prototype.result__O = (function() {
  return this.result__sci_ListSet()
});
$c_sci_ListSet$ListSetBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_sci_ListSet$ListSetBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__sci_ListSet$ListSetBuilder(elem)
});
$c_sci_ListSet$ListSetBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_sci_ListSet$ListSetBuilder.prototype.$$plus$eq__O__sci_ListSet$ListSetBuilder = (function(x) {
  var this$1 = this.seen$1;
  if ((!$s_scm_FlatHashTable$class__containsElem__scm_FlatHashTable__O__Z(this$1, x))) {
    this.elems$1.$$plus$eq__O__scm_ListBuffer(x);
    this.seen$1.$$plus$eq__O__scm_HashSet(x)
  };
  return this
});
$c_sci_ListSet$ListSetBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
var $d_sci_ListSet$ListSetBuilder = new $TypeData().initClass({
  sci_ListSet$ListSetBuilder: 0
}, false, "scala.collection.immutable.ListSet$ListSetBuilder", {
  sci_ListSet$ListSetBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_sci_ListSet$ListSetBuilder.prototype.$classData = $d_sci_ListSet$ListSetBuilder;
/** @constructor */
function $c_sci_Map$() {
  $c_scg_ImmutableMapFactory.call(this)
}
$c_sci_Map$.prototype = new $h_scg_ImmutableMapFactory();
$c_sci_Map$.prototype.constructor = $c_sci_Map$;
/** @constructor */
function $h_sci_Map$() {
  /*<skip>*/
}
$h_sci_Map$.prototype = $c_sci_Map$.prototype;
$c_sci_Map$.prototype.init___ = (function() {
  return this
});
$c_sci_Map$.prototype.empty__sc_GenMap = (function() {
  return $m_sci_Map$EmptyMap$()
});
var $d_sci_Map$ = new $TypeData().initClass({
  sci_Map$: 0
}, false, "scala.collection.immutable.Map$", {
  sci_Map$: 1,
  scg_ImmutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1
});
$c_sci_Map$.prototype.$classData = $d_sci_Map$;
var $n_sci_Map$ = (void 0);
function $m_sci_Map$() {
  if ((!$n_sci_Map$)) {
    $n_sci_Map$ = new $c_sci_Map$().init___()
  };
  return $n_sci_Map$
}
/** @constructor */
function $c_scm_GrowingBuilder() {
  $c_O.call(this);
  this.empty$1 = null;
  this.elems$1 = null
}
$c_scm_GrowingBuilder.prototype = new $h_O();
$c_scm_GrowingBuilder.prototype.constructor = $c_scm_GrowingBuilder;
/** @constructor */
function $h_scm_GrowingBuilder() {
  /*<skip>*/
}
$h_scm_GrowingBuilder.prototype = $c_scm_GrowingBuilder.prototype;
$c_scm_GrowingBuilder.prototype.init___scg_Growable = (function(empty) {
  this.empty$1 = empty;
  this.elems$1 = empty;
  return this
});
$c_scm_GrowingBuilder.prototype.$$plus$eq__O__scm_GrowingBuilder = (function(x) {
  this.elems$1.$$plus$eq__O__scg_Growable(x);
  return this
});
$c_scm_GrowingBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_GrowingBuilder(elem)
});
$c_scm_GrowingBuilder.prototype.result__O = (function() {
  return this.elems$1
});
$c_scm_GrowingBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_GrowingBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_GrowingBuilder(elem)
});
$c_scm_GrowingBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_GrowingBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
var $d_scm_GrowingBuilder = new $TypeData().initClass({
  scm_GrowingBuilder: 0
}, false, "scala.collection.mutable.GrowingBuilder", {
  scm_GrowingBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_GrowingBuilder.prototype.$classData = $d_scm_GrowingBuilder;
/** @constructor */
function $c_scm_LazyBuilder() {
  $c_O.call(this);
  this.parts$1 = null
}
$c_scm_LazyBuilder.prototype = new $h_O();
$c_scm_LazyBuilder.prototype.constructor = $c_scm_LazyBuilder;
/** @constructor */
function $h_scm_LazyBuilder() {
  /*<skip>*/
}
$h_scm_LazyBuilder.prototype = $c_scm_LazyBuilder.prototype;
$c_scm_LazyBuilder.prototype.init___ = (function() {
  this.parts$1 = new $c_scm_ListBuffer().init___();
  return this
});
$c_scm_LazyBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scm_LazyBuilder = (function(xs) {
  this.parts$1.$$plus$eq__O__scm_ListBuffer(xs);
  return this
});
$c_scm_LazyBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_LazyBuilder(elem)
});
$c_scm_LazyBuilder.prototype.$$plus$eq__O__scm_LazyBuilder = (function(x) {
  var jsx$1 = this.parts$1;
  $m_sci_List$();
  var xs = new $c_sjs_js_WrappedArray().init___sjs_js_Array([x]);
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  jsx$1.$$plus$eq__O__scm_ListBuffer($as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(xs, cbf)));
  return this
});
$c_scm_LazyBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_LazyBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_LazyBuilder(elem)
});
$c_scm_LazyBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_LazyBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return this.$$plus$plus$eq__sc_TraversableOnce__scm_LazyBuilder(xs)
});
/** @constructor */
function $c_scm_MapBuilder() {
  $c_O.call(this);
  this.empty$1 = null;
  this.elems$1 = null
}
$c_scm_MapBuilder.prototype = new $h_O();
$c_scm_MapBuilder.prototype.constructor = $c_scm_MapBuilder;
/** @constructor */
function $h_scm_MapBuilder() {
  /*<skip>*/
}
$h_scm_MapBuilder.prototype = $c_scm_MapBuilder.prototype;
$c_scm_MapBuilder.prototype.$$plus$eq__T2__scm_MapBuilder = (function(x) {
  this.elems$1 = this.elems$1.$$plus__T2__sc_GenMap(x);
  return this
});
$c_scm_MapBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__T2__scm_MapBuilder($as_T2(elem))
});
$c_scm_MapBuilder.prototype.result__O = (function() {
  return this.elems$1
});
$c_scm_MapBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_MapBuilder.prototype.init___sc_GenMap = (function(empty) {
  this.empty$1 = empty;
  this.elems$1 = empty;
  return this
});
$c_scm_MapBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__T2__scm_MapBuilder($as_T2(elem))
});
$c_scm_MapBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_MapBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
var $d_scm_MapBuilder = new $TypeData().initClass({
  scm_MapBuilder: 0
}, false, "scala.collection.mutable.MapBuilder", {
  scm_MapBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_MapBuilder.prototype.$classData = $d_scm_MapBuilder;
/** @constructor */
function $c_scm_SetBuilder() {
  $c_O.call(this);
  this.empty$1 = null;
  this.elems$1 = null
}
$c_scm_SetBuilder.prototype = new $h_O();
$c_scm_SetBuilder.prototype.constructor = $c_scm_SetBuilder;
/** @constructor */
function $h_scm_SetBuilder() {
  /*<skip>*/
}
$h_scm_SetBuilder.prototype = $c_scm_SetBuilder.prototype;
$c_scm_SetBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_SetBuilder(elem)
});
$c_scm_SetBuilder.prototype.result__O = (function() {
  return this.elems$1
});
$c_scm_SetBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_SetBuilder.prototype.$$plus$eq__O__scm_SetBuilder = (function(x) {
  this.elems$1 = this.elems$1.$$plus__O__sc_Set(x);
  return this
});
$c_scm_SetBuilder.prototype.init___sc_Set = (function(empty) {
  this.empty$1 = empty;
  this.elems$1 = empty;
  return this
});
$c_scm_SetBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_SetBuilder(elem)
});
$c_scm_SetBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_SetBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
var $d_scm_SetBuilder = new $TypeData().initClass({
  scm_SetBuilder: 0
}, false, "scala.collection.mutable.SetBuilder", {
  scm_SetBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_scm_SetBuilder.prototype.$classData = $d_scm_SetBuilder;
/** @constructor */
function $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext() {
  $c_O.call(this);
  this.resolvedUnitPromise$1 = null
}
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype = new $h_O();
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.constructor = $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext;
/** @constructor */
function $h_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext() {
  /*<skip>*/
}
$h_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype = $c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype;
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.init___ = (function() {
  this.resolvedUnitPromise$1 = $g.Promise.resolve((void 0));
  return this
});
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.reportFailure__jl_Throwable__V = (function(t) {
  t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
});
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.execute__jl_Runnable__V = (function(runnable) {
  this.resolvedUnitPromise$1.then((function($this, runnable$1) {
    return (function(x$1$2) {
      $asUnit(x$1$2);
      try {
        runnable$1.run__V()
      } catch (e) {
        var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ((e$2 !== null)) {
          e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
        } else {
          throw e
        }
      }
    })
  })(this, runnable))
});
var $d_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$PromisesExecutionContext: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$PromisesExecutionContext", {
  sjs_concurrent_QueueExecutionContext$PromisesExecutionContext: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$PromisesExecutionContext;
/** @constructor */
function $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext() {
  $c_O.call(this)
}
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype = new $h_O();
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.constructor = $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext;
/** @constructor */
function $h_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext() {
  /*<skip>*/
}
$h_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype = $c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype;
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.init___ = (function() {
  return this
});
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.reportFailure__jl_Throwable__V = (function(t) {
  t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
});
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.execute__jl_Runnable__V = (function(runnable) {
  $g.setTimeout((function(arg$outer, runnable$1) {
    return (function() {
      try {
        runnable$1.run__V()
      } catch (e) {
        var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ((e$2 !== null)) {
          e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
        } else {
          throw e
        }
      }
    })
  })(this, runnable), 0)
});
var $d_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext = new $TypeData().initClass({
  sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext: 0
}, false, "scala.scalajs.concurrent.QueueExecutionContext$TimeoutsExecutionContext", {
  sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext.prototype.$classData = $d_sjs_concurrent_QueueExecutionContext$TimeoutsExecutionContext;
/** @constructor */
function $c_sjs_concurrent_RunNowExecutionContext$() {
  $c_O.call(this)
}
$c_sjs_concurrent_RunNowExecutionContext$.prototype = new $h_O();
$c_sjs_concurrent_RunNowExecutionContext$.prototype.constructor = $c_sjs_concurrent_RunNowExecutionContext$;
/** @constructor */
function $h_sjs_concurrent_RunNowExecutionContext$() {
  /*<skip>*/
}
$h_sjs_concurrent_RunNowExecutionContext$.prototype = $c_sjs_concurrent_RunNowExecutionContext$.prototype;
$c_sjs_concurrent_RunNowExecutionContext$.prototype.init___ = (function() {
  return this
});
$c_sjs_concurrent_RunNowExecutionContext$.prototype.reportFailure__jl_Throwable__V = (function(t) {
  t.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
});
$c_sjs_concurrent_RunNowExecutionContext$.prototype.execute__jl_Runnable__V = (function(runnable) {
  try {
    runnable.run__V()
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      e$2.printStackTrace__Ljava_io_PrintStream__V($m_jl_System$().err$1)
    } else {
      throw e
    }
  }
});
var $d_sjs_concurrent_RunNowExecutionContext$ = new $TypeData().initClass({
  sjs_concurrent_RunNowExecutionContext$: 0
}, false, "scala.scalajs.concurrent.RunNowExecutionContext$", {
  sjs_concurrent_RunNowExecutionContext$: 1,
  O: 1,
  s_concurrent_ExecutionContextExecutor: 1,
  s_concurrent_ExecutionContext: 1,
  ju_concurrent_Executor: 1
});
$c_sjs_concurrent_RunNowExecutionContext$.prototype.$classData = $d_sjs_concurrent_RunNowExecutionContext$;
var $n_sjs_concurrent_RunNowExecutionContext$ = (void 0);
function $m_sjs_concurrent_RunNowExecutionContext$() {
  if ((!$n_sjs_concurrent_RunNowExecutionContext$)) {
    $n_sjs_concurrent_RunNowExecutionContext$ = new $c_sjs_concurrent_RunNowExecutionContext$().init___()
  };
  return $n_sjs_concurrent_RunNowExecutionContext$
}
/** @constructor */
function $c_sjsr_RuntimeLong() {
  $c_jl_Number.call(this);
  this.lo$2 = 0;
  this.hi$2 = 0
}
$c_sjsr_RuntimeLong.prototype = new $h_jl_Number();
$c_sjsr_RuntimeLong.prototype.constructor = $c_sjsr_RuntimeLong;
/** @constructor */
function $h_sjsr_RuntimeLong() {
  /*<skip>*/
}
$h_sjsr_RuntimeLong.prototype = $c_sjsr_RuntimeLong.prototype;
$c_sjsr_RuntimeLong.prototype.longValue__J = (function() {
  return $uJ(this)
});
$c_sjsr_RuntimeLong.prototype.$$bar__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 | b.lo$2), (this.hi$2 | b.hi$2))
});
$c_sjsr_RuntimeLong.prototype.$$greater$eq__sjsr_RuntimeLong__Z = (function(b) {
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) >= ((-2147483648) ^ b.lo$2)) : (ahi > bhi))
});
$c_sjsr_RuntimeLong.prototype.byteValue__B = (function() {
  return ((this.lo$2 << 24) >> 24)
});
$c_sjsr_RuntimeLong.prototype.equals__O__Z = (function(that) {
  if ($is_sjsr_RuntimeLong(that)) {
    var x2 = $as_sjsr_RuntimeLong(that);
    return ((this.lo$2 === x2.lo$2) && (this.hi$2 === x2.hi$2))
  } else {
    return false
  }
});
$c_sjsr_RuntimeLong.prototype.$$less__sjsr_RuntimeLong__Z = (function(b) {
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) < ((-2147483648) ^ b.lo$2)) : (ahi < bhi))
});
$c_sjsr_RuntimeLong.prototype.$$times__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  var alo = this.lo$2;
  var blo = b.lo$2;
  var a0 = (65535 & alo);
  var a1 = ((alo >>> 16) | 0);
  var b0 = (65535 & blo);
  var b1 = ((blo >>> 16) | 0);
  var a0b0 = $imul(a0, b0);
  var a1b0 = $imul(a1, b0);
  var a0b1 = $imul(a0, b1);
  var lo = ((a0b0 + (((a1b0 + a0b1) | 0) << 16)) | 0);
  var c1part = ((((a0b0 >>> 16) | 0) + a0b1) | 0);
  var hi = (((((((($imul(alo, b.hi$2) + $imul(this.hi$2, blo)) | 0) + $imul(a1, b1)) | 0) + ((c1part >>> 16) | 0)) | 0) + (((((65535 & c1part) + a1b0) | 0) >>> 16) | 0)) | 0);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, hi)
});
$c_sjsr_RuntimeLong.prototype.init___I__I__I = (function(l, m, h) {
  $c_sjsr_RuntimeLong.prototype.init___I__I.call(this, (l | (m << 22)), ((m >> 10) | (h << 12)));
  return this
});
$c_sjsr_RuntimeLong.prototype.$$percent__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  var this$1 = $m_sjsr_RuntimeLong$();
  var lo = this$1.remainderImpl__I__I__I__I__I(this.lo$2, this.hi$2, b.lo$2, b.hi$2);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
});
$c_sjsr_RuntimeLong.prototype.toString__T = (function() {
  return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toString__I__I__T(this.lo$2, this.hi$2)
});
$c_sjsr_RuntimeLong.prototype.init___I__I = (function(lo, hi) {
  this.lo$2 = lo;
  this.hi$2 = hi;
  return this
});
$c_sjsr_RuntimeLong.prototype.compareTo__O__I = (function(x$1) {
  var that = $as_sjsr_RuntimeLong(x$1);
  return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(this.lo$2, this.hi$2, that.lo$2, that.hi$2)
});
$c_sjsr_RuntimeLong.prototype.$$less$eq__sjsr_RuntimeLong__Z = (function(b) {
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) <= ((-2147483648) ^ b.lo$2)) : (ahi < bhi))
});
$c_sjsr_RuntimeLong.prototype.$$amp__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 & b.lo$2), (this.hi$2 & b.hi$2))
});
$c_sjsr_RuntimeLong.prototype.$$greater$greater$greater__I__sjsr_RuntimeLong = (function(n) {
  return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (((this.lo$2 >>> n) | 0) | ((this.hi$2 << 1) << ((31 - n) | 0))) : ((this.hi$2 >>> n) | 0)), (((32 & n) === 0) ? ((this.hi$2 >>> n) | 0) : 0))
});
$c_sjsr_RuntimeLong.prototype.$$greater__sjsr_RuntimeLong__Z = (function(b) {
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  return ((ahi === bhi) ? (((-2147483648) ^ this.lo$2) > ((-2147483648) ^ b.lo$2)) : (ahi > bhi))
});
$c_sjsr_RuntimeLong.prototype.$$less$less__I__sjsr_RuntimeLong = (function(n) {
  return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (this.lo$2 << n) : 0), (((32 & n) === 0) ? (((((this.lo$2 >>> 1) | 0) >>> ((31 - n) | 0)) | 0) | (this.hi$2 << n)) : (this.lo$2 << n)))
});
$c_sjsr_RuntimeLong.prototype.init___I = (function(value) {
  $c_sjsr_RuntimeLong.prototype.init___I__I.call(this, value, (value >> 31));
  return this
});
$c_sjsr_RuntimeLong.prototype.toInt__I = (function() {
  return this.lo$2
});
$c_sjsr_RuntimeLong.prototype.notEquals__sjsr_RuntimeLong__Z = (function(b) {
  return (!((this.lo$2 === b.lo$2) && (this.hi$2 === b.hi$2)))
});
$c_sjsr_RuntimeLong.prototype.unary$und$minus__sjsr_RuntimeLong = (function() {
  var lo = this.lo$2;
  var hi = this.hi$2;
  return new $c_sjsr_RuntimeLong().init___I__I(((-lo) | 0), ((lo !== 0) ? (~hi) : ((-hi) | 0)))
});
$c_sjsr_RuntimeLong.prototype.$$plus__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  var alo = this.lo$2;
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  var lo = ((alo + b.lo$2) | 0);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, ((((-2147483648) ^ lo) < ((-2147483648) ^ alo)) ? ((1 + ((ahi + bhi) | 0)) | 0) : ((ahi + bhi) | 0)))
});
$c_sjsr_RuntimeLong.prototype.shortValue__S = (function() {
  return ((this.lo$2 << 16) >> 16)
});
$c_sjsr_RuntimeLong.prototype.$$greater$greater__I__sjsr_RuntimeLong = (function(n) {
  return new $c_sjsr_RuntimeLong().init___I__I((((32 & n) === 0) ? (((this.lo$2 >>> n) | 0) | ((this.hi$2 << 1) << ((31 - n) | 0))) : (this.hi$2 >> n)), (((32 & n) === 0) ? (this.hi$2 >> n) : (this.hi$2 >> 31)))
});
$c_sjsr_RuntimeLong.prototype.toDouble__D = (function() {
  return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2)
});
$c_sjsr_RuntimeLong.prototype.$$div__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  var this$1 = $m_sjsr_RuntimeLong$();
  var lo = this$1.divideImpl__I__I__I__I__I(this.lo$2, this.hi$2, b.lo$2, b.hi$2);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, this$1.scala$scalajs$runtime$RuntimeLong$$hiReturn$f)
});
$c_sjsr_RuntimeLong.prototype.doubleValue__D = (function() {
  return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2)
});
$c_sjsr_RuntimeLong.prototype.hashCode__I = (function() {
  return (this.lo$2 ^ this.hi$2)
});
$c_sjsr_RuntimeLong.prototype.intValue__I = (function() {
  return this.lo$2
});
$c_sjsr_RuntimeLong.prototype.unary$und$tilde__sjsr_RuntimeLong = (function() {
  return new $c_sjsr_RuntimeLong().init___I__I((~this.lo$2), (~this.hi$2))
});
$c_sjsr_RuntimeLong.prototype.compareTo__jl_Long__I = (function(that) {
  return $m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$compare__I__I__I__I__I(this.lo$2, this.hi$2, that.lo$2, that.hi$2)
});
$c_sjsr_RuntimeLong.prototype.floatValue__F = (function() {
  return $fround($m_sjsr_RuntimeLong$().scala$scalajs$runtime$RuntimeLong$$toDouble__I__I__D(this.lo$2, this.hi$2))
});
$c_sjsr_RuntimeLong.prototype.$$minus__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  var alo = this.lo$2;
  var ahi = this.hi$2;
  var bhi = b.hi$2;
  var lo = ((alo - b.lo$2) | 0);
  return new $c_sjsr_RuntimeLong().init___I__I(lo, ((((-2147483648) ^ lo) > ((-2147483648) ^ alo)) ? (((-1) + ((ahi - bhi) | 0)) | 0) : ((ahi - bhi) | 0)))
});
$c_sjsr_RuntimeLong.prototype.$$up__sjsr_RuntimeLong__sjsr_RuntimeLong = (function(b) {
  return new $c_sjsr_RuntimeLong().init___I__I((this.lo$2 ^ b.lo$2), (this.hi$2 ^ b.hi$2))
});
$c_sjsr_RuntimeLong.prototype.equals__sjsr_RuntimeLong__Z = (function(b) {
  return ((this.lo$2 === b.lo$2) && (this.hi$2 === b.hi$2))
});
function $is_sjsr_RuntimeLong(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjsr_RuntimeLong)))
}
function $as_sjsr_RuntimeLong(obj) {
  return (($is_sjsr_RuntimeLong(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.scalajs.runtime.RuntimeLong"))
}
function $isArrayOf_sjsr_RuntimeLong(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjsr_RuntimeLong)))
}
function $asArrayOf_sjsr_RuntimeLong(obj, depth) {
  return (($isArrayOf_sjsr_RuntimeLong(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.scalajs.runtime.RuntimeLong;", depth))
}
var $d_sjsr_RuntimeLong = new $TypeData().initClass({
  sjsr_RuntimeLong: 0
}, false, "scala.scalajs.runtime.RuntimeLong", {
  sjsr_RuntimeLong: 1,
  jl_Number: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  jl_Comparable: 1
});
$c_sjsr_RuntimeLong.prototype.$classData = $d_sjsr_RuntimeLong;
/** @constructor */
function $c_sr_AbstractFunction0$mcV$sp() {
  $c_sr_AbstractFunction0.call(this)
}
$c_sr_AbstractFunction0$mcV$sp.prototype = new $h_sr_AbstractFunction0();
$c_sr_AbstractFunction0$mcV$sp.prototype.constructor = $c_sr_AbstractFunction0$mcV$sp;
/** @constructor */
function $h_sr_AbstractFunction0$mcV$sp() {
  /*<skip>*/
}
$h_sr_AbstractFunction0$mcV$sp.prototype = $c_sr_AbstractFunction0$mcV$sp.prototype;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientError() {
  $c_O.call(this);
  this.require$1 = null;
  this.message$1 = null
}
$c_Lcom_iteration3_smilejs_ClientError.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientError.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientError;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientError() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientError.prototype = $c_Lcom_iteration3_smilejs_ClientError.prototype;
$c_Lcom_iteration3_smilejs_ClientError.prototype.$$js$exported$prop$require__O = (function() {
  return this.require$1
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.productPrefix__T = (function() {
  return "ClientError"
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.init___T__T = (function(require, message) {
  this.require$1 = require;
  this.message$1 = message;
  return this
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ClientError(x$1)) {
    var ClientError$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1);
    return ((this.require$1 === ClientError$1.require$1) && (this.message$1 === ClientError$1.message$1))
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.require$1;
      break
    }
    case 1: {
      return this.message$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.$$js$exported$prop$message__O = (function() {
  return this.message$1
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_iteration3_smilejs_ClientError.prototype, "message", {
  "get": (function() {
    return this.$$js$exported$prop$message__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_iteration3_smilejs_ClientError.prototype, "require", {
  "get": (function() {
    return this.$$js$exported$prop$require__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_ClientError(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ClientError)))
}
function $as_Lcom_iteration3_smilejs_ClientError(obj) {
  return (($is_Lcom_iteration3_smilejs_ClientError(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ClientError"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ClientError(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ClientError)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ClientError(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ClientError(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ClientError;", depth))
}
var $d_Lcom_iteration3_smilejs_ClientError = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientError: 0
}, false, "com.iteration3.smilejs.ClientError", {
  Lcom_iteration3_smilejs_ClientError: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientError.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientError;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientException() {
  $c_O.call(this);
  this.field$1 = null;
  this.message$1 = null
}
$c_Lcom_iteration3_smilejs_ClientException.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_ClientException.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientException;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientException() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientException.prototype = $c_Lcom_iteration3_smilejs_ClientException.prototype;
$c_Lcom_iteration3_smilejs_ClientException.prototype.productPrefix__T = (function() {
  return "ClientException"
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ClientException(x$1)) {
    var ClientException$1 = $as_Lcom_iteration3_smilejs_ClientException(x$1);
    if ((this.field$1 === ClientException$1.field$1)) {
      var x = this.message$1;
      var x$2 = ClientException$1.message$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.field$1;
      break
    }
    case 1: {
      return this.message$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.init___T__s_Option = (function(field, message) {
  this.field$1 = field;
  this.message$1 = message;
  return this
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.$$js$exported$prop$field__O = (function() {
  return this.field$1
});
Object.defineProperty($c_Lcom_iteration3_smilejs_ClientException.prototype, "field", {
  "get": (function() {
    return this.$$js$exported$prop$field__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_ClientException(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ClientException)))
}
function $as_Lcom_iteration3_smilejs_ClientException(obj) {
  return (($is_Lcom_iteration3_smilejs_ClientException(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ClientException"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ClientException(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ClientException)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ClientException(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ClientException(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ClientException;", depth))
}
var $d_Lcom_iteration3_smilejs_ClientException = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientException: 0
}, false, "com.iteration3.smilejs.ClientException", {
  Lcom_iteration3_smilejs_ClientException: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientException.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientException;
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_VRBuilderPQ() {
  $c_O.call(this);
  this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1 = null;
  this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1 = null
}
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype = new $h_O();
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.constructor = $c_Lcom_iteration3_smilejs_util_VRBuilderPQ;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_VRBuilderPQ() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype = $c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype;
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.productPrefix__T = (function() {
  return "VRBuilderPQ"
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.name__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath = (function(name) {
  var ret = this.createObject__p1__sjs_js_Dynamic();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath().init___sjs_js_Dynamic__T__T(ret, "name", name)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.createObject__p1__sjs_js_Dynamic = (function() {
  var ret = {};
  var this$1 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)) {
    ret.params = this.createParamObject__p1__sjs_js_Object()
  };
  var this$2 = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$2)) {
    ret.query = this.createQueryObject__p1__sjs_js_Object()
  };
  return ret
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$param__T__sjs_js_Any__O = (function(name, value) {
  return this.param__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ(name, value)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$query__T2__O = (function(query) {
  return this.query__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ(query)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.query__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(name, value) {
  var jsx$2 = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  var x$7 = new $c_T2().init___O__O(name, value);
  var this$3 = $m_sci_Nil$();
  var jsx$1 = new $c_sci_$colon$colon().init___O__sci_List(x$7, this$3);
  var this$4 = $m_sci_List$();
  var x$13 = $as_sci_List(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2));
  var x$14 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(x$14, x$13)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_util_VRBuilderPQ(x$1)) {
    var VRBuilderPQ$1 = $as_Lcom_iteration3_smilejs_util_VRBuilderPQ(x$1);
    var x = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
    var x$2 = VRBuilderPQ$1.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
    if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
      var x$3 = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
      var x$4 = VRBuilderPQ$1.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
      return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
      break
    }
    case 1: {
      return this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.param__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(name, value) {
  var jsx$2 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  var x$5 = new $c_T2().init___O__O(name, value);
  var this$3 = $m_sci_Nil$();
  var jsx$1 = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$3);
  var this$4 = $m_sci_List$();
  var paramList = $as_sci_List(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$4.ReusableCBFInstance$2));
  var queryList = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(paramList, queryList)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.path__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath = (function(path) {
  var ret = this.createObject__p1__sjs_js_Dynamic();
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath().init___sjs_js_Dynamic__T__T(ret, "path", path)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.init___sci_List__sci_List = (function(paramList, queryList) {
  this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1 = paramList;
  this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1 = queryList;
  return this
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.createQueryObject__p1__sjs_js_Object = (function() {
  var ret = {};
  var this$1 = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  var these = this$1;
  while ((!these.isEmpty__Z())) {
    var arg1 = these.head__O();
    var x0$2 = $as_T2(arg1);
    if ((x0$2 !== null)) {
      var name = $as_T(x0$2.$$und1$f);
      var arg = x0$2.$$und2$f;
      ret[name] = arg
    } else {
      throw new $c_s_MatchError().init___O(x0$2)
    };
    var this$2 = these;
    these = this$2.tail__sci_List()
  };
  return ret
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.createParamObject__p1__sjs_js_Object = (function() {
  var ret = {};
  var this$1 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  var these = this$1;
  while ((!these.isEmpty__Z())) {
    var arg1 = these.head__O();
    var x0$1 = $as_T2(arg1);
    if ((x0$1 !== null)) {
      var name = $as_T(x0$1.$$und1$f);
      var arg = x0$1.$$und2$f;
      ret[name] = arg
    } else {
      throw new $c_s_MatchError().init___O(x0$1)
    };
    var this$2 = these;
    these = this$2.tail__sci_List()
  };
  return ret
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.query__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(query) {
  var jsx$2 = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  var this$1 = $m_sci_Nil$();
  var jsx$1 = new $c_sci_$colon$colon().init___O__sci_List(query, this$1);
  var this$2 = $m_sci_List$();
  var x$15 = $as_sci_List(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2));
  var x$16 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(x$16, x$15)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$query__T__sjs_js_Any__O = (function(name, value) {
  return this.query__T__sjs_js_Any__Lcom_iteration3_smilejs_util_VRBuilderPQ(name, value)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$path__T__O = (function(path) {
  return this.path__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(path)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.param__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ = (function(param) {
  var jsx$2 = this.com$iteration3$smilejs$util$VRBuilderPQ$$paramList$1;
  var this$1 = $m_sci_Nil$();
  var jsx$1 = new $c_sci_$colon$colon().init___O__sci_List(param, this$1);
  var this$2 = $m_sci_List$();
  var paramList = $as_sci_List(jsx$2.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O(jsx$1, this$2.ReusableCBFInstance$2));
  var queryList = this.com$iteration3$smilejs$util$VRBuilderPQ$$queryList$1;
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(paramList, queryList)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$name__T__O = (function(name) {
  return this.name__T__Lcom_iteration3_smilejs_util_VRBuilderNamePath(name)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$$js$exported$meth$param__T2__O = (function(param) {
  return this.param__T2__Lcom_iteration3_smilejs_util_VRBuilderPQ(param)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.path = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$path__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.name = (function(arg$1) {
  var prep0 = $as_T(arg$1);
  return this.$$js$exported$meth$name__T__O(prep0)
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.query = (function(arg$1) {
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  switch ($uI(arg$rest.length)) {
    case 0: {
      var prep0 = $as_T2(arg$1);
      return this.$$js$exported$meth$query__T2__O(prep0);
      break
    }
    case 1: {
      var prep0 = $as_T(arg$1);
      var prep1 = arg$rest[0];
      return this.$$js$exported$meth$query__T__sjs_js_Any__O(prep0, prep1);
      break
    }
    default: {
      throw "No matching overload"
    }
  }
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.param = (function(arg$1) {
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  switch ($uI(arg$rest.length)) {
    case 1: {
      var prep0 = $as_T(arg$1);
      var prep1 = arg$rest[0];
      return this.$$js$exported$meth$param__T__sjs_js_Any__O(prep0, prep1);
      break
    }
    case 0: {
      var prep0 = $as_T2(arg$1);
      return this.$$js$exported$meth$param__T2__O(prep0);
      break
    }
    default: {
      throw "No matching overload"
    }
  }
});
function $is_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_util_VRBuilderPQ)))
}
function $as_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj) {
  return (($is_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.util.VRBuilderPQ"))
}
function $isArrayOf_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_util_VRBuilderPQ)))
}
function $asArrayOf_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_util_VRBuilderPQ(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.util.VRBuilderPQ;", depth))
}
var $d_Lcom_iteration3_smilejs_util_VRBuilderPQ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_VRBuilderPQ: 0
}, false, "com.iteration3.smilejs.util.VRBuilderPQ", {
  Lcom_iteration3_smilejs_util_VRBuilderPQ: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.$classData = $d_Lcom_iteration3_smilejs_util_VRBuilderPQ;
/** @constructor */
function $c_Lcom_iteration3_smilejs_util_VRBuilderPQ$() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.constructor = $c_Lcom_iteration3_smilejs_util_VRBuilderPQ$;
/** @constructor */
function $h_Lcom_iteration3_smilejs_util_VRBuilderPQ$() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype = $c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype;
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.$$lessinit$greater$default$1__sci_List = (function() {
  return $m_sci_Nil$()
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.toString__T = (function() {
  return "VRBuilderPQ"
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.$$lessinit$greater$default$2__sci_List = (function() {
  return $m_sci_Nil$()
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.apply__O__O__O = (function(v1, v2) {
  var paramList = $as_sci_List(v1);
  var queryList = $as_sci_List(v2);
  return new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ().init___sci_List__sci_List(paramList, queryList)
});
var $d_Lcom_iteration3_smilejs_util_VRBuilderPQ$ = new $TypeData().initClass({
  Lcom_iteration3_smilejs_util_VRBuilderPQ$: 0
}, false, "com.iteration3.smilejs.util.VRBuilderPQ$", {
  Lcom_iteration3_smilejs_util_VRBuilderPQ$: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_util_VRBuilderPQ$.prototype.$classData = $d_Lcom_iteration3_smilejs_util_VRBuilderPQ$;
var $n_Lcom_iteration3_smilejs_util_VRBuilderPQ$ = (void 0);
function $m_Lcom_iteration3_smilejs_util_VRBuilderPQ$() {
  if ((!$n_Lcom_iteration3_smilejs_util_VRBuilderPQ$)) {
    $n_Lcom_iteration3_smilejs_util_VRBuilderPQ$ = new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ$().init___()
  };
  return $n_Lcom_iteration3_smilejs_util_VRBuilderPQ$
}
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1.prototype.apply__T__V = (function(appId) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$().getRoleListForApp__Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input().init___T(appId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6().init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$getRoleListForApp$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1.prototype.apply__T__V = (function(appId) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$().getUserGroupRoleListForApp__Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input().init___T(appId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8().init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$getUserGroupRoleListForApp$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1.prototype.apply__T__V = (function(appId) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$().getUserRoleListForApp__Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input().init___T(appId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7().init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$getUserRoleListForApp$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_gompaapp_store_Store__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1.prototype.apply__Lcom_metastay_gompaapp_store_Store__V = (function(store) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$().getAllAppIdList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3().init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1__Lcom_metastay_gompaapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$loadAllAppIdList$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_gompaapp_store_Store__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1.prototype.apply__Lcom_metastay_gompaapp_store_Store__V = (function(store) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$().getClientAppIdList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4().init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1__Lcom_metastay_gompaapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$loadClientAppIdList$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_gompaapp_store_Store__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1.prototype.apply__Lcom_metastay_gompaapp_store_Store__V = (function(store) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$().getServerAppIdList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5().init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1__Lcom_metastay_gompaapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$loadServerAppIdList$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1() {
  $c_sr_AbstractFunction3.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1.prototype = new $h_sr_AbstractFunction3();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1.prototype.apply__T__T__T__V = (function(appId, userGroupName, role) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$().mapAppUserGroupRole__Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input().init___T__T__T(userGroupName, role, appId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1().init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1__T__T__T(this, appId, userGroupName, role);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1.prototype.apply__O__O__O__O = (function(v1, v2, v3) {
  this.apply__T__T__T__V($as_T(v1), $as_T(v2), $as_T(v3))
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$mapAppUserGroupRole$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1() {
  $c_sr_AbstractFunction3.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1.prototype = new $h_sr_AbstractFunction3();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1.prototype.apply__T__T__T__V = (function(appId, role, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$().mapAppUserRole__Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input().init___T__T__T(userName, role, appId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9().init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1__T__T__T(this, appId, role, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1.prototype.apply__O__O__O__O = (function(v1, v2, v3) {
  this.apply__T__T__T__V($as_T(v1), $as_T(v2), $as_T(v3))
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$mapAppUserRole$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1.prototype.apply__T__T__V = (function(userGroupRoleId, appId) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$().removeAppUserGroupRoleMap__Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input().init___T(userGroupRoleId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2().init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1__T__T(this, userGroupRoleId, appId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1.prototype.apply__T__T__V = (function(userRoleId, appId) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$().removeAppUserRoleMap__Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input().init___T(userRoleId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10().init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1__T__T(this, userRoleId, appId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$removeAppUserRoleMap$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1.prototype.apply__T__T__V = (function(appId, userName) {
  var x = $m_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$().addUserAsGompaAppAdmin__Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input().init___T__T(userName, appId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1().init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1__T__T(this, appId, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(x, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1.prototype.apply__T__T__V = (function(teamCode, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().addUserAsTeamAdmin__Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input().init___T__T(teamCode, userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7().init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1__T__T(this, teamCode, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1.prototype.apply__T__T__V = (function(appId, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$().canUserAccessApp__Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input().init___T__T(appId, userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4().init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$canUserAccessApp$1", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1.prototype.apply__T__T__V = (function(teamCode, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$().canUserAccessTeam__Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input().init___T__T(teamCode, userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5().init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$canUserAccessTeam$1", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1.prototype.apply__T__V = (function(appId) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_gompaadminreader_GompaAdminReaderBackend$().getAdminListForApp__Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input().init___T(appId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3().init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$getAdminListForApp$1", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1.prototype.apply__T__V = (function(teamCode) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getAdminListForTeam__Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input().init___T(teamCode));
  var pf = new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6().init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$getAdminListForTeam$1", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1.prototype.apply__T__T__V = (function(appId, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appwriter_AppWriterBackend$().removeUserAsGompaAppAdmin__Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input().init___T__T(userName, appId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2().init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1__T__T(this, appId, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1.prototype.apply__T__T__V = (function(teamCode, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().removeUserAsTeamAdmin__Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input().init___T__T(teamCode, userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8().init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1__T__T(this, teamCode, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1() {
  $c_sr_AbstractFunction3.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1.prototype = new $h_sr_AbstractFunction3();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1.prototype.apply__T__T__T__V = (function(teamCode, subTeamCode, fqSubFlowName) {
  var input = new $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input().init___T__T__T(teamCode, subTeamCode, fqSubFlowName);
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().addSubTeam__Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input__s_concurrent_Future(input);
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1__T__T__T(this, teamCode, subTeamCode, fqSubFlowName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1.prototype.apply__O__O__O__O = (function(v1, v2, v3) {
  this.apply__T__T__T__V($as_T(v1), $as_T(v2), $as_T(v3))
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$addSubTeam$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1.prototype.apply__Lcom_metastay_gompaapp_data_CreateTeamForm__V = (function(createTeamForm) {
  var input = $m_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(createTeamForm.toJson);
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().createTeam__Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input__s_concurrent_Future(input);
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1__Lcom_metastay_gompaapp_data_CreateTeamForm(this, createTeamForm);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_gompaapp_data_CreateTeamForm__V(v1)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$createTeam$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1.prototype.apply__T__V = (function(fqFlowName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getFqSubFlowNameListForFlow__Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input().init___T(fqFlowName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1.prototype.apply__T__V = (function(teamCode) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getRoleListForTeam__Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input().init___T(teamCode));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getRoleListForTeam$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1.prototype.apply__T__V = (function(teamCode) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getSubTeamListForTeam__Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input().init___T(teamCode));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getSubTeamListForTeam$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1.prototype.apply__T__V = (function(teamCode) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getTeamDetails__Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input().init___T(teamCode));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getTeamDetails$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1.prototype.apply__T__V = (function(teamCode) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getUserGroupRoleListForTeam__Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input().init___T(teamCode));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1.prototype.apply__T__V = (function(teamCode) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getUserRoleListForTeam__Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input().init___T(teamCode));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getUserRoleListForTeam$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_gompaapp_store_Store__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.apply__Lcom_metastay_gompaapp_store_Store__V = (function(store) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getAllFqFlowNameList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1__Lcom_metastay_gompaapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$loadAllFqFlowNameList$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1() {
  $c_sr_AbstractFunction4.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1.prototype = new $h_sr_AbstractFunction4();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1.prototype.apply__T__T__T__I__V = (function(teamCode, role, userGroupName, maxQSize) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().mapTeamUserGroupRole__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input().init___T__T__T__I(userGroupName, role, teamCode, maxQSize));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1__T__T__T__I(this, teamCode, role, userGroupName, maxQSize);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1.prototype.apply__O__O__O__O__O = (function(v1, v2, v3, v4) {
  this.apply__T__T__T__I__V($as_T(v1), $as_T(v2), $as_T(v3), $uI(v4))
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$mapTeamUserGroupRole$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1: 1,
  sr_AbstractFunction4: 1,
  O: 1,
  F4: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1() {
  $c_sr_AbstractFunction4.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1.prototype = new $h_sr_AbstractFunction4();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1.prototype.apply__T__T__T__I__V = (function(teamCode, role, userName, maxQSize) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().mapTeamUserRole__Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input().init___T__T__T__I(userName, role, teamCode, maxQSize));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1__T__T__T__I(this, teamCode, role, userName, maxQSize);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1.prototype.apply__O__O__O__O__O = (function(v1, v2, v3, v4) {
  this.apply__T__T__T__I__V($as_T(v1), $as_T(v2), $as_T(v3), $uI(v4))
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$mapTeamUserRole$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1: 1,
  sr_AbstractFunction4: 1,
  O: 1,
  F4: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1.prototype.apply__T__T__V = (function(teamSubTeamMapId, teamCode) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().removeSubTeam__Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input().init___T(teamSubTeamMapId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1__T__T(this, teamSubTeamMapId, teamCode);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$removeSubTeam$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1.prototype.apply__T__V = (function(teamId) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().removeTeam__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input().init___T(teamId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1__T(this, teamId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$removeTeam$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1.prototype.apply__T__V = (function(teamUserGroupRoleId) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().removeTeamUserGroupRoleMap__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input().init___T(teamUserGroupRoleId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1__T(this, teamUserGroupRoleId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1.prototype.apply__T__V = (function(teamUserRoleId) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().removeTeamUserRoleMap__Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input().init___T(teamUserRoleId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1__T(this, teamUserRoleId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$removeTeamUserRoleMap$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1() {
  $c_sr_AbstractFunction3.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1.prototype = new $h_sr_AbstractFunction3();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1.prototype.apply__T__T__I__V = (function(teamCode, teamUserGroupRoleId, maxQSize) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().updateMaxQSizeForTeamUserGroupRole__Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input().init___T__T__I(teamCode, teamUserGroupRoleId, maxQSize));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1__T(this, teamCode);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1.prototype.apply__O__O__O__O = (function(v1, v2, v3) {
  this.apply__T__T__I__V($as_T(v1), $as_T(v2), $uI(v3))
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1() {
  $c_sr_AbstractFunction3.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1.prototype = new $h_sr_AbstractFunction3();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1.prototype.apply__T__T__I__V = (function(teamCode, teamUserRoleId, maxQSize) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamwriter_TeamWriterBackend$().updateMaxQSizeForTeamUserRole__Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input().init___T__T__I(teamCode, teamUserRoleId, maxQSize));
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1__T(this, teamCode);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1.prototype.apply__O__O__O__O = (function(v1, v2, v3) {
  this.apply__T__T__I__V($as_T(v1), $as_T(v2), $uI(v3))
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1: 1,
  sr_AbstractFunction3: 1,
  O: 1,
  F3: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$().activateUser__Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1__T(this, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$activateUser$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_gompaapp_data_AddUserForm__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1.prototype.apply__Lcom_metastay_gompaapp_data_AddUserForm__V = (function(addUserForm) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$().addUser__Lcom_metastay_gompaapp_service_userwriter_AddUser$Input__s_concurrent_Future($m_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(addUserForm.asDynamic));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1__Lcom_metastay_gompaapp_data_AddUserForm(this, addUserForm);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$addUser$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1() {
  $c_sr_AbstractFunction6.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1.prototype = new $h_sr_AbstractFunction6();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1.prototype.apply__T__T__T__T__T__T__V = (function(userName, title, firstName, lastName, emailId, mobile) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$().changeDetails__Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input().init___T__T__T__T__T__T(userName, title, firstName, lastName, mobile, emailId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1__T(this, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$changeDetails$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1: 1,
  sr_AbstractFunction6: 1,
  O: 1,
  F6: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$().deactivateUser__Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1__T(this, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$deactivateUser$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_gompaapp_data_FindUserForm__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1.prototype.apply__Lcom_metastay_gompaapp_data_FindUserForm__V = (function(findUserForm) {
  var jsx$1 = $m_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$();
  var value = findUserForm.userNameStr;
  var this$4 = jsx$1.findUser__Lcom_metastay_gompaapp_service_userreader_FindUser$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input().init___s_Option__s_Option(((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value)), new $c_s_Some().init___O(true)));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$4, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$findAllUsers$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_gompaapp_data_FindUserForm__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1.prototype.apply__Lcom_metastay_gompaapp_data_FindUserForm__V = (function(findUserForm) {
  var jsx$1 = $m_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$();
  var value = findUserForm.userNameStr;
  var this$4 = jsx$1.findUser__Lcom_metastay_gompaapp_service_userreader_FindUser$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input().init___s_Option__s_Option(((value === (void 0)) ? $m_s_None$() : new $c_s_Some().init___O(value)), $m_s_None$()));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$4, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$findUser$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$().getAppRoleListForUser__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getAppRoleListForUser$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$().getAppRoleListForUserInUserGroup__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$().getGompaAdminDetails__Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getGompaAdminDetails$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$().getRoleListForUser__Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getRoleListForUser$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getTeamRoleListForUser__Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getTeamRoleListForUser$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getTeamRoleListForUserInUserGroup__Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$().getUserDetails__Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getUserDetails$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$().getUserGroupListForUser__Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getUserGroupListForUser$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__Lcom_metastay_gompaapp_store_Store__T__V(v1, $as_T(v2))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1.prototype.apply__Lcom_metastay_gompaapp_store_Store__T__V = (function(store, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userreader_UserReaderBackend$().getUserDetails__Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1__Lcom_metastay_gompaapp_store_Store(this, store);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$loadUserDetails$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1.prototype.apply__T__V = (function(userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$().removeUser__Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input().init___T(userName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1__T(this, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$removeUser$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1.prototype.apply__T__T__V = (function(userName, newPassword) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$().resetPassword__Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input().init___T__T(userName, newPassword));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1__T(this, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$resetPassword$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lorg_scalajs_dom_raw_File__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1.prototype.apply__Lorg_scalajs_dom_raw_File__V = (function(file) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_userwriter_UserWriterBackend$().uploadUserFile__Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input().init___s_Option(new $c_s_Some().init___O(file)));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$uploadUserFile$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1.prototype.apply__T__T__V = (function(userGroupName, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$().activateUserInUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input().init___T__T(userName, userGroupName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1__T__T(this, userGroupName, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$activateUserInUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__sjs_js_Array__V($as_T(v1), v2)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1.prototype.apply__T__sjs_js_Array__V = (function(userGroupName, userNameList) {
  var f = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1__T(this, userGroupName);
  var i = 0;
  var len = $uI(userNameList.length);
  while ((i < len)) {
    var index = i;
    var v1 = userNameList[index];
    f.apply__T__V($as_T(v1));
    i = ((1 + i) | 0)
  }
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$addUserListToUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15() {
  $c_sr_AbstractFunction1.call(this);
  this.userGroupName$2$f = null
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1__T = (function($$outer, userGroupName$2) {
  this.userGroupName$2$f = userGroupName$2;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15.prototype.apply__T__V = (function(userName) {
  var jsx$1 = $m_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$();
  var x$5 = this.userGroupName$2$f;
  var this$1 = jsx$1.addUserToUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input().init___T__T(userName, x$5));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15__T(this, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1.prototype.apply__T__T__V = (function(userGroupName, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$().addUserToUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input().init___T__T(userName, userGroupName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1__T__T(this, userGroupName, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$addUserToUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lcom_metastay_gompaapp_data_CreateUserGroupForm__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1.prototype.apply__Lcom_metastay_gompaapp_data_CreateUserGroupForm__V = (function(createUserGroupForm) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$().createUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input__s_concurrent_Future($m_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input$().fromJson__sjs_js_Dynamic__Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(createUserGroupForm.toJson));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1__Lcom_metastay_gompaapp_data_CreateUserGroupForm(this, createUserGroupForm);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$createUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1.prototype.apply__T__T__V = (function(userGroupName, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$().deactivateUserInUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input().init___T__T(userName, userGroupName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1__T__T(this, userGroupName, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1.prototype.apply__T__V = (function(userGroupName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_appreader_AppReaderBackend$().getAppRoleListForUserGroup__Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input().init___T(userGroupName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1.prototype.apply__T__V = (function(userGroupName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$().getRoleListForUserGroup__Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input().init___T(userGroupName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1.prototype.apply__T__V = (function(userGroupName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$().getTeamRoleListForUserGroup__Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input().init___T(userGroupName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1.prototype.apply__T__V = (function(userGroupName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$().getUserGroupDetails__Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input().init___T(userGroupName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getUserGroupDetails$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1.prototype.apply__T__V = (function(userGroupName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$().getUserListForUserGroup__Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input().init___T(userGroupName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getUserListForUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1() {
  $c_sr_AbstractFunction2.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1.prototype = new $h_sr_AbstractFunction2();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1.prototype.apply__T__T__V = (function(userGroupName, userName) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$().removeUserFromUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input().init___T__T(userName, userGroupName));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1__T__T(this, userGroupName, userName);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1.prototype.apply__O__O__O = (function(v1, v2) {
  this.apply__T__T__V($as_T(v1), $as_T(v2))
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1: 1,
  sr_AbstractFunction2: 1,
  O: 1,
  F2: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1.prototype.apply__O__O = (function(v1) {
  this.apply__T__V($as_T(v1))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1.prototype.apply__T__V = (function(userGroupId) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$().removeUserGroup__Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input().init___T(userGroupId));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1__T(this, userGroupId);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$removeUserGroup$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lorg_scalajs_dom_raw_File__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1.prototype.apply__Lorg_scalajs_dom_raw_File__V = (function(file) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$().uploadAddUserToUserGroupFile__Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input().init___s_Option(new $c_s_Some().init___O(file)));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1() {
  $c_sr_AbstractFunction1.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1.prototype = new $h_sr_AbstractFunction1();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1.prototype.apply__O__O = (function(v1) {
  this.apply__Lorg_scalajs_dom_raw_File__V(v1)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1.prototype.apply__Lorg_scalajs_dom_raw_File__V = (function(file) {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupwriter_UserGroupWriterBackend$().uploadUserGroupFile__Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input__s_concurrent_Future(new $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input().init___s_Option(new $c_s_Some().init___O(file)));
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$uploadUserGroupFile$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1: 1,
  sr_AbstractFunction1: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input(x$1) && ($as_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input(x$1), true))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appreader.GetAllAppIdList$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appreader.GetAllAppIdList$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAllAppIdList$Input", {
  Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAllAppIdList$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input(x$1)) {
    var Input$4 = $as_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input(x$1);
    return (this.userName$1 === Input$4.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUser$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appreader.GetAppRoleListForUser$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUser$Input", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUser$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input() {
  $c_O.call(this);
  this.userGroupName$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input(x$1)) {
    var Input$6 = $as_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input(x$1);
    return (this.userGroupName$1 === Input$6.userGroupName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupName$1;
  ret.userGroupName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.init___T = (function(userGroupName) {
  this.userGroupName$1 = userGroupName;
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appreader.GetAppRoleListForUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUserGroup$Input", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input(x$1)) {
    var Input$5 = $as_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input(x$1);
    return (this.userName$1 === Input$5.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUserInUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appreader.GetAppRoleListForUserInUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.appreader.GetAppRoleListForUserInUserGroup$Input", {
  Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetAppRoleListForUserInUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input(x$1) && ($as_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input(x$1), true))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appreader.GetClientAppIdList$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appreader.GetClientAppIdList$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input: 0
}, false, "com.metastay.gompaapp.service.appreader.GetClientAppIdList$Input", {
  Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetClientAppIdList$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input() {
  $c_O.call(this);
  this.appId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input(x$1);
    return (this.appId$1 === Input$1.appId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.appId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.appId$1;
  ret.appId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.init___T = (function(appId) {
  this.appId$1 = appId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appreader.GetRoleListForApp$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appreader.GetRoleListForApp$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input: 0
}, false, "com.metastay.gompaapp.service.appreader.GetRoleListForApp$Input", {
  Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetRoleListForApp$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input(x$1) && ($as_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input(x$1), true))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appreader.GetServerAppIdList$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appreader.GetServerAppIdList$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input: 0
}, false, "com.metastay.gompaapp.service.appreader.GetServerAppIdList$Input", {
  Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetServerAppIdList$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input() {
  $c_O.call(this);
  this.appId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input(x$1);
    return (this.appId$1 === Input$3.appId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.appId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.appId$1;
  ret.appId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.init___T = (function(appId) {
  this.appId$1 = appId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appreader.GetUserGroupRoleListForApp$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appreader.GetUserGroupRoleListForApp$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input: 0
}, false, "com.metastay.gompaapp.service.appreader.GetUserGroupRoleListForApp$Input", {
  Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetUserGroupRoleListForApp$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input() {
  $c_O.call(this);
  this.appId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype = $c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input(x$1);
    return (this.appId$1 === Input$2.appId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.appId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.appId$1;
  ret.appId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.init___T = (function(appId) {
  this.appId$1 = appId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appreader.GetUserRoleListForApp$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appreader.GetUserRoleListForApp$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input: 0
}, false, "com.metastay.gompaapp.service.appreader.GetUserRoleListForApp$Input", {
  Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appreader_GetUserRoleListForApp$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.appId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.init___T__T = (function(userName, appId) {
  this.userName$1 = userName;
  this.appId$1 = appId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input(x$1)) {
    var Input$5 = $as_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input(x$1);
    return ((this.userName$1 === Input$5.userName$1) && (this.appId$1 === Input$5.appId$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.appId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.appId$1;
  ret.appId = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appwriter.AddUserAsGompaAppAdmin$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appwriter.AddUserAsGompaAppAdmin$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input: 0
}, false, "com.metastay.gompaapp.service.appwriter.AddUserAsGompaAppAdmin$Input", {
  Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_AddUserAsGompaAppAdmin$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input() {
  $c_O.call(this);
  this.userGroupName$1 = null;
  this.role$1 = null;
  this.appId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input(x$1);
    return (((this.userGroupName$1 === Input$2.userGroupName$1) && (this.role$1 === Input$2.role$1)) && (this.appId$1 === Input$2.appId$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupName$1;
      break
    }
    case 1: {
      return this.role$1;
      break
    }
    case 2: {
      return this.appId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.$$js$exported$prop$role__O = (function() {
  return this.role$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupName$1;
  ret.userGroupName = s;
  var s$1 = this.role$1;
  ret.role = s$1;
  var s$2 = this.appId$1;
  ret.appId = s$2;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.init___T__T__T = (function(userGroupName, role, appId) {
  this.userGroupName$1 = userGroupName;
  this.role$1 = role;
  this.appId$1 = appId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype, "role", {
  "get": (function() {
    return this.$$js$exported$prop$role__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Input", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output() {
  $c_O.call(this);
  this.userGroupRoleId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output(x$1)) {
    var Output$2 = $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output(x$1);
    return (this.userGroupRoleId$1 === Output$2.userGroupRoleId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.$$js$exported$prop$userGroupRoleId__O = (function() {
  return this.userGroupRoleId$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupRoleId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupRoleId$1;
  ret.userGroupRoleId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.init___T = (function(userGroupRoleId) {
  this.userGroupRoleId$1 = userGroupRoleId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype, "userGroupRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupRoleId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output)))
}
function $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Output"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Output;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserGroupRole$Output", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserGroupRole$Output;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.role$1 = null;
  this.appId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input(x$1);
    return (((this.userName$1 === Input$1.userName$1) && (this.role$1 === Input$1.role$1)) && (this.appId$1 === Input$1.appId$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.role$1;
      break
    }
    case 2: {
      return this.appId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.$$js$exported$prop$role__O = (function() {
  return this.role$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.role$1;
  ret.role = s$1;
  var s$2 = this.appId$1;
  ret.appId = s$2;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.init___T__T__T = (function(userName, role, appId) {
  this.userName$1 = userName;
  this.role$1 = role;
  this.appId$1 = appId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype, "role", {
  "get": (function() {
    return this.$$js$exported$prop$role__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appwriter.MapAppUserRole$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appwriter.MapAppUserRole$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserRole$Input", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output() {
  $c_O.call(this);
  this.userRoleId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output(x$1)) {
    var Output$1 = $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output(x$1);
    return (this.userRoleId$1 === Output$1.userRoleId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userRoleId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userRoleId$1;
  ret.userRoleId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.init___T = (function(userRoleId) {
  this.userRoleId$1 = userRoleId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.$$js$exported$prop$userRoleId__O = (function() {
  return this.userRoleId$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype, "userRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$userRoleId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output)))
}
function $as_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appwriter.MapAppUserRole$Output"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appwriter.MapAppUserRole$Output;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output: 0
}, false, "com.metastay.gompaapp.service.appwriter.MapAppUserRole$Output", {
  Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_MapAppUserRole$Output;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input() {
  $c_O.call(this);
  this.userGroupRoleId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input(x$1)) {
    var Input$4 = $as_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input(x$1);
    return (this.userGroupRoleId$1 === Input$4.userGroupRoleId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.$$js$exported$prop$userGroupRoleId__O = (function() {
  return this.userGroupRoleId$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupRoleId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupRoleId$1;
  ret.userGroupRoleId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.init___T = (function(userGroupRoleId) {
  this.userGroupRoleId$1 = userGroupRoleId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype, "userGroupRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupRoleId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appwriter.RemoveAppUserGroupRoleMap$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appwriter.RemoveAppUserGroupRoleMap$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveAppUserGroupRoleMap$Input", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserGroupRoleMap$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input() {
  $c_O.call(this);
  this.userRoleId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input(x$1);
    return (this.userRoleId$1 === Input$3.userRoleId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userRoleId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userRoleId$1;
  ret.userRoleId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.init___T = (function(userRoleId) {
  this.userRoleId$1 = userRoleId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.$$js$exported$prop$userRoleId__O = (function() {
  return this.userRoleId$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype, "userRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$userRoleId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appwriter.RemoveAppUserRoleMap$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appwriter.RemoveAppUserRoleMap$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveAppUserRoleMap$Input", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveAppUserRoleMap$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.appId$1 = null
}
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype = $c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype;
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.init___T__T = (function(userName, appId) {
  this.userName$1 = userName;
  this.appId$1 = appId;
  return this
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input(x$1)) {
    var Input$6 = $as_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input(x$1);
    return ((this.userName$1 === Input$6.userName$1) && (this.appId$1 === Input$6.appId$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.appId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.appId$1;
  ret.appId = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input)))
}
function $as_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.appwriter.RemoveUserAsGompaAppAdmin$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.appwriter.RemoveUserAsGompaAppAdmin$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input: 0
}, false, "com.metastay.gompaapp.service.appwriter.RemoveUserAsGompaAppAdmin$Input", {
  Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_appwriter_RemoveUserAsGompaAppAdmin$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input() {
  $c_O.call(this);
  this.appId$1 = null;
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.init___T__T = (function(appId, userName) {
  this.appId$1 = appId;
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input(x$1);
    return ((this.appId$1 === Input$2.appId$1) && (this.userName$1 === Input$2.userName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.appId$1;
      break
    }
    case 1: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.appId$1;
  ret.appId = s;
  var s$1 = this.userName$1;
  ret.userName = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input)))
}
function $as_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.gompaadminreader.CanUserAccessApp$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.gompaadminreader.CanUserAccessApp$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.CanUserAccessApp$Input", {
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessApp$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.init___T__T = (function(teamCode, userName) {
  this.teamCode$1 = teamCode;
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input(x$1);
    return ((this.teamCode$1 === Input$3.teamCode$1) && (this.userName$1 === Input$3.userName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.userName$1;
  ret.userName = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input)))
}
function $as_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.gompaadminreader.CanUserAccessTeam$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.gompaadminreader.CanUserAccessTeam$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.CanUserAccessTeam$Input", {
  Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_CanUserAccessTeam$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input() {
  $c_O.call(this);
  this.appId$1 = null
}
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype = $c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype;
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input(x$1);
    return (this.appId$1 === Input$1.appId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.appId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.appId$1;
  ret.appId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.init___T = (function(appId) {
  this.appId$1 = appId;
  return this
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input)))
}
function $as_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.gompaadminreader.GetAdminListForApp$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.gompaadminreader.GetAdminListForApp$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input: 0
}, false, "com.metastay.gompaapp.service.gompaadminreader.GetAdminListForApp$Input", {
  Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_gompaadminreader_GetAdminListForApp$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype = $c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype;
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input(x$1) && ($as_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input(x$1), true))
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input)))
}
function $as_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.inoutwriter.Logout$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.inoutwriter.Logout$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input: 0
}, false, "com.metastay.gompaapp.service.inoutwriter.Logout$Input", {
  Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_inoutwriter_Logout$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input() {
  $c_O.call(this);
  this.teamCode$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input(x$1)) {
    var Input$6 = $as_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input(x$1);
    return (this.teamCode$1 === Input$6.teamCode$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.init___T = (function(teamCode) {
  this.teamCode$1 = teamCode;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetAdminListForTeam$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetAdminListForTeam$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAdminListForTeam$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAdminListForTeam$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input(x$1) && ($as_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input(x$1), true))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetAllFqFlowNameList$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetAllFqFlowNameList$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAllFqFlowNameList$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAllFqFlowNameList$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input(x$1) && ($as_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input(x$1), true))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetAllTeamList$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetAllTeamList$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetAllTeamList$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetAllTeamList$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input() {
  $c_O.call(this);
  this.fqFlowName$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input(x$1);
    return (this.fqFlowName$1 === Input$1.fqFlowName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fqFlowName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.fqFlowName$1;
  ret.fqFlowName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.init___T = (function(fqFlowName) {
  this.fqFlowName$1 = fqFlowName;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetFqSubFlowNameListForFlow$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetFqSubFlowNameListForFlow$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetFqSubFlowNameListForFlow$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetFqSubFlowNameListForFlow$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input() {
  $c_O.call(this);
  this.teamCode$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input(x$1)) {
    var Input$4 = $as_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input(x$1);
    return (this.teamCode$1 === Input$4.teamCode$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.init___T = (function(teamCode) {
  this.teamCode$1 = teamCode;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetRoleListForTeam$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetRoleListForTeam$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetRoleListForTeam$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetRoleListForTeam$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input() {
  $c_O.call(this);
  this.teamCode$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input(x$1);
    return (this.teamCode$1 === Input$2.teamCode$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.init___T = (function(teamCode) {
  this.teamCode$1 = teamCode;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetSubTeamListForTeam$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetSubTeamListForTeam$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetSubTeamListForTeam$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetSubTeamListForTeam$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input() {
  $c_O.call(this);
  this.teamCode$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input(x$1)) {
    var Input$5 = $as_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input(x$1);
    return (this.teamCode$1 === Input$5.teamCode$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.init___T = (function(teamCode) {
  this.teamCode$1 = teamCode;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetTeamDetails$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetTeamDetails$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamDetails$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamDetails$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input(x$1)) {
    var Input$8 = $as_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input(x$1);
    return (this.userName$1 === Input$8.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetTeamRoleListForUser$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetTeamRoleListForUser$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamRoleListForUser$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUser$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input(x$1)) {
    var Input$9 = $as_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input(x$1);
    return (this.userName$1 === Input$9.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetTeamRoleListForUserInUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetTeamRoleListForUserInUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetTeamRoleListForUserInUserGroup$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetTeamRoleListForUserInUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input() {
  $c_O.call(this);
  this.teamCode$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input(x$1)) {
    var Input$10 = $as_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input(x$1);
    return (this.teamCode$1 === Input$10.teamCode$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.init___T = (function(teamCode) {
  this.teamCode$1 = teamCode;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetUserGroupRoleListForTeam$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetUserGroupRoleListForTeam$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetUserGroupRoleListForTeam$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetUserGroupRoleListForTeam$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input() {
  $c_O.call(this);
  this.teamCode$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input(x$1)) {
    var Input$7 = $as_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input(x$1);
    return (this.teamCode$1 === Input$7.teamCode$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.init___T = (function(teamCode) {
  this.teamCode$1 = teamCode;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamreader.GetUserRoleListForTeam$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamreader.GetUserRoleListForTeam$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input: 0
}, false, "com.metastay.gompaapp.service.teamreader.GetUserRoleListForTeam$Input", {
  Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamreader_GetUserRoleListForTeam$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.subTeamCode$1 = null;
  this.fqSubFlowName$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input(x$1)) {
    var Input$4 = $as_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input(x$1);
    return (((this.teamCode$1 === Input$4.teamCode$1) && (this.subTeamCode$1 === Input$4.subTeamCode$1)) && (this.fqSubFlowName$1 === Input$4.fqSubFlowName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.subTeamCode$1;
      break
    }
    case 2: {
      return this.fqSubFlowName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.subTeamCode$1;
  ret.subTeamCode = s$1;
  var s$2 = this.fqSubFlowName$1;
  ret.fqSubFlowName = s$2;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.$$js$exported$prop$subTeamCode__O = (function() {
  return this.subTeamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.init___T__T__T = (function(teamCode, subTeamCode, fqSubFlowName) {
  this.teamCode$1 = teamCode;
  this.subTeamCode$1 = subTeamCode;
  this.fqSubFlowName$1 = fqSubFlowName;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.$$js$exported$prop$fqSubFlowName__O = (function() {
  return this.fqSubFlowName$1
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype, "fqSubFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqSubFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype, "subTeamCode", {
  "get": (function() {
    return this.$$js$exported$prop$subTeamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.AddSubTeam$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.AddSubTeam$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.AddSubTeam$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_AddSubTeam$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.init___T__T = (function(teamCode, userName) {
  this.teamCode$1 = teamCode;
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input(x$1)) {
    var Input$11 = $as_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input(x$1);
    return ((this.teamCode$1 === Input$11.teamCode$1) && (this.userName$1 === Input$11.userName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.userName$1;
  ret.userName = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.AddUserAsTeamAdmin$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.AddUserAsTeamAdmin$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.AddUserAsTeamAdmin$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_AddUserAsTeamAdmin$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.fqFlowName$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.init___T__T = (function(teamCode, fqFlowName) {
  this.teamCode$1 = teamCode;
  this.fqFlowName$1 = fqFlowName;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(x$1);
    return ((this.teamCode$1 === Input$3.teamCode$1) && (this.fqFlowName$1 === Input$3.fqFlowName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.fqFlowName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.fqFlowName$1;
  ret.fqFlowName = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.CreateTeam$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.CreateTeam$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.CreateTeam$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_CreateTeam$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input() {
  $c_O.call(this);
  this.userGroupName$1 = null;
  this.role$1 = null;
  this.teamCode$1 = null;
  this.maxQSize$1 = 0
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.init___T__T__T__I = (function(userGroupName, role, teamCode, maxQSize) {
  this.userGroupName$1 = userGroupName;
  this.role$1 = role;
  this.teamCode$1 = teamCode;
  this.maxQSize$1 = maxQSize;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.productArity__I = (function() {
  return 4
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input(x$1);
    return ((((this.userGroupName$1 === Input$2.userGroupName$1) && (this.role$1 === Input$2.role$1)) && (this.teamCode$1 === Input$2.teamCode$1)) && (this.maxQSize$1 === Input$2.maxQSize$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupName$1;
      break
    }
    case 1: {
      return this.role$1;
      break
    }
    case 2: {
      return this.teamCode$1;
      break
    }
    case 3: {
      return this.maxQSize$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.$$js$exported$prop$maxQSize__O = (function() {
  return this.maxQSize$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.$$js$exported$prop$role__O = (function() {
  return this.role$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupName$1;
  ret.userGroupName = s;
  var s$1 = this.role$1;
  ret.role = s$1;
  var s$2 = this.teamCode$1;
  ret.teamCode = s$2;
  var value = this.maxQSize$1;
  ret.maxQSize = value;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userGroupName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.role$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.maxQSize$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype, "maxQSize", {
  "get": (function() {
    return this.$$js$exported$prop$maxQSize__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype, "role", {
  "get": (function() {
    return this.$$js$exported$prop$role__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output() {
  $c_O.call(this);
  this.teamUserGroupRoleId$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output(x$1)) {
    var Output$2 = $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output(x$1);
    return (this.teamUserGroupRoleId$1 === Output$2.teamUserGroupRoleId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamUserGroupRoleId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamUserGroupRoleId$1;
  ret.teamUserGroupRoleId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.$$js$exported$prop$teamUserGroupRoleId__O = (function() {
  return this.teamUserGroupRoleId$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.init___T = (function(teamUserGroupRoleId) {
  this.teamUserGroupRoleId$1 = teamUserGroupRoleId;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype, "teamUserGroupRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$teamUserGroupRoleId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Output"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Output;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserGroupRole$Output", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserGroupRole$Output;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.role$1 = null;
  this.teamCode$1 = null;
  this.maxQSize$1 = 0
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.init___T__T__T__I = (function(userName, role, teamCode, maxQSize) {
  this.userName$1 = userName;
  this.role$1 = role;
  this.teamCode$1 = teamCode;
  this.maxQSize$1 = maxQSize;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.productArity__I = (function() {
  return 4
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input(x$1);
    return ((((this.userName$1 === Input$1.userName$1) && (this.role$1 === Input$1.role$1)) && (this.teamCode$1 === Input$1.teamCode$1)) && (this.maxQSize$1 === Input$1.maxQSize$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.role$1;
      break
    }
    case 2: {
      return this.teamCode$1;
      break
    }
    case 3: {
      return this.maxQSize$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.$$js$exported$prop$maxQSize__O = (function() {
  return this.maxQSize$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.$$js$exported$prop$role__O = (function() {
  return this.role$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.role$1;
  ret.role = s$1;
  var s$2 = this.teamCode$1;
  ret.teamCode = s$2;
  var value = this.maxQSize$1;
  ret.maxQSize = value;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.role$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.maxQSize$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 4)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype, "maxQSize", {
  "get": (function() {
    return this.$$js$exported$prop$maxQSize__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype, "role", {
  "get": (function() {
    return this.$$js$exported$prop$role__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output() {
  $c_O.call(this);
  this.teamUserRoleId$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output(x$1)) {
    var Output$1 = $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output(x$1);
    return (this.teamUserRoleId$1 === Output$1.teamUserRoleId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamUserRoleId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamUserRoleId$1;
  ret.teamUserRoleId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.$$js$exported$prop$teamUserRoleId__O = (function() {
  return this.teamUserRoleId$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.init___T = (function(teamUserRoleId) {
  this.teamUserRoleId$1 = teamUserRoleId;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype, "teamUserRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$teamUserRoleId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Output"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Output;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output: 0
}, false, "com.metastay.gompaapp.service.teamwriter.MapTeamUserRole$Output", {
  Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_MapTeamUserRole$Output;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input() {
  $c_O.call(this);
  this.teamSubTeamMapId$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.$$js$exported$prop$teamSubTeamMapId__O = (function() {
  return this.teamSubTeamMapId$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input(x$1)) {
    var Input$5 = $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input(x$1);
    return (this.teamSubTeamMapId$1 === Input$5.teamSubTeamMapId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamSubTeamMapId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamSubTeamMapId$1;
  ret.teamSubTeamMapId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.init___T = (function(teamSubTeamMapId) {
  this.teamSubTeamMapId$1 = teamSubTeamMapId;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype, "teamSubTeamMapId", {
  "get": (function() {
    return this.$$js$exported$prop$teamSubTeamMapId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.RemoveSubTeam$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.RemoveSubTeam$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveSubTeam$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveSubTeam$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input() {
  $c_O.call(this);
  this.teamId$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.$$js$exported$prop$teamId__O = (function() {
  return this.teamId$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input(x$1)) {
    var Input$6 = $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input(x$1);
    return (this.teamId$1 === Input$6.teamId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamId$1;
  ret.teamId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.init___T = (function(teamId) {
  this.teamId$1 = teamId;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype, "teamId", {
  "get": (function() {
    return this.$$js$exported$prop$teamId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.RemoveTeam$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.RemoveTeam$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeam$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeam$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input() {
  $c_O.call(this);
  this.teamUserGroupRoleId$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input(x$1)) {
    var Input$10 = $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input(x$1);
    return (this.teamUserGroupRoleId$1 === Input$10.teamUserGroupRoleId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamUserGroupRoleId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamUserGroupRoleId$1;
  ret.teamUserGroupRoleId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.$$js$exported$prop$teamUserGroupRoleId__O = (function() {
  return this.teamUserGroupRoleId$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.init___T = (function(teamUserGroupRoleId) {
  this.teamUserGroupRoleId$1 = teamUserGroupRoleId;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype, "teamUserGroupRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$teamUserGroupRoleId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.RemoveTeamUserGroupRoleMap$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.RemoveTeamUserGroupRoleMap$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeamUserGroupRoleMap$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserGroupRoleMap$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input() {
  $c_O.call(this);
  this.teamUserRoleId$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input(x$1)) {
    var Input$8 = $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input(x$1);
    return (this.teamUserRoleId$1 === Input$8.teamUserRoleId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamUserRoleId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamUserRoleId$1;
  ret.teamUserRoleId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.$$js$exported$prop$teamUserRoleId__O = (function() {
  return this.teamUserRoleId$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.init___T = (function(teamUserRoleId) {
  this.teamUserRoleId$1 = teamUserRoleId;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype, "teamUserRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$teamUserRoleId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.RemoveTeamUserRoleMap$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.RemoveTeamUserRoleMap$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveTeamUserRoleMap$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveTeamUserRoleMap$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.init___T__T = (function(teamCode, userName) {
  this.teamCode$1 = teamCode;
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input(x$1)) {
    var Input$12 = $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input(x$1);
    return ((this.teamCode$1 === Input$12.teamCode$1) && (this.userName$1 === Input$12.userName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.userName$1;
  ret.userName = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.RemoveUserAsTeamAdmin$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.RemoveUserAsTeamAdmin$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.RemoveUserAsTeamAdmin$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_RemoveUserAsTeamAdmin$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.teamUserGroupRoleId$1 = null;
  this.maxQSize$1 = 0
}
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input(x$1)) {
    var Input$9 = $as_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input(x$1);
    return (((this.teamCode$1 === Input$9.teamCode$1) && (this.teamUserGroupRoleId$1 === Input$9.teamUserGroupRoleId$1)) && (this.maxQSize$1 === Input$9.maxQSize$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.teamUserGroupRoleId$1;
      break
    }
    case 2: {
      return this.maxQSize$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.$$js$exported$prop$maxQSize__O = (function() {
  return this.maxQSize$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.teamUserGroupRoleId$1;
  ret.teamUserGroupRoleId = s$1;
  var value = this.maxQSize$1;
  ret.maxQSize = value;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.init___T__T__I = (function(teamCode, teamUserGroupRoleId, maxQSize) {
  this.teamCode$1 = teamCode;
  this.teamUserGroupRoleId$1 = teamUserGroupRoleId;
  this.maxQSize$1 = maxQSize;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.$$js$exported$prop$teamUserGroupRoleId__O = (function() {
  return this.teamUserGroupRoleId$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamUserGroupRoleId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.maxQSize$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype, "maxQSize", {
  "get": (function() {
    return this.$$js$exported$prop$maxQSize__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype, "teamUserGroupRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$teamUserGroupRoleId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserGroupRole$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserGroupRole$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserGroupRole$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserGroupRole$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input() {
  $c_O.call(this);
  this.teamCode$1 = null;
  this.teamUserRoleId$1 = null;
  this.maxQSize$1 = 0
}
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype = $c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype;
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.productArity__I = (function() {
  return 3
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input(x$1)) {
    var Input$7 = $as_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input(x$1);
    return (((this.teamCode$1 === Input$7.teamCode$1) && (this.teamUserRoleId$1 === Input$7.teamUserRoleId$1)) && (this.maxQSize$1 === Input$7.maxQSize$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamCode$1;
      break
    }
    case 1: {
      return this.teamUserRoleId$1;
      break
    }
    case 2: {
      return this.maxQSize$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.$$js$exported$prop$maxQSize__O = (function() {
  return this.maxQSize$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamCode$1;
  ret.teamCode = s;
  var s$1 = this.teamUserRoleId$1;
  ret.teamUserRoleId = s$1;
  var value = this.maxQSize$1;
  ret.maxQSize = value;
  return ret
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.init___T__T__I = (function(teamCode, teamUserRoleId, maxQSize) {
  this.teamCode$1 = teamCode;
  this.teamUserRoleId$1 = teamUserRoleId;
  this.maxQSize$1 = maxQSize;
  return this
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.$$js$exported$prop$teamUserRoleId__O = (function() {
  return this.teamUserRoleId$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamUserRoleId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.maxQSize$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 3)
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype, "maxQSize", {
  "get": (function() {
    return this.$$js$exported$prop$maxQSize__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype, "teamUserRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$teamUserRoleId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input)))
}
function $as_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserRole$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserRole$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input: 0
}, false, "com.metastay.gompaapp.service.teamwriter.UpdateMaxQSizeForTeamUserRole$Input", {
  Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_teamwriter_UpdateMaxQSizeForTeamUserRole$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input() {
  $c_O.call(this)
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.productArity__I = (function() {
  return 0
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.equals__O__Z = (function(x$1) {
  return ($is_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input(x$1) && ($as_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input(x$1), true))
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupreader.GetAllUserGroupList$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupreader.GetAllUserGroupList$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetAllUserGroupList$Input", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetAllUserGroupList$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input() {
  $c_O.call(this);
  this.userGroupName$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input(x$1);
    return (this.userGroupName$1 === Input$1.userGroupName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupName$1;
  ret.userGroupName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.init___T = (function(userGroupName) {
  this.userGroupName$1 = userGroupName;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupreader.GetRoleListForUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupreader.GetRoleListForUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetRoleListForUserGroup$Input", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetRoleListForUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input() {
  $c_O.call(this);
  this.userGroupName$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input(x$1)) {
    var Input$5 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input(x$1);
    return (this.userGroupName$1 === Input$5.userGroupName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupName$1;
  ret.userGroupName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.init___T = (function(userGroupName) {
  this.userGroupName$1 = userGroupName;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupreader.GetTeamRoleListForUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupreader.GetTeamRoleListForUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetTeamRoleListForUserGroup$Input", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetTeamRoleListForUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input() {
  $c_O.call(this);
  this.userGroupName$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input(x$1);
    return (this.userGroupName$1 === Input$2.userGroupName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupName$1;
  ret.userGroupName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.init___T = (function(userGroupName) {
  this.userGroupName$1 = userGroupName;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupreader.GetUserGroupDetails$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupreader.GetUserGroupDetails$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserGroupDetails$Input", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupDetails$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input(x$1)) {
    var Input$4 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input(x$1);
    return (this.userName$1 === Input$4.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupreader.GetUserGroupListForUser$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupreader.GetUserGroupListForUser$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserGroupListForUser$Input", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserGroupListForUser$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input() {
  $c_O.call(this);
  this.userGroupName$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input(x$1);
    return (this.userGroupName$1 === Input$3.userGroupName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupName$1;
  ret.userGroupName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.init___T = (function(userGroupName) {
  this.userGroupName$1 = userGroupName;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupreader.GetUserListForUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupreader.GetUserListForUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupreader.GetUserListForUserGroup$Input", {
  Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupreader_GetUserListForUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.userGroupName$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.init___T__T = (function(userName, userGroupName) {
  this.userName$1 = userName;
  this.userGroupName$1 = userGroupName;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input(x$1)) {
    var Input$7 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input(x$1);
    return ((this.userName$1 === Input$7.userName$1) && (this.userGroupName$1 === Input$7.userGroupName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.userGroupName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.userGroupName$1;
  ret.userGroupName = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.ActivateUserInUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.ActivateUserInUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.ActivateUserInUserGroup$Input", {
  Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_ActivateUserInUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.userGroupName$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.init___T__T = (function(userName, userGroupName) {
  this.userName$1 = userName;
  this.userGroupName$1 = userGroupName;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input(x$1)) {
    var Input$5 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input(x$1);
    return ((this.userName$1 === Input$5.userName$1) && (this.userGroupName$1 === Input$5.userGroupName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.userGroupName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.userGroupName$1;
  ret.userGroupName = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.AddUserToUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.AddUserToUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.AddUserToUserGroup$Input", {
  Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_AddUserToUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input() {
  $c_O.call(this);
  this.userGroupName$1 = null;
  this.description$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.init___T__T = (function(userGroupName, description) {
  this.userGroupName$1 = userGroupName;
  this.description$1 = description;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(x$1);
    return ((this.userGroupName$1 === Input$1.userGroupName$1) && (this.description$1 === Input$1.description$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupName$1;
      break
    }
    case 1: {
      return this.description$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupName$1;
  ret.userGroupName = s;
  var s$1 = this.description$1;
  ret.description = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.$$js$exported$prop$description__O = (function() {
  return this.description$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype, "description", {
  "get": (function() {
    return this.$$js$exported$prop$description__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Input", {
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output() {
  $c_O.call(this);
  this.userGroupId$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output(x$1)) {
    var Output$1 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output(x$1);
    return (this.userGroupId$1 === Output$1.userGroupId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.$$js$exported$prop$userGroupId__O = (function() {
  return this.userGroupId$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupId$1;
  ret.userGroupId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.init___T = (function(userGroupId) {
  this.userGroupId$1 = userGroupId;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype, "userGroupId", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Output"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Output;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.CreateUserGroup$Output", {
  Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_CreateUserGroup$Output;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.userGroupName$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.init___T__T = (function(userName, userGroupName) {
  this.userName$1 = userName;
  this.userGroupName$1 = userGroupName;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input(x$1)) {
    var Input$8 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input(x$1);
    return ((this.userName$1 === Input$8.userName$1) && (this.userGroupName$1 === Input$8.userGroupName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.userGroupName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.userGroupName$1;
  ret.userGroupName = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.DeactivateUserInUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.DeactivateUserInUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.DeactivateUserInUserGroup$Input", {
  Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_DeactivateUserInUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.userGroupName$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.init___T__T = (function(userName, userGroupName) {
  this.userName$1 = userName;
  this.userGroupName$1 = userGroupName;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input(x$1)) {
    var Input$6 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input(x$1);
    return ((this.userName$1 === Input$6.userName$1) && (this.userGroupName$1 === Input$6.userGroupName$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.userGroupName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.userGroupName$1;
  ret.userGroupName = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.RemoveUserFromUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.RemoveUserFromUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.RemoveUserFromUserGroup$Input", {
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserFromUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input() {
  $c_O.call(this);
  this.userGroupId$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input(x$1)) {
    var Input$4 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input(x$1);
    return (this.userGroupId$1 === Input$4.userGroupId$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.$$js$exported$prop$userGroupId__O = (function() {
  return this.userGroupId$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupId$1;
  ret.userGroupId = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.init___T = (function(userGroupId) {
  this.userGroupId$1 = userGroupId;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype, "userGroupId", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupId__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.RemoveUserGroup$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.RemoveUserGroup$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.RemoveUserGroup$Input", {
  Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_RemoveUserGroup$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input() {
  $c_O.call(this);
  this.fromFile$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.toFormData__Lorg_scalajs_dom_raw_FormData = (function() {
  var formData = new $g.FormData();
  var this$1 = this.fromFile$1;
  if ((!this$1.isEmpty__Z())) {
    var arg1 = this$1.get__O();
    formData.append("fromFile", arg1)
  };
  return formData
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.$$js$exported$prop$fromFile__O = (function() {
  return this.fromFileJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input(x$1);
    var x = this.fromFile$1;
    var x$2 = Input$3.fromFile$1;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fromFile$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.fromFileJS__sjs_js_UndefOr = (function() {
  var opt = this.fromFile$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.init___s_Option = (function(fromFile) {
  this.fromFile$1 = fromFile;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype, "fromFile", {
  "get": (function() {
    return this.$$js$exported$prop$fromFile__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Input", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output() {
  $c_O.call(this);
  this.noOfUserUserGroupsMapped$1 = 0;
  this.rejectedList$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(x$1)) {
    var Output$3 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(x$1);
    if ((this.noOfUserUserGroupsMapped$1 === Output$3.noOfUserUserGroupsMapped$1)) {
      var x = this.rejectedList$1;
      var x$2 = Output$3.rejectedList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.noOfUserUserGroupsMapped$1;
      break
    }
    case 1: {
      return this.rejectedList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var value = this.noOfUserUserGroupsMapped$1;
  ret.noOfUserUserGroupsMapped = value;
  var col = this.rejectedList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.rejectedList = jsx$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.$$js$exported$prop$rejectedList__O = (function() {
  return this.rejectedListJS__sjs_js_Array()
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.$$js$exported$prop$noOfUserUserGroupsMapped__O = (function() {
  return this.noOfUserUserGroupsMapped$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.noOfUserUserGroupsMapped$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.rejectedList$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.rejectedListJS__sjs_js_Array = (function() {
  var col = this.rejectedList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.init___I__sci_List = (function(noOfUserUserGroupsMapped, rejectedList) {
  this.noOfUserUserGroupsMapped$1 = noOfUserUserGroupsMapped;
  this.rejectedList$1 = rejectedList;
  return this
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype, "rejectedList", {
  "get": (function() {
    return this.$$js$exported$prop$rejectedList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype, "noOfUserUserGroupsMapped", {
  "get": (function() {
    return this.$$js$exported$prop$noOfUserUserGroupsMapped__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Output"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Output;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadAddUserToUserGroupFile$Output", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input() {
  $c_O.call(this);
  this.fromFile$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.toFormData__Lorg_scalajs_dom_raw_FormData = (function() {
  var formData = new $g.FormData();
  var this$1 = this.fromFile$1;
  if ((!this$1.isEmpty__Z())) {
    var arg1 = this$1.get__O();
    formData.append("fromFile", arg1)
  };
  return formData
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.$$js$exported$prop$fromFile__O = (function() {
  return this.fromFileJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input(x$1);
    var x = this.fromFile$1;
    var x$2 = Input$2.fromFile$1;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fromFile$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.fromFileJS__sjs_js_UndefOr = (function() {
  var opt = this.fromFile$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.init___s_Option = (function(fromFile) {
  this.fromFile$1 = fromFile;
  return this
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype, "fromFile", {
  "get": (function() {
    return this.$$js$exported$prop$fromFile__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Input", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output() {
  $c_O.call(this);
  this.noOfUserGroupsAdded$1 = 0;
  this.rejectedList$1 = null
}
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.constructor = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype = $c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype;
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(x$1)) {
    var Output$2 = $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(x$1);
    if ((this.noOfUserGroupsAdded$1 === Output$2.noOfUserGroupsAdded$1)) {
      var x = this.rejectedList$1;
      var x$2 = Output$2.rejectedList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.noOfUserGroupsAdded$1;
      break
    }
    case 1: {
      return this.rejectedList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var value = this.noOfUserGroupsAdded$1;
  ret.noOfUserGroupsAdded = value;
  var col = this.rejectedList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.rejectedList = jsx$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.$$js$exported$prop$rejectedList__O = (function() {
  return this.rejectedListJS__sjs_js_Array()
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.$$js$exported$prop$noOfUserGroupsAdded__O = (function() {
  return this.noOfUserGroupsAdded$1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.noOfUserGroupsAdded$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.rejectedList$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.rejectedListJS__sjs_js_Array = (function() {
  var col = this.rejectedList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.init___I__sci_List = (function(noOfUserGroupsAdded, rejectedList) {
  this.noOfUserGroupsAdded$1 = noOfUserGroupsAdded;
  this.rejectedList$1 = rejectedList;
  return this
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype, "rejectedList", {
  "get": (function() {
    return this.$$js$exported$prop$rejectedList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype, "noOfUserGroupsAdded", {
  "get": (function() {
    return this.$$js$exported$prop$noOfUserGroupsAdded__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output)))
}
function $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(obj) {
  return (($is_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Output"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Output;", depth))
}
var $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output: 0
}, false, "com.metastay.gompaapp.service.usergroupwriter.UploadUserGroupFile$Output", {
  Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output.prototype.$classData = $d_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input() {
  $c_O.call(this);
  this.userNameStr$1 = null;
  this.includeInactive$1 = null
}
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_FindUser$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype = $c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userreader_FindUser$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_gompaapp_service_userreader_FindUser$Input(x$1);
    var x = this.userNameStr$1;
    var x$2 = Input$1.userNameStr$1;
    if (((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))) {
      var x$3 = this.includeInactive$1;
      var x$4 = Input$1.includeInactive$1;
      return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.$$js$exported$prop$includeInactive__O = (function() {
  return this.includeInactiveJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userNameStr$1;
      break
    }
    case 1: {
      return this.includeInactive$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.userNameStrJS__sjs_js_UndefOr = (function() {
  var opt = this.userNameStr$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  if (this.userNameStr$1.isDefined__Z()) {
    var s = $as_T(this.userNameStr$1.get__O());
    ret.userNameStr = s
  };
  if (this.includeInactive$1.isDefined__Z()) {
    var value = $uZ(this.includeInactive$1.get__O());
    ret.includeInactive = value
  };
  return ret
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.$$js$exported$prop$userNameStr__O = (function() {
  return this.userNameStrJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.includeInactiveJS__sjs_js_UndefOr = (function() {
  var opt = this.includeInactive$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.init___s_Option__s_Option = (function(userNameStr, includeInactive) {
  this.userNameStr$1 = userNameStr;
  this.includeInactive$1 = includeInactive;
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype, "includeInactive", {
  "get": (function() {
    return this.$$js$exported$prop$includeInactive__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype, "userNameStr", {
  "get": (function() {
    return this.$$js$exported$prop$userNameStr__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userreader_FindUser$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userreader_FindUser$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userreader_FindUser$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userreader_FindUser$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userreader.FindUser$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userreader_FindUser$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userreader_FindUser$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userreader_FindUser$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userreader_FindUser$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userreader.FindUser$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userreader_FindUser$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_FindUser$Input: 0
}, false, "com.metastay.gompaapp.service.userreader.FindUser$Input", {
  Lcom_metastay_gompaapp_service_userreader_FindUser$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_FindUser$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_FindUser$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input(x$1);
    return (this.userName$1 === Input$3.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userreader.GetGompaAdminDetails$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userreader.GetGompaAdminDetails$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input: 0
}, false, "com.metastay.gompaapp.service.userreader.GetGompaAdminDetails$Input", {
  Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetGompaAdminDetails$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input(x$1)) {
    var Input$4 = $as_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input(x$1);
    return (this.userName$1 === Input$4.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userreader.GetRoleListForUser$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userreader.GetRoleListForUser$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input: 0
}, false, "com.metastay.gompaapp.service.userreader.GetRoleListForUser$Input", {
  Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetRoleListForUser$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype = $c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input(x$1)) {
    var Input$2 = $as_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input(x$1);
    return (this.userName$1 === Input$2.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userreader.GetUserDetails$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userreader.GetUserDetails$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input: 0
}, false, "com.metastay.gompaapp.service.userreader.GetUserDetails$Input", {
  Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userreader_GetUserDetails$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input(x$1)) {
    var Input$7 = $as_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input(x$1);
    return (this.userName$1 === Input$7.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userwriter.ActivateUser$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userwriter.ActivateUser$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input: 0
}, false, "com.metastay.gompaapp.service.userwriter.ActivateUser$Input", {
  Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ActivateUser$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.password$1 = null;
  this.emailId$1 = null;
  this.title$1 = null;
  this.firstName$1 = null;
  this.lastName$1 = null;
  this.mobile$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.productArity__I = (function() {
  return 7
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.$$js$exported$prop$lastName__O = (function() {
  return this.lastNameJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(x$1)) {
    var Input$3 = $as_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(x$1);
    if ((((this.userName$1 === Input$3.userName$1) && (this.password$1 === Input$3.password$1)) && (this.emailId$1 === Input$3.emailId$1))) {
      var x = this.title$1;
      var x$2 = Input$3.title$1;
      var jsx$2 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$2 = false
    };
    if ((jsx$2 && (this.firstName$1 === Input$3.firstName$1))) {
      var x$3 = this.lastName$1;
      var x$4 = Input$3.lastName$1;
      var jsx$1 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$5 = this.mobile$1;
      var x$6 = Input$3.mobile$1;
      return ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.password$1;
      break
    }
    case 2: {
      return this.emailId$1;
      break
    }
    case 3: {
      return this.title$1;
      break
    }
    case 4: {
      return this.firstName$1;
      break
    }
    case 5: {
      return this.lastName$1;
      break
    }
    case 6: {
      return this.mobile$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.lastNameJS__sjs_js_UndefOr = (function() {
  var opt = this.lastName$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.$$js$exported$prop$password__O = (function() {
  return this.password$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.password$1;
  ret.password = s$1;
  var s$2 = this.emailId$1;
  ret.emailId = s$2;
  if (this.title$1.isDefined__Z()) {
    var s$3 = $as_T(this.title$1.get__O());
    ret.title = s$3
  };
  var s$4 = this.firstName$1;
  ret.firstName = s$4;
  if (this.lastName$1.isDefined__Z()) {
    var s$5 = $as_T(this.lastName$1.get__O());
    ret.lastName = s$5
  };
  if (this.mobile$1.isDefined__Z()) {
    var s$6 = $as_T(this.mobile$1.get__O());
    ret.mobile = s$6
  };
  return ret
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.$$js$exported$prop$firstName__O = (function() {
  return this.firstName$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.init___T__T__T__s_Option__T__s_Option__s_Option = (function(userName, password, emailId, title, firstName, lastName, mobile) {
  this.userName$1 = userName;
  this.password$1 = password;
  this.emailId$1 = emailId;
  this.title$1 = title;
  this.firstName$1 = firstName;
  this.lastName$1 = lastName;
  this.mobile$1 = mobile;
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.$$js$exported$prop$emailId__O = (function() {
  return this.emailId$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.$$js$exported$prop$mobile__O = (function() {
  return this.mobileJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.mobileJS__sjs_js_UndefOr = (function() {
  var opt = this.mobile$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.titleJS__sjs_js_UndefOr = (function() {
  var opt = this.title$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.$$js$exported$prop$title__O = (function() {
  return this.titleJS__sjs_js_UndefOr()
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype, "mobile", {
  "get": (function() {
    return this.$$js$exported$prop$mobile__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype, "lastName", {
  "get": (function() {
    return this.$$js$exported$prop$lastName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype, "title", {
  "get": (function() {
    return this.$$js$exported$prop$title__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype, "firstName", {
  "get": (function() {
    return this.$$js$exported$prop$firstName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype, "emailId", {
  "get": (function() {
    return this.$$js$exported$prop$emailId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype, "password", {
  "get": (function() {
    return this.$$js$exported$prop$password__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userwriter_AddUser$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userwriter.AddUser$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userwriter_AddUser$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userwriter.AddUser$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_AddUser$Input: 0
}, false, "com.metastay.gompaapp.service.userwriter.AddUser$Input", {
  Lcom_metastay_gompaapp_service_userwriter_AddUser$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_AddUser$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.title$1 = null;
  this.firstName$1 = null;
  this.lastName$1 = null;
  this.mobile$1 = null;
  this.emailId$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.$$js$exported$prop$lastName__O = (function() {
  return this.lastName$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.productArity__I = (function() {
  return 6
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input(x$1)) {
    var Input$6 = $as_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input(x$1);
    return ((((((this.userName$1 === Input$6.userName$1) && (this.title$1 === Input$6.title$1)) && (this.firstName$1 === Input$6.firstName$1)) && (this.lastName$1 === Input$6.lastName$1)) && (this.mobile$1 === Input$6.mobile$1)) && (this.emailId$1 === Input$6.emailId$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.title$1;
      break
    }
    case 2: {
      return this.firstName$1;
      break
    }
    case 3: {
      return this.lastName$1;
      break
    }
    case 4: {
      return this.mobile$1;
      break
    }
    case 5: {
      return this.emailId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.title$1;
  ret.title = s$1;
  var s$2 = this.firstName$1;
  ret.firstName = s$2;
  var s$3 = this.lastName$1;
  ret.lastName = s$3;
  var s$4 = this.mobile$1;
  ret.mobile = s$4;
  var s$5 = this.emailId$1;
  ret.emailId = s$5;
  return ret
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.$$js$exported$prop$firstName__O = (function() {
  return this.firstName$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.init___T__T__T__T__T__T = (function(userName, title, firstName, lastName, mobile, emailId) {
  this.userName$1 = userName;
  this.title$1 = title;
  this.firstName$1 = firstName;
  this.lastName$1 = lastName;
  this.mobile$1 = mobile;
  this.emailId$1 = emailId;
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.$$js$exported$prop$emailId__O = (function() {
  return this.emailId$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.$$js$exported$prop$mobile__O = (function() {
  return this.mobile$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.$$js$exported$prop$title__O = (function() {
  return this.title$1
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype, "emailId", {
  "get": (function() {
    return this.$$js$exported$prop$emailId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype, "mobile", {
  "get": (function() {
    return this.$$js$exported$prop$mobile__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype, "lastName", {
  "get": (function() {
    return this.$$js$exported$prop$lastName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype, "firstName", {
  "get": (function() {
    return this.$$js$exported$prop$firstName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype, "title", {
  "get": (function() {
    return this.$$js$exported$prop$title__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userwriter.ChangeDetails$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userwriter.ChangeDetails$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input: 0
}, false, "com.metastay.gompaapp.service.userwriter.ChangeDetails$Input", {
  Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ChangeDetails$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input(x$1)) {
    var Input$8 = $as_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input(x$1);
    return (this.userName$1 === Input$8.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userwriter.DeactivateUser$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userwriter.DeactivateUser$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input: 0
}, false, "com.metastay.gompaapp.service.userwriter.DeactivateUser$Input", {
  Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_DeactivateUser$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input() {
  $c_O.call(this);
  this.userName$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input(x$1)) {
    var Input$9 = $as_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input(x$1);
    return (this.userName$1 === Input$9.userName$1)
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  return ret
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.init___T = (function(userName) {
  this.userName$1 = userName;
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userwriter.RemoveUser$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userwriter.RemoveUser$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input: 0
}, false, "com.metastay.gompaapp.service.userwriter.RemoveUser$Input", {
  Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_RemoveUser$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input() {
  $c_O.call(this);
  this.userName$1 = null;
  this.newPassword$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.init___T__T = (function(userName, newPassword) {
  this.userName$1 = userName;
  this.newPassword$1 = newPassword;
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input(x$1)) {
    var Input$4 = $as_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input(x$1);
    return ((this.userName$1 === Input$4.userName$1) && (this.newPassword$1 === Input$4.newPassword$1))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.newPassword$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var s$1 = this.newPassword$1;
  ret.newPassword = s$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.$$js$exported$prop$newPassword__O = (function() {
  return this.newPassword$1
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype, "newPassword", {
  "get": (function() {
    return this.$$js$exported$prop$newPassword__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userwriter.ResetPassword$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userwriter.ResetPassword$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input: 0
}, false, "com.metastay.gompaapp.service.userwriter.ResetPassword$Input", {
  Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_ResetPassword$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input() {
  $c_O.call(this);
  this.fromFile$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.toFormData__Lorg_scalajs_dom_raw_FormData = (function() {
  var formData = new $g.FormData();
  var this$1 = this.fromFile$1;
  if ((!this$1.isEmpty__Z())) {
    var arg1 = this$1.get__O();
    formData.append("fromFile", arg1)
  };
  return formData
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.productPrefix__T = (function() {
  return "Input"
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.$$js$exported$prop$fromFile__O = (function() {
  return this.fromFileJS__sjs_js_UndefOr()
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input(x$1)) {
    var Input$1 = $as_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input(x$1);
    var x = this.fromFile$1;
    var x$2 = Input$1.fromFile$1;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.fromFile$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.fromFileJS__sjs_js_UndefOr = (function() {
  var opt = this.fromFile$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.init___s_Option = (function(fromFile) {
  this.fromFile$1 = fromFile;
  return this
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype, "fromFile", {
  "get": (function() {
    return this.$$js$exported$prop$fromFile__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input)))
}
function $as_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userwriter.UploadUserFile$Input"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userwriter.UploadUserFile$Input;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input: 0
}, false, "com.metastay.gompaapp.service.userwriter.UploadUserFile$Input", {
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Input;
/** @constructor */
function $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output() {
  $c_O.call(this);
  this.noOfUsersAdded$1 = 0;
  this.rejectedList$1 = null
}
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype = new $h_O();
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.constructor = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output;
/** @constructor */
function $h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype = $c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype;
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.productPrefix__T = (function() {
  return "Output"
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(x$1)) {
    var Output$1 = $as_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(x$1);
    if ((this.noOfUsersAdded$1 === Output$1.noOfUsersAdded$1)) {
      var x = this.rejectedList$1;
      var x$2 = Output$1.rejectedList$1;
      return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.noOfUsersAdded$1;
      break
    }
    case 1: {
      return this.rejectedList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var value = this.noOfUsersAdded$1;
  ret.noOfUsersAdded = value;
  var col = this.rejectedList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.rejectedList = jsx$1;
  return ret
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.$$js$exported$prop$rejectedList__O = (function() {
  return this.rejectedListJS__sjs_js_Array()
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.$$js$exported$prop$noOfUsersAdded__O = (function() {
  return this.noOfUsersAdded$1
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.noOfUsersAdded$1);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.rejectedList$1));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.rejectedListJS__sjs_js_Array = (function() {
  var col = this.rejectedList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.init___I__sci_List = (function(noOfUsersAdded, rejectedList) {
  this.noOfUsersAdded$1 = noOfUsersAdded;
  this.rejectedList$1 = rejectedList;
  return this
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype, "rejectedList", {
  "get": (function() {
    return this.$$js$exported$prop$rejectedList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype, "noOfUsersAdded", {
  "get": (function() {
    return this.$$js$exported$prop$noOfUsersAdded__O()
  }),
  "configurable": true
});
function $is_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output)))
}
function $as_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(obj) {
  return (($is_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.metastay.gompaapp.service.userwriter.UploadUserFile$Output"))
}
function $isArrayOf_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output)))
}
function $asArrayOf_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(obj, depth) {
  return (($isArrayOf_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.metastay.gompaapp.service.userwriter.UploadUserFile$Output;", depth))
}
var $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output = new $TypeData().initClass({
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output: 0
}, false, "com.metastay.gompaapp.service.userwriter.UploadUserFile$Output", {
  Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output.prototype.$classData = $d_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole() {
  $c_O.call(this);
  this.appUserGroupRoleId$1 = null;
  this.userGroupName$1 = null;
  this.role$1 = null;
  this.appId$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype = $c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype;
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.$$js$exported$prop$appUserGroupRoleId__O = (function() {
  return this.appUserGroupRoleId$1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.productPrefix__T = (function() {
  return "AppUserGroupRole"
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.productArity__I = (function() {
  return 4
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(x$1)) {
    var AppUserGroupRole$1 = $as_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(x$1);
    return ((((this.appUserGroupRoleId$1 === AppUserGroupRole$1.appUserGroupRoleId$1) && (this.userGroupName$1 === AppUserGroupRole$1.userGroupName$1)) && (this.role$1 === AppUserGroupRole$1.role$1)) && (this.appId$1 === AppUserGroupRole$1.appId$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.appUserGroupRoleId$1;
      break
    }
    case 1: {
      return this.userGroupName$1;
      break
    }
    case 2: {
      return this.role$1;
      break
    }
    case 3: {
      return this.appId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.$$js$exported$prop$role__O = (function() {
  return this.role$1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.toString__T = (function() {
  return (((((((("AppUserGroupRole(" + ((this.appUserGroupRoleId$1 === null) ? "appUserGroupRoleId=null" : ("appUserGroupRoleId=" + this.appUserGroupRoleId$1))) + ",") + ((this.userGroupName$1 === null) ? "userGroupName=null" : ("userGroupName=" + this.userGroupName$1))) + ",") + ((this.role$1 === null) ? "role=null" : ("role=" + this.role$1))) + ",") + ((this.appId$1 === null) ? "appId=null" : ("appId=" + this.appId$1))) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.init___T__T__T__T = (function(appUserGroupRoleId, userGroupName, role, appId) {
  this.appUserGroupRoleId$1 = appUserGroupRoleId;
  this.userGroupName$1 = userGroupName;
  this.role$1 = role;
  this.appId$1 = appId;
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.appUserGroupRoleId$1;
  ret.appUserGroupRoleId = s;
  var s$1 = this.userGroupName$1;
  ret.userGroupName = s$1;
  var s$2 = this.role$1;
  ret.role = s$2;
  var s$3 = this.appId$1;
  ret.appId = s$3;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype, "role", {
  "get": (function() {
    return this.$$js$exported$prop$role__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype, "appUserGroupRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$appUserGroupRoleId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_AppUserGroupRole)))
}
function $as_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.AppUserGroupRole"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_AppUserGroupRole)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.AppUserGroupRole;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_AppUserGroupRole: 0
}, false, "smilejs.com.metastay.gompa.data.AppUserGroupRole", {
  Lsmilejs_com_metastay_gompa_data_AppUserGroupRole: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_AppUserRole() {
  $c_O.call(this);
  this.appUserRoleId$1 = null;
  this.userName$1 = null;
  this.role$1 = null;
  this.appId$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_AppUserRole;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_AppUserRole() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype = $c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype;
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.$$js$exported$prop$appId__O = (function() {
  return this.appId$1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.productPrefix__T = (function() {
  return "AppUserRole"
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.productArity__I = (function() {
  return 4
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_AppUserRole(x$1)) {
    var AppUserRole$1 = $as_Lsmilejs_com_metastay_gompa_data_AppUserRole(x$1);
    return ((((this.appUserRoleId$1 === AppUserRole$1.appUserRoleId$1) && (this.userName$1 === AppUserRole$1.userName$1)) && (this.role$1 === AppUserRole$1.role$1)) && (this.appId$1 === AppUserRole$1.appId$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.$$js$exported$prop$appUserRoleId__O = (function() {
  return this.appUserRoleId$1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.appUserRoleId$1;
      break
    }
    case 1: {
      return this.userName$1;
      break
    }
    case 2: {
      return this.role$1;
      break
    }
    case 3: {
      return this.appId$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.$$js$exported$prop$role__O = (function() {
  return this.role$1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.toString__T = (function() {
  return (((((((("AppUserRole(" + ((this.appUserRoleId$1 === null) ? "appUserRoleId=null" : ("appUserRoleId=" + this.appUserRoleId$1))) + ",") + ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1))) + ",") + ((this.role$1 === null) ? "role=null" : ("role=" + this.role$1))) + ",") + ((this.appId$1 === null) ? "appId=null" : ("appId=" + this.appId$1))) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.init___T__T__T__T = (function(appUserRoleId, userName, role, appId) {
  this.appUserRoleId$1 = appUserRoleId;
  this.userName$1 = userName;
  this.role$1 = role;
  this.appId$1 = appId;
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.appUserRoleId$1;
  ret.appUserRoleId = s;
  var s$1 = this.userName$1;
  ret.userName = s$1;
  var s$2 = this.role$1;
  ret.role = s$2;
  var s$3 = this.appId$1;
  ret.appId = s$3;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype, "appId", {
  "get": (function() {
    return this.$$js$exported$prop$appId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype, "role", {
  "get": (function() {
    return this.$$js$exported$prop$role__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype, "appUserRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$appUserRoleId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_AppUserRole(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_AppUserRole)))
}
function $as_Lsmilejs_com_metastay_gompa_data_AppUserRole(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_AppUserRole(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.AppUserRole"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_AppUserRole(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_AppUserRole)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_AppUserRole(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_AppUserRole(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.AppUserRole;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_AppUserRole = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_AppUserRole: 0
}, false, "smilejs.com.metastay.gompa.data.AppUserRole", {
  Lsmilejs_com_metastay_gompa_data_AppUserRole: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_AppUserRole.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_AppUserRole;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData() {
  $c_O.call(this);
  this.userName$1 = null;
  this.appAdminList$1 = null;
  this.teamAdminList$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_GompaAdminData() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype = $c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype;
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.init___T__sci_List__sci_List = (function(userName, appAdminList, teamAdminList) {
  this.userName$1 = userName;
  this.appAdminList$1 = appAdminList;
  this.teamAdminList$1 = teamAdminList;
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.productPrefix__T = (function() {
  return "GompaAdminData"
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.productArity__I = (function() {
  return 3
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_GompaAdminData(x$1)) {
    var GompaAdminData$1 = $as_Lsmilejs_com_metastay_gompa_data_GompaAdminData(x$1);
    if ((this.userName$1 === GompaAdminData$1.userName$1)) {
      var x = this.appAdminList$1;
      var x$2 = GompaAdminData$1.appAdminList$1;
      var jsx$1 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var x$3 = this.teamAdminList$1;
      var x$4 = GompaAdminData$1.teamAdminList$1;
      return ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.teamAdminListJS__sjs_js_Array = (function() {
  var col = this.teamAdminList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.appAdminList$1;
      break
    }
    case 2: {
      return this.teamAdminList$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.toString__T = (function() {
  var jsx$3 = ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1));
  if ((this.appAdminList$1 === null)) {
    var jsx$2 = "appAdminList=null"
  } else {
    var this$1 = this.appAdminList$1;
    var jsx$2 = ("appAdminList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$1))
  };
  if ((this.teamAdminList$1 === null)) {
    var jsx$1 = "teamAdminList=null"
  } else {
    var this$2 = this.teamAdminList$1;
    var jsx$1 = ("teamAdminList=" + $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this$2))
  };
  return (((((("GompaAdminData(" + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var col = this.appAdminList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    var jsx$1 = x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$5 = these;
      these = this$5.tail__sci_List()
    };
    var jsx$1 = result
  };
  ret.appAdminList = jsx$1;
  var col$1 = this.teamAdminList$1;
  if ($is_sjs_js_ArrayOps(col$1)) {
    var x2$1 = $as_sjs_js_ArrayOps(col$1);
    var jsx$2 = x2$1.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col$1)) {
    var x3$1 = $as_sjs_js_WrappedArray(col$1);
    var jsx$2 = x3$1.array$6
  } else {
    var result$1 = [];
    var these$1 = col$1;
    while ((!these$1.isEmpty__Z())) {
      var arg1$1 = these$1.head__O();
      $uI(result$1.push(arg1$1));
      var this$9 = these$1;
      these$1 = this$9.tail__sci_List()
    };
    var jsx$2 = result$1
  };
  ret.teamAdminList = jsx$2;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.appAdminListJS__sjs_js_Array = (function() {
  var col = this.appAdminList$1;
  if ($is_sjs_js_ArrayOps(col)) {
    var x2 = $as_sjs_js_ArrayOps(col);
    return x2.scala$scalajs$js$ArrayOps$$array$f
  } else if ($is_sjs_js_WrappedArray(col)) {
    var x3 = $as_sjs_js_WrappedArray(col);
    return x3.array$6
  } else {
    var result = [];
    var these = col;
    while ((!these.isEmpty__Z())) {
      var arg1 = these.head__O();
      $uI(result.push(arg1));
      var this$4 = these;
      these = this$4.tail__sci_List()
    };
    return result
  }
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.$$js$exported$prop$teamAdminList__O = (function() {
  return this.teamAdminListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.$$js$exported$prop$appAdminList__O = (function() {
  return this.appAdminListJS__sjs_js_Array()
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype, "teamAdminList", {
  "get": (function() {
    return this.$$js$exported$prop$teamAdminList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype, "appAdminList", {
  "get": (function() {
    return this.$$js$exported$prop$appAdminList__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_GompaAdminData(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_GompaAdminData)))
}
function $as_Lsmilejs_com_metastay_gompa_data_GompaAdminData(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_GompaAdminData(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.GompaAdminData"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_GompaAdminData(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_GompaAdminData)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_GompaAdminData(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_GompaAdminData(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.GompaAdminData;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_GompaAdminData = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_GompaAdminData: 0
}, false, "smilejs.com.metastay.gompa.data.GompaAdminData", {
  Lsmilejs_com_metastay_gompa_data_GompaAdminData: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_GompaAdminData.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_GompaAdminData;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_Team() {
  $c_O.call(this);
  this.teamId$1 = null;
  this.teamCode$1 = null;
  this.fqFlowName$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_Team;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_Team() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_Team.prototype = $c_Lsmilejs_com_metastay_gompa_data_Team.prototype;
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.productPrefix__T = (function() {
  return "Team"
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.productArity__I = (function() {
  return 3
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.$$js$exported$prop$teamId__O = (function() {
  return this.teamId$1
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_Team(x$1)) {
    var Team$1 = $as_Lsmilejs_com_metastay_gompa_data_Team(x$1);
    return (((this.teamId$1 === Team$1.teamId$1) && (this.teamCode$1 === Team$1.teamCode$1)) && (this.fqFlowName$1 === Team$1.fqFlowName$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamId$1;
      break
    }
    case 1: {
      return this.teamCode$1;
      break
    }
    case 2: {
      return this.fqFlowName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.toString__T = (function() {
  return (((((("Team(" + ((this.teamId$1 === null) ? "teamId=null" : ("teamId=" + this.teamId$1))) + ",") + ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1))) + ",") + ((this.fqFlowName$1 === null) ? "fqFlowName=null" : ("fqFlowName=" + this.fqFlowName$1))) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamId$1;
  ret.teamId = s;
  var s$1 = this.teamCode$1;
  ret.teamCode = s$1;
  var s$2 = this.fqFlowName$1;
  ret.fqFlowName = s$2;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.init___T__T__T = (function(teamId, teamCode, fqFlowName) {
  this.teamId$1 = teamId;
  this.teamCode$1 = teamCode;
  this.fqFlowName$1 = fqFlowName;
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.$$js$exported$prop$fqFlowName__O = (function() {
  return this.fqFlowName$1
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_Team.prototype, "fqFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_Team.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_Team.prototype, "teamId", {
  "get": (function() {
    return this.$$js$exported$prop$teamId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_Team(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_Team)))
}
function $as_Lsmilejs_com_metastay_gompa_data_Team(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_Team(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.Team"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_Team(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_Team)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_Team(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_Team(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.Team;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_Team = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_Team: 0
}, false, "smilejs.com.metastay.gompa.data.Team", {
  Lsmilejs_com_metastay_gompa_data_Team: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_Team.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_Team;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap() {
  $c_O.call(this);
  this.id$1 = null;
  this.teamCode$1 = null;
  this.subTeamCode$1 = null;
  this.fqSubFlowName$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.productPrefix__T = (function() {
  return "TeamSubTeamMap"
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.productArity__I = (function() {
  return 4
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(x$1)) {
    var TeamSubTeamMap$1 = $as_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(x$1);
    return ((((this.id$1 === TeamSubTeamMap$1.id$1) && (this.teamCode$1 === TeamSubTeamMap$1.teamCode$1)) && (this.subTeamCode$1 === TeamSubTeamMap$1.subTeamCode$1)) && (this.fqSubFlowName$1 === TeamSubTeamMap$1.fqSubFlowName$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.id$1;
      break
    }
    case 1: {
      return this.teamCode$1;
      break
    }
    case 2: {
      return this.subTeamCode$1;
      break
    }
    case 3: {
      return this.fqSubFlowName$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.toString__T = (function() {
  return (((((((("TeamSubTeamMap(" + ((this.id$1 === null) ? "id=null" : ("id=" + this.id$1))) + ",") + ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1))) + ",") + ((this.subTeamCode$1 === null) ? "subTeamCode=null" : ("subTeamCode=" + this.subTeamCode$1))) + ",") + ((this.fqSubFlowName$1 === null) ? "fqSubFlowName=null" : ("fqSubFlowName=" + this.fqSubFlowName$1))) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.init___T__T__T__T = (function(id, teamCode, subTeamCode, fqSubFlowName) {
  this.id$1 = id;
  this.teamCode$1 = teamCode;
  this.subTeamCode$1 = subTeamCode;
  this.fqSubFlowName$1 = fqSubFlowName;
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.id$1;
  ret.id = s;
  var s$1 = this.teamCode$1;
  ret.teamCode = s$1;
  var s$2 = this.subTeamCode$1;
  ret.subTeamCode = s$2;
  var s$3 = this.fqSubFlowName$1;
  ret.fqSubFlowName = s$3;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.$$js$exported$prop$subTeamCode__O = (function() {
  return this.subTeamCode$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.$$js$exported$prop$id__O = (function() {
  return this.id$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.$$js$exported$prop$fqSubFlowName__O = (function() {
  return this.fqSubFlowName$1
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype, "fqSubFlowName", {
  "get": (function() {
    return this.$$js$exported$prop$fqSubFlowName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype, "subTeamCode", {
  "get": (function() {
    return this.$$js$exported$prop$subTeamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype, "id", {
  "get": (function() {
    return this.$$js$exported$prop$id__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap)))
}
function $as_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.TeamSubTeamMap"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.TeamSubTeamMap;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap: 0
}, false, "smilejs.com.metastay.gompa.data.TeamSubTeamMap", {
  Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole() {
  $c_O.call(this);
  this.teamUserGroupRoleId$1 = null;
  this.userGroupName$1 = null;
  this.role$1 = null;
  this.teamCode$1 = null;
  this.maxQSize$1 = 0
}
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.productPrefix__T = (function() {
  return "TeamUserGroupRole"
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.productArity__I = (function() {
  return 5
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(x$1)) {
    var TeamUserGroupRole$1 = $as_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(x$1);
    return (((((this.teamUserGroupRoleId$1 === TeamUserGroupRole$1.teamUserGroupRoleId$1) && (this.userGroupName$1 === TeamUserGroupRole$1.userGroupName$1)) && (this.role$1 === TeamUserGroupRole$1.role$1)) && (this.teamCode$1 === TeamUserGroupRole$1.teamCode$1)) && (this.maxQSize$1 === TeamUserGroupRole$1.maxQSize$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamUserGroupRoleId$1;
      break
    }
    case 1: {
      return this.userGroupName$1;
      break
    }
    case 2: {
      return this.role$1;
      break
    }
    case 3: {
      return this.teamCode$1;
      break
    }
    case 4: {
      return this.maxQSize$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.$$js$exported$prop$maxQSize__O = (function() {
  return this.maxQSize$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.$$js$exported$prop$role__O = (function() {
  return this.role$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.toString__T = (function() {
  var jsx$4 = ((this.teamUserGroupRoleId$1 === null) ? "teamUserGroupRoleId=null" : ("teamUserGroupRoleId=" + this.teamUserGroupRoleId$1));
  var jsx$3 = ((this.userGroupName$1 === null) ? "userGroupName=null" : ("userGroupName=" + this.userGroupName$1));
  var jsx$2 = ((this.role$1 === null) ? "role=null" : ("role=" + this.role$1));
  var jsx$1 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  var this$1 = this.maxQSize$1;
  return ((((((((((("TeamUserGroupRole(" + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "maxQSize=") + ("" + this$1)) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamUserGroupRoleId$1;
  ret.teamUserGroupRoleId = s;
  var s$1 = this.userGroupName$1;
  ret.userGroupName = s$1;
  var s$2 = this.role$1;
  ret.role = s$2;
  var s$3 = this.teamCode$1;
  ret.teamCode = s$3;
  var value = this.maxQSize$1;
  ret.maxQSize = value;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.init___T__T__T__T__I = (function(teamUserGroupRoleId, userGroupName, role, teamCode, maxQSize) {
  this.teamUserGroupRoleId$1 = teamUserGroupRoleId;
  this.userGroupName$1 = userGroupName;
  this.role$1 = role;
  this.teamCode$1 = teamCode;
  this.maxQSize$1 = maxQSize;
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.$$js$exported$prop$teamUserGroupRoleId__O = (function() {
  return this.teamUserGroupRoleId$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamUserGroupRoleId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userGroupName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.role$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.maxQSize$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype, "maxQSize", {
  "get": (function() {
    return this.$$js$exported$prop$maxQSize__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype, "role", {
  "get": (function() {
    return this.$$js$exported$prop$role__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype, "teamUserGroupRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$teamUserGroupRoleId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole)))
}
function $as_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.TeamUserGroupRole"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.TeamUserGroupRole;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole: 0
}, false, "smilejs.com.metastay.gompa.data.TeamUserGroupRole", {
  Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole() {
  $c_O.call(this);
  this.teamUserRoleId$1 = null;
  this.userName$1 = null;
  this.role$1 = null;
  this.teamCode$1 = null;
  this.maxQSize$1 = 0
}
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_TeamUserRole() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype = $c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype;
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.productPrefix__T = (function() {
  return "TeamUserRole"
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.productArity__I = (function() {
  return 5
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_TeamUserRole(x$1)) {
    var TeamUserRole$1 = $as_Lsmilejs_com_metastay_gompa_data_TeamUserRole(x$1);
    return (((((this.teamUserRoleId$1 === TeamUserRole$1.teamUserRoleId$1) && (this.userName$1 === TeamUserRole$1.userName$1)) && (this.role$1 === TeamUserRole$1.role$1)) && (this.teamCode$1 === TeamUserRole$1.teamCode$1)) && (this.maxQSize$1 === TeamUserRole$1.maxQSize$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.teamUserRoleId$1;
      break
    }
    case 1: {
      return this.userName$1;
      break
    }
    case 2: {
      return this.role$1;
      break
    }
    case 3: {
      return this.teamCode$1;
      break
    }
    case 4: {
      return this.maxQSize$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.$$js$exported$prop$maxQSize__O = (function() {
  return this.maxQSize$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.$$js$exported$prop$role__O = (function() {
  return this.role$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.toString__T = (function() {
  var jsx$4 = ((this.teamUserRoleId$1 === null) ? "teamUserRoleId=null" : ("teamUserRoleId=" + this.teamUserRoleId$1));
  var jsx$3 = ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1));
  var jsx$2 = ((this.role$1 === null) ? "role=null" : ("role=" + this.role$1));
  var jsx$1 = ((this.teamCode$1 === null) ? "teamCode=null" : ("teamCode=" + this.teamCode$1));
  var this$1 = this.maxQSize$1;
  return ((((((((((("TeamUserRole(" + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "maxQSize=") + ("" + this$1)) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.teamUserRoleId$1;
  ret.teamUserRoleId = s;
  var s$1 = this.userName$1;
  ret.userName = s$1;
  var s$2 = this.role$1;
  ret.role = s$2;
  var s$3 = this.teamCode$1;
  ret.teamCode = s$3;
  var value = this.maxQSize$1;
  ret.maxQSize = value;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.init___T__T__T__T__I = (function(teamUserRoleId, userName, role, teamCode, maxQSize) {
  this.teamUserRoleId$1 = teamUserRoleId;
  this.userName$1 = userName;
  this.role$1 = role;
  this.teamCode$1 = teamCode;
  this.maxQSize$1 = maxQSize;
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.$$js$exported$prop$teamUserRoleId__O = (function() {
  return this.teamUserRoleId$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.$$js$exported$prop$teamCode__O = (function() {
  return this.teamCode$1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamUserRoleId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.role$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.teamCode$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.maxQSize$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 5)
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype, "maxQSize", {
  "get": (function() {
    return this.$$js$exported$prop$maxQSize__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype, "teamCode", {
  "get": (function() {
    return this.$$js$exported$prop$teamCode__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype, "role", {
  "get": (function() {
    return this.$$js$exported$prop$role__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype, "teamUserRoleId", {
  "get": (function() {
    return this.$$js$exported$prop$teamUserRoleId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_TeamUserRole(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_TeamUserRole)))
}
function $as_Lsmilejs_com_metastay_gompa_data_TeamUserRole(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_TeamUserRole(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.TeamUserRole"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_TeamUserRole(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_TeamUserRole)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_TeamUserRole(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_TeamUserRole(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.TeamUserRole;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_TeamUserRole = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_TeamUserRole: 0
}, false, "smilejs.com.metastay.gompa.data.TeamUserRole", {
  Lsmilejs_com_metastay_gompa_data_TeamUserRole: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_TeamUserRole.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_TeamUserRole;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_User() {
  $c_O.call(this);
  this.userId$1 = null;
  this.userName$1 = null;
  this.emailId$1 = null;
  this.title$1 = null;
  this.firstName$1 = null;
  this.lastName$1 = null;
  this.fullName$1 = null;
  this.mobile$1 = null;
  this.active$1 = false
}
$c_Lsmilejs_com_metastay_gompa_data_User.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_User;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_User() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_User.prototype = $c_Lsmilejs_com_metastay_gompa_data_User.prototype;
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.$$js$exported$prop$userId__O = (function() {
  return this.userId$1
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.productPrefix__T = (function() {
  return "User"
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.$$js$exported$prop$lastName__O = (function() {
  return this.lastNameJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.productArity__I = (function() {
  return 9
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_User(x$1)) {
    var User$1 = $as_Lsmilejs_com_metastay_gompa_data_User(x$1);
    if ((((this.userId$1 === User$1.userId$1) && (this.userName$1 === User$1.userName$1)) && (this.emailId$1 === User$1.emailId$1))) {
      var x = this.title$1;
      var x$2 = User$1.title$1;
      var jsx$3 = ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
    } else {
      var jsx$3 = false
    };
    if ((jsx$3 && (this.firstName$1 === User$1.firstName$1))) {
      var x$3 = this.lastName$1;
      var x$4 = User$1.lastName$1;
      var jsx$2 = ((x$3 === null) ? (x$4 === null) : x$3.equals__O__Z(x$4))
    } else {
      var jsx$2 = false
    };
    if ((jsx$2 && (this.fullName$1 === User$1.fullName$1))) {
      var x$5 = this.mobile$1;
      var x$6 = User$1.mobile$1;
      var jsx$1 = ((x$5 === null) ? (x$6 === null) : x$5.equals__O__Z(x$6))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      return (this.active$1 === User$1.active$1)
    } else {
      return false
    }
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userId$1;
      break
    }
    case 1: {
      return this.userName$1;
      break
    }
    case 2: {
      return this.emailId$1;
      break
    }
    case 3: {
      return this.title$1;
      break
    }
    case 4: {
      return this.firstName$1;
      break
    }
    case 5: {
      return this.lastName$1;
      break
    }
    case 6: {
      return this.fullName$1;
      break
    }
    case 7: {
      return this.mobile$1;
      break
    }
    case 8: {
      return this.active$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.lastNameJS__sjs_js_UndefOr = (function() {
  var opt = this.lastName$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.$$js$exported$prop$active__O = (function() {
  return this.active$1
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.toString__T = (function() {
  var jsx$8 = ((this.userId$1 === null) ? "userId=null" : ("userId=" + this.userId$1));
  var jsx$7 = ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1));
  var jsx$6 = ((this.emailId$1 === null) ? "emailId=null" : ("emailId=" + this.emailId$1));
  var jsx$5 = ((this.title$1 === null) ? "title=null" : ("title=" + this.title$1.toString__T()));
  var jsx$4 = ((this.firstName$1 === null) ? "firstName=null" : ("firstName=" + this.firstName$1));
  var jsx$3 = ((this.lastName$1 === null) ? "lastName=null" : ("lastName=" + this.lastName$1.toString__T()));
  var jsx$2 = ((this.fullName$1 === null) ? "fullName=null" : ("fullName=" + this.fullName$1));
  var jsx$1 = ((this.mobile$1 === null) ? "mobile=null" : ("mobile=" + this.mobile$1.toString__T()));
  var this$1 = this.active$1;
  return ((((((((((((((((((("User(" + jsx$8) + ",") + jsx$7) + ",") + jsx$6) + ",") + jsx$5) + ",") + jsx$4) + ",") + jsx$3) + ",") + jsx$2) + ",") + jsx$1) + ",") + "active=") + ("" + this$1)) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userId$1;
  ret.userId = s;
  var s$1 = this.userName$1;
  ret.userName = s$1;
  var s$2 = this.emailId$1;
  ret.emailId = s$2;
  if (this.title$1.isDefined__Z()) {
    var s$3 = $as_T(this.title$1.get__O());
    ret.title = s$3
  };
  var s$4 = this.firstName$1;
  ret.firstName = s$4;
  if (this.lastName$1.isDefined__Z()) {
    var s$5 = $as_T(this.lastName$1.get__O());
    ret.lastName = s$5
  };
  var s$6 = this.fullName$1;
  ret.fullName = s$6;
  if (this.mobile$1.isDefined__Z()) {
    var s$7 = $as_T(this.mobile$1.get__O());
    ret.mobile = s$7
  };
  var value = this.active$1;
  ret.active = value;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.$$js$exported$prop$fullName__O = (function() {
  return this.fullName$1
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.$$js$exported$prop$firstName__O = (function() {
  return this.firstName$1
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.init___T__T__T__s_Option__T__s_Option__T__s_Option__Z = (function(userId, userName, emailId, title, firstName, lastName, fullName, mobile, active) {
  this.userId$1 = userId;
  this.userName$1 = userName;
  this.emailId$1 = emailId;
  this.title$1 = title;
  this.firstName$1 = firstName;
  this.lastName$1 = lastName;
  this.fullName$1 = fullName;
  this.mobile$1 = mobile;
  this.active$1 = active;
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.$$js$exported$prop$emailId__O = (function() {
  return this.emailId$1
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.emailId$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.title$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.firstName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.lastName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.fullName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.mobile$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, (this.active$1 ? 1231 : 1237));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 9)
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.$$js$exported$prop$mobile__O = (function() {
  return this.mobileJS__sjs_js_UndefOr()
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.mobileJS__sjs_js_UndefOr = (function() {
  var opt = this.mobile$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.titleJS__sjs_js_UndefOr = (function() {
  var opt = this.title$1;
  if (opt.isEmpty__Z()) {
    return (void 0)
  } else {
    var arg1 = opt.get__O();
    return arg1
  }
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.$$js$exported$prop$title__O = (function() {
  return this.titleJS__sjs_js_UndefOr()
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_User.prototype, "mobile", {
  "get": (function() {
    return this.$$js$exported$prop$mobile__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_User.prototype, "lastName", {
  "get": (function() {
    return this.$$js$exported$prop$lastName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_User.prototype, "title", {
  "get": (function() {
    return this.$$js$exported$prop$title__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_User.prototype, "active", {
  "get": (function() {
    return this.$$js$exported$prop$active__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_User.prototype, "fullName", {
  "get": (function() {
    return this.$$js$exported$prop$fullName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_User.prototype, "firstName", {
  "get": (function() {
    return this.$$js$exported$prop$firstName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_User.prototype, "emailId", {
  "get": (function() {
    return this.$$js$exported$prop$emailId__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_User.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_User.prototype, "userId", {
  "get": (function() {
    return this.$$js$exported$prop$userId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_User(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_User)))
}
function $as_Lsmilejs_com_metastay_gompa_data_User(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_User(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.User"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_User(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_User)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_User(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_User(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.User;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_User = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_User: 0
}, false, "smilejs.com.metastay.gompa.data.User", {
  Lsmilejs_com_metastay_gompa_data_User: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_User.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_User;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup() {
  $c_O.call(this);
  this.userName$1 = null;
  this.isUserActiveInUserGroup$1 = false
}
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserForUserGroup() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.productPrefix__T = (function() {
  return "UserForUserGroup"
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.productArity__I = (function() {
  return 2
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_UserForUserGroup(x$1)) {
    var UserForUserGroup$1 = $as_Lsmilejs_com_metastay_gompa_data_UserForUserGroup(x$1);
    return ((this.userName$1 === UserForUserGroup$1.userName$1) && (this.isUserActiveInUserGroup$1 === UserForUserGroup$1.isUserActiveInUserGroup$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userName$1;
      break
    }
    case 1: {
      return this.isUserActiveInUserGroup$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.toString__T = (function() {
  var jsx$1 = ((this.userName$1 === null) ? "userName=null" : ("userName=" + this.userName$1));
  var this$1 = this.isUserActiveInUserGroup$1;
  return ((((("UserForUserGroup(" + jsx$1) + ",") + "isUserActiveInUserGroup=") + ("" + this$1)) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userName$1;
  ret.userName = s;
  var value = this.isUserActiveInUserGroup$1;
  ret.isUserActiveInUserGroup = value;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.$$js$exported$prop$userName__O = (function() {
  return this.userName$1
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.$$js$exported$prop$isUserActiveInUserGroup__O = (function() {
  return this.isUserActiveInUserGroup$1
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isUserActiveInUserGroup$1 ? 1231 : 1237));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.init___T__Z = (function(userName, isUserActiveInUserGroup) {
  this.userName$1 = userName;
  this.isUserActiveInUserGroup$1 = isUserActiveInUserGroup;
  return this
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype, "isUserActiveInUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$isUserActiveInUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype, "userName", {
  "get": (function() {
    return this.$$js$exported$prop$userName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_UserForUserGroup(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_UserForUserGroup)))
}
function $as_Lsmilejs_com_metastay_gompa_data_UserForUserGroup(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_UserForUserGroup(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.UserForUserGroup"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_UserForUserGroup(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_UserForUserGroup)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_UserForUserGroup(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_UserForUserGroup(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.UserForUserGroup;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_UserForUserGroup = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserForUserGroup: 0
}, false, "smilejs.com.metastay.gompa.data.UserForUserGroup", {
  Lsmilejs_com_metastay_gompa_data_UserForUserGroup: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserForUserGroup.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserForUserGroup;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroup() {
  $c_O.call(this);
  this.userGroupId$1 = null;
  this.userGroupName$1 = null;
  this.description$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroup;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroup() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.productPrefix__T = (function() {
  return "UserGroup"
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.productArity__I = (function() {
  return 3
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_UserGroup(x$1)) {
    var UserGroup$1 = $as_Lsmilejs_com_metastay_gompa_data_UserGroup(x$1);
    return (((this.userGroupId$1 === UserGroup$1.userGroupId$1) && (this.userGroupName$1 === UserGroup$1.userGroupName$1)) && (this.description$1 === UserGroup$1.description$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupId$1;
      break
    }
    case 1: {
      return this.userGroupName$1;
      break
    }
    case 2: {
      return this.description$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.toString__T = (function() {
  return (((((("UserGroup(" + ((this.userGroupId$1 === null) ? "userGroupId=null" : ("userGroupId=" + this.userGroupId$1))) + ",") + ((this.userGroupName$1 === null) ? "userGroupName=null" : ("userGroupName=" + this.userGroupName$1))) + ",") + ((this.description$1 === null) ? "description=null" : ("description=" + this.description$1))) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.$$js$exported$prop$userGroupId__O = (function() {
  return this.userGroupId$1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupId$1;
  ret.userGroupId = s;
  var s$1 = this.userGroupName$1;
  ret.userGroupName = s$1;
  var s$2 = this.description$1;
  ret.description = s$2;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.init___T__T__T = (function(userGroupId, userGroupName, description) {
  this.userGroupId$1 = userGroupId;
  this.userGroupName$1 = userGroupName;
  this.description$1 = description;
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.$$js$exported$prop$description__O = (function() {
  return this.description$1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype, "description", {
  "get": (function() {
    return this.$$js$exported$prop$description__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype, "userGroupId", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_UserGroup(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_UserGroup)))
}
function $as_Lsmilejs_com_metastay_gompa_data_UserGroup(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_UserGroup(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.UserGroup"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_UserGroup(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_UserGroup)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_UserGroup(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_UserGroup(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.UserGroup;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_UserGroup = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroup: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroup", {
  Lsmilejs_com_metastay_gompa_data_UserGroup: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroup.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroup;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails() {
  $c_O.call(this);
  this.userGroupId$1 = null;
  this.userGroupName$1 = null;
  this.description$1 = null
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroupDetails() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.productPrefix__T = (function() {
  return "UserGroupDetails"
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.productArity__I = (function() {
  return 3
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_UserGroupDetails(x$1)) {
    var UserGroupDetails$1 = $as_Lsmilejs_com_metastay_gompa_data_UserGroupDetails(x$1);
    return (((this.userGroupId$1 === UserGroupDetails$1.userGroupId$1) && (this.userGroupName$1 === UserGroupDetails$1.userGroupName$1)) && (this.description$1 === UserGroupDetails$1.description$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupId$1;
      break
    }
    case 1: {
      return this.userGroupName$1;
      break
    }
    case 2: {
      return this.description$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.toString__T = (function() {
  return (((((("UserGroupDetails(" + ((this.userGroupId$1 === null) ? "userGroupId=null" : ("userGroupId=" + this.userGroupId$1))) + ",") + ((this.userGroupName$1 === null) ? "userGroupName=null" : ("userGroupName=" + this.userGroupName$1))) + ",") + ((this.description$1 === null) ? "description=null" : ("description=" + this.description$1))) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.$$js$exported$prop$userGroupId__O = (function() {
  return this.userGroupId$1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupId$1;
  ret.userGroupId = s;
  var s$1 = this.userGroupName$1;
  ret.userGroupName = s$1;
  var s$2 = this.description$1;
  ret.description = s$2;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.init___T__T__T = (function(userGroupId, userGroupName, description) {
  this.userGroupId$1 = userGroupId;
  this.userGroupName$1 = userGroupName;
  this.description$1 = description;
  return this
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.$$js$exported$prop$description__O = (function() {
  return this.description$1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype, "description", {
  "get": (function() {
    return this.$$js$exported$prop$description__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype, "userGroupId", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupId__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_UserGroupDetails(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_UserGroupDetails)))
}
function $as_Lsmilejs_com_metastay_gompa_data_UserGroupDetails(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_UserGroupDetails(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.UserGroupDetails"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_UserGroupDetails(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_UserGroupDetails)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_UserGroupDetails(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_UserGroupDetails(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.UserGroupDetails;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_UserGroupDetails = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroupDetails: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroupDetails", {
  Lsmilejs_com_metastay_gompa_data_UserGroupDetails: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupDetails.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroupDetails;
/** @constructor */
function $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser() {
  $c_O.call(this);
  this.userGroupName$1 = null;
  this.isUserActiveInUserGroup$1 = false
}
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype = new $h_O();
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.constructor = $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser;
/** @constructor */
function $h_Lsmilejs_com_metastay_gompa_data_UserGroupForUser() {
  /*<skip>*/
}
$h_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype = $c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype;
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.productPrefix__T = (function() {
  return "UserGroupForUser"
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.productArity__I = (function() {
  return 2
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lsmilejs_com_metastay_gompa_data_UserGroupForUser(x$1)) {
    var UserGroupForUser$1 = $as_Lsmilejs_com_metastay_gompa_data_UserGroupForUser(x$1);
    return ((this.userGroupName$1 === UserGroupForUser$1.userGroupName$1) && (this.isUserActiveInUserGroup$1 === UserGroupForUser$1.isUserActiveInUserGroup$1))
  } else {
    return false
  }
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.userGroupName$1;
      break
    }
    case 1: {
      return this.isUserActiveInUserGroup$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.$$js$exported$prop$userGroupName__O = (function() {
  return this.userGroupName$1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.toString__T = (function() {
  var jsx$1 = ((this.userGroupName$1 === null) ? "userGroupName=null" : ("userGroupName=" + this.userGroupName$1));
  var this$1 = this.isUserActiveInUserGroup$1;
  return ((((("UserGroupForUser(" + jsx$1) + ",") + "isUserActiveInUserGroup=") + ("" + this$1)) + ")")
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.toJson__sjs_js_Dynamic = (function() {
  var ret = {};
  var s = this.userGroupName$1;
  ret.userGroupName = s;
  var value = this.isUserActiveInUserGroup$1;
  ret.isUserActiveInUserGroup = value;
  return ret
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.$$js$exported$prop$isUserActiveInUserGroup__O = (function() {
  return this.isUserActiveInUserGroup$1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.userGroupName$1));
  acc = $m_sr_Statics$().mix__I__I__I(acc, (this.isUserActiveInUserGroup$1 ? 1231 : 1237));
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.init___T__Z = (function(userGroupName, isUserActiveInUserGroup) {
  this.userGroupName$1 = userGroupName;
  this.isUserActiveInUserGroup$1 = isUserActiveInUserGroup;
  return this
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype, "isUserActiveInUserGroup", {
  "get": (function() {
    return this.$$js$exported$prop$isUserActiveInUserGroup__O()
  }),
  "configurable": true
});
Object.defineProperty($c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype, "userGroupName", {
  "get": (function() {
    return this.$$js$exported$prop$userGroupName__O()
  }),
  "configurable": true
});
function $is_Lsmilejs_com_metastay_gompa_data_UserGroupForUser(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lsmilejs_com_metastay_gompa_data_UserGroupForUser)))
}
function $as_Lsmilejs_com_metastay_gompa_data_UserGroupForUser(obj) {
  return (($is_Lsmilejs_com_metastay_gompa_data_UserGroupForUser(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "smilejs.com.metastay.gompa.data.UserGroupForUser"))
}
function $isArrayOf_Lsmilejs_com_metastay_gompa_data_UserGroupForUser(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lsmilejs_com_metastay_gompa_data_UserGroupForUser)))
}
function $asArrayOf_Lsmilejs_com_metastay_gompa_data_UserGroupForUser(obj, depth) {
  return (($isArrayOf_Lsmilejs_com_metastay_gompa_data_UserGroupForUser(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lsmilejs.com.metastay.gompa.data.UserGroupForUser;", depth))
}
var $d_Lsmilejs_com_metastay_gompa_data_UserGroupForUser = new $TypeData().initClass({
  Lsmilejs_com_metastay_gompa_data_UserGroupForUser: 0
}, false, "smilejs.com.metastay.gompa.data.UserGroupForUser", {
  Lsmilejs_com_metastay_gompa_data_UserGroupForUser: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lsmilejs_com_metastay_gompa_data_UserGroupForUser.prototype.$classData = $d_Lsmilejs_com_metastay_gompa_data_UserGroupForUser;
/** @constructor */
function $c_jl_ArithmeticException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_ArithmeticException.prototype = new $h_jl_RuntimeException();
$c_jl_ArithmeticException.prototype.constructor = $c_jl_ArithmeticException;
/** @constructor */
function $h_jl_ArithmeticException() {
  /*<skip>*/
}
$h_jl_ArithmeticException.prototype = $c_jl_ArithmeticException.prototype;
$c_jl_ArithmeticException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_ArithmeticException = new $TypeData().initClass({
  jl_ArithmeticException: 0
}, false, "java.lang.ArithmeticException", {
  jl_ArithmeticException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_ArithmeticException.prototype.$classData = $d_jl_ArithmeticException;
/** @constructor */
function $c_jl_ClassCastException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_ClassCastException.prototype = new $h_jl_RuntimeException();
$c_jl_ClassCastException.prototype.constructor = $c_jl_ClassCastException;
/** @constructor */
function $h_jl_ClassCastException() {
  /*<skip>*/
}
$h_jl_ClassCastException.prototype = $c_jl_ClassCastException.prototype;
$c_jl_ClassCastException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
function $is_jl_ClassCastException(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.jl_ClassCastException)))
}
function $as_jl_ClassCastException(obj) {
  return (($is_jl_ClassCastException(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "java.lang.ClassCastException"))
}
function $isArrayOf_jl_ClassCastException(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.jl_ClassCastException)))
}
function $asArrayOf_jl_ClassCastException(obj, depth) {
  return (($isArrayOf_jl_ClassCastException(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Ljava.lang.ClassCastException;", depth))
}
var $d_jl_ClassCastException = new $TypeData().initClass({
  jl_ClassCastException: 0
}, false, "java.lang.ClassCastException", {
  jl_ClassCastException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_ClassCastException.prototype.$classData = $d_jl_ClassCastException;
/** @constructor */
function $c_jl_IllegalArgumentException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_IllegalArgumentException.prototype = new $h_jl_RuntimeException();
$c_jl_IllegalArgumentException.prototype.constructor = $c_jl_IllegalArgumentException;
/** @constructor */
function $h_jl_IllegalArgumentException() {
  /*<skip>*/
}
$h_jl_IllegalArgumentException.prototype = $c_jl_IllegalArgumentException.prototype;
$c_jl_IllegalArgumentException.prototype.init___ = (function() {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
$c_jl_IllegalArgumentException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_IllegalArgumentException = new $TypeData().initClass({
  jl_IllegalArgumentException: 0
}, false, "java.lang.IllegalArgumentException", {
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IllegalArgumentException.prototype.$classData = $d_jl_IllegalArgumentException;
/** @constructor */
function $c_jl_IllegalStateException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_IllegalStateException.prototype = new $h_jl_RuntimeException();
$c_jl_IllegalStateException.prototype.constructor = $c_jl_IllegalStateException;
/** @constructor */
function $h_jl_IllegalStateException() {
  /*<skip>*/
}
$h_jl_IllegalStateException.prototype = $c_jl_IllegalStateException.prototype;
$c_jl_IllegalStateException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_IllegalStateException = new $TypeData().initClass({
  jl_IllegalStateException: 0
}, false, "java.lang.IllegalStateException", {
  jl_IllegalStateException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IllegalStateException.prototype.$classData = $d_jl_IllegalStateException;
/** @constructor */
function $c_jl_IndexOutOfBoundsException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_IndexOutOfBoundsException.prototype = new $h_jl_RuntimeException();
$c_jl_IndexOutOfBoundsException.prototype.constructor = $c_jl_IndexOutOfBoundsException;
/** @constructor */
function $h_jl_IndexOutOfBoundsException() {
  /*<skip>*/
}
$h_jl_IndexOutOfBoundsException.prototype = $c_jl_IndexOutOfBoundsException.prototype;
$c_jl_IndexOutOfBoundsException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_IndexOutOfBoundsException = new $TypeData().initClass({
  jl_IndexOutOfBoundsException: 0
}, false, "java.lang.IndexOutOfBoundsException", {
  jl_IndexOutOfBoundsException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_IndexOutOfBoundsException.prototype.$classData = $d_jl_IndexOutOfBoundsException;
/** @constructor */
function $c_jl_NullPointerException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_NullPointerException.prototype = new $h_jl_RuntimeException();
$c_jl_NullPointerException.prototype.constructor = $c_jl_NullPointerException;
/** @constructor */
function $h_jl_NullPointerException() {
  /*<skip>*/
}
$h_jl_NullPointerException.prototype = $c_jl_NullPointerException.prototype;
$c_jl_NullPointerException.prototype.init___ = (function() {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
var $d_jl_NullPointerException = new $TypeData().initClass({
  jl_NullPointerException: 0
}, false, "java.lang.NullPointerException", {
  jl_NullPointerException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_NullPointerException.prototype.$classData = $d_jl_NullPointerException;
/** @constructor */
function $c_jl_UnsupportedOperationException() {
  $c_jl_RuntimeException.call(this)
}
$c_jl_UnsupportedOperationException.prototype = new $h_jl_RuntimeException();
$c_jl_UnsupportedOperationException.prototype.constructor = $c_jl_UnsupportedOperationException;
/** @constructor */
function $h_jl_UnsupportedOperationException() {
  /*<skip>*/
}
$h_jl_UnsupportedOperationException.prototype = $c_jl_UnsupportedOperationException.prototype;
$c_jl_UnsupportedOperationException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_UnsupportedOperationException = new $TypeData().initClass({
  jl_UnsupportedOperationException: 0
}, false, "java.lang.UnsupportedOperationException", {
  jl_UnsupportedOperationException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_UnsupportedOperationException.prototype.$classData = $d_jl_UnsupportedOperationException;
/** @constructor */
function $c_ju_NoSuchElementException() {
  $c_jl_RuntimeException.call(this)
}
$c_ju_NoSuchElementException.prototype = new $h_jl_RuntimeException();
$c_ju_NoSuchElementException.prototype.constructor = $c_ju_NoSuchElementException;
/** @constructor */
function $h_ju_NoSuchElementException() {
  /*<skip>*/
}
$h_ju_NoSuchElementException.prototype = $c_ju_NoSuchElementException.prototype;
$c_ju_NoSuchElementException.prototype.init___ = (function() {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
$c_ju_NoSuchElementException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_ju_NoSuchElementException = new $TypeData().initClass({
  ju_NoSuchElementException: 0
}, false, "java.util.NoSuchElementException", {
  ju_NoSuchElementException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_ju_NoSuchElementException.prototype.$classData = $d_ju_NoSuchElementException;
/** @constructor */
function $c_s_MatchError() {
  $c_jl_RuntimeException.call(this);
  this.obj$4 = null;
  this.objString$4 = null;
  this.bitmap$0$4 = false
}
$c_s_MatchError.prototype = new $h_jl_RuntimeException();
$c_s_MatchError.prototype.constructor = $c_s_MatchError;
/** @constructor */
function $h_s_MatchError() {
  /*<skip>*/
}
$h_s_MatchError.prototype = $c_s_MatchError.prototype;
$c_s_MatchError.prototype.objString$lzycompute__p4__T = (function() {
  if ((!this.bitmap$0$4)) {
    this.objString$4 = ((this.obj$4 === null) ? "null" : this.liftedTree1$1__p4__T());
    this.bitmap$0$4 = true
  };
  return this.objString$4
});
$c_s_MatchError.prototype.ofClass$1__p4__T = (function() {
  var this$1 = this.obj$4;
  return ("of class " + $objectGetClass(this$1).getName__T())
});
$c_s_MatchError.prototype.liftedTree1$1__p4__T = (function() {
  try {
    return ((($objectToString(this.obj$4) + " (") + this.ofClass$1__p4__T()) + ")")
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      return ("an instance " + this.ofClass$1__p4__T())
    } else {
      throw e
    }
  }
});
$c_s_MatchError.prototype.getMessage__T = (function() {
  return this.objString__p4__T()
});
$c_s_MatchError.prototype.objString__p4__T = (function() {
  return ((!this.bitmap$0$4) ? this.objString$lzycompute__p4__T() : this.objString$4)
});
$c_s_MatchError.prototype.init___O = (function(obj) {
  this.obj$4 = obj;
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
var $d_s_MatchError = new $TypeData().initClass({
  s_MatchError: 0
}, false, "scala.MatchError", {
  s_MatchError: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_s_MatchError.prototype.$classData = $d_s_MatchError;
/** @constructor */
function $c_s_Option() {
  $c_O.call(this)
}
$c_s_Option.prototype = new $h_O();
$c_s_Option.prototype.constructor = $c_s_Option;
/** @constructor */
function $h_s_Option() {
  /*<skip>*/
}
$h_s_Option.prototype = $c_s_Option.prototype;
$c_s_Option.prototype.isDefined__Z = (function() {
  return (!this.isEmpty__Z())
});
function $is_s_Option(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_Option)))
}
function $as_s_Option(obj) {
  return (($is_s_Option(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.Option"))
}
function $isArrayOf_s_Option(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_Option)))
}
function $asArrayOf_s_Option(obj, depth) {
  return (($isArrayOf_s_Option(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.Option;", depth))
}
/** @constructor */
function $c_s_Predef$$anon$1() {
  $c_s_Predef$$less$colon$less.call(this)
}
$c_s_Predef$$anon$1.prototype = new $h_s_Predef$$less$colon$less();
$c_s_Predef$$anon$1.prototype.constructor = $c_s_Predef$$anon$1;
/** @constructor */
function $h_s_Predef$$anon$1() {
  /*<skip>*/
}
$h_s_Predef$$anon$1.prototype = $c_s_Predef$$anon$1.prototype;
$c_s_Predef$$anon$1.prototype.init___ = (function() {
  return this
});
$c_s_Predef$$anon$1.prototype.apply__O__O = (function(x) {
  return x
});
var $d_s_Predef$$anon$1 = new $TypeData().initClass({
  s_Predef$$anon$1: 0
}, false, "scala.Predef$$anon$1", {
  s_Predef$$anon$1: 1,
  s_Predef$$less$colon$less: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Predef$$anon$1.prototype.$classData = $d_s_Predef$$anon$1;
/** @constructor */
function $c_s_Predef$$anon$2() {
  $c_s_Predef$$eq$colon$eq.call(this)
}
$c_s_Predef$$anon$2.prototype = new $h_s_Predef$$eq$colon$eq();
$c_s_Predef$$anon$2.prototype.constructor = $c_s_Predef$$anon$2;
/** @constructor */
function $h_s_Predef$$anon$2() {
  /*<skip>*/
}
$h_s_Predef$$anon$2.prototype = $c_s_Predef$$anon$2.prototype;
$c_s_Predef$$anon$2.prototype.init___ = (function() {
  return this
});
$c_s_Predef$$anon$2.prototype.apply__O__O = (function(x) {
  return x
});
var $d_s_Predef$$anon$2 = new $TypeData().initClass({
  s_Predef$$anon$2: 0
}, false, "scala.Predef$$anon$2", {
  s_Predef$$anon$2: 1,
  s_Predef$$eq$colon$eq: 1,
  O: 1,
  F1: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Predef$$anon$2.prototype.$classData = $d_s_Predef$$anon$2;
/** @constructor */
function $c_s_StringContext() {
  $c_O.call(this);
  this.parts$1 = null
}
$c_s_StringContext.prototype = new $h_O();
$c_s_StringContext.prototype.constructor = $c_s_StringContext;
/** @constructor */
function $h_s_StringContext() {
  /*<skip>*/
}
$h_s_StringContext.prototype = $c_s_StringContext.prototype;
$c_s_StringContext.prototype.productPrefix__T = (function() {
  return "StringContext"
});
$c_s_StringContext.prototype.productArity__I = (function() {
  return 1
});
$c_s_StringContext.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_StringContext(x$1)) {
    var StringContext$1 = $as_s_StringContext(x$1);
    var x = this.parts$1;
    var x$2 = StringContext$1.parts$1;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_s_StringContext.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.parts$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_StringContext.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_StringContext.prototype.checkLengths__sc_Seq__V = (function(args) {
  if ((this.parts$1.length__I() !== ((1 + args.length__I()) | 0))) {
    throw new $c_jl_IllegalArgumentException().init___T((((("wrong number of arguments (" + args.length__I()) + ") for interpolated string with ") + this.parts$1.length__I()) + " parts"))
  }
});
$c_s_StringContext.prototype.s__sc_Seq__T = (function(args) {
  var f = (function($this) {
    return (function(str$2) {
      var str = $as_T(str$2);
      var this$1 = $m_s_StringContext$();
      return this$1.treatEscapes0__p1__T__Z__T(str, false)
    })
  })(this);
  this.checkLengths__sc_Seq__V(args);
  var pi = this.parts$1.iterator__sc_Iterator();
  var ai = args.iterator__sc_Iterator();
  var arg1 = pi.next__O();
  var bldr = new $c_jl_StringBuilder().init___T($as_T(f(arg1)));
  while (ai.hasNext__Z()) {
    bldr.append__O__jl_StringBuilder(ai.next__O());
    var arg1$1 = pi.next__O();
    bldr.append__T__jl_StringBuilder($as_T(f(arg1$1)))
  };
  return bldr.content$1
});
$c_s_StringContext.prototype.init___sc_Seq = (function(parts) {
  this.parts$1 = parts;
  return this
});
$c_s_StringContext.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_StringContext.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_s_StringContext(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_StringContext)))
}
function $as_s_StringContext(obj) {
  return (($is_s_StringContext(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.StringContext"))
}
function $isArrayOf_s_StringContext(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_StringContext)))
}
function $asArrayOf_s_StringContext(obj, depth) {
  return (($isArrayOf_s_StringContext(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.StringContext;", depth))
}
var $d_s_StringContext = new $TypeData().initClass({
  s_StringContext: 0
}, false, "scala.StringContext", {
  s_StringContext: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext.prototype.$classData = $d_s_StringContext;
/** @constructor */
function $c_s_util_control_BreakControl() {
  $c_jl_Throwable.call(this)
}
$c_s_util_control_BreakControl.prototype = new $h_jl_Throwable();
$c_s_util_control_BreakControl.prototype.constructor = $c_s_util_control_BreakControl;
/** @constructor */
function $h_s_util_control_BreakControl() {
  /*<skip>*/
}
$h_s_util_control_BreakControl.prototype = $c_s_util_control_BreakControl.prototype;
$c_s_util_control_BreakControl.prototype.init___ = (function() {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
$c_s_util_control_BreakControl.prototype.fillInStackTrace__jl_Throwable = (function() {
  return $s_s_util_control_NoStackTrace$class__fillInStackTrace__s_util_control_NoStackTrace__jl_Throwable(this)
});
var $d_s_util_control_BreakControl = new $TypeData().initClass({
  s_util_control_BreakControl: 0
}, false, "scala.util.control.BreakControl", {
  s_util_control_BreakControl: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_s_util_control_BreakControl.prototype.$classData = $d_s_util_control_BreakControl;
function $is_sc_GenTraversable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenTraversable)))
}
function $as_sc_GenTraversable(obj) {
  return (($is_sc_GenTraversable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.GenTraversable"))
}
function $isArrayOf_sc_GenTraversable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenTraversable)))
}
function $asArrayOf_sc_GenTraversable(obj, depth) {
  return (($isArrayOf_sc_GenTraversable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.GenTraversable;", depth))
}
/** @constructor */
function $c_sc_Iterable$() {
  $c_scg_GenTraversableFactory.call(this)
}
$c_sc_Iterable$.prototype = new $h_scg_GenTraversableFactory();
$c_sc_Iterable$.prototype.constructor = $c_sc_Iterable$;
/** @constructor */
function $h_sc_Iterable$() {
  /*<skip>*/
}
$h_sc_Iterable$.prototype = $c_sc_Iterable$.prototype;
$c_sc_Iterable$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sc_Iterable$.prototype.newBuilder__scm_Builder = (function() {
  $m_sci_Iterable$();
  return new $c_scm_ListBuffer().init___()
});
var $d_sc_Iterable$ = new $TypeData().initClass({
  sc_Iterable$: 0
}, false, "scala.collection.Iterable$", {
  sc_Iterable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Iterable$.prototype.$classData = $d_sc_Iterable$;
var $n_sc_Iterable$ = (void 0);
function $m_sc_Iterable$() {
  if ((!$n_sc_Iterable$)) {
    $n_sc_Iterable$ = new $c_sc_Iterable$().init___()
  };
  return $n_sc_Iterable$
}
/** @constructor */
function $c_sc_Iterator$$anon$11() {
  $c_sc_AbstractIterator.call(this);
  this.$$outer$2 = null;
  this.f$3$2 = null
}
$c_sc_Iterator$$anon$11.prototype = new $h_sc_AbstractIterator();
$c_sc_Iterator$$anon$11.prototype.constructor = $c_sc_Iterator$$anon$11;
/** @constructor */
function $h_sc_Iterator$$anon$11() {
  /*<skip>*/
}
$h_sc_Iterator$$anon$11.prototype = $c_sc_Iterator$$anon$11.prototype;
$c_sc_Iterator$$anon$11.prototype.next__O = (function() {
  return this.f$3$2.apply__O__O(this.$$outer$2.next__O())
});
$c_sc_Iterator$$anon$11.prototype.init___sc_Iterator__F1 = (function($$outer, f$3) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$2 = $$outer
  };
  this.f$3$2 = f$3;
  return this
});
$c_sc_Iterator$$anon$11.prototype.hasNext__Z = (function() {
  return this.$$outer$2.hasNext__Z()
});
var $d_sc_Iterator$$anon$11 = new $TypeData().initClass({
  sc_Iterator$$anon$11: 0
}, false, "scala.collection.Iterator$$anon$11", {
  sc_Iterator$$anon$11: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$11.prototype.$classData = $d_sc_Iterator$$anon$11;
/** @constructor */
function $c_sc_Iterator$$anon$2() {
  $c_sc_AbstractIterator.call(this)
}
$c_sc_Iterator$$anon$2.prototype = new $h_sc_AbstractIterator();
$c_sc_Iterator$$anon$2.prototype.constructor = $c_sc_Iterator$$anon$2;
/** @constructor */
function $h_sc_Iterator$$anon$2() {
  /*<skip>*/
}
$h_sc_Iterator$$anon$2.prototype = $c_sc_Iterator$$anon$2.prototype;
$c_sc_Iterator$$anon$2.prototype.init___ = (function() {
  return this
});
$c_sc_Iterator$$anon$2.prototype.next__O = (function() {
  this.next__sr_Nothing$()
});
$c_sc_Iterator$$anon$2.prototype.next__sr_Nothing$ = (function() {
  throw new $c_ju_NoSuchElementException().init___T("next on empty iterator")
});
$c_sc_Iterator$$anon$2.prototype.hasNext__Z = (function() {
  return false
});
var $d_sc_Iterator$$anon$2 = new $TypeData().initClass({
  sc_Iterator$$anon$2: 0
}, false, "scala.collection.Iterator$$anon$2", {
  sc_Iterator$$anon$2: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_Iterator$$anon$2.prototype.$classData = $d_sc_Iterator$$anon$2;
/** @constructor */
function $c_sc_LinearSeqLike$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.these$2 = null
}
$c_sc_LinearSeqLike$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_sc_LinearSeqLike$$anon$1.prototype.constructor = $c_sc_LinearSeqLike$$anon$1;
/** @constructor */
function $h_sc_LinearSeqLike$$anon$1() {
  /*<skip>*/
}
$h_sc_LinearSeqLike$$anon$1.prototype = $c_sc_LinearSeqLike$$anon$1.prototype;
$c_sc_LinearSeqLike$$anon$1.prototype.init___sc_LinearSeqLike = (function($$outer) {
  this.these$2 = $$outer;
  return this
});
$c_sc_LinearSeqLike$$anon$1.prototype.next__O = (function() {
  if (this.hasNext__Z()) {
    var result = this.these$2.head__O();
    this.these$2 = $as_sc_LinearSeqLike(this.these$2.tail__O());
    return result
  } else {
    return $m_sc_Iterator$().empty$1.next__O()
  }
});
$c_sc_LinearSeqLike$$anon$1.prototype.toList__sci_List = (function() {
  var xs = this.these$2.toList__sci_List();
  this.these$2 = $as_sc_LinearSeqLike(this.these$2.take__I__O(0));
  return xs
});
$c_sc_LinearSeqLike$$anon$1.prototype.hasNext__Z = (function() {
  return (!this.these$2.isEmpty__Z())
});
var $d_sc_LinearSeqLike$$anon$1 = new $TypeData().initClass({
  sc_LinearSeqLike$$anon$1: 0
}, false, "scala.collection.LinearSeqLike$$anon$1", {
  sc_LinearSeqLike$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sc_LinearSeqLike$$anon$1.prototype.$classData = $d_sc_LinearSeqLike$$anon$1;
/** @constructor */
function $c_sc_Traversable$() {
  $c_scg_GenTraversableFactory.call(this);
  this.breaks$3 = null
}
$c_sc_Traversable$.prototype = new $h_scg_GenTraversableFactory();
$c_sc_Traversable$.prototype.constructor = $c_sc_Traversable$;
/** @constructor */
function $h_sc_Traversable$() {
  /*<skip>*/
}
$h_sc_Traversable$.prototype = $c_sc_Traversable$.prototype;
$c_sc_Traversable$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  $n_sc_Traversable$ = this;
  this.breaks$3 = new $c_s_util_control_Breaks().init___();
  return this
});
$c_sc_Traversable$.prototype.newBuilder__scm_Builder = (function() {
  $m_sci_Traversable$();
  return new $c_scm_ListBuffer().init___()
});
var $d_sc_Traversable$ = new $TypeData().initClass({
  sc_Traversable$: 0
}, false, "scala.collection.Traversable$", {
  sc_Traversable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Traversable$.prototype.$classData = $d_sc_Traversable$;
var $n_sc_Traversable$ = (void 0);
function $m_sc_Traversable$() {
  if ((!$n_sc_Traversable$)) {
    $n_sc_Traversable$ = new $c_sc_Traversable$().init___()
  };
  return $n_sc_Traversable$
}
/** @constructor */
function $c_scg_ImmutableSetFactory() {
  $c_scg_SetFactory.call(this)
}
$c_scg_ImmutableSetFactory.prototype = new $h_scg_SetFactory();
$c_scg_ImmutableSetFactory.prototype.constructor = $c_scg_ImmutableSetFactory;
/** @constructor */
function $h_scg_ImmutableSetFactory() {
  /*<skip>*/
}
$h_scg_ImmutableSetFactory.prototype = $c_scg_ImmutableSetFactory.prototype;
$c_scg_ImmutableSetFactory.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_SetBuilder().init___sc_Set(this.emptyInstance__sci_Set())
});
/** @constructor */
function $c_scg_MutableSetFactory() {
  $c_scg_SetFactory.call(this)
}
$c_scg_MutableSetFactory.prototype = new $h_scg_SetFactory();
$c_scg_MutableSetFactory.prototype.constructor = $c_scg_MutableSetFactory;
/** @constructor */
function $h_scg_MutableSetFactory() {
  /*<skip>*/
}
$h_scg_MutableSetFactory.prototype = $c_scg_MutableSetFactory.prototype;
$c_scg_MutableSetFactory.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_GrowingBuilder().init___scg_Growable($as_scg_Growable(this.empty__sc_GenTraversable()))
});
/** @constructor */
function $c_sci_Iterable$() {
  $c_scg_GenTraversableFactory.call(this)
}
$c_sci_Iterable$.prototype = new $h_scg_GenTraversableFactory();
$c_sci_Iterable$.prototype.constructor = $c_sci_Iterable$;
/** @constructor */
function $h_sci_Iterable$() {
  /*<skip>*/
}
$h_sci_Iterable$.prototype = $c_sci_Iterable$.prototype;
$c_sci_Iterable$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sci_Iterable$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ListBuffer().init___()
});
var $d_sci_Iterable$ = new $TypeData().initClass({
  sci_Iterable$: 0
}, false, "scala.collection.immutable.Iterable$", {
  sci_Iterable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Iterable$.prototype.$classData = $d_sci_Iterable$;
var $n_sci_Iterable$ = (void 0);
function $m_sci_Iterable$() {
  if ((!$n_sci_Iterable$)) {
    $n_sci_Iterable$ = new $c_sci_Iterable$().init___()
  };
  return $n_sci_Iterable$
}
/** @constructor */
function $c_sci_ListMap$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.self$2 = null
}
$c_sci_ListMap$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_sci_ListMap$$anon$1.prototype.constructor = $c_sci_ListMap$$anon$1;
/** @constructor */
function $h_sci_ListMap$$anon$1() {
  /*<skip>*/
}
$h_sci_ListMap$$anon$1.prototype = $c_sci_ListMap$$anon$1.prototype;
$c_sci_ListMap$$anon$1.prototype.next__O = (function() {
  return this.next__T2()
});
$c_sci_ListMap$$anon$1.prototype.init___sci_ListMap = (function($$outer) {
  this.self$2 = $$outer;
  return this
});
$c_sci_ListMap$$anon$1.prototype.next__T2 = (function() {
  if ((!this.hasNext__Z())) {
    throw new $c_ju_NoSuchElementException().init___T("next on empty iterator")
  } else {
    var res = new $c_T2().init___O__O(this.self$2.key__O(), this.self$2.value__O());
    this.self$2 = this.self$2.next__sci_ListMap();
    return res
  }
});
$c_sci_ListMap$$anon$1.prototype.hasNext__Z = (function() {
  return (!this.self$2.isEmpty__Z())
});
var $d_sci_ListMap$$anon$1 = new $TypeData().initClass({
  sci_ListMap$$anon$1: 0
}, false, "scala.collection.immutable.ListMap$$anon$1", {
  sci_ListMap$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_ListMap$$anon$1.prototype.$classData = $d_sci_ListMap$$anon$1;
/** @constructor */
function $c_sci_ListSet$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.that$2 = null
}
$c_sci_ListSet$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_sci_ListSet$$anon$1.prototype.constructor = $c_sci_ListSet$$anon$1;
/** @constructor */
function $h_sci_ListSet$$anon$1() {
  /*<skip>*/
}
$h_sci_ListSet$$anon$1.prototype = $c_sci_ListSet$$anon$1.prototype;
$c_sci_ListSet$$anon$1.prototype.next__O = (function() {
  var this$1 = this.that$2;
  if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)) {
    var res = this.that$2.head__O();
    this.that$2 = this.that$2.tail__sci_ListSet();
    return res
  } else {
    return $m_sc_Iterator$().empty$1.next__O()
  }
});
$c_sci_ListSet$$anon$1.prototype.init___sci_ListSet = (function($$outer) {
  this.that$2 = $$outer;
  return this
});
$c_sci_ListSet$$anon$1.prototype.hasNext__Z = (function() {
  var this$1 = this.that$2;
  return $s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)
});
var $d_sci_ListSet$$anon$1 = new $TypeData().initClass({
  sci_ListSet$$anon$1: 0
}, false, "scala.collection.immutable.ListSet$$anon$1", {
  sci_ListSet$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_ListSet$$anon$1.prototype.$classData = $d_sci_ListSet$$anon$1;
/** @constructor */
function $c_sci_Stream$StreamBuilder() {
  $c_scm_LazyBuilder.call(this)
}
$c_sci_Stream$StreamBuilder.prototype = new $h_scm_LazyBuilder();
$c_sci_Stream$StreamBuilder.prototype.constructor = $c_sci_Stream$StreamBuilder;
/** @constructor */
function $h_sci_Stream$StreamBuilder() {
  /*<skip>*/
}
$h_sci_Stream$StreamBuilder.prototype = $c_sci_Stream$StreamBuilder.prototype;
$c_sci_Stream$StreamBuilder.prototype.init___ = (function() {
  $c_scm_LazyBuilder.prototype.init___.call(this);
  return this
});
$c_sci_Stream$StreamBuilder.prototype.result__O = (function() {
  return this.result__sci_Stream()
});
$c_sci_Stream$StreamBuilder.prototype.result__sci_Stream = (function() {
  var this$1 = this.parts$1;
  return $as_sci_Stream(this$1.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream().flatMap__F1__scg_CanBuildFrom__O(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this) {
    return (function(x$5$2) {
      var x$5 = $as_sc_TraversableOnce(x$5$2);
      return x$5.toStream__sci_Stream()
    })
  })(this)), ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___())))
});
function $is_sci_Stream$StreamBuilder(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Stream$StreamBuilder)))
}
function $as_sci_Stream$StreamBuilder(obj) {
  return (($is_sci_Stream$StreamBuilder(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.Stream$StreamBuilder"))
}
function $isArrayOf_sci_Stream$StreamBuilder(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Stream$StreamBuilder)))
}
function $asArrayOf_sci_Stream$StreamBuilder(obj, depth) {
  return (($isArrayOf_sci_Stream$StreamBuilder(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.Stream$StreamBuilder;", depth))
}
var $d_sci_Stream$StreamBuilder = new $TypeData().initClass({
  sci_Stream$StreamBuilder: 0
}, false, "scala.collection.immutable.Stream$StreamBuilder", {
  sci_Stream$StreamBuilder: 1,
  scm_LazyBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1
});
$c_sci_Stream$StreamBuilder.prototype.$classData = $d_sci_Stream$StreamBuilder;
/** @constructor */
function $c_sci_StreamIterator() {
  $c_sc_AbstractIterator.call(this);
  this.these$2 = null
}
$c_sci_StreamIterator.prototype = new $h_sc_AbstractIterator();
$c_sci_StreamIterator.prototype.constructor = $c_sci_StreamIterator;
/** @constructor */
function $h_sci_StreamIterator() {
  /*<skip>*/
}
$h_sci_StreamIterator.prototype = $c_sci_StreamIterator.prototype;
$c_sci_StreamIterator.prototype.next__O = (function() {
  if ($s_sc_Iterator$class__isEmpty__sc_Iterator__Z(this)) {
    return $m_sc_Iterator$().empty$1.next__O()
  } else {
    var cur = this.these$2.v__sci_Stream();
    var result = cur.head__O();
    this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, cur$1) {
      return (function() {
        return $as_sci_Stream(cur$1.tail__O())
      })
    })(this, cur)));
    return result
  }
});
$c_sci_StreamIterator.prototype.toList__sci_List = (function() {
  var this$1 = this.toStream__sci_Stream();
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(this$1, cbf))
});
$c_sci_StreamIterator.prototype.init___sci_Stream = (function(self) {
  this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, self$1) {
    return (function() {
      return self$1
    })
  })(this, self)));
  return this
});
$c_sci_StreamIterator.prototype.hasNext__Z = (function() {
  var this$1 = this.these$2.v__sci_Stream();
  return $s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)
});
$c_sci_StreamIterator.prototype.toStream__sci_Stream = (function() {
  var result = this.these$2.v__sci_Stream();
  this.these$2 = new $c_sci_StreamIterator$LazyCell().init___sci_StreamIterator__F0(this, new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
    return (function() {
      $m_sci_Stream$();
      return $m_sci_Stream$Empty$()
    })
  })(this)));
  return result
});
var $d_sci_StreamIterator = new $TypeData().initClass({
  sci_StreamIterator: 0
}, false, "scala.collection.immutable.StreamIterator", {
  sci_StreamIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_StreamIterator.prototype.$classData = $d_sci_StreamIterator;
/** @constructor */
function $c_sci_Traversable$() {
  $c_scg_GenTraversableFactory.call(this)
}
$c_sci_Traversable$.prototype = new $h_scg_GenTraversableFactory();
$c_sci_Traversable$.prototype.constructor = $c_sci_Traversable$;
/** @constructor */
function $h_sci_Traversable$() {
  /*<skip>*/
}
$h_sci_Traversable$.prototype = $c_sci_Traversable$.prototype;
$c_sci_Traversable$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sci_Traversable$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ListBuffer().init___()
});
var $d_sci_Traversable$ = new $TypeData().initClass({
  sci_Traversable$: 0
}, false, "scala.collection.immutable.Traversable$", {
  sci_Traversable$: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Traversable$.prototype.$classData = $d_sci_Traversable$;
var $n_sci_Traversable$ = (void 0);
function $m_sci_Traversable$() {
  if ((!$n_sci_Traversable$)) {
    $n_sci_Traversable$ = new $c_sci_Traversable$().init___()
  };
  return $n_sci_Traversable$
}
/** @constructor */
function $c_sci_TrieIterator() {
  $c_sc_AbstractIterator.call(this);
  this.elems$2 = null;
  this.scala$collection$immutable$TrieIterator$$depth$f = 0;
  this.scala$collection$immutable$TrieIterator$$arrayStack$f = null;
  this.scala$collection$immutable$TrieIterator$$posStack$f = null;
  this.scala$collection$immutable$TrieIterator$$arrayD$f = null;
  this.scala$collection$immutable$TrieIterator$$posD$f = 0;
  this.scala$collection$immutable$TrieIterator$$subIter$f = null
}
$c_sci_TrieIterator.prototype = new $h_sc_AbstractIterator();
$c_sci_TrieIterator.prototype.constructor = $c_sci_TrieIterator;
/** @constructor */
function $h_sci_TrieIterator() {
  /*<skip>*/
}
$h_sci_TrieIterator.prototype = $c_sci_TrieIterator.prototype;
$c_sci_TrieIterator.prototype.isContainer__p2__O__Z = (function(x) {
  return ($is_sci_HashMap$HashMap1(x) || $is_sci_HashSet$HashSet1(x))
});
$c_sci_TrieIterator.prototype.next__O = (function() {
  if ((this.scala$collection$immutable$TrieIterator$$subIter$f !== null)) {
    var el = this.scala$collection$immutable$TrieIterator$$subIter$f.next__O();
    if ((!this.scala$collection$immutable$TrieIterator$$subIter$f.hasNext__Z())) {
      this.scala$collection$immutable$TrieIterator$$subIter$f = null
    };
    return el
  } else {
    return this.next0__p2__Asci_Iterable__I__O(this.scala$collection$immutable$TrieIterator$$arrayD$f, this.scala$collection$immutable$TrieIterator$$posD$f)
  }
});
$c_sci_TrieIterator.prototype.initPosStack__AI = (function() {
  return $newArrayObject($d_I.getArrayOf(), [6])
});
$c_sci_TrieIterator.prototype.hasNext__Z = (function() {
  return ((this.scala$collection$immutable$TrieIterator$$subIter$f !== null) || (this.scala$collection$immutable$TrieIterator$$depth$f >= 0))
});
$c_sci_TrieIterator.prototype.next0__p2__Asci_Iterable__I__O = (function(elems, i) {
  _next0: while (true) {
    if ((i === (((-1) + elems.u.length) | 0))) {
      this.scala$collection$immutable$TrieIterator$$depth$f = (((-1) + this.scala$collection$immutable$TrieIterator$$depth$f) | 0);
      if ((this.scala$collection$immutable$TrieIterator$$depth$f >= 0)) {
        this.scala$collection$immutable$TrieIterator$$arrayD$f = this.scala$collection$immutable$TrieIterator$$arrayStack$f.get(this.scala$collection$immutable$TrieIterator$$depth$f);
        this.scala$collection$immutable$TrieIterator$$posD$f = this.scala$collection$immutable$TrieIterator$$posStack$f.get(this.scala$collection$immutable$TrieIterator$$depth$f);
        this.scala$collection$immutable$TrieIterator$$arrayStack$f.set(this.scala$collection$immutable$TrieIterator$$depth$f, null)
      } else {
        this.scala$collection$immutable$TrieIterator$$arrayD$f = null;
        this.scala$collection$immutable$TrieIterator$$posD$f = 0
      }
    } else {
      this.scala$collection$immutable$TrieIterator$$posD$f = ((1 + this.scala$collection$immutable$TrieIterator$$posD$f) | 0)
    };
    var m = elems.get(i);
    if (this.isContainer__p2__O__Z(m)) {
      return this.getElem__O__O(m)
    } else if (this.isTrie__p2__O__Z(m)) {
      if ((this.scala$collection$immutable$TrieIterator$$depth$f >= 0)) {
        this.scala$collection$immutable$TrieIterator$$arrayStack$f.set(this.scala$collection$immutable$TrieIterator$$depth$f, this.scala$collection$immutable$TrieIterator$$arrayD$f);
        this.scala$collection$immutable$TrieIterator$$posStack$f.set(this.scala$collection$immutable$TrieIterator$$depth$f, this.scala$collection$immutable$TrieIterator$$posD$f)
      };
      this.scala$collection$immutable$TrieIterator$$depth$f = ((1 + this.scala$collection$immutable$TrieIterator$$depth$f) | 0);
      this.scala$collection$immutable$TrieIterator$$arrayD$f = this.getElems__p2__sci_Iterable__Asci_Iterable(m);
      this.scala$collection$immutable$TrieIterator$$posD$f = 0;
      var temp$elems = this.getElems__p2__sci_Iterable__Asci_Iterable(m);
      elems = temp$elems;
      i = 0;
      continue _next0
    } else {
      this.scala$collection$immutable$TrieIterator$$subIter$f = m.iterator__sc_Iterator();
      return this.next__O()
    }
  }
});
$c_sci_TrieIterator.prototype.getElems__p2__sci_Iterable__Asci_Iterable = (function(x) {
  if ($is_sci_HashMap$HashTrieMap(x)) {
    var x2 = $as_sci_HashMap$HashTrieMap(x);
    var jsx$1 = x2.elems$6
  } else {
    if ((!$is_sci_HashSet$HashTrieSet(x))) {
      throw new $c_s_MatchError().init___O(x)
    };
    var x3 = $as_sci_HashSet$HashTrieSet(x);
    var jsx$1 = x3.elems$5
  };
  return $asArrayOf_sci_Iterable(jsx$1, 1)
});
$c_sci_TrieIterator.prototype.init___Asci_Iterable = (function(elems) {
  this.elems$2 = elems;
  this.scala$collection$immutable$TrieIterator$$depth$f = 0;
  this.scala$collection$immutable$TrieIterator$$arrayStack$f = this.initArrayStack__AAsci_Iterable();
  this.scala$collection$immutable$TrieIterator$$posStack$f = this.initPosStack__AI();
  this.scala$collection$immutable$TrieIterator$$arrayD$f = this.elems$2;
  this.scala$collection$immutable$TrieIterator$$posD$f = 0;
  this.scala$collection$immutable$TrieIterator$$subIter$f = null;
  return this
});
$c_sci_TrieIterator.prototype.isTrie__p2__O__Z = (function(x) {
  return ($is_sci_HashMap$HashTrieMap(x) || $is_sci_HashSet$HashTrieSet(x))
});
$c_sci_TrieIterator.prototype.initArrayStack__AAsci_Iterable = (function() {
  return $newArrayObject($d_sci_Iterable.getArrayOf().getArrayOf(), [6])
});
/** @constructor */
function $c_sci_VectorBuilder() {
  $c_O.call(this);
  this.blockIndex$1 = 0;
  this.lo$1 = 0;
  this.depth$1 = 0;
  this.display0$1 = null;
  this.display1$1 = null;
  this.display2$1 = null;
  this.display3$1 = null;
  this.display4$1 = null;
  this.display5$1 = null
}
$c_sci_VectorBuilder.prototype = new $h_O();
$c_sci_VectorBuilder.prototype.constructor = $c_sci_VectorBuilder;
/** @constructor */
function $h_sci_VectorBuilder() {
  /*<skip>*/
}
$h_sci_VectorBuilder.prototype = $c_sci_VectorBuilder.prototype;
$c_sci_VectorBuilder.prototype.display3__AO = (function() {
  return this.display3$1
});
$c_sci_VectorBuilder.prototype.init___ = (function() {
  this.display0$1 = $newArrayObject($d_O.getArrayOf(), [32]);
  this.depth$1 = 1;
  this.blockIndex$1 = 0;
  this.lo$1 = 0;
  return this
});
$c_sci_VectorBuilder.prototype.depth__I = (function() {
  return this.depth$1
});
$c_sci_VectorBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__sci_VectorBuilder(elem)
});
$c_sci_VectorBuilder.prototype.display5$und$eq__AO__V = (function(x$1) {
  this.display5$1 = x$1
});
$c_sci_VectorBuilder.prototype.display0__AO = (function() {
  return this.display0$1
});
$c_sci_VectorBuilder.prototype.display4__AO = (function() {
  return this.display4$1
});
$c_sci_VectorBuilder.prototype.display2$und$eq__AO__V = (function(x$1) {
  this.display2$1 = x$1
});
$c_sci_VectorBuilder.prototype.$$plus$eq__O__sci_VectorBuilder = (function(elem) {
  if ((this.lo$1 >= this.display0$1.u.length)) {
    var newBlockIndex = ((32 + this.blockIndex$1) | 0);
    var xor = (this.blockIndex$1 ^ newBlockIndex);
    $s_sci_VectorPointer$class__gotoNextBlockStartWritable__sci_VectorPointer__I__I__V(this, newBlockIndex, xor);
    this.blockIndex$1 = newBlockIndex;
    this.lo$1 = 0
  };
  this.display0$1.set(this.lo$1, elem);
  this.lo$1 = ((1 + this.lo$1) | 0);
  return this
});
$c_sci_VectorBuilder.prototype.result__O = (function() {
  return this.result__sci_Vector()
});
$c_sci_VectorBuilder.prototype.display1$und$eq__AO__V = (function(x$1) {
  this.display1$1 = x$1
});
$c_sci_VectorBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_sci_VectorBuilder.prototype.display4$und$eq__AO__V = (function(x$1) {
  this.display4$1 = x$1
});
$c_sci_VectorBuilder.prototype.display1__AO = (function() {
  return this.display1$1
});
$c_sci_VectorBuilder.prototype.display5__AO = (function() {
  return this.display5$1
});
$c_sci_VectorBuilder.prototype.result__sci_Vector = (function() {
  var size = ((this.blockIndex$1 + this.lo$1) | 0);
  if ((size === 0)) {
    var this$1 = $m_sci_Vector$();
    return this$1.NIL$6
  };
  var s = new $c_sci_Vector().init___I__I__I(0, size, 0);
  var depth = this.depth$1;
  $s_sci_VectorPointer$class__initFrom__sci_VectorPointer__sci_VectorPointer__I__V(s, this, depth);
  if ((this.depth$1 > 1)) {
    var xor = (((-1) + size) | 0);
    $s_sci_VectorPointer$class__gotoPos__sci_VectorPointer__I__I__V(s, 0, xor)
  };
  return s
});
$c_sci_VectorBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__sci_VectorBuilder(elem)
});
$c_sci_VectorBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_sci_VectorBuilder.prototype.depth$und$eq__I__V = (function(x$1) {
  this.depth$1 = x$1
});
$c_sci_VectorBuilder.prototype.display2__AO = (function() {
  return this.display2$1
});
$c_sci_VectorBuilder.prototype.display0$und$eq__AO__V = (function(x$1) {
  this.display0$1 = x$1
});
$c_sci_VectorBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $as_sci_VectorBuilder($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs))
});
$c_sci_VectorBuilder.prototype.display3$und$eq__AO__V = (function(x$1) {
  this.display3$1 = x$1
});
function $is_sci_VectorBuilder(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_VectorBuilder)))
}
function $as_sci_VectorBuilder(obj) {
  return (($is_sci_VectorBuilder(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.VectorBuilder"))
}
function $isArrayOf_sci_VectorBuilder(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_VectorBuilder)))
}
function $asArrayOf_sci_VectorBuilder(obj, depth) {
  return (($isArrayOf_sci_VectorBuilder(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.VectorBuilder;", depth))
}
var $d_sci_VectorBuilder = new $TypeData().initClass({
  sci_VectorBuilder: 0
}, false, "scala.collection.immutable.VectorBuilder", {
  sci_VectorBuilder: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  sci_VectorPointer: 1
});
$c_sci_VectorBuilder.prototype.$classData = $d_sci_VectorBuilder;
/** @constructor */
function $c_scm_Builder$$anon$1() {
  $c_O.call(this);
  this.self$1 = null;
  this.f$1$1 = null
}
$c_scm_Builder$$anon$1.prototype = new $h_O();
$c_scm_Builder$$anon$1.prototype.constructor = $c_scm_Builder$$anon$1;
/** @constructor */
function $h_scm_Builder$$anon$1() {
  /*<skip>*/
}
$h_scm_Builder$$anon$1.prototype = $c_scm_Builder$$anon$1.prototype;
$c_scm_Builder$$anon$1.prototype.init___scm_Builder__F1 = (function($$outer, f$1) {
  this.f$1$1 = f$1;
  this.self$1 = $$outer;
  return this
});
$c_scm_Builder$$anon$1.prototype.equals__O__Z = (function(that) {
  return $s_s_Proxy$class__equals__s_Proxy__O__Z(this, that)
});
$c_scm_Builder$$anon$1.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_Builder$$anon$1(elem)
});
$c_scm_Builder$$anon$1.prototype.toString__T = (function() {
  return $s_s_Proxy$class__toString__s_Proxy__T(this)
});
$c_scm_Builder$$anon$1.prototype.$$plus$plus$eq__sc_TraversableOnce__scm_Builder$$anon$1 = (function(xs) {
  this.self$1.$$plus$plus$eq__sc_TraversableOnce__scg_Growable(xs);
  return this
});
$c_scm_Builder$$anon$1.prototype.result__O = (function() {
  return this.f$1$1.apply__O__O(this.self$1.result__O())
});
$c_scm_Builder$$anon$1.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundColl) {
  this.self$1.sizeHintBounded__I__sc_TraversableLike__V(size, boundColl)
});
$c_scm_Builder$$anon$1.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_Builder$$anon$1(elem)
});
$c_scm_Builder$$anon$1.prototype.$$plus$eq__O__scm_Builder$$anon$1 = (function(x) {
  this.self$1.$$plus$eq__O__scm_Builder(x);
  return this
});
$c_scm_Builder$$anon$1.prototype.hashCode__I = (function() {
  return this.self$1.hashCode__I()
});
$c_scm_Builder$$anon$1.prototype.sizeHint__I__V = (function(size) {
  this.self$1.sizeHint__I__V(size)
});
$c_scm_Builder$$anon$1.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return this.$$plus$plus$eq__sc_TraversableOnce__scm_Builder$$anon$1(xs)
});
var $d_scm_Builder$$anon$1 = new $TypeData().initClass({
  scm_Builder$$anon$1: 0
}, false, "scala.collection.mutable.Builder$$anon$1", {
  scm_Builder$$anon$1: 1,
  O: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Proxy: 1
});
$c_scm_Builder$$anon$1.prototype.$classData = $d_scm_Builder$$anon$1;
/** @constructor */
function $c_scm_FlatHashTable$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.i$2 = 0;
  this.$$outer$2 = null
}
$c_scm_FlatHashTable$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_scm_FlatHashTable$$anon$1.prototype.constructor = $c_scm_FlatHashTable$$anon$1;
/** @constructor */
function $h_scm_FlatHashTable$$anon$1() {
  /*<skip>*/
}
$h_scm_FlatHashTable$$anon$1.prototype = $c_scm_FlatHashTable$$anon$1.prototype;
$c_scm_FlatHashTable$$anon$1.prototype.next__O = (function() {
  if (this.hasNext__Z()) {
    this.i$2 = ((1 + this.i$2) | 0);
    var this$1 = this.$$outer$2;
    var entry = this.$$outer$2.table$5.get((((-1) + this.i$2) | 0));
    return $s_scm_FlatHashTable$HashUtils$class__entryToElem__scm_FlatHashTable$HashUtils__O__O(this$1, entry)
  } else {
    return $m_sc_Iterator$().empty$1.next__O()
  }
});
$c_scm_FlatHashTable$$anon$1.prototype.init___scm_FlatHashTable = (function($$outer) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$2 = $$outer
  };
  this.i$2 = 0;
  return this
});
$c_scm_FlatHashTable$$anon$1.prototype.hasNext__Z = (function() {
  while (((this.i$2 < this.$$outer$2.table$5.u.length) && (this.$$outer$2.table$5.get(this.i$2) === null))) {
    this.i$2 = ((1 + this.i$2) | 0)
  };
  return (this.i$2 < this.$$outer$2.table$5.u.length)
});
var $d_scm_FlatHashTable$$anon$1 = new $TypeData().initClass({
  scm_FlatHashTable$$anon$1: 0
}, false, "scala.collection.mutable.FlatHashTable$$anon$1", {
  scm_FlatHashTable$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_FlatHashTable$$anon$1.prototype.$classData = $d_scm_FlatHashTable$$anon$1;
/** @constructor */
function $c_scm_ListBuffer$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.cursor$2 = null
}
$c_scm_ListBuffer$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_scm_ListBuffer$$anon$1.prototype.constructor = $c_scm_ListBuffer$$anon$1;
/** @constructor */
function $h_scm_ListBuffer$$anon$1() {
  /*<skip>*/
}
$h_scm_ListBuffer$$anon$1.prototype = $c_scm_ListBuffer$$anon$1.prototype;
$c_scm_ListBuffer$$anon$1.prototype.init___scm_ListBuffer = (function($$outer) {
  this.cursor$2 = ($$outer.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z() ? $m_sci_Nil$() : $$outer.scala$collection$mutable$ListBuffer$$start$6);
  return this
});
$c_scm_ListBuffer$$anon$1.prototype.next__O = (function() {
  if ((!this.hasNext__Z())) {
    throw new $c_ju_NoSuchElementException().init___T("next on empty Iterator")
  } else {
    var ans = this.cursor$2.head__O();
    var this$1 = this.cursor$2;
    this.cursor$2 = this$1.tail__sci_List();
    return ans
  }
});
$c_scm_ListBuffer$$anon$1.prototype.hasNext__Z = (function() {
  return (this.cursor$2 !== $m_sci_Nil$())
});
var $d_scm_ListBuffer$$anon$1 = new $TypeData().initClass({
  scm_ListBuffer$$anon$1: 0
}, false, "scala.collection.mutable.ListBuffer$$anon$1", {
  scm_ListBuffer$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_scm_ListBuffer$$anon$1.prototype.$classData = $d_scm_ListBuffer$$anon$1;
function $is_sr_NonLocalReturnControl(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sr_NonLocalReturnControl)))
}
function $as_sr_NonLocalReturnControl(obj) {
  return (($is_sr_NonLocalReturnControl(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.runtime.NonLocalReturnControl"))
}
function $isArrayOf_sr_NonLocalReturnControl(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sr_NonLocalReturnControl)))
}
function $asArrayOf_sr_NonLocalReturnControl(obj, depth) {
  return (($isArrayOf_sr_NonLocalReturnControl(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.runtime.NonLocalReturnControl;", depth))
}
/** @constructor */
function $c_sr_ScalaRunTime$$anon$1() {
  $c_sc_AbstractIterator.call(this);
  this.c$2 = 0;
  this.cmax$2 = 0;
  this.x$2$2 = null
}
$c_sr_ScalaRunTime$$anon$1.prototype = new $h_sc_AbstractIterator();
$c_sr_ScalaRunTime$$anon$1.prototype.constructor = $c_sr_ScalaRunTime$$anon$1;
/** @constructor */
function $h_sr_ScalaRunTime$$anon$1() {
  /*<skip>*/
}
$h_sr_ScalaRunTime$$anon$1.prototype = $c_sr_ScalaRunTime$$anon$1.prototype;
$c_sr_ScalaRunTime$$anon$1.prototype.next__O = (function() {
  var result = this.x$2$2.productElement__I__O(this.c$2);
  this.c$2 = ((1 + this.c$2) | 0);
  return result
});
$c_sr_ScalaRunTime$$anon$1.prototype.init___s_Product = (function(x$2) {
  this.x$2$2 = x$2;
  this.c$2 = 0;
  this.cmax$2 = x$2.productArity__I();
  return this
});
$c_sr_ScalaRunTime$$anon$1.prototype.hasNext__Z = (function() {
  return (this.c$2 < this.cmax$2)
});
var $d_sr_ScalaRunTime$$anon$1 = new $TypeData().initClass({
  sr_ScalaRunTime$$anon$1: 0
}, false, "scala.runtime.ScalaRunTime$$anon$1", {
  sr_ScalaRunTime$$anon$1: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sr_ScalaRunTime$$anon$1.prototype.$classData = $d_sr_ScalaRunTime$$anon$1;
/** @constructor */
function $c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.constructor = $c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1;
/** @constructor */
function $h_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype = $c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype;
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.isDefinedAt__jl_Throwable__Z = (function(x4) {
  return $is_Lorg_scalajs_dom_ext_AjaxException(x4)
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.applyOrElse__jl_Throwable__F1__O = (function(x4, $default) {
  if ($is_Lorg_scalajs_dom_ext_AjaxException(x4)) {
    var x2 = $as_Lorg_scalajs_dom_ext_AjaxException(x4);
    var xhr = x2.xhr$3;
    var y = $m_Lcom_iteration3_smilejs_BackendService$().com$iteration3$smilejs$BackendService$$processOutput__Lorg_scalajs_dom_raw_XMLHttpRequest__s_util_Either(xhr);
    return new $c_T2().init___O__O(xhr, y)
  } else {
    return $default.apply__O__O(x4)
  }
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__jl_Throwable__Z($as_jl_Throwable(x))
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__jl_Throwable__F1__O($as_jl_Throwable(x), $default)
});
var $d_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1: 0
}, false, "com.iteration3.smilejs.BackendService$$anonfun$getString$1", {
  Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1.prototype.$classData = $d_Lcom_iteration3_smilejs_BackendService$$anonfun$getString$1;
/** @constructor */
function $c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.constructor = $c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1;
/** @constructor */
function $h_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype = $c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype;
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.isDefinedAt__jl_Throwable__Z = (function(x1) {
  return $is_Lorg_scalajs_dom_ext_AjaxException(x1)
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.applyOrElse__jl_Throwable__F1__O = (function(x1, $default) {
  if ($is_Lorg_scalajs_dom_ext_AjaxException(x1)) {
    var x2 = $as_Lorg_scalajs_dom_ext_AjaxException(x1);
    var xhr = x2.xhr$3;
    var y = $m_Lcom_iteration3_smilejs_BackendService$().com$iteration3$smilejs$BackendService$$processOutput__Lorg_scalajs_dom_raw_XMLHttpRequest__s_util_Either(xhr);
    return new $c_T2().init___O__O(xhr, y)
  } else {
    return $default.apply__O__O(x1)
  }
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__jl_Throwable__Z($as_jl_Throwable(x))
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__jl_Throwable__F1__O($as_jl_Throwable(x), $default)
});
var $d_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1 = new $TypeData().initClass({
  Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1: 0
}, false, "com.iteration3.smilejs.BackendService$$anonfun$postString$1", {
  Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1.prototype.$classData = $d_Lcom_iteration3_smilejs_BackendService$$anonfun$postString$1;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientErrors() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.list$2 = null
}
$c_Lcom_iteration3_smilejs_ClientErrors.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientErrors;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientErrors() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientErrors.prototype = $c_Lcom_iteration3_smilejs_ClientErrors.prototype;
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.productPrefix__T = (function() {
  return "ClientErrors"
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ClientErrors(x$1)) {
    var ClientErrors$1 = $as_Lcom_iteration3_smilejs_ClientErrors(x$1);
    var x = this.list$2;
    var x$2 = ClientErrors$1.list$2;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.list$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.init___sci_List = (function(list) {
  this.list$2 = list;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 412);
  return this
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_iteration3_smilejs_ClientErrors(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ClientErrors)))
}
function $as_Lcom_iteration3_smilejs_ClientErrors(obj) {
  return (($is_Lcom_iteration3_smilejs_ClientErrors(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ClientErrors"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ClientErrors(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ClientErrors)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ClientErrors(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ClientErrors(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ClientErrors;", depth))
}
var $d_Lcom_iteration3_smilejs_ClientErrors = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientErrors: 0
}, false, "com.iteration3.smilejs.ClientErrors", {
  Lcom_iteration3_smilejs_ClientErrors: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientErrors.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientErrors;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ClientExceptions() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.list$2 = null
}
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.constructor = $c_Lcom_iteration3_smilejs_ClientExceptions;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ClientExceptions() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ClientExceptions.prototype = $c_Lcom_iteration3_smilejs_ClientExceptions.prototype;
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.productPrefix__T = (function() {
  return "ClientExceptions"
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(x$1)) {
    var ClientExceptions$1 = $as_Lcom_iteration3_smilejs_ClientExceptions(x$1);
    var x = this.list$2;
    var x$2 = ClientExceptions$1.list$2;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.list$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.init___sci_List = (function(list) {
  this.list$2 = list;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 400);
  return this
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_iteration3_smilejs_ClientExceptions(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ClientExceptions)))
}
function $as_Lcom_iteration3_smilejs_ClientExceptions(obj) {
  return (($is_Lcom_iteration3_smilejs_ClientExceptions(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ClientExceptions"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ClientExceptions(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ClientExceptions)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ClientExceptions(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ClientExceptions(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ClientExceptions;", depth))
}
var $d_Lcom_iteration3_smilejs_ClientExceptions = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ClientExceptions: 0
}, false, "com.iteration3.smilejs.ClientExceptions", {
  Lcom_iteration3_smilejs_ClientExceptions: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ClientExceptions.prototype.$classData = $d_Lcom_iteration3_smilejs_ClientExceptions;
/** @constructor */
function $c_Lcom_iteration3_smilejs_Forbidden() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.reason$2 = null
}
$c_Lcom_iteration3_smilejs_Forbidden.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_Forbidden.prototype.constructor = $c_Lcom_iteration3_smilejs_Forbidden;
/** @constructor */
function $h_Lcom_iteration3_smilejs_Forbidden() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_Forbidden.prototype = $c_Lcom_iteration3_smilejs_Forbidden.prototype;
$c_Lcom_iteration3_smilejs_Forbidden.prototype.productPrefix__T = (function() {
  return "Forbidden"
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_Forbidden(x$1)) {
    var Forbidden$1 = $as_Lcom_iteration3_smilejs_Forbidden(x$1);
    return (this.reason$2 === Forbidden$1.reason$2)
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.reason$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.init___T = (function(reason) {
  this.reason$2 = reason;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 403);
  return this
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.$$js$exported$prop$reason__O = (function() {
  return this.reason$2
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_iteration3_smilejs_Forbidden.prototype, "reason", {
  "get": (function() {
    return this.$$js$exported$prop$reason__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_Forbidden(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_Forbidden)))
}
function $as_Lcom_iteration3_smilejs_Forbidden(obj) {
  return (($is_Lcom_iteration3_smilejs_Forbidden(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.Forbidden"))
}
function $isArrayOf_Lcom_iteration3_smilejs_Forbidden(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_Forbidden)))
}
function $asArrayOf_Lcom_iteration3_smilejs_Forbidden(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_Forbidden(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.Forbidden;", depth))
}
var $d_Lcom_iteration3_smilejs_Forbidden = new $TypeData().initClass({
  Lcom_iteration3_smilejs_Forbidden: 0
}, false, "com.iteration3.smilejs.Forbidden", {
  Lcom_iteration3_smilejs_Forbidden: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_Forbidden.prototype.$classData = $d_Lcom_iteration3_smilejs_Forbidden;
/** @constructor */
function $c_Lcom_iteration3_smilejs_OtherResponse() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.reason$2 = null
}
$c_Lcom_iteration3_smilejs_OtherResponse.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.constructor = $c_Lcom_iteration3_smilejs_OtherResponse;
/** @constructor */
function $h_Lcom_iteration3_smilejs_OtherResponse() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_OtherResponse.prototype = $c_Lcom_iteration3_smilejs_OtherResponse.prototype;
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.productPrefix__T = (function() {
  return "OtherResponse"
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.productArity__I = (function() {
  return 2
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_OtherResponse(x$1)) {
    var OtherResponse$1 = $as_Lcom_iteration3_smilejs_OtherResponse(x$1);
    return ((this.reason$2 === OtherResponse$1.reason$2) && (this.statusCode$1 === OtherResponse$1.statusCode$1))
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.reason$2;
      break
    }
    case 1: {
      return this.statusCode$1;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.init___T__I = (function(reason, statusCode) {
  this.reason$2 = reason;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, statusCode);
  return this
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, $m_sr_Statics$().anyHash__O__I(this.reason$2));
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.statusCode$1);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 2)
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lcom_iteration3_smilejs_OtherResponse(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_OtherResponse)))
}
function $as_Lcom_iteration3_smilejs_OtherResponse(obj) {
  return (($is_Lcom_iteration3_smilejs_OtherResponse(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.OtherResponse"))
}
function $isArrayOf_Lcom_iteration3_smilejs_OtherResponse(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_OtherResponse)))
}
function $asArrayOf_Lcom_iteration3_smilejs_OtherResponse(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_OtherResponse(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.OtherResponse;", depth))
}
var $d_Lcom_iteration3_smilejs_OtherResponse = new $TypeData().initClass({
  Lcom_iteration3_smilejs_OtherResponse: 0
}, false, "com.iteration3.smilejs.OtherResponse", {
  Lcom_iteration3_smilejs_OtherResponse: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_OtherResponse.prototype.$classData = $d_Lcom_iteration3_smilejs_OtherResponse;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ServerError() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.reason$2 = null
}
$c_Lcom_iteration3_smilejs_ServerError.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_ServerError.prototype.constructor = $c_Lcom_iteration3_smilejs_ServerError;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ServerError() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ServerError.prototype = $c_Lcom_iteration3_smilejs_ServerError.prototype;
$c_Lcom_iteration3_smilejs_ServerError.prototype.productPrefix__T = (function() {
  return "ServerError"
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ServerError(x$1)) {
    var ServerError$1 = $as_Lcom_iteration3_smilejs_ServerError(x$1);
    return (this.reason$2 === ServerError$1.reason$2)
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.reason$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.init___T = (function(reason) {
  this.reason$2 = reason;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 500);
  return this
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.$$js$exported$prop$reason__O = (function() {
  return this.reason$2
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_iteration3_smilejs_ServerError.prototype, "reason", {
  "get": (function() {
    return this.$$js$exported$prop$reason__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_ServerError(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ServerError)))
}
function $as_Lcom_iteration3_smilejs_ServerError(obj) {
  return (($is_Lcom_iteration3_smilejs_ServerError(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ServerError"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ServerError(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ServerError)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ServerError(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ServerError(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ServerError;", depth))
}
var $d_Lcom_iteration3_smilejs_ServerError = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ServerError: 0
}, false, "com.iteration3.smilejs.ServerError", {
  Lcom_iteration3_smilejs_ServerError: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ServerError.prototype.$classData = $d_Lcom_iteration3_smilejs_ServerError;
/** @constructor */
function $c_Lcom_iteration3_smilejs_ServerTimeout() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.ms$2 = 0
}
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.constructor = $c_Lcom_iteration3_smilejs_ServerTimeout;
/** @constructor */
function $h_Lcom_iteration3_smilejs_ServerTimeout() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_ServerTimeout.prototype = $c_Lcom_iteration3_smilejs_ServerTimeout.prototype;
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.productPrefix__T = (function() {
  return "ServerTimeout"
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.$$js$exported$prop$ms__O = (function() {
  return this.ms$2
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_ServerTimeout(x$1)) {
    var ServerTimeout$1 = $as_Lcom_iteration3_smilejs_ServerTimeout(x$1);
    return (this.ms$2 === ServerTimeout$1.ms$2)
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.ms$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.init___I = (function(ms) {
  this.ms$2 = ms;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 502);
  return this
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.hashCode__I = (function() {
  var acc = (-889275714);
  acc = $m_sr_Statics$().mix__I__I__I(acc, this.ms$2);
  return $m_sr_Statics$().finalizeHash__I__I__I(acc, 1)
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_iteration3_smilejs_ServerTimeout.prototype, "ms", {
  "get": (function() {
    return this.$$js$exported$prop$ms__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_ServerTimeout(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_ServerTimeout)))
}
function $as_Lcom_iteration3_smilejs_ServerTimeout(obj) {
  return (($is_Lcom_iteration3_smilejs_ServerTimeout(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.ServerTimeout"))
}
function $isArrayOf_Lcom_iteration3_smilejs_ServerTimeout(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_ServerTimeout)))
}
function $asArrayOf_Lcom_iteration3_smilejs_ServerTimeout(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_ServerTimeout(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.ServerTimeout;", depth))
}
var $d_Lcom_iteration3_smilejs_ServerTimeout = new $TypeData().initClass({
  Lcom_iteration3_smilejs_ServerTimeout: 0
}, false, "com.iteration3.smilejs.ServerTimeout", {
  Lcom_iteration3_smilejs_ServerTimeout: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_ServerTimeout.prototype.$classData = $d_Lcom_iteration3_smilejs_ServerTimeout;
/** @constructor */
function $c_Lcom_iteration3_smilejs_Unauthorized() {
  $c_Lcom_iteration3_smilejs_ErrorResponse.call(this);
  this.reason$2 = null
}
$c_Lcom_iteration3_smilejs_Unauthorized.prototype = new $h_Lcom_iteration3_smilejs_ErrorResponse();
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.constructor = $c_Lcom_iteration3_smilejs_Unauthorized;
/** @constructor */
function $h_Lcom_iteration3_smilejs_Unauthorized() {
  /*<skip>*/
}
$h_Lcom_iteration3_smilejs_Unauthorized.prototype = $c_Lcom_iteration3_smilejs_Unauthorized.prototype;
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.productPrefix__T = (function() {
  return "Unauthorized"
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.productArity__I = (function() {
  return 1
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lcom_iteration3_smilejs_Unauthorized(x$1)) {
    var Unauthorized$1 = $as_Lcom_iteration3_smilejs_Unauthorized(x$1);
    return (this.reason$2 === Unauthorized$1.reason$2)
  } else {
    return false
  }
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.reason$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.init___T = (function(reason) {
  this.reason$2 = reason;
  $c_Lcom_iteration3_smilejs_ErrorResponse.prototype.init___I.call(this, 401);
  return this
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.$$js$exported$prop$reason__O = (function() {
  return this.reason$2
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
Object.defineProperty($c_Lcom_iteration3_smilejs_Unauthorized.prototype, "reason", {
  "get": (function() {
    return this.$$js$exported$prop$reason__O()
  }),
  "configurable": true
});
function $is_Lcom_iteration3_smilejs_Unauthorized(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lcom_iteration3_smilejs_Unauthorized)))
}
function $as_Lcom_iteration3_smilejs_Unauthorized(obj) {
  return (($is_Lcom_iteration3_smilejs_Unauthorized(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "com.iteration3.smilejs.Unauthorized"))
}
function $isArrayOf_Lcom_iteration3_smilejs_Unauthorized(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lcom_iteration3_smilejs_Unauthorized)))
}
function $asArrayOf_Lcom_iteration3_smilejs_Unauthorized(obj, depth) {
  return (($isArrayOf_Lcom_iteration3_smilejs_Unauthorized(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lcom.iteration3.smilejs.Unauthorized;", depth))
}
var $d_Lcom_iteration3_smilejs_Unauthorized = new $TypeData().initClass({
  Lcom_iteration3_smilejs_Unauthorized: 0
}, false, "com.iteration3.smilejs.Unauthorized", {
  Lcom_iteration3_smilejs_Unauthorized: 1,
  Lcom_iteration3_smilejs_ErrorResponse: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_iteration3_smilejs_Unauthorized.prototype.$classData = $d_Lcom_iteration3_smilejs_Unauthorized;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6.prototype.init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6.prototype.applyOrElse__T2__F1__O = (function(x6, $default) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var jsx$2 = $m_Lcom_metastay_gompaapp_bus_AppBus$();
      if ($is_sjs_js_ArrayOps(outputList)) {
        var x2 = $as_sjs_js_ArrayOps(outputList);
        var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(outputList)) {
        var x3$1 = $as_sjs_js_WrappedArray(outputList);
        var jsx$1 = x3$1.array$6
      } else {
        var result = [];
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1 = these.head__O();
          $uI(result.push(arg1));
          var this$4 = these;
          these = this$4.tail__sci_List()
        };
        var jsx$1 = result
      };
      jsx$2.emitAppRoleListLoaded__sjs_js_Array__V(jsx$1);
      return (void 0)
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_AppActionsCode$().com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x6)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6.prototype.isDefinedAt__T2__Z = (function(x6) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getRoleListForApp$1$$anonfun$apply$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8.prototype.applyOrElse__T2__F1__O = (function(x8, $default) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(output$2);
        return $m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_AppBus$().emitUserGroupRoleListForAppLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_AppActionsCode$().com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x8)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8.prototype.init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8.prototype.isDefinedAt__T2__Z = (function(x8) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserGroupRoleListForApp$1$$anonfun$apply$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7.prototype.applyOrElse__T2__F1__O = (function(x7, $default) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_AppUserRole(output$2);
        return $m_Lcom_metastay_gompaapp_data_UserRoleGridForApp$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_AppBus$().emitUserRoleListForAppLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_AppActionsCode$().com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x7)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7.prototype.init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7.prototype.isDefinedAt__T2__Z = (function(x7) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$getUserRoleListForApp$1$$anonfun$apply$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3.prototype.applyOrElse__T2__F1__O = (function(x3, $default) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3$2 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3$2.b$2);
      var jsx$2 = $m_Lcom_metastay_gompaapp_store_Store$Ext$();
      var store = this.store$1$2;
      if ($is_sjs_js_ArrayOps(outputList)) {
        var x2 = $as_sjs_js_ArrayOps(outputList);
        var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(outputList)) {
        var x3$1 = $as_sjs_js_WrappedArray(outputList);
        var jsx$1 = x3$1.array$6
      } else {
        var result = [];
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1 = these.head__O();
          $uI(result.push(arg1));
          var this$5 = these;
          these = this$5.tail__sci_List()
        };
        var jsx$1 = result
      };
      jsx$2.MUTATE$undALL$undAPP$undID$undLIST$extension__Lcom_metastay_gompaapp_store_Store__sjs_js_Array__V(store, jsx$1);
      return (void 0)
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_AppActionsCode$().com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x3)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3.prototype.init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1__Lcom_metastay_gompaapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3.prototype.isDefinedAt__T2__Z = (function(x3) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadAllAppIdList$1$$anonfun$apply$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$2$2 = null
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4.prototype.applyOrElse__T2__F1__O = (function(x4, $default) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var jsx$2 = $m_Lcom_metastay_gompaapp_store_Store$Ext$();
      var store = this.store$2$2;
      if ($is_sjs_js_ArrayOps(outputList)) {
        var x2 = $as_sjs_js_ArrayOps(outputList);
        var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(outputList)) {
        var x3$1 = $as_sjs_js_WrappedArray(outputList);
        var jsx$1 = x3$1.array$6
      } else {
        var result = [];
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1 = these.head__O();
          $uI(result.push(arg1));
          var this$5 = these;
          these = this$5.tail__sci_List()
        };
        var jsx$1 = result
      };
      jsx$2.MUTATE$undCLIENT$undAPP$undID$undLIST$extension__Lcom_metastay_gompaapp_store_Store__sjs_js_Array__V(store, jsx$1);
      return (void 0)
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_AppActionsCode$().com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x4)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4.prototype.init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1__Lcom_metastay_gompaapp_store_Store = (function($$outer, store$2) {
  this.store$2$2 = store$2;
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4.prototype.isDefinedAt__T2__Z = (function(x4) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadClientAppIdList$1$$anonfun$apply$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$3$2 = null
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5.prototype.init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1__Lcom_metastay_gompaapp_store_Store = (function($$outer, store$3) {
  this.store$3$2 = store$3;
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5.prototype.applyOrElse__T2__F1__O = (function(x5, $default) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var jsx$2 = $m_Lcom_metastay_gompaapp_store_Store$Ext$();
      var store = this.store$3$2;
      if ($is_sjs_js_ArrayOps(outputList)) {
        var x2 = $as_sjs_js_ArrayOps(outputList);
        var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(outputList)) {
        var x3$1 = $as_sjs_js_WrappedArray(outputList);
        var jsx$1 = x3$1.array$6
      } else {
        var result = [];
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1 = these.head__O();
          $uI(result.push(arg1));
          var this$5 = these;
          these = this$5.tail__sci_List()
        };
        var jsx$1 = result
      };
      jsx$2.MUTATE$undSERVER$undAPP$undID$undLIST$extension__Lcom_metastay_gompaapp_store_Store__sjs_js_Array__V(store, jsx$1);
      return (void 0)
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5$2 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5$2.a$2);
      $m_Lcom_metastay_gompaapp_actions_AppActionsCode$().com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x5)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5.prototype.isDefinedAt__T2__Z = (function(x5) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$loadServerAppIdList$1$$anonfun$apply$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this);
  this.appId$1$2 = null;
  this.userGroupName$1$2 = null;
  this.role$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1.prototype.init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1__T__T__T = (function($$outer, appId$1, userGroupName$1, role$1) {
  this.appId$1$2 = appId$1;
  this.userGroupName$1$2 = userGroupName$1;
  this.role$1$2 = role$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_AppBus$().emitAppUserGroupRoleMapped__T__T__T__V(this.appId$1$2, this.userGroupName$1$2, this.role$1$2);
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_AppActionsCode$().com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserGroupRole$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9() {
  $c_sr_AbstractPartialFunction.call(this);
  this.appId$3$2 = null;
  this.role$2$2 = null;
  this.userName$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9.prototype.init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1__T__T__T = (function($$outer, appId$3, role$2, userName$1) {
  this.appId$3$2 = appId$3;
  this.role$2$2 = role$2;
  this.userName$1$2 = userName$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9.prototype.applyOrElse__T2__F1__O = (function(x9, $default) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_AppBus$().emitAppUserRoleMapped__T__T__T__V(this.appId$3$2, this.userName$1$2, this.role$2$2);
      return (void 0)
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_AppActionsCode$().com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x9)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9.prototype.isDefinedAt__T2__Z = (function(x9) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$mapAppUserRole$1$$anonfun$apply$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userGroupRoleId$1$2 = null;
  this.appId$2$2 = null
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_AppBus$().emitAppUserGroupRoleMapRemoved__T__T__V(this.appId$2$2, this.userGroupRoleId$1$2);
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_AppActionsCode$().com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2.prototype.init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1__T__T = (function($$outer, userGroupRoleId$1, appId$2) {
  this.userGroupRoleId$1$2 = userGroupRoleId$1;
  this.appId$2$2 = appId$2;
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserGroupRoleMap$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userRoleId$1$2 = null;
  this.appId$4$2 = null
}
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10.prototype = $c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10.prototype;
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10.prototype.init___Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1__T__T = (function($$outer, userRoleId$1, appId$4) {
  this.userRoleId$1$2 = userRoleId$1;
  this.appId$4$2 = appId$4;
  return this
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10.prototype.applyOrElse__T2__F1__O = (function(x10, $default) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_AppBus$().emitAppUserRoleMapRemoved__T__T__V(this.appId$4$2, this.userRoleId$1$2);
      return (void 0)
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_AppActionsCode$().com$metastay$gompaapp$actions$AppActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x10)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10.prototype.isDefinedAt__T2__Z = (function(x10) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10: 0
}, false, "com.metastay.gompaapp.actions.AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10", {
  Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_AppActionsCode$$anonfun$removeAppUserRoleMap$1$$anonfun$apply$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this);
  this.appId$1$2 = null;
  this.userName$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1.prototype.init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1__T__T = (function($$outer, appId$1, userName$1) {
  this.appId$1$2 = appId$1;
  this.userName$1$2 = userName$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_GompaAdminBus$().emitUserAsGompaAppAdminAdded__T__T__V(this.appId$1$2, this.userName$1$2);
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$().com$metastay$gompaapp$actions$GompaAdminActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsGompaAppAdmin$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamCode$1$2 = null;
  this.userName$3$2 = null
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7.prototype.applyOrElse__T2__F1__O = (function(x7, $default) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_GompaAdminBus$().emitUserAsTeamAdminAdded__T__T__V(this.teamCode$1$2, this.userName$3$2);
      return (void 0)
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$().com$metastay$gompaapp$actions$GompaAdminActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x7)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7.prototype.init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1__T__T = (function($$outer, teamCode$1, userName$3) {
  this.teamCode$1$2 = teamCode$1;
  this.userName$3$2 = userName$3;
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7.prototype.isDefinedAt__T2__Z = (function(x7) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$addUserAsTeamAdmin$1$$anonfun$apply$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4.prototype.applyOrElse__T2__F1__O = (function(x4, $default) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $uZ(x3.b$2);
      $m_Lcom_metastay_gompaapp_bus_GompaAdminBus$().emitIsGompaAppAdminAccess__Z__V(output);
      return (void 0)
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$().com$metastay$gompaapp$actions$GompaAdminActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x4)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4.prototype.isDefinedAt__T2__Z = (function(x4) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4.prototype.init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1 = (function($$outer) {
  return this
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessApp$1$$anonfun$apply$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5.prototype.init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5.prototype.applyOrElse__T2__F1__O = (function(x5, $default) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $uZ(x3.b$2);
      $m_Lcom_metastay_gompaapp_bus_GompaAdminBus$().emitIsGompaTeamAdminAccess__Z__V(output);
      return (void 0)
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5$2 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5$2.a$2);
      $m_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$().com$metastay$gompaapp$actions$GompaAdminActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x5)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5.prototype.isDefinedAt__T2__Z = (function(x5) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$canUserAccessTeam$1$$anonfun$apply$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3.prototype.init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3.prototype.applyOrElse__T2__F1__O = (function(x3, $default) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3$2 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3$2.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_User(output$2);
        return $m_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var adminUserList = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var adminUserList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var adminUserList = result
      };
      $m_Lcom_metastay_gompaapp_bus_GompaAdminBus$().emitGompaAppAdminUserListLoaded__sjs_js_Array__V(adminUserList);
      return (void 0)
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$().com$metastay$gompaapp$actions$GompaAdminActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x3)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3.prototype.isDefinedAt__T2__Z = (function(x3) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForApp$1$$anonfun$apply$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6.prototype.applyOrElse__T2__F1__O = (function(x6, $default) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_User(output$2);
        return $m_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var teamAdminList = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var teamAdminList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var teamAdminList = result
      };
      $m_Lcom_metastay_gompaapp_bus_GompaAdminBus$().emitTeamAdminUserListLoaded__sjs_js_Array__V(teamAdminList);
      return (void 0)
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$().com$metastay$gompaapp$actions$GompaAdminActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x6)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6.prototype.init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6.prototype.isDefinedAt__T2__Z = (function(x6) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$getAdminListForTeam$1$$anonfun$apply$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this);
  this.appId$2$2 = null;
  this.userName$2$2 = null
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2.prototype.init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1__T__T = (function($$outer, appId$2, userName$2) {
  this.appId$2$2 = appId$2;
  this.userName$2$2 = userName$2;
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_GompaAdminBus$().emitUserAsGompaAppAdminRemoved__T__T__V(this.appId$2$2, this.userName$2$2);
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$().com$metastay$gompaapp$actions$GompaAdminActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsGompaAppAdmin$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamCode$2$2 = null;
  this.userName$4$2 = null
}
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8.prototype = $c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8.prototype;
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8.prototype.init___Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1__T__T = (function($$outer, teamCode$2, userName$4) {
  this.teamCode$2$2 = teamCode$2;
  this.userName$4$2 = userName$4;
  return this
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8.prototype.applyOrElse__T2__F1__O = (function(x8, $default) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_GompaAdminBus$().emitUserAsTeamAdminRemoved__T__T__V(this.teamCode$2$2, this.userName$4$2);
      return (void 0)
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$().com$metastay$gompaapp$actions$GompaAdminActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x8)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8.prototype.isDefinedAt__T2__Z = (function(x8) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8: 0
}, false, "com.metastay.gompaapp.actions.GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8", {
  Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_GompaAdminActionsCode$$anonfun$removeUserAsTeamAdmin$1$$anonfun$apply$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamCode$5$2 = null;
  this.subTeamCode$1$2 = null;
  this.fqSubFlowName$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15.prototype.applyOrElse__T2__F1__O = (function(x16, $default) {
  if ((x16 !== null)) {
    var p2 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitSubTeamAdded__T__T__T__V(this.teamCode$5$2, this.subTeamCode$1$2, this.fqSubFlowName$1$2);
      return (void 0)
    }
  };
  if ((x16 !== null)) {
    var p4 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x16)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1__T__T__T = (function($$outer, teamCode$5, subTeamCode$1, fqSubFlowName$1) {
  this.teamCode$5$2 = teamCode$5;
  this.subTeamCode$1$2 = subTeamCode$1;
  this.fqSubFlowName$1$2 = fqSubFlowName$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15.prototype.isDefinedAt__T2__Z = (function(x16) {
  if ((x16 !== null)) {
    var p2 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x16 !== null)) {
    var p4 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$addSubTeam$1$$anonfun$apply$15;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this);
  this.createTeamForm$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitTeamCreated__T__T__V($as_T(this.createTeamForm$1$2.teamCode), $as_T(this.createTeamForm$1$2.fqFlowName));
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1__Lcom_metastay_gompaapp_data_CreateTeamForm = (function($$outer, createTeamForm$1) {
  this.createTeamForm$1$2 = createTeamForm$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$createTeam$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1.prototype.applyOrElse__T2__F1__O = (function(x4, $default) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_Team(output$2);
        return $m_Lcom_metastay_gompaapp_data_TeamGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitAllTeamListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x4)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1.prototype.isDefinedAt__T2__Z = (function(x4) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14.prototype.applyOrElse__T2__F1__O = (function(x15, $default) {
  if ((x15 !== null)) {
    var p2 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var jsx$2 = $m_Lcom_metastay_gompaapp_bus_TeamBus$();
      if ($is_sjs_js_ArrayOps(outputList)) {
        var x2 = $as_sjs_js_ArrayOps(outputList);
        var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(outputList)) {
        var x3$1 = $as_sjs_js_WrappedArray(outputList);
        var jsx$1 = x3$1.array$6
      } else {
        var result = [];
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1 = these.head__O();
          $uI(result.push(arg1));
          var this$4 = these;
          these = this$4.tail__sci_List()
        };
        var jsx$1 = result
      };
      jsx$2.emitFqSubFlowNameListForFlowLoaded__sjs_js_Array__V(jsx$1);
      return (void 0)
    }
  };
  if ((x15 !== null)) {
    var p4 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x15)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14.prototype.isDefinedAt__T2__Z = (function(x15) {
  if ((x15 !== null)) {
    var p2 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x15 !== null)) {
    var p4 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getFqSubFlowNameListForFlow$1$$anonfun$apply$14;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13.prototype.applyOrElse__T2__F1__O = (function(x14, $default) {
  if ((x14 !== null)) {
    var p2 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var jsx$2 = $m_Lcom_metastay_gompaapp_bus_TeamBus$();
      if ($is_sjs_js_ArrayOps(outputList)) {
        var x2 = $as_sjs_js_ArrayOps(outputList);
        var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(outputList)) {
        var x3$1 = $as_sjs_js_WrappedArray(outputList);
        var jsx$1 = x3$1.array$6
      } else {
        var result = [];
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1 = these.head__O();
          $uI(result.push(arg1));
          var this$4 = these;
          these = this$4.tail__sci_List()
        };
        var jsx$1 = result
      };
      jsx$2.emitRoleListForTeamLoaded__sjs_js_Array__V(jsx$1);
      return (void 0)
    }
  };
  if ((x14 !== null)) {
    var p4 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x14)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13.prototype.isDefinedAt__T2__Z = (function(x14) {
  if ((x14 !== null)) {
    var p2 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x14 !== null)) {
    var p4 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getRoleListForTeam$1$$anonfun$apply$13;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17.prototype.applyOrElse__T2__F1__O = (function(x18, $default) {
  if ((x18 !== null)) {
    var p2 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_TeamSubTeamMap(output$2);
        return $m_Lcom_metastay_gompaapp_data_SubTeamGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitSubTeamListForTeamLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x18 !== null)) {
    var p4 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x18)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17.prototype.isDefinedAt__T2__Z = (function(x18) {
  if ((x18 !== null)) {
    var p2 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x18 !== null)) {
    var p4 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getSubTeamListForTeam$1$$anonfun$apply$17;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_gompa_data_Team(x3.b$2);
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitTeamDetailsLoaded__Lcom_metastay_gompaapp_data_TeamData__V($m_Lcom_metastay_gompaapp_data_TeamData$().fromDynamic(output.toJson__sjs_js_Dynamic()));
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getTeamDetails$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5.prototype.applyOrElse__T2__F1__O = (function(x6, $default) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(output$2);
        return $m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitUserGroupRoleListForTeamLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x6)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5.prototype.isDefinedAt__T2__Z = (function(x6) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1$$anonfun$apply$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4.prototype.applyOrElse__T2__F1__O = (function(x5, $default) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_TeamUserRole(output$2);
        return $m_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitUserRoleListForTeamLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5$2 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5$2.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x5)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4.prototype.isDefinedAt__T2__Z = (function(x5) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1$$anonfun$apply$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.applyOrElse__T2__F1__O = (function(x13, $default) {
  if ((x13 !== null)) {
    var p2 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var jsx$2 = $m_Lcom_metastay_gompaapp_store_Store$Ext$();
      var store = this.store$1$2;
      if ($is_sjs_js_ArrayOps(outputList)) {
        var x2 = $as_sjs_js_ArrayOps(outputList);
        var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(outputList)) {
        var x3$1 = $as_sjs_js_WrappedArray(outputList);
        var jsx$1 = x3$1.array$6
      } else {
        var result = [];
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1 = these.head__O();
          $uI(result.push(arg1));
          var this$5 = these;
          these = this$5.tail__sci_List()
        };
        var jsx$1 = result
      };
      jsx$2.MUTATE$undALL$undFQ$undFLOW$undNAME$undLIST$extension__Lcom_metastay_gompaapp_store_Store__sjs_js_Array__V(store, jsx$1);
      return (void 0)
    }
  };
  if ((x13 !== null)) {
    var p4 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x13)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.isDefinedAt__T2__Z = (function(x13) {
  if ((x13 !== null)) {
    var p2 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x13 !== null)) {
    var p4 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1__Lcom_metastay_gompaapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$loadAllFqFlowNameList$1$$anonfun$apply$12;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamCode$3$2 = null;
  this.role$2$2 = null;
  this.userGroupName$1$2 = null;
  this.maxQSize$2$2 = 0
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9.prototype.applyOrElse__T2__F1__O = (function(x10, $default) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitTeamUserGroupRoleMapped__T__T__T__I__V(this.teamCode$3$2, this.userGroupName$1$2, this.role$2$2, this.maxQSize$2$2);
      return (void 0)
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x10)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1__T__T__T__I = (function($$outer, teamCode$3, role$2, userGroupName$1, maxQSize$2) {
  this.teamCode$3$2 = teamCode$3;
  this.role$2$2 = role$2;
  this.userGroupName$1$2 = userGroupName$1;
  this.maxQSize$2$2 = maxQSize$2;
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9.prototype.isDefinedAt__T2__Z = (function(x10) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserGroupRole$1$$anonfun$apply$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamCode$1$2 = null;
  this.role$1$2 = null;
  this.userName$1$2 = null;
  this.maxQSize$1$2 = 0
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1__T__T__T__I = (function($$outer, teamCode$1, role$1, userName$1, maxQSize$1) {
  this.teamCode$1$2 = teamCode$1;
  this.role$1$2 = role$1;
  this.userName$1$2 = userName$1;
  this.maxQSize$1$2 = maxQSize$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6.prototype.applyOrElse__T2__F1__O = (function(x7, $default) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitTeamUserRoleMapped__T__T__T__I__V(this.teamCode$1$2, this.userName$1$2, this.role$1$2, this.maxQSize$1$2);
      return (void 0)
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x7)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6.prototype.isDefinedAt__T2__Z = (function(x7) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$mapTeamUserRole$1$$anonfun$apply$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamSubTeamMapId$1$2 = null;
  this.teamCode$6$2 = null
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1__T__T = (function($$outer, teamSubTeamMapId$1, teamCode$6) {
  this.teamSubTeamMapId$1$2 = teamSubTeamMapId$1;
  this.teamCode$6$2 = teamCode$6;
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16.prototype.applyOrElse__T2__F1__O = (function(x17, $default) {
  if ((x17 !== null)) {
    var p2 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitSubTeamRemoved__T__T__V(this.teamCode$6$2, this.teamSubTeamMapId$1$2);
      return (void 0)
    }
  };
  if ((x17 !== null)) {
    var p4 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x17)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16.prototype.isDefinedAt__T2__Z = (function(x17) {
  if ((x17 !== null)) {
    var p2 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x17 !== null)) {
    var p4 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeSubTeam$1$$anonfun$apply$16;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamId$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3.prototype.applyOrElse__T2__F1__O = (function(x3, $default) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitTeamRemoved__T__V(this.teamId$1$2);
      return (void 0)
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x3)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1__T = (function($$outer, teamId$1) {
  this.teamId$1$2 = teamId$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3.prototype.isDefinedAt__T2__Z = (function(x3) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeam$1$$anonfun$apply$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamUserGroupRoleId$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1__T = (function($$outer, teamUserGroupRoleId$1) {
  this.teamUserGroupRoleId$1$2 = teamUserGroupRoleId$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11.prototype.applyOrElse__T2__F1__O = (function(x12, $default) {
  if ((x12 !== null)) {
    var p2 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitTeamUserGroupRoleMapRemoved__T__V(this.teamUserGroupRoleId$1$2);
      return (void 0)
    }
  };
  if ((x12 !== null)) {
    var p4 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x12)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11.prototype.isDefinedAt__T2__Z = (function(x12) {
  if ((x12 !== null)) {
    var p2 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x12 !== null)) {
    var p4 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserGroupRoleMap$1$$anonfun$apply$11;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamUserRoleId$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1__T = (function($$outer, teamUserRoleId$1) {
  this.teamUserRoleId$1$2 = teamUserRoleId$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8.prototype.applyOrElse__T2__F1__O = (function(x9, $default) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_TeamBus$().emitTeamUserRoleMapRemoved__T__V(this.teamUserRoleId$1$2);
      return (void 0)
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x9)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8.prototype.isDefinedAt__T2__Z = (function(x9) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$removeTeamUserRoleMap$1$$anonfun$apply$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamCode$4$2 = null
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10.prototype.applyOrElse__T2__F1__O = (function(x11, $default) {
  if ((x11 !== null)) {
    var p2 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var this$2 = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserGroupRoleListForTeam$1().init___();
      var v1 = this.teamCode$4$2;
      this$2.apply__T__V(v1);
      return (void 0)
    }
  };
  if ((x11 !== null)) {
    var p4 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x11)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1__T = (function($$outer, teamCode$4) {
  this.teamCode$4$2 = teamCode$4;
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10.prototype.isDefinedAt__T2__Z = (function(x11) {
  if ((x11 !== null)) {
    var p2 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x11 !== null)) {
    var p4 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserGroupRole$1$$anonfun$apply$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7() {
  $c_sr_AbstractPartialFunction.call(this);
  this.teamCode$2$2 = null
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7.prototype.init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1__T = (function($$outer, teamCode$2) {
  this.teamCode$2$2 = teamCode$2;
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7.prototype.applyOrElse__T2__F1__O = (function(x8, $default) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var this$2 = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getUserRoleListForTeam$1().init___();
      var v1 = this.teamCode$2$2;
      this$2.apply__T__V(v1);
      return (void 0)
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_TeamActionsCode$().com$metastay$gompaapp$actions$TeamActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x8)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7.prototype.isDefinedAt__T2__Z = (function(x8) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$updateMaxQSizeForTeamUserRole$1$$anonfun$apply$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userName$2$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6.prototype.applyOrElse__T2__F1__O = (function(x7, $default) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitUserActivated__T__V(this.userName$2$2);
      return (void 0)
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x7)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6.prototype.isDefinedAt__T2__Z = (function(x7) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1__T = (function($$outer, userName$2) {
  this.userName$2$2 = userName$2;
  return this
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$activateUser$1$$anonfun$apply$6;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9() {
  $c_sr_AbstractPartialFunction.call(this);
  this.addUserForm$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1__Lcom_metastay_gompaapp_data_AddUserForm = (function($$outer, addUserForm$1) {
  this.addUserForm$1$2 = addUserForm$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9.prototype.applyOrElse__T2__F1__O = (function(x10, $default) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitUserAdded__T__V($as_T(this.addUserForm$1$2.userName));
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " added successfully"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$as_T(this.addUserForm$1$2.userName)])), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return (void 0)
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x10)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9.prototype.isDefinedAt__T2__Z = (function(x10) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$addUser$1$$anonfun$apply$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userName$4$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8.prototype.applyOrElse__T2__F1__O = (function(x9, $default) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitUserUpdated__T__V(this.userName$4$2);
      return (void 0)
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x9)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1__T = (function($$outer, userName$4) {
  this.userName$4$2 = userName$4;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8.prototype.isDefinedAt__T2__Z = (function(x9) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$changeDetails$1$$anonfun$apply$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userName$3$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1__T = (function($$outer, userName$3) {
  this.userName$3$2 = userName$3;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7.prototype.applyOrElse__T2__F1__O = (function(x8, $default) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitUserDeactivated__T__V(this.userName$3$2);
      return (void 0)
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x8)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7.prototype.isDefinedAt__T2__Z = (function(x8) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$deactivateUser$1$$anonfun$apply$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12.prototype.applyOrElse__T2__F1__O = (function(x13, $default) {
  if ((x13 !== null)) {
    var p2 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_User(output$2);
        return $m_Lcom_metastay_gompaapp_data_UserGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitUserListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x13 !== null)) {
    var p4 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x13)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12.prototype.isDefinedAt__T2__Z = (function(x13) {
  if ((x13 !== null)) {
    var p2 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x13 !== null)) {
    var p4 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findAllUsers$1$$anonfun$apply$12;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11.prototype.applyOrElse__T2__F1__O = (function(x12, $default) {
  if ((x12 !== null)) {
    var p2 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_User(output$2);
        return $m_Lcom_metastay_gompaapp_data_UserGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitUserListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x12 !== null)) {
    var p4 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x12)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11.prototype.isDefinedAt__T2__Z = (function(x12) {
  if ((x12 !== null)) {
    var p2 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x12 !== null)) {
    var p4 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1 = (function($$outer) {
  return this
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$findUser$1$$anonfun$apply$11;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15.prototype.applyOrElse__T2__F1__O = (function(x16, $default) {
  if ((x16 !== null)) {
    var p2 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_AppUserRole(output$2);
        return $m_Lcom_metastay_gompaapp_data_AppRoleGridForUser$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitAppRoleListForUserLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x16 !== null)) {
    var p4 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x16)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15.prototype.isDefinedAt__T2__Z = (function(x16) {
  if ((x16 !== null)) {
    var p2 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x16 !== null)) {
    var p4 = $as_s_util_Either(x16.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUser$1$$anonfun$apply$15;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16.prototype.applyOrElse__T2__F1__O = (function(x17, $default) {
  if ((x17 !== null)) {
    var p2 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(output$2);
        return $m_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitAppRoleListForUserInUserGroupLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x17 !== null)) {
    var p4 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x17)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16.prototype.isDefinedAt__T2__Z = (function(x17) {
  if ((x17 !== null)) {
    var p2 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x17 !== null)) {
    var p4 = $as_s_util_Either(x17.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getAppRoleListForUserInUserGroup$1$$anonfun$apply$16;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4.prototype.applyOrElse__T2__F1__O = (function(x5, $default) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_gompa_data_GompaAdminData(x3.b$2);
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitGompaAdminDetailsLoaded__Lcom_metastay_gompaapp_data_GompaAdminData__V($m_Lcom_metastay_gompaapp_data_GompaAdminData$().fromDynamic(output.toJson__sjs_js_Dynamic()));
      return (void 0)
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5$2 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5$2.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x5)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4.prototype.isDefinedAt__T2__Z = (function(x5) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getGompaAdminDetails$1$$anonfun$apply$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3.prototype.applyOrElse__T2__F1__O = (function(x4, $default) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var jsx$2 = $m_Lcom_metastay_gompaapp_bus_UserBus$();
      if ($is_sjs_js_ArrayOps(outputList)) {
        var x2 = $as_sjs_js_ArrayOps(outputList);
        var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(outputList)) {
        var x3$1 = $as_sjs_js_WrappedArray(outputList);
        var jsx$1 = x3$1.array$6
      } else {
        var result = [];
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1 = these.head__O();
          $uI(result.push(arg1));
          var this$4 = these;
          these = this$4.tail__sci_List()
        };
        var jsx$1 = result
      };
      jsx$2.emitRoleListForUserLoaded__sjs_js_Array__V(jsx$1);
      return (void 0)
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x4)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3.prototype.isDefinedAt__T2__Z = (function(x4) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getRoleListForUser$1$$anonfun$apply$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17.prototype.applyOrElse__T2__F1__O = (function(x18, $default) {
  if ((x18 !== null)) {
    var p2 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_TeamUserRole(output$2);
        return $m_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitTeamRoleListForUserLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x18 !== null)) {
    var p4 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x18)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17.prototype.isDefinedAt__T2__Z = (function(x18) {
  if ((x18 !== null)) {
    var p2 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x18 !== null)) {
    var p4 = $as_s_util_Either(x18.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUser$1$$anonfun$apply$17;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18.prototype.applyOrElse__T2__F1__O = (function(x19, $default) {
  if ((x19 !== null)) {
    var p2 = $as_s_util_Either(x19.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(output$2);
        return $m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitTeamRoleListForUserInUserGroupLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x19 !== null)) {
    var p4 = $as_s_util_Either(x19.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x19)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18.prototype.isDefinedAt__T2__Z = (function(x19) {
  if ((x19 !== null)) {
    var p2 = $as_s_util_Either(x19.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x19 !== null)) {
    var p4 = $as_s_util_Either(x19.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getTeamRoleListForUserInUserGroup$1$$anonfun$apply$18;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x3, $default) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3$2 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_gompa_data_User(x3$2.b$2);
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitUserDetailsLoaded__Lcom_metastay_gompaapp_data_UserData__V($m_Lcom_metastay_gompaapp_data_UserData$().fromDynamic(output.toJson__sjs_js_Dynamic()));
      return (void 0)
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x3)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x3) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserDetails$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14.prototype.applyOrElse__T2__F1__O = (function(x15, $default) {
  if ((x15 !== null)) {
    var p2 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_UserGroupForUser(output$2);
        return $m_Lcom_metastay_gompaapp_data_UserGroupGridForUser$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitUserGroupListForUserLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x15 !== null)) {
    var p4 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x15)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14.prototype.isDefinedAt__T2__Z = (function(x15) {
  if ((x15 !== null)) {
    var p2 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x15 !== null)) {
    var p4 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$getUserGroupListForUser$1$$anonfun$apply$14;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this);
  this.store$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1__Lcom_metastay_gompaapp_store_Store = (function($$outer, store$1) {
  this.store$1$2 = store$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_gompa_data_User(x3.b$2);
      var jsx$1 = $m_Lcom_metastay_gompaapp_store_Store$Ext$();
      var store = this.store$1$2;
      jsx$1.MUTATE$undLOGGED$undIN$undUSER$extension__Lcom_metastay_gompaapp_store_Store__Lcom_metastay_gompaapp_data_UserData__V(store, $m_Lcom_metastay_gompaapp_data_UserData$().fromDynamic(output));
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      if ($is_Lcom_iteration3_smilejs_ClientErrors(error)) {
        var x2 = $as_Lcom_iteration3_smilejs_ClientErrors(error);
        var list = x2.list$2;
        var jsx$3 = $m_Lcom_iteration3_smilejs_util_Toastr$();
        var f = (function(x$1$2) {
          var x$1 = $as_Lcom_iteration3_smilejs_ClientError(x$1$2);
          return x$1.message$1
        });
        var this$2 = $m_sci_List$();
        var bf = this$2.ReusableCBFInstance$2;
        if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((list === $m_sci_Nil$())) {
            var jsx$2 = $m_sci_Nil$()
          } else {
            var arg1 = list.head__O();
            var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
            var t = h;
            var rest = list.tail__sci_List();
            while ((rest !== $m_sci_Nil$())) {
              var arg1$1 = rest.head__O();
              var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
              t.tl$5 = nx;
              t = nx;
              var this$3 = rest;
              rest = this$3.tail__sci_List()
            };
            var jsx$2 = h
          }
        } else {
          var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list, bf);
          var these = list;
          while ((!these.isEmpty__Z())) {
            var arg1$2 = these.head__O();
            b.$$plus$eq__O__scm_Builder(f(arg1$2));
            var this$4 = these;
            these = this$4.tail__sci_List()
          };
          var jsx$2 = b.result__O()
        };
        jsx$3.error__T__s_Option__s_Option__V($as_sc_TraversableOnce(jsx$2).mkString__T__T("\n"), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
      } else if ($is_Lcom_iteration3_smilejs_ClientExceptions(error)) {
        var x3$2 = $as_Lcom_iteration3_smilejs_ClientExceptions(error);
        var list$2 = x3$2.list$2;
        var jsx$5 = $m_Lcom_iteration3_smilejs_util_Toastr$();
        var f$1 = (function(x$2$2) {
          var x$2 = $as_Lcom_iteration3_smilejs_ClientException(x$2$2);
          return x$2.message$1
        });
        var this$7 = $m_sci_List$();
        var bf$1 = this$7.ReusableCBFInstance$2;
        if ((bf$1 === $m_sci_List$().ReusableCBFInstance$2)) {
          if ((list$2 === $m_sci_Nil$())) {
            var jsx$4 = $m_sci_Nil$()
          } else {
            var arg1$3 = list$2.head__O();
            var h$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$3), $m_sci_Nil$());
            var t$1 = h$1;
            var rest$1 = list$2.tail__sci_List();
            while ((rest$1 !== $m_sci_Nil$())) {
              var arg1$4 = rest$1.head__O();
              var nx$1 = new $c_sci_$colon$colon().init___O__sci_List(f$1(arg1$4), $m_sci_Nil$());
              t$1.tl$5 = nx$1;
              t$1 = nx$1;
              var this$8 = rest$1;
              rest$1 = this$8.tail__sci_List()
            };
            var jsx$4 = h$1
          }
        } else {
          var b$1 = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(list$2, bf$1);
          var these$1 = list$2;
          while ((!these$1.isEmpty__Z())) {
            var arg1$5 = these$1.head__O();
            b$1.$$plus$eq__O__scm_Builder(f$1(arg1$5));
            var this$9 = these$1;
            these$1 = this$9.tail__sci_List()
          };
          var jsx$4 = b$1.result__O()
        };
        jsx$5.error__T__s_Option__s_Option__V(("Error : " + $as_sc_TraversableOnce(jsx$4).mkString__T__T("\n")), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()))
      };
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$loadUserDetails$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lorg_scalajs_dom_package$().window__Lorg_scalajs_dom_raw_Window().localStorage.removeItem("loggedInUser");
      $m_Lorg_scalajs_dom_package$().window__Lorg_scalajs_dom_raw_Window().location.href = "/gompa";
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userName$5$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13.prototype.applyOrElse__T2__F1__O = (function(x14, $default) {
  if ((x14 !== null)) {
    var p2 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitUserRemoved__T__V(this.userName$5$2);
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["", " removed successfully"])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.userName$5$2])), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      return (void 0)
    }
  };
  if ((x14 !== null)) {
    var p4 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x14)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1__T = (function($$outer, userName$5) {
  this.userName$5$2 = userName$5;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13.prototype.isDefinedAt__T2__Z = (function(x14) {
  if ((x14 !== null)) {
    var p2 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x14 !== null)) {
    var p4 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$removeUser$1$$anonfun$apply$13;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userName$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1__T = (function($$outer, userName$1) {
  this.userName$1$2 = userName$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5.prototype.applyOrElse__T2__F1__O = (function(x6, $default) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitPasswordReset__T__V(this.userName$1$2);
      return (void 0)
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x6)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5.prototype.isDefinedAt__T2__Z = (function(x6) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$resetPassword$1$$anonfun$apply$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10.prototype.applyOrElse__T2__F1__O = (function(x11, $default) {
  if ((x11 !== null)) {
    var p2 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lcom_metastay_gompaapp_service_userwriter_UploadUserFile$Output(x3.b$2);
      $m_Lcom_metastay_gompaapp_bus_UserBus$().emitUserFileUploaded__I__sjs_js_Array__V(output.noOfUsersAdded$1, output.rejectedListJS__sjs_js_Array());
      return ((output.noOfUsersAdded$1 === 0) ? ($m_Lcom_iteration3_smilejs_util_Toastr$().warning__T__s_Option__s_Option__V("NO users added!", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$())), (void 0)) : ($m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Users(", ") added."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([output.noOfUsersAdded$1])), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$())), (void 0)))
    }
  };
  if ((x11 !== null)) {
    var p4 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserActionsCode$().com$metastay$gompaapp$actions$UserActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x11)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10.prototype.init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10.prototype.isDefinedAt__T2__Z = (function(x11) {
  if ((x11 !== null)) {
    var p2 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x11 !== null)) {
    var p4 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$uploadUserFile$1$$anonfun$apply$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userGroupName$4$2 = null;
  this.userName$4$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1__T__T = (function($$outer, userGroupName$4, userName$4) {
  this.userGroupName$4$2 = userGroupName$4;
  this.userName$4$2 = userName$4;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11.prototype.applyOrElse__T2__F1__O = (function(x12, $default) {
  if ((x12 !== null)) {
    var p2 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitUserActivatedForUserGroup__T__T__V(this.userGroupName$4$2, this.userName$4$2);
      return (void 0)
    }
  };
  if ((x12 !== null)) {
    var p4 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x12)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11.prototype.isDefinedAt__T2__Z = (function(x12) {
  if ((x12 !== null)) {
    var p2 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x12 !== null)) {
    var p4 = $as_s_util_Either(x12.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$activateUserInUserGroup$1$$anonfun$apply$11;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9() {
  $c_sr_AbstractPartialFunction.call(this);
  this.$$outer$2 = null;
  this.userName$2$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9.prototype.applyOrElse__T2__F1__O = (function(x10, $default) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitUserAddedToUserGroup__T__T__V(this.$$outer$2.userGroupName$2$f, this.userName$2$2);
      return (void 0)
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x10)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9.prototype.isDefinedAt__T2__Z = (function(x10) {
  if ((x10 !== null)) {
    var p2 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x10 !== null)) {
    var p4 = $as_s_util_Either(x10.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15__T = (function($$outer, userName$2) {
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$2 = $$outer
  };
  this.userName$2$2 = userName$2;
  return this
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserListToUserGroup$1$$anonfun$apply$15$$anonfun$apply$9;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userGroupName$1$2 = null;
  this.userName$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8.prototype.applyOrElse__T2__F1__O = (function(x9, $default) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitUserAddedToUserGroup__T__T__V(this.userGroupName$1$2, this.userName$1$2);
      return (void 0)
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x9)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1__T__T = (function($$outer, userGroupName$1, userName$1) {
  this.userGroupName$1$2 = userGroupName$1;
  this.userName$1$2 = userName$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8.prototype.isDefinedAt__T2__Z = (function(x9) {
  if ((x9 !== null)) {
    var p2 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x9 !== null)) {
    var p4 = $as_s_util_Either(x9.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$addUserToUserGroup$1$$anonfun$apply$8;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5() {
  $c_sr_AbstractPartialFunction.call(this);
  this.createUserGroupForm$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1__Lcom_metastay_gompaapp_data_CreateUserGroupForm = (function($$outer, createUserGroupForm$1) {
  this.createUserGroupForm$1$2 = createUserGroupForm$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5.prototype.applyOrElse__T2__F1__O = (function(x6, $default) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["UserGroup ", " added successfully."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([$as_T(this.createUserGroupForm$1$2.userGroupName)])), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()));
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitUserGroupCreated__T__V($as_T(this.createUserGroupForm$1$2.userGroupName));
      return (void 0)
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x6)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5.prototype.isDefinedAt__T2__Z = (function(x6) {
  if ((x6 !== null)) {
    var p2 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x6 !== null)) {
    var p4 = $as_s_util_Either(x6.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$createUserGroup$1$$anonfun$apply$5;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userGroupName$3$2 = null;
  this.userName$3$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10.prototype.applyOrElse__T2__F1__O = (function(x11, $default) {
  if ((x11 !== null)) {
    var p2 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitUserDeactivatedForUserGroup__T__T__V(this.userGroupName$3$2, this.userName$3$2);
      return (void 0)
    }
  };
  if ((x11 !== null)) {
    var p4 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x11)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1__T__T = (function($$outer, userGroupName$3, userName$3) {
  this.userGroupName$3$2 = userGroupName$3;
  this.userName$3$2 = userName$3;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10.prototype.isDefinedAt__T2__Z = (function(x11) {
  if ((x11 !== null)) {
    var p2 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x11 !== null)) {
    var p4 = $as_s_util_Either(x11.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$deactivateUserInUserGroup$1$$anonfun$apply$10;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1.prototype.applyOrElse__T2__F1__O = (function(x1, $default) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_UserGroup(output$2);
        return $m_Lcom_metastay_gompaapp_data_UserGroupGrid$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitAllUserGroupListLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x1)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1.prototype.isDefinedAt__T2__Z = (function(x1) {
  if ((x1 !== null)) {
    var p2 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x1 !== null)) {
    var p4 = $as_s_util_Either(x1.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13.prototype.applyOrElse__T2__F1__O = (function(x14, $default) {
  if ((x14 !== null)) {
    var p2 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_AppUserGroupRole(output$2);
        return $m_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var list = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var list = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var list = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitAppRoleListForUserGroupLoaded__sjs_js_Array__V(list);
      return (void 0)
    }
  };
  if ((x14 !== null)) {
    var p4 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x14)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13.prototype.isDefinedAt__T2__Z = (function(x14) {
  if ((x14 !== null)) {
    var p2 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x14 !== null)) {
    var p4 = $as_s_util_Either(x14.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAppRoleListForUserGroup$1$$anonfun$apply$13;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2.prototype.applyOrElse__T2__F1__O = (function(x3, $default) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3$2 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3$2.b$2);
      var jsx$2 = $m_Lcom_metastay_gompaapp_bus_UserGroupBus$();
      if ($is_sjs_js_ArrayOps(outputList)) {
        var x2 = $as_sjs_js_ArrayOps(outputList);
        var jsx$1 = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(outputList)) {
        var x3$1 = $as_sjs_js_WrappedArray(outputList);
        var jsx$1 = x3$1.array$6
      } else {
        var result = [];
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1 = these.head__O();
          $uI(result.push(arg1));
          var this$4 = these;
          these = this$4.tail__sci_List()
        };
        var jsx$1 = result
      };
      jsx$2.emitRoleListForUserGroupLoaded__sjs_js_Array__V(jsx$1);
      return (void 0)
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x3)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2.prototype.isDefinedAt__T2__Z = (function(x3) {
  if ((x3 !== null)) {
    var p2 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x3 !== null)) {
    var p4 = $as_s_util_Either(x3.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getRoleListForUserGroup$1$$anonfun$apply$2;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4.prototype.applyOrElse__T2__F1__O = (function(x5, $default) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_TeamUserGroupRole(output$2);
        return $m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var teamRoleList = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var teamRoleList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var teamRoleList = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitTeamRoleListForUserGroupLoaded__sjs_js_Array__V(teamRoleList);
      return (void 0)
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5$2 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5$2.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x5)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4.prototype.isDefinedAt__T2__Z = (function(x5) {
  if ((x5 !== null)) {
    var p2 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x5 !== null)) {
    var p4 = $as_s_util_Either(x5.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getTeamRoleListForUserGroup$1$$anonfun$apply$4;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1.prototype.applyOrElse__T2__F1__O = (function(x2, $default) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lsmilejs_com_metastay_gompa_data_UserGroupDetails(x3.b$2);
      var userGroup = $m_Lcom_metastay_gompaapp_data_UserGroupData$().fromDynamic(output.toJson__sjs_js_Dynamic());
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitUserGroupDetailsLoaded__Lcom_metastay_gompaapp_data_UserGroupData__V(userGroup);
      return (void 0)
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x2)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1.prototype.isDefinedAt__T2__Z = (function(x2) {
  if ((x2 !== null)) {
    var p2 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x2 !== null)) {
    var p4 = $as_s_util_Either(x2.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserGroupDetails$1$$anonfun$apply$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3.prototype.applyOrElse__T2__F1__O = (function(x4, $default) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var outputList = $as_sci_List(x3.b$2);
      var f = (function(output$2) {
        var output = $as_Lsmilejs_com_metastay_gompa_data_UserForUserGroup(output$2);
        return $m_Lcom_metastay_gompaapp_data_UserGridForUserGroup$().fromDynamic(output.toJson__sjs_js_Dynamic())
      });
      var this$1 = $m_sci_List$();
      var bf = this$1.ReusableCBFInstance$2;
      if ((bf === $m_sci_List$().ReusableCBFInstance$2)) {
        if ((outputList === $m_sci_Nil$())) {
          var jsx$1 = $m_sci_Nil$()
        } else {
          var arg1 = outputList.head__O();
          var h = new $c_sci_$colon$colon().init___O__sci_List(f(arg1), $m_sci_Nil$());
          var t = h;
          var rest = outputList.tail__sci_List();
          while ((rest !== $m_sci_Nil$())) {
            var arg1$1 = rest.head__O();
            var nx = new $c_sci_$colon$colon().init___O__sci_List(f(arg1$1), $m_sci_Nil$());
            t.tl$5 = nx;
            t = nx;
            var this$2 = rest;
            rest = this$2.tail__sci_List()
          };
          var jsx$1 = h
        }
      } else {
        var b = $s_sc_TraversableLike$class__builder$1__p0__sc_TraversableLike__scg_CanBuildFrom__scm_Builder(outputList, bf);
        var these = outputList;
        while ((!these.isEmpty__Z())) {
          var arg1$2 = these.head__O();
          b.$$plus$eq__O__scm_Builder(f(arg1$2));
          var this$3 = these;
          these = this$3.tail__sci_List()
        };
        var jsx$1 = b.result__O()
      };
      var col = $as_sc_GenTraversableOnce(jsx$1);
      var this$6 = $m_sjsr_package$();
      if ($is_sjs_js_ArrayOps(col)) {
        var x2 = $as_sjs_js_ArrayOps(col);
        var userGroupList = x2.scala$scalajs$js$ArrayOps$$array$f
      } else if ($is_sjs_js_WrappedArray(col)) {
        var x3$1 = $as_sjs_js_WrappedArray(col);
        var userGroupList = x3$1.array$6
      } else {
        var result = [];
        col.foreach__F1__V(new $c_sjsr_AnonFunction1().init___sjs_js_Function1((function($this, result$1) {
          return (function(x$2) {
            return $uI(result$1.push(x$2))
          })
        })(this$6, result)));
        var userGroupList = result
      };
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitUserListForUserGroupLoaded__sjs_js_Array__V(userGroupList);
      return (void 0)
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x4)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3.prototype.isDefinedAt__T2__Z = (function(x4) {
  if ((x4 !== null)) {
    var p2 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x4 !== null)) {
    var p4 = $as_s_util_Either(x4.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getUserListForUserGroup$1$$anonfun$apply$3;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userGroupName$5$2 = null;
  this.userName$5$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1__T__T = (function($$outer, userGroupName$5, userName$5) {
  this.userGroupName$5$2 = userGroupName$5;
  this.userName$5$2 = userName$5;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12.prototype.applyOrElse__T2__F1__O = (function(x13, $default) {
  if ((x13 !== null)) {
    var p2 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitUserRemovedFromUserGroup__T__T__V(this.userGroupName$5$2, this.userName$5$2);
      return (void 0)
    }
  };
  if ((x13 !== null)) {
    var p4 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x13)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12.prototype.isDefinedAt__T2__Z = (function(x13) {
  if ((x13 !== null)) {
    var p2 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x13 !== null)) {
    var p4 = $as_s_util_Either(x13.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserFromUserGroup$1$$anonfun$apply$12;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14() {
  $c_sr_AbstractPartialFunction.call(this);
  this.userGroupId$1$2 = null
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1__T = (function($$outer, userGroupId$1) {
  this.userGroupId$1$2 = userGroupId$1;
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14.prototype.applyOrElse__T2__F1__O = (function(x15, $default) {
  if ((x15 !== null)) {
    var p2 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Right(p2)) {
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitUserGroupRemoved__T__V(this.userGroupId$1$2);
      return (void 0)
    }
  };
  if ((x15 !== null)) {
    var p4 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x15)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14.prototype.isDefinedAt__T2__Z = (function(x15) {
  if ((x15 !== null)) {
    var p2 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x15 !== null)) {
    var p4 = $as_s_util_Either(x15.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$removeUserGroup$1$$anonfun$apply$14;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7.prototype.applyOrElse__T2__F1__O = (function(x8, $default) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadAddUserToUserGroupFile$Output(x3.b$2);
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitAddUserToUserGroupFileUploaded__I__sjs_js_Array__V(output.noOfUserUserGroupsMapped$1, output.rejectedListJS__sjs_js_Array());
      return ((output.noOfUserUserGroupsMapped$1 === 0) ? ($m_Lcom_iteration3_smilejs_util_Toastr$().warning__T__s_Option__s_Option__V("NO users added to usergroup!", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$())), (void 0)) : ($m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Users(", ") added."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([output.noOfUserUserGroupsMapped$1])), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$())), (void 0)))
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x8)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1 = (function($$outer) {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7.prototype.isDefinedAt__T2__Z = (function(x8) {
  if ((x8 !== null)) {
    var p2 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x8 !== null)) {
    var p4 = $as_s_util_Either(x8.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadAddUserToUserGroupFile$1$$anonfun$apply$7;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6.prototype = new $h_sr_AbstractPartialFunction();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6.prototype.applyOrElse__T2__F1__O = (function(x7, $default) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      var x3 = $as_s_util_Right(p2);
      var output = $as_Lcom_metastay_gompaapp_service_usergroupwriter_UploadUserGroupFile$Output(x3.b$2);
      $m_Lcom_metastay_gompaapp_bus_UserGroupBus$().emitUserGroupFileUploaded__I__sjs_js_Array__V(output.noOfUserGroupsAdded$1, output.rejectedListJS__sjs_js_Array());
      return ((output.noOfUserGroupsAdded$1 === 0) ? ($m_Lcom_iteration3_smilejs_util_Toastr$().warning__T__s_Option__s_Option__V("NO usergroups added!", ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$())), (void 0)) : ($m_Lcom_iteration3_smilejs_util_Toastr$().success__T__s_Option__s_Option__V(new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["Users(", ") added."])).s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([output.noOfUserGroupsAdded$1])), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$()), ($m_Lcom_iteration3_smilejs_util_Toastr$(), $m_s_None$())), (void 0)))
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      var x5 = $as_s_util_Left(p4);
      var error = $as_Lcom_iteration3_smilejs_ErrorResponse(x5.a$2);
      $m_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$().com$metastay$gompaapp$actions$UserGroupActionsCode$$handleErrorMessage__Lcom_iteration3_smilejs_ErrorResponse__V(error);
      return (void 0)
    }
  };
  return $default.apply__O__O(x7)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6.prototype.isDefinedAt__O__Z = (function(x) {
  return this.isDefinedAt__T2__Z($as_T2(x))
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return this.applyOrElse__T2__F1__O($as_T2(x), $default)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6.prototype.isDefinedAt__T2__Z = (function(x7) {
  if ((x7 !== null)) {
    var p2 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Right(p2)) {
      return true
    }
  };
  if ((x7 !== null)) {
    var p4 = $as_s_util_Either(x7.$$und2$f);
    if ($is_s_util_Left(p4)) {
      return true
    }
  };
  return false
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6.prototype.init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1 = (function($$outer) {
  return this
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$uploadUserGroupFile$1$$anonfun$apply$6;
/** @constructor */
function $c_Ljava_io_PrintStream() {
  $c_Ljava_io_FilterOutputStream.call(this);
  this.java$io$PrintStream$$autoFlush$f = false;
  this.charset$3 = null;
  this.java$io$PrintStream$$encoder$3 = null;
  this.java$io$PrintStream$$closing$3 = false;
  this.java$io$PrintStream$$closed$3 = false;
  this.errorFlag$3 = false;
  this.bitmap$0$3 = false
}
$c_Ljava_io_PrintStream.prototype = new $h_Ljava_io_FilterOutputStream();
$c_Ljava_io_PrintStream.prototype.constructor = $c_Ljava_io_PrintStream;
/** @constructor */
function $h_Ljava_io_PrintStream() {
  /*<skip>*/
}
$h_Ljava_io_PrintStream.prototype = $c_Ljava_io_PrintStream.prototype;
$c_Ljava_io_PrintStream.prototype.init___Ljava_io_OutputStream__Z__Ljava_nio_charset_Charset = (function(_out, autoFlush, charset) {
  this.java$io$PrintStream$$autoFlush$f = autoFlush;
  this.charset$3 = charset;
  $c_Ljava_io_FilterOutputStream.prototype.init___Ljava_io_OutputStream.call(this, _out);
  this.java$io$PrintStream$$closing$3 = false;
  this.java$io$PrintStream$$closed$3 = false;
  this.errorFlag$3 = false;
  return this
});
$c_Ljava_io_PrintStream.prototype.println__T__V = (function(s) {
  this.print__T__V(s);
  this.java$lang$JSConsoleBasedPrintStream$$printString__T__V("\n")
});
/** @constructor */
function $c_T2() {
  $c_O.call(this);
  this.$$und1$f = null;
  this.$$und2$f = null
}
$c_T2.prototype = new $h_O();
$c_T2.prototype.constructor = $c_T2;
/** @constructor */
function $h_T2() {
  /*<skip>*/
}
$h_T2.prototype = $c_T2.prototype;
$c_T2.prototype.productPrefix__T = (function() {
  return "Tuple2"
});
$c_T2.prototype.productArity__I = (function() {
  return 2
});
$c_T2.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_T2(x$1)) {
    var Tuple2$1 = $as_T2(x$1);
    return ($m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und1$f, Tuple2$1.$$und1$f) && $m_sr_BoxesRunTime$().equals__O__O__Z(this.$$und2$f, Tuple2$1.$$und2$f))
  } else {
    return false
  }
});
$c_T2.prototype.init___O__O = (function(_1, _2) {
  this.$$und1$f = _1;
  this.$$und2$f = _2;
  return this
});
$c_T2.prototype.productElement__I__O = (function(n) {
  return $s_s_Product2$class__productElement__s_Product2__I__O(this, n)
});
$c_T2.prototype.toString__T = (function() {
  return (((("(" + this.$$und1$f) + ",") + this.$$und2$f) + ")")
});
$c_T2.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_T2.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_T2(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.T2)))
}
function $as_T2(obj) {
  return (($is_T2(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.Tuple2"))
}
function $isArrayOf_T2(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.T2)))
}
function $asArrayOf_T2(obj, depth) {
  return (($isArrayOf_T2(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.Tuple2;", depth))
}
var $d_T2 = new $TypeData().initClass({
  T2: 0
}, false, "scala.Tuple2", {
  T2: 1,
  O: 1,
  s_Product2: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_T2.prototype.$classData = $d_T2;
/** @constructor */
function $c_jl_ArrayIndexOutOfBoundsException() {
  $c_jl_IndexOutOfBoundsException.call(this)
}
$c_jl_ArrayIndexOutOfBoundsException.prototype = new $h_jl_IndexOutOfBoundsException();
$c_jl_ArrayIndexOutOfBoundsException.prototype.constructor = $c_jl_ArrayIndexOutOfBoundsException;
/** @constructor */
function $h_jl_ArrayIndexOutOfBoundsException() {
  /*<skip>*/
}
$h_jl_ArrayIndexOutOfBoundsException.prototype = $c_jl_ArrayIndexOutOfBoundsException.prototype;
$c_jl_ArrayIndexOutOfBoundsException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_ArrayIndexOutOfBoundsException = new $TypeData().initClass({
  jl_ArrayIndexOutOfBoundsException: 0
}, false, "java.lang.ArrayIndexOutOfBoundsException", {
  jl_ArrayIndexOutOfBoundsException: 1,
  jl_IndexOutOfBoundsException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_ArrayIndexOutOfBoundsException.prototype.$classData = $d_jl_ArrayIndexOutOfBoundsException;
/** @constructor */
function $c_jl_NumberFormatException() {
  $c_jl_IllegalArgumentException.call(this)
}
$c_jl_NumberFormatException.prototype = new $h_jl_IllegalArgumentException();
$c_jl_NumberFormatException.prototype.constructor = $c_jl_NumberFormatException;
/** @constructor */
function $h_jl_NumberFormatException() {
  /*<skip>*/
}
$h_jl_NumberFormatException.prototype = $c_jl_NumberFormatException.prototype;
$c_jl_NumberFormatException.prototype.init___T = (function(s) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_jl_NumberFormatException = new $TypeData().initClass({
  jl_NumberFormatException: 0
}, false, "java.lang.NumberFormatException", {
  jl_NumberFormatException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_jl_NumberFormatException.prototype.$classData = $d_jl_NumberFormatException;
/** @constructor */
function $c_s_None$() {
  $c_s_Option.call(this)
}
$c_s_None$.prototype = new $h_s_Option();
$c_s_None$.prototype.constructor = $c_s_None$;
/** @constructor */
function $h_s_None$() {
  /*<skip>*/
}
$h_s_None$.prototype = $c_s_None$.prototype;
$c_s_None$.prototype.init___ = (function() {
  return this
});
$c_s_None$.prototype.productPrefix__T = (function() {
  return "None"
});
$c_s_None$.prototype.productArity__I = (function() {
  return 0
});
$c_s_None$.prototype.isEmpty__Z = (function() {
  return true
});
$c_s_None$.prototype.get__O = (function() {
  this.get__sr_Nothing$()
});
$c_s_None$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_s_None$.prototype.toString__T = (function() {
  return "None"
});
$c_s_None$.prototype.get__sr_Nothing$ = (function() {
  throw new $c_ju_NoSuchElementException().init___T("None.get")
});
$c_s_None$.prototype.hashCode__I = (function() {
  return 2433880
});
$c_s_None$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_s_None$ = new $TypeData().initClass({
  s_None$: 0
}, false, "scala.None$", {
  s_None$: 1,
  s_Option: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_None$.prototype.$classData = $d_s_None$;
var $n_s_None$ = (void 0);
function $m_s_None$() {
  if ((!$n_s_None$)) {
    $n_s_None$ = new $c_s_None$().init___()
  };
  return $n_s_None$
}
/** @constructor */
function $c_s_PartialFunction$$anonfun$4() {
  $c_sr_AbstractPartialFunction.call(this)
}
$c_s_PartialFunction$$anonfun$4.prototype = new $h_sr_AbstractPartialFunction();
$c_s_PartialFunction$$anonfun$4.prototype.constructor = $c_s_PartialFunction$$anonfun$4;
/** @constructor */
function $h_s_PartialFunction$$anonfun$4() {
  /*<skip>*/
}
$h_s_PartialFunction$$anonfun$4.prototype = $c_s_PartialFunction$$anonfun$4.prototype;
$c_s_PartialFunction$$anonfun$4.prototype.init___ = (function() {
  return this
});
$c_s_PartialFunction$$anonfun$4.prototype.isDefinedAt__O__Z = (function(x1) {
  return true
});
$c_s_PartialFunction$$anonfun$4.prototype.applyOrElse__O__F1__O = (function(x1, $default) {
  return $m_s_PartialFunction$().scala$PartialFunction$$fallback$undpf$f
});
var $d_s_PartialFunction$$anonfun$4 = new $TypeData().initClass({
  s_PartialFunction$$anonfun$4: 0
}, false, "scala.PartialFunction$$anonfun$4", {
  s_PartialFunction$$anonfun$4: 1,
  sr_AbstractPartialFunction: 1,
  O: 1,
  F1: 1,
  s_PartialFunction: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_PartialFunction$$anonfun$4.prototype.$classData = $d_s_PartialFunction$$anonfun$4;
/** @constructor */
function $c_s_Some() {
  $c_s_Option.call(this);
  this.x$2 = null
}
$c_s_Some.prototype = new $h_s_Option();
$c_s_Some.prototype.constructor = $c_s_Some;
/** @constructor */
function $h_s_Some() {
  /*<skip>*/
}
$h_s_Some.prototype = $c_s_Some.prototype;
$c_s_Some.prototype.productPrefix__T = (function() {
  return "Some"
});
$c_s_Some.prototype.productArity__I = (function() {
  return 1
});
$c_s_Some.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_Some(x$1)) {
    var Some$1 = $as_s_Some(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.x$2, Some$1.x$2)
  } else {
    return false
  }
});
$c_s_Some.prototype.isEmpty__Z = (function() {
  return false
});
$c_s_Some.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.x$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_Some.prototype.get__O = (function() {
  return this.x$2
});
$c_s_Some.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_Some.prototype.init___O = (function(x) {
  this.x$2 = x;
  return this
});
$c_s_Some.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_Some.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_s_Some(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_Some)))
}
function $as_s_Some(obj) {
  return (($is_s_Some(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.Some"))
}
function $isArrayOf_s_Some(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_Some)))
}
function $asArrayOf_s_Some(obj, depth) {
  return (($isArrayOf_s_Some(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.Some;", depth))
}
var $d_s_Some = new $TypeData().initClass({
  s_Some: 0
}, false, "scala.Some", {
  s_Some: 1,
  s_Option: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_Some.prototype.$classData = $d_s_Some;
/** @constructor */
function $c_s_StringContext$InvalidEscapeException() {
  $c_jl_IllegalArgumentException.call(this);
  this.index$5 = 0
}
$c_s_StringContext$InvalidEscapeException.prototype = new $h_jl_IllegalArgumentException();
$c_s_StringContext$InvalidEscapeException.prototype.constructor = $c_s_StringContext$InvalidEscapeException;
/** @constructor */
function $h_s_StringContext$InvalidEscapeException() {
  /*<skip>*/
}
$h_s_StringContext$InvalidEscapeException.prototype = $c_s_StringContext$InvalidEscapeException.prototype;
$c_s_StringContext$InvalidEscapeException.prototype.init___T__I = (function(str, index) {
  this.index$5 = index;
  var jsx$3 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["invalid escape ", " index ", " in \"", "\". Use \\\\\\\\ for literal \\\\."]));
  $m_s_Predef$().require__Z__V(((index >= 0) && (index < $uI(str.length))));
  if ((index === (((-1) + $uI(str.length)) | 0))) {
    var jsx$1 = "at terminal"
  } else {
    var jsx$2 = new $c_s_StringContext().init___sc_Seq(new $c_sjs_js_WrappedArray().init___sjs_js_Array(["'\\\\", "' not one of ", " at"]));
    var index$1 = ((1 + index) | 0);
    var c = (65535 & $uI(str.charCodeAt(index$1)));
    var jsx$1 = jsx$2.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_jl_Character().init___C(c), "[\\b, \\t, \\n, \\f, \\r, \\\\, \\\", \\']"]))
  };
  var s = jsx$3.s__sc_Seq__T(new $c_sjs_js_WrappedArray().init___sjs_js_Array([jsx$1, index, str]));
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, s, null);
  return this
});
var $d_s_StringContext$InvalidEscapeException = new $TypeData().initClass({
  s_StringContext$InvalidEscapeException: 0
}, false, "scala.StringContext$InvalidEscapeException", {
  s_StringContext$InvalidEscapeException: 1,
  jl_IllegalArgumentException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1
});
$c_s_StringContext$InvalidEscapeException.prototype.$classData = $d_s_StringContext$InvalidEscapeException;
/** @constructor */
function $c_s_util_Failure() {
  $c_s_util_Try.call(this);
  this.exception$2 = null
}
$c_s_util_Failure.prototype = new $h_s_util_Try();
$c_s_util_Failure.prototype.constructor = $c_s_util_Failure;
/** @constructor */
function $h_s_util_Failure() {
  /*<skip>*/
}
$h_s_util_Failure.prototype = $c_s_util_Failure.prototype;
$c_s_util_Failure.prototype.productPrefix__T = (function() {
  return "Failure"
});
$c_s_util_Failure.prototype.isSuccess__Z = (function() {
  return false
});
$c_s_util_Failure.prototype.productArity__I = (function() {
  return 1
});
$c_s_util_Failure.prototype.map__F1__s_util_Try = (function(f) {
  return this
});
$c_s_util_Failure.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_util_Failure(x$1)) {
    var Failure$1 = $as_s_util_Failure(x$1);
    var x = this.exception$2;
    var x$2 = Failure$1.exception$2;
    return ((x === null) ? (x$2 === null) : x.equals__O__Z(x$2))
  } else {
    return false
  }
});
$c_s_util_Failure.prototype.get__O = (function() {
  throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(this.exception$2)
});
$c_s_util_Failure.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.exception$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_util_Failure.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_util_Failure.prototype.init___jl_Throwable = (function(exception) {
  this.exception$2 = exception;
  return this
});
$c_s_util_Failure.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_util_Failure.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_s_util_Failure.prototype.recover__s_PartialFunction__s_util_Try = (function(rescueException) {
  try {
    if (rescueException.isDefinedAt__O__Z(this.exception$2)) {
      try {
        return new $c_s_util_Success().init___O(rescueException.apply__O__O(this.exception$2))
      } catch (e) {
        var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
        if ((e$2 !== null)) {
          var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
          if ((!o11.isEmpty__Z())) {
            var e$3 = $as_jl_Throwable(o11.get__O());
            return new $c_s_util_Failure().init___jl_Throwable(e$3)
          };
          throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
        } else {
          throw e
        }
      }
    } else {
      return this
    }
  } catch (e$1) {
    var e$2$1 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e$1);
    if ((e$2$1 !== null)) {
      var o11$1 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2$1);
      if ((!o11$1.isEmpty__Z())) {
        var e$3$1 = $as_jl_Throwable(o11$1.get__O());
        return new $c_s_util_Failure().init___jl_Throwable(e$3$1)
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2$1)
    } else {
      throw e$1
    }
  }
});
function $is_s_util_Failure(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Failure)))
}
function $as_s_util_Failure(obj) {
  return (($is_s_util_Failure(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Failure"))
}
function $isArrayOf_s_util_Failure(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Failure)))
}
function $asArrayOf_s_util_Failure(obj, depth) {
  return (($isArrayOf_s_util_Failure(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Failure;", depth))
}
var $d_s_util_Failure = new $TypeData().initClass({
  s_util_Failure: 0
}, false, "scala.util.Failure", {
  s_util_Failure: 1,
  s_util_Try: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Failure.prototype.$classData = $d_s_util_Failure;
/** @constructor */
function $c_s_util_Left() {
  $c_s_util_Either.call(this);
  this.a$2 = null
}
$c_s_util_Left.prototype = new $h_s_util_Either();
$c_s_util_Left.prototype.constructor = $c_s_util_Left;
/** @constructor */
function $h_s_util_Left() {
  /*<skip>*/
}
$h_s_util_Left.prototype = $c_s_util_Left.prototype;
$c_s_util_Left.prototype.productPrefix__T = (function() {
  return "Left"
});
$c_s_util_Left.prototype.productArity__I = (function() {
  return 1
});
$c_s_util_Left.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_util_Left(x$1)) {
    var Left$1 = $as_s_util_Left(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.a$2, Left$1.a$2)
  } else {
    return false
  }
});
$c_s_util_Left.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.a$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_util_Left.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_util_Left.prototype.init___O = (function(a) {
  this.a$2 = a;
  return this
});
$c_s_util_Left.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_util_Left.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_s_util_Left(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Left)))
}
function $as_s_util_Left(obj) {
  return (($is_s_util_Left(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Left"))
}
function $isArrayOf_s_util_Left(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Left)))
}
function $asArrayOf_s_util_Left(obj, depth) {
  return (($isArrayOf_s_util_Left(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Left;", depth))
}
var $d_s_util_Left = new $TypeData().initClass({
  s_util_Left: 0
}, false, "scala.util.Left", {
  s_util_Left: 1,
  s_util_Either: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Left.prototype.$classData = $d_s_util_Left;
/** @constructor */
function $c_s_util_Right() {
  $c_s_util_Either.call(this);
  this.b$2 = null
}
$c_s_util_Right.prototype = new $h_s_util_Either();
$c_s_util_Right.prototype.constructor = $c_s_util_Right;
/** @constructor */
function $h_s_util_Right() {
  /*<skip>*/
}
$h_s_util_Right.prototype = $c_s_util_Right.prototype;
$c_s_util_Right.prototype.productPrefix__T = (function() {
  return "Right"
});
$c_s_util_Right.prototype.productArity__I = (function() {
  return 1
});
$c_s_util_Right.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_util_Right(x$1)) {
    var Right$1 = $as_s_util_Right(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.b$2, Right$1.b$2)
  } else {
    return false
  }
});
$c_s_util_Right.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.b$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_util_Right.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_util_Right.prototype.init___O = (function(b) {
  this.b$2 = b;
  return this
});
$c_s_util_Right.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_util_Right.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_s_util_Right(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Right)))
}
function $as_s_util_Right(obj) {
  return (($is_s_util_Right(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Right"))
}
function $isArrayOf_s_util_Right(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Right)))
}
function $asArrayOf_s_util_Right(obj, depth) {
  return (($isArrayOf_s_util_Right(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Right;", depth))
}
var $d_s_util_Right = new $TypeData().initClass({
  s_util_Right: 0
}, false, "scala.util.Right", {
  s_util_Right: 1,
  s_util_Either: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Right.prototype.$classData = $d_s_util_Right;
/** @constructor */
function $c_s_util_Success() {
  $c_s_util_Try.call(this);
  this.value$2 = null
}
$c_s_util_Success.prototype = new $h_s_util_Try();
$c_s_util_Success.prototype.constructor = $c_s_util_Success;
/** @constructor */
function $h_s_util_Success() {
  /*<skip>*/
}
$h_s_util_Success.prototype = $c_s_util_Success.prototype;
$c_s_util_Success.prototype.productPrefix__T = (function() {
  return "Success"
});
$c_s_util_Success.prototype.isSuccess__Z = (function() {
  return true
});
$c_s_util_Success.prototype.productArity__I = (function() {
  return 1
});
$c_s_util_Success.prototype.map__F1__s_util_Try = (function(f) {
  try {
    return new $c_s_util_Success().init___O(f.apply__O__O(this.value$2))
  } catch (e) {
    var e$2 = $m_sjsr_package$().wrapJavaScriptException__O__jl_Throwable(e);
    if ((e$2 !== null)) {
      var o11 = $m_s_util_control_NonFatal$().unapply__jl_Throwable__s_Option(e$2);
      if ((!o11.isEmpty__Z())) {
        var e$3 = $as_jl_Throwable(o11.get__O());
        return new $c_s_util_Failure().init___jl_Throwable(e$3)
      };
      throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(e$2)
    } else {
      throw e
    }
  }
});
$c_s_util_Success.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_s_util_Success(x$1)) {
    var Success$1 = $as_s_util_Success(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.value$2, Success$1.value$2)
  } else {
    return false
  }
});
$c_s_util_Success.prototype.get__O = (function() {
  return this.value$2
});
$c_s_util_Success.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.value$2;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_s_util_Success.prototype.toString__T = (function() {
  return $m_sr_ScalaRunTime$().$$undtoString__s_Product__T(this)
});
$c_s_util_Success.prototype.init___O = (function(value) {
  this.value$2 = value;
  return this
});
$c_s_util_Success.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_s_util_Success.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
$c_s_util_Success.prototype.recover__s_PartialFunction__s_util_Try = (function(rescueException) {
  return this
});
function $is_s_util_Success(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_util_Success)))
}
function $as_s_util_Success(obj) {
  return (($is_s_util_Success(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.util.Success"))
}
function $isArrayOf_s_util_Success(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_util_Success)))
}
function $asArrayOf_s_util_Success(obj, depth) {
  return (($isArrayOf_s_util_Success(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.util.Success;", depth))
}
var $d_s_util_Success = new $TypeData().initClass({
  s_util_Success: 0
}, false, "scala.util.Success", {
  s_util_Success: 1,
  s_util_Try: 1,
  O: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_s_util_Success.prototype.$classData = $d_s_util_Success;
/** @constructor */
function $c_scg_SeqFactory() {
  $c_scg_GenSeqFactory.call(this)
}
$c_scg_SeqFactory.prototype = new $h_scg_GenSeqFactory();
$c_scg_SeqFactory.prototype.constructor = $c_scg_SeqFactory;
/** @constructor */
function $h_scg_SeqFactory() {
  /*<skip>*/
}
$h_scg_SeqFactory.prototype = $c_scg_SeqFactory.prototype;
/** @constructor */
function $c_sci_HashMap$HashTrieMap$$anon$1() {
  $c_sci_TrieIterator.call(this)
}
$c_sci_HashMap$HashTrieMap$$anon$1.prototype = new $h_sci_TrieIterator();
$c_sci_HashMap$HashTrieMap$$anon$1.prototype.constructor = $c_sci_HashMap$HashTrieMap$$anon$1;
/** @constructor */
function $h_sci_HashMap$HashTrieMap$$anon$1() {
  /*<skip>*/
}
$h_sci_HashMap$HashTrieMap$$anon$1.prototype = $c_sci_HashMap$HashTrieMap$$anon$1.prototype;
$c_sci_HashMap$HashTrieMap$$anon$1.prototype.init___sci_HashMap$HashTrieMap = (function($$outer) {
  $c_sci_TrieIterator.prototype.init___Asci_Iterable.call(this, $$outer.elems$6);
  return this
});
$c_sci_HashMap$HashTrieMap$$anon$1.prototype.getElem__O__O = (function(x) {
  return $as_sci_HashMap$HashMap1(x).ensurePair__T2()
});
var $d_sci_HashMap$HashTrieMap$$anon$1 = new $TypeData().initClass({
  sci_HashMap$HashTrieMap$$anon$1: 0
}, false, "scala.collection.immutable.HashMap$HashTrieMap$$anon$1", {
  sci_HashMap$HashTrieMap$$anon$1: 1,
  sci_TrieIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_HashMap$HashTrieMap$$anon$1.prototype.$classData = $d_sci_HashMap$HashTrieMap$$anon$1;
/** @constructor */
function $c_sci_HashSet$HashTrieSet$$anon$1() {
  $c_sci_TrieIterator.call(this)
}
$c_sci_HashSet$HashTrieSet$$anon$1.prototype = new $h_sci_TrieIterator();
$c_sci_HashSet$HashTrieSet$$anon$1.prototype.constructor = $c_sci_HashSet$HashTrieSet$$anon$1;
/** @constructor */
function $h_sci_HashSet$HashTrieSet$$anon$1() {
  /*<skip>*/
}
$h_sci_HashSet$HashTrieSet$$anon$1.prototype = $c_sci_HashSet$HashTrieSet$$anon$1.prototype;
$c_sci_HashSet$HashTrieSet$$anon$1.prototype.init___sci_HashSet$HashTrieSet = (function($$outer) {
  $c_sci_TrieIterator.prototype.init___Asci_Iterable.call(this, $$outer.elems$5);
  return this
});
$c_sci_HashSet$HashTrieSet$$anon$1.prototype.getElem__O__O = (function(cc) {
  return $as_sci_HashSet$HashSet1(cc).key$6
});
var $d_sci_HashSet$HashTrieSet$$anon$1 = new $TypeData().initClass({
  sci_HashSet$HashTrieSet$$anon$1: 0
}, false, "scala.collection.immutable.HashSet$HashTrieSet$$anon$1", {
  sci_HashSet$HashTrieSet$$anon$1: 1,
  sci_TrieIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1
});
$c_sci_HashSet$HashTrieSet$$anon$1.prototype.$classData = $d_sci_HashSet$HashTrieSet$$anon$1;
/** @constructor */
function $c_sci_Set$() {
  $c_scg_ImmutableSetFactory.call(this)
}
$c_sci_Set$.prototype = new $h_scg_ImmutableSetFactory();
$c_sci_Set$.prototype.constructor = $c_sci_Set$;
/** @constructor */
function $h_sci_Set$() {
  /*<skip>*/
}
$h_sci_Set$.prototype = $c_sci_Set$.prototype;
$c_sci_Set$.prototype.init___ = (function() {
  return this
});
$c_sci_Set$.prototype.emptyInstance__sci_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
var $d_sci_Set$ = new $TypeData().initClass({
  sci_Set$: 0
}, false, "scala.collection.immutable.Set$", {
  sci_Set$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Set$.prototype.$classData = $d_sci_Set$;
var $n_sci_Set$ = (void 0);
function $m_sci_Set$() {
  if ((!$n_sci_Set$)) {
    $n_sci_Set$ = new $c_sci_Set$().init___()
  };
  return $n_sci_Set$
}
/** @constructor */
function $c_sci_VectorIterator() {
  $c_sc_AbstractIterator.call(this);
  this.endIndex$2 = 0;
  this.blockIndex$2 = 0;
  this.lo$2 = 0;
  this.endLo$2 = 0;
  this.$$undhasNext$2 = false;
  this.depth$2 = 0;
  this.display0$2 = null;
  this.display1$2 = null;
  this.display2$2 = null;
  this.display3$2 = null;
  this.display4$2 = null;
  this.display5$2 = null
}
$c_sci_VectorIterator.prototype = new $h_sc_AbstractIterator();
$c_sci_VectorIterator.prototype.constructor = $c_sci_VectorIterator;
/** @constructor */
function $h_sci_VectorIterator() {
  /*<skip>*/
}
$h_sci_VectorIterator.prototype = $c_sci_VectorIterator.prototype;
$c_sci_VectorIterator.prototype.next__O = (function() {
  if ((!this.$$undhasNext$2)) {
    throw new $c_ju_NoSuchElementException().init___T("reached iterator end")
  };
  var res = this.display0$2.get(this.lo$2);
  this.lo$2 = ((1 + this.lo$2) | 0);
  if ((this.lo$2 === this.endLo$2)) {
    if ((((this.blockIndex$2 + this.lo$2) | 0) < this.endIndex$2)) {
      var newBlockIndex = ((32 + this.blockIndex$2) | 0);
      var xor = (this.blockIndex$2 ^ newBlockIndex);
      $s_sci_VectorPointer$class__gotoNextBlockStart__sci_VectorPointer__I__I__V(this, newBlockIndex, xor);
      this.blockIndex$2 = newBlockIndex;
      var x = ((this.endIndex$2 - this.blockIndex$2) | 0);
      this.endLo$2 = ((x < 32) ? x : 32);
      this.lo$2 = 0
    } else {
      this.$$undhasNext$2 = false
    }
  };
  return res
});
$c_sci_VectorIterator.prototype.display3__AO = (function() {
  return this.display3$2
});
$c_sci_VectorIterator.prototype.depth__I = (function() {
  return this.depth$2
});
$c_sci_VectorIterator.prototype.display5$und$eq__AO__V = (function(x$1) {
  this.display5$2 = x$1
});
$c_sci_VectorIterator.prototype.init___I__I = (function(_startIndex, endIndex) {
  this.endIndex$2 = endIndex;
  this.blockIndex$2 = ((-32) & _startIndex);
  this.lo$2 = (31 & _startIndex);
  var x = ((endIndex - this.blockIndex$2) | 0);
  this.endLo$2 = ((x < 32) ? x : 32);
  this.$$undhasNext$2 = (((this.blockIndex$2 + this.lo$2) | 0) < endIndex);
  return this
});
$c_sci_VectorIterator.prototype.display0__AO = (function() {
  return this.display0$2
});
$c_sci_VectorIterator.prototype.display4__AO = (function() {
  return this.display4$2
});
$c_sci_VectorIterator.prototype.display2$und$eq__AO__V = (function(x$1) {
  this.display2$2 = x$1
});
$c_sci_VectorIterator.prototype.display1$und$eq__AO__V = (function(x$1) {
  this.display1$2 = x$1
});
$c_sci_VectorIterator.prototype.hasNext__Z = (function() {
  return this.$$undhasNext$2
});
$c_sci_VectorIterator.prototype.display4$und$eq__AO__V = (function(x$1) {
  this.display4$2 = x$1
});
$c_sci_VectorIterator.prototype.display1__AO = (function() {
  return this.display1$2
});
$c_sci_VectorIterator.prototype.display5__AO = (function() {
  return this.display5$2
});
$c_sci_VectorIterator.prototype.depth$und$eq__I__V = (function(x$1) {
  this.depth$2 = x$1
});
$c_sci_VectorIterator.prototype.display2__AO = (function() {
  return this.display2$2
});
$c_sci_VectorIterator.prototype.display0$und$eq__AO__V = (function(x$1) {
  this.display0$2 = x$1
});
$c_sci_VectorIterator.prototype.display3$und$eq__AO__V = (function(x$1) {
  this.display3$2 = x$1
});
var $d_sci_VectorIterator = new $TypeData().initClass({
  sci_VectorIterator: 0
}, false, "scala.collection.immutable.VectorIterator", {
  sci_VectorIterator: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sci_VectorPointer: 1
});
$c_sci_VectorIterator.prototype.$classData = $d_sci_VectorIterator;
/** @constructor */
function $c_sjsr_UndefinedBehaviorError() {
  $c_jl_Error.call(this)
}
$c_sjsr_UndefinedBehaviorError.prototype = new $h_jl_Error();
$c_sjsr_UndefinedBehaviorError.prototype.constructor = $c_sjsr_UndefinedBehaviorError;
/** @constructor */
function $h_sjsr_UndefinedBehaviorError() {
  /*<skip>*/
}
$h_sjsr_UndefinedBehaviorError.prototype = $c_sjsr_UndefinedBehaviorError.prototype;
$c_sjsr_UndefinedBehaviorError.prototype.fillInStackTrace__jl_Throwable = (function() {
  return $c_jl_Throwable.prototype.fillInStackTrace__jl_Throwable.call(this)
});
$c_sjsr_UndefinedBehaviorError.prototype.init___jl_Throwable = (function(cause) {
  $c_sjsr_UndefinedBehaviorError.prototype.init___T__jl_Throwable.call(this, ("An undefined behavior was detected" + ((cause === null) ? "" : (": " + cause.getMessage__T()))), cause);
  return this
});
$c_sjsr_UndefinedBehaviorError.prototype.init___T__jl_Throwable = (function(message, cause) {
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, message, cause);
  return this
});
var $d_sjsr_UndefinedBehaviorError = new $TypeData().initClass({
  sjsr_UndefinedBehaviorError: 0
}, false, "scala.scalajs.runtime.UndefinedBehaviorError", {
  sjsr_UndefinedBehaviorError: 1,
  jl_Error: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_util_control_ControlThrowable: 1,
  s_util_control_NoStackTrace: 1
});
$c_sjsr_UndefinedBehaviorError.prototype.$classData = $d_sjsr_UndefinedBehaviorError;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1() {
  $c_sr_AbstractFunction0$mcV$sp.call(this)
}
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1.prototype = new $h_sr_AbstractFunction0$mcV$sp();
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1.prototype = $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1.prototype;
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1.prototype.apply$mcV$sp__V = (function() {
  var this$1 = $m_Lcom_metastay_gompaapp_service_teamreader_TeamReaderBackend$().getAllTeamList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1$$anonfun$apply$mcV$sp$1().init___Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1.prototype.apply__O = (function() {
  this.apply$mcV$sp__V()
});
var $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1: 0
}, false, "com.metastay.gompaapp.actions.TeamActionsCode$$anonfun$getAllTeamList$1", {
  Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1: 1,
  sr_AbstractFunction0$mcV$sp: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1,
  s_Function0$mcV$sp: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_TeamActionsCode$$anonfun$getAllTeamList$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1() {
  $c_sr_AbstractFunction0$mcV$sp.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1.prototype = new $h_sr_AbstractFunction0$mcV$sp();
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1.prototype.apply$mcV$sp__V = (function() {
  var this$1 = $m_Lcom_metastay_gompaapp_service_inoutwriter_InOutWriterBackend$().logout__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1$$anonfun$apply$mcV$sp$1().init___Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1.prototype.apply__O = (function() {
  this.apply$mcV$sp__V()
});
var $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1: 0
}, false, "com.metastay.gompaapp.actions.UserActionsCode$$anonfun$logout$1", {
  Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1: 1,
  sr_AbstractFunction0$mcV$sp: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1,
  s_Function0$mcV$sp: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserActionsCode$$anonfun$logout$1;
/** @constructor */
function $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1() {
  $c_sr_AbstractFunction0$mcV$sp.call(this)
}
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1.prototype = new $h_sr_AbstractFunction0$mcV$sp();
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1.prototype.constructor = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1;
/** @constructor */
function $h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1() {
  /*<skip>*/
}
$h_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1.prototype = $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1.prototype;
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1.prototype.init___ = (function() {
  return this
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1.prototype.apply$mcV$sp__V = (function() {
  var this$1 = $m_Lcom_metastay_gompaapp_service_usergroupreader_UserGroupReaderBackend$().getAllUserGroupList__s_concurrent_Future();
  var pf = new $c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1$$anonfun$apply$mcV$sp$1().init___Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1(this);
  var executor = $m_s_concurrent_ExecutionContext$Implicits$().global__s_concurrent_ExecutionContextExecutor();
  $s_s_concurrent_Future$class__onSuccess__s_concurrent_Future__s_PartialFunction__s_concurrent_ExecutionContext__V(this$1, pf, executor)
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1.prototype.apply__O = (function() {
  this.apply$mcV$sp__V()
});
var $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1 = new $TypeData().initClass({
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1: 0
}, false, "com.metastay.gompaapp.actions.UserGroupActionsCode$$anonfun$getAllUserGroupList$1", {
  Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1: 1,
  sr_AbstractFunction0$mcV$sp: 1,
  sr_AbstractFunction0: 1,
  O: 1,
  F0: 1,
  s_Function0$mcV$sp: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1.prototype.$classData = $d_Lcom_metastay_gompaapp_actions_UserGroupActionsCode$$anonfun$getAllUserGroupList$1;
/** @constructor */
function $c_Lorg_scalajs_dom_ext_AjaxException() {
  $c_jl_Exception.call(this);
  this.xhr$3 = null
}
$c_Lorg_scalajs_dom_ext_AjaxException.prototype = new $h_jl_Exception();
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.constructor = $c_Lorg_scalajs_dom_ext_AjaxException;
/** @constructor */
function $h_Lorg_scalajs_dom_ext_AjaxException() {
  /*<skip>*/
}
$h_Lorg_scalajs_dom_ext_AjaxException.prototype = $c_Lorg_scalajs_dom_ext_AjaxException.prototype;
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.productPrefix__T = (function() {
  return "AjaxException"
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.productArity__I = (function() {
  return 1
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_Lorg_scalajs_dom_ext_AjaxException(x$1)) {
    var AjaxException$1 = $as_Lorg_scalajs_dom_ext_AjaxException(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.xhr$3, AjaxException$1.xhr$3)
  } else {
    return false
  }
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.xhr$3;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.init___Lorg_scalajs_dom_raw_XMLHttpRequest = (function(xhr) {
  this.xhr$3 = xhr;
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_Lorg_scalajs_dom_ext_AjaxException(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.Lorg_scalajs_dom_ext_AjaxException)))
}
function $as_Lorg_scalajs_dom_ext_AjaxException(obj) {
  return (($is_Lorg_scalajs_dom_ext_AjaxException(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "org.scalajs.dom.ext.AjaxException"))
}
function $isArrayOf_Lorg_scalajs_dom_ext_AjaxException(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.Lorg_scalajs_dom_ext_AjaxException)))
}
function $asArrayOf_Lorg_scalajs_dom_ext_AjaxException(obj, depth) {
  return (($isArrayOf_Lorg_scalajs_dom_ext_AjaxException(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lorg.scalajs.dom.ext.AjaxException;", depth))
}
var $d_Lorg_scalajs_dom_ext_AjaxException = new $TypeData().initClass({
  Lorg_scalajs_dom_ext_AjaxException: 0
}, false, "org.scalajs.dom.ext.AjaxException", {
  Lorg_scalajs_dom_ext_AjaxException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_Lorg_scalajs_dom_ext_AjaxException.prototype.$classData = $d_Lorg_scalajs_dom_ext_AjaxException;
/** @constructor */
function $c_jl_JSConsoleBasedPrintStream() {
  $c_Ljava_io_PrintStream.call(this);
  this.isErr$4 = null;
  this.flushed$4 = false;
  this.buffer$4 = null
}
$c_jl_JSConsoleBasedPrintStream.prototype = new $h_Ljava_io_PrintStream();
$c_jl_JSConsoleBasedPrintStream.prototype.constructor = $c_jl_JSConsoleBasedPrintStream;
/** @constructor */
function $h_jl_JSConsoleBasedPrintStream() {
  /*<skip>*/
}
$h_jl_JSConsoleBasedPrintStream.prototype = $c_jl_JSConsoleBasedPrintStream.prototype;
$c_jl_JSConsoleBasedPrintStream.prototype.init___jl_Boolean = (function(isErr) {
  this.isErr$4 = isErr;
  var out = new $c_jl_JSConsoleBasedPrintStream$DummyOutputStream().init___();
  $c_Ljava_io_PrintStream.prototype.init___Ljava_io_OutputStream__Z__Ljava_nio_charset_Charset.call(this, out, false, null);
  this.flushed$4 = true;
  this.buffer$4 = "";
  return this
});
$c_jl_JSConsoleBasedPrintStream.prototype.print__T__V = (function(s) {
  this.java$lang$JSConsoleBasedPrintStream$$printString__T__V(((s === null) ? "null" : s))
});
$c_jl_JSConsoleBasedPrintStream.prototype.java$lang$JSConsoleBasedPrintStream$$printString__T__V = (function(s) {
  var rest = s;
  while ((rest !== "")) {
    var thiz = rest;
    var nlPos = $uI(thiz.indexOf("\n"));
    if ((nlPos < 0)) {
      this.buffer$4 = (("" + this.buffer$4) + rest);
      this.flushed$4 = false;
      rest = ""
    } else {
      var jsx$1 = this.buffer$4;
      var thiz$1 = rest;
      this.doWriteLine__p4__T__V((("" + jsx$1) + $as_T(thiz$1.substring(0, nlPos))));
      this.buffer$4 = "";
      this.flushed$4 = true;
      var thiz$2 = rest;
      var beginIndex = ((1 + nlPos) | 0);
      rest = $as_T(thiz$2.substring(beginIndex))
    }
  }
});
$c_jl_JSConsoleBasedPrintStream.prototype.doWriteLine__p4__T__V = (function(line) {
  var x = $g.console;
  if ($uZ((!(!x)))) {
    var x$1 = this.isErr$4;
    if ($uZ(x$1)) {
      var x$2 = $g.console.error;
      var jsx$1 = $uZ((!(!x$2)))
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      $g.console.error(line)
    } else {
      $g.console.log(line)
    }
  }
});
var $d_jl_JSConsoleBasedPrintStream = new $TypeData().initClass({
  jl_JSConsoleBasedPrintStream: 0
}, false, "java.lang.JSConsoleBasedPrintStream", {
  jl_JSConsoleBasedPrintStream: 1,
  Ljava_io_PrintStream: 1,
  Ljava_io_FilterOutputStream: 1,
  Ljava_io_OutputStream: 1,
  O: 1,
  Ljava_io_Closeable: 1,
  Ljava_io_Flushable: 1,
  jl_Appendable: 1
});
$c_jl_JSConsoleBasedPrintStream.prototype.$classData = $d_jl_JSConsoleBasedPrintStream;
/** @constructor */
function $c_sc_Seq$() {
  $c_scg_SeqFactory.call(this)
}
$c_sc_Seq$.prototype = new $h_scg_SeqFactory();
$c_sc_Seq$.prototype.constructor = $c_sc_Seq$;
/** @constructor */
function $h_sc_Seq$() {
  /*<skip>*/
}
$h_sc_Seq$.prototype = $c_sc_Seq$.prototype;
$c_sc_Seq$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sc_Seq$.prototype.newBuilder__scm_Builder = (function() {
  $m_sci_Seq$();
  return new $c_scm_ListBuffer().init___()
});
var $d_sc_Seq$ = new $TypeData().initClass({
  sc_Seq$: 0
}, false, "scala.collection.Seq$", {
  sc_Seq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_Seq$.prototype.$classData = $d_sc_Seq$;
var $n_sc_Seq$ = (void 0);
function $m_sc_Seq$() {
  if ((!$n_sc_Seq$)) {
    $n_sc_Seq$ = new $c_sc_Seq$().init___()
  };
  return $n_sc_Seq$
}
/** @constructor */
function $c_scg_IndexedSeqFactory() {
  $c_scg_SeqFactory.call(this)
}
$c_scg_IndexedSeqFactory.prototype = new $h_scg_SeqFactory();
$c_scg_IndexedSeqFactory.prototype.constructor = $c_scg_IndexedSeqFactory;
/** @constructor */
function $h_scg_IndexedSeqFactory() {
  /*<skip>*/
}
$h_scg_IndexedSeqFactory.prototype = $c_scg_IndexedSeqFactory.prototype;
/** @constructor */
function $c_sci_HashMap$() {
  $c_scg_ImmutableMapFactory.call(this);
  this.defaultMerger$4 = null
}
$c_sci_HashMap$.prototype = new $h_scg_ImmutableMapFactory();
$c_sci_HashMap$.prototype.constructor = $c_sci_HashMap$;
/** @constructor */
function $h_sci_HashMap$() {
  /*<skip>*/
}
$h_sci_HashMap$.prototype = $c_sci_HashMap$.prototype;
$c_sci_HashMap$.prototype.init___ = (function() {
  $n_sci_HashMap$ = this;
  var mergef = new $c_sjsr_AnonFunction2().init___sjs_js_Function2((function($this) {
    return (function(a$2, b$2) {
      var a = $as_T2(a$2);
      $as_T2(b$2);
      return a
    })
  })(this));
  this.defaultMerger$4 = new $c_sci_HashMap$$anon$2().init___F2(mergef);
  return this
});
$c_sci_HashMap$.prototype.scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap = (function(hash0, elem0, hash1, elem1, level, size) {
  var index0 = (31 & ((hash0 >>> level) | 0));
  var index1 = (31 & ((hash1 >>> level) | 0));
  if ((index0 !== index1)) {
    var bitmap = ((1 << index0) | (1 << index1));
    var elems = $newArrayObject($d_sci_HashMap.getArrayOf(), [2]);
    if ((index0 < index1)) {
      elems.set(0, elem0);
      elems.set(1, elem1)
    } else {
      elems.set(0, elem1);
      elems.set(1, elem0)
    };
    return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmap, elems, size)
  } else {
    var elems$2 = $newArrayObject($d_sci_HashMap.getArrayOf(), [1]);
    var bitmap$2 = (1 << index0);
    elems$2.set(0, this.scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(hash0, elem0, hash1, elem1, ((5 + level) | 0), size));
    return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(bitmap$2, elems$2, size)
  }
});
$c_sci_HashMap$.prototype.empty__sc_GenMap = (function() {
  return $m_sci_HashMap$EmptyHashMap$()
});
var $d_sci_HashMap$ = new $TypeData().initClass({
  sci_HashMap$: 0
}, false, "scala.collection.immutable.HashMap$", {
  sci_HashMap$: 1,
  scg_ImmutableMapFactory: 1,
  scg_MapFactory: 1,
  scg_GenMapFactory: 1,
  O: 1,
  scg_BitOperations$Int: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashMap$.prototype.$classData = $d_sci_HashMap$;
var $n_sci_HashMap$ = (void 0);
function $m_sci_HashMap$() {
  if ((!$n_sci_HashMap$)) {
    $n_sci_HashMap$ = new $c_sci_HashMap$().init___()
  };
  return $n_sci_HashMap$
}
/** @constructor */
function $c_sci_Seq$() {
  $c_scg_SeqFactory.call(this)
}
$c_sci_Seq$.prototype = new $h_scg_SeqFactory();
$c_sci_Seq$.prototype.constructor = $c_sci_Seq$;
/** @constructor */
function $h_sci_Seq$() {
  /*<skip>*/
}
$h_sci_Seq$.prototype = $c_sci_Seq$.prototype;
$c_sci_Seq$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sci_Seq$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ListBuffer().init___()
});
var $d_sci_Seq$ = new $TypeData().initClass({
  sci_Seq$: 0
}, false, "scala.collection.immutable.Seq$", {
  sci_Seq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_Seq$.prototype.$classData = $d_sci_Seq$;
var $n_sci_Seq$ = (void 0);
function $m_sci_Seq$() {
  if ((!$n_sci_Seq$)) {
    $n_sci_Seq$ = new $c_sci_Seq$().init___()
  };
  return $n_sci_Seq$
}
/** @constructor */
function $c_scm_IndexedSeq$() {
  $c_scg_SeqFactory.call(this)
}
$c_scm_IndexedSeq$.prototype = new $h_scg_SeqFactory();
$c_scm_IndexedSeq$.prototype.constructor = $c_scm_IndexedSeq$;
/** @constructor */
function $h_scm_IndexedSeq$() {
  /*<skip>*/
}
$h_scm_IndexedSeq$.prototype = $c_scm_IndexedSeq$.prototype;
$c_scm_IndexedSeq$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_scm_IndexedSeq$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ArrayBuffer().init___()
});
var $d_scm_IndexedSeq$ = new $TypeData().initClass({
  scm_IndexedSeq$: 0
}, false, "scala.collection.mutable.IndexedSeq$", {
  scm_IndexedSeq$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_scm_IndexedSeq$.prototype.$classData = $d_scm_IndexedSeq$;
var $n_scm_IndexedSeq$ = (void 0);
function $m_scm_IndexedSeq$() {
  if ((!$n_scm_IndexedSeq$)) {
    $n_scm_IndexedSeq$ = new $c_scm_IndexedSeq$().init___()
  };
  return $n_scm_IndexedSeq$
}
/** @constructor */
function $c_sjs_js_WrappedArray$() {
  $c_scg_SeqFactory.call(this)
}
$c_sjs_js_WrappedArray$.prototype = new $h_scg_SeqFactory();
$c_sjs_js_WrappedArray$.prototype.constructor = $c_sjs_js_WrappedArray$;
/** @constructor */
function $h_sjs_js_WrappedArray$() {
  /*<skip>*/
}
$h_sjs_js_WrappedArray$.prototype = $c_sjs_js_WrappedArray$.prototype;
$c_sjs_js_WrappedArray$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sjs_js_WrappedArray$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_sjs_js_WrappedArray().init___()
});
var $d_sjs_js_WrappedArray$ = new $TypeData().initClass({
  sjs_js_WrappedArray$: 0
}, false, "scala.scalajs.js.WrappedArray$", {
  sjs_js_WrappedArray$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sjs_js_WrappedArray$.prototype.$classData = $d_sjs_js_WrappedArray$;
var $n_sjs_js_WrappedArray$ = (void 0);
function $m_sjs_js_WrappedArray$() {
  if ((!$n_sjs_js_WrappedArray$)) {
    $n_sjs_js_WrappedArray$ = new $c_sjs_js_WrappedArray$().init___()
  };
  return $n_sjs_js_WrappedArray$
}
/** @constructor */
function $c_s_reflect_AnyValManifest() {
  $c_O.call(this);
  this.toString$1 = null
}
$c_s_reflect_AnyValManifest.prototype = new $h_O();
$c_s_reflect_AnyValManifest.prototype.constructor = $c_s_reflect_AnyValManifest;
/** @constructor */
function $h_s_reflect_AnyValManifest() {
  /*<skip>*/
}
$h_s_reflect_AnyValManifest.prototype = $c_s_reflect_AnyValManifest.prototype;
$c_s_reflect_AnyValManifest.prototype.equals__O__Z = (function(that) {
  return (this === that)
});
$c_s_reflect_AnyValManifest.prototype.toString__T = (function() {
  return this.toString$1
});
$c_s_reflect_AnyValManifest.prototype.hashCode__I = (function() {
  return $systemIdentityHashCode(this)
});
/** @constructor */
function $c_s_reflect_ManifestFactory$ClassTypeManifest() {
  $c_O.call(this);
  this.prefix$1 = null;
  this.runtimeClass1$1 = null;
  this.typeArguments$1 = null
}
$c_s_reflect_ManifestFactory$ClassTypeManifest.prototype = new $h_O();
$c_s_reflect_ManifestFactory$ClassTypeManifest.prototype.constructor = $c_s_reflect_ManifestFactory$ClassTypeManifest;
/** @constructor */
function $h_s_reflect_ManifestFactory$ClassTypeManifest() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$ClassTypeManifest.prototype = $c_s_reflect_ManifestFactory$ClassTypeManifest.prototype;
/** @constructor */
function $c_sc_IndexedSeq$() {
  $c_scg_IndexedSeqFactory.call(this);
  this.ReusableCBF$6 = null
}
$c_sc_IndexedSeq$.prototype = new $h_scg_IndexedSeqFactory();
$c_sc_IndexedSeq$.prototype.constructor = $c_sc_IndexedSeq$;
/** @constructor */
function $h_sc_IndexedSeq$() {
  /*<skip>*/
}
$h_sc_IndexedSeq$.prototype = $c_sc_IndexedSeq$.prototype;
$c_sc_IndexedSeq$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  $n_sc_IndexedSeq$ = this;
  this.ReusableCBF$6 = new $c_sc_IndexedSeq$$anon$1().init___();
  return this
});
$c_sc_IndexedSeq$.prototype.newBuilder__scm_Builder = (function() {
  $m_sci_IndexedSeq$();
  $m_sci_Vector$();
  return new $c_sci_VectorBuilder().init___()
});
var $d_sc_IndexedSeq$ = new $TypeData().initClass({
  sc_IndexedSeq$: 0
}, false, "scala.collection.IndexedSeq$", {
  sc_IndexedSeq$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sc_IndexedSeq$.prototype.$classData = $d_sc_IndexedSeq$;
var $n_sc_IndexedSeq$ = (void 0);
function $m_sc_IndexedSeq$() {
  if ((!$n_sc_IndexedSeq$)) {
    $n_sc_IndexedSeq$ = new $c_sc_IndexedSeq$().init___()
  };
  return $n_sc_IndexedSeq$
}
/** @constructor */
function $c_sc_IndexedSeqLike$Elements() {
  $c_sc_AbstractIterator.call(this);
  this.end$2 = 0;
  this.index$2 = 0;
  this.$$outer$f = null
}
$c_sc_IndexedSeqLike$Elements.prototype = new $h_sc_AbstractIterator();
$c_sc_IndexedSeqLike$Elements.prototype.constructor = $c_sc_IndexedSeqLike$Elements;
/** @constructor */
function $h_sc_IndexedSeqLike$Elements() {
  /*<skip>*/
}
$h_sc_IndexedSeqLike$Elements.prototype = $c_sc_IndexedSeqLike$Elements.prototype;
$c_sc_IndexedSeqLike$Elements.prototype.next__O = (function() {
  if ((this.index$2 >= this.end$2)) {
    $m_sc_Iterator$().empty$1.next__O()
  };
  var x = this.$$outer$f.apply__I__O(this.index$2);
  this.index$2 = ((1 + this.index$2) | 0);
  return x
});
$c_sc_IndexedSeqLike$Elements.prototype.init___sc_IndexedSeqLike__I__I = (function($$outer, start, end) {
  this.end$2 = end;
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  this.index$2 = start;
  return this
});
$c_sc_IndexedSeqLike$Elements.prototype.hasNext__Z = (function() {
  return (this.index$2 < this.end$2)
});
var $d_sc_IndexedSeqLike$Elements = new $TypeData().initClass({
  sc_IndexedSeqLike$Elements: 0
}, false, "scala.collection.IndexedSeqLike$Elements", {
  sc_IndexedSeqLike$Elements: 1,
  sc_AbstractIterator: 1,
  O: 1,
  sc_Iterator: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_BufferedIterator: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sc_IndexedSeqLike$Elements.prototype.$classData = $d_sc_IndexedSeqLike$Elements;
/** @constructor */
function $c_sci_HashSet$() {
  $c_scg_ImmutableSetFactory.call(this)
}
$c_sci_HashSet$.prototype = new $h_scg_ImmutableSetFactory();
$c_sci_HashSet$.prototype.constructor = $c_sci_HashSet$;
/** @constructor */
function $h_sci_HashSet$() {
  /*<skip>*/
}
$h_sci_HashSet$.prototype = $c_sci_HashSet$.prototype;
$c_sci_HashSet$.prototype.init___ = (function() {
  return this
});
$c_sci_HashSet$.prototype.scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet = (function(hash0, elem0, hash1, elem1, level) {
  var index0 = (31 & ((hash0 >>> level) | 0));
  var index1 = (31 & ((hash1 >>> level) | 0));
  if ((index0 !== index1)) {
    var bitmap = ((1 << index0) | (1 << index1));
    var elems = $newArrayObject($d_sci_HashSet.getArrayOf(), [2]);
    if ((index0 < index1)) {
      elems.set(0, elem0);
      elems.set(1, elem1)
    } else {
      elems.set(0, elem1);
      elems.set(1, elem0)
    };
    return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap, elems, ((elem0.size__I() + elem1.size__I()) | 0))
  } else {
    var elems$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [1]);
    var bitmap$2 = (1 << index0);
    var child = this.scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(hash0, elem0, hash1, elem1, ((5 + level) | 0));
    elems$2.set(0, child);
    return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmap$2, elems$2, child.size0$5)
  }
});
$c_sci_HashSet$.prototype.emptyInstance__sci_Set = (function() {
  return $m_sci_HashSet$EmptyHashSet$()
});
var $d_sci_HashSet$ = new $TypeData().initClass({
  sci_HashSet$: 0
}, false, "scala.collection.immutable.HashSet$", {
  sci_HashSet$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$.prototype.$classData = $d_sci_HashSet$;
var $n_sci_HashSet$ = (void 0);
function $m_sci_HashSet$() {
  if ((!$n_sci_HashSet$)) {
    $n_sci_HashSet$ = new $c_sci_HashSet$().init___()
  };
  return $n_sci_HashSet$
}
/** @constructor */
function $c_sci_IndexedSeq$() {
  $c_scg_IndexedSeqFactory.call(this)
}
$c_sci_IndexedSeq$.prototype = new $h_scg_IndexedSeqFactory();
$c_sci_IndexedSeq$.prototype.constructor = $c_sci_IndexedSeq$;
/** @constructor */
function $h_sci_IndexedSeq$() {
  /*<skip>*/
}
$h_sci_IndexedSeq$.prototype = $c_sci_IndexedSeq$.prototype;
$c_sci_IndexedSeq$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sci_IndexedSeq$.prototype.newBuilder__scm_Builder = (function() {
  $m_sci_Vector$();
  return new $c_sci_VectorBuilder().init___()
});
var $d_sci_IndexedSeq$ = new $TypeData().initClass({
  sci_IndexedSeq$: 0
}, false, "scala.collection.immutable.IndexedSeq$", {
  sci_IndexedSeq$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1
});
$c_sci_IndexedSeq$.prototype.$classData = $d_sci_IndexedSeq$;
var $n_sci_IndexedSeq$ = (void 0);
function $m_sci_IndexedSeq$() {
  if ((!$n_sci_IndexedSeq$)) {
    $n_sci_IndexedSeq$ = new $c_sci_IndexedSeq$().init___()
  };
  return $n_sci_IndexedSeq$
}
/** @constructor */
function $c_sci_ListSet$() {
  $c_scg_ImmutableSetFactory.call(this)
}
$c_sci_ListSet$.prototype = new $h_scg_ImmutableSetFactory();
$c_sci_ListSet$.prototype.constructor = $c_sci_ListSet$;
/** @constructor */
function $h_sci_ListSet$() {
  /*<skip>*/
}
$h_sci_ListSet$.prototype = $c_sci_ListSet$.prototype;
$c_sci_ListSet$.prototype.init___ = (function() {
  return this
});
$c_sci_ListSet$.prototype.emptyInstance__sci_Set = (function() {
  return $m_sci_ListSet$EmptyListSet$()
});
$c_sci_ListSet$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_sci_ListSet$ListSetBuilder().init___()
});
var $d_sci_ListSet$ = new $TypeData().initClass({
  sci_ListSet$: 0
}, false, "scala.collection.immutable.ListSet$", {
  sci_ListSet$: 1,
  scg_ImmutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$.prototype.$classData = $d_sci_ListSet$;
var $n_sci_ListSet$ = (void 0);
function $m_sci_ListSet$() {
  if ((!$n_sci_ListSet$)) {
    $n_sci_ListSet$ = new $c_sci_ListSet$().init___()
  };
  return $n_sci_ListSet$
}
/** @constructor */
function $c_scm_HashSet$() {
  $c_scg_MutableSetFactory.call(this)
}
$c_scm_HashSet$.prototype = new $h_scg_MutableSetFactory();
$c_scm_HashSet$.prototype.constructor = $c_scm_HashSet$;
/** @constructor */
function $h_scm_HashSet$() {
  /*<skip>*/
}
$h_scm_HashSet$.prototype = $c_scm_HashSet$.prototype;
$c_scm_HashSet$.prototype.init___ = (function() {
  return this
});
$c_scm_HashSet$.prototype.empty__sc_GenTraversable = (function() {
  return new $c_scm_HashSet().init___()
});
var $d_scm_HashSet$ = new $TypeData().initClass({
  scm_HashSet$: 0
}, false, "scala.collection.mutable.HashSet$", {
  scm_HashSet$: 1,
  scg_MutableSetFactory: 1,
  scg_SetFactory: 1,
  scg_GenSetFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashSet$.prototype.$classData = $d_scm_HashSet$;
var $n_scm_HashSet$ = (void 0);
function $m_scm_HashSet$() {
  if ((!$n_scm_HashSet$)) {
    $n_scm_HashSet$ = new $c_scm_HashSet$().init___()
  };
  return $n_scm_HashSet$
}
/** @constructor */
function $c_sjs_js_JavaScriptException() {
  $c_jl_RuntimeException.call(this);
  this.exception$4 = null
}
$c_sjs_js_JavaScriptException.prototype = new $h_jl_RuntimeException();
$c_sjs_js_JavaScriptException.prototype.constructor = $c_sjs_js_JavaScriptException;
/** @constructor */
function $h_sjs_js_JavaScriptException() {
  /*<skip>*/
}
$h_sjs_js_JavaScriptException.prototype = $c_sjs_js_JavaScriptException.prototype;
$c_sjs_js_JavaScriptException.prototype.productPrefix__T = (function() {
  return "JavaScriptException"
});
$c_sjs_js_JavaScriptException.prototype.productArity__I = (function() {
  return 1
});
$c_sjs_js_JavaScriptException.prototype.fillInStackTrace__jl_Throwable = (function() {
  var e = this.exception$4;
  this.stackdata = e;
  return this
});
$c_sjs_js_JavaScriptException.prototype.equals__O__Z = (function(x$1) {
  if ((this === x$1)) {
    return true
  } else if ($is_sjs_js_JavaScriptException(x$1)) {
    var JavaScriptException$1 = $as_sjs_js_JavaScriptException(x$1);
    return $m_sr_BoxesRunTime$().equals__O__O__Z(this.exception$4, JavaScriptException$1.exception$4)
  } else {
    return false
  }
});
$c_sjs_js_JavaScriptException.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.exception$4;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_sjs_js_JavaScriptException.prototype.getMessage__T = (function() {
  return $objectToString(this.exception$4)
});
$c_sjs_js_JavaScriptException.prototype.init___O = (function(exception) {
  this.exception$4 = exception;
  $c_jl_Throwable.prototype.init___T__jl_Throwable.call(this, null, null);
  return this
});
$c_sjs_js_JavaScriptException.prototype.hashCode__I = (function() {
  var this$2 = $m_s_util_hashing_MurmurHash3$();
  return this$2.productHash__s_Product__I__I(this, (-889275714))
});
$c_sjs_js_JavaScriptException.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
function $is_sjs_js_JavaScriptException(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_JavaScriptException)))
}
function $as_sjs_js_JavaScriptException(obj) {
  return (($is_sjs_js_JavaScriptException(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.scalajs.js.JavaScriptException"))
}
function $isArrayOf_sjs_js_JavaScriptException(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_JavaScriptException)))
}
function $asArrayOf_sjs_js_JavaScriptException(obj, depth) {
  return (($isArrayOf_sjs_js_JavaScriptException(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.scalajs.js.JavaScriptException;", depth))
}
var $d_sjs_js_JavaScriptException = new $TypeData().initClass({
  sjs_js_JavaScriptException: 0
}, false, "scala.scalajs.js.JavaScriptException", {
  sjs_js_JavaScriptException: 1,
  jl_RuntimeException: 1,
  jl_Exception: 1,
  jl_Throwable: 1,
  O: 1,
  Ljava_io_Serializable: 1,
  s_Product: 1,
  s_Equals: 1,
  s_Serializable: 1
});
$c_sjs_js_JavaScriptException.prototype.$classData = $d_sjs_js_JavaScriptException;
/** @constructor */
function $c_s_concurrent_impl_Promise$DefaultPromise() {
  $c_s_concurrent_impl_AbstractPromise.call(this)
}
$c_s_concurrent_impl_Promise$DefaultPromise.prototype = new $h_s_concurrent_impl_AbstractPromise();
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.constructor = $c_s_concurrent_impl_Promise$DefaultPromise;
/** @constructor */
function $h_s_concurrent_impl_Promise$DefaultPromise() {
  /*<skip>*/
}
$h_s_concurrent_impl_Promise$DefaultPromise.prototype = $c_s_concurrent_impl_Promise$DefaultPromise.prototype;
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.init___ = (function() {
  $c_ju_concurrent_atomic_AtomicReference.prototype.init___O.call(this, null);
  var newState = $m_sci_Nil$();
  this.compareAndSet__O__O__Z(null, newState);
  return this
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.tryComplete__s_util_Try__Z = (function(value) {
  var resolved = $m_s_concurrent_impl_Promise$().scala$concurrent$impl$Promise$$resolveTry__s_util_Try__s_util_Try(value);
  var x1 = this.tryCompleteAndGetListeners__p3__s_util_Try__sci_List(resolved);
  if ((x1 !== null)) {
    if (x1.isEmpty__Z()) {
      return true
    } else {
      var these = x1;
      while ((!these.isEmpty__Z())) {
        var arg1 = these.head__O();
        var r = $as_s_concurrent_impl_CallbackRunnable(arg1);
        r.executeWithValue__s_util_Try__V(resolved);
        var this$1 = these;
        these = this$1.tail__sci_List()
      };
      return true
    }
  } else {
    return false
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.toString__T = (function() {
  return $s_s_concurrent_impl_Promise$class__toString__s_concurrent_impl_Promise__T(this)
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.tryCompleteAndGetListeners__p3__s_util_Try__sci_List = (function(v) {
  var _$this = this;
  _tryCompleteAndGetListeners: while (true) {
    var this$1 = _$this;
    var x1 = this$1.value$1;
    if ($is_sci_List(x1)) {
      var x2 = $as_sci_List(x1);
      var this$2 = _$this;
      if (this$2.compareAndSet__O__O__Z(x2, v)) {
        return x2
      } else {
        continue _tryCompleteAndGetListeners
      }
    } else if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
      _$this = _$this.compressedRoot__p3__s_concurrent_impl_Promise$DefaultPromise();
      continue _tryCompleteAndGetListeners
    } else {
      return null
    }
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.onComplete__F1__s_concurrent_ExecutionContext__V = (function(func, executor) {
  var runnable = new $c_s_concurrent_impl_CallbackRunnable().init___s_concurrent_ExecutionContext__F1(executor, func);
  this.dispatchOrAddCallback__p3__s_concurrent_impl_CallbackRunnable__V(runnable)
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.compressedRoot__p3__s_concurrent_impl_Promise$DefaultPromise = (function() {
  _compressedRoot: while (true) {
    var x1 = this.value$1;
    if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
      var x2 = $as_s_concurrent_impl_Promise$DefaultPromise(x1);
      var target = x2.root__p3__s_concurrent_impl_Promise$DefaultPromise();
      if ((x2 === target)) {
        return target
      } else if (this.compareAndSet__O__O__Z(x2, target)) {
        return target
      } else {
        continue _compressedRoot
      }
    } else {
      return this
    }
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.root__p3__s_concurrent_impl_Promise$DefaultPromise = (function() {
  var _$this = this;
  _root: while (true) {
    var this$1 = _$this;
    var x1 = this$1.value$1;
    if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
      var x2 = $as_s_concurrent_impl_Promise$DefaultPromise(x1);
      _$this = x2;
      continue _root
    } else {
      return _$this
    }
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.dispatchOrAddCallback__p3__s_concurrent_impl_CallbackRunnable__V = (function(runnable) {
  var _$this = this;
  _dispatchOrAddCallback: while (true) {
    var this$1 = _$this;
    var x1 = this$1.value$1;
    if ($is_s_util_Try(x1)) {
      var x2 = $as_s_util_Try(x1);
      runnable.executeWithValue__s_util_Try__V(x2)
    } else {
      if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
        _$this = _$this.compressedRoot__p3__s_concurrent_impl_Promise$DefaultPromise();
        continue _dispatchOrAddCallback
      };
      if ((!$is_sci_List(x1))) {
        throw new $c_s_MatchError().init___O(x1)
      };
      var x4 = $as_sci_List(x1);
      var this$2 = _$this;
      var newState = new $c_sci_$colon$colon().init___O__sci_List(runnable, x4);
      if ((!this$2.compareAndSet__O__O__Z(x4, newState))) {
        continue _dispatchOrAddCallback
      }
    };
    break
  }
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.value0__p3__s_Option = (function() {
  var _$this = this;
  _value0: while (true) {
    var this$1 = _$this;
    var x1 = this$1.value$1;
    if ($is_s_util_Try(x1)) {
      var x2 = $as_s_util_Try(x1);
      return new $c_s_Some().init___O(x2)
    } else if ($is_s_concurrent_impl_Promise$DefaultPromise(x1)) {
      _$this = _$this.compressedRoot__p3__s_concurrent_impl_Promise$DefaultPromise();
      continue _value0
    } else {
      return $m_s_None$()
    }
  }
});
function $is_s_concurrent_impl_Promise$DefaultPromise(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.s_concurrent_impl_Promise$DefaultPromise)))
}
function $as_s_concurrent_impl_Promise$DefaultPromise(obj) {
  return (($is_s_concurrent_impl_Promise$DefaultPromise(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.concurrent.impl.Promise$DefaultPromise"))
}
function $isArrayOf_s_concurrent_impl_Promise$DefaultPromise(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.s_concurrent_impl_Promise$DefaultPromise)))
}
function $asArrayOf_s_concurrent_impl_Promise$DefaultPromise(obj, depth) {
  return (($isArrayOf_s_concurrent_impl_Promise$DefaultPromise(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.concurrent.impl.Promise$DefaultPromise;", depth))
}
var $d_s_concurrent_impl_Promise$DefaultPromise = new $TypeData().initClass({
  s_concurrent_impl_Promise$DefaultPromise: 0
}, false, "scala.concurrent.impl.Promise$DefaultPromise", {
  s_concurrent_impl_Promise$DefaultPromise: 1,
  s_concurrent_impl_AbstractPromise: 1,
  ju_concurrent_atomic_AtomicReference: 1,
  O: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_concurrent_impl_Promise: 1,
  s_concurrent_Promise: 1,
  s_concurrent_Future: 1,
  s_concurrent_Awaitable: 1
});
$c_s_concurrent_impl_Promise$DefaultPromise.prototype.$classData = $d_s_concurrent_impl_Promise$DefaultPromise;
/** @constructor */
function $c_s_reflect_ManifestFactory$BooleanManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$BooleanManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$BooleanManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$BooleanManifest$.prototype = $c_s_reflect_ManifestFactory$BooleanManifest$.prototype;
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype.init___ = (function() {
  this.toString$1 = "Boolean";
  return this
});
var $d_s_reflect_ManifestFactory$BooleanManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$BooleanManifest$: 0
}, false, "scala.reflect.ManifestFactory$BooleanManifest$", {
  s_reflect_ManifestFactory$BooleanManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$BooleanManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$BooleanManifest$;
var $n_s_reflect_ManifestFactory$BooleanManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$BooleanManifest$() {
  if ((!$n_s_reflect_ManifestFactory$BooleanManifest$)) {
    $n_s_reflect_ManifestFactory$BooleanManifest$ = new $c_s_reflect_ManifestFactory$BooleanManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$BooleanManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$ByteManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$ByteManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$ByteManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$ByteManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$ByteManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$ByteManifest$.prototype = $c_s_reflect_ManifestFactory$ByteManifest$.prototype;
$c_s_reflect_ManifestFactory$ByteManifest$.prototype.init___ = (function() {
  this.toString$1 = "Byte";
  return this
});
var $d_s_reflect_ManifestFactory$ByteManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ByteManifest$: 0
}, false, "scala.reflect.ManifestFactory$ByteManifest$", {
  s_reflect_ManifestFactory$ByteManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ByteManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ByteManifest$;
var $n_s_reflect_ManifestFactory$ByteManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$ByteManifest$() {
  if ((!$n_s_reflect_ManifestFactory$ByteManifest$)) {
    $n_s_reflect_ManifestFactory$ByteManifest$ = new $c_s_reflect_ManifestFactory$ByteManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ByteManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$CharManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$CharManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$CharManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$CharManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$CharManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$CharManifest$.prototype = $c_s_reflect_ManifestFactory$CharManifest$.prototype;
$c_s_reflect_ManifestFactory$CharManifest$.prototype.init___ = (function() {
  this.toString$1 = "Char";
  return this
});
var $d_s_reflect_ManifestFactory$CharManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$CharManifest$: 0
}, false, "scala.reflect.ManifestFactory$CharManifest$", {
  s_reflect_ManifestFactory$CharManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$CharManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$CharManifest$;
var $n_s_reflect_ManifestFactory$CharManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$CharManifest$() {
  if ((!$n_s_reflect_ManifestFactory$CharManifest$)) {
    $n_s_reflect_ManifestFactory$CharManifest$ = new $c_s_reflect_ManifestFactory$CharManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$CharManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$DoubleManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$DoubleManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$DoubleManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$DoubleManifest$.prototype = $c_s_reflect_ManifestFactory$DoubleManifest$.prototype;
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype.init___ = (function() {
  this.toString$1 = "Double";
  return this
});
var $d_s_reflect_ManifestFactory$DoubleManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$DoubleManifest$: 0
}, false, "scala.reflect.ManifestFactory$DoubleManifest$", {
  s_reflect_ManifestFactory$DoubleManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$DoubleManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$DoubleManifest$;
var $n_s_reflect_ManifestFactory$DoubleManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$DoubleManifest$() {
  if ((!$n_s_reflect_ManifestFactory$DoubleManifest$)) {
    $n_s_reflect_ManifestFactory$DoubleManifest$ = new $c_s_reflect_ManifestFactory$DoubleManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$DoubleManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$FloatManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$FloatManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$FloatManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$FloatManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$FloatManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$FloatManifest$.prototype = $c_s_reflect_ManifestFactory$FloatManifest$.prototype;
$c_s_reflect_ManifestFactory$FloatManifest$.prototype.init___ = (function() {
  this.toString$1 = "Float";
  return this
});
var $d_s_reflect_ManifestFactory$FloatManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$FloatManifest$: 0
}, false, "scala.reflect.ManifestFactory$FloatManifest$", {
  s_reflect_ManifestFactory$FloatManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$FloatManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$FloatManifest$;
var $n_s_reflect_ManifestFactory$FloatManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$FloatManifest$() {
  if ((!$n_s_reflect_ManifestFactory$FloatManifest$)) {
    $n_s_reflect_ManifestFactory$FloatManifest$ = new $c_s_reflect_ManifestFactory$FloatManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$FloatManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$IntManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$IntManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$IntManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$IntManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$IntManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$IntManifest$.prototype = $c_s_reflect_ManifestFactory$IntManifest$.prototype;
$c_s_reflect_ManifestFactory$IntManifest$.prototype.init___ = (function() {
  this.toString$1 = "Int";
  return this
});
var $d_s_reflect_ManifestFactory$IntManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$IntManifest$: 0
}, false, "scala.reflect.ManifestFactory$IntManifest$", {
  s_reflect_ManifestFactory$IntManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$IntManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$IntManifest$;
var $n_s_reflect_ManifestFactory$IntManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$IntManifest$() {
  if ((!$n_s_reflect_ManifestFactory$IntManifest$)) {
    $n_s_reflect_ManifestFactory$IntManifest$ = new $c_s_reflect_ManifestFactory$IntManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$IntManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$LongManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$LongManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$LongManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$LongManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$LongManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$LongManifest$.prototype = $c_s_reflect_ManifestFactory$LongManifest$.prototype;
$c_s_reflect_ManifestFactory$LongManifest$.prototype.init___ = (function() {
  this.toString$1 = "Long";
  return this
});
var $d_s_reflect_ManifestFactory$LongManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$LongManifest$: 0
}, false, "scala.reflect.ManifestFactory$LongManifest$", {
  s_reflect_ManifestFactory$LongManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$LongManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$LongManifest$;
var $n_s_reflect_ManifestFactory$LongManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$LongManifest$() {
  if ((!$n_s_reflect_ManifestFactory$LongManifest$)) {
    $n_s_reflect_ManifestFactory$LongManifest$ = new $c_s_reflect_ManifestFactory$LongManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$LongManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$PhantomManifest() {
  $c_s_reflect_ManifestFactory$ClassTypeManifest.call(this);
  this.toString$2 = null
}
$c_s_reflect_ManifestFactory$PhantomManifest.prototype = new $h_s_reflect_ManifestFactory$ClassTypeManifest();
$c_s_reflect_ManifestFactory$PhantomManifest.prototype.constructor = $c_s_reflect_ManifestFactory$PhantomManifest;
/** @constructor */
function $h_s_reflect_ManifestFactory$PhantomManifest() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$PhantomManifest.prototype = $c_s_reflect_ManifestFactory$PhantomManifest.prototype;
$c_s_reflect_ManifestFactory$PhantomManifest.prototype.equals__O__Z = (function(that) {
  return (this === that)
});
$c_s_reflect_ManifestFactory$PhantomManifest.prototype.toString__T = (function() {
  return this.toString$2
});
$c_s_reflect_ManifestFactory$PhantomManifest.prototype.hashCode__I = (function() {
  return $systemIdentityHashCode(this)
});
/** @constructor */
function $c_s_reflect_ManifestFactory$ShortManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$ShortManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$ShortManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$ShortManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$ShortManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$ShortManifest$.prototype = $c_s_reflect_ManifestFactory$ShortManifest$.prototype;
$c_s_reflect_ManifestFactory$ShortManifest$.prototype.init___ = (function() {
  this.toString$1 = "Short";
  return this
});
var $d_s_reflect_ManifestFactory$ShortManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ShortManifest$: 0
}, false, "scala.reflect.ManifestFactory$ShortManifest$", {
  s_reflect_ManifestFactory$ShortManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ShortManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ShortManifest$;
var $n_s_reflect_ManifestFactory$ShortManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$ShortManifest$() {
  if ((!$n_s_reflect_ManifestFactory$ShortManifest$)) {
    $n_s_reflect_ManifestFactory$ShortManifest$ = new $c_s_reflect_ManifestFactory$ShortManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ShortManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$UnitManifest$() {
  $c_s_reflect_AnyValManifest.call(this)
}
$c_s_reflect_ManifestFactory$UnitManifest$.prototype = new $h_s_reflect_AnyValManifest();
$c_s_reflect_ManifestFactory$UnitManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$UnitManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$UnitManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$UnitManifest$.prototype = $c_s_reflect_ManifestFactory$UnitManifest$.prototype;
$c_s_reflect_ManifestFactory$UnitManifest$.prototype.init___ = (function() {
  this.toString$1 = "Unit";
  return this
});
var $d_s_reflect_ManifestFactory$UnitManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$UnitManifest$: 0
}, false, "scala.reflect.ManifestFactory$UnitManifest$", {
  s_reflect_ManifestFactory$UnitManifest$: 1,
  s_reflect_AnyValManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$UnitManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$UnitManifest$;
var $n_s_reflect_ManifestFactory$UnitManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$UnitManifest$() {
  if ((!$n_s_reflect_ManifestFactory$UnitManifest$)) {
    $n_s_reflect_ManifestFactory$UnitManifest$ = new $c_s_reflect_ManifestFactory$UnitManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$UnitManifest$
}
/** @constructor */
function $c_sci_List$() {
  $c_scg_SeqFactory.call(this);
  this.partialNotApplied$5 = null
}
$c_sci_List$.prototype = new $h_scg_SeqFactory();
$c_sci_List$.prototype.constructor = $c_sci_List$;
/** @constructor */
function $h_sci_List$() {
  /*<skip>*/
}
$h_sci_List$.prototype = $c_sci_List$.prototype;
$c_sci_List$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  $n_sci_List$ = this;
  this.partialNotApplied$5 = new $c_sci_List$$anon$1().init___();
  return this
});
$c_sci_List$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ListBuffer().init___()
});
var $d_sci_List$ = new $TypeData().initClass({
  sci_List$: 0
}, false, "scala.collection.immutable.List$", {
  sci_List$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_List$.prototype.$classData = $d_sci_List$;
var $n_sci_List$ = (void 0);
function $m_sci_List$() {
  if ((!$n_sci_List$)) {
    $n_sci_List$ = new $c_sci_List$().init___()
  };
  return $n_sci_List$
}
/** @constructor */
function $c_sci_Stream$() {
  $c_scg_SeqFactory.call(this)
}
$c_sci_Stream$.prototype = new $h_scg_SeqFactory();
$c_sci_Stream$.prototype.constructor = $c_sci_Stream$;
/** @constructor */
function $h_sci_Stream$() {
  /*<skip>*/
}
$h_sci_Stream$.prototype = $c_sci_Stream$.prototype;
$c_sci_Stream$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_sci_Stream$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_sci_Stream$StreamBuilder().init___()
});
var $d_sci_Stream$ = new $TypeData().initClass({
  sci_Stream$: 0
}, false, "scala.collection.immutable.Stream$", {
  sci_Stream$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$.prototype.$classData = $d_sci_Stream$;
var $n_sci_Stream$ = (void 0);
function $m_sci_Stream$() {
  if ((!$n_sci_Stream$)) {
    $n_sci_Stream$ = new $c_sci_Stream$().init___()
  };
  return $n_sci_Stream$
}
/** @constructor */
function $c_scm_ArrayBuffer$() {
  $c_scg_SeqFactory.call(this)
}
$c_scm_ArrayBuffer$.prototype = new $h_scg_SeqFactory();
$c_scm_ArrayBuffer$.prototype.constructor = $c_scm_ArrayBuffer$;
/** @constructor */
function $h_scm_ArrayBuffer$() {
  /*<skip>*/
}
$h_scm_ArrayBuffer$.prototype = $c_scm_ArrayBuffer$.prototype;
$c_scm_ArrayBuffer$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_scm_ArrayBuffer$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_ArrayBuffer().init___()
});
var $d_scm_ArrayBuffer$ = new $TypeData().initClass({
  scm_ArrayBuffer$: 0
}, false, "scala.collection.mutable.ArrayBuffer$", {
  scm_ArrayBuffer$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuffer$.prototype.$classData = $d_scm_ArrayBuffer$;
var $n_scm_ArrayBuffer$ = (void 0);
function $m_scm_ArrayBuffer$() {
  if ((!$n_scm_ArrayBuffer$)) {
    $n_scm_ArrayBuffer$ = new $c_scm_ArrayBuffer$().init___()
  };
  return $n_scm_ArrayBuffer$
}
/** @constructor */
function $c_scm_ListBuffer$() {
  $c_scg_SeqFactory.call(this)
}
$c_scm_ListBuffer$.prototype = new $h_scg_SeqFactory();
$c_scm_ListBuffer$.prototype.constructor = $c_scm_ListBuffer$;
/** @constructor */
function $h_scm_ListBuffer$() {
  /*<skip>*/
}
$h_scm_ListBuffer$.prototype = $c_scm_ListBuffer$.prototype;
$c_scm_ListBuffer$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  return this
});
$c_scm_ListBuffer$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_ListBuffer().init___())
});
var $d_scm_ListBuffer$ = new $TypeData().initClass({
  scm_ListBuffer$: 0
}, false, "scala.collection.mutable.ListBuffer$", {
  scm_ListBuffer$: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListBuffer$.prototype.$classData = $d_scm_ListBuffer$;
var $n_scm_ListBuffer$ = (void 0);
function $m_scm_ListBuffer$() {
  if ((!$n_scm_ListBuffer$)) {
    $n_scm_ListBuffer$ = new $c_scm_ListBuffer$().init___()
  };
  return $n_scm_ListBuffer$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$AnyManifest$() {
  $c_s_reflect_ManifestFactory$PhantomManifest.call(this)
}
$c_s_reflect_ManifestFactory$AnyManifest$.prototype = new $h_s_reflect_ManifestFactory$PhantomManifest();
$c_s_reflect_ManifestFactory$AnyManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$AnyManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$AnyManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$AnyManifest$.prototype = $c_s_reflect_ManifestFactory$AnyManifest$.prototype;
$c_s_reflect_ManifestFactory$AnyManifest$.prototype.init___ = (function() {
  this.toString$2 = "Any";
  var prefix = $m_s_None$();
  var typeArguments = $m_sci_Nil$();
  this.prefix$1 = prefix;
  this.runtimeClass1$1 = $d_O.getClassOf();
  this.typeArguments$1 = typeArguments;
  return this
});
var $d_s_reflect_ManifestFactory$AnyManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$AnyManifest$: 0
}, false, "scala.reflect.ManifestFactory$AnyManifest$", {
  s_reflect_ManifestFactory$AnyManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$AnyManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$AnyManifest$;
var $n_s_reflect_ManifestFactory$AnyManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$AnyManifest$() {
  if ((!$n_s_reflect_ManifestFactory$AnyManifest$)) {
    $n_s_reflect_ManifestFactory$AnyManifest$ = new $c_s_reflect_ManifestFactory$AnyManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$AnyManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$AnyValManifest$() {
  $c_s_reflect_ManifestFactory$PhantomManifest.call(this)
}
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype = new $h_s_reflect_ManifestFactory$PhantomManifest();
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$AnyValManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$AnyValManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$AnyValManifest$.prototype = $c_s_reflect_ManifestFactory$AnyValManifest$.prototype;
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype.init___ = (function() {
  this.toString$2 = "AnyVal";
  var prefix = $m_s_None$();
  var typeArguments = $m_sci_Nil$();
  this.prefix$1 = prefix;
  this.runtimeClass1$1 = $d_O.getClassOf();
  this.typeArguments$1 = typeArguments;
  return this
});
var $d_s_reflect_ManifestFactory$AnyValManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$AnyValManifest$: 0
}, false, "scala.reflect.ManifestFactory$AnyValManifest$", {
  s_reflect_ManifestFactory$AnyValManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$AnyValManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$AnyValManifest$;
var $n_s_reflect_ManifestFactory$AnyValManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$AnyValManifest$() {
  if ((!$n_s_reflect_ManifestFactory$AnyValManifest$)) {
    $n_s_reflect_ManifestFactory$AnyValManifest$ = new $c_s_reflect_ManifestFactory$AnyValManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$AnyValManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$NothingManifest$() {
  $c_s_reflect_ManifestFactory$PhantomManifest.call(this)
}
$c_s_reflect_ManifestFactory$NothingManifest$.prototype = new $h_s_reflect_ManifestFactory$PhantomManifest();
$c_s_reflect_ManifestFactory$NothingManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$NothingManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$NothingManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$NothingManifest$.prototype = $c_s_reflect_ManifestFactory$NothingManifest$.prototype;
$c_s_reflect_ManifestFactory$NothingManifest$.prototype.init___ = (function() {
  this.toString$2 = "Nothing";
  var prefix = $m_s_None$();
  var typeArguments = $m_sci_Nil$();
  this.prefix$1 = prefix;
  this.runtimeClass1$1 = $d_sr_Nothing$.getClassOf();
  this.typeArguments$1 = typeArguments;
  return this
});
var $d_s_reflect_ManifestFactory$NothingManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$NothingManifest$: 0
}, false, "scala.reflect.ManifestFactory$NothingManifest$", {
  s_reflect_ManifestFactory$NothingManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$NothingManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$NothingManifest$;
var $n_s_reflect_ManifestFactory$NothingManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$NothingManifest$() {
  if ((!$n_s_reflect_ManifestFactory$NothingManifest$)) {
    $n_s_reflect_ManifestFactory$NothingManifest$ = new $c_s_reflect_ManifestFactory$NothingManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$NothingManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$NullManifest$() {
  $c_s_reflect_ManifestFactory$PhantomManifest.call(this)
}
$c_s_reflect_ManifestFactory$NullManifest$.prototype = new $h_s_reflect_ManifestFactory$PhantomManifest();
$c_s_reflect_ManifestFactory$NullManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$NullManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$NullManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$NullManifest$.prototype = $c_s_reflect_ManifestFactory$NullManifest$.prototype;
$c_s_reflect_ManifestFactory$NullManifest$.prototype.init___ = (function() {
  this.toString$2 = "Null";
  var prefix = $m_s_None$();
  var typeArguments = $m_sci_Nil$();
  this.prefix$1 = prefix;
  this.runtimeClass1$1 = $d_sr_Null$.getClassOf();
  this.typeArguments$1 = typeArguments;
  return this
});
var $d_s_reflect_ManifestFactory$NullManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$NullManifest$: 0
}, false, "scala.reflect.ManifestFactory$NullManifest$", {
  s_reflect_ManifestFactory$NullManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$NullManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$NullManifest$;
var $n_s_reflect_ManifestFactory$NullManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$NullManifest$() {
  if ((!$n_s_reflect_ManifestFactory$NullManifest$)) {
    $n_s_reflect_ManifestFactory$NullManifest$ = new $c_s_reflect_ManifestFactory$NullManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$NullManifest$
}
/** @constructor */
function $c_s_reflect_ManifestFactory$ObjectManifest$() {
  $c_s_reflect_ManifestFactory$PhantomManifest.call(this)
}
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype = new $h_s_reflect_ManifestFactory$PhantomManifest();
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype.constructor = $c_s_reflect_ManifestFactory$ObjectManifest$;
/** @constructor */
function $h_s_reflect_ManifestFactory$ObjectManifest$() {
  /*<skip>*/
}
$h_s_reflect_ManifestFactory$ObjectManifest$.prototype = $c_s_reflect_ManifestFactory$ObjectManifest$.prototype;
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype.init___ = (function() {
  this.toString$2 = "Object";
  var prefix = $m_s_None$();
  var typeArguments = $m_sci_Nil$();
  this.prefix$1 = prefix;
  this.runtimeClass1$1 = $d_O.getClassOf();
  this.typeArguments$1 = typeArguments;
  return this
});
var $d_s_reflect_ManifestFactory$ObjectManifest$ = new $TypeData().initClass({
  s_reflect_ManifestFactory$ObjectManifest$: 0
}, false, "scala.reflect.ManifestFactory$ObjectManifest$", {
  s_reflect_ManifestFactory$ObjectManifest$: 1,
  s_reflect_ManifestFactory$PhantomManifest: 1,
  s_reflect_ManifestFactory$ClassTypeManifest: 1,
  O: 1,
  s_reflect_Manifest: 1,
  s_reflect_ClassTag: 1,
  s_reflect_ClassManifestDeprecatedApis: 1,
  s_reflect_OptManifest: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  s_Equals: 1
});
$c_s_reflect_ManifestFactory$ObjectManifest$.prototype.$classData = $d_s_reflect_ManifestFactory$ObjectManifest$;
var $n_s_reflect_ManifestFactory$ObjectManifest$ = (void 0);
function $m_s_reflect_ManifestFactory$ObjectManifest$() {
  if ((!$n_s_reflect_ManifestFactory$ObjectManifest$)) {
    $n_s_reflect_ManifestFactory$ObjectManifest$ = new $c_s_reflect_ManifestFactory$ObjectManifest$().init___()
  };
  return $n_s_reflect_ManifestFactory$ObjectManifest$
}
function $is_sc_GenMap(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenMap)))
}
function $as_sc_GenMap(obj) {
  return (($is_sc_GenMap(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.GenMap"))
}
function $isArrayOf_sc_GenMap(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenMap)))
}
function $asArrayOf_sc_GenMap(obj, depth) {
  return (($isArrayOf_sc_GenMap(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.GenMap;", depth))
}
function $is_sc_GenSeq(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenSeq)))
}
function $as_sc_GenSeq(obj) {
  return (($is_sc_GenSeq(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.GenSeq"))
}
function $isArrayOf_sc_GenSeq(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenSeq)))
}
function $asArrayOf_sc_GenSeq(obj, depth) {
  return (($isArrayOf_sc_GenSeq(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.GenSeq;", depth))
}
/** @constructor */
function $c_sci_Vector$() {
  $c_scg_IndexedSeqFactory.call(this);
  this.NIL$6 = null;
  this.Log2ConcatFaster$6 = 0;
  this.TinyAppendFaster$6 = 0
}
$c_sci_Vector$.prototype = new $h_scg_IndexedSeqFactory();
$c_sci_Vector$.prototype.constructor = $c_sci_Vector$;
/** @constructor */
function $h_sci_Vector$() {
  /*<skip>*/
}
$h_sci_Vector$.prototype = $c_sci_Vector$.prototype;
$c_sci_Vector$.prototype.init___ = (function() {
  $c_scg_GenTraversableFactory.prototype.init___.call(this);
  $n_sci_Vector$ = this;
  this.NIL$6 = new $c_sci_Vector().init___I__I__I(0, 0, 0);
  return this
});
$c_sci_Vector$.prototype.newBuilder__scm_Builder = (function() {
  return new $c_sci_VectorBuilder().init___()
});
var $d_sci_Vector$ = new $TypeData().initClass({
  sci_Vector$: 0
}, false, "scala.collection.immutable.Vector$", {
  sci_Vector$: 1,
  scg_IndexedSeqFactory: 1,
  scg_SeqFactory: 1,
  scg_GenSeqFactory: 1,
  scg_GenTraversableFactory: 1,
  scg_GenericCompanion: 1,
  O: 1,
  scg_TraversableFactory: 1,
  scg_GenericSeqCompanion: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Vector$.prototype.$classData = $d_sci_Vector$;
var $n_sci_Vector$ = (void 0);
function $m_sci_Vector$() {
  if ((!$n_sci_Vector$)) {
    $n_sci_Vector$ = new $c_sci_Vector$().init___()
  };
  return $n_sci_Vector$
}
/** @constructor */
function $c_sc_AbstractTraversable() {
  $c_O.call(this)
}
$c_sc_AbstractTraversable.prototype = new $h_O();
$c_sc_AbstractTraversable.prototype.constructor = $c_sc_AbstractTraversable;
/** @constructor */
function $h_sc_AbstractTraversable() {
  /*<skip>*/
}
$h_sc_AbstractTraversable.prototype = $c_sc_AbstractTraversable.prototype;
$c_sc_AbstractTraversable.prototype.toList__sci_List = (function() {
  var this$1 = $m_sci_List$();
  var cbf = this$1.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(this, cbf))
});
$c_sc_AbstractTraversable.prototype.mkString__T__T__T__T = (function(start, sep, end) {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, start, sep, end)
});
$c_sc_AbstractTraversable.prototype.mkString__T__T = (function(sep) {
  return this.mkString__T__T__T__T("", sep, "")
});
$c_sc_AbstractTraversable.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
});
$c_sc_AbstractTraversable.prototype.repr__O = (function() {
  return this
});
$c_sc_AbstractTraversable.prototype.newBuilder__scm_Builder = (function() {
  return this.companion__scg_GenericCompanion().newBuilder__scm_Builder()
});
$c_sc_AbstractTraversable.prototype.stringPrefix__T = (function() {
  return $s_sc_TraversableLike$class__stringPrefix__sc_TraversableLike__T(this)
});
function $is_sc_GenSet(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_GenSet)))
}
function $as_sc_GenSet(obj) {
  return (($is_sc_GenSet(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.GenSet"))
}
function $isArrayOf_sc_GenSet(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_GenSet)))
}
function $asArrayOf_sc_GenSet(obj, depth) {
  return (($isArrayOf_sc_GenSet(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.GenSet;", depth))
}
function $is_sc_IndexedSeqLike(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_IndexedSeqLike)))
}
function $as_sc_IndexedSeqLike(obj) {
  return (($is_sc_IndexedSeqLike(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.IndexedSeqLike"))
}
function $isArrayOf_sc_IndexedSeqLike(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_IndexedSeqLike)))
}
function $asArrayOf_sc_IndexedSeqLike(obj, depth) {
  return (($isArrayOf_sc_IndexedSeqLike(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.IndexedSeqLike;", depth))
}
function $is_sc_LinearSeqLike(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeqLike)))
}
function $as_sc_LinearSeqLike(obj) {
  return (($is_sc_LinearSeqLike(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.LinearSeqLike"))
}
function $isArrayOf_sc_LinearSeqLike(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeqLike)))
}
function $asArrayOf_sc_LinearSeqLike(obj, depth) {
  return (($isArrayOf_sc_LinearSeqLike(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.LinearSeqLike;", depth))
}
function $is_sc_LinearSeqOptimized(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeqOptimized)))
}
function $as_sc_LinearSeqOptimized(obj) {
  return (($is_sc_LinearSeqOptimized(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.LinearSeqOptimized"))
}
function $isArrayOf_sc_LinearSeqOptimized(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeqOptimized)))
}
function $asArrayOf_sc_LinearSeqOptimized(obj, depth) {
  return (($isArrayOf_sc_LinearSeqOptimized(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.LinearSeqOptimized;", depth))
}
/** @constructor */
function $c_sc_AbstractIterable() {
  $c_sc_AbstractTraversable.call(this)
}
$c_sc_AbstractIterable.prototype = new $h_sc_AbstractTraversable();
$c_sc_AbstractIterable.prototype.constructor = $c_sc_AbstractIterable;
/** @constructor */
function $h_sc_AbstractIterable() {
  /*<skip>*/
}
$h_sc_AbstractIterable.prototype = $c_sc_AbstractIterable.prototype;
$c_sc_AbstractIterable.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IterableLike$class__sameElements__sc_IterableLike__sc_GenIterable__Z(this, that)
});
$c_sc_AbstractIterable.prototype.forall__F1__Z = (function(p) {
  var this$1 = this.iterator__sc_Iterator();
  return $s_sc_Iterator$class__forall__sc_Iterator__F1__Z(this$1, p)
});
$c_sc_AbstractIterable.prototype.foreach__F1__V = (function(f) {
  var this$1 = this.iterator__sc_Iterator();
  $s_sc_Iterator$class__foreach__sc_Iterator__F1__V(this$1, f)
});
$c_sc_AbstractIterable.prototype.toStream__sci_Stream = (function() {
  return this.iterator__sc_Iterator().toStream__sci_Stream()
});
$c_sc_AbstractIterable.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IterableLike$class__copyToArray__sc_IterableLike__O__I__I__V(this, xs, start, len)
});
function $is_sci_Iterable(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Iterable)))
}
function $as_sci_Iterable(obj) {
  return (($is_sci_Iterable(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.Iterable"))
}
function $isArrayOf_sci_Iterable(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Iterable)))
}
function $asArrayOf_sci_Iterable(obj, depth) {
  return (($isArrayOf_sci_Iterable(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.Iterable;", depth))
}
var $d_sci_Iterable = new $TypeData().initClass({
  sci_Iterable: 0
}, true, "scala.collection.immutable.Iterable", {
  sci_Iterable: 1,
  sci_Traversable: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  s_Immutable: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1
});
/** @constructor */
function $c_sci_StringOps() {
  $c_O.call(this);
  this.repr$1 = null
}
$c_sci_StringOps.prototype = new $h_O();
$c_sci_StringOps.prototype.constructor = $c_sci_StringOps;
/** @constructor */
function $h_sci_StringOps() {
  /*<skip>*/
}
$h_sci_StringOps.prototype = $c_sci_StringOps.prototype;
$c_sci_StringOps.prototype.seq__sc_TraversableOnce = (function() {
  var $$this = this.repr$1;
  return new $c_sci_WrappedString().init___T($$this)
});
$c_sci_StringOps.prototype.apply__I__O = (function(idx) {
  var $$this = this.repr$1;
  var c = (65535 & $uI($$this.charCodeAt(idx)));
  return new $c_jl_Character().init___C(c)
});
$c_sci_StringOps.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_sci_StringOps.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_sci_StringOps.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_sci_StringOps.prototype.toList__sci_List = (function() {
  var this$1 = $m_sci_List$();
  var cbf = this$1.ReusableCBFInstance$2;
  return $as_sci_List($s_sc_TraversableLike$class__to__sc_TraversableLike__scg_CanBuildFrom__O(this, cbf))
});
$c_sci_StringOps.prototype.thisCollection__sc_Traversable = (function() {
  var $$this = this.repr$1;
  return new $c_sci_WrappedString().init___T($$this)
});
$c_sci_StringOps.prototype.equals__O__Z = (function(x$1) {
  return $m_sci_StringOps$().equals$extension__T__O__Z(this.repr$1, x$1)
});
$c_sci_StringOps.prototype.mkString__T__T__T__T = (function(start, sep, end) {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, start, sep, end)
});
$c_sci_StringOps.prototype.mkString__T__T = (function(sep) {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, "", sep, "")
});
$c_sci_StringOps.prototype.toString__T = (function() {
  var $$this = this.repr$1;
  return $$this
});
$c_sci_StringOps.prototype.foreach__F1__V = (function(f) {
  $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V(this, f)
});
$c_sci_StringOps.prototype.reverse__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O(this)
});
$c_sci_StringOps.prototype.size__I = (function() {
  var $$this = this.repr$1;
  return $uI($$this.length)
});
$c_sci_StringOps.prototype.iterator__sc_Iterator = (function() {
  var $$this = this.repr$1;
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $uI($$this.length))
});
$c_sci_StringOps.prototype.length__I = (function() {
  var $$this = this.repr$1;
  return $uI($$this.length)
});
$c_sci_StringOps.prototype.toStream__sci_Stream = (function() {
  var $$this = this.repr$1;
  var this$3 = new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $uI($$this.length));
  return $s_sc_Iterator$class__toStream__sc_Iterator__sci_Stream(this$3)
});
$c_sci_StringOps.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
});
$c_sci_StringOps.prototype.repr__O = (function() {
  return this.repr$1
});
$c_sci_StringOps.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V(this, xs, start, len)
});
$c_sci_StringOps.prototype.hashCode__I = (function() {
  var $$this = this.repr$1;
  return $m_sjsr_RuntimeString$().hashCode__T__I($$this)
});
$c_sci_StringOps.prototype.init___T = (function(repr) {
  this.repr$1 = repr;
  return this
});
$c_sci_StringOps.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_T(repr);
  return new $c_sci_WrappedString().init___T(repr$1)
});
$c_sci_StringOps.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_StringBuilder().init___()
});
$c_sci_StringOps.prototype.stringPrefix__T = (function() {
  return $s_sc_TraversableLike$class__stringPrefix__sc_TraversableLike__T(this)
});
function $is_sci_StringOps(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_StringOps)))
}
function $as_sci_StringOps(obj) {
  return (($is_sci_StringOps(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.StringOps"))
}
function $isArrayOf_sci_StringOps(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_StringOps)))
}
function $asArrayOf_sci_StringOps(obj, depth) {
  return (($isArrayOf_sci_StringOps(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.StringOps;", depth))
}
var $d_sci_StringOps = new $TypeData().initClass({
  sci_StringOps: 0
}, false, "scala.collection.immutable.StringOps", {
  sci_StringOps: 1,
  O: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  sc_IndexedSeqLike: 1,
  sc_SeqLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenIterableLike: 1,
  sc_GenSeqLike: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_sci_StringOps.prototype.$classData = $d_sci_StringOps;
function $is_sc_Seq(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Seq)))
}
function $as_sc_Seq(obj) {
  return (($is_sc_Seq(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.Seq"))
}
function $isArrayOf_sc_Seq(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Seq)))
}
function $asArrayOf_sc_Seq(obj, depth) {
  return (($isArrayOf_sc_Seq(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.Seq;", depth))
}
function $is_sc_Set(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_Set)))
}
function $as_sc_Set(obj) {
  return (($is_sc_Set(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.Set"))
}
function $isArrayOf_sc_Set(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_Set)))
}
function $asArrayOf_sc_Set(obj, depth) {
  return (($isArrayOf_sc_Set(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.Set;", depth))
}
/** @constructor */
function $c_scm_AbstractIterable() {
  $c_sc_AbstractIterable.call(this)
}
$c_scm_AbstractIterable.prototype = new $h_sc_AbstractIterable();
$c_scm_AbstractIterable.prototype.constructor = $c_scm_AbstractIterable;
/** @constructor */
function $h_scm_AbstractIterable() {
  /*<skip>*/
}
$h_scm_AbstractIterable.prototype = $c_scm_AbstractIterable.prototype;
function $is_sjs_js_ArrayOps(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_ArrayOps)))
}
function $as_sjs_js_ArrayOps(obj) {
  return (($is_sjs_js_ArrayOps(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.scalajs.js.ArrayOps"))
}
function $isArrayOf_sjs_js_ArrayOps(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_ArrayOps)))
}
function $asArrayOf_sjs_js_ArrayOps(obj, depth) {
  return (($isArrayOf_sjs_js_ArrayOps(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.scalajs.js.ArrayOps;", depth))
}
function $is_sc_IndexedSeq(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_IndexedSeq)))
}
function $as_sc_IndexedSeq(obj) {
  return (($is_sc_IndexedSeq(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.IndexedSeq"))
}
function $isArrayOf_sc_IndexedSeq(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_IndexedSeq)))
}
function $asArrayOf_sc_IndexedSeq(obj, depth) {
  return (($isArrayOf_sc_IndexedSeq(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.IndexedSeq;", depth))
}
function $is_sc_LinearSeq(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sc_LinearSeq)))
}
function $as_sc_LinearSeq(obj) {
  return (($is_sc_LinearSeq(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.LinearSeq"))
}
function $isArrayOf_sc_LinearSeq(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sc_LinearSeq)))
}
function $asArrayOf_sc_LinearSeq(obj, depth) {
  return (($isArrayOf_sc_LinearSeq(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.LinearSeq;", depth))
}
/** @constructor */
function $c_sc_AbstractSeq() {
  $c_sc_AbstractIterable.call(this)
}
$c_sc_AbstractSeq.prototype = new $h_sc_AbstractIterable();
$c_sc_AbstractSeq.prototype.constructor = $c_sc_AbstractSeq;
/** @constructor */
function $h_sc_AbstractSeq() {
  /*<skip>*/
}
$h_sc_AbstractSeq.prototype = $c_sc_AbstractSeq.prototype;
$c_sc_AbstractSeq.prototype.isEmpty__Z = (function() {
  return $s_sc_SeqLike$class__isEmpty__sc_SeqLike__Z(this)
});
$c_sc_AbstractSeq.prototype.equals__O__Z = (function(that) {
  return $s_sc_GenSeqLike$class__equals__sc_GenSeqLike__O__Z(this, that)
});
$c_sc_AbstractSeq.prototype.toString__T = (function() {
  return $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this)
});
$c_sc_AbstractSeq.prototype.reverse__O = (function() {
  return $s_sc_SeqLike$class__reverse__sc_SeqLike__O(this)
});
$c_sc_AbstractSeq.prototype.size__I = (function() {
  return this.length__I()
});
$c_sc_AbstractSeq.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this.seq__sc_Seq())
});
$c_sc_AbstractSeq.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return $s_s_PartialFunction$class__applyOrElse__s_PartialFunction__O__F1__O(this, x, $default)
});
$c_sc_AbstractSeq.prototype.toCollection__O__sc_Seq = (function(repr) {
  return $as_sc_Seq(repr)
});
/** @constructor */
function $c_sc_AbstractMap() {
  $c_sc_AbstractIterable.call(this)
}
$c_sc_AbstractMap.prototype = new $h_sc_AbstractIterable();
$c_sc_AbstractMap.prototype.constructor = $c_sc_AbstractMap;
/** @constructor */
function $h_sc_AbstractMap() {
  /*<skip>*/
}
$h_sc_AbstractMap.prototype = $c_sc_AbstractMap.prototype;
$c_sc_AbstractMap.prototype.apply__O__O = (function(key) {
  return $s_sc_MapLike$class__apply__sc_MapLike__O__O(this, key)
});
$c_sc_AbstractMap.prototype.isEmpty__Z = (function() {
  return $s_sc_MapLike$class__isEmpty__sc_MapLike__Z(this)
});
$c_sc_AbstractMap.prototype.equals__O__Z = (function(that) {
  return $s_sc_GenMapLike$class__equals__sc_GenMapLike__O__Z(this, that)
});
$c_sc_AbstractMap.prototype.toString__T = (function() {
  return $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this)
});
$c_sc_AbstractMap.prototype.contains__O__Z = (function(key) {
  return $s_sc_MapLike$class__contains__sc_MapLike__O__Z(this, key)
});
$c_sc_AbstractMap.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  return $s_sc_MapLike$class__addString__sc_MapLike__scm_StringBuilder__T__T__T__scm_StringBuilder(this, b, start, sep, end)
});
$c_sc_AbstractMap.prototype.isDefinedAt__O__Z = (function(key) {
  return this.contains__O__Z(key)
});
$c_sc_AbstractMap.prototype.applyOrElse__O__F1__O = (function(x, $default) {
  return $s_s_PartialFunction$class__applyOrElse__s_PartialFunction__O__F1__O(this, x, $default)
});
$c_sc_AbstractMap.prototype.hashCode__I = (function() {
  var this$1 = $m_s_util_hashing_MurmurHash3$();
  var xs = this.seq__sc_Map();
  return this$1.unorderedHash__sc_TraversableOnce__I__I(xs, this$1.mapSeed$2)
});
$c_sc_AbstractMap.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_MapBuilder().init___sc_GenMap(this.empty__sc_Map())
});
$c_sc_AbstractMap.prototype.stringPrefix__T = (function() {
  return "Map"
});
/** @constructor */
function $c_sc_AbstractSet() {
  $c_sc_AbstractIterable.call(this)
}
$c_sc_AbstractSet.prototype = new $h_sc_AbstractIterable();
$c_sc_AbstractSet.prototype.constructor = $c_sc_AbstractSet;
/** @constructor */
function $h_sc_AbstractSet() {
  /*<skip>*/
}
$h_sc_AbstractSet.prototype = $c_sc_AbstractSet.prototype;
$c_sc_AbstractSet.prototype.equals__O__Z = (function(that) {
  return $s_sc_GenSetLike$class__equals__sc_GenSetLike__O__Z(this, that)
});
$c_sc_AbstractSet.prototype.isEmpty__Z = (function() {
  return $s_sc_SetLike$class__isEmpty__sc_SetLike__Z(this)
});
$c_sc_AbstractSet.prototype.toString__T = (function() {
  return $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this)
});
$c_sc_AbstractSet.prototype.subsetOf__sc_GenSet__Z = (function(that) {
  return this.forall__F1__Z(that)
});
$c_sc_AbstractSet.prototype.hashCode__I = (function() {
  var this$1 = $m_s_util_hashing_MurmurHash3$();
  return this$1.unorderedHash__sc_TraversableOnce__I__I(this, this$1.setSeed$2)
});
$c_sc_AbstractSet.prototype.stringPrefix__T = (function() {
  return "Set"
});
$c_sc_AbstractSet.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_SetBuilder().init___sc_Set(this.empty__sc_Set())
});
function $is_sci_Map(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Map)))
}
function $as_sci_Map(obj) {
  return (($is_sci_Map(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.Map"))
}
function $isArrayOf_sci_Map(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Map)))
}
function $asArrayOf_sci_Map(obj, depth) {
  return (($isArrayOf_sci_Map(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.Map;", depth))
}
/** @constructor */
function $c_sci_AbstractMap() {
  $c_sc_AbstractMap.call(this)
}
$c_sci_AbstractMap.prototype = new $h_sc_AbstractMap();
$c_sci_AbstractMap.prototype.constructor = $c_sci_AbstractMap;
/** @constructor */
function $h_sci_AbstractMap() {
  /*<skip>*/
}
$h_sci_AbstractMap.prototype = $c_sci_AbstractMap.prototype;
$c_sci_AbstractMap.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_AbstractMap.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_AbstractMap.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Iterable$()
});
$c_sci_AbstractMap.prototype.empty__sc_Map = (function() {
  return this.empty__sci_Map()
});
$c_sci_AbstractMap.prototype.empty__sci_Map = (function() {
  return $m_sci_Map$EmptyMap$()
});
$c_sci_AbstractMap.prototype.seq__sc_Map = (function() {
  return this
});
/** @constructor */
function $c_sci_ListSet() {
  $c_sc_AbstractSet.call(this)
}
$c_sci_ListSet.prototype = new $h_sc_AbstractSet();
$c_sci_ListSet.prototype.constructor = $c_sci_ListSet;
/** @constructor */
function $h_sci_ListSet() {
  /*<skip>*/
}
$h_sci_ListSet.prototype = $c_sci_ListSet.prototype;
$c_sci_ListSet.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_ListSet.prototype.head__O = (function() {
  throw new $c_ju_NoSuchElementException().init___T("Set has no elements")
});
$c_sci_ListSet.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_ListSet.prototype.isEmpty__Z = (function() {
  return true
});
$c_sci_ListSet.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_ListSet.prototype.scala$collection$immutable$ListSet$$unchecked$undouter__sci_ListSet = (function() {
  throw new $c_ju_NoSuchElementException().init___T("Empty ListSet has no outer pointer")
});
$c_sci_ListSet.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_ListSet$()
});
$c_sci_ListSet.prototype.$$plus__O__sci_ListSet = (function(elem) {
  return new $c_sci_ListSet$Node().init___sci_ListSet__O(this, elem)
});
$c_sci_ListSet.prototype.size__I = (function() {
  return 0
});
$c_sci_ListSet.prototype.iterator__sc_Iterator = (function() {
  return new $c_sci_ListSet$$anon$1().init___sci_ListSet(this)
});
$c_sci_ListSet.prototype.empty__sc_Set = (function() {
  return $m_sci_ListSet$EmptyListSet$()
});
$c_sci_ListSet.prototype.contains__O__Z = (function(elem) {
  return false
});
$c_sci_ListSet.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_ListSet(elem)
});
$c_sci_ListSet.prototype.tail__sci_ListSet = (function() {
  throw new $c_ju_NoSuchElementException().init___T("Next of an empty set")
});
$c_sci_ListSet.prototype.stringPrefix__T = (function() {
  return "ListSet"
});
function $is_sci_ListSet(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_ListSet)))
}
function $as_sci_ListSet(obj) {
  return (($is_sci_ListSet(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.ListSet"))
}
function $isArrayOf_sci_ListSet(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_ListSet)))
}
function $asArrayOf_sci_ListSet(obj, depth) {
  return (($isArrayOf_sci_ListSet(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.ListSet;", depth))
}
/** @constructor */
function $c_sci_Set$EmptySet$() {
  $c_sc_AbstractSet.call(this)
}
$c_sci_Set$EmptySet$.prototype = new $h_sc_AbstractSet();
$c_sci_Set$EmptySet$.prototype.constructor = $c_sci_Set$EmptySet$;
/** @constructor */
function $h_sci_Set$EmptySet$() {
  /*<skip>*/
}
$h_sci_Set$EmptySet$.prototype = $c_sci_Set$EmptySet$.prototype;
$c_sci_Set$EmptySet$.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Set$EmptySet$.prototype.init___ = (function() {
  return this
});
$c_sci_Set$EmptySet$.prototype.apply__O__O = (function(v1) {
  return false
});
$c_sci_Set$EmptySet$.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Set$EmptySet$.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Set$()
});
$c_sci_Set$EmptySet$.prototype.foreach__F1__V = (function(f) {
  /*<skip>*/
});
$c_sci_Set$EmptySet$.prototype.size__I = (function() {
  return 0
});
$c_sci_Set$EmptySet$.prototype.iterator__sc_Iterator = (function() {
  return $m_sc_Iterator$().empty$1
});
$c_sci_Set$EmptySet$.prototype.empty__sc_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
$c_sci_Set$EmptySet$.prototype.$$plus__O__sc_Set = (function(elem) {
  return new $c_sci_Set$Set1().init___O(elem)
});
var $d_sci_Set$EmptySet$ = new $TypeData().initClass({
  sci_Set$EmptySet$: 0
}, false, "scala.collection.immutable.Set$EmptySet$", {
  sci_Set$EmptySet$: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$EmptySet$.prototype.$classData = $d_sci_Set$EmptySet$;
var $n_sci_Set$EmptySet$ = (void 0);
function $m_sci_Set$EmptySet$() {
  if ((!$n_sci_Set$EmptySet$)) {
    $n_sci_Set$EmptySet$ = new $c_sci_Set$EmptySet$().init___()
  };
  return $n_sci_Set$EmptySet$
}
/** @constructor */
function $c_sci_Set$Set1() {
  $c_sc_AbstractSet.call(this);
  this.elem1$4 = null
}
$c_sci_Set$Set1.prototype = new $h_sc_AbstractSet();
$c_sci_Set$Set1.prototype.constructor = $c_sci_Set$Set1;
/** @constructor */
function $h_sci_Set$Set1() {
  /*<skip>*/
}
$h_sci_Set$Set1.prototype = $c_sci_Set$Set1.prototype;
$c_sci_Set$Set1.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Set$Set1.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_Set$Set1.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Set$Set1.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Set$()
});
$c_sci_Set$Set1.prototype.forall__F1__Z = (function(p) {
  return $uZ(p.apply__O__O(this.elem1$4))
});
$c_sci_Set$Set1.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.elem1$4)
});
$c_sci_Set$Set1.prototype.size__I = (function() {
  return 1
});
$c_sci_Set$Set1.prototype.init___O = (function(elem1) {
  this.elem1$4 = elem1;
  return this
});
$c_sci_Set$Set1.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Set$Set1.prototype.empty__sc_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
$c_sci_Set$Set1.prototype.$$plus__O__sci_Set = (function(elem) {
  return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set2().init___O__O(this.elem1$4, elem))
});
$c_sci_Set$Set1.prototype.contains__O__Z = (function(elem) {
  return $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4)
});
$c_sci_Set$Set1.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_Set(elem)
});
var $d_sci_Set$Set1 = new $TypeData().initClass({
  sci_Set$Set1: 0
}, false, "scala.collection.immutable.Set$Set1", {
  sci_Set$Set1: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set1.prototype.$classData = $d_sci_Set$Set1;
/** @constructor */
function $c_sci_Set$Set2() {
  $c_sc_AbstractSet.call(this);
  this.elem1$4 = null;
  this.elem2$4 = null
}
$c_sci_Set$Set2.prototype = new $h_sc_AbstractSet();
$c_sci_Set$Set2.prototype.constructor = $c_sci_Set$Set2;
/** @constructor */
function $h_sci_Set$Set2() {
  /*<skip>*/
}
$h_sci_Set$Set2.prototype = $c_sci_Set$Set2.prototype;
$c_sci_Set$Set2.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Set$Set2.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_Set$Set2.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Set$Set2.prototype.init___O__O = (function(elem1, elem2) {
  this.elem1$4 = elem1;
  this.elem2$4 = elem2;
  return this
});
$c_sci_Set$Set2.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Set$()
});
$c_sci_Set$Set2.prototype.forall__F1__Z = (function(p) {
  return ($uZ(p.apply__O__O(this.elem1$4)) && $uZ(p.apply__O__O(this.elem2$4)))
});
$c_sci_Set$Set2.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.elem1$4);
  f.apply__O__O(this.elem2$4)
});
$c_sci_Set$Set2.prototype.size__I = (function() {
  return 2
});
$c_sci_Set$Set2.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Set$Set2.prototype.empty__sc_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
$c_sci_Set$Set2.prototype.$$plus__O__sci_Set = (function(elem) {
  return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set3().init___O__O__O(this.elem1$4, this.elem2$4, elem))
});
$c_sci_Set$Set2.prototype.contains__O__Z = (function(elem) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4))
});
$c_sci_Set$Set2.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_Set(elem)
});
var $d_sci_Set$Set2 = new $TypeData().initClass({
  sci_Set$Set2: 0
}, false, "scala.collection.immutable.Set$Set2", {
  sci_Set$Set2: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set2.prototype.$classData = $d_sci_Set$Set2;
/** @constructor */
function $c_sci_Set$Set3() {
  $c_sc_AbstractSet.call(this);
  this.elem1$4 = null;
  this.elem2$4 = null;
  this.elem3$4 = null
}
$c_sci_Set$Set3.prototype = new $h_sc_AbstractSet();
$c_sci_Set$Set3.prototype.constructor = $c_sci_Set$Set3;
/** @constructor */
function $h_sci_Set$Set3() {
  /*<skip>*/
}
$h_sci_Set$Set3.prototype = $c_sci_Set$Set3.prototype;
$c_sci_Set$Set3.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Set$Set3.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_Set$Set3.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Set$Set3.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Set$()
});
$c_sci_Set$Set3.prototype.forall__F1__Z = (function(p) {
  return (($uZ(p.apply__O__O(this.elem1$4)) && $uZ(p.apply__O__O(this.elem2$4))) && $uZ(p.apply__O__O(this.elem3$4)))
});
$c_sci_Set$Set3.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.elem1$4);
  f.apply__O__O(this.elem2$4);
  f.apply__O__O(this.elem3$4)
});
$c_sci_Set$Set3.prototype.init___O__O__O = (function(elem1, elem2, elem3) {
  this.elem1$4 = elem1;
  this.elem2$4 = elem2;
  this.elem3$4 = elem3;
  return this
});
$c_sci_Set$Set3.prototype.size__I = (function() {
  return 3
});
$c_sci_Set$Set3.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4, this.elem3$4]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Set$Set3.prototype.empty__sc_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
$c_sci_Set$Set3.prototype.$$plus__O__sci_Set = (function(elem) {
  return (this.contains__O__Z(elem) ? this : new $c_sci_Set$Set4().init___O__O__O__O(this.elem1$4, this.elem2$4, this.elem3$4, elem))
});
$c_sci_Set$Set3.prototype.contains__O__Z = (function(elem) {
  return (($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4))
});
$c_sci_Set$Set3.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_Set(elem)
});
var $d_sci_Set$Set3 = new $TypeData().initClass({
  sci_Set$Set3: 0
}, false, "scala.collection.immutable.Set$Set3", {
  sci_Set$Set3: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set3.prototype.$classData = $d_sci_Set$Set3;
/** @constructor */
function $c_sci_Set$Set4() {
  $c_sc_AbstractSet.call(this);
  this.elem1$4 = null;
  this.elem2$4 = null;
  this.elem3$4 = null;
  this.elem4$4 = null
}
$c_sci_Set$Set4.prototype = new $h_sc_AbstractSet();
$c_sci_Set$Set4.prototype.constructor = $c_sci_Set$Set4;
/** @constructor */
function $h_sci_Set$Set4() {
  /*<skip>*/
}
$h_sci_Set$Set4.prototype = $c_sci_Set$Set4.prototype;
$c_sci_Set$Set4.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Set$Set4.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_Set$Set4.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Set$Set4.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Set$()
});
$c_sci_Set$Set4.prototype.forall__F1__Z = (function(p) {
  return ((($uZ(p.apply__O__O(this.elem1$4)) && $uZ(p.apply__O__O(this.elem2$4))) && $uZ(p.apply__O__O(this.elem3$4))) && $uZ(p.apply__O__O(this.elem4$4)))
});
$c_sci_Set$Set4.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.elem1$4);
  f.apply__O__O(this.elem2$4);
  f.apply__O__O(this.elem3$4);
  f.apply__O__O(this.elem4$4)
});
$c_sci_Set$Set4.prototype.size__I = (function() {
  return 4
});
$c_sci_Set$Set4.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.elem1$4, this.elem2$4, this.elem3$4, this.elem4$4]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Set$Set4.prototype.empty__sc_Set = (function() {
  return $m_sci_Set$EmptySet$()
});
$c_sci_Set$Set4.prototype.$$plus__O__sci_Set = (function(elem) {
  if (this.contains__O__Z(elem)) {
    return this
  } else {
    var this$1 = new $c_sci_HashSet().init___();
    var elem1 = this.elem1$4;
    var elem2 = this.elem2$4;
    var array = [this.elem3$4, this.elem4$4, elem];
    var this$2 = this$1.$$plus__O__sci_HashSet(elem1).$$plus__O__sci_HashSet(elem2);
    var start = 0;
    var end = $uI(array.length);
    var z = this$2;
    var jsx$1;
    _foldl: while (true) {
      if ((start !== end)) {
        var temp$start = ((1 + start) | 0);
        var arg1 = z;
        var index = start;
        var arg2 = array[index];
        var x$2 = $as_sc_Set(arg1);
        var temp$z = x$2.$$plus__O__sc_Set(arg2);
        start = temp$start;
        z = temp$z;
        continue _foldl
      };
      var jsx$1 = z;
      break
    };
    return $as_sci_HashSet($as_sc_Set(jsx$1))
  }
});
$c_sci_Set$Set4.prototype.contains__O__Z = (function(elem) {
  return ((($m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem1$4) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem2$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem3$4)) || $m_sr_BoxesRunTime$().equals__O__O__Z(elem, this.elem4$4))
});
$c_sci_Set$Set4.prototype.init___O__O__O__O = (function(elem1, elem2, elem3, elem4) {
  this.elem1$4 = elem1;
  this.elem2$4 = elem2;
  this.elem3$4 = elem3;
  this.elem4$4 = elem4;
  return this
});
$c_sci_Set$Set4.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_Set(elem)
});
var $d_sci_Set$Set4 = new $TypeData().initClass({
  sci_Set$Set4: 0
}, false, "scala.collection.immutable.Set$Set4", {
  sci_Set$Set4: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Set$Set4.prototype.$classData = $d_sci_Set$Set4;
function $is_scm_IndexedSeq(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_IndexedSeq)))
}
function $as_scm_IndexedSeq(obj) {
  return (($is_scm_IndexedSeq(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.IndexedSeq"))
}
function $isArrayOf_scm_IndexedSeq(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_IndexedSeq)))
}
function $asArrayOf_scm_IndexedSeq(obj, depth) {
  return (($isArrayOf_scm_IndexedSeq(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.IndexedSeq;", depth))
}
/** @constructor */
function $c_sci_HashSet() {
  $c_sc_AbstractSet.call(this)
}
$c_sci_HashSet.prototype = new $h_sc_AbstractSet();
$c_sci_HashSet.prototype.constructor = $c_sci_HashSet;
/** @constructor */
function $h_sci_HashSet() {
  /*<skip>*/
}
$h_sci_HashSet.prototype = $c_sci_HashSet.prototype;
$c_sci_HashSet.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_HashSet.prototype.updated0__O__I__I__sci_HashSet = (function(key, hash, level) {
  return new $c_sci_HashSet$HashSet1().init___O__I(key, hash)
});
$c_sci_HashSet.prototype.computeHash__O__I = (function(key) {
  return this.improve__I__I($m_sr_ScalaRunTime$().hash__O__I(key))
});
$c_sci_HashSet.prototype.init___ = (function() {
  return this
});
$c_sci_HashSet.prototype.apply__O__O = (function(v1) {
  return this.contains__O__Z(v1)
});
$c_sci_HashSet.prototype.$$plus__O__sci_HashSet = (function(e) {
  return this.updated0__O__I__I__sci_HashSet(e, this.computeHash__O__I(e), 0)
});
$c_sci_HashSet.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_HashSet.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_HashSet$()
});
$c_sci_HashSet.prototype.foreach__F1__V = (function(f) {
  /*<skip>*/
});
$c_sci_HashSet.prototype.subsetOf__sc_GenSet__Z = (function(that) {
  if ($is_sci_HashSet(that)) {
    var x2 = $as_sci_HashSet(that);
    return this.subsetOf0__sci_HashSet__I__Z(x2, 0)
  } else {
    var this$1 = this.iterator__sc_Iterator();
    return $s_sc_Iterator$class__forall__sc_Iterator__F1__Z(this$1, that)
  }
});
$c_sci_HashSet.prototype.size__I = (function() {
  return 0
});
$c_sci_HashSet.prototype.iterator__sc_Iterator = (function() {
  return $m_sc_Iterator$().empty$1
});
$c_sci_HashSet.prototype.empty__sc_Set = (function() {
  return $m_sci_HashSet$EmptyHashSet$()
});
$c_sci_HashSet.prototype.improve__I__I = (function(hcode) {
  var h = ((hcode + (~(hcode << 9))) | 0);
  h = (h ^ ((h >>> 14) | 0));
  h = ((h + (h << 4)) | 0);
  return (h ^ ((h >>> 10) | 0))
});
$c_sci_HashSet.prototype.contains__O__Z = (function(e) {
  return this.get0__O__I__I__Z(e, this.computeHash__O__I(e), 0)
});
$c_sci_HashSet.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_HashSet(elem)
});
$c_sci_HashSet.prototype.get0__O__I__I__Z = (function(key, hash, level) {
  return false
});
$c_sci_HashSet.prototype.subsetOf0__sci_HashSet__I__Z = (function(that, level) {
  return true
});
function $is_sci_HashSet(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet)))
}
function $as_sci_HashSet(obj) {
  return (($is_sci_HashSet(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashSet"))
}
function $isArrayOf_sci_HashSet(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet)))
}
function $asArrayOf_sci_HashSet(obj, depth) {
  return (($isArrayOf_sci_HashSet(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashSet;", depth))
}
var $d_sci_HashSet = new $TypeData().initClass({
  sci_HashSet: 0
}, false, "scala.collection.immutable.HashSet", {
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet.prototype.$classData = $d_sci_HashSet;
/** @constructor */
function $c_sci_ListSet$EmptyListSet$() {
  $c_sci_ListSet.call(this)
}
$c_sci_ListSet$EmptyListSet$.prototype = new $h_sci_ListSet();
$c_sci_ListSet$EmptyListSet$.prototype.constructor = $c_sci_ListSet$EmptyListSet$;
/** @constructor */
function $h_sci_ListSet$EmptyListSet$() {
  /*<skip>*/
}
$h_sci_ListSet$EmptyListSet$.prototype = $c_sci_ListSet$EmptyListSet$.prototype;
$c_sci_ListSet$EmptyListSet$.prototype.init___ = (function() {
  return this
});
var $d_sci_ListSet$EmptyListSet$ = new $TypeData().initClass({
  sci_ListSet$EmptyListSet$: 0
}, false, "scala.collection.immutable.ListSet$EmptyListSet$", {
  sci_ListSet$EmptyListSet$: 1,
  sci_ListSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$EmptyListSet$.prototype.$classData = $d_sci_ListSet$EmptyListSet$;
var $n_sci_ListSet$EmptyListSet$ = (void 0);
function $m_sci_ListSet$EmptyListSet$() {
  if ((!$n_sci_ListSet$EmptyListSet$)) {
    $n_sci_ListSet$EmptyListSet$ = new $c_sci_ListSet$EmptyListSet$().init___()
  };
  return $n_sci_ListSet$EmptyListSet$
}
/** @constructor */
function $c_sci_ListSet$Node() {
  $c_sci_ListSet.call(this);
  this.head$5 = null;
  this.$$outer$f = null
}
$c_sci_ListSet$Node.prototype = new $h_sci_ListSet();
$c_sci_ListSet$Node.prototype.constructor = $c_sci_ListSet$Node;
/** @constructor */
function $h_sci_ListSet$Node() {
  /*<skip>*/
}
$h_sci_ListSet$Node.prototype = $c_sci_ListSet$Node.prototype;
$c_sci_ListSet$Node.prototype.head__O = (function() {
  return this.head$5
});
$c_sci_ListSet$Node.prototype.isEmpty__Z = (function() {
  return false
});
$c_sci_ListSet$Node.prototype.scala$collection$immutable$ListSet$$unchecked$undouter__sci_ListSet = (function() {
  return this.$$outer$f
});
$c_sci_ListSet$Node.prototype.$$plus__O__sci_ListSet = (function(e) {
  return (this.containsInternal__p5__sci_ListSet__O__Z(this, e) ? this : new $c_sci_ListSet$Node().init___sci_ListSet__O(this, e))
});
$c_sci_ListSet$Node.prototype.sizeInternal__p5__sci_ListSet__I__I = (function(n, acc) {
  _sizeInternal: while (true) {
    if (n.isEmpty__Z()) {
      return acc
    } else {
      var temp$n = n.scala$collection$immutable$ListSet$$unchecked$undouter__sci_ListSet();
      var temp$acc = ((1 + acc) | 0);
      n = temp$n;
      acc = temp$acc;
      continue _sizeInternal
    }
  }
});
$c_sci_ListSet$Node.prototype.size__I = (function() {
  return this.sizeInternal__p5__sci_ListSet__I__I(this, 0)
});
$c_sci_ListSet$Node.prototype.init___sci_ListSet__O = (function($$outer, head) {
  this.head$5 = head;
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
$c_sci_ListSet$Node.prototype.contains__O__Z = (function(e) {
  return this.containsInternal__p5__sci_ListSet__O__Z(this, e)
});
$c_sci_ListSet$Node.prototype.containsInternal__p5__sci_ListSet__O__Z = (function(n, e) {
  _containsInternal: while (true) {
    if ((!n.isEmpty__Z())) {
      if ($m_sr_BoxesRunTime$().equals__O__O__Z(n.head__O(), e)) {
        return true
      } else {
        n = n.scala$collection$immutable$ListSet$$unchecked$undouter__sci_ListSet();
        continue _containsInternal
      }
    } else {
      return false
    }
  }
});
$c_sci_ListSet$Node.prototype.$$plus__O__sc_Set = (function(elem) {
  return this.$$plus__O__sci_ListSet(elem)
});
$c_sci_ListSet$Node.prototype.tail__sci_ListSet = (function() {
  return this.$$outer$f
});
var $d_sci_ListSet$Node = new $TypeData().initClass({
  sci_ListSet$Node: 0
}, false, "scala.collection.immutable.ListSet$Node", {
  sci_ListSet$Node: 1,
  sci_ListSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListSet$Node.prototype.$classData = $d_sci_ListSet$Node;
/** @constructor */
function $c_scm_AbstractSeq() {
  $c_sc_AbstractSeq.call(this)
}
$c_scm_AbstractSeq.prototype = new $h_sc_AbstractSeq();
$c_scm_AbstractSeq.prototype.constructor = $c_scm_AbstractSeq;
/** @constructor */
function $h_scm_AbstractSeq() {
  /*<skip>*/
}
$h_scm_AbstractSeq.prototype = $c_scm_AbstractSeq.prototype;
$c_scm_AbstractSeq.prototype.seq__sc_TraversableOnce = (function() {
  return this.seq__scm_Seq()
});
$c_scm_AbstractSeq.prototype.seq__scm_Seq = (function() {
  return this
});
/** @constructor */
function $c_sci_HashSet$EmptyHashSet$() {
  $c_sci_HashSet.call(this)
}
$c_sci_HashSet$EmptyHashSet$.prototype = new $h_sci_HashSet();
$c_sci_HashSet$EmptyHashSet$.prototype.constructor = $c_sci_HashSet$EmptyHashSet$;
/** @constructor */
function $h_sci_HashSet$EmptyHashSet$() {
  /*<skip>*/
}
$h_sci_HashSet$EmptyHashSet$.prototype = $c_sci_HashSet$EmptyHashSet$.prototype;
$c_sci_HashSet$EmptyHashSet$.prototype.init___ = (function() {
  return this
});
var $d_sci_HashSet$EmptyHashSet$ = new $TypeData().initClass({
  sci_HashSet$EmptyHashSet$: 0
}, false, "scala.collection.immutable.HashSet$EmptyHashSet$", {
  sci_HashSet$EmptyHashSet$: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$EmptyHashSet$.prototype.$classData = $d_sci_HashSet$EmptyHashSet$;
var $n_sci_HashSet$EmptyHashSet$ = (void 0);
function $m_sci_HashSet$EmptyHashSet$() {
  if ((!$n_sci_HashSet$EmptyHashSet$)) {
    $n_sci_HashSet$EmptyHashSet$ = new $c_sci_HashSet$EmptyHashSet$().init___()
  };
  return $n_sci_HashSet$EmptyHashSet$
}
/** @constructor */
function $c_sci_HashSet$HashTrieSet() {
  $c_sci_HashSet.call(this);
  this.bitmap$5 = 0;
  this.elems$5 = null;
  this.size0$5 = 0
}
$c_sci_HashSet$HashTrieSet.prototype = new $h_sci_HashSet();
$c_sci_HashSet$HashTrieSet.prototype.constructor = $c_sci_HashSet$HashTrieSet;
/** @constructor */
function $h_sci_HashSet$HashTrieSet() {
  /*<skip>*/
}
$h_sci_HashSet$HashTrieSet.prototype = $c_sci_HashSet$HashTrieSet.prototype;
$c_sci_HashSet$HashTrieSet.prototype.updated0__O__I__I__sci_HashSet = (function(key, hash, level) {
  var index = (31 & ((hash >>> level) | 0));
  var mask = (1 << index);
  var offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
  if (((this.bitmap$5 & mask) !== 0)) {
    var sub = this.elems$5.get(offset);
    var subNew = sub.updated0__O__I__I__sci_HashSet(key, hash, ((5 + level) | 0));
    if ((sub === subNew)) {
      return this
    } else {
      var elemsNew = $newArrayObject($d_sci_HashSet.getArrayOf(), [this.elems$5.u.length]);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew, 0, this.elems$5.u.length);
      elemsNew.set(offset, subNew);
      return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(this.bitmap$5, elemsNew, ((this.size0$5 + ((subNew.size__I() - sub.size__I()) | 0)) | 0))
    }
  } else {
    var elemsNew$2 = $newArrayObject($d_sci_HashSet.getArrayOf(), [((1 + this.elems$5.u.length) | 0)]);
    $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, 0, elemsNew$2, 0, offset);
    elemsNew$2.set(offset, new $c_sci_HashSet$HashSet1().init___O__I(key, hash));
    $m_s_Array$().copy__O__I__O__I__I__V(this.elems$5, offset, elemsNew$2, ((1 + offset) | 0), ((this.elems$5.u.length - offset) | 0));
    var bitmapNew = (this.bitmap$5 | mask);
    return new $c_sci_HashSet$HashTrieSet().init___I__Asci_HashSet__I(bitmapNew, elemsNew$2, ((1 + this.size0$5) | 0))
  }
});
$c_sci_HashSet$HashTrieSet.prototype.foreach__F1__V = (function(f) {
  var i = 0;
  while ((i < this.elems$5.u.length)) {
    this.elems$5.get(i).foreach__F1__V(f);
    i = ((1 + i) | 0)
  }
});
$c_sci_HashSet$HashTrieSet.prototype.iterator__sc_Iterator = (function() {
  return new $c_sci_HashSet$HashTrieSet$$anon$1().init___sci_HashSet$HashTrieSet(this)
});
$c_sci_HashSet$HashTrieSet.prototype.size__I = (function() {
  return this.size0$5
});
$c_sci_HashSet$HashTrieSet.prototype.init___I__Asci_HashSet__I = (function(bitmap, elems, size0) {
  this.bitmap$5 = bitmap;
  this.elems$5 = elems;
  this.size0$5 = size0;
  $m_s_Predef$().assert__Z__V(($m_jl_Integer$().bitCount__I__I(bitmap) === elems.u.length));
  return this
});
$c_sci_HashSet$HashTrieSet.prototype.get0__O__I__I__Z = (function(key, hash, level) {
  var index = (31 & ((hash >>> level) | 0));
  var mask = (1 << index);
  if ((this.bitmap$5 === (-1))) {
    return this.elems$5.get((31 & index)).get0__O__I__I__Z(key, hash, ((5 + level) | 0))
  } else if (((this.bitmap$5 & mask) !== 0)) {
    var offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$5 & (((-1) + mask) | 0)));
    return this.elems$5.get(offset).get0__O__I__I__Z(key, hash, ((5 + level) | 0))
  } else {
    return false
  }
});
$c_sci_HashSet$HashTrieSet.prototype.subsetOf0__sci_HashSet__I__Z = (function(that, level) {
  if ((that === this)) {
    return true
  } else {
    if ($is_sci_HashSet$HashTrieSet(that)) {
      var x2 = $as_sci_HashSet$HashTrieSet(that);
      if ((this.size0$5 <= x2.size0$5)) {
        var abm = this.bitmap$5;
        var a = this.elems$5;
        var ai = 0;
        var b = x2.elems$5;
        var bbm = x2.bitmap$5;
        var bi = 0;
        if (((abm & bbm) === abm)) {
          while ((abm !== 0)) {
            var alsb = (abm ^ (abm & (((-1) + abm) | 0)));
            var blsb = (bbm ^ (bbm & (((-1) + bbm) | 0)));
            if ((alsb === blsb)) {
              if ((!a.get(ai).subsetOf0__sci_HashSet__I__Z(b.get(bi), ((5 + level) | 0)))) {
                return false
              };
              abm = (abm & (~alsb));
              ai = ((1 + ai) | 0)
            };
            bbm = (bbm & (~blsb));
            bi = ((1 + bi) | 0)
          };
          return true
        } else {
          return false
        }
      }
    };
    return false
  }
});
function $is_sci_HashSet$HashTrieSet(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$HashTrieSet)))
}
function $as_sci_HashSet$HashTrieSet(obj) {
  return (($is_sci_HashSet$HashTrieSet(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashSet$HashTrieSet"))
}
function $isArrayOf_sci_HashSet$HashTrieSet(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$HashTrieSet)))
}
function $asArrayOf_sci_HashSet$HashTrieSet(obj, depth) {
  return (($isArrayOf_sci_HashSet$HashTrieSet(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashSet$HashTrieSet;", depth))
}
var $d_sci_HashSet$HashTrieSet = new $TypeData().initClass({
  sci_HashSet$HashTrieSet: 0
}, false, "scala.collection.immutable.HashSet$HashTrieSet", {
  sci_HashSet$HashTrieSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashTrieSet.prototype.$classData = $d_sci_HashSet$HashTrieSet;
/** @constructor */
function $c_sci_HashSet$LeafHashSet() {
  $c_sci_HashSet.call(this)
}
$c_sci_HashSet$LeafHashSet.prototype = new $h_sci_HashSet();
$c_sci_HashSet$LeafHashSet.prototype.constructor = $c_sci_HashSet$LeafHashSet;
/** @constructor */
function $h_sci_HashSet$LeafHashSet() {
  /*<skip>*/
}
$h_sci_HashSet$LeafHashSet.prototype = $c_sci_HashSet$LeafHashSet.prototype;
/** @constructor */
function $c_sci_ListMap() {
  $c_sci_AbstractMap.call(this)
}
$c_sci_ListMap.prototype = new $h_sci_AbstractMap();
$c_sci_ListMap.prototype.constructor = $c_sci_ListMap;
/** @constructor */
function $h_sci_ListMap() {
  /*<skip>*/
}
$h_sci_ListMap.prototype = $c_sci_ListMap.prototype;
$c_sci_ListMap.prototype.value__O = (function() {
  throw new $c_ju_NoSuchElementException().init___T("empty map")
});
$c_sci_ListMap.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_ListMap.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.updated__O__O__sci_ListMap(kv.$$und1$f, kv.$$und2$f)
});
$c_sci_ListMap.prototype.empty__sc_Map = (function() {
  return $m_sci_ListMap$EmptyListMap$()
});
$c_sci_ListMap.prototype.empty__sci_Map = (function() {
  return $m_sci_ListMap$EmptyListMap$()
});
$c_sci_ListMap.prototype.size__I = (function() {
  return 0
});
$c_sci_ListMap.prototype.seq__sc_Map = (function() {
  return this
});
$c_sci_ListMap.prototype.iterator__sc_Iterator = (function() {
  var this$1 = new $c_sci_ListMap$$anon$1().init___sci_ListMap(this);
  var this$2 = $m_sci_List$();
  var cbf = this$2.ReusableCBFInstance$2;
  var this$3 = $as_sci_List($s_sc_TraversableOnce$class__to__sc_TraversableOnce__scg_CanBuildFrom__O(this$1, cbf));
  return $s_sc_SeqLike$class__reverseIterator__sc_SeqLike__sc_Iterator(this$3)
});
$c_sci_ListMap.prototype.key__O = (function() {
  throw new $c_ju_NoSuchElementException().init___T("empty map")
});
$c_sci_ListMap.prototype.updated__O__O__sci_ListMap = (function(key, value) {
  return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(this, key, value)
});
$c_sci_ListMap.prototype.get__O__s_Option = (function(key) {
  return $m_s_None$()
});
$c_sci_ListMap.prototype.next__sci_ListMap = (function() {
  throw new $c_ju_NoSuchElementException().init___T("empty map")
});
$c_sci_ListMap.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.updated__O__O__sci_ListMap(kv.$$und1$f, kv.$$und2$f)
});
function $is_sci_ListMap(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_ListMap)))
}
function $as_sci_ListMap(obj) {
  return (($is_sci_ListMap(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.ListMap"))
}
function $isArrayOf_sci_ListMap(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_ListMap)))
}
function $asArrayOf_sci_ListMap(obj, depth) {
  return (($isArrayOf_sci_ListMap(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.ListMap;", depth))
}
/** @constructor */
function $c_sci_Map$EmptyMap$() {
  $c_sci_AbstractMap.call(this)
}
$c_sci_Map$EmptyMap$.prototype = new $h_sci_AbstractMap();
$c_sci_Map$EmptyMap$.prototype.constructor = $c_sci_Map$EmptyMap$;
/** @constructor */
function $h_sci_Map$EmptyMap$() {
  /*<skip>*/
}
$h_sci_Map$EmptyMap$.prototype = $c_sci_Map$EmptyMap$.prototype;
$c_sci_Map$EmptyMap$.prototype.init___ = (function() {
  return this
});
$c_sci_Map$EmptyMap$.prototype.$$plus__T2__sci_Map = (function(kv) {
  var key = kv.$$und1$f;
  var value = kv.$$und2$f;
  return new $c_sci_Map$Map1().init___O__O(key, value)
});
$c_sci_Map$EmptyMap$.prototype.iterator__sc_Iterator = (function() {
  return $m_sc_Iterator$().empty$1
});
$c_sci_Map$EmptyMap$.prototype.size__I = (function() {
  return 0
});
$c_sci_Map$EmptyMap$.prototype.get__O__s_Option = (function(key) {
  return $m_s_None$()
});
$c_sci_Map$EmptyMap$.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  var key = kv.$$und1$f;
  var value = kv.$$und2$f;
  return new $c_sci_Map$Map1().init___O__O(key, value)
});
var $d_sci_Map$EmptyMap$ = new $TypeData().initClass({
  sci_Map$EmptyMap$: 0
}, false, "scala.collection.immutable.Map$EmptyMap$", {
  sci_Map$EmptyMap$: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$EmptyMap$.prototype.$classData = $d_sci_Map$EmptyMap$;
var $n_sci_Map$EmptyMap$ = (void 0);
function $m_sci_Map$EmptyMap$() {
  if ((!$n_sci_Map$EmptyMap$)) {
    $n_sci_Map$EmptyMap$ = new $c_sci_Map$EmptyMap$().init___()
  };
  return $n_sci_Map$EmptyMap$
}
/** @constructor */
function $c_sci_Map$Map1() {
  $c_sci_AbstractMap.call(this);
  this.key1$5 = null;
  this.value1$5 = null
}
$c_sci_Map$Map1.prototype = new $h_sci_AbstractMap();
$c_sci_Map$Map1.prototype.constructor = $c_sci_Map$Map1;
/** @constructor */
function $h_sci_Map$Map1() {
  /*<skip>*/
}
$h_sci_Map$Map1.prototype = $c_sci_Map$Map1.prototype;
$c_sci_Map$Map1.prototype.init___O__O = (function(key1, value1) {
  this.key1$5 = key1;
  this.value1$5 = value1;
  return this
});
$c_sci_Map$Map1.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5))
});
$c_sci_Map$Map1.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
$c_sci_Map$Map1.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5)]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Map$Map1.prototype.size__I = (function() {
  return 1
});
$c_sci_Map$Map1.prototype.updated__O__O__sci_Map = (function(key, value) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map1().init___O__O(this.key1$5, value) : new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, key, value))
});
$c_sci_Map$Map1.prototype.get__O__s_Option = (function(key) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : $m_s_None$())
});
$c_sci_Map$Map1.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
var $d_sci_Map$Map1 = new $TypeData().initClass({
  sci_Map$Map1: 0
}, false, "scala.collection.immutable.Map$Map1", {
  sci_Map$Map1: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map1.prototype.$classData = $d_sci_Map$Map1;
/** @constructor */
function $c_sci_Map$Map2() {
  $c_sci_AbstractMap.call(this);
  this.key1$5 = null;
  this.value1$5 = null;
  this.key2$5 = null;
  this.value2$5 = null
}
$c_sci_Map$Map2.prototype = new $h_sci_AbstractMap();
$c_sci_Map$Map2.prototype.constructor = $c_sci_Map$Map2;
/** @constructor */
function $h_sci_Map$Map2() {
  /*<skip>*/
}
$h_sci_Map$Map2.prototype = $c_sci_Map$Map2.prototype;
$c_sci_Map$Map2.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5))
});
$c_sci_Map$Map2.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
$c_sci_Map$Map2.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5)]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Map$Map2.prototype.size__I = (function() {
  return 2
});
$c_sci_Map$Map2.prototype.updated__O__O__sci_Map = (function(key, value) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map2().init___O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value) : new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, key, value)))
});
$c_sci_Map$Map2.prototype.get__O__s_Option = (function(key) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : $m_s_None$()))
});
$c_sci_Map$Map2.prototype.init___O__O__O__O = (function(key1, value1, key2, value2) {
  this.key1$5 = key1;
  this.value1$5 = value1;
  this.key2$5 = key2;
  this.value2$5 = value2;
  return this
});
$c_sci_Map$Map2.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
var $d_sci_Map$Map2 = new $TypeData().initClass({
  sci_Map$Map2: 0
}, false, "scala.collection.immutable.Map$Map2", {
  sci_Map$Map2: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map2.prototype.$classData = $d_sci_Map$Map2;
/** @constructor */
function $c_sci_Map$Map3() {
  $c_sci_AbstractMap.call(this);
  this.key1$5 = null;
  this.value1$5 = null;
  this.key2$5 = null;
  this.value2$5 = null;
  this.key3$5 = null;
  this.value3$5 = null
}
$c_sci_Map$Map3.prototype = new $h_sci_AbstractMap();
$c_sci_Map$Map3.prototype.constructor = $c_sci_Map$Map3;
/** @constructor */
function $h_sci_Map$Map3() {
  /*<skip>*/
}
$h_sci_Map$Map3.prototype = $c_sci_Map$Map3.prototype;
$c_sci_Map$Map3.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key3$5, this.value3$5))
});
$c_sci_Map$Map3.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
$c_sci_Map$Map3.prototype.init___O__O__O__O__O__O = (function(key1, value1, key2, value2, key3, value3) {
  this.key1$5 = key1;
  this.value1$5 = value1;
  this.key2$5 = key2;
  this.value2$5 = value2;
  this.key3$5 = key3;
  this.value3$5 = value3;
  return this
});
$c_sci_Map$Map3.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5), new $c_T2().init___O__O(this.key3$5, this.value3$5)]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Map$Map3.prototype.size__I = (function() {
  return 3
});
$c_sci_Map$Map3.prototype.updated__O__O__sci_Map = (function(key, value) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value, this.key3$5, this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_sci_Map$Map3().init___O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, value) : new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, this.value3$5, key, value))))
});
$c_sci_Map$Map3.prototype.get__O__s_Option = (function(key) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_s_Some().init___O(this.value3$5) : $m_s_None$())))
});
$c_sci_Map$Map3.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
var $d_sci_Map$Map3 = new $TypeData().initClass({
  sci_Map$Map3: 0
}, false, "scala.collection.immutable.Map$Map3", {
  sci_Map$Map3: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map3.prototype.$classData = $d_sci_Map$Map3;
/** @constructor */
function $c_sci_Map$Map4() {
  $c_sci_AbstractMap.call(this);
  this.key1$5 = null;
  this.value1$5 = null;
  this.key2$5 = null;
  this.value2$5 = null;
  this.key3$5 = null;
  this.value3$5 = null;
  this.key4$5 = null;
  this.value4$5 = null
}
$c_sci_Map$Map4.prototype = new $h_sci_AbstractMap();
$c_sci_Map$Map4.prototype.constructor = $c_sci_Map$Map4;
/** @constructor */
function $h_sci_Map$Map4() {
  /*<skip>*/
}
$h_sci_Map$Map4.prototype = $c_sci_Map$Map4.prototype;
$c_sci_Map$Map4.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(new $c_T2().init___O__O(this.key1$5, this.value1$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key2$5, this.value2$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key3$5, this.value3$5));
  f.apply__O__O(new $c_T2().init___O__O(this.key4$5, this.value4$5))
});
$c_sci_Map$Map4.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
$c_sci_Map$Map4.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([new $c_T2().init___O__O(this.key1$5, this.value1$5), new $c_T2().init___O__O(this.key2$5, this.value2$5), new $c_T2().init___O__O(this.key3$5, this.value3$5), new $c_T2().init___O__O(this.key4$5, this.value4$5)]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_Map$Map4.prototype.size__I = (function() {
  return 4
});
$c_sci_Map$Map4.prototype.init___O__O__O__O__O__O__O__O = (function(key1, value1, key2, value2, key3, value3, key4, value4) {
  this.key1$5 = key1;
  this.value1$5 = value1;
  this.key2$5 = key2;
  this.value2$5 = value2;
  this.key3$5 = key3;
  this.value3$5 = value3;
  this.key4$5 = key4;
  this.value4$5 = value4;
  return this
});
$c_sci_Map$Map4.prototype.updated__O__O__sci_Map = (function(key, value) {
  if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5)) {
    return new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, value, this.key2$5, this.value2$5, this.key3$5, this.value3$5, this.key4$5, this.value4$5)
  } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5)) {
    return new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, value, this.key3$5, this.value3$5, this.key4$5, this.value4$5)
  } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5)) {
    return new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, value, this.key4$5, this.value4$5)
  } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5)) {
    return new $c_sci_Map$Map4().init___O__O__O__O__O__O__O__O(this.key1$5, this.value1$5, this.key2$5, this.value2$5, this.key3$5, this.value3$5, this.key4$5, value)
  } else {
    var this$1 = new $c_sci_HashMap().init___();
    var elem1 = new $c_T2().init___O__O(this.key1$5, this.value1$5);
    var elem2 = new $c_T2().init___O__O(this.key2$5, this.value2$5);
    var array = [new $c_T2().init___O__O(this.key3$5, this.value3$5), new $c_T2().init___O__O(this.key4$5, this.value4$5), new $c_T2().init___O__O(key, value)];
    var this$3 = this$1.$$plus__T2__sci_HashMap(elem1).$$plus__T2__sci_HashMap(elem2);
    var this$2 = $m_sci_HashMap$();
    var bf = new $c_scg_GenMapFactory$MapCanBuildFrom().init___scg_GenMapFactory(this$2);
    var this$4 = bf.$$outer$f;
    var b = new $c_scm_MapBuilder().init___sc_GenMap(this$4.empty__sc_GenMap());
    var delta = $uI(array.length);
    $s_scm_Builder$class__sizeHint__scm_Builder__sc_TraversableLike__I__V(b, this$3, delta);
    $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(b, this$3);
    var i = 0;
    var len = $uI(array.length);
    while ((i < len)) {
      var index = i;
      var arg1 = array[index];
      b.$$plus$eq__T2__scm_MapBuilder($as_T2(arg1));
      i = ((1 + i) | 0)
    };
    return $as_sci_HashMap(b.elems$1)
  }
});
$c_sci_Map$Map4.prototype.get__O__s_Option = (function(key) {
  return ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key1$5) ? new $c_s_Some().init___O(this.value1$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key2$5) ? new $c_s_Some().init___O(this.value2$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key3$5) ? new $c_s_Some().init___O(this.value3$5) : ($m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key4$5) ? new $c_s_Some().init___O(this.value4$5) : $m_s_None$()))))
});
$c_sci_Map$Map4.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.updated__O__O__sci_Map(kv.$$und1$f, kv.$$und2$f)
});
var $d_sci_Map$Map4 = new $TypeData().initClass({
  sci_Map$Map4: 0
}, false, "scala.collection.immutable.Map$Map4", {
  sci_Map$Map4: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Map$Map4.prototype.$classData = $d_sci_Map$Map4;
/** @constructor */
function $c_sci_HashMap() {
  $c_sci_AbstractMap.call(this)
}
$c_sci_HashMap.prototype = new $h_sci_AbstractMap();
$c_sci_HashMap.prototype.constructor = $c_sci_HashMap;
/** @constructor */
function $h_sci_HashMap() {
  /*<skip>*/
}
$h_sci_HashMap.prototype = $c_sci_HashMap.prototype;
$c_sci_HashMap.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_HashMap.prototype.computeHash__O__I = (function(key) {
  return this.improve__I__I($m_sr_ScalaRunTime$().hash__O__I(key))
});
$c_sci_HashMap.prototype.init___ = (function() {
  return this
});
$c_sci_HashMap.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_HashMap.prototype.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap = (function(key, hash, level, value, kv, merger) {
  return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv)
});
$c_sci_HashMap.prototype.get0__O__I__I__s_Option = (function(key, hash, level) {
  return $m_s_None$()
});
$c_sci_HashMap.prototype.$$plus__T2__sci_Map = (function(kv) {
  return this.$$plus__T2__sci_HashMap(kv)
});
$c_sci_HashMap.prototype.foreach__F1__V = (function(f) {
  /*<skip>*/
});
$c_sci_HashMap.prototype.$$plus__T2__sci_HashMap = (function(kv) {
  return this.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(kv.$$und1$f, this.computeHash__O__I(kv.$$und1$f), 0, kv.$$und2$f, kv, null)
});
$c_sci_HashMap.prototype.empty__sc_Map = (function() {
  $m_sci_HashMap$();
  return $m_sci_HashMap$EmptyHashMap$()
});
$c_sci_HashMap.prototype.empty__sci_Map = (function() {
  $m_sci_HashMap$();
  return $m_sci_HashMap$EmptyHashMap$()
});
$c_sci_HashMap.prototype.seq__sc_Map = (function() {
  return this
});
$c_sci_HashMap.prototype.size__I = (function() {
  return 0
});
$c_sci_HashMap.prototype.iterator__sc_Iterator = (function() {
  return $m_sc_Iterator$().empty$1
});
$c_sci_HashMap.prototype.get__O__s_Option = (function(key) {
  return this.get0__O__I__I__s_Option(key, this.computeHash__O__I(key), 0)
});
$c_sci_HashMap.prototype.improve__I__I = (function(hcode) {
  var h = ((hcode + (~(hcode << 9))) | 0);
  h = (h ^ ((h >>> 14) | 0));
  h = ((h + (h << 4)) | 0);
  return (h ^ ((h >>> 10) | 0))
});
$c_sci_HashMap.prototype.$$plus__T2__sc_GenMap = (function(kv) {
  return this.$$plus__T2__sci_HashMap(kv)
});
function $is_sci_HashMap(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashMap)))
}
function $as_sci_HashMap(obj) {
  return (($is_sci_HashMap(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashMap"))
}
function $isArrayOf_sci_HashMap(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashMap)))
}
function $asArrayOf_sci_HashMap(obj, depth) {
  return (($isArrayOf_sci_HashMap(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashMap;", depth))
}
var $d_sci_HashMap = new $TypeData().initClass({
  sci_HashMap: 0
}, false, "scala.collection.immutable.HashMap", {
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap.prototype.$classData = $d_sci_HashMap;
/** @constructor */
function $c_sci_HashSet$HashSet1() {
  $c_sci_HashSet$LeafHashSet.call(this);
  this.key$6 = null;
  this.hash$6 = 0
}
$c_sci_HashSet$HashSet1.prototype = new $h_sci_HashSet$LeafHashSet();
$c_sci_HashSet$HashSet1.prototype.constructor = $c_sci_HashSet$HashSet1;
/** @constructor */
function $h_sci_HashSet$HashSet1() {
  /*<skip>*/
}
$h_sci_HashSet$HashSet1.prototype = $c_sci_HashSet$HashSet1.prototype;
$c_sci_HashSet$HashSet1.prototype.updated0__O__I__I__sci_HashSet = (function(key, hash, level) {
  if (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))) {
    return this
  } else if ((hash !== this.hash$6)) {
    return $m_sci_HashSet$().scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(this.hash$6, this, hash, new $c_sci_HashSet$HashSet1().init___O__I(key, hash), level)
  } else {
    var this$2 = $m_sci_ListSet$EmptyListSet$();
    var elem = this.key$6;
    return new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(hash, new $c_sci_ListSet$Node().init___sci_ListSet__O(this$2, elem).$$plus__O__sci_ListSet(key))
  }
});
$c_sci_HashSet$HashSet1.prototype.init___O__I = (function(key, hash) {
  this.key$6 = key;
  this.hash$6 = hash;
  return this
});
$c_sci_HashSet$HashSet1.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.key$6)
});
$c_sci_HashSet$HashSet1.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.key$6]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_HashSet$HashSet1.prototype.size__I = (function() {
  return 1
});
$c_sci_HashSet$HashSet1.prototype.get0__O__I__I__Z = (function(key, hash, level) {
  return ((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))
});
$c_sci_HashSet$HashSet1.prototype.subsetOf0__sci_HashSet__I__Z = (function(that, level) {
  return that.get0__O__I__I__Z(this.key$6, this.hash$6, level)
});
function $is_sci_HashSet$HashSet1(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashSet$HashSet1)))
}
function $as_sci_HashSet$HashSet1(obj) {
  return (($is_sci_HashSet$HashSet1(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashSet$HashSet1"))
}
function $isArrayOf_sci_HashSet$HashSet1(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashSet$HashSet1)))
}
function $asArrayOf_sci_HashSet$HashSet1(obj, depth) {
  return (($isArrayOf_sci_HashSet$HashSet1(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashSet$HashSet1;", depth))
}
var $d_sci_HashSet$HashSet1 = new $TypeData().initClass({
  sci_HashSet$HashSet1: 0
}, false, "scala.collection.immutable.HashSet$HashSet1", {
  sci_HashSet$HashSet1: 1,
  sci_HashSet$LeafHashSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashSet1.prototype.$classData = $d_sci_HashSet$HashSet1;
/** @constructor */
function $c_sci_HashSet$HashSetCollision1() {
  $c_sci_HashSet$LeafHashSet.call(this);
  this.hash$6 = 0;
  this.ks$6 = null
}
$c_sci_HashSet$HashSetCollision1.prototype = new $h_sci_HashSet$LeafHashSet();
$c_sci_HashSet$HashSetCollision1.prototype.constructor = $c_sci_HashSet$HashSetCollision1;
/** @constructor */
function $h_sci_HashSet$HashSetCollision1() {
  /*<skip>*/
}
$h_sci_HashSet$HashSetCollision1.prototype = $c_sci_HashSet$HashSetCollision1.prototype;
$c_sci_HashSet$HashSetCollision1.prototype.updated0__O__I__I__sci_HashSet = (function(key, hash, level) {
  return ((hash === this.hash$6) ? new $c_sci_HashSet$HashSetCollision1().init___I__sci_ListSet(hash, this.ks$6.$$plus__O__sci_ListSet(key)) : $m_sci_HashSet$().scala$collection$immutable$HashSet$$makeHashTrieSet__I__sci_HashSet__I__sci_HashSet__I__sci_HashSet$HashTrieSet(this.hash$6, this, hash, new $c_sci_HashSet$HashSet1().init___O__I(key, hash), level))
});
$c_sci_HashSet$HashSetCollision1.prototype.foreach__F1__V = (function(f) {
  var this$1 = this.ks$6;
  var this$2 = new $c_sci_ListSet$$anon$1().init___sci_ListSet(this$1);
  $s_sc_Iterator$class__foreach__sc_Iterator__F1__V(this$2, f)
});
$c_sci_HashSet$HashSetCollision1.prototype.iterator__sc_Iterator = (function() {
  var this$1 = this.ks$6;
  return new $c_sci_ListSet$$anon$1().init___sci_ListSet(this$1)
});
$c_sci_HashSet$HashSetCollision1.prototype.size__I = (function() {
  return this.ks$6.size__I()
});
$c_sci_HashSet$HashSetCollision1.prototype.init___I__sci_ListSet = (function(hash, ks) {
  this.hash$6 = hash;
  this.ks$6 = ks;
  return this
});
$c_sci_HashSet$HashSetCollision1.prototype.get0__O__I__I__Z = (function(key, hash, level) {
  return ((hash === this.hash$6) && this.ks$6.contains__O__Z(key))
});
$c_sci_HashSet$HashSetCollision1.prototype.subsetOf0__sci_HashSet__I__Z = (function(that, level) {
  var this$1 = this.ks$6;
  var this$2 = new $c_sci_ListSet$$anon$1().init___sci_ListSet(this$1);
  var res = true;
  while (true) {
    if (res) {
      var this$3 = this$2.that$2;
      var jsx$1 = $s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$3)
    } else {
      var jsx$1 = false
    };
    if (jsx$1) {
      var arg1 = this$2.next__O();
      res = that.get0__O__I__I__Z(arg1, this.hash$6, level)
    } else {
      break
    }
  };
  return res
});
var $d_sci_HashSet$HashSetCollision1 = new $TypeData().initClass({
  sci_HashSet$HashSetCollision1: 0
}, false, "scala.collection.immutable.HashSet$HashSetCollision1", {
  sci_HashSet$HashSetCollision1: 1,
  sci_HashSet$LeafHashSet: 1,
  sci_HashSet: 1,
  sc_AbstractSet: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  sci_Set: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_HashSet$HashSetCollision1.prototype.$classData = $d_sci_HashSet$HashSetCollision1;
/** @constructor */
function $c_sci_List() {
  $c_sc_AbstractSeq.call(this)
}
$c_sci_List.prototype = new $h_sc_AbstractSeq();
$c_sci_List.prototype.constructor = $c_sci_List;
/** @constructor */
function $h_sci_List() {
  /*<skip>*/
}
$h_sci_List.prototype = $c_sci_List.prototype;
$c_sci_List.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_List.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_LinearSeqOptimized$class__lengthCompare__sc_LinearSeqOptimized__I__I(this, len)
});
$c_sci_List.prototype.apply__O__O = (function(v1) {
  var n = $uI(v1);
  return $s_sc_LinearSeqOptimized$class__apply__sc_LinearSeqOptimized__I__O(this, n)
});
$c_sci_List.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_LinearSeqOptimized$class__sameElements__sc_LinearSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_sci_List.prototype.toList__sci_List = (function() {
  return this
});
$c_sci_List.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_List.prototype.drop__I__sc_LinearSeqOptimized = (function(n) {
  return this.drop__I__sci_List(n)
});
$c_sci_List.prototype.take__I__sci_List = (function(n) {
  if ((this.isEmpty__Z() || (n <= 0))) {
    return $m_sci_Nil$()
  } else {
    var h = new $c_sci_$colon$colon().init___O__sci_List(this.head__O(), $m_sci_Nil$());
    var t = h;
    var rest = this.tail__sci_List();
    var i = 1;
    while (true) {
      if (rest.isEmpty__Z()) {
        return this
      };
      if ((i < n)) {
        i = ((1 + i) | 0);
        var nx = new $c_sci_$colon$colon().init___O__sci_List(rest.head__O(), $m_sci_Nil$());
        t.tl$5 = nx;
        t = nx;
        var this$1 = rest;
        rest = this$1.tail__sci_List()
      } else {
        break
      }
    };
    return h
  }
});
$c_sci_List.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_List$()
});
$c_sci_List.prototype.foreach__F1__V = (function(f) {
  var these = this;
  while ((!these.isEmpty__Z())) {
    f.apply__O__O(these.head__O());
    var this$1 = these;
    these = this$1.tail__sci_List()
  }
});
$c_sci_List.prototype.$$colon$colon$colon__sci_List__sci_List = (function(prefix) {
  return (this.isEmpty__Z() ? prefix : (prefix.isEmpty__Z() ? this : new $c_scm_ListBuffer().init___().$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(prefix).prependToList__sci_List__sci_List(this)))
});
$c_sci_List.prototype.reverse__O = (function() {
  return this.reverse__sci_List()
});
$c_sci_List.prototype.iterator__sc_Iterator = (function() {
  return new $c_sc_LinearSeqLike$$anon$1().init___sc_LinearSeqLike(this)
});
$c_sci_List.prototype.drop__I__sci_List = (function(n) {
  var these = this;
  var count = n;
  while (((!these.isEmpty__Z()) && (count > 0))) {
    var this$1 = these;
    these = this$1.tail__sci_List();
    count = (((-1) + count) | 0)
  };
  return these
});
$c_sci_List.prototype.seq__sc_Seq = (function() {
  return this
});
$c_sci_List.prototype.length__I = (function() {
  return $s_sc_LinearSeqOptimized$class__length__sc_LinearSeqOptimized__I(this)
});
$c_sci_List.prototype.$$plus$plus__sc_GenTraversableOnce__scg_CanBuildFrom__O = (function(that, bf) {
  return ((bf === $m_sci_List$().ReusableCBFInstance$2) ? that.seq__sc_TraversableOnce().toList__sci_List().$$colon$colon$colon__sci_List__sci_List(this) : $s_sc_TraversableLike$class__$$plus$plus__sc_TraversableLike__sc_GenTraversableOnce__scg_CanBuildFrom__O(this, that, bf))
});
$c_sci_List.prototype.take__I__O = (function(n) {
  return this.take__I__sci_List(n)
});
$c_sci_List.prototype.toStream__sci_Stream = (function() {
  return (this.isEmpty__Z() ? $m_sci_Stream$Empty$() : new $c_sci_Stream$Cons().init___O__F0(this.head__O(), new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
    return (function() {
      return $this.tail__sci_List().toStream__sci_Stream()
    })
  })(this))))
});
$c_sci_List.prototype.isDefinedAt__O__Z = (function(x) {
  var x$1 = $uI(x);
  return $s_sc_LinearSeqOptimized$class__isDefinedAt__sc_LinearSeqOptimized__I__Z(this, x$1)
});
$c_sci_List.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_sci_List.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_sc_LinearSeqLike(repr);
  return $as_sc_LinearSeq(repr$1)
});
$c_sci_List.prototype.reverse__sci_List = (function() {
  var result = $m_sci_Nil$();
  var these = this;
  while ((!these.isEmpty__Z())) {
    var x$4 = these.head__O();
    var this$1 = result;
    result = new $c_sci_$colon$colon().init___O__sci_List(x$4, this$1);
    var this$2 = these;
    these = this$2.tail__sci_List()
  };
  return result
});
$c_sci_List.prototype.stringPrefix__T = (function() {
  return "List"
});
function $is_sci_List(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_List)))
}
function $as_sci_List(obj) {
  return (($is_sci_List(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.List"))
}
function $isArrayOf_sci_List(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_List)))
}
function $asArrayOf_sci_List(obj, depth) {
  return (($isArrayOf_sci_List(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.List;", depth))
}
/** @constructor */
function $c_sci_ListMap$EmptyListMap$() {
  $c_sci_ListMap.call(this)
}
$c_sci_ListMap$EmptyListMap$.prototype = new $h_sci_ListMap();
$c_sci_ListMap$EmptyListMap$.prototype.constructor = $c_sci_ListMap$EmptyListMap$;
/** @constructor */
function $h_sci_ListMap$EmptyListMap$() {
  /*<skip>*/
}
$h_sci_ListMap$EmptyListMap$.prototype = $c_sci_ListMap$EmptyListMap$.prototype;
$c_sci_ListMap$EmptyListMap$.prototype.init___ = (function() {
  return this
});
var $d_sci_ListMap$EmptyListMap$ = new $TypeData().initClass({
  sci_ListMap$EmptyListMap$: 0
}, false, "scala.collection.immutable.ListMap$EmptyListMap$", {
  sci_ListMap$EmptyListMap$: 1,
  sci_ListMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListMap$EmptyListMap$.prototype.$classData = $d_sci_ListMap$EmptyListMap$;
var $n_sci_ListMap$EmptyListMap$ = (void 0);
function $m_sci_ListMap$EmptyListMap$() {
  if ((!$n_sci_ListMap$EmptyListMap$)) {
    $n_sci_ListMap$EmptyListMap$ = new $c_sci_ListMap$EmptyListMap$().init___()
  };
  return $n_sci_ListMap$EmptyListMap$
}
/** @constructor */
function $c_sci_ListMap$Node() {
  $c_sci_ListMap.call(this);
  this.key$6 = null;
  this.value$6 = null;
  this.$$outer$f = null
}
$c_sci_ListMap$Node.prototype = new $h_sci_ListMap();
$c_sci_ListMap$Node.prototype.constructor = $c_sci_ListMap$Node;
/** @constructor */
function $h_sci_ListMap$Node() {
  /*<skip>*/
}
$h_sci_ListMap$Node.prototype = $c_sci_ListMap$Node.prototype;
$c_sci_ListMap$Node.prototype.value__O = (function() {
  return this.value$6
});
$c_sci_ListMap$Node.prototype.apply__O__O = (function(k) {
  return this.apply0__p6__sci_ListMap__O__O(this, k)
});
$c_sci_ListMap$Node.prototype.isEmpty__Z = (function() {
  return false
});
$c_sci_ListMap$Node.prototype.apply0__p6__sci_ListMap__O__O = (function(cur, k) {
  _apply0: while (true) {
    if (cur.isEmpty__Z()) {
      throw new $c_ju_NoSuchElementException().init___T(("key not found: " + k))
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
      return cur.value__O()
    } else {
      cur = cur.next__sci_ListMap();
      continue _apply0
    }
  }
});
$c_sci_ListMap$Node.prototype.size0__p6__sci_ListMap__I__I = (function(cur, acc) {
  _size0: while (true) {
    if (cur.isEmpty__Z()) {
      return acc
    } else {
      var temp$cur = cur.next__sci_ListMap();
      var temp$acc = ((1 + acc) | 0);
      cur = temp$cur;
      acc = temp$acc;
      continue _size0
    }
  }
});
$c_sci_ListMap$Node.prototype.size__I = (function() {
  return this.size0__p6__sci_ListMap__I__I(this, 0)
});
$c_sci_ListMap$Node.prototype.key__O = (function() {
  return this.key$6
});
$c_sci_ListMap$Node.prototype.updated__O__O__sci_ListMap = (function(k, v) {
  var m = this.remove0__p6__O__sci_ListMap__sci_List__sci_ListMap(k, this, $m_sci_Nil$());
  return new $c_sci_ListMap$Node().init___sci_ListMap__O__O(m, k, v)
});
$c_sci_ListMap$Node.prototype.get__O__s_Option = (function(k) {
  return this.get0__p6__sci_ListMap__O__s_Option(this, k)
});
$c_sci_ListMap$Node.prototype.get0__p6__sci_ListMap__O__s_Option = (function(cur, k) {
  _get0: while (true) {
    if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
      return new $c_s_Some().init___O(cur.value__O())
    } else {
      var this$1 = cur.next__sci_ListMap();
      if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)) {
        cur = cur.next__sci_ListMap();
        continue _get0
      } else {
        return $m_s_None$()
      }
    }
  }
});
$c_sci_ListMap$Node.prototype.init___sci_ListMap__O__O = (function($$outer, key, value) {
  this.key$6 = key;
  this.value$6 = value;
  if (($$outer === null)) {
    throw $m_sjsr_package$().unwrapJavaScriptException__jl_Throwable__O(null)
  } else {
    this.$$outer$f = $$outer
  };
  return this
});
$c_sci_ListMap$Node.prototype.remove0__p6__O__sci_ListMap__sci_List__sci_ListMap = (function(k, cur, acc) {
  _remove0: while (true) {
    if (cur.isEmpty__Z()) {
      var this$1 = acc;
      return $as_sci_ListMap($s_sc_LinearSeqOptimized$class__last__sc_LinearSeqOptimized__O(this$1))
    } else if ($m_sr_BoxesRunTime$().equals__O__O__Z(k, cur.key__O())) {
      var x$4 = cur.next__sci_ListMap();
      var this$2 = acc;
      var acc$1 = x$4;
      var these = this$2;
      while ((!these.isEmpty__Z())) {
        var arg1 = acc$1;
        var arg2 = these.head__O();
        var x0$1 = $as_sci_ListMap(arg1);
        var x1$1 = $as_sci_ListMap(arg2);
        acc$1 = new $c_sci_ListMap$Node().init___sci_ListMap__O__O(x0$1, x1$1.key__O(), x1$1.value__O());
        these = $as_sc_LinearSeqOptimized(these.tail__O())
      };
      return $as_sci_ListMap(acc$1)
    } else {
      var temp$cur = cur.next__sci_ListMap();
      var x$5 = cur;
      var this$3 = acc;
      var temp$acc = new $c_sci_$colon$colon().init___O__sci_List(x$5, this$3);
      cur = temp$cur;
      acc = temp$acc;
      continue _remove0
    }
  }
});
$c_sci_ListMap$Node.prototype.next__sci_ListMap = (function() {
  return this.$$outer$f
});
var $d_sci_ListMap$Node = new $TypeData().initClass({
  sci_ListMap$Node: 0
}, false, "scala.collection.immutable.ListMap$Node", {
  sci_ListMap$Node: 1,
  sci_ListMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_ListMap$Node.prototype.$classData = $d_sci_ListMap$Node;
/** @constructor */
function $c_sci_Stream() {
  $c_sc_AbstractSeq.call(this)
}
$c_sci_Stream.prototype = new $h_sc_AbstractSeq();
$c_sci_Stream.prototype.constructor = $c_sci_Stream;
/** @constructor */
function $h_sci_Stream() {
  /*<skip>*/
}
$h_sci_Stream.prototype = $c_sci_Stream.prototype;
$c_sci_Stream.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Stream.prototype.reverse__sci_Stream = (function() {
  var elem = $m_sci_Stream$Empty$();
  var result = new $c_sr_ObjectRef().init___O(elem);
  var these = this;
  while ((!these.isEmpty__Z())) {
    $m_sci_Stream$();
    var stream = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, result$1) {
      return (function() {
        return $as_sci_Stream(result$1.elem$1)
      })
    })(this, result));
    var r = new $c_sci_Stream$ConsWrapper().init___F0(stream).$$hash$colon$colon__O__sci_Stream(these.head__O());
    r.tail__O();
    result.elem$1 = r;
    these = $as_sci_Stream(these.tail__O())
  };
  return $as_sci_Stream(result.elem$1)
});
$c_sci_Stream.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_LinearSeqOptimized$class__lengthCompare__sc_LinearSeqOptimized__I__I(this, len)
});
$c_sci_Stream.prototype.apply__O__O = (function(v1) {
  var n = $uI(v1);
  return $s_sc_LinearSeqOptimized$class__apply__sc_LinearSeqOptimized__I__O(this, n)
});
$c_sci_Stream.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_LinearSeqOptimized$class__sameElements__sc_LinearSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_sci_Stream.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Stream.prototype.flatMap__F1__scg_CanBuildFrom__O = (function(f, bf) {
  if ($is_sci_Stream$StreamBuilder(bf.apply__O__scm_Builder(this))) {
    if (this.isEmpty__Z()) {
      var x$1 = $m_sci_Stream$Empty$()
    } else {
      var nonEmptyPrefix = new $c_sr_ObjectRef().init___O(this);
      var prefix = $as_sc_GenTraversableOnce(f.apply__O__O($as_sci_Stream(nonEmptyPrefix.elem$1).head__O())).toStream__sci_Stream();
      while (((!$as_sci_Stream(nonEmptyPrefix.elem$1).isEmpty__Z()) && prefix.isEmpty__Z())) {
        nonEmptyPrefix.elem$1 = $as_sci_Stream($as_sci_Stream(nonEmptyPrefix.elem$1).tail__O());
        if ((!$as_sci_Stream(nonEmptyPrefix.elem$1).isEmpty__Z())) {
          prefix = $as_sc_GenTraversableOnce(f.apply__O__O($as_sci_Stream(nonEmptyPrefix.elem$1).head__O())).toStream__sci_Stream()
        }
      };
      var x$1 = ($as_sci_Stream(nonEmptyPrefix.elem$1).isEmpty__Z() ? ($m_sci_Stream$(), $m_sci_Stream$Empty$()) : prefix.append__F0__sci_Stream(new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, f$1, nonEmptyPrefix$1) {
        return (function() {
          var x = $as_sci_Stream($as_sci_Stream(nonEmptyPrefix$1.elem$1).tail__O()).flatMap__F1__scg_CanBuildFrom__O(f$1, ($m_sci_Stream$(), new $c_sci_Stream$StreamCanBuildFrom().init___()));
          return $as_sci_Stream(x)
        })
      })(this, f, nonEmptyPrefix))))
    };
    return x$1
  } else {
    return $s_sc_TraversableLike$class__flatMap__sc_TraversableLike__F1__scg_CanBuildFrom__O(this, f, bf)
  }
});
$c_sci_Stream.prototype.drop__I__sc_LinearSeqOptimized = (function(n) {
  return this.drop__I__sci_Stream(n)
});
$c_sci_Stream.prototype.mkString__T__T = (function(sep) {
  return this.mkString__T__T__T__T("", sep, "")
});
$c_sci_Stream.prototype.mkString__T__T__T__T = (function(start, sep, end) {
  this.force__sci_Stream();
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, start, sep, end)
});
$c_sci_Stream.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Stream$()
});
$c_sci_Stream.prototype.toString__T = (function() {
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this, "Stream(", ", ", ")")
});
$c_sci_Stream.prototype.foreach__F1__V = (function(f) {
  var _$this = this;
  _foreach: while (true) {
    if ((!_$this.isEmpty__Z())) {
      f.apply__O__O(_$this.head__O());
      _$this = $as_sci_Stream(_$this.tail__O());
      continue _foreach
    };
    break
  }
});
$c_sci_Stream.prototype.reverse__O = (function() {
  return this.reverse__sci_Stream()
});
$c_sci_Stream.prototype.iterator__sc_Iterator = (function() {
  return new $c_sci_StreamIterator().init___sci_Stream(this)
});
$c_sci_Stream.prototype.seq__sc_Seq = (function() {
  return this
});
$c_sci_Stream.prototype.length__I = (function() {
  var len = 0;
  var left = this;
  while ((!left.isEmpty__Z())) {
    len = ((1 + len) | 0);
    left = $as_sci_Stream(left.tail__O())
  };
  return len
});
$c_sci_Stream.prototype.take__I__O = (function(n) {
  return this.take__I__sci_Stream(n)
});
$c_sci_Stream.prototype.toStream__sci_Stream = (function() {
  return this
});
$c_sci_Stream.prototype.drop__I__sci_Stream = (function(n) {
  var _$this = this;
  _drop: while (true) {
    if (((n <= 0) || _$this.isEmpty__Z())) {
      return _$this
    } else {
      var temp$_$this = $as_sci_Stream(_$this.tail__O());
      var temp$n = (((-1) + n) | 0);
      _$this = temp$_$this;
      n = temp$n;
      continue _drop
    }
  }
});
$c_sci_Stream.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  b.append__T__scm_StringBuilder(start);
  if ((!this.isEmpty__Z())) {
    b.append__O__scm_StringBuilder(this.head__O());
    var cursor = this;
    var n = 1;
    if (cursor.tailDefined__Z()) {
      var scout = $as_sci_Stream(this.tail__O());
      if (scout.isEmpty__Z()) {
        b.append__T__scm_StringBuilder(end);
        return b
      };
      if ((cursor !== scout)) {
        cursor = scout;
        if (scout.tailDefined__Z()) {
          scout = $as_sci_Stream(scout.tail__O());
          while (((cursor !== scout) && scout.tailDefined__Z())) {
            b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
            n = ((1 + n) | 0);
            cursor = $as_sci_Stream(cursor.tail__O());
            scout = $as_sci_Stream(scout.tail__O());
            if (scout.tailDefined__Z()) {
              scout = $as_sci_Stream(scout.tail__O())
            }
          }
        }
      };
      if ((!scout.tailDefined__Z())) {
        while ((cursor !== scout)) {
          b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
          n = ((1 + n) | 0);
          cursor = $as_sci_Stream(cursor.tail__O())
        };
        var this$1 = cursor;
        if ($s_sc_TraversableOnce$class__nonEmpty__sc_TraversableOnce__Z(this$1)) {
          b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O())
        }
      } else {
        var runner = this;
        var k = 0;
        while ((runner !== scout)) {
          runner = $as_sci_Stream(runner.tail__O());
          scout = $as_sci_Stream(scout.tail__O());
          k = ((1 + k) | 0)
        };
        if (((cursor === scout) && (k > 0))) {
          b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
          n = ((1 + n) | 0);
          cursor = $as_sci_Stream(cursor.tail__O())
        };
        while ((cursor !== scout)) {
          b.append__T__scm_StringBuilder(sep).append__O__scm_StringBuilder(cursor.head__O());
          n = ((1 + n) | 0);
          cursor = $as_sci_Stream(cursor.tail__O())
        };
        n = ((n - k) | 0)
      }
    };
    if ((!cursor.isEmpty__Z())) {
      if ((!cursor.tailDefined__Z())) {
        b.append__T__scm_StringBuilder(sep).append__T__scm_StringBuilder("?")
      } else {
        b.append__T__scm_StringBuilder(sep).append__T__scm_StringBuilder("...")
      }
    }
  };
  b.append__T__scm_StringBuilder(end);
  return b
});
$c_sci_Stream.prototype.force__sci_Stream = (function() {
  var these = this;
  var those = this;
  if ((!these.isEmpty__Z())) {
    these = $as_sci_Stream(these.tail__O())
  };
  while ((those !== these)) {
    if (these.isEmpty__Z()) {
      return this
    };
    these = $as_sci_Stream(these.tail__O());
    if (these.isEmpty__Z()) {
      return this
    };
    these = $as_sci_Stream(these.tail__O());
    if ((these === those)) {
      return this
    };
    those = $as_sci_Stream(those.tail__O())
  };
  return this
});
$c_sci_Stream.prototype.isDefinedAt__O__Z = (function(x) {
  var x$1 = $uI(x);
  return $s_sc_LinearSeqOptimized$class__isDefinedAt__sc_LinearSeqOptimized__I__Z(this, x$1)
});
$c_sci_Stream.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_sci_Stream.prototype.take__I__sci_Stream = (function(n) {
  if (((n <= 0) || this.isEmpty__Z())) {
    $m_sci_Stream$();
    return $m_sci_Stream$Empty$()
  } else if ((n === 1)) {
    var hd = this.head__O();
    var tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this) {
      return (function() {
        $m_sci_Stream$();
        return $m_sci_Stream$Empty$()
      })
    })(this));
    return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
  } else {
    var hd$1 = this.head__O();
    var tl$1 = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function(this$2$1, n$1) {
      return (function() {
        return $as_sci_Stream(this$2$1.tail__O()).take__I__sci_Stream((((-1) + n$1) | 0))
      })
    })(this, n));
    return new $c_sci_Stream$Cons().init___O__F0(hd$1, tl$1)
  }
});
$c_sci_Stream.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_sc_LinearSeqLike(repr);
  return $as_sc_LinearSeq(repr$1)
});
$c_sci_Stream.prototype.append__F0__sci_Stream = (function(rest) {
  if (this.isEmpty__Z()) {
    return $as_sc_GenTraversableOnce(rest.apply__O()).toStream__sci_Stream()
  } else {
    var hd = this.head__O();
    var tl = new $c_sjsr_AnonFunction0().init___sjs_js_Function0((function($this, rest$1) {
      return (function() {
        return $as_sci_Stream($this.tail__O()).append__F0__sci_Stream(rest$1)
      })
    })(this, rest));
    return new $c_sci_Stream$Cons().init___O__F0(hd, tl)
  }
});
$c_sci_Stream.prototype.stringPrefix__T = (function() {
  return "Stream"
});
function $is_sci_Stream(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_Stream)))
}
function $as_sci_Stream(obj) {
  return (($is_sci_Stream(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.Stream"))
}
function $isArrayOf_sci_Stream(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_Stream)))
}
function $asArrayOf_sci_Stream(obj, depth) {
  return (($isArrayOf_sci_Stream(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.Stream;", depth))
}
/** @constructor */
function $c_sci_HashMap$EmptyHashMap$() {
  $c_sci_HashMap.call(this)
}
$c_sci_HashMap$EmptyHashMap$.prototype = new $h_sci_HashMap();
$c_sci_HashMap$EmptyHashMap$.prototype.constructor = $c_sci_HashMap$EmptyHashMap$;
/** @constructor */
function $h_sci_HashMap$EmptyHashMap$() {
  /*<skip>*/
}
$h_sci_HashMap$EmptyHashMap$.prototype = $c_sci_HashMap$EmptyHashMap$.prototype;
$c_sci_HashMap$EmptyHashMap$.prototype.init___ = (function() {
  return this
});
var $d_sci_HashMap$EmptyHashMap$ = new $TypeData().initClass({
  sci_HashMap$EmptyHashMap$: 0
}, false, "scala.collection.immutable.HashMap$EmptyHashMap$", {
  sci_HashMap$EmptyHashMap$: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$EmptyHashMap$.prototype.$classData = $d_sci_HashMap$EmptyHashMap$;
var $n_sci_HashMap$EmptyHashMap$ = (void 0);
function $m_sci_HashMap$EmptyHashMap$() {
  if ((!$n_sci_HashMap$EmptyHashMap$)) {
    $n_sci_HashMap$EmptyHashMap$ = new $c_sci_HashMap$EmptyHashMap$().init___()
  };
  return $n_sci_HashMap$EmptyHashMap$
}
/** @constructor */
function $c_sci_HashMap$HashMap1() {
  $c_sci_HashMap.call(this);
  this.key$6 = null;
  this.hash$6 = 0;
  this.value$6 = null;
  this.kv$6 = null
}
$c_sci_HashMap$HashMap1.prototype = new $h_sci_HashMap();
$c_sci_HashMap$HashMap1.prototype.constructor = $c_sci_HashMap$HashMap1;
/** @constructor */
function $h_sci_HashMap$HashMap1() {
  /*<skip>*/
}
$h_sci_HashMap$HashMap1.prototype = $c_sci_HashMap$HashMap1.prototype;
$c_sci_HashMap$HashMap1.prototype.ensurePair__T2 = (function() {
  if ((this.kv$6 !== null)) {
    return this.kv$6
  } else {
    this.kv$6 = new $c_T2().init___O__O(this.key$6, this.value$6);
    return this.kv$6
  }
});
$c_sci_HashMap$HashMap1.prototype.init___O__I__O__T2 = (function(key, hash, value, kv) {
  this.key$6 = key;
  this.hash$6 = hash;
  this.value$6 = value;
  this.kv$6 = kv;
  return this
});
$c_sci_HashMap$HashMap1.prototype.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap = (function(key, hash, level, value, kv, merger) {
  if (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6))) {
    if ((merger === null)) {
      return ((this.value$6 === value) ? this : new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv))
    } else {
      var nkv = merger.apply__T2__T2__T2(this.ensurePair__T2(), ((kv !== null) ? kv : new $c_T2().init___O__O(key, value)));
      return new $c_sci_HashMap$HashMap1().init___O__I__O__T2(nkv.$$und1$f, hash, nkv.$$und2$f, nkv)
    }
  } else if ((hash !== this.hash$6)) {
    var that = new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv);
    return $m_sci_HashMap$().scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(this.hash$6, this, hash, that, level, 2)
  } else {
    var this$2 = $m_sci_ListMap$EmptyListMap$();
    var key$1 = this.key$6;
    var value$1 = this.value$6;
    return new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, new $c_sci_ListMap$Node().init___sci_ListMap__O__O(this$2, key$1, value$1).updated__O__O__sci_ListMap(key, value))
  }
});
$c_sci_HashMap$HashMap1.prototype.get0__O__I__I__s_Option = (function(key, hash, level) {
  return (((hash === this.hash$6) && $m_sr_BoxesRunTime$().equals__O__O__Z(key, this.key$6)) ? new $c_s_Some().init___O(this.value$6) : $m_s_None$())
});
$c_sci_HashMap$HashMap1.prototype.foreach__F1__V = (function(f) {
  f.apply__O__O(this.ensurePair__T2())
});
$c_sci_HashMap$HashMap1.prototype.iterator__sc_Iterator = (function() {
  $m_sc_Iterator$();
  var elems = new $c_sjs_js_WrappedArray().init___sjs_js_Array([this.ensurePair__T2()]);
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(elems, 0, $uI(elems.array$6.length))
});
$c_sci_HashMap$HashMap1.prototype.size__I = (function() {
  return 1
});
function $is_sci_HashMap$HashMap1(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashMap$HashMap1)))
}
function $as_sci_HashMap$HashMap1(obj) {
  return (($is_sci_HashMap$HashMap1(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashMap$HashMap1"))
}
function $isArrayOf_sci_HashMap$HashMap1(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashMap$HashMap1)))
}
function $asArrayOf_sci_HashMap$HashMap1(obj, depth) {
  return (($isArrayOf_sci_HashMap$HashMap1(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashMap$HashMap1;", depth))
}
var $d_sci_HashMap$HashMap1 = new $TypeData().initClass({
  sci_HashMap$HashMap1: 0
}, false, "scala.collection.immutable.HashMap$HashMap1", {
  sci_HashMap$HashMap1: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashMap1.prototype.$classData = $d_sci_HashMap$HashMap1;
/** @constructor */
function $c_sci_HashMap$HashMapCollision1() {
  $c_sci_HashMap.call(this);
  this.hash$6 = 0;
  this.kvs$6 = null
}
$c_sci_HashMap$HashMapCollision1.prototype = new $h_sci_HashMap();
$c_sci_HashMap$HashMapCollision1.prototype.constructor = $c_sci_HashMap$HashMapCollision1;
/** @constructor */
function $h_sci_HashMap$HashMapCollision1() {
  /*<skip>*/
}
$h_sci_HashMap$HashMapCollision1.prototype = $c_sci_HashMap$HashMapCollision1.prototype;
$c_sci_HashMap$HashMapCollision1.prototype.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap = (function(key, hash, level, value, kv, merger) {
  if ((hash === this.hash$6)) {
    if ((merger === null)) {
      var jsx$1 = true
    } else {
      var this$1 = this.kvs$6;
      var jsx$1 = (!$s_sc_MapLike$class__contains__sc_MapLike__O__Z(this$1, key))
    };
    if (jsx$1) {
      return new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, this.kvs$6.updated__O__O__sci_ListMap(key, value))
    } else {
      var this$2 = this.kvs$6;
      var kv$1 = merger.apply__T2__T2__T2(new $c_T2().init___O__O(key, this.kvs$6.apply__O__O(key)), kv);
      return new $c_sci_HashMap$HashMapCollision1().init___I__sci_ListMap(hash, this$2.updated__O__O__sci_ListMap(kv$1.$$und1$f, kv$1.$$und2$f))
    }
  } else {
    var that = new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv);
    return $m_sci_HashMap$().scala$collection$immutable$HashMap$$makeHashTrieMap__I__sci_HashMap__I__sci_HashMap__I__I__sci_HashMap$HashTrieMap(this.hash$6, this, hash, that, level, ((1 + this.kvs$6.size__I()) | 0))
  }
});
$c_sci_HashMap$HashMapCollision1.prototype.get0__O__I__I__s_Option = (function(key, hash, level) {
  return ((hash === this.hash$6) ? this.kvs$6.get__O__s_Option(key) : $m_s_None$())
});
$c_sci_HashMap$HashMapCollision1.prototype.foreach__F1__V = (function(f) {
  var this$1 = this.kvs$6;
  var this$2 = this$1.iterator__sc_Iterator();
  $s_sc_Iterator$class__foreach__sc_Iterator__F1__V(this$2, f)
});
$c_sci_HashMap$HashMapCollision1.prototype.iterator__sc_Iterator = (function() {
  return this.kvs$6.iterator__sc_Iterator()
});
$c_sci_HashMap$HashMapCollision1.prototype.size__I = (function() {
  return this.kvs$6.size__I()
});
$c_sci_HashMap$HashMapCollision1.prototype.init___I__sci_ListMap = (function(hash, kvs) {
  this.hash$6 = hash;
  this.kvs$6 = kvs;
  return this
});
var $d_sci_HashMap$HashMapCollision1 = new $TypeData().initClass({
  sci_HashMap$HashMapCollision1: 0
}, false, "scala.collection.immutable.HashMap$HashMapCollision1", {
  sci_HashMap$HashMapCollision1: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashMapCollision1.prototype.$classData = $d_sci_HashMap$HashMapCollision1;
/** @constructor */
function $c_sci_HashMap$HashTrieMap() {
  $c_sci_HashMap.call(this);
  this.bitmap$6 = 0;
  this.elems$6 = null;
  this.size0$6 = 0
}
$c_sci_HashMap$HashTrieMap.prototype = new $h_sci_HashMap();
$c_sci_HashMap$HashTrieMap.prototype.constructor = $c_sci_HashMap$HashTrieMap;
/** @constructor */
function $h_sci_HashMap$HashTrieMap() {
  /*<skip>*/
}
$h_sci_HashMap$HashTrieMap.prototype = $c_sci_HashMap$HashTrieMap.prototype;
$c_sci_HashMap$HashTrieMap.prototype.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap = (function(key, hash, level, value, kv, merger) {
  var index = (31 & ((hash >>> level) | 0));
  var mask = (1 << index);
  var offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
  if (((this.bitmap$6 & mask) !== 0)) {
    var sub = this.elems$6.get(offset);
    var subNew = sub.updated0__O__I__I__O__T2__sci_HashMap$Merger__sci_HashMap(key, hash, ((5 + level) | 0), value, kv, merger);
    if ((subNew === sub)) {
      return this
    } else {
      var elemsNew = $newArrayObject($d_sci_HashMap.getArrayOf(), [this.elems$6.u.length]);
      $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew, 0, this.elems$6.u.length);
      elemsNew.set(offset, subNew);
      return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I(this.bitmap$6, elemsNew, ((this.size0$6 + ((subNew.size__I() - sub.size__I()) | 0)) | 0))
    }
  } else {
    var elemsNew$2 = $newArrayObject($d_sci_HashMap.getArrayOf(), [((1 + this.elems$6.u.length) | 0)]);
    $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, 0, elemsNew$2, 0, offset);
    elemsNew$2.set(offset, new $c_sci_HashMap$HashMap1().init___O__I__O__T2(key, hash, value, kv));
    $m_s_Array$().copy__O__I__O__I__I__V(this.elems$6, offset, elemsNew$2, ((1 + offset) | 0), ((this.elems$6.u.length - offset) | 0));
    return new $c_sci_HashMap$HashTrieMap().init___I__Asci_HashMap__I((this.bitmap$6 | mask), elemsNew$2, ((1 + this.size0$6) | 0))
  }
});
$c_sci_HashMap$HashTrieMap.prototype.get0__O__I__I__s_Option = (function(key, hash, level) {
  var index = (31 & ((hash >>> level) | 0));
  var mask = (1 << index);
  if ((this.bitmap$6 === (-1))) {
    return this.elems$6.get((31 & index)).get0__O__I__I__s_Option(key, hash, ((5 + level) | 0))
  } else if (((this.bitmap$6 & mask) !== 0)) {
    var offset = $m_jl_Integer$().bitCount__I__I((this.bitmap$6 & (((-1) + mask) | 0)));
    return this.elems$6.get(offset).get0__O__I__I__s_Option(key, hash, ((5 + level) | 0))
  } else {
    return $m_s_None$()
  }
});
$c_sci_HashMap$HashTrieMap.prototype.foreach__F1__V = (function(f) {
  var i = 0;
  while ((i < this.elems$6.u.length)) {
    this.elems$6.get(i).foreach__F1__V(f);
    i = ((1 + i) | 0)
  }
});
$c_sci_HashMap$HashTrieMap.prototype.iterator__sc_Iterator = (function() {
  return new $c_sci_HashMap$HashTrieMap$$anon$1().init___sci_HashMap$HashTrieMap(this)
});
$c_sci_HashMap$HashTrieMap.prototype.size__I = (function() {
  return this.size0$6
});
$c_sci_HashMap$HashTrieMap.prototype.init___I__Asci_HashMap__I = (function(bitmap, elems, size0) {
  this.bitmap$6 = bitmap;
  this.elems$6 = elems;
  this.size0$6 = size0;
  return this
});
function $is_sci_HashMap$HashTrieMap(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_HashMap$HashTrieMap)))
}
function $as_sci_HashMap$HashTrieMap(obj) {
  return (($is_sci_HashMap$HashTrieMap(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.HashMap$HashTrieMap"))
}
function $isArrayOf_sci_HashMap$HashTrieMap(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_HashMap$HashTrieMap)))
}
function $asArrayOf_sci_HashMap$HashTrieMap(obj, depth) {
  return (($isArrayOf_sci_HashMap$HashTrieMap(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.HashMap$HashTrieMap;", depth))
}
var $d_sci_HashMap$HashTrieMap = new $TypeData().initClass({
  sci_HashMap$HashTrieMap: 0
}, false, "scala.collection.immutable.HashMap$HashTrieMap", {
  sci_HashMap$HashTrieMap: 1,
  sci_HashMap: 1,
  sci_AbstractMap: 1,
  sc_AbstractMap: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Map: 1,
  sc_GenMap: 1,
  sc_GenMapLike: 1,
  sc_MapLike: 1,
  s_PartialFunction: 1,
  F1: 1,
  scg_Subtractable: 1,
  sci_Map: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sci_MapLike: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_HashMap$HashTrieMap.prototype.$classData = $d_sci_HashMap$HashTrieMap;
/** @constructor */
function $c_sci_Stream$Cons() {
  $c_sci_Stream.call(this);
  this.hd$5 = null;
  this.tlVal$5 = null;
  this.tlGen$5 = null
}
$c_sci_Stream$Cons.prototype = new $h_sci_Stream();
$c_sci_Stream$Cons.prototype.constructor = $c_sci_Stream$Cons;
/** @constructor */
function $h_sci_Stream$Cons() {
  /*<skip>*/
}
$h_sci_Stream$Cons.prototype = $c_sci_Stream$Cons.prototype;
$c_sci_Stream$Cons.prototype.head__O = (function() {
  return this.hd$5
});
$c_sci_Stream$Cons.prototype.tail__sci_Stream = (function() {
  if ((!this.tailDefined__Z())) {
    if ((!this.tailDefined__Z())) {
      this.tlVal$5 = $as_sci_Stream(this.tlGen$5.apply__O());
      this.tlGen$5 = null
    }
  };
  return this.tlVal$5
});
$c_sci_Stream$Cons.prototype.tailDefined__Z = (function() {
  return (this.tlGen$5 === null)
});
$c_sci_Stream$Cons.prototype.isEmpty__Z = (function() {
  return false
});
$c_sci_Stream$Cons.prototype.tail__O = (function() {
  return this.tail__sci_Stream()
});
$c_sci_Stream$Cons.prototype.init___O__F0 = (function(hd, tl) {
  this.hd$5 = hd;
  this.tlGen$5 = tl;
  return this
});
var $d_sci_Stream$Cons = new $TypeData().initClass({
  sci_Stream$Cons: 0
}, false, "scala.collection.immutable.Stream$Cons", {
  sci_Stream$Cons: 1,
  sci_Stream: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$Cons.prototype.$classData = $d_sci_Stream$Cons;
/** @constructor */
function $c_sci_Stream$Empty$() {
  $c_sci_Stream.call(this)
}
$c_sci_Stream$Empty$.prototype = new $h_sci_Stream();
$c_sci_Stream$Empty$.prototype.constructor = $c_sci_Stream$Empty$;
/** @constructor */
function $h_sci_Stream$Empty$() {
  /*<skip>*/
}
$h_sci_Stream$Empty$.prototype = $c_sci_Stream$Empty$.prototype;
$c_sci_Stream$Empty$.prototype.init___ = (function() {
  return this
});
$c_sci_Stream$Empty$.prototype.head__O = (function() {
  this.head__sr_Nothing$()
});
$c_sci_Stream$Empty$.prototype.tailDefined__Z = (function() {
  return false
});
$c_sci_Stream$Empty$.prototype.isEmpty__Z = (function() {
  return true
});
$c_sci_Stream$Empty$.prototype.tail__sr_Nothing$ = (function() {
  throw new $c_jl_UnsupportedOperationException().init___T("tail of empty stream")
});
$c_sci_Stream$Empty$.prototype.head__sr_Nothing$ = (function() {
  throw new $c_ju_NoSuchElementException().init___T("head of empty stream")
});
$c_sci_Stream$Empty$.prototype.tail__O = (function() {
  this.tail__sr_Nothing$()
});
var $d_sci_Stream$Empty$ = new $TypeData().initClass({
  sci_Stream$Empty$: 0
}, false, "scala.collection.immutable.Stream$Empty$", {
  sci_Stream$Empty$: 1,
  sci_Stream: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  sc_LinearSeqOptimized: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_sci_Stream$Empty$.prototype.$classData = $d_sci_Stream$Empty$;
var $n_sci_Stream$Empty$ = (void 0);
function $m_sci_Stream$Empty$() {
  if ((!$n_sci_Stream$Empty$)) {
    $n_sci_Stream$Empty$ = new $c_sci_Stream$Empty$().init___()
  };
  return $n_sci_Stream$Empty$
}
/** @constructor */
function $c_sci_Vector() {
  $c_sc_AbstractSeq.call(this);
  this.startIndex$4 = 0;
  this.endIndex$4 = 0;
  this.focus$4 = 0;
  this.dirty$4 = false;
  this.depth$4 = 0;
  this.display0$4 = null;
  this.display1$4 = null;
  this.display2$4 = null;
  this.display3$4 = null;
  this.display4$4 = null;
  this.display5$4 = null
}
$c_sci_Vector.prototype = new $h_sc_AbstractSeq();
$c_sci_Vector.prototype.constructor = $c_sci_Vector;
/** @constructor */
function $h_sci_Vector() {
  /*<skip>*/
}
$h_sci_Vector.prototype = $c_sci_Vector.prototype;
$c_sci_Vector.prototype.checkRangeConvert__p4__I__I = (function(index) {
  var idx = ((index + this.startIndex$4) | 0);
  if (((index >= 0) && (idx < this.endIndex$4))) {
    return idx
  } else {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + index))
  }
});
$c_sci_Vector.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_Vector.prototype.display3__AO = (function() {
  return this.display3$4
});
$c_sci_Vector.prototype.apply__I__O = (function(index) {
  var idx = this.checkRangeConvert__p4__I__I(index);
  var xor = (idx ^ this.focus$4);
  return $s_sci_VectorPointer$class__getElem__sci_VectorPointer__I__I__O(this, idx, xor)
});
$c_sci_Vector.prototype.lengthCompare__I__I = (function(len) {
  return ((this.length__I() - len) | 0)
});
$c_sci_Vector.prototype.depth__I = (function() {
  return this.depth$4
});
$c_sci_Vector.prototype.apply__O__O = (function(v1) {
  return this.apply__I__O($uI(v1))
});
$c_sci_Vector.prototype.initIterator__sci_VectorIterator__V = (function(s) {
  var depth = this.depth$4;
  $s_sci_VectorPointer$class__initFrom__sci_VectorPointer__sci_VectorPointer__I__V(s, this, depth);
  if (this.dirty$4) {
    var index = this.focus$4;
    $s_sci_VectorPointer$class__stabilize__sci_VectorPointer__I__V(s, index)
  };
  if ((s.depth$2 > 1)) {
    var index$1 = this.startIndex$4;
    var xor = (this.startIndex$4 ^ this.focus$4);
    $s_sci_VectorPointer$class__gotoPos__sci_VectorPointer__I__I__V(s, index$1, xor)
  }
});
$c_sci_Vector.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_Vector.prototype.init___I__I__I = (function(startIndex, endIndex, focus) {
  this.startIndex$4 = startIndex;
  this.endIndex$4 = endIndex;
  this.focus$4 = focus;
  this.dirty$4 = false;
  return this
});
$c_sci_Vector.prototype.display5$und$eq__AO__V = (function(x$1) {
  this.display5$4 = x$1
});
$c_sci_Vector.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_Vector$()
});
$c_sci_Vector.prototype.display0__AO = (function() {
  return this.display0$4
});
$c_sci_Vector.prototype.display4__AO = (function() {
  return this.display4$4
});
$c_sci_Vector.prototype.display2$und$eq__AO__V = (function(x$1) {
  this.display2$4 = x$1
});
$c_sci_Vector.prototype.iterator__sc_Iterator = (function() {
  return this.iterator__sci_VectorIterator()
});
$c_sci_Vector.prototype.display1$und$eq__AO__V = (function(x$1) {
  this.display1$4 = x$1
});
$c_sci_Vector.prototype.seq__sc_Seq = (function() {
  return this
});
$c_sci_Vector.prototype.length__I = (function() {
  return ((this.endIndex$4 - this.startIndex$4) | 0)
});
$c_sci_Vector.prototype.display4$und$eq__AO__V = (function(x$1) {
  this.display4$4 = x$1
});
$c_sci_Vector.prototype.display1__AO = (function() {
  return this.display1$4
});
$c_sci_Vector.prototype.display5__AO = (function() {
  return this.display5$4
});
$c_sci_Vector.prototype.iterator__sci_VectorIterator = (function() {
  var s = new $c_sci_VectorIterator().init___I__I(this.startIndex$4, this.endIndex$4);
  this.initIterator__sci_VectorIterator__V(s);
  return s
});
$c_sci_Vector.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_sci_Vector.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_sci_Vector.prototype.depth$und$eq__I__V = (function(x$1) {
  this.depth$4 = x$1
});
$c_sci_Vector.prototype.display2__AO = (function() {
  return this.display2$4
});
$c_sci_Vector.prototype.display0$und$eq__AO__V = (function(x$1) {
  this.display0$4 = x$1
});
$c_sci_Vector.prototype.toCollection__O__sc_Seq = (function(repr) {
  return $as_sc_IndexedSeq(repr)
});
$c_sci_Vector.prototype.display3$und$eq__AO__V = (function(x$1) {
  this.display3$4 = x$1
});
var $d_sci_Vector = new $TypeData().initClass({
  sci_Vector: 0
}, false, "scala.collection.immutable.Vector", {
  sci_Vector: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sci_VectorPointer: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1,
  sc_CustomParallelizable: 1
});
$c_sci_Vector.prototype.$classData = $d_sci_Vector;
/** @constructor */
function $c_sci_WrappedString() {
  $c_sc_AbstractSeq.call(this);
  this.self$4 = null
}
$c_sci_WrappedString.prototype = new $h_sc_AbstractSeq();
$c_sci_WrappedString.prototype.constructor = $c_sci_WrappedString;
/** @constructor */
function $h_sci_WrappedString() {
  /*<skip>*/
}
$h_sci_WrappedString.prototype = $c_sci_WrappedString.prototype;
$c_sci_WrappedString.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sci_WrappedString.prototype.apply__I__O = (function(idx) {
  var thiz = this.self$4;
  var c = (65535 & $uI(thiz.charCodeAt(idx)));
  return new $c_jl_Character().init___C(c)
});
$c_sci_WrappedString.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_sci_WrappedString.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_sci_WrappedString.prototype.apply__O__O = (function(v1) {
  var n = $uI(v1);
  var thiz = this.self$4;
  var c = (65535 & $uI(thiz.charCodeAt(n)));
  return new $c_jl_Character().init___C(c)
});
$c_sci_WrappedString.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_sci_WrappedString.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sci_WrappedString.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sci_IndexedSeq$()
});
$c_sci_WrappedString.prototype.toString__T = (function() {
  return this.self$4
});
$c_sci_WrappedString.prototype.foreach__F1__V = (function(f) {
  $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V(this, f)
});
$c_sci_WrappedString.prototype.reverse__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O(this)
});
$c_sci_WrappedString.prototype.iterator__sc_Iterator = (function() {
  var thiz = this.self$4;
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $uI(thiz.length))
});
$c_sci_WrappedString.prototype.length__I = (function() {
  var thiz = this.self$4;
  return $uI(thiz.length)
});
$c_sci_WrappedString.prototype.seq__sc_Seq = (function() {
  return this
});
$c_sci_WrappedString.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_sci_WrappedString.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_sci_WrappedString.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V(this, xs, start, len)
});
$c_sci_WrappedString.prototype.init___T = (function(self) {
  this.self$4 = self;
  return this
});
$c_sci_WrappedString.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_sci_WrappedString(repr);
  return repr$1
});
$c_sci_WrappedString.prototype.newBuilder__scm_Builder = (function() {
  return $m_sci_WrappedString$().newBuilder__scm_Builder()
});
function $is_sci_WrappedString(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sci_WrappedString)))
}
function $as_sci_WrappedString(obj) {
  return (($is_sci_WrappedString(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.immutable.WrappedString"))
}
function $isArrayOf_sci_WrappedString(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sci_WrappedString)))
}
function $asArrayOf_sci_WrappedString(obj, depth) {
  return (($isArrayOf_sci_WrappedString(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.immutable.WrappedString;", depth))
}
var $d_sci_WrappedString = new $TypeData().initClass({
  sci_WrappedString: 0
}, false, "scala.collection.immutable.WrappedString", {
  sci_WrappedString: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_IndexedSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1
});
$c_sci_WrappedString.prototype.$classData = $d_sci_WrappedString;
/** @constructor */
function $c_sci_$colon$colon() {
  $c_sci_List.call(this);
  this.head$5 = null;
  this.tl$5 = null
}
$c_sci_$colon$colon.prototype = new $h_sci_List();
$c_sci_$colon$colon.prototype.constructor = $c_sci_$colon$colon;
/** @constructor */
function $h_sci_$colon$colon() {
  /*<skip>*/
}
$h_sci_$colon$colon.prototype = $c_sci_$colon$colon.prototype;
$c_sci_$colon$colon.prototype.productPrefix__T = (function() {
  return "::"
});
$c_sci_$colon$colon.prototype.head__O = (function() {
  return this.head$5
});
$c_sci_$colon$colon.prototype.productArity__I = (function() {
  return 2
});
$c_sci_$colon$colon.prototype.isEmpty__Z = (function() {
  return false
});
$c_sci_$colon$colon.prototype.tail__sci_List = (function() {
  return this.tl$5
});
$c_sci_$colon$colon.prototype.productElement__I__O = (function(x$1) {
  switch (x$1) {
    case 0: {
      return this.head$5;
      break
    }
    case 1: {
      return this.tl$5;
      break
    }
    default: {
      throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
    }
  }
});
$c_sci_$colon$colon.prototype.tail__O = (function() {
  return this.tl$5
});
$c_sci_$colon$colon.prototype.init___O__sci_List = (function(head, tl) {
  this.head$5 = head;
  this.tl$5 = tl;
  return this
});
$c_sci_$colon$colon.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_sci_$colon$colon = new $TypeData().initClass({
  sci_$colon$colon: 0
}, false, "scala.collection.immutable.$colon$colon", {
  sci_$colon$colon: 1,
  sci_List: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  s_Product: 1,
  sc_LinearSeqOptimized: 1,
  Ljava_io_Serializable: 1,
  s_Serializable: 1
});
$c_sci_$colon$colon.prototype.$classData = $d_sci_$colon$colon;
/** @constructor */
function $c_sci_Nil$() {
  $c_sci_List.call(this)
}
$c_sci_Nil$.prototype = new $h_sci_List();
$c_sci_Nil$.prototype.constructor = $c_sci_Nil$;
/** @constructor */
function $h_sci_Nil$() {
  /*<skip>*/
}
$h_sci_Nil$.prototype = $c_sci_Nil$.prototype;
$c_sci_Nil$.prototype.init___ = (function() {
  return this
});
$c_sci_Nil$.prototype.head__O = (function() {
  this.head__sr_Nothing$()
});
$c_sci_Nil$.prototype.productPrefix__T = (function() {
  return "Nil"
});
$c_sci_Nil$.prototype.productArity__I = (function() {
  return 0
});
$c_sci_Nil$.prototype.equals__O__Z = (function(that) {
  if ($is_sc_GenSeq(that)) {
    var x2 = $as_sc_GenSeq(that);
    return x2.isEmpty__Z()
  } else {
    return false
  }
});
$c_sci_Nil$.prototype.tail__sci_List = (function() {
  throw new $c_jl_UnsupportedOperationException().init___T("tail of empty list")
});
$c_sci_Nil$.prototype.isEmpty__Z = (function() {
  return true
});
$c_sci_Nil$.prototype.productElement__I__O = (function(x$1) {
  throw new $c_jl_IndexOutOfBoundsException().init___T(("" + x$1))
});
$c_sci_Nil$.prototype.head__sr_Nothing$ = (function() {
  throw new $c_ju_NoSuchElementException().init___T("head of empty list")
});
$c_sci_Nil$.prototype.tail__O = (function() {
  return this.tail__sci_List()
});
$c_sci_Nil$.prototype.productIterator__sc_Iterator = (function() {
  return new $c_sr_ScalaRunTime$$anon$1().init___s_Product(this)
});
var $d_sci_Nil$ = new $TypeData().initClass({
  sci_Nil$: 0
}, false, "scala.collection.immutable.Nil$", {
  sci_Nil$: 1,
  sci_List: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  sci_LinearSeq: 1,
  sci_Seq: 1,
  sci_Iterable: 1,
  sci_Traversable: 1,
  s_Immutable: 1,
  sc_LinearSeq: 1,
  sc_LinearSeqLike: 1,
  s_Product: 1,
  sc_LinearSeqOptimized: 1,
  Ljava_io_Serializable: 1,
  s_Serializable: 1
});
$c_sci_Nil$.prototype.$classData = $d_sci_Nil$;
var $n_sci_Nil$ = (void 0);
function $m_sci_Nil$() {
  if ((!$n_sci_Nil$)) {
    $n_sci_Nil$ = new $c_sci_Nil$().init___()
  };
  return $n_sci_Nil$
}
/** @constructor */
function $c_scm_AbstractSet() {
  $c_scm_AbstractIterable.call(this)
}
$c_scm_AbstractSet.prototype = new $h_scm_AbstractIterable();
$c_scm_AbstractSet.prototype.constructor = $c_scm_AbstractSet;
/** @constructor */
function $h_scm_AbstractSet() {
  /*<skip>*/
}
$h_scm_AbstractSet.prototype = $c_scm_AbstractSet.prototype;
$c_scm_AbstractSet.prototype.isEmpty__Z = (function() {
  return $s_sc_SetLike$class__isEmpty__sc_SetLike__Z(this)
});
$c_scm_AbstractSet.prototype.equals__O__Z = (function(that) {
  return $s_sc_GenSetLike$class__equals__sc_GenSetLike__O__Z(this, that)
});
$c_scm_AbstractSet.prototype.toString__T = (function() {
  return $s_sc_TraversableLike$class__toString__sc_TraversableLike__T(this)
});
$c_scm_AbstractSet.prototype.subsetOf__sc_GenSet__Z = (function(that) {
  var this$1 = new $c_scm_FlatHashTable$$anon$1().init___scm_FlatHashTable(this);
  return $s_sc_Iterator$class__forall__sc_Iterator__F1__Z(this$1, that)
});
$c_scm_AbstractSet.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_AbstractSet.prototype.hashCode__I = (function() {
  var this$1 = $m_s_util_hashing_MurmurHash3$();
  return this$1.unorderedHash__sc_TraversableOnce__I__I(this, this$1.setSeed$2)
});
$c_scm_AbstractSet.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_AbstractSet.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_HashSet().init___()
});
$c_scm_AbstractSet.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
$c_scm_AbstractSet.prototype.stringPrefix__T = (function() {
  return "Set"
});
/** @constructor */
function $c_scm_AbstractBuffer() {
  $c_scm_AbstractSeq.call(this)
}
$c_scm_AbstractBuffer.prototype = new $h_scm_AbstractSeq();
$c_scm_AbstractBuffer.prototype.constructor = $c_scm_AbstractBuffer;
/** @constructor */
function $h_scm_AbstractBuffer() {
  /*<skip>*/
}
$h_scm_AbstractBuffer.prototype = $c_scm_AbstractBuffer.prototype;
$c_scm_AbstractBuffer.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
/** @constructor */
function $c_scm_HashSet() {
  $c_scm_AbstractSet.call(this);
  this.$$undloadFactor$5 = 0;
  this.table$5 = null;
  this.tableSize$5 = 0;
  this.threshold$5 = 0;
  this.sizemap$5 = null;
  this.seedvalue$5 = 0
}
$c_scm_HashSet.prototype = new $h_scm_AbstractSet();
$c_scm_HashSet.prototype.constructor = $c_scm_HashSet;
/** @constructor */
function $h_scm_HashSet() {
  /*<skip>*/
}
$h_scm_HashSet.prototype = $c_scm_HashSet.prototype;
$c_scm_HashSet.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_scm_HashSet.prototype.init___ = (function() {
  $c_scm_HashSet.prototype.init___scm_FlatHashTable$Contents.call(this, null);
  return this
});
$c_scm_HashSet.prototype.apply__O__O = (function(v1) {
  return $s_scm_FlatHashTable$class__containsElem__scm_FlatHashTable__O__Z(this, v1)
});
$c_scm_HashSet.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_scm_HashSet.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_HashSet(elem)
});
$c_scm_HashSet.prototype.companion__scg_GenericCompanion = (function() {
  return $m_scm_HashSet$()
});
$c_scm_HashSet.prototype.foreach__F1__V = (function(f) {
  var i = 0;
  var len = this.table$5.u.length;
  while ((i < len)) {
    var curEntry = this.table$5.get(i);
    if ((curEntry !== null)) {
      f.apply__O__O($s_scm_FlatHashTable$HashUtils$class__entryToElem__scm_FlatHashTable$HashUtils__O__O(this, curEntry))
    };
    i = ((1 + i) | 0)
  }
});
$c_scm_HashSet.prototype.size__I = (function() {
  return this.tableSize$5
});
$c_scm_HashSet.prototype.result__O = (function() {
  return this
});
$c_scm_HashSet.prototype.iterator__sc_Iterator = (function() {
  return new $c_scm_FlatHashTable$$anon$1().init___scm_FlatHashTable(this)
});
$c_scm_HashSet.prototype.init___scm_FlatHashTable$Contents = (function(contents) {
  $s_scm_FlatHashTable$class__$$init$__scm_FlatHashTable__V(this);
  $s_scm_FlatHashTable$class__initWithContents__scm_FlatHashTable__scm_FlatHashTable$Contents__V(this, contents);
  return this
});
$c_scm_HashSet.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_HashSet(elem)
});
$c_scm_HashSet.prototype.$$plus__O__sc_Set = (function(elem) {
  var this$1 = new $c_scm_HashSet().init___();
  var this$2 = $as_scm_HashSet($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this$1, this));
  return this$2.$$plus$eq__O__scm_HashSet(elem)
});
$c_scm_HashSet.prototype.$$plus$eq__O__scm_HashSet = (function(elem) {
  $s_scm_FlatHashTable$class__addElem__scm_FlatHashTable__O__Z(this, elem);
  return this
});
function $is_scm_HashSet(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_HashSet)))
}
function $as_scm_HashSet(obj) {
  return (($is_scm_HashSet(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.HashSet"))
}
function $isArrayOf_scm_HashSet(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_HashSet)))
}
function $asArrayOf_scm_HashSet(obj, depth) {
  return (($isArrayOf_scm_HashSet(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.HashSet;", depth))
}
var $d_scm_HashSet = new $TypeData().initClass({
  scm_HashSet: 0
}, false, "scala.collection.mutable.HashSet", {
  scm_HashSet: 1,
  scm_AbstractSet: 1,
  scm_AbstractIterable: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_Set: 1,
  sc_Set: 1,
  F1: 1,
  sc_GenSet: 1,
  sc_GenSetLike: 1,
  scg_GenericSetTemplate: 1,
  sc_SetLike: 1,
  scg_Subtractable: 1,
  scm_SetLike: 1,
  sc_script_Scriptable: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_FlatHashTable: 1,
  scm_FlatHashTable$HashUtils: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_HashSet.prototype.$classData = $d_scm_HashSet;
/** @constructor */
function $c_scm_ListBuffer() {
  $c_scm_AbstractBuffer.call(this);
  this.scala$collection$mutable$ListBuffer$$start$6 = null;
  this.last0$6 = null;
  this.exported$6 = false;
  this.len$6 = 0
}
$c_scm_ListBuffer.prototype = new $h_scm_AbstractBuffer();
$c_scm_ListBuffer.prototype.constructor = $c_scm_ListBuffer;
/** @constructor */
function $h_scm_ListBuffer() {
  /*<skip>*/
}
$h_scm_ListBuffer.prototype = $c_scm_ListBuffer.prototype;
$c_scm_ListBuffer.prototype.copy__p6__V = (function() {
  if (this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z()) {
    return (void 0)
  };
  var cursor = this.scala$collection$mutable$ListBuffer$$start$6;
  var this$1 = this.last0$6;
  var limit = this$1.tl$5;
  this.clear__V();
  while ((cursor !== limit)) {
    this.$$plus$eq__O__scm_ListBuffer(cursor.head__O());
    var this$2 = cursor;
    cursor = this$2.tail__sci_List()
  }
});
$c_scm_ListBuffer.prototype.init___ = (function() {
  this.scala$collection$mutable$ListBuffer$$start$6 = $m_sci_Nil$();
  this.exported$6 = false;
  this.len$6 = 0;
  return this
});
$c_scm_ListBuffer.prototype.apply__I__O = (function(n) {
  if (((n < 0) || (n >= this.len$6))) {
    throw new $c_jl_IndexOutOfBoundsException().init___T(("" + n))
  } else {
    var this$2 = this.scala$collection$mutable$ListBuffer$$start$6;
    return $s_sc_LinearSeqOptimized$class__apply__sc_LinearSeqOptimized__I__O(this$2, n)
  }
});
$c_scm_ListBuffer.prototype.lengthCompare__I__I = (function(len) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_LinearSeqOptimized$class__lengthCompare__sc_LinearSeqOptimized__I__I(this$1, len)
});
$c_scm_ListBuffer.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_LinearSeqOptimized$class__sameElements__sc_LinearSeqOptimized__sc_GenIterable__Z(this$1, that)
});
$c_scm_ListBuffer.prototype.apply__O__O = (function(v1) {
  return this.apply__I__O($uI(v1))
});
$c_scm_ListBuffer.prototype.isEmpty__Z = (function() {
  return this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z()
});
$c_scm_ListBuffer.prototype.toList__sci_List = (function() {
  this.exported$6 = (!this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z());
  return this.scala$collection$mutable$ListBuffer$$start$6
});
$c_scm_ListBuffer.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_scm_ListBuffer.prototype.equals__O__Z = (function(that) {
  if ($is_scm_ListBuffer(that)) {
    var x2 = $as_scm_ListBuffer(that);
    return this.scala$collection$mutable$ListBuffer$$start$6.equals__O__Z(x2.scala$collection$mutable$ListBuffer$$start$6)
  } else {
    return $s_sc_GenSeqLike$class__equals__sc_GenSeqLike__O__Z(this, that)
  }
});
$c_scm_ListBuffer.prototype.mkString__T__T__T__T = (function(start, sep, end) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this$1, start, sep, end)
});
$c_scm_ListBuffer.prototype.mkString__T__T = (function(sep) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_TraversableOnce$class__mkString__sc_TraversableOnce__T__T__T__T(this$1, "", sep, "")
});
$c_scm_ListBuffer.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_ListBuffer(elem)
});
$c_scm_ListBuffer.prototype.companion__scg_GenericCompanion = (function() {
  return $m_scm_ListBuffer$()
});
$c_scm_ListBuffer.prototype.foreach__F1__V = (function(f) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  var these = this$1;
  while ((!these.isEmpty__Z())) {
    f.apply__O__O(these.head__O());
    var this$2 = these;
    these = this$2.tail__sci_List()
  }
});
$c_scm_ListBuffer.prototype.size__I = (function() {
  return this.len$6
});
$c_scm_ListBuffer.prototype.result__O = (function() {
  return this.toList__sci_List()
});
$c_scm_ListBuffer.prototype.iterator__sc_Iterator = (function() {
  return new $c_scm_ListBuffer$$anon$1().init___scm_ListBuffer(this)
});
$c_scm_ListBuffer.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_ListBuffer.prototype.length__I = (function() {
  return this.len$6
});
$c_scm_ListBuffer.prototype.seq__sc_Seq = (function() {
  return this
});
$c_scm_ListBuffer.prototype.toStream__sci_Stream = (function() {
  return this.scala$collection$mutable$ListBuffer$$start$6.toStream__sci_Stream()
});
$c_scm_ListBuffer.prototype.prependToList__sci_List__sci_List = (function(xs) {
  if (this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z()) {
    return xs
  } else {
    if (this.exported$6) {
      this.copy__p6__V()
    };
    this.last0$6.tl$5 = xs;
    return this.toList__sci_List()
  }
});
$c_scm_ListBuffer.prototype.addString__scm_StringBuilder__T__T__T__scm_StringBuilder = (function(b, start, sep, end) {
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_TraversableOnce$class__addString__sc_TraversableOnce__scm_StringBuilder__T__T__T__scm_StringBuilder(this$1, b, start, sep, end)
});
$c_scm_ListBuffer.prototype.$$plus$eq__O__scm_ListBuffer = (function(x) {
  if (this.exported$6) {
    this.copy__p6__V()
  };
  if (this.scala$collection$mutable$ListBuffer$$start$6.isEmpty__Z()) {
    this.last0$6 = new $c_sci_$colon$colon().init___O__sci_List(x, $m_sci_Nil$());
    this.scala$collection$mutable$ListBuffer$$start$6 = this.last0$6
  } else {
    var last1 = this.last0$6;
    this.last0$6 = new $c_sci_$colon$colon().init___O__sci_List(x, $m_sci_Nil$());
    last1.tl$5 = this.last0$6
  };
  this.len$6 = ((1 + this.len$6) | 0);
  return this
});
$c_scm_ListBuffer.prototype.isDefinedAt__O__Z = (function(x) {
  var x$1 = $uI(x);
  var this$1 = this.scala$collection$mutable$ListBuffer$$start$6;
  return $s_sc_LinearSeqOptimized$class__isDefinedAt__sc_LinearSeqOptimized__I__Z(this$1, x$1)
});
$c_scm_ListBuffer.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_ListBuffer(elem)
});
$c_scm_ListBuffer.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_ListBuffer.prototype.clear__V = (function() {
  this.scala$collection$mutable$ListBuffer$$start$6 = $m_sci_Nil$();
  this.last0$6 = null;
  this.exported$6 = false;
  this.len$6 = 0
});
$c_scm_ListBuffer.prototype.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer = (function(xs) {
  _$plus$plus$eq: while (true) {
    var x1 = xs;
    if ((x1 !== null)) {
      if ((x1 === this)) {
        var n = this.len$6;
        xs = $as_sc_TraversableOnce($s_sc_IterableLike$class__take__sc_IterableLike__I__O(this, n));
        continue _$plus$plus$eq
      }
    };
    return $as_scm_ListBuffer($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs))
  }
});
$c_scm_ListBuffer.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return this.$$plus$plus$eq__sc_TraversableOnce__scm_ListBuffer(xs)
});
$c_scm_ListBuffer.prototype.stringPrefix__T = (function() {
  return "ListBuffer"
});
function $is_scm_ListBuffer(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ListBuffer)))
}
function $as_scm_ListBuffer(obj) {
  return (($is_scm_ListBuffer(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.ListBuffer"))
}
function $isArrayOf_scm_ListBuffer(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ListBuffer)))
}
function $asArrayOf_scm_ListBuffer(obj, depth) {
  return (($isArrayOf_scm_ListBuffer(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.ListBuffer;", depth))
}
var $d_scm_ListBuffer = new $TypeData().initClass({
  scm_ListBuffer: 0
}, false, "scala.collection.mutable.ListBuffer", {
  scm_ListBuffer: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_Builder: 1,
  scg_SeqForwarder: 1,
  scg_IterableForwarder: 1,
  scg_TraversableForwarder: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ListBuffer.prototype.$classData = $d_scm_ListBuffer;
/** @constructor */
function $c_scm_StringBuilder() {
  $c_scm_AbstractSeq.call(this);
  this.underlying$5 = null
}
$c_scm_StringBuilder.prototype = new $h_scm_AbstractSeq();
$c_scm_StringBuilder.prototype.constructor = $c_scm_StringBuilder;
/** @constructor */
function $h_scm_StringBuilder() {
  /*<skip>*/
}
$h_scm_StringBuilder.prototype = $c_scm_StringBuilder.prototype;
$c_scm_StringBuilder.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_scm_StringBuilder.prototype.$$plus$eq__C__scm_StringBuilder = (function(x) {
  this.append__C__scm_StringBuilder(x);
  return this
});
$c_scm_StringBuilder.prototype.init___ = (function() {
  $c_scm_StringBuilder.prototype.init___I__T.call(this, 16, "");
  return this
});
$c_scm_StringBuilder.prototype.apply__I__O = (function(idx) {
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  var c = (65535 & $uI(thiz.charCodeAt(idx)));
  return new $c_jl_Character().init___C(c)
});
$c_scm_StringBuilder.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_scm_StringBuilder.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_scm_StringBuilder.prototype.apply__O__O = (function(v1) {
  var index = $uI(v1);
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  var c = (65535 & $uI(thiz.charCodeAt(index)));
  return new $c_jl_Character().init___C(c)
});
$c_scm_StringBuilder.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_scm_StringBuilder.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_scm_StringBuilder.prototype.subSequence__I__I__jl_CharSequence = (function(start, end) {
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  return $as_T(thiz.substring(start, end))
});
$c_scm_StringBuilder.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  if ((elem === null)) {
    var jsx$1 = 0
  } else {
    var this$2 = $as_jl_Character(elem);
    var jsx$1 = this$2.value$1
  };
  return this.$$plus$eq__C__scm_StringBuilder(jsx$1)
});
$c_scm_StringBuilder.prototype.companion__scg_GenericCompanion = (function() {
  return $m_scm_IndexedSeq$()
});
$c_scm_StringBuilder.prototype.toString__T = (function() {
  var this$1 = this.underlying$5;
  return this$1.content$1
});
$c_scm_StringBuilder.prototype.foreach__F1__V = (function(f) {
  $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V(this, f)
});
$c_scm_StringBuilder.prototype.reverse__O = (function() {
  return this.reverse__scm_StringBuilder()
});
$c_scm_StringBuilder.prototype.result__O = (function() {
  var this$1 = this.underlying$5;
  return this$1.content$1
});
$c_scm_StringBuilder.prototype.append__T__scm_StringBuilder = (function(s) {
  this.underlying$5.append__T__jl_StringBuilder(s);
  return this
});
$c_scm_StringBuilder.prototype.iterator__sc_Iterator = (function() {
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $uI(thiz.length))
});
$c_scm_StringBuilder.prototype.seq__scm_Seq = (function() {
  return this
});
$c_scm_StringBuilder.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_StringBuilder.prototype.init___I__T = (function(initCapacity, initValue) {
  $c_scm_StringBuilder.prototype.init___jl_StringBuilder.call(this, new $c_jl_StringBuilder().init___I((($uI(initValue.length) + initCapacity) | 0)).append__T__jl_StringBuilder(initValue));
  return this
});
$c_scm_StringBuilder.prototype.length__I = (function() {
  var this$1 = this.underlying$5;
  var thiz = this$1.content$1;
  return $uI(thiz.length)
});
$c_scm_StringBuilder.prototype.seq__sc_Seq = (function() {
  return this
});
$c_scm_StringBuilder.prototype.init___jl_StringBuilder = (function(underlying) {
  this.underlying$5 = underlying;
  return this
});
$c_scm_StringBuilder.prototype.append__O__scm_StringBuilder = (function(x) {
  this.underlying$5.append__T__jl_StringBuilder($m_sjsr_RuntimeString$().valueOf__O__T(x));
  return this
});
$c_scm_StringBuilder.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_scm_StringBuilder.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  if ((elem === null)) {
    var jsx$1 = 0
  } else {
    var this$2 = $as_jl_Character(elem);
    var jsx$1 = this$2.value$1
  };
  return this.$$plus$eq__C__scm_StringBuilder(jsx$1)
});
$c_scm_StringBuilder.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_scm_StringBuilder.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V(this, xs, start, len)
});
$c_scm_StringBuilder.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_scm_StringBuilder.prototype.reverse__scm_StringBuilder = (function() {
  return new $c_scm_StringBuilder().init___jl_StringBuilder(new $c_jl_StringBuilder().init___jl_CharSequence(this.underlying$5).reverse__jl_StringBuilder())
});
$c_scm_StringBuilder.prototype.append__C__scm_StringBuilder = (function(x) {
  this.underlying$5.append__C__jl_StringBuilder(x);
  return this
});
$c_scm_StringBuilder.prototype.toCollection__O__sc_Seq = (function(repr) {
  var repr$1 = $as_scm_StringBuilder(repr);
  return repr$1
});
$c_scm_StringBuilder.prototype.newBuilder__scm_Builder = (function() {
  return new $c_scm_GrowingBuilder().init___scg_Growable(new $c_scm_StringBuilder().init___())
});
$c_scm_StringBuilder.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return $s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs)
});
function $is_scm_StringBuilder(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_StringBuilder)))
}
function $as_scm_StringBuilder(obj) {
  return (($is_scm_StringBuilder(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.StringBuilder"))
}
function $isArrayOf_scm_StringBuilder(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_StringBuilder)))
}
function $asArrayOf_scm_StringBuilder(obj, depth) {
  return (($isArrayOf_scm_StringBuilder(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.StringBuilder;", depth))
}
var $d_scm_StringBuilder = new $TypeData().initClass({
  scm_StringBuilder: 0
}, false, "scala.collection.mutable.StringBuilder", {
  scm_StringBuilder: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  jl_CharSequence: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  sci_StringLike: 1,
  sc_IndexedSeqOptimized: 1,
  s_math_Ordered: 1,
  jl_Comparable: 1,
  scm_Builder: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_StringBuilder.prototype.$classData = $d_scm_StringBuilder;
/** @constructor */
function $c_sjs_js_WrappedArray() {
  $c_scm_AbstractBuffer.call(this);
  this.array$6 = null
}
$c_sjs_js_WrappedArray.prototype = new $h_scm_AbstractBuffer();
$c_sjs_js_WrappedArray.prototype.constructor = $c_sjs_js_WrappedArray;
/** @constructor */
function $h_sjs_js_WrappedArray() {
  /*<skip>*/
}
$h_sjs_js_WrappedArray.prototype = $c_sjs_js_WrappedArray.prototype;
$c_sjs_js_WrappedArray.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_sjs_js_WrappedArray.prototype.init___ = (function() {
  $c_sjs_js_WrappedArray.prototype.init___sjs_js_Array.call(this, []);
  return this
});
$c_sjs_js_WrappedArray.prototype.apply__I__O = (function(index) {
  return this.array$6[index]
});
$c_sjs_js_WrappedArray.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_sjs_js_WrappedArray.prototype.apply__O__O = (function(v1) {
  var index = $uI(v1);
  return this.array$6[index]
});
$c_sjs_js_WrappedArray.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_sjs_js_WrappedArray.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_sjs_js_WrappedArray.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_sjs_js_WrappedArray.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  this.array$6.push(elem);
  return this
});
$c_sjs_js_WrappedArray.prototype.companion__scg_GenericCompanion = (function() {
  return $m_sjs_js_WrappedArray$()
});
$c_sjs_js_WrappedArray.prototype.foreach__F1__V = (function(f) {
  $s_sc_IndexedSeqOptimized$class__foreach__sc_IndexedSeqOptimized__F1__V(this, f)
});
$c_sjs_js_WrappedArray.prototype.reverse__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O(this)
});
$c_sjs_js_WrappedArray.prototype.result__O = (function() {
  return this
});
$c_sjs_js_WrappedArray.prototype.seq__scm_Seq = (function() {
  return this
});
$c_sjs_js_WrappedArray.prototype.iterator__sc_Iterator = (function() {
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, $uI(this.array$6.length))
});
$c_sjs_js_WrappedArray.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_sjs_js_WrappedArray.prototype.seq__sc_Seq = (function() {
  return this
});
$c_sjs_js_WrappedArray.prototype.length__I = (function() {
  return $uI(this.array$6.length)
});
$c_sjs_js_WrappedArray.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_sjs_js_WrappedArray.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  this.array$6.push(elem);
  return this
});
$c_sjs_js_WrappedArray.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_sc_IndexedSeqOptimized$class__copyToArray__sc_IndexedSeqOptimized__O__I__I__V(this, xs, start, len)
});
$c_sjs_js_WrappedArray.prototype.sizeHint__I__V = (function(size) {
  /*<skip>*/
});
$c_sjs_js_WrappedArray.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_sjs_js_WrappedArray.prototype.init___sjs_js_Array = (function(array) {
  this.array$6 = array;
  return this
});
$c_sjs_js_WrappedArray.prototype.toCollection__O__sc_Seq = (function(repr) {
  return $as_scm_IndexedSeq(repr)
});
$c_sjs_js_WrappedArray.prototype.stringPrefix__T = (function() {
  return "WrappedArray"
});
function $is_sjs_js_WrappedArray(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.sjs_js_WrappedArray)))
}
function $as_sjs_js_WrappedArray(obj) {
  return (($is_sjs_js_WrappedArray(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.scalajs.js.WrappedArray"))
}
function $isArrayOf_sjs_js_WrappedArray(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.sjs_js_WrappedArray)))
}
function $asArrayOf_sjs_js_WrappedArray(obj, depth) {
  return (($isArrayOf_sjs_js_WrappedArray(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.scalajs.js.WrappedArray;", depth))
}
var $d_sjs_js_WrappedArray = new $TypeData().initClass({
  sjs_js_WrappedArray: 0
}, false, "scala.scalajs.js.WrappedArray", {
  sjs_js_WrappedArray: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_IndexedSeqLike: 1,
  scm_IndexedSeqLike: 1,
  scm_ArrayLike: 1,
  scm_IndexedSeqOptimized: 1,
  sc_IndexedSeqOptimized: 1,
  scm_Builder: 1
});
$c_sjs_js_WrappedArray.prototype.$classData = $d_sjs_js_WrappedArray;
/** @constructor */
function $c_scm_ArrayBuffer() {
  $c_scm_AbstractBuffer.call(this);
  this.initialSize$6 = 0;
  this.array$6 = null;
  this.size0$6 = 0
}
$c_scm_ArrayBuffer.prototype = new $h_scm_AbstractBuffer();
$c_scm_ArrayBuffer.prototype.constructor = $c_scm_ArrayBuffer;
/** @constructor */
function $h_scm_ArrayBuffer() {
  /*<skip>*/
}
$h_scm_ArrayBuffer.prototype = $c_scm_ArrayBuffer.prototype;
$c_scm_ArrayBuffer.prototype.seq__sc_TraversableOnce = (function() {
  return this
});
$c_scm_ArrayBuffer.prototype.init___ = (function() {
  $c_scm_ArrayBuffer.prototype.init___I.call(this, 16);
  return this
});
$c_scm_ArrayBuffer.prototype.$$plus$eq__O__scm_ArrayBuffer = (function(elem) {
  var n = ((1 + this.size0$6) | 0);
  $s_scm_ResizableArray$class__ensureSize__scm_ResizableArray__I__V(this, n);
  this.array$6.set(this.size0$6, elem);
  this.size0$6 = ((1 + this.size0$6) | 0);
  return this
});
$c_scm_ArrayBuffer.prototype.apply__I__O = (function(idx) {
  return $s_scm_ResizableArray$class__apply__scm_ResizableArray__I__O(this, idx)
});
$c_scm_ArrayBuffer.prototype.lengthCompare__I__I = (function(len) {
  return $s_sc_IndexedSeqOptimized$class__lengthCompare__sc_IndexedSeqOptimized__I__I(this, len)
});
$c_scm_ArrayBuffer.prototype.apply__O__O = (function(v1) {
  var idx = $uI(v1);
  return $s_scm_ResizableArray$class__apply__scm_ResizableArray__I__O(this, idx)
});
$c_scm_ArrayBuffer.prototype.sameElements__sc_GenIterable__Z = (function(that) {
  return $s_sc_IndexedSeqOptimized$class__sameElements__sc_IndexedSeqOptimized__sc_GenIterable__Z(this, that)
});
$c_scm_ArrayBuffer.prototype.isEmpty__Z = (function() {
  return $s_sc_IndexedSeqOptimized$class__isEmpty__sc_IndexedSeqOptimized__Z(this)
});
$c_scm_ArrayBuffer.prototype.thisCollection__sc_Traversable = (function() {
  return this
});
$c_scm_ArrayBuffer.prototype.$$plus$eq__O__scg_Growable = (function(elem) {
  return this.$$plus$eq__O__scm_ArrayBuffer(elem)
});
$c_scm_ArrayBuffer.prototype.companion__scg_GenericCompanion = (function() {
  return $m_scm_ArrayBuffer$()
});
$c_scm_ArrayBuffer.prototype.foreach__F1__V = (function(f) {
  $s_scm_ResizableArray$class__foreach__scm_ResizableArray__F1__V(this, f)
});
$c_scm_ArrayBuffer.prototype.reverse__O = (function() {
  return $s_sc_IndexedSeqOptimized$class__reverse__sc_IndexedSeqOptimized__O(this)
});
$c_scm_ArrayBuffer.prototype.result__O = (function() {
  return this
});
$c_scm_ArrayBuffer.prototype.seq__scm_Seq = (function() {
  return this
});
$c_scm_ArrayBuffer.prototype.iterator__sc_Iterator = (function() {
  return new $c_sc_IndexedSeqLike$Elements().init___sc_IndexedSeqLike__I__I(this, 0, this.size0$6)
});
$c_scm_ArrayBuffer.prototype.init___I = (function(initialSize) {
  this.initialSize$6 = initialSize;
  $s_scm_ResizableArray$class__$$init$__scm_ResizableArray__V(this);
  return this
});
$c_scm_ArrayBuffer.prototype.sizeHintBounded__I__sc_TraversableLike__V = (function(size, boundingColl) {
  $s_scm_Builder$class__sizeHintBounded__scm_Builder__I__sc_TraversableLike__V(this, size, boundingColl)
});
$c_scm_ArrayBuffer.prototype.seq__sc_Seq = (function() {
  return this
});
$c_scm_ArrayBuffer.prototype.length__I = (function() {
  return this.size0$6
});
$c_scm_ArrayBuffer.prototype.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer = (function(xs) {
  if ($is_sc_IndexedSeqLike(xs)) {
    var x2 = $as_sc_IndexedSeqLike(xs);
    var n = x2.length__I();
    var n$1 = ((this.size0$6 + n) | 0);
    $s_scm_ResizableArray$class__ensureSize__scm_ResizableArray__I__V(this, n$1);
    x2.copyToArray__O__I__I__V(this.array$6, this.size0$6, n);
    this.size0$6 = ((this.size0$6 + n) | 0);
    return this
  } else {
    return $as_scm_ArrayBuffer($s_scg_Growable$class__$$plus$plus$eq__scg_Growable__sc_TraversableOnce__scg_Growable(this, xs))
  }
});
$c_scm_ArrayBuffer.prototype.isDefinedAt__O__Z = (function(x) {
  var idx = $uI(x);
  return $s_sc_GenSeqLike$class__isDefinedAt__sc_GenSeqLike__I__Z(this, idx)
});
$c_scm_ArrayBuffer.prototype.$$plus$eq__O__scm_Builder = (function(elem) {
  return this.$$plus$eq__O__scm_ArrayBuffer(elem)
});
$c_scm_ArrayBuffer.prototype.sizeHint__I__V = (function(len) {
  if (((len > this.size0$6) && (len >= 1))) {
    var newarray = $newArrayObject($d_O.getArrayOf(), [len]);
    var src = this.array$6;
    var length = this.size0$6;
    $systemArraycopy(src, 0, newarray, 0, length);
    this.array$6 = newarray
  }
});
$c_scm_ArrayBuffer.prototype.copyToArray__O__I__I__V = (function(xs, start, len) {
  $s_scm_ResizableArray$class__copyToArray__scm_ResizableArray__O__I__I__V(this, xs, start, len)
});
$c_scm_ArrayBuffer.prototype.hashCode__I = (function() {
  return $m_s_util_hashing_MurmurHash3$().seqHash__sc_Seq__I(this)
});
$c_scm_ArrayBuffer.prototype.toCollection__O__sc_Seq = (function(repr) {
  return $as_scm_IndexedSeq(repr)
});
$c_scm_ArrayBuffer.prototype.$$plus$plus$eq__sc_TraversableOnce__scg_Growable = (function(xs) {
  return this.$$plus$plus$eq__sc_TraversableOnce__scm_ArrayBuffer(xs)
});
$c_scm_ArrayBuffer.prototype.stringPrefix__T = (function() {
  return "ArrayBuffer"
});
function $is_scm_ArrayBuffer(obj) {
  return (!(!((obj && obj.$classData) && obj.$classData.ancestors.scm_ArrayBuffer)))
}
function $as_scm_ArrayBuffer(obj) {
  return (($is_scm_ArrayBuffer(obj) || (obj === null)) ? obj : $throwClassCastException(obj, "scala.collection.mutable.ArrayBuffer"))
}
function $isArrayOf_scm_ArrayBuffer(obj, depth) {
  return (!(!(((obj && obj.$classData) && (obj.$classData.arrayDepth === depth)) && obj.$classData.arrayBase.ancestors.scm_ArrayBuffer)))
}
function $asArrayOf_scm_ArrayBuffer(obj, depth) {
  return (($isArrayOf_scm_ArrayBuffer(obj, depth) || (obj === null)) ? obj : $throwArrayCastException(obj, "Lscala.collection.mutable.ArrayBuffer;", depth))
}
var $d_scm_ArrayBuffer = new $TypeData().initClass({
  scm_ArrayBuffer: 0
}, false, "scala.collection.mutable.ArrayBuffer", {
  scm_ArrayBuffer: 1,
  scm_AbstractBuffer: 1,
  scm_AbstractSeq: 1,
  sc_AbstractSeq: 1,
  sc_AbstractIterable: 1,
  sc_AbstractTraversable: 1,
  O: 1,
  sc_Traversable: 1,
  sc_TraversableLike: 1,
  scg_HasNewBuilder: 1,
  scg_FilterMonadic: 1,
  sc_TraversableOnce: 1,
  sc_GenTraversableOnce: 1,
  sc_GenTraversableLike: 1,
  sc_Parallelizable: 1,
  sc_GenTraversable: 1,
  scg_GenericTraversableTemplate: 1,
  sc_Iterable: 1,
  sc_GenIterable: 1,
  sc_GenIterableLike: 1,
  sc_IterableLike: 1,
  s_Equals: 1,
  sc_Seq: 1,
  s_PartialFunction: 1,
  F1: 1,
  sc_GenSeq: 1,
  sc_GenSeqLike: 1,
  sc_SeqLike: 1,
  scm_Seq: 1,
  scm_Iterable: 1,
  scm_Traversable: 1,
  s_Mutable: 1,
  scm_SeqLike: 1,
  scm_Cloneable: 1,
  s_Cloneable: 1,
  jl_Cloneable: 1,
  scm_Buffer: 1,
  scm_BufferLike: 1,
  scg_Growable: 1,
  scg_Clearable: 1,
  scg_Shrinkable: 1,
  sc_script_Scriptable: 1,
  scg_Subtractable: 1,
  scm_IndexedSeqOptimized: 1,
  scm_IndexedSeqLike: 1,
  sc_IndexedSeqLike: 1,
  sc_IndexedSeqOptimized: 1,
  scm_Builder: 1,
  scm_ResizableArray: 1,
  scm_IndexedSeq: 1,
  sc_IndexedSeq: 1,
  sc_CustomParallelizable: 1,
  s_Serializable: 1,
  Ljava_io_Serializable: 1
});
$c_scm_ArrayBuffer.prototype.$classData = $d_scm_ArrayBuffer;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
$e.com.iteration3.smilejs.util = ($e.com.iteration3.smilejs.util || {});
$e.com.iteration3.smilejs.util.EventBus = $m_Lcom_iteration3_smilejs_util_EventBus$();
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
$e.com.iteration3.smilejs.util = ($e.com.iteration3.smilejs.util || {});
/** @constructor */
$e.com.iteration3.smilejs.util.VRBuilderNamePath = (function(arg$1, arg$2, arg$3) {
  var $thiz = new $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath();
  var prep0 = arg$1;
  var prep1 = $as_T(arg$2);
  var prep2 = $as_T(arg$3);
  $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype.init___sjs_js_Dynamic__T__T.call($thiz, prep0, prep1, prep2);
  return $thiz
});
$e.com.iteration3.smilejs.util.VRBuilderNamePath.prototype = $c_Lcom_iteration3_smilejs_util_VRBuilderNamePath.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
$e.com.iteration3.smilejs.util = ($e.com.iteration3.smilejs.util || {});
$e.com.iteration3.smilejs.util.VueRouter = $m_Lcom_iteration3_smilejs_util_VueRouter$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.actions = ($e.com.metastay.gompaapp.actions || {});
$e.com.metastay.gompaapp.actions.AppActions = $m_Lcom_metastay_gompaapp_actions_AppActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.actions = ($e.com.metastay.gompaapp.actions || {});
$e.com.metastay.gompaapp.actions.GompaAdminActions = $m_Lcom_metastay_gompaapp_actions_GompaAdminActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.actions = ($e.com.metastay.gompaapp.actions || {});
$e.com.metastay.gompaapp.actions.TeamActions = $m_Lcom_metastay_gompaapp_actions_TeamActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.actions = ($e.com.metastay.gompaapp.actions || {});
$e.com.metastay.gompaapp.actions.UserActions = $m_Lcom_metastay_gompaapp_actions_UserActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.actions = ($e.com.metastay.gompaapp.actions || {});
$e.com.metastay.gompaapp.actions.UserGroupActions = $m_Lcom_metastay_gompaapp_actions_UserGroupActions$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.bus = ($e.com.metastay.gompaapp.bus || {});
$e.com.metastay.gompaapp.bus.AppBus = $m_Lcom_metastay_gompaapp_bus_AppBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.bus = ($e.com.metastay.gompaapp.bus || {});
$e.com.metastay.gompaapp.bus.GompaAdminBus = $m_Lcom_metastay_gompaapp_bus_GompaAdminBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.bus = ($e.com.metastay.gompaapp.bus || {});
$e.com.metastay.gompaapp.bus.TeamBus = $m_Lcom_metastay_gompaapp_bus_TeamBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.bus = ($e.com.metastay.gompaapp.bus || {});
$e.com.metastay.gompaapp.bus.UserBus = $m_Lcom_metastay_gompaapp_bus_UserBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.bus = ($e.com.metastay.gompaapp.bus || {});
$e.com.metastay.gompaapp.bus.UserGroupBus = $m_Lcom_metastay_gompaapp_bus_UserGroupBus$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.enums = ($e.com.metastay.gompaapp.enums || {});
$e.com.metastay.gompaapp.enums.Title = $m_Lcom_metastay_gompaapp_enums_Title$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.store = ($e.com.metastay.gompaapp.store || {});
$e.com.metastay.gompaapp.store.StateInit = $m_Lcom_metastay_gompaapp_store_StateInit$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddAppRoleFormForUser = $a_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddAppRoleFormForUser = $m_Lcom_metastay_gompaapp_data_AddAppRoleFormForUser$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddUserForm = $a_Lcom_metastay_gompaapp_data_AddUserForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddUserForm = $m_Lcom_metastay_gompaapp_data_AddUserForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddUserGroupRoleFormForApp = $a_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddUserGroupRoleFormForApp = $m_Lcom_metastay_gompaapp_data_AddUserGroupRoleFormForApp$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddUserListToUserGroupForm = $a_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddUserListToUserGroupForm = $m_Lcom_metastay_gompaapp_data_AddUserListToUserGroupForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddUserRoleFormForApp = $a_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddUserRoleFormForApp = $m_Lcom_metastay_gompaapp_data_AddUserRoleFormForApp$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddUserToUserGroupForm = $a_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AddUserToUserGroupForm = $m_Lcom_metastay_gompaapp_data_AddUserToUserGroupForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AppRoleGridForUser = $a_Lcom_metastay_gompaapp_data_AppRoleGridForUser();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AppRoleGridForUser = $m_Lcom_metastay_gompaapp_data_AppRoleGridForUser$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AppRoleGridForUserGroup = $a_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AppRoleGridForUserGroup = $m_Lcom_metastay_gompaapp_data_AppRoleGridForUserGroup$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AppRoleGridForUserInUserGroup = $a_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.AppRoleGridForUserInUserGroup = $m_Lcom_metastay_gompaapp_data_AppRoleGridForUserInUserGroup$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.ChangeDetailsForm = $a_Lcom_metastay_gompaapp_data_ChangeDetailsForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.ChangeDetailsForm = $m_Lcom_metastay_gompaapp_data_ChangeDetailsForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.CreateTeamForm = $a_Lcom_metastay_gompaapp_data_CreateTeamForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.CreateTeamForm = $m_Lcom_metastay_gompaapp_data_CreateTeamForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.CreateUserGroupForm = $a_Lcom_metastay_gompaapp_data_CreateUserGroupForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.CreateUserGroupForm = $m_Lcom_metastay_gompaapp_data_CreateUserGroupForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.FindUserAdminGridForApp = $a_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.FindUserAdminGridForApp = $m_Lcom_metastay_gompaapp_data_FindUserAdminGridForApp$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.FindUserAdminGridForTeam = $a_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.FindUserAdminGridForTeam = $m_Lcom_metastay_gompaapp_data_FindUserAdminGridForTeam$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.FindUserForm = $a_Lcom_metastay_gompaapp_data_FindUserForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.FindUserForm = $m_Lcom_metastay_gompaapp_data_FindUserForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.GompaAdminData = $a_Lcom_metastay_gompaapp_data_GompaAdminData();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.GompaAdminData = $m_Lcom_metastay_gompaapp_data_GompaAdminData$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.GompaAppAdminUserGrid = $a_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.GompaAppAdminUserGrid = $m_Lcom_metastay_gompaapp_data_GompaAppAdminUserGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.MapTeamUserGroupRoleForm = $a_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.MapTeamUserGroupRoleForm = $m_Lcom_metastay_gompaapp_data_MapTeamUserGroupRoleForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.MapTeamUserRoleForm = $a_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.MapTeamUserRoleForm = $m_Lcom_metastay_gompaapp_data_MapTeamUserRoleForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.ResetPasswordForm = $a_Lcom_metastay_gompaapp_data_ResetPasswordForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.ResetPasswordForm = $m_Lcom_metastay_gompaapp_data_ResetPasswordForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.SubTeamData = $a_Lcom_metastay_gompaapp_data_SubTeamData();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.SubTeamData = $m_Lcom_metastay_gompaapp_data_SubTeamData$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.SubTeamGrid = $a_Lcom_metastay_gompaapp_data_SubTeamGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.SubTeamGrid = $m_Lcom_metastay_gompaapp_data_SubTeamGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamAdminUserGrid = $a_Lcom_metastay_gompaapp_data_TeamAdminUserGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamAdminUserGrid = $m_Lcom_metastay_gompaapp_data_TeamAdminUserGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamData = $a_Lcom_metastay_gompaapp_data_TeamData();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamData = $m_Lcom_metastay_gompaapp_data_TeamData$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamGrid = $a_Lcom_metastay_gompaapp_data_TeamGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamGrid = $m_Lcom_metastay_gompaapp_data_TeamGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamRoleGridForUser = $a_Lcom_metastay_gompaapp_data_TeamRoleGridForUser();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamRoleGridForUser = $m_Lcom_metastay_gompaapp_data_TeamRoleGridForUser$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamRoleGridForUserGroup = $a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamRoleGridForUserGroup = $m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserGroup$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamRoleGridForUserInUserGroup = $a_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.TeamRoleGridForUserInUserGroup = $m_Lcom_metastay_gompaapp_data_TeamRoleGridForUserInUserGroup$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UpdateMaxQSizeForm = $a_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UpdateMaxQSizeForm = $m_Lcom_metastay_gompaapp_data_UpdateMaxQSizeForm$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserData = $a_Lcom_metastay_gompaapp_data_UserData();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserData = $m_Lcom_metastay_gompaapp_data_UserData$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGrid = $a_Lcom_metastay_gompaapp_data_UserGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGrid = $m_Lcom_metastay_gompaapp_data_UserGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGridForUserGroup = $a_Lcom_metastay_gompaapp_data_UserGridForUserGroup();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGridForUserGroup = $m_Lcom_metastay_gompaapp_data_UserGridForUserGroup$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGroupData = $a_Lcom_metastay_gompaapp_data_UserGroupData();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGroupData = $m_Lcom_metastay_gompaapp_data_UserGroupData$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGroupGrid = $a_Lcom_metastay_gompaapp_data_UserGroupGrid();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGroupGrid = $m_Lcom_metastay_gompaapp_data_UserGroupGrid$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGroupGridForUser = $a_Lcom_metastay_gompaapp_data_UserGroupGridForUser();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGroupGridForUser = $m_Lcom_metastay_gompaapp_data_UserGroupGridForUser$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGroupRoleGridForApp = $a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGroupRoleGridForApp = $m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForApp$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGroupRoleGridForTeam = $a_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserGroupRoleGridForTeam = $m_Lcom_metastay_gompaapp_data_UserGroupRoleGridForTeam$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserRoleGridForApp = $a_Lcom_metastay_gompaapp_data_UserRoleGridForApp();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserRoleGridForApp = $m_Lcom_metastay_gompaapp_data_UserRoleGridForApp$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserRoleGridForTeam = $a_Lcom_metastay_gompaapp_data_UserRoleGridForTeam();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.data = ($e.com.metastay.gompaapp.data || {});
$e.com.metastay.gompaapp.data.UserRoleGridForTeam = $m_Lcom_metastay_gompaapp_data_UserRoleGridForTeam$();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.store = ($e.com.metastay.gompaapp.store || {});
$e.com.metastay.gompaapp.store.Mutations = $a_Lcom_metastay_gompaapp_store_Mutations();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.store = ($e.com.metastay.gompaapp.store || {});
$e.com.metastay.gompaapp.store.State = $a_Lcom_metastay_gompaapp_store_State();
$e.com = ($e.com || {});
$e.com.metastay = ($e.com.metastay || {});
$e.com.metastay.gompaapp = ($e.com.metastay.gompaapp || {});
$e.com.metastay.gompaapp.store = ($e.com.metastay.gompaapp.store || {});
$e.com.metastay.gompaapp.store.State = $m_Lcom_metastay_gompaapp_store_State$();
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ClientError = (function(arg$1, arg$2) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ClientError();
  var prep0 = $as_T(arg$1);
  var prep1 = $as_T(arg$2);
  $c_Lcom_iteration3_smilejs_ClientError.prototype.init___T__T.call($thiz, prep0, prep1);
  return $thiz
});
$e.com.iteration3.smilejs.ClientError.prototype = $c_Lcom_iteration3_smilejs_ClientError.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ClientException = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ClientException();
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 1;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  var prep0 = $as_T(arg$1);
  var prep1 = ((arg$rest[0] === (void 0)) ? $m_Lcom_iteration3_smilejs_ClientException$().$$lessinit$greater$default$2__s_Option() : $as_s_Option(arg$rest[0]));
  $c_Lcom_iteration3_smilejs_ClientException.prototype.init___T__s_Option.call($thiz, prep0, prep1);
  return $thiz
});
$e.com.iteration3.smilejs.ClientException.prototype = $c_Lcom_iteration3_smilejs_ClientException.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
$e.com.iteration3.smilejs.util = ($e.com.iteration3.smilejs.util || {});
/** @constructor */
$e.com.iteration3.smilejs.util.VRBuilderPQ = (function() {
  var $thiz = new $c_Lcom_iteration3_smilejs_util_VRBuilderPQ();
  var jsx$1 = (arguments.length | 0);
  var jsx$2 = 0;
  var arg$rest = [];
  while ((jsx$2 < jsx$1)) {
    arg$rest.push(arguments[jsx$2]);
    jsx$2 = ((jsx$2 + 1) | 0)
  };
  var prep0 = ((arg$rest[0] === (void 0)) ? $m_Lcom_iteration3_smilejs_util_VRBuilderPQ$().$$lessinit$greater$default$1__sci_List() : $as_sci_List(arg$rest[0]));
  var prep1 = ((arg$rest[1] === (void 0)) ? $m_Lcom_iteration3_smilejs_util_VRBuilderPQ$().$$lessinit$greater$default$2__sci_List() : $as_sci_List(arg$rest[1]));
  $c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype.init___sci_List__sci_List.call($thiz, prep0, prep1);
  return $thiz
});
$e.com.iteration3.smilejs.util.VRBuilderPQ.prototype = $c_Lcom_iteration3_smilejs_util_VRBuilderPQ.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ClientErrors = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ClientErrors();
  var prep0 = $as_sci_List(arg$1);
  $c_Lcom_iteration3_smilejs_ClientErrors.prototype.init___sci_List.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.ClientErrors.prototype = $c_Lcom_iteration3_smilejs_ClientErrors.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ClientExceptions = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ClientExceptions();
  var prep0 = $as_sci_List(arg$1);
  $c_Lcom_iteration3_smilejs_ClientExceptions.prototype.init___sci_List.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.ClientExceptions.prototype = $c_Lcom_iteration3_smilejs_ClientExceptions.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.Forbidden = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_Forbidden();
  var prep0 = $as_T(arg$1);
  $c_Lcom_iteration3_smilejs_Forbidden.prototype.init___T.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.Forbidden.prototype = $c_Lcom_iteration3_smilejs_Forbidden.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.OtherResponse = (function(arg$1, arg$2) {
  var $thiz = new $c_Lcom_iteration3_smilejs_OtherResponse();
  var prep0 = $as_T(arg$1);
  var prep1 = $uI(arg$2);
  $c_Lcom_iteration3_smilejs_OtherResponse.prototype.init___T__I.call($thiz, prep0, prep1);
  return $thiz
});
$e.com.iteration3.smilejs.OtherResponse.prototype = $c_Lcom_iteration3_smilejs_OtherResponse.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ServerError = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ServerError();
  var prep0 = $as_T(arg$1);
  $c_Lcom_iteration3_smilejs_ServerError.prototype.init___T.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.ServerError.prototype = $c_Lcom_iteration3_smilejs_ServerError.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.ServerTimeout = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_ServerTimeout();
  var prep0 = $uI(arg$1);
  $c_Lcom_iteration3_smilejs_ServerTimeout.prototype.init___I.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.ServerTimeout.prototype = $c_Lcom_iteration3_smilejs_ServerTimeout.prototype;
$e.com = ($e.com || {});
$e.com.iteration3 = ($e.com.iteration3 || {});
$e.com.iteration3.smilejs = ($e.com.iteration3.smilejs || {});
/** @constructor */
$e.com.iteration3.smilejs.Unauthorized = (function(arg$1) {
  var $thiz = new $c_Lcom_iteration3_smilejs_Unauthorized();
  var prep0 = $as_T(arg$1);
  $c_Lcom_iteration3_smilejs_Unauthorized.prototype.init___T.call($thiz, prep0);
  return $thiz
});
$e.com.iteration3.smilejs.Unauthorized.prototype = $c_Lcom_iteration3_smilejs_Unauthorized.prototype;
}).call(this);
//# sourceMappingURL=GompaApp-scala.js.map
